// python wrapper for vtkAbstractParticleWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAbstractParticleWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractParticleWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractParticleWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWriterNew(char *); }

static PyObject *PyvtkAbstractParticleWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractParticleWriter *op;

  const char    *temp20;
  op = (vtkAbstractParticleWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractParticleWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractParticleWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractParticleWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkAbstractParticleWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractParticleWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractParticleWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractParticleWriter *op;

  vtkAbstractParticleWriter  *temp20;
  op = (vtkAbstractParticleWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractParticleWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractParticleWriter_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractParticleWriter *op;

  int      temp0;
  op = (vtkAbstractParticleWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractParticleWriter::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractParticleWriter_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractParticleWriter *op;

  int      temp20;
  op = (vtkAbstractParticleWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractParticleWriter::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractParticleWriter_SetTimeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractParticleWriter *op;

  double   temp0;
  op = (vtkAbstractParticleWriter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractParticleWriter::SetTimeValue(temp0);
      }
    else
      {
      op->SetTimeValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractParticleWriter_GetTimeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractParticleWriter *op;

  double   temp20;
  op = (vtkAbstractParticleWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractParticleWriter::GetTimeValue();
      }
    else
      {
      temp20 = op->GetTimeValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractParticleWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractParticleWriter *op;

  char    *temp0;
  op = (vtkAbstractParticleWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractParticleWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractParticleWriter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractParticleWriter *op;

  char    *temp20;
  op = (vtkAbstractParticleWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractParticleWriter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractParticleWriter_CloseFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractParticleWriter *op;

  op = (vtkAbstractParticleWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->CloseFile();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAbstractParticleWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractParticleWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractParticleWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractParticleWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractParticleWriter\nC++: vtkAbstractParticleWriter *NewInstance ();\n\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkAbstractParticleWriter_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int)\nC++: void SetTimeStep (int );\n\n Set/get the TimeStep that is being written\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkAbstractParticleWriter_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> int\nC++: int GetTimeStep ();\n\n Set/get the TimeStep that is being written\n"},
  {(char*)"SetTimeValue",                (PyCFunction)PyvtkAbstractParticleWriter_SetTimeValue, 1,
   (char*)"V.SetTimeValue(float)\nC++: void SetTimeValue (double );\n\n Before writing the current data out, set the TimeValue (optional)\n The TimeValue is a float/double value that corresonds to the real\n time of the data, it may not be regular, whereas the TimeSteps \n are simple increments.\n"},
  {(char*)"GetTimeValue",                (PyCFunction)PyvtkAbstractParticleWriter_GetTimeValue, 1,
   (char*)"V.GetTimeValue() -> float\nC++: double GetTimeValue ();\n\n Before writing the current data out, set the TimeValue (optional)\n The TimeValue is a float/double value that corresonds to the real\n time of the data, it may not be regular, whereas the TimeSteps \n are simple increments.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkAbstractParticleWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set/get the FileName that is being written to\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkAbstractParticleWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set/get the FileName that is being written to\n"},
  {(char*)"CloseFile",                (PyCFunction)PyvtkAbstractParticleWriter_CloseFile, 1,
   (char*)"V.CloseFile()\nC++: virtual void CloseFile () = 0;\n\n Close the file after a write. This is optional but\n may protect against data loss in between steps\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractParticleWriterDoc[] = {
  (char*)"vtkAbstractParticleWriter - abstract class to write particle data to file\n\n",
  "Super Class:\n\n vtkWriter\n\n",
  (char*)" vtkAbstractParticleWriter is an abstract class which is used by\n vtkTemporalStreamTracer to write particles out during simulations.\n This calls is abstract and provides a TimeStep and FileName.\n Subclasses of this should provide the necessary IO.\n\n",
  "Caveats:\n\n See vtkWriter\n\n",
  "See Also:\n\n vtkTemporalStreamTracer\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractParticleWriterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractParticleWriterMethods,
                        (char*)"vtkAbstractParticleWriter",modulename,
                        (char**)vtkAbstractParticleWriterDoc,
                        PyVTKClass_vtkWriterNew(modulename));
}

