// python wrapper for vtkBMPReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBMPReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBMPReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBMPReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReaderNew(char *); }

static PyObject *PyvtkBMPReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  const char    *temp20;
  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  vtkBMPReader  *temp20;
  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBMPReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBMPReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBMPReader_GetDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  int      temp20;
  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPReader::GetDepth();
      }
    else
      {
      temp20 = op->GetDepth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  const char    *temp20;
  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPReader::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  const char    *temp20;
  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPReader::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPReader_SetAllow8BitBMP(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  int      temp0;
  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBMPReader::SetAllow8BitBMP(temp0);
      }
    else
      {
      op->SetAllow8BitBMP(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPReader_GetAllow8BitBMP(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  int      temp20;
  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPReader::GetAllow8BitBMP();
      }
    else
      {
      temp20 = op->GetAllow8BitBMP();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPReader_Allow8BitBMPOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBMPReader::Allow8BitBMPOn();
      }
    else
      {
      op->Allow8BitBMPOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPReader_Allow8BitBMPOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBMPReader::Allow8BitBMPOff();
      }
    else
      {
      op->Allow8BitBMPOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPReader_GetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPReader *op;

  vtkLookupTable  *temp20;
  op = (vtkBMPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPReader::GetLookupTable();
      }
    else
      {
      temp20 = op->GetLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBMPReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBMPReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBMPReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBMPReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBMPReader\nC++: vtkBMPReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBMPReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBMPReader\nC++: vtkBMPReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDepth",                (PyCFunction)PyvtkBMPReader_GetDepth, 1,
   (char*)"V.GetDepth() -> int\nC++: int GetDepth ();\n\n Returns the depth of the BMP, either 8 or 24.\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkBMPReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *fname);\n\n Is the given file a BMP file?\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkBMPReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n Return a descriptive name for the file format that might be useful in a GUI.\n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkBMPReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n If this flag is set and the BMP reader encounters an 8bit file,\n the data will be kept as unsigned chars and a lookuptable will be\n exported\n"},
  {(char*)"SetAllow8BitBMP",                (PyCFunction)PyvtkBMPReader_SetAllow8BitBMP, 1,
   (char*)"V.SetAllow8BitBMP(int)\nC++: void SetAllow8BitBMP (int );\n\n If this flag is set and the BMP reader encounters an 8bit file,\n the data will be kept as unsigned chars and a lookuptable will be\n exported\n"},
  {(char*)"GetAllow8BitBMP",                (PyCFunction)PyvtkBMPReader_GetAllow8BitBMP, 1,
   (char*)"V.GetAllow8BitBMP() -> int\nC++: int GetAllow8BitBMP ();\n\n If this flag is set and the BMP reader encounters an 8bit file,\n the data will be kept as unsigned chars and a lookuptable will be\n exported\n"},
  {(char*)"Allow8BitBMPOn",                (PyCFunction)PyvtkBMPReader_Allow8BitBMPOn, 1,
   (char*)"V.Allow8BitBMPOn()\nC++: void Allow8BitBMPOn ();\n\n If this flag is set and the BMP reader encounters an 8bit file,\n the data will be kept as unsigned chars and a lookuptable will be\n exported\n"},
  {(char*)"Allow8BitBMPOff",                (PyCFunction)PyvtkBMPReader_Allow8BitBMPOff, 1,
   (char*)"V.Allow8BitBMPOff()\nC++: void Allow8BitBMPOff ();\n\n If this flag is set and the BMP reader encounters an 8bit file,\n the data will be kept as unsigned chars and a lookuptable will be\n exported\n"},
  {(char*)"GetLookupTable",                (PyCFunction)PyvtkBMPReader_GetLookupTable, 1,
   (char*)"V.GetLookupTable() -> vtkLookupTable\nC++: vtkLookupTable *GetLookupTable ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBMPReaderDoc[] = {
  (char*)"vtkBMPReader - read Windows BMP files\n\n",
  "Super Class:\n\n vtkImageReader\n\n",
  (char*)" vtkBMPReader is a source object that reads Windows BMP files.\n This includes indexed and 24bit bitmaps\n Usually, all BMPs are converted to 24bit RGB, but BMPs may be output\n as 8bit images with a LookupTable if the Allow8BitBMP flag is set.\n\n BMPReader creates structured point datasets. The dimension of the \n dataset depends upon the number of files read. Reading a single file \n results in a 2D i",
  (char*)"mage, while reading more than one file results in a \n 3D volume.\n\n To read a volume, files must be of the form \"FileName.<number>\"\n (e.g., foo.bmp.0, foo.bmp.1, ...). You must also specify the image \n range. This range specifies the beginning and ending files to read (range\n can be any pair of non-negative numbers). \n\n The default behavior is to read a single file. In this case, the form\n of the f",
  (char*)"ile is simply \"FileName\" (e.g., foo.bmp).\n\n",
  "See Also:\n\n vtkBMPWriter\n\n",
  NULL
};

static vtkObjectBase *vtkBMPReaderStaticNew()
{
  return vtkBMPReader::New();
}

PyObject *PyVTKClass_vtkBMPReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkBMPReaderStaticNew,
                        PyvtkBMPReaderMethods,
                        (char*)"vtkBMPReader",modulename,
                        (char**)vtkBMPReaderDoc,
                        PyVTKClass_vtkImageReaderNew(modulename));
}

