// python wrapper for vtkBMPWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBMPWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBMPWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBMPWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageWriterNew(char *); }

static PyObject *PyvtkBMPWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPWriter *op;

  const char    *temp20;
  op = (vtkBMPWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkBMPWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBMPWriter *op;

  vtkBMPWriter  *temp20;
  op = (vtkBMPWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBMPWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBMPWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBMPWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBMPWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkBMPWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBMPWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBMPWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBMPWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBMPWriter\nC++: vtkBMPWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBMPWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBMPWriter\nC++: vtkBMPWriter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBMPWriterDoc[] = {
  (char*)"vtkBMPWriter - Writes Windows BMP files.\n\n",
  "Super Class:\n\n vtkImageWriter\n\n",
  (char*)" vtkBMPWriter writes BMP files. The data type\n of the file is unsigned char regardless of the input type.\n\n",
  "See Also:\n\n vtkBMPReader\n\n",
  NULL
};

static vtkObjectBase *vtkBMPWriterStaticNew()
{
  return vtkBMPWriter::New();
}

PyObject *PyVTKClass_vtkBMPWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkBMPWriterStaticNew,
                        PyvtkBMPWriterMethods,
                        (char*)"vtkBMPWriter",modulename,
                        (char**)vtkBMPWriterDoc,
                        PyVTKClass_vtkImageWriterNew(modulename));
}

