// python wrapper for vtkBYUWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBYUWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBYUWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBYUWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataWriterNew(char *); }

static PyObject *PyvtkBYUWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  const char    *temp20;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBYUWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBYUWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  vtkBYUWriter  *temp20;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBYUWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBYUWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBYUWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBYUWriter_SetGeometryFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  char    *temp0;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::SetGeometryFileName(temp0);
      }
    else
      {
      op->SetGeometryFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_GetGeometryFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  char    *temp20;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBYUWriter::GetGeometryFileName();
      }
    else
      {
      temp20 = op->GetGeometryFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_SetDisplacementFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  char    *temp0;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::SetDisplacementFileName(temp0);
      }
    else
      {
      op->SetDisplacementFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_GetDisplacementFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  char    *temp20;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBYUWriter::GetDisplacementFileName();
      }
    else
      {
      temp20 = op->GetDisplacementFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_SetScalarFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  char    *temp0;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::SetScalarFileName(temp0);
      }
    else
      {
      op->SetScalarFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_GetScalarFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  char    *temp20;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBYUWriter::GetScalarFileName();
      }
    else
      {
      temp20 = op->GetScalarFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_SetTextureFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  char    *temp0;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::SetTextureFileName(temp0);
      }
    else
      {
      op->SetTextureFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_GetTextureFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  char    *temp20;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBYUWriter::GetTextureFileName();
      }
    else
      {
      temp20 = op->GetTextureFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_SetWriteDisplacement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  int      temp0;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::SetWriteDisplacement(temp0);
      }
    else
      {
      op->SetWriteDisplacement(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_GetWriteDisplacement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  int      temp20;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBYUWriter::GetWriteDisplacement();
      }
    else
      {
      temp20 = op->GetWriteDisplacement();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_WriteDisplacementOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::WriteDisplacementOn();
      }
    else
      {
      op->WriteDisplacementOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_WriteDisplacementOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::WriteDisplacementOff();
      }
    else
      {
      op->WriteDisplacementOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_SetWriteScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  int      temp0;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::SetWriteScalar(temp0);
      }
    else
      {
      op->SetWriteScalar(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_GetWriteScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  int      temp20;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBYUWriter::GetWriteScalar();
      }
    else
      {
      temp20 = op->GetWriteScalar();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_WriteScalarOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::WriteScalarOn();
      }
    else
      {
      op->WriteScalarOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_WriteScalarOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::WriteScalarOff();
      }
    else
      {
      op->WriteScalarOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_SetWriteTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  int      temp0;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::SetWriteTexture(temp0);
      }
    else
      {
      op->SetWriteTexture(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_GetWriteTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  int      temp20;
  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBYUWriter::GetWriteTexture();
      }
    else
      {
      temp20 = op->GetWriteTexture();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_WriteTextureOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::WriteTextureOn();
      }
    else
      {
      op->WriteTextureOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBYUWriter_WriteTextureOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBYUWriter::WriteTextureOff();
      }
    else
      {
      op->WriteTextureOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBYUWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBYUWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBYUWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBYUWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBYUWriter\nC++: vtkBYUWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBYUWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBYUWriter\nC++: vtkBYUWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGeometryFileName",                (PyCFunction)PyvtkBYUWriter_SetGeometryFileName, 1,
   (char*)"V.SetGeometryFileName(string)\nC++: void SetGeometryFileName (char *);\n\n Specify the name of the geometry file to write.\n"},
  {(char*)"GetGeometryFileName",                (PyCFunction)PyvtkBYUWriter_GetGeometryFileName, 1,
   (char*)"V.GetGeometryFileName() -> string\nC++: char *GetGeometryFileName ();\n\n Specify the name of the geometry file to write.\n"},
  {(char*)"SetDisplacementFileName",                (PyCFunction)PyvtkBYUWriter_SetDisplacementFileName, 1,
   (char*)"V.SetDisplacementFileName(string)\nC++: void SetDisplacementFileName (char *);\n\n Specify the name of the displacement file to write.\n"},
  {(char*)"GetDisplacementFileName",                (PyCFunction)PyvtkBYUWriter_GetDisplacementFileName, 1,
   (char*)"V.GetDisplacementFileName() -> string\nC++: char *GetDisplacementFileName ();\n\n Specify the name of the displacement file to write.\n"},
  {(char*)"SetScalarFileName",                (PyCFunction)PyvtkBYUWriter_SetScalarFileName, 1,
   (char*)"V.SetScalarFileName(string)\nC++: void SetScalarFileName (char *);\n\n Specify the name of the scalar file to write.\n"},
  {(char*)"GetScalarFileName",                (PyCFunction)PyvtkBYUWriter_GetScalarFileName, 1,
   (char*)"V.GetScalarFileName() -> string\nC++: char *GetScalarFileName ();\n\n Specify the name of the scalar file to write.\n"},
  {(char*)"SetTextureFileName",                (PyCFunction)PyvtkBYUWriter_SetTextureFileName, 1,
   (char*)"V.SetTextureFileName(string)\nC++: void SetTextureFileName (char *);\n\n Specify the name of the texture file to write.\n"},
  {(char*)"GetTextureFileName",                (PyCFunction)PyvtkBYUWriter_GetTextureFileName, 1,
   (char*)"V.GetTextureFileName() -> string\nC++: char *GetTextureFileName ();\n\n Specify the name of the texture file to write.\n"},
  {(char*)"SetWriteDisplacement",                (PyCFunction)PyvtkBYUWriter_SetWriteDisplacement, 1,
   (char*)"V.SetWriteDisplacement(int)\nC++: void SetWriteDisplacement (int );\n\n Turn on/off writing the displacement file.\n"},
  {(char*)"GetWriteDisplacement",                (PyCFunction)PyvtkBYUWriter_GetWriteDisplacement, 1,
   (char*)"V.GetWriteDisplacement() -> int\nC++: int GetWriteDisplacement ();\n\n Turn on/off writing the displacement file.\n"},
  {(char*)"WriteDisplacementOn",                (PyCFunction)PyvtkBYUWriter_WriteDisplacementOn, 1,
   (char*)"V.WriteDisplacementOn()\nC++: void WriteDisplacementOn ();\n\n Turn on/off writing the displacement file.\n"},
  {(char*)"WriteDisplacementOff",                (PyCFunction)PyvtkBYUWriter_WriteDisplacementOff, 1,
   (char*)"V.WriteDisplacementOff()\nC++: void WriteDisplacementOff ();\n\n Turn on/off writing the displacement file.\n"},
  {(char*)"SetWriteScalar",                (PyCFunction)PyvtkBYUWriter_SetWriteScalar, 1,
   (char*)"V.SetWriteScalar(int)\nC++: void SetWriteScalar (int );\n\n Turn on/off writing the scalar file.\n"},
  {(char*)"GetWriteScalar",                (PyCFunction)PyvtkBYUWriter_GetWriteScalar, 1,
   (char*)"V.GetWriteScalar() -> int\nC++: int GetWriteScalar ();\n\n Turn on/off writing the scalar file.\n"},
  {(char*)"WriteScalarOn",                (PyCFunction)PyvtkBYUWriter_WriteScalarOn, 1,
   (char*)"V.WriteScalarOn()\nC++: void WriteScalarOn ();\n\n Turn on/off writing the scalar file.\n"},
  {(char*)"WriteScalarOff",                (PyCFunction)PyvtkBYUWriter_WriteScalarOff, 1,
   (char*)"V.WriteScalarOff()\nC++: void WriteScalarOff ();\n\n Turn on/off writing the scalar file.\n"},
  {(char*)"SetWriteTexture",                (PyCFunction)PyvtkBYUWriter_SetWriteTexture, 1,
   (char*)"V.SetWriteTexture(int)\nC++: void SetWriteTexture (int );\n\n Turn on/off writing the texture file.\n"},
  {(char*)"GetWriteTexture",                (PyCFunction)PyvtkBYUWriter_GetWriteTexture, 1,
   (char*)"V.GetWriteTexture() -> int\nC++: int GetWriteTexture ();\n\n Turn on/off writing the texture file.\n"},
  {(char*)"WriteTextureOn",                (PyCFunction)PyvtkBYUWriter_WriteTextureOn, 1,
   (char*)"V.WriteTextureOn()\nC++: void WriteTextureOn ();\n\n Turn on/off writing the texture file.\n"},
  {(char*)"WriteTextureOff",                (PyCFunction)PyvtkBYUWriter_WriteTextureOff, 1,
   (char*)"V.WriteTextureOff()\nC++: void WriteTextureOff ();\n\n Turn on/off writing the texture file.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBYUWriterDoc[] = {
  (char*)"vtkBYUWriter - write MOVIE.BYU files\n\n",
  "Super Class:\n\n vtkPolyDataWriter\n\n",
  (char*)" vtkBYUWriter writes MOVIE.BYU polygonal files. These files consist \n of a geometry file (.g), a scalar file (.s), a displacement or \n vector file (.d), and a 2D texture coordinate file (.t). These files \n must be specified to the object, the appropriate boolean \n variables must be true, and data must be available from the input\n for the files to be written.\n WARNING: this writer does not currentl",
  (char*)"y write triangle strips. Use\n vtkTriangleFilter to convert strips to triangles.\n\n",
  NULL
};

static vtkObjectBase *vtkBYUWriterStaticNew()
{
  return vtkBYUWriter::New();
}

PyObject *PyVTKClass_vtkBYUWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkBYUWriterStaticNew,
                        PyvtkBYUWriterMethods,
                        (char*)"vtkBYUWriter",modulename,
                        (char**)vtkBYUWriterDoc,
                        PyVTKClass_vtkPolyDataWriterNew(modulename));
}

