// python wrapper for vtkBase64InputStream object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBase64InputStream.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBase64InputStreamNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBase64InputStreamNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInputStreamNew(char *); }

static PyObject *PyvtkBase64InputStream_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64InputStream *op;

  const char    *temp20;
  op = (vtkBase64InputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64InputStream::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64InputStream_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64InputStream *op;

  char    *temp0;
  int      temp20;
  op = (vtkBase64InputStream *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64InputStream::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64InputStream_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64InputStream *op;

  vtkBase64InputStream  *temp20;
  op = (vtkBase64InputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64InputStream::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64InputStream_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBase64InputStream  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBase64InputStream::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBase64InputStream_StartReading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64InputStream *op;

  op = (vtkBase64InputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBase64InputStream::StartReading();
      }
    else
      {
      op->StartReading();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64InputStream_Seek(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64InputStream *op;

  unsigned long     temp0;
  int      temp20;
  op = (vtkBase64InputStream *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64InputStream::Seek(temp0);
      }
    else
      {
      temp20 = op->Seek(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64InputStream_EndReading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64InputStream *op;

  op = (vtkBase64InputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBase64InputStream::EndReading();
      }
    else
      {
      op->EndReading();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBase64InputStreamMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBase64InputStream_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBase64InputStream_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBase64InputStream_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBase64InputStream\nC++: vtkBase64InputStream *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBase64InputStream_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBase64InputStream\nC++: vtkBase64InputStream *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"StartReading",                (PyCFunction)PyvtkBase64InputStream_StartReading, 1,
   (char*)"V.StartReading()\nC++: void StartReading ();\n\n Called after the stream position has been set by the caller, but\n before any Seek or Read calls.  The stream position should not be\n adjusted by the caller until after an EndReading call.\n"},
  {(char*)"Seek",                (PyCFunction)PyvtkBase64InputStream_Seek, 1,
   (char*)"V.Seek(int) -> int\nC++: int Seek (unsigned long offset);\n\n Seek to the given offset in the input data.  Returns 1 for\n success, 0 for failure.\n"},
  {(char*)"EndReading",                (PyCFunction)PyvtkBase64InputStream_EndReading, 1,
   (char*)"V.EndReading()\nC++: void EndReading ();\n\n Called after all desired calls to Seek and Read have been made.\n After this call, the caller is free to change the position of the\n stream.  Additional reads should not be done until after another\n call to StartReading.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBase64InputStreamDoc[] = {
  (char*)"vtkBase64InputStream - Reads base64-encoded input from a stream.\n\n",
  "Super Class:\n\n vtkInputStream\n\n",
  (char*)" vtkBase64InputStream implements base64 decoding with the\n vtkInputStream interface.\n\n",
  NULL
};

static vtkObjectBase *vtkBase64InputStreamStaticNew()
{
  return vtkBase64InputStream::New();
}

PyObject *PyVTKClass_vtkBase64InputStreamNew(char *modulename)
{
  return PyVTKClass_New(&vtkBase64InputStreamStaticNew,
                        PyvtkBase64InputStreamMethods,
                        (char*)"vtkBase64InputStream",modulename,
                        (char**)vtkBase64InputStreamDoc,
                        PyVTKClass_vtkInputStreamNew(modulename));
}

