// python wrapper for vtkCosmoReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCosmoReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCosmoReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCosmoReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkCosmoReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  const char    *temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  vtkCosmoReader  *temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCosmoReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCosmoReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCosmoReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  char    *temp0;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  char    *temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetNumberOfNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetNumberOfNodes();
      }
    else
      {
      temp20 = op->GetNumberOfNodes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetNumberOfVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetNumberOfVariables();
      }
    else
      {
      temp20 = op->GetNumberOfVariables();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp0;
  vtkUnstructuredGrid  *temp20;
  PyErr_Clear();
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_SetByteOrderToBigEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::SetByteOrderToBigEndian();
      }
    else
      {
      op->SetByteOrderToBigEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_SetByteOrderToLittleEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::SetByteOrderToLittleEndian();
      }
    else
      {
      op->SetByteOrderToLittleEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_SetByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp0;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::SetByteOrder(temp0);
      }
    else
      {
      op->SetByteOrder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetByteOrder();
      }
    else
      {
      temp20 = op->GetByteOrder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_SetStride(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp0;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::SetStride(temp0);
      }
    else
      {
      op->SetStride(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetStride(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetStride();
      }
    else
      {
      temp20 = op->GetStride();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_SetBoxSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  double   temp0;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::SetBoxSize(temp0);
      }
    else
      {
      op->SetBoxSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetBoxSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  double   temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetBoxSize();
      }
    else
      {
      temp20 = op->GetBoxSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_SetPositionRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp0;
  int      temp1;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::SetPositionRange(temp0,temp1);
      }
    else
      {
      op->SetPositionRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::SetPositionRange(temp0);
      }
    else
      {
      op->SetPositionRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetPositionRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int     *temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetPositionRange();
      }
    else
      {
      temp20 = op->GetPositionRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_ComputeDefaultRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::ComputeDefaultRange();
      }
    else
      {
      op->ComputeDefaultRange();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetNumberOfPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetNumberOfPointArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPointArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetPointArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetPointArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetPointArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_SetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::SetPointArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPointArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_DisableAllPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::DisableAllPointArrays();
      }
    else
      {
      op->DisableAllPointArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_EnableAllPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::EnableAllPointArrays();
      }
    else
      {
      op->EnableAllPointArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_SetMakeCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp0;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmoReader::SetMakeCells(temp0);
      }
    else
      {
      op->SetMakeCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmoReader_GetMakeCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmoReader *op;

  int      temp20;
  op = (vtkCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmoReader::GetMakeCells();
      }
    else
      {
      temp20 = op->GetMakeCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCosmoReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCosmoReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCosmoReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCosmoReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCosmoReader\nC++: vtkCosmoReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCosmoReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCosmoReader\nC++: vtkCosmoReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkCosmoReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify the name of the cosmology particle binary file to read\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkCosmoReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify the name of the cosmology particle binary file to read\n"},
  {(char*)"GetNumberOfNodes",                (PyCFunction)PyvtkCosmoReader_GetNumberOfNodes, 1,
   (char*)"V.GetNumberOfNodes() -> int\nC++: int GetNumberOfNodes ();\n\n Get the number of particles\n"},
  {(char*)"GetNumberOfVariables",                (PyCFunction)PyvtkCosmoReader_GetNumberOfVariables, 1,
   (char*)"V.GetNumberOfVariables() -> int\nC++: int GetNumberOfVariables ();\n\n Get the number of data variables at the cell centers\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkCosmoReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetOutput ();\nV.GetOutput(int) -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetOutput (int index);\n\n Get the reader's output\n"},
  {(char*)"SetByteOrderToBigEndian",                (PyCFunction)PyvtkCosmoReader_SetByteOrderToBigEndian, 1,
   (char*)"V.SetByteOrderToBigEndian()\nC++: void SetByteOrderToBigEndian ();\n\n Set/Get the endian-ness of the binary file\n"},
  {(char*)"SetByteOrderToLittleEndian",                (PyCFunction)PyvtkCosmoReader_SetByteOrderToLittleEndian, 1,
   (char*)"V.SetByteOrderToLittleEndian()\nC++: void SetByteOrderToLittleEndian ();\n\n Set/Get the endian-ness of the binary file\n"},
  {(char*)"SetByteOrder",                (PyCFunction)PyvtkCosmoReader_SetByteOrder, 1,
   (char*)"V.SetByteOrder(int)\nC++: void SetByteOrder (int );\n\n Set/Get the endian-ness of the binary file\n"},
  {(char*)"GetByteOrder",                (PyCFunction)PyvtkCosmoReader_GetByteOrder, 1,
   (char*)"V.GetByteOrder() -> int\nC++: int GetByteOrder ();\n\n Set/Get the endian-ness of the binary file\n"},
  {(char*)"SetStride",                (PyCFunction)PyvtkCosmoReader_SetStride, 1,
   (char*)"V.SetStride(int)\nC++: void SetStride (int );\n\n"},
  {(char*)"GetStride",                (PyCFunction)PyvtkCosmoReader_GetStride, 1,
   (char*)"V.GetStride() -> int\nC++: int GetStride ();\n\n"},
  {(char*)"SetBoxSize",                (PyCFunction)PyvtkCosmoReader_SetBoxSize, 1,
   (char*)"V.SetBoxSize(float)\nC++: void SetBoxSize (double );\n\n"},
  {(char*)"GetBoxSize",                (PyCFunction)PyvtkCosmoReader_GetBoxSize, 1,
   (char*)"V.GetBoxSize() -> float\nC++: double GetBoxSize ();\n\n"},
  {(char*)"SetPositionRange",                (PyCFunction)PyvtkCosmoReader_SetPositionRange, 1,
   (char*)"V.SetPositionRange(int, int)\nC++: void SetPositionRange (int , int );\nV.SetPositionRange((int, int))\nC++: void SetPositionRange (int  a[2]);\n\n Set/Get the range of indices of interest\n"},
  {(char*)"GetPositionRange",                (PyCFunction)PyvtkCosmoReader_GetPositionRange, 1,
   (char*)"V.GetPositionRange() -> (int, int)\nC++: int  *GetPositionRange ();\n\n Set/Get the range of indices of interest\n"},
  {(char*)"ComputeDefaultRange",                (PyCFunction)PyvtkCosmoReader_ComputeDefaultRange, 1,
   (char*)"V.ComputeDefaultRange()\nC++: void ComputeDefaultRange ();\n\n Using the file size determine how many data records exist\n"},
  {(char*)"GetNumberOfPointArrays",                (PyCFunction)PyvtkCosmoReader_GetNumberOfPointArrays, 1,
   (char*)"V.GetNumberOfPointArrays() -> int\nC++: int GetNumberOfPointArrays ();\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"GetPointArrayName",                (PyCFunction)PyvtkCosmoReader_GetPointArrayName, 1,
   (char*)"V.GetPointArrayName(int) -> string\nC++: const char *GetPointArrayName (int index);\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"GetPointArrayStatus",                (PyCFunction)PyvtkCosmoReader_GetPointArrayStatus, 1,
   (char*)"V.GetPointArrayStatus(string) -> int\nC++: int GetPointArrayStatus (const char *name);\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"SetPointArrayStatus",                (PyCFunction)PyvtkCosmoReader_SetPointArrayStatus, 1,
   (char*)"V.SetPointArrayStatus(string, int)\nC++: void SetPointArrayStatus (const char *name, int status);\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"DisableAllPointArrays",                (PyCFunction)PyvtkCosmoReader_DisableAllPointArrays, 1,
   (char*)"V.DisableAllPointArrays()\nC++: void DisableAllPointArrays ();\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"EnableAllPointArrays",                (PyCFunction)PyvtkCosmoReader_EnableAllPointArrays, 1,
   (char*)"V.EnableAllPointArrays()\nC++: void EnableAllPointArrays ();\n\n The following methods allow selective reading of solutions fields.\n By default, ALL data fields on the nodes are read, but this can\n be modified.\n"},
  {(char*)"SetMakeCells",                (PyCFunction)PyvtkCosmoReader_SetMakeCells, 1,
   (char*)"V.SetMakeCells(int)\nC++: void SetMakeCells (int );\n\n When off (the default) only points are produced. When on, a VTK_VERTEX \n cell is generated for each point.\n"},
  {(char*)"GetMakeCells",                (PyCFunction)PyvtkCosmoReader_GetMakeCells, 1,
   (char*)"V.GetMakeCells() -> int\nC++: int GetMakeCells ();\n\n When off (the default) only points are produced. When on, a VTK_VERTEX \n cell is generated for each point.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCosmoReaderDoc[] = {
  (char*)"vtkCosmoReader - Read a binary cosmology data file\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkCosmoReader creates a vtkUnstructuredGrid from a binary cosmology file.\n The file contains fields for:\n     x_position, x_velocity (float)\n     y_position, y_velocity (float)\n     z-position, z_velocity (float)\n     mass (float)\n     identification tag (integer)\n\n If the file contains particle information x,y,z is the location of the\n particle in simulation space with a velocity vector and a m",
  (char*)"ass which\n will be the same for all particles.\n\n If the file contains halo information x,y,z is the location of the\n particle which is the centroid of all particles in the halo and\n the mass is the collective mass of the halo.  In order to find the\n number of particles in a halo, take the mass of a single particle\n and divide it into the mass of a halo.\n\n The stride variable will read every nth pa",
  (char*)"rticle into the unstructured\n grid to get a subsampling.  It has been noted that this is not the best\n thing to do for subsampling since particle points are generated in\n stripes.  A better thing to do would be to take a random sampling.\n\n .SECTION Thanks\n Patricia Fasel (pfk@lanl.gov), Lee Ankeny (laa@lanl.gov) and \n Jim Ahrens (ahrens@lanl.gov)\n Los Alamos National Laboratory\n\n",
  NULL
};

static vtkObjectBase *vtkCosmoReaderStaticNew()
{
  return vtkCosmoReader::New();
}

PyObject *PyVTKClass_vtkCosmoReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkCosmoReaderStaticNew,
                        PyvtkCosmoReaderMethods,
                        (char*)"vtkCosmoReader",modulename,
                        (char**)vtkCosmoReaderDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

