// python wrapper for vtkDICOMImageReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDICOMImageReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDICOMImageReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDICOMImageReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReader2New(char *); }

static PyObject *PyvtkDICOMImageReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  const char    *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  vtkDICOMImageReader  *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDICOMImageReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDICOMImageReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  char    *temp0;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDICOMImageReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_SetDirectoryName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  char    *temp0;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDICOMImageReader::SetDirectoryName(temp0);
      }
    else
      {
      op->SetDirectoryName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetDirectoryName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  char    *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetDirectoryName();
      }
    else
      {
      temp20 = op->GetDirectoryName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetPixelSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  double  *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetPixelSpacing();
      }
    else
      {
      temp20 = op->GetPixelSpacing();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  int      temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetWidth();
      }
    else
      {
      temp20 = op->GetWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  int      temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetHeight();
      }
    else
      {
      temp20 = op->GetHeight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetImagePositionPatient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  float   *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetImagePositionPatient();
      }
    else
      {
      temp20 = op->GetImagePositionPatient();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetImageOrientationPatient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  float   *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetImageOrientationPatient();
      }
    else
      {
      temp20 = op->GetImageOrientationPatient();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ffffff",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetBitsAllocated(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  int      temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetBitsAllocated();
      }
    else
      {
      temp20 = op->GetBitsAllocated();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetPixelRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  int      temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetPixelRepresentation();
      }
    else
      {
      temp20 = op->GetPixelRepresentation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  int      temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetNumberOfComponents();
      }
    else
      {
      temp20 = op->GetNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetTransferSyntaxUID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  const char    *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetTransferSyntaxUID();
      }
    else
      {
      temp20 = op->GetTransferSyntaxUID();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetRescaleSlope(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  float    temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetRescaleSlope();
      }
    else
      {
      temp20 = op->GetRescaleSlope();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetRescaleOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  float    temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetRescaleOffset();
      }
    else
      {
      temp20 = op->GetRescaleOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetPatientName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  const char    *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetPatientName();
      }
    else
      {
      temp20 = op->GetPatientName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetStudyUID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  const char    *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetStudyUID();
      }
    else
      {
      temp20 = op->GetStudyUID();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetStudyID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  const char    *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetStudyID();
      }
    else
      {
      temp20 = op->GetStudyID();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetGantryAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  float    temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetGantryAngle();
      }
    else
      {
      temp20 = op->GetGantryAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  const char    *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDICOMImageReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDICOMImageReader *op;

  const char    *temp20;
  op = (vtkDICOMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDICOMImageReader::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDICOMImageReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDICOMImageReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Static method for construction.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDICOMImageReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Static method for construction.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDICOMImageReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDICOMImageReader\nC++: vtkDICOMImageReader *NewInstance ();\n\n Static method for construction.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDICOMImageReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDICOMImageReader\nC++: vtkDICOMImageReader *SafeDownCast (vtkObject* o);\n\n Static method for construction.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkDICOMImageReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (const char *fn);if this DirectoryName delete this DirectoryName if this FileName delete this FileName this DirectoryName NULL this FileName NULL this vtkImageReader2 SetFileName fn \n\n Set the directory name for the reader to look in for DICOM\n files. If this method is used, the reader will try to find\n all the DICOM files in a directory. It will select the subset\n corresponding to the first series UID it stumbles across and\n it will try to build an ordered volume from them based on\n the slice number. The volume building will be upgraded to\n something more sophisticated in the future.\n"},
  {(char*)"SetDirectoryName",                (PyCFunction)PyvtkDICOMImageReader_SetDirectoryName, 1,
   (char*)"V.SetDirectoryName(string)\nC++: void SetDirectoryName (const char *dn);\n\n Set the directory name for the reader to look in for DICOM\n files. If this method is used, the reader will try to find\n all the DICOM files in a directory. It will select the subset\n corresponding to the first series UID it stumbles across and\n it will try to build an ordered volume from them based on\n the slice number. The volume building will be upgraded to\n something more sophisticated in the future.\n"},
  {(char*)"GetDirectoryName",                (PyCFunction)PyvtkDICOMImageReader_GetDirectoryName, 1,
   (char*)"V.GetDirectoryName() -> string\nC++: char *GetDirectoryName ();\n\n Returns the directory name.\n"},
  {(char*)"GetPixelSpacing",                (PyCFunction)PyvtkDICOMImageReader_GetPixelSpacing, 1,
   (char*)"V.GetPixelSpacing() -> (float, float, float)\nC++: double *GetPixelSpacing ();\n\n Returns the pixel spacing (in X, Y, Z).\n Note: if there is only one slice, the Z spacing is set to the slice\n thickness. If there is more than one slice, it is set to the distance\n between the first two slices.\n"},
  {(char*)"GetWidth",                (PyCFunction)PyvtkDICOMImageReader_GetWidth, 1,
   (char*)"V.GetWidth() -> int\nC++: int GetWidth ();\n\n Returns the image width.\n"},
  {(char*)"GetHeight",                (PyCFunction)PyvtkDICOMImageReader_GetHeight, 1,
   (char*)"V.GetHeight() -> int\nC++: int GetHeight ();\n\n Returns the image height.\n"},
  {(char*)"GetImagePositionPatient",                (PyCFunction)PyvtkDICOMImageReader_GetImagePositionPatient, 1,
   (char*)"V.GetImagePositionPatient() -> (float, float, float)\nC++: float *GetImagePositionPatient ();\n\n Get the (DICOM) x,y,z coordinates of the first pixel in the\n image (upper left hand corner) of the last image processed by the\n DICOMParser\n"},
  {(char*)"GetImageOrientationPatient",                (PyCFunction)PyvtkDICOMImageReader_GetImageOrientationPatient, 1,
   (char*)"V.GetImageOrientationPatient() -> (float, float, float, float, float, float)\nC++: float *GetImageOrientationPatient ();\n\n Get the (DICOM) directions cosines. It consist of the components\n of the first two vectors. The third vector needs to be computed\n to form an orthonormal basis.\n"},
  {(char*)"GetBitsAllocated",                (PyCFunction)PyvtkDICOMImageReader_GetBitsAllocated, 1,
   (char*)"V.GetBitsAllocated() -> int\nC++: int GetBitsAllocated ();\n\n Get the number of bits allocated for each pixel in the file.\n"},
  {(char*)"GetPixelRepresentation",                (PyCFunction)PyvtkDICOMImageReader_GetPixelRepresentation, 1,
   (char*)"V.GetPixelRepresentation() -> int\nC++: int GetPixelRepresentation ();\n\n Get the pixel representation of the last image processed by the\n DICOMParser. A zero is a unsigned quantity.  A one indicates a\n signed quantity\n"},
  {(char*)"GetNumberOfComponents",                (PyCFunction)PyvtkDICOMImageReader_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: int GetNumberOfComponents ();\n\n Get the number of components of the image data for the last\n image processed.\n"},
  {(char*)"GetTransferSyntaxUID",                (PyCFunction)PyvtkDICOMImageReader_GetTransferSyntaxUID, 1,
   (char*)"V.GetTransferSyntaxUID() -> string\nC++: const char *GetTransferSyntaxUID ();\n\n Get the transfer syntax UID for the last image processed.\n"},
  {(char*)"GetRescaleSlope",                (PyCFunction)PyvtkDICOMImageReader_GetRescaleSlope, 1,
   (char*)"V.GetRescaleSlope() -> float\nC++: float GetRescaleSlope ();\n\n Get the rescale slope for the pixel data.\n"},
  {(char*)"GetRescaleOffset",                (PyCFunction)PyvtkDICOMImageReader_GetRescaleOffset, 1,
   (char*)"V.GetRescaleOffset() -> float\nC++: float GetRescaleOffset ();\n\n Get the rescale offset for the pixel data.\n"},
  {(char*)"GetPatientName",                (PyCFunction)PyvtkDICOMImageReader_GetPatientName, 1,
   (char*)"V.GetPatientName() -> string\nC++: const char *GetPatientName ();\n\n Get the patient name for the last image processed.\n"},
  {(char*)"GetStudyUID",                (PyCFunction)PyvtkDICOMImageReader_GetStudyUID, 1,
   (char*)"V.GetStudyUID() -> string\nC++: const char *GetStudyUID ();\n\n Get the study uid for the last image processed.\n"},
  {(char*)"GetStudyID",                (PyCFunction)PyvtkDICOMImageReader_GetStudyID, 1,
   (char*)"V.GetStudyID() -> string\nC++: const char *GetStudyID ();\n\n Get the Study ID for the last image processed.\n"},
  {(char*)"GetGantryAngle",                (PyCFunction)PyvtkDICOMImageReader_GetGantryAngle, 1,
   (char*)"V.GetGantryAngle() -> float\nC++: float GetGantryAngle ();\n\n Get the gantry angle for the last image processed.\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkDICOMImageReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *fname);\n\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkDICOMImageReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n Return a descriptive name for the file format that might be useful in a GUI.\n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkDICOMImageReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDICOMImageReaderDoc[] = {
  (char*)"vtkDICOMImageReader - Reads some DICOM images\n\n",
  "Super Class:\n\n vtkImageReader2\n\n",
  (char*)" DICOM (stands for Digital Imaging in COmmunications and Medicine)\n is a medical image file format widely used to exchange data, provided\n by various modalities.\n .SECTION Warnings\n This reader might eventually handle ACR-NEMA file (predecessor of the DICOM\n format for medical images).\n This reader does not handle encapsulated format, only plain raw file are\n handled. This reader also does not han",
  (char*)"dle multi-frames DICOM datasets.\n\n",
  "See Also:\n\n vtkBMPReader vtkPNMReader vtkTIFFReader\n\n",
  NULL
};

static vtkObjectBase *vtkDICOMImageReaderStaticNew()
{
  return vtkDICOMImageReader::New();
}

PyObject *PyVTKClass_vtkDICOMImageReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkDICOMImageReaderStaticNew,
                        PyvtkDICOMImageReaderMethods,
                        (char*)"vtkDICOMImageReader",modulename,
                        (char**)vtkDICOMImageReaderDoc,
                        PyVTKClass_vtkImageReader2New(modulename));
}

