// python wrapper for vtkDataCompressor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataCompressor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataCompressorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataCompressorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDataCompressor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataCompressor *op;

  const char    *temp20;
  op = (vtkDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataCompressor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataCompressor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataCompressor *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataCompressor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataCompressor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataCompressor *op;

  vtkDataCompressor  *temp20;
  op = (vtkDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataCompressor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataCompressor_GetMaximumCompressionSpace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataCompressor *op;

  unsigned long     temp0;
  unsigned long     temp20;
  op = (vtkDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetMaximumCompressionSpace(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataCompressorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataCompressor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataCompressor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataCompressor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataCompressor\nC++: vtkDataCompressor *NewInstance ();\n\n"},
  {(char*)"GetMaximumCompressionSpace",                (PyCFunction)PyvtkDataCompressor_GetMaximumCompressionSpace, 1,
   (char*)"V.GetMaximumCompressionSpace(int) -> int\nC++: virtual unsigned long GetMaximumCompressionSpace (unsigned long size) = 0;\n\n Get the maximum space that may be needed to store data of the\n given uncompressed size after compression.  This is the minimum\n size of the output buffer that can be passed to the four-argument\n Compress method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataCompressorDoc[] = {
  (char*)"vtkDataCompressor - Abstract interface for data compression classes.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkDataCompressor provides a universal interface for data\n compression.  Subclasses provide one compression method and one\n decompression method.  The public interface to all compressors\n remains the same, and is defined by this class.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDataCompressorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDataCompressorMethods,
                        (char*)"vtkDataCompressor",modulename,
                        (char**)vtkDataCompressorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

