// python wrapper for vtkDataObjectReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataObjectReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataObjectReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataObjectReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataReaderNew(char *); }

static PyObject *PyvtkDataObjectReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectReader *op;

  const char    *temp20;
  op = (vtkDataObjectReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataObjectReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectReader *op;

  vtkDataObjectReader  *temp20;
  op = (vtkDataObjectReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataObjectReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataObjectReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataObjectReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectReader *op;

  vtkDataObject  *temp20;
  op = (vtkDataObjectReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectReader *op;

  int      temp0;
  vtkDataObject  *temp20;
  PyErr_Clear();
  op = (vtkDataObjectReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectReader *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataObjectReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkDataObjectReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataObjectReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataObjectReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataObjectReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataObjectReader\nC++: vtkDataObjectReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataObjectReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataObjectReader\nC++: vtkDataObjectReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkDataObjectReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkDataObject\nC++: vtkDataObject *GetOutput ();\nV.GetOutput(int) -> vtkDataObject\nC++: vtkDataObject *GetOutput (int idx);\n\n Get the output field of this reader.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkDataObjectReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkDataObject)\nC++: void SetOutput (vtkDataObject *);\n\n Get the output field of this reader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataObjectReaderDoc[] = {
  (char*)"vtkDataObjectReader - read vtk field data file\n\n",
  "Super Class:\n\n vtkDataReader\n\n",
  (char*)" vtkDataObjectReader is a source object that reads ASCII or binary field\n data files in vtk format. Fields are general matrix structures used\n represent complex data. (See text for format details).  The output of this\n reader is a single vtkDataObject.  The superclass of this class,\n vtkDataReader, provides many methods for controlling the reading of the\n data file, see vtkDataReader for more info",
  (char*)"rmation.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  "See Also:\n\n vtkFieldData vtkDataObjectWriter\n\n",
  NULL
};

static vtkObjectBase *vtkDataObjectReaderStaticNew()
{
  return vtkDataObjectReader::New();
}

PyObject *PyVTKClass_vtkDataObjectReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataObjectReaderStaticNew,
                        PyvtkDataObjectReaderMethods,
                        (char*)"vtkDataObjectReader",modulename,
                        (char**)vtkDataObjectReaderDoc,
                        PyVTKClass_vtkDataReaderNew(modulename));
}

