// python wrapper for vtkDataObjectWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataObjectWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataObjectWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataObjectWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWriterNew(char *); }

static PyObject *PyvtkDataObjectWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  const char    *temp20;
  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  vtkDataObjectWriter  *temp20;
  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataObjectWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataObjectWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  char    *temp0;
  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  char    *temp20;
  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectWriter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_SetHeader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  char    *temp0;
  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectWriter::SetHeader(temp0);
      }
    else
      {
      op->SetHeader(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_GetHeader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  char    *temp20;
  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectWriter::GetHeader();
      }
    else
      {
      temp20 = op->GetHeader();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_SetFileType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  int      temp0;
  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectWriter::SetFileType(temp0);
      }
    else
      {
      op->SetFileType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_GetFileType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  int      temp20;
  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectWriter::GetFileType();
      }
    else
      {
      temp20 = op->GetFileType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_SetFileTypeToASCII(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectWriter::SetFileTypeToASCII();
      }
    else
      {
      op->SetFileTypeToASCII();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_SetFileTypeToBinary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectWriter::SetFileTypeToBinary();
      }
    else
      {
      op->SetFileTypeToBinary();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_SetFieldDataName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  char    *temp0;
  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectWriter::SetFieldDataName(temp0);
      }
    else
      {
      op->SetFieldDataName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectWriter_GetFieldDataName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectWriter *op;

  char    *temp20;
  op = (vtkDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectWriter::GetFieldDataName();
      }
    else
      {
      temp20 = op->GetFieldDataName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataObjectWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataObjectWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataObjectWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataObjectWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataObjectWriter\nC++: vtkDataObjectWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataObjectWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataObjectWriter\nC++: vtkDataObjectWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkDataObjectWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (const char *filename);this Writer SetFileName filename \n\n Methods delegated to vtkDataWriter, see vtkDataWriter.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkDataObjectWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();return this Writer GetFileName \n\n Methods delegated to vtkDataWriter, see vtkDataWriter.\n"},
  {(char*)"SetHeader",                (PyCFunction)PyvtkDataObjectWriter_SetHeader, 1,
   (char*)"V.SetHeader(string)\nC++: void SetHeader (const char *header);this Writer SetHeader header \n\n Methods delegated to vtkDataWriter, see vtkDataWriter.\n"},
  {(char*)"GetHeader",                (PyCFunction)PyvtkDataObjectWriter_GetHeader, 1,
   (char*)"V.GetHeader() -> string\nC++: char *GetHeader ();return this Writer GetHeader \n\n Methods delegated to vtkDataWriter, see vtkDataWriter.\n"},
  {(char*)"SetFileType",                (PyCFunction)PyvtkDataObjectWriter_SetFileType, 1,
   (char*)"V.SetFileType(int)\nC++: void SetFileType (int type);this Writer SetFileType type \n\n Methods delegated to vtkDataWriter, see vtkDataWriter.\n"},
  {(char*)"GetFileType",                (PyCFunction)PyvtkDataObjectWriter_GetFileType, 1,
   (char*)"V.GetFileType() -> int\nC++: int GetFileType ();return this Writer GetFileType \n\n Methods delegated to vtkDataWriter, see vtkDataWriter.\n"},
  {(char*)"SetFileTypeToASCII",                (PyCFunction)PyvtkDataObjectWriter_SetFileTypeToASCII, 1,
   (char*)"V.SetFileTypeToASCII()\nC++: void SetFileTypeToASCII ();this Writer SetFileType VTK_ASCII \n\n Methods delegated to vtkDataWriter, see vtkDataWriter.\n"},
  {(char*)"SetFileTypeToBinary",                (PyCFunction)PyvtkDataObjectWriter_SetFileTypeToBinary, 1,
   (char*)"V.SetFileTypeToBinary()\nC++: void SetFileTypeToBinary ();this Writer SetFileType VTK_BINARY \n\n Methods delegated to vtkDataWriter, see vtkDataWriter.\n"},
  {(char*)"SetFieldDataName",                (PyCFunction)PyvtkDataObjectWriter_SetFieldDataName, 1,
   (char*)"V.SetFieldDataName(string)\nC++: void SetFieldDataName (const char *fieldname);this Writer SetFieldDataName fieldname \n\n Methods delegated to vtkDataWriter, see vtkDataWriter.\n"},
  {(char*)"GetFieldDataName",                (PyCFunction)PyvtkDataObjectWriter_GetFieldDataName, 1,
   (char*)"V.GetFieldDataName() -> string\nC++: char *GetFieldDataName ();return this Writer GetFieldDataName \n\n Methods delegated to vtkDataWriter, see vtkDataWriter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataObjectWriterDoc[] = {
  (char*)"vtkDataObjectWriter - write vtk field data\n\n",
  "Super Class:\n\n vtkWriter\n\n",
  (char*)" vtkDataObjectWriter is a source object that writes ASCII or binary \n field data files in vtk format. Field data is a general form of data in\n matrix form.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  "See Also:\n\n vtkFieldData vtkFieldDataReader\n\n",
  NULL
};

static vtkObjectBase *vtkDataObjectWriterStaticNew()
{
  return vtkDataObjectWriter::New();
}

PyObject *PyVTKClass_vtkDataObjectWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataObjectWriterStaticNew,
                        PyvtkDataObjectWriterMethods,
                        (char*)"vtkDataObjectWriter",modulename,
                        (char**)vtkDataObjectWriterDoc,
                        PyVTKClass_vtkWriterNew(modulename));
}

