// python wrapper for vtkDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  const char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkDataReader  *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_IsFileValid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::IsFileValid(temp0);
      }
    else
      {
      temp20 = op->IsFileValid(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_IsFileStructuredPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::IsFileStructuredPoints();
      }
    else
      {
      temp20 = op->IsFileStructuredPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_IsFilePolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::IsFilePolyData();
      }
    else
      {
      temp20 = op->IsFilePolyData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_IsFileStructuredGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::IsFileStructuredGrid();
      }
    else
      {
      temp20 = op->IsFileStructuredGrid();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_IsFileUnstructuredGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::IsFileUnstructuredGrid();
      }
    else
      {
      temp20 = op->IsFileUnstructuredGrid();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_IsFileRectilinearGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::IsFileRectilinearGrid();
      }
    else
      {
      temp20 = op->IsFileRectilinearGrid();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetInputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetInputString(temp0);
      }
    else
      {
      op->SetInputString(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetInputString(temp0,temp1);
      }
    else
      {
      op->SetInputString(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetInputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetInputString();
      }
    else
      {
      temp20 = op->GetInputString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetInputStringLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetInputStringLength();
      }
    else
      {
      temp20 = op->GetInputStringLength();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetBinaryInputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetBinaryInputString(temp0,temp1);
      }
    else
      {
      op->SetBinaryInputString(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetInputArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkCharArray  *temp0;
  PyObject *tempH0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCharArray");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetInputArray(temp0);
      }
    else
      {
      op->SetInputArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkDataReader_GetInputArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkCharArray  *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetInputArray();
      }
    else
      {
      temp20 = op->GetInputArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetHeader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetHeader();
      }
    else
      {
      temp20 = op->GetHeader();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetReadFromInputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetReadFromInputString(temp0);
      }
    else
      {
      op->SetReadFromInputString(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetReadFromInputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetReadFromInputString();
      }
    else
      {
      temp20 = op->GetReadFromInputString();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadFromInputStringOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadFromInputStringOn();
      }
    else
      {
      op->ReadFromInputStringOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadFromInputStringOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadFromInputStringOff();
      }
    else
      {
      op->ReadFromInputStringOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetFileType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetFileType();
      }
    else
      {
      temp20 = op->GetFileType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetNumberOfScalarsInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetNumberOfScalarsInFile();
      }
    else
      {
      temp20 = op->GetNumberOfScalarsInFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetNumberOfVectorsInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetNumberOfVectorsInFile();
      }
    else
      {
      temp20 = op->GetNumberOfVectorsInFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetNumberOfTensorsInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetNumberOfTensorsInFile();
      }
    else
      {
      temp20 = op->GetNumberOfTensorsInFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetNumberOfNormalsInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetNumberOfNormalsInFile();
      }
    else
      {
      temp20 = op->GetNumberOfNormalsInFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetNumberOfTCoordsInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetNumberOfTCoordsInFile();
      }
    else
      {
      temp20 = op->GetNumberOfTCoordsInFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetNumberOfFieldDataInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetNumberOfFieldDataInFile();
      }
    else
      {
      temp20 = op->GetNumberOfFieldDataInFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetScalarsNameInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetScalarsNameInFile(temp0);
      }
    else
      {
      temp20 = op->GetScalarsNameInFile(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetVectorsNameInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetVectorsNameInFile(temp0);
      }
    else
      {
      temp20 = op->GetVectorsNameInFile(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetTensorsNameInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetTensorsNameInFile(temp0);
      }
    else
      {
      temp20 = op->GetTensorsNameInFile(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetNormalsNameInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetNormalsNameInFile(temp0);
      }
    else
      {
      temp20 = op->GetNormalsNameInFile(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetTCoordsNameInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetTCoordsNameInFile(temp0);
      }
    else
      {
      temp20 = op->GetTCoordsNameInFile(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetFieldDataNameInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetFieldDataNameInFile(temp0);
      }
    else
      {
      temp20 = op->GetFieldDataNameInFile(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetScalarsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetScalarsName(temp0);
      }
    else
      {
      op->SetScalarsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetScalarsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetScalarsName();
      }
    else
      {
      temp20 = op->GetScalarsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetVectorsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetVectorsName(temp0);
      }
    else
      {
      op->SetVectorsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetVectorsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetVectorsName();
      }
    else
      {
      temp20 = op->GetVectorsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetTensorsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetTensorsName(temp0);
      }
    else
      {
      op->SetTensorsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetTensorsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetTensorsName();
      }
    else
      {
      temp20 = op->GetTensorsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetNormalsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetNormalsName(temp0);
      }
    else
      {
      op->SetNormalsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetNormalsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetNormalsName();
      }
    else
      {
      temp20 = op->GetNormalsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetTCoordsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetTCoordsName(temp0);
      }
    else
      {
      op->SetTCoordsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetTCoordsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetTCoordsName();
      }
    else
      {
      temp20 = op->GetTCoordsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetLookupTableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetLookupTableName(temp0);
      }
    else
      {
      op->SetLookupTableName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetLookupTableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetLookupTableName();
      }
    else
      {
      temp20 = op->GetLookupTableName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetFieldDataName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetFieldDataName(temp0);
      }
    else
      {
      op->SetFieldDataName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetFieldDataName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetFieldDataName();
      }
    else
      {
      temp20 = op->GetFieldDataName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetReadAllScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetReadAllScalars(temp0);
      }
    else
      {
      op->SetReadAllScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetReadAllScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetReadAllScalars();
      }
    else
      {
      temp20 = op->GetReadAllScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllScalarsOn();
      }
    else
      {
      op->ReadAllScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllScalarsOff();
      }
    else
      {
      op->ReadAllScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetReadAllVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetReadAllVectors(temp0);
      }
    else
      {
      op->SetReadAllVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetReadAllVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetReadAllVectors();
      }
    else
      {
      temp20 = op->GetReadAllVectors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllVectorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllVectorsOn();
      }
    else
      {
      op->ReadAllVectorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllVectorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllVectorsOff();
      }
    else
      {
      op->ReadAllVectorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetReadAllNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetReadAllNormals(temp0);
      }
    else
      {
      op->SetReadAllNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetReadAllNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetReadAllNormals();
      }
    else
      {
      temp20 = op->GetReadAllNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllNormalsOn();
      }
    else
      {
      op->ReadAllNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllNormalsOff();
      }
    else
      {
      op->ReadAllNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetReadAllTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetReadAllTensors(temp0);
      }
    else
      {
      op->SetReadAllTensors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetReadAllTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetReadAllTensors();
      }
    else
      {
      temp20 = op->GetReadAllTensors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllTensorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllTensorsOn();
      }
    else
      {
      op->ReadAllTensorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllTensorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllTensorsOff();
      }
    else
      {
      op->ReadAllTensorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetReadAllColorScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetReadAllColorScalars(temp0);
      }
    else
      {
      op->SetReadAllColorScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetReadAllColorScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetReadAllColorScalars();
      }
    else
      {
      temp20 = op->GetReadAllColorScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllColorScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllColorScalarsOn();
      }
    else
      {
      op->ReadAllColorScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllColorScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllColorScalarsOff();
      }
    else
      {
      op->ReadAllColorScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetReadAllTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetReadAllTCoords(temp0);
      }
    else
      {
      op->SetReadAllTCoords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetReadAllTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetReadAllTCoords();
      }
    else
      {
      temp20 = op->GetReadAllTCoords();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllTCoordsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllTCoordsOn();
      }
    else
      {
      op->ReadAllTCoordsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllTCoordsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllTCoordsOff();
      }
    else
      {
      op->ReadAllTCoordsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_SetReadAllFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp0;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::SetReadAllFields(temp0);
      }
    else
      {
      op->SetReadAllFields(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_GetReadAllFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::GetReadAllFields();
      }
    else
      {
      temp20 = op->GetReadAllFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllFieldsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllFieldsOn();
      }
    else
      {
      op->ReadAllFieldsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadAllFieldsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::ReadAllFieldsOff();
      }
    else
      {
      op->ReadAllFieldsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_OpenVTKFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::OpenVTKFile();
      }
    else
      {
      temp20 = op->OpenVTKFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadHeader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::ReadHeader();
      }
    else
      {
      temp20 = op->ReadHeader();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break81;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::ReadCellData(temp0,temp1);
      }
    else
      {
      temp20 = op->ReadCellData(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break81:
  return NULL;
}


static PyObject *PyvtkDataReader_ReadPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break82;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::ReadPointData(temp0,temp1);
      }
    else
      {
      temp20 = op->ReadPointData(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break82:
  return NULL;
}


static PyObject *PyvtkDataReader_ReadPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkPointSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkPointSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointSet");
    if (!temp0 && tempH0 != Py_None) goto break83;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::ReadPoints(temp0,temp1);
      }
    else
      {
      temp20 = op->ReadPoints(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break83:
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break84;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::ReadPoints(temp0,temp1);
      }
    else
      {
      temp20 = op->ReadPoints(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break84:
  return NULL;
}


static PyObject *PyvtkDataReader_ReadVertexData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break85;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::ReadVertexData(temp0,temp1);
      }
    else
      {
      temp20 = op->ReadVertexData(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break85:
  return NULL;
}


static PyObject *PyvtkDataReader_ReadEdgeData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break86;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::ReadEdgeData(temp0,temp1);
      }
    else
      {
      temp20 = op->ReadEdgeData(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break86:
  return NULL;
}


static PyObject *PyvtkDataReader_ReadCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkRectilinearGrid  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkRectilinearGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRectilinearGrid");
    if (!temp0 && tempH0 != Py_None) goto break87;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::ReadCoordinates(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ReadCoordinates(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break87:
  return NULL;
}


static PyObject *PyvtkDataReader_ReadArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  vtkAbstractArray  *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"zii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::ReadArray(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ReadArray(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkFieldData  *temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::ReadFieldData();
      }
    else
      {
      temp20 = op->ReadFieldData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_CloseVTKFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataReader::CloseVTKFile();
      }
    else
      {
      op->CloseVTKFile();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataReader_ReadMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkDataReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break91;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataReader::ReadMetaData(temp0);
      }
    else
      {
      temp20 = op->ReadMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break91:
  return NULL;
}

static PyMethodDef PyvtkDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataReader\nC++: vtkDataReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataReader\nC++: vtkDataReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkDataReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of vtk data file to read.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkDataReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of vtk data file to read.\n"},
  {(char*)"IsFileValid",                (PyCFunction)PyvtkDataReader_IsFileValid, 1,
   (char*)"V.IsFileValid(string) -> int\nC++: int IsFileValid (const char *dstype);\n\n Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n"},
  {(char*)"IsFileStructuredPoints",                (PyCFunction)PyvtkDataReader_IsFileStructuredPoints, 1,
   (char*)"V.IsFileStructuredPoints() -> int\nC++: int IsFileStructuredPoints ();return this IsFileValid \n\n Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n"},
  {(char*)"IsFilePolyData",                (PyCFunction)PyvtkDataReader_IsFilePolyData, 1,
   (char*)"V.IsFilePolyData() -> int\nC++: int IsFilePolyData ();return this IsFileValid \n\n Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n"},
  {(char*)"IsFileStructuredGrid",                (PyCFunction)PyvtkDataReader_IsFileStructuredGrid, 1,
   (char*)"V.IsFileStructuredGrid() -> int\nC++: int IsFileStructuredGrid ();return this IsFileValid \n\n Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n"},
  {(char*)"IsFileUnstructuredGrid",                (PyCFunction)PyvtkDataReader_IsFileUnstructuredGrid, 1,
   (char*)"V.IsFileUnstructuredGrid() -> int\nC++: int IsFileUnstructuredGrid ();return this IsFileValid \n\n Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n"},
  {(char*)"IsFileRectilinearGrid",                (PyCFunction)PyvtkDataReader_IsFileRectilinearGrid, 1,
   (char*)"V.IsFileRectilinearGrid() -> int\nC++: int IsFileRectilinearGrid ();return this IsFileValid \n\n Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n"},
  {(char*)"SetInputString",                (PyCFunction)PyvtkDataReader_SetInputString, 1,
   (char*)"V.SetInputString(string)\nC++: void SetInputString (const char *in);\nV.SetInputString(string, int)\nC++: void SetInputString (const char *in, int len);\n\n Specify the InputString for use when reading from a character array.\n Optionally include the length for binary strings. Note that a copy\n of the string is made and stored. If this causes exceedingly large\n memory consumption, consider using InputArray instead.\n"},
  {(char*)"GetInputString",                (PyCFunction)PyvtkDataReader_GetInputString, 1,
   (char*)"V.GetInputString() -> string\nC++: char *GetInputString ();\n\n Specify the InputString for use when reading from a character array.\n Optionally include the length for binary strings. Note that a copy\n of the string is made and stored. If this causes exceedingly large\n memory consumption, consider using InputArray instead.\n"},
  {(char*)"GetInputStringLength",                (PyCFunction)PyvtkDataReader_GetInputStringLength, 1,
   (char*)"V.GetInputStringLength() -> int\nC++: int GetInputStringLength ();\n\n Specify the InputString for use when reading from a character array.\n Optionally include the length for binary strings. Note that a copy\n of the string is made and stored. If this causes exceedingly large\n memory consumption, consider using InputArray instead.\n"},
  {(char*)"SetBinaryInputString",                (PyCFunction)PyvtkDataReader_SetBinaryInputString, 1,
   (char*)"V.SetBinaryInputString(string, int)\nC++: void SetBinaryInputString (const char *, int len);\n\n Specify the InputString for use when reading from a character array.\n Optionally include the length for binary strings. Note that a copy\n of the string is made and stored. If this causes exceedingly large\n memory consumption, consider using InputArray instead.\n"},
  {(char*)"SetInputArray",                (PyCFunction)PyvtkDataReader_SetInputArray, 1,
   (char*)"V.SetInputArray(vtkCharArray)\nC++: virtual void SetInputArray (vtkCharArray *);\n\n Specify the vtkCharArray to be used  when reading from a string.\n If set, this array has precendence over InputString.\n Use this instead of InputString to avoid the extra memory copy.\n It should be noted that if the underlying char* is owned by the\n user ( vtkCharArray::SetArray(array, 1); ) and is deleted before\n the reader, bad things will happen during a pipeline update.\n"},
  {(char*)"GetInputArray",                (PyCFunction)PyvtkDataReader_GetInputArray, 1,
   (char*)"V.GetInputArray() -> vtkCharArray\nC++: vtkCharArray *GetInputArray ();\n\n Specify the vtkCharArray to be used  when reading from a string.\n If set, this array has precendence over InputString.\n Use this instead of InputString to avoid the extra memory copy.\n It should be noted that if the underlying char* is owned by the\n user ( vtkCharArray::SetArray(array, 1); ) and is deleted before\n the reader, bad things will happen during a pipeline update.\n"},
  {(char*)"GetHeader",                (PyCFunction)PyvtkDataReader_GetHeader, 1,
   (char*)"V.GetHeader() -> string\nC++: char *GetHeader ();\n\n Get the header from the vtk data file.\n"},
  {(char*)"SetReadFromInputString",                (PyCFunction)PyvtkDataReader_SetReadFromInputString, 1,
   (char*)"V.SetReadFromInputString(int)\nC++: void SetReadFromInputString (int );\n\n Enable reading from an InputString or InputArray instead of the default, \n a file.\n"},
  {(char*)"GetReadFromInputString",                (PyCFunction)PyvtkDataReader_GetReadFromInputString, 1,
   (char*)"V.GetReadFromInputString() -> int\nC++: int GetReadFromInputString ();\n\n Enable reading from an InputString or InputArray instead of the default, \n a file.\n"},
  {(char*)"ReadFromInputStringOn",                (PyCFunction)PyvtkDataReader_ReadFromInputStringOn, 1,
   (char*)"V.ReadFromInputStringOn()\nC++: void ReadFromInputStringOn ();\n\n Enable reading from an InputString or InputArray instead of the default, \n a file.\n"},
  {(char*)"ReadFromInputStringOff",                (PyCFunction)PyvtkDataReader_ReadFromInputStringOff, 1,
   (char*)"V.ReadFromInputStringOff()\nC++: void ReadFromInputStringOff ();\n\n Enable reading from an InputString or InputArray instead of the default, \n a file.\n"},
  {(char*)"GetFileType",                (PyCFunction)PyvtkDataReader_GetFileType, 1,
   (char*)"V.GetFileType() -> int\nC++: int GetFileType ();\n\n Get the type of file (ASCII or BINARY). Returned value only valid\n after file has been read.\n"},
  {(char*)"GetNumberOfScalarsInFile",                (PyCFunction)PyvtkDataReader_GetNumberOfScalarsInFile, 1,
   (char*)"V.GetNumberOfScalarsInFile() -> int\nC++: int GetNumberOfScalarsInFile ();this CharacterizeFile return this NumberOfScalarsInFile \n\n How many attributes of various types are in this file? This \n requires reading the file, so the filename must be set prior \n to invoking this operation. (Note: file characteristics are\n cached, so only a single read is necessary to return file\n characteristics.)\n"},
  {(char*)"GetNumberOfVectorsInFile",                (PyCFunction)PyvtkDataReader_GetNumberOfVectorsInFile, 1,
   (char*)"V.GetNumberOfVectorsInFile() -> int\nC++: int GetNumberOfVectorsInFile ();this CharacterizeFile return this NumberOfVectorsInFile \n\n How many attributes of various types are in this file? This \n requires reading the file, so the filename must be set prior \n to invoking this operation. (Note: file characteristics are\n cached, so only a single read is necessary to return file\n characteristics.)\n"},
  {(char*)"GetNumberOfTensorsInFile",                (PyCFunction)PyvtkDataReader_GetNumberOfTensorsInFile, 1,
   (char*)"V.GetNumberOfTensorsInFile() -> int\nC++: int GetNumberOfTensorsInFile ();this CharacterizeFile return this NumberOfTensorsInFile \n\n How many attributes of various types are in this file? This \n requires reading the file, so the filename must be set prior \n to invoking this operation. (Note: file characteristics are\n cached, so only a single read is necessary to return file\n characteristics.)\n"},
  {(char*)"GetNumberOfNormalsInFile",                (PyCFunction)PyvtkDataReader_GetNumberOfNormalsInFile, 1,
   (char*)"V.GetNumberOfNormalsInFile() -> int\nC++: int GetNumberOfNormalsInFile ();this CharacterizeFile return this NumberOfNormalsInFile \n\n How many attributes of various types are in this file? This \n requires reading the file, so the filename must be set prior \n to invoking this operation. (Note: file characteristics are\n cached, so only a single read is necessary to return file\n characteristics.)\n"},
  {(char*)"GetNumberOfTCoordsInFile",                (PyCFunction)PyvtkDataReader_GetNumberOfTCoordsInFile, 1,
   (char*)"V.GetNumberOfTCoordsInFile() -> int\nC++: int GetNumberOfTCoordsInFile ();this CharacterizeFile return this NumberOfTCoordsInFile \n\n How many attributes of various types are in this file? This \n requires reading the file, so the filename must be set prior \n to invoking this operation. (Note: file characteristics are\n cached, so only a single read is necessary to return file\n characteristics.)\n"},
  {(char*)"GetNumberOfFieldDataInFile",                (PyCFunction)PyvtkDataReader_GetNumberOfFieldDataInFile, 1,
   (char*)"V.GetNumberOfFieldDataInFile() -> int\nC++: int GetNumberOfFieldDataInFile ();this CharacterizeFile return this NumberOfFieldDataInFile \n\n What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n"},
  {(char*)"GetScalarsNameInFile",                (PyCFunction)PyvtkDataReader_GetScalarsNameInFile, 1,
   (char*)"V.GetScalarsNameInFile(int) -> string\nC++: const char *GetScalarsNameInFile (int i);\n\n What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n"},
  {(char*)"GetVectorsNameInFile",                (PyCFunction)PyvtkDataReader_GetVectorsNameInFile, 1,
   (char*)"V.GetVectorsNameInFile(int) -> string\nC++: const char *GetVectorsNameInFile (int i);\n\n What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n"},
  {(char*)"GetTensorsNameInFile",                (PyCFunction)PyvtkDataReader_GetTensorsNameInFile, 1,
   (char*)"V.GetTensorsNameInFile(int) -> string\nC++: const char *GetTensorsNameInFile (int i);\n\n What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n"},
  {(char*)"GetNormalsNameInFile",                (PyCFunction)PyvtkDataReader_GetNormalsNameInFile, 1,
   (char*)"V.GetNormalsNameInFile(int) -> string\nC++: const char *GetNormalsNameInFile (int i);\n\n What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n"},
  {(char*)"GetTCoordsNameInFile",                (PyCFunction)PyvtkDataReader_GetTCoordsNameInFile, 1,
   (char*)"V.GetTCoordsNameInFile(int) -> string\nC++: const char *GetTCoordsNameInFile (int i);\n\n What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n"},
  {(char*)"GetFieldDataNameInFile",                (PyCFunction)PyvtkDataReader_GetFieldDataNameInFile, 1,
   (char*)"V.GetFieldDataNameInFile(int) -> string\nC++: const char *GetFieldDataNameInFile (int i);\n\n What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n"},
  {(char*)"SetScalarsName",                (PyCFunction)PyvtkDataReader_SetScalarsName, 1,
   (char*)"V.SetScalarsName(string)\nC++: void SetScalarsName (char *);\n\n Set the name of the scalar data to extract. If not specified, first \n scalar data encountered is extracted.\n"},
  {(char*)"GetScalarsName",                (PyCFunction)PyvtkDataReader_GetScalarsName, 1,
   (char*)"V.GetScalarsName() -> string\nC++: char *GetScalarsName ();\n\n Set the name of the scalar data to extract. If not specified, first \n scalar data encountered is extracted.\n"},
  {(char*)"SetVectorsName",                (PyCFunction)PyvtkDataReader_SetVectorsName, 1,
   (char*)"V.SetVectorsName(string)\nC++: void SetVectorsName (char *);\n\n Set the name of the vector data to extract. If not specified, first \n vector data encountered is extracted.\n"},
  {(char*)"GetVectorsName",                (PyCFunction)PyvtkDataReader_GetVectorsName, 1,
   (char*)"V.GetVectorsName() -> string\nC++: char *GetVectorsName ();\n\n Set the name of the vector data to extract. If not specified, first \n vector data encountered is extracted.\n"},
  {(char*)"SetTensorsName",                (PyCFunction)PyvtkDataReader_SetTensorsName, 1,
   (char*)"V.SetTensorsName(string)\nC++: void SetTensorsName (char *);\n\n Set the name of the tensor data to extract. If not specified, first \n tensor data encountered is extracted.\n"},
  {(char*)"GetTensorsName",                (PyCFunction)PyvtkDataReader_GetTensorsName, 1,
   (char*)"V.GetTensorsName() -> string\nC++: char *GetTensorsName ();\n\n Set the name of the tensor data to extract. If not specified, first \n tensor data encountered is extracted.\n"},
  {(char*)"SetNormalsName",                (PyCFunction)PyvtkDataReader_SetNormalsName, 1,
   (char*)"V.SetNormalsName(string)\nC++: void SetNormalsName (char *);\n\n Set the name of the normal data to extract. If not specified, first \n normal data encountered is extracted.\n"},
  {(char*)"GetNormalsName",                (PyCFunction)PyvtkDataReader_GetNormalsName, 1,
   (char*)"V.GetNormalsName() -> string\nC++: char *GetNormalsName ();\n\n Set the name of the normal data to extract. If not specified, first \n normal data encountered is extracted.\n"},
  {(char*)"SetTCoordsName",                (PyCFunction)PyvtkDataReader_SetTCoordsName, 1,
   (char*)"V.SetTCoordsName(string)\nC++: void SetTCoordsName (char *);\n\n Set the name of the texture coordinate data to extract. If not specified,\n first texture coordinate data encountered is extracted.\n"},
  {(char*)"GetTCoordsName",                (PyCFunction)PyvtkDataReader_GetTCoordsName, 1,
   (char*)"V.GetTCoordsName() -> string\nC++: char *GetTCoordsName ();\n\n Set the name of the texture coordinate data to extract. If not specified,\n first texture coordinate data encountered is extracted.\n"},
  {(char*)"SetLookupTableName",                (PyCFunction)PyvtkDataReader_SetLookupTableName, 1,
   (char*)"V.SetLookupTableName(string)\nC++: void SetLookupTableName (char *);\n\n Set the name of the lookup table data to extract. If not specified, uses \n lookup table named by scalar. Otherwise, this specification supersedes.\n"},
  {(char*)"GetLookupTableName",                (PyCFunction)PyvtkDataReader_GetLookupTableName, 1,
   (char*)"V.GetLookupTableName() -> string\nC++: char *GetLookupTableName ();\n\n Set the name of the lookup table data to extract. If not specified, uses \n lookup table named by scalar. Otherwise, this specification supersedes.\n"},
  {(char*)"SetFieldDataName",                (PyCFunction)PyvtkDataReader_SetFieldDataName, 1,
   (char*)"V.SetFieldDataName(string)\nC++: void SetFieldDataName (char *);\n\n Set the name of the field data to extract. If not specified, uses \n first field data encountered in file.\n"},
  {(char*)"GetFieldDataName",                (PyCFunction)PyvtkDataReader_GetFieldDataName, 1,
   (char*)"V.GetFieldDataName() -> string\nC++: char *GetFieldDataName ();\n\n Set the name of the field data to extract. If not specified, uses \n first field data encountered in file.\n"},
  {(char*)"SetReadAllScalars",                (PyCFunction)PyvtkDataReader_SetReadAllScalars, 1,
   (char*)"V.SetReadAllScalars(int)\nC++: void SetReadAllScalars (int );\n\n Enable reading all scalars. \n"},
  {(char*)"GetReadAllScalars",                (PyCFunction)PyvtkDataReader_GetReadAllScalars, 1,
   (char*)"V.GetReadAllScalars() -> int\nC++: int GetReadAllScalars ();\n\n Enable reading all scalars. \n"},
  {(char*)"ReadAllScalarsOn",                (PyCFunction)PyvtkDataReader_ReadAllScalarsOn, 1,
   (char*)"V.ReadAllScalarsOn()\nC++: void ReadAllScalarsOn ();\n\n Enable reading all scalars. \n"},
  {(char*)"ReadAllScalarsOff",                (PyCFunction)PyvtkDataReader_ReadAllScalarsOff, 1,
   (char*)"V.ReadAllScalarsOff()\nC++: void ReadAllScalarsOff ();\n\n Enable reading all scalars. \n"},
  {(char*)"SetReadAllVectors",                (PyCFunction)PyvtkDataReader_SetReadAllVectors, 1,
   (char*)"V.SetReadAllVectors(int)\nC++: void SetReadAllVectors (int );\n\n Enable reading all vectors. \n"},
  {(char*)"GetReadAllVectors",                (PyCFunction)PyvtkDataReader_GetReadAllVectors, 1,
   (char*)"V.GetReadAllVectors() -> int\nC++: int GetReadAllVectors ();\n\n Enable reading all vectors. \n"},
  {(char*)"ReadAllVectorsOn",                (PyCFunction)PyvtkDataReader_ReadAllVectorsOn, 1,
   (char*)"V.ReadAllVectorsOn()\nC++: void ReadAllVectorsOn ();\n\n Enable reading all vectors. \n"},
  {(char*)"ReadAllVectorsOff",                (PyCFunction)PyvtkDataReader_ReadAllVectorsOff, 1,
   (char*)"V.ReadAllVectorsOff()\nC++: void ReadAllVectorsOff ();\n\n Enable reading all vectors. \n"},
  {(char*)"SetReadAllNormals",                (PyCFunction)PyvtkDataReader_SetReadAllNormals, 1,
   (char*)"V.SetReadAllNormals(int)\nC++: void SetReadAllNormals (int );\n\n Enable reading all normals. \n"},
  {(char*)"GetReadAllNormals",                (PyCFunction)PyvtkDataReader_GetReadAllNormals, 1,
   (char*)"V.GetReadAllNormals() -> int\nC++: int GetReadAllNormals ();\n\n Enable reading all normals. \n"},
  {(char*)"ReadAllNormalsOn",                (PyCFunction)PyvtkDataReader_ReadAllNormalsOn, 1,
   (char*)"V.ReadAllNormalsOn()\nC++: void ReadAllNormalsOn ();\n\n Enable reading all normals. \n"},
  {(char*)"ReadAllNormalsOff",                (PyCFunction)PyvtkDataReader_ReadAllNormalsOff, 1,
   (char*)"V.ReadAllNormalsOff()\nC++: void ReadAllNormalsOff ();\n\n Enable reading all normals. \n"},
  {(char*)"SetReadAllTensors",                (PyCFunction)PyvtkDataReader_SetReadAllTensors, 1,
   (char*)"V.SetReadAllTensors(int)\nC++: void SetReadAllTensors (int );\n\n Enable reading all tensors. \n"},
  {(char*)"GetReadAllTensors",                (PyCFunction)PyvtkDataReader_GetReadAllTensors, 1,
   (char*)"V.GetReadAllTensors() -> int\nC++: int GetReadAllTensors ();\n\n Enable reading all tensors. \n"},
  {(char*)"ReadAllTensorsOn",                (PyCFunction)PyvtkDataReader_ReadAllTensorsOn, 1,
   (char*)"V.ReadAllTensorsOn()\nC++: void ReadAllTensorsOn ();\n\n Enable reading all tensors. \n"},
  {(char*)"ReadAllTensorsOff",                (PyCFunction)PyvtkDataReader_ReadAllTensorsOff, 1,
   (char*)"V.ReadAllTensorsOff()\nC++: void ReadAllTensorsOff ();\n\n Enable reading all tensors. \n"},
  {(char*)"SetReadAllColorScalars",                (PyCFunction)PyvtkDataReader_SetReadAllColorScalars, 1,
   (char*)"V.SetReadAllColorScalars(int)\nC++: void SetReadAllColorScalars (int );\n\n Enable reading all color scalars. \n"},
  {(char*)"GetReadAllColorScalars",                (PyCFunction)PyvtkDataReader_GetReadAllColorScalars, 1,
   (char*)"V.GetReadAllColorScalars() -> int\nC++: int GetReadAllColorScalars ();\n\n Enable reading all color scalars. \n"},
  {(char*)"ReadAllColorScalarsOn",                (PyCFunction)PyvtkDataReader_ReadAllColorScalarsOn, 1,
   (char*)"V.ReadAllColorScalarsOn()\nC++: void ReadAllColorScalarsOn ();\n\n Enable reading all color scalars. \n"},
  {(char*)"ReadAllColorScalarsOff",                (PyCFunction)PyvtkDataReader_ReadAllColorScalarsOff, 1,
   (char*)"V.ReadAllColorScalarsOff()\nC++: void ReadAllColorScalarsOff ();\n\n Enable reading all color scalars. \n"},
  {(char*)"SetReadAllTCoords",                (PyCFunction)PyvtkDataReader_SetReadAllTCoords, 1,
   (char*)"V.SetReadAllTCoords(int)\nC++: void SetReadAllTCoords (int );\n\n Enable reading all tcoords. \n"},
  {(char*)"GetReadAllTCoords",                (PyCFunction)PyvtkDataReader_GetReadAllTCoords, 1,
   (char*)"V.GetReadAllTCoords() -> int\nC++: int GetReadAllTCoords ();\n\n Enable reading all tcoords. \n"},
  {(char*)"ReadAllTCoordsOn",                (PyCFunction)PyvtkDataReader_ReadAllTCoordsOn, 1,
   (char*)"V.ReadAllTCoordsOn()\nC++: void ReadAllTCoordsOn ();\n\n Enable reading all tcoords. \n"},
  {(char*)"ReadAllTCoordsOff",                (PyCFunction)PyvtkDataReader_ReadAllTCoordsOff, 1,
   (char*)"V.ReadAllTCoordsOff()\nC++: void ReadAllTCoordsOff ();\n\n Enable reading all tcoords. \n"},
  {(char*)"SetReadAllFields",                (PyCFunction)PyvtkDataReader_SetReadAllFields, 1,
   (char*)"V.SetReadAllFields(int)\nC++: void SetReadAllFields (int );\n\n Enable reading all fields. \n"},
  {(char*)"GetReadAllFields",                (PyCFunction)PyvtkDataReader_GetReadAllFields, 1,
   (char*)"V.GetReadAllFields() -> int\nC++: int GetReadAllFields ();\n\n Enable reading all fields. \n"},
  {(char*)"ReadAllFieldsOn",                (PyCFunction)PyvtkDataReader_ReadAllFieldsOn, 1,
   (char*)"V.ReadAllFieldsOn()\nC++: void ReadAllFieldsOn ();\n\n Enable reading all fields. \n"},
  {(char*)"ReadAllFieldsOff",                (PyCFunction)PyvtkDataReader_ReadAllFieldsOff, 1,
   (char*)"V.ReadAllFieldsOff()\nC++: void ReadAllFieldsOff ();\n\n Enable reading all fields. \n"},
  {(char*)"OpenVTKFile",                (PyCFunction)PyvtkDataReader_OpenVTKFile, 1,
   (char*)"V.OpenVTKFile() -> int\nC++: int OpenVTKFile ();\n\n Open a vtk data file. Returns zero if error.\n"},
  {(char*)"ReadHeader",                (PyCFunction)PyvtkDataReader_ReadHeader, 1,
   (char*)"V.ReadHeader() -> int\nC++: int ReadHeader ();\n\n Read the header of a vtk data file. Returns 0 if error.\n"},
  {(char*)"ReadCellData",                (PyCFunction)PyvtkDataReader_ReadCellData, 1,
   (char*)"V.ReadCellData(vtkDataSet, int) -> int\nC++: int ReadCellData (vtkDataSet *ds, int numCells);\n\n Read the cell data of a vtk data file. The number of cells (from the \n dataset) must match the number of cells defined in cell attributes (unless\n no geometry was defined).\n"},
  {(char*)"ReadPointData",                (PyCFunction)PyvtkDataReader_ReadPointData, 1,
   (char*)"V.ReadPointData(vtkDataSet, int) -> int\nC++: int ReadPointData (vtkDataSet *ds, int numPts);\n\n Read the point data of a vtk data file. The number of points (from the\n dataset) must match the number of points defined in point attributes\n (unless no geometry was defined).\n"},
  {(char*)"ReadPoints",                (PyCFunction)PyvtkDataReader_ReadPoints, 1,
   (char*)"V.ReadPoints(vtkPointSet, int) -> int\nC++: int ReadPoints (vtkPointSet *ps, int numPts);\nV.ReadPoints(vtkGraph, int) -> int\nC++: int ReadPoints (vtkGraph *g, int numPts);\n\n Read point coordinates. Return 0 if error.\n"},
  {(char*)"ReadVertexData",                (PyCFunction)PyvtkDataReader_ReadVertexData, 1,
   (char*)"V.ReadVertexData(vtkGraph, int) -> int\nC++: int ReadVertexData (vtkGraph *g, int numVertices);\n\n Read the vertex data of a vtk data file. The number of vertices (from the\n graph) must match the number of vertices defined in vertex attributes\n (unless no geometry was defined).\n"},
  {(char*)"ReadEdgeData",                (PyCFunction)PyvtkDataReader_ReadEdgeData, 1,
   (char*)"V.ReadEdgeData(vtkGraph, int) -> int\nC++: int ReadEdgeData (vtkGraph *g, int numEdges);\n\n Read the edge data of a vtk data file. The number of edges (from the\n graph) must match the number of edges defined in edge attributes\n (unless no geometry was defined).\n"},
  {(char*)"ReadCoordinates",                (PyCFunction)PyvtkDataReader_ReadCoordinates, 1,
   (char*)"V.ReadCoordinates(vtkRectilinearGrid, int, int) -> int\nC++: int ReadCoordinates (vtkRectilinearGrid *rg, int axes, int numCoords);\n\n Read the coordinates for a rectilinear grid. The axes parameter specifies\n which coordinate axes (0,1,2) is being read.\n"},
  {(char*)"ReadArray",                (PyCFunction)PyvtkDataReader_ReadArray, 1,
   (char*)"V.ReadArray(string, int, int) -> vtkAbstractArray\nC++: vtkAbstractArray *ReadArray (const char *dataType, int numTuples, int numComp);\n\n Helper functions for reading data.\n"},
  {(char*)"ReadFieldData",                (PyCFunction)PyvtkDataReader_ReadFieldData, 1,
   (char*)"V.ReadFieldData() -> vtkFieldData\nC++: vtkFieldData *ReadFieldData ();\n\n Helper functions for reading data.\n"},
  {(char*)"CloseVTKFile",                (PyCFunction)PyvtkDataReader_CloseVTKFile, 1,
   (char*)"V.CloseVTKFile()\nC++: void CloseVTKFile ();\n\n Close the vtk file.\n"},
  {(char*)"ReadMetaData",                (PyCFunction)PyvtkDataReader_ReadMetaData, 1,
   (char*)"V.ReadMetaData(vtkInformation) -> int\nC++: virtual int ReadMetaData (vtkInformation *);return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataReaderDoc[] = {
  (char*)"vtkDataReader - helper superclass for objects that read vtk data files\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkDataReader is a helper superclass that reads the vtk data file header,\n dataset type, and attribute data (point and cell attributes such as\n scalars, vectors, normals, etc.) from a vtk data file.  See text for\n the format of the various vtk file types.\n\n\n",
  "See Also:\n\n vtkPolyDataReader vtkStructuredPointsReader vtkStructuredGridReader\n vtkUnstructuredGridReader vtkRectilinearGridReader\n\n",
  NULL
};

static vtkObjectBase *vtkDataReaderStaticNew()
{
  return vtkDataReader::New();
}

PyObject *PyVTKClass_vtkDataReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataReaderStaticNew,
                        PyvtkDataReaderMethods,
                        (char*)"vtkDataReader",modulename,
                        (char**)vtkDataReaderDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

