// tcl wrapper for vtkDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataReader.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDataReaderNewCommand()
{
  vtkDataReader *temp = vtkDataReader::New();
  return static_cast<ClientData>(temp);
}

int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataReaderCppCommand(vtkDataReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataReaderCppCommand(static_cast<vtkDataReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataReaderCppCommand(vtkDataReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsFileValid",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsFileValid(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsFileStructuredPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsFileStructuredPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsFilePolyData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsFilePolyData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsFileStructuredGrid",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsFileStructuredGrid();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsFileUnstructuredGrid",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsFileUnstructuredGrid();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsFileRectilinearGrid",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsFileRectilinearGrid();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInputString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetInputString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInputString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInputString",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetInputString(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputStringLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInputStringLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBinaryInputString",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetBinaryInputString(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputArray",argv[1]))&&(argc == 3))
    {
    vtkCharArray  *temp0;
    error = 0;

    temp0 = (vtkCharArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCharArray"),interp,error));
    if (!error)
    {
    op->SetInputArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputArray",argv[1]))&&(argc == 2))
    {
    vtkCharArray  *temp20;
    temp20 = (op)->GetInputArray();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCharArray");
    return TCL_OK;
    }
  if ((!strcmp("GetHeader",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetHeader();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetReadFromInputString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadFromInputString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadFromInputString",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadFromInputString();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadFromInputStringOn",argv[1]))&&(argc == 2))
    {
    op->ReadFromInputStringOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadFromInputStringOff",argv[1]))&&(argc == 2))
    {
    op->ReadFromInputStringOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFileType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfScalarsInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfScalarsInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVectorsInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVectorsInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTensorsInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTensorsInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfNormalsInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNormalsInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTCoordsInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTCoordsInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFieldDataInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFieldDataInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarsNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarsNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorsNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorsNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorsNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTensorsNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalsNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNormalsNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordsNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTCoordsNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldDataNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFieldDataNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalarsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetScalarsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVectorsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVectorsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVectorsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTensorsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTensorsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTensorsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNormalsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetNormalsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetNormalsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTCoordsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTCoordsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTCoordsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLookupTableName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLookupTableName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTableName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLookupTableName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFieldDataName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFieldDataName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldDataName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFieldDataName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllScalarsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllScalarsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllVectors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllVectors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllVectorsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllVectorsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllNormalsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllNormalsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllTensors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllTensors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllTensors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllTensors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllTensorsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllTensorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllTensorsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllTensorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllColorScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllColorScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllColorScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllColorScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllColorScalarsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllColorScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllColorScalarsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllColorScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllTCoordsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllTCoordsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllTCoordsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllTCoordsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllFields",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllFields(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllFields",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllFields();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllFieldsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllFieldsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllFieldsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllFieldsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OpenVTKFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->OpenVTKFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadHeader",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->ReadHeader();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadCellData",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadCellData(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadPointData",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadPointData(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadPoints",argv[1]))&&(argc == 4))
    {
    vtkPointSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkPointSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPointSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadPoints(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadPoints",argv[1]))&&(argc == 4))
    {
    vtkGraph  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadPoints(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadVertexData",argv[1]))&&(argc == 4))
    {
    vtkGraph  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadVertexData(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadEdgeData",argv[1]))&&(argc == 4))
    {
    vtkGraph  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadEdgeData(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadCoordinates",argv[1]))&&(argc == 5))
    {
    vtkRectilinearGrid  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkRectilinearGrid *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRectilinearGrid"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadCoordinates(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadArray",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    vtkAbstractArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadArray(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadFieldData",argv[1]))&&(argc == 2))
    {
    vtkFieldData  *temp20;
    temp20 = (op)->ReadFieldData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFieldData");
    return TCL_OK;
    }
  if ((!strcmp("CloseVTKFile",argv[1]))&&(argc == 2))
    {
    op->CloseVTKFile();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadMetaData",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->ReadMetaData(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDataReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  IsFileValid\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsFileStructuredPoints\n",NULL);
    Tcl_AppendResult(interp,"  IsFilePolyData\n",NULL);
    Tcl_AppendResult(interp,"  IsFileStructuredGrid\n",NULL);
    Tcl_AppendResult(interp,"  IsFileUnstructuredGrid\n",NULL);
    Tcl_AppendResult(interp,"  IsFileRectilinearGrid\n",NULL);
    Tcl_AppendResult(interp,"  SetInputString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputString\n",NULL);
    Tcl_AppendResult(interp,"  SetInputString\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInputStringLength\n",NULL);
    Tcl_AppendResult(interp,"  SetBinaryInputString\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputArray\n",NULL);
    Tcl_AppendResult(interp,"  GetHeader\n",NULL);
    Tcl_AppendResult(interp,"  SetReadFromInputString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadFromInputString\n",NULL);
    Tcl_AppendResult(interp,"  ReadFromInputStringOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadFromInputStringOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFileType\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfScalarsInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVectorsInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTensorsInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNormalsInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTCoordsInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFieldDataInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarsNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorsNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalsNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordsNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldDataNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarsName\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsName\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorsName\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalsName\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordsName\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTableName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTableName\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldDataName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldDataName\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllScalars\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllVectors\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllVectorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllNormals\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllTensors\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllTensorsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllTensorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllColorScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllColorScalars\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllColorScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllColorScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllTCoords\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllTCoordsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllTCoordsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllFields\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllFields\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllFieldsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllFieldsOff\n",NULL);
    Tcl_AppendResult(interp,"  OpenVTKFile\n",NULL);
    Tcl_AppendResult(interp,"  ReadHeader\n",NULL);
    Tcl_AppendResult(interp,"  ReadCellData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadPointData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadVertexData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadEdgeData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadCoordinates\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadArray\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadFieldData\n",NULL);
    Tcl_AppendResult(interp,"  CloseVTKFile\n",NULL);
    Tcl_AppendResult(interp,"  ReadMetaData\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "IsFileValid" );
    Tcl_DStringAppendElement ( &dString, "IsFileStructuredPoints" );
    Tcl_DStringAppendElement ( &dString, "IsFilePolyData" );
    Tcl_DStringAppendElement ( &dString, "IsFileStructuredGrid" );
    Tcl_DStringAppendElement ( &dString, "IsFileUnstructuredGrid" );
    Tcl_DStringAppendElement ( &dString, "IsFileRectilinearGrid" );
    Tcl_DStringAppendElement ( &dString, "SetInputString" );
    Tcl_DStringAppendElement ( &dString, "GetInputString" );
    Tcl_DStringAppendElement ( &dString, "SetInputString" );
    Tcl_DStringAppendElement ( &dString, "GetInputStringLength" );
    Tcl_DStringAppendElement ( &dString, "SetBinaryInputString" );
    Tcl_DStringAppendElement ( &dString, "SetInputArray" );
    Tcl_DStringAppendElement ( &dString, "GetInputArray" );
    Tcl_DStringAppendElement ( &dString, "GetHeader" );
    Tcl_DStringAppendElement ( &dString, "SetReadFromInputString" );
    Tcl_DStringAppendElement ( &dString, "GetReadFromInputString" );
    Tcl_DStringAppendElement ( &dString, "ReadFromInputStringOn" );
    Tcl_DStringAppendElement ( &dString, "ReadFromInputStringOff" );
    Tcl_DStringAppendElement ( &dString, "GetFileType" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarsInFile" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorsInFile" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTensorsInFile" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNormalsInFile" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTCoordsInFile" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFieldDataInFile" );
    Tcl_DStringAppendElement ( &dString, "GetScalarsNameInFile" );
    Tcl_DStringAppendElement ( &dString, "GetVectorsNameInFile" );
    Tcl_DStringAppendElement ( &dString, "GetTensorsNameInFile" );
    Tcl_DStringAppendElement ( &dString, "GetNormalsNameInFile" );
    Tcl_DStringAppendElement ( &dString, "GetTCoordsNameInFile" );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataNameInFile" );
    Tcl_DStringAppendElement ( &dString, "SetScalarsName" );
    Tcl_DStringAppendElement ( &dString, "GetScalarsName" );
    Tcl_DStringAppendElement ( &dString, "SetVectorsName" );
    Tcl_DStringAppendElement ( &dString, "GetVectorsName" );
    Tcl_DStringAppendElement ( &dString, "SetTensorsName" );
    Tcl_DStringAppendElement ( &dString, "GetTensorsName" );
    Tcl_DStringAppendElement ( &dString, "SetNormalsName" );
    Tcl_DStringAppendElement ( &dString, "GetNormalsName" );
    Tcl_DStringAppendElement ( &dString, "SetTCoordsName" );
    Tcl_DStringAppendElement ( &dString, "GetTCoordsName" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTableName" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTableName" );
    Tcl_DStringAppendElement ( &dString, "SetFieldDataName" );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataName" );
    Tcl_DStringAppendElement ( &dString, "SetReadAllScalars" );
    Tcl_DStringAppendElement ( &dString, "GetReadAllScalars" );
    Tcl_DStringAppendElement ( &dString, "ReadAllScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "ReadAllScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetReadAllVectors" );
    Tcl_DStringAppendElement ( &dString, "GetReadAllVectors" );
    Tcl_DStringAppendElement ( &dString, "ReadAllVectorsOn" );
    Tcl_DStringAppendElement ( &dString, "ReadAllVectorsOff" );
    Tcl_DStringAppendElement ( &dString, "SetReadAllNormals" );
    Tcl_DStringAppendElement ( &dString, "GetReadAllNormals" );
    Tcl_DStringAppendElement ( &dString, "ReadAllNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "ReadAllNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetReadAllTensors" );
    Tcl_DStringAppendElement ( &dString, "GetReadAllTensors" );
    Tcl_DStringAppendElement ( &dString, "ReadAllTensorsOn" );
    Tcl_DStringAppendElement ( &dString, "ReadAllTensorsOff" );
    Tcl_DStringAppendElement ( &dString, "SetReadAllColorScalars" );
    Tcl_DStringAppendElement ( &dString, "GetReadAllColorScalars" );
    Tcl_DStringAppendElement ( &dString, "ReadAllColorScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "ReadAllColorScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetReadAllTCoords" );
    Tcl_DStringAppendElement ( &dString, "GetReadAllTCoords" );
    Tcl_DStringAppendElement ( &dString, "ReadAllTCoordsOn" );
    Tcl_DStringAppendElement ( &dString, "ReadAllTCoordsOff" );
    Tcl_DStringAppendElement ( &dString, "SetReadAllFields" );
    Tcl_DStringAppendElement ( &dString, "GetReadAllFields" );
    Tcl_DStringAppendElement ( &dString, "ReadAllFieldsOn" );
    Tcl_DStringAppendElement ( &dString, "ReadAllFieldsOff" );
    Tcl_DStringAppendElement ( &dString, "OpenVTKFile" );
    Tcl_DStringAppendElement ( &dString, "ReadHeader" );
    Tcl_DStringAppendElement ( &dString, "ReadCellData" );
    Tcl_DStringAppendElement ( &dString, "ReadPointData" );
    Tcl_DStringAppendElement ( &dString, "ReadPoints" );
    Tcl_DStringAppendElement ( &dString, "ReadPoints" );
    Tcl_DStringAppendElement ( &dString, "ReadVertexData" );
    Tcl_DStringAppendElement ( &dString, "ReadEdgeData" );
    Tcl_DStringAppendElement ( &dString, "ReadCoordinates" );
    Tcl_DStringAppendElement ( &dString, "ReadArray" );
    Tcl_DStringAppendElement ( &dString, "ReadFieldData" );
    Tcl_DStringAppendElement ( &dString, "CloseVTKFile" );
    Tcl_DStringAppendElement ( &dString, "ReadMetaData" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataReader *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of vtk data file to read.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of vtk data file to read.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsFileValid */
    if ( strcmp ( argv[2], "IsFileValid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsFileValid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsFileValid */
    Tcl_DStringAppendElement ( &dString, " Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsFileValid (const char *dstype);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for IsFileValid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsFileStructuredPoints */
    if ( strcmp ( argv[2], "IsFileStructuredPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsFileStructuredPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsFileStructuredPoints */
    Tcl_DStringAppendElement ( &dString, " Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsFileStructuredPoints ();return this IsFileValid " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for IsFileStructuredPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsFilePolyData */
    if ( strcmp ( argv[2], "IsFilePolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsFilePolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsFilePolyData */
    Tcl_DStringAppendElement ( &dString, " Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsFilePolyData ();return this IsFileValid " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for IsFilePolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsFileStructuredGrid */
    if ( strcmp ( argv[2], "IsFileStructuredGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsFileStructuredGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsFileStructuredGrid */
    Tcl_DStringAppendElement ( &dString, " Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsFileStructuredGrid ();return this IsFileValid " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for IsFileStructuredGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsFileUnstructuredGrid */
    if ( strcmp ( argv[2], "IsFileUnstructuredGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsFileUnstructuredGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsFileUnstructuredGrid */
    Tcl_DStringAppendElement ( &dString, " Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsFileUnstructuredGrid ();return this IsFileValid " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for IsFileUnstructuredGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsFileRectilinearGrid */
    if ( strcmp ( argv[2], "IsFileRectilinearGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsFileRectilinearGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsFileRectilinearGrid */
    Tcl_DStringAppendElement ( &dString, " Is the file a valid vtk file of the passed dataset type ?\n The dataset type is passed as a lower case string.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsFileRectilinearGrid ();return this IsFileValid " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for IsFileRectilinearGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputString */
    if ( strcmp ( argv[2], "SetInputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputString */
    Tcl_DStringAppendElement ( &dString, " Specify the InputString for use when reading from a character array.\n Optionally include the length for binary strings. Note that a copy\n of the string is made and stored. If this causes exceedingly large\n memory consumption, consider using InputArray instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputString (const char *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetInputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputString */
    if ( strcmp ( argv[2], "GetInputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputString */
    Tcl_DStringAppendElement ( &dString, " Specify the InputString for use when reading from a character array.\n Optionally include the length for binary strings. Note that a copy\n of the string is made and stored. If this causes exceedingly large\n memory consumption, consider using InputArray instead.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetInputString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetInputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputString */
    if ( strcmp ( argv[2], "SetInputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputString */
    Tcl_DStringAppendElement ( &dString, " Specify the InputString for use when reading from a character array.\n Optionally include the length for binary strings. Note that a copy\n of the string is made and stored. If this causes exceedingly large\n memory consumption, consider using InputArray instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputString (const char *in, int len);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetInputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputStringLength */
    if ( strcmp ( argv[2], "GetInputStringLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputStringLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputStringLength */
    Tcl_DStringAppendElement ( &dString, " Specify the InputString for use when reading from a character array.\n Optionally include the length for binary strings. Note that a copy\n of the string is made and stored. If this causes exceedingly large\n memory consumption, consider using InputArray instead.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInputStringLength ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetInputStringLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBinaryInputString */
    if ( strcmp ( argv[2], "SetBinaryInputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBinaryInputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBinaryInputString */
    Tcl_DStringAppendElement ( &dString, " Specify the InputString for use when reading from a character array.\n Optionally include the length for binary strings. Note that a copy\n of the string is made and stored. If this causes exceedingly large\n memory consumption, consider using InputArray instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBinaryInputString (const char *, int len);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetBinaryInputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputArray */
    if ( strcmp ( argv[2], "SetInputArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputArray */
    Tcl_DStringAppendElement ( &dString, " Specify the vtkCharArray to be used  when reading from a string.\n If set, this array has precendence over InputString.\n Use this instead of InputString to avoid the extra memory copy.\n It should be noted that if the underlying char* is owned by the\n user ( vtkCharArray::SetArray(array, 1); ) and is deleted before\n the reader, bad things will happen during a pipeline update.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputArray (vtkCharArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetInputArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputArray */
    if ( strcmp ( argv[2], "GetInputArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputArray */
    Tcl_DStringAppendElement ( &dString, " Specify the vtkCharArray to be used  when reading from a string.\n If set, this array has precendence over InputString.\n Use this instead of InputString to avoid the extra memory copy.\n It should be noted that if the underlying char* is owned by the\n user ( vtkCharArray::SetArray(array, 1); ) and is deleted before\n the reader, bad things will happen during a pipeline update.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCharArray *GetInputArray ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetInputArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeader */
    if ( strcmp ( argv[2], "GetHeader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeader */
    Tcl_DStringAppendElement ( &dString, " Get the header from the vtk data file.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetHeader ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetHeader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadFromInputString */
    if ( strcmp ( argv[2], "SetReadFromInputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadFromInputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadFromInputString */
    Tcl_DStringAppendElement ( &dString, " Enable reading from an InputString or InputArray instead of the default, \n a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadFromInputString (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetReadFromInputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadFromInputString */
    if ( strcmp ( argv[2], "GetReadFromInputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadFromInputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadFromInputString */
    Tcl_DStringAppendElement ( &dString, " Enable reading from an InputString or InputArray instead of the default, \n a file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadFromInputString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetReadFromInputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadFromInputStringOn */
    if ( strcmp ( argv[2], "ReadFromInputStringOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadFromInputStringOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadFromInputStringOn */
    Tcl_DStringAppendElement ( &dString, " Enable reading from an InputString or InputArray instead of the default, \n a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadFromInputStringOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadFromInputStringOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadFromInputStringOff */
    if ( strcmp ( argv[2], "ReadFromInputStringOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadFromInputStringOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadFromInputStringOff */
    Tcl_DStringAppendElement ( &dString, " Enable reading from an InputString or InputArray instead of the default, \n a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReadFromInputStringOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadFromInputStringOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileType */
    if ( strcmp ( argv[2], "GetFileType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileType */
    Tcl_DStringAppendElement ( &dString, " Get the type of file (ASCII or BINARY). Returned value only valid\n after file has been read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetFileType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfScalarsInFile */
    if ( strcmp ( argv[2], "GetNumberOfScalarsInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarsInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfScalarsInFile */
    Tcl_DStringAppendElement ( &dString, " How many attributes of various types are in this file? This \n requires reading the file, so the filename must be set prior \n to invoking this operation. (Note: file characteristics are\n cached, so only a single read is necessary to return file\n characteristics.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfScalarsInFile ();this CharacterizeFile return this NumberOfScalarsInFile " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetNumberOfScalarsInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVectorsInFile */
    if ( strcmp ( argv[2], "GetNumberOfVectorsInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorsInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVectorsInFile */
    Tcl_DStringAppendElement ( &dString, " How many attributes of various types are in this file? This \n requires reading the file, so the filename must be set prior \n to invoking this operation. (Note: file characteristics are\n cached, so only a single read is necessary to return file\n characteristics.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVectorsInFile ();this CharacterizeFile return this NumberOfVectorsInFile " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetNumberOfVectorsInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTensorsInFile */
    if ( strcmp ( argv[2], "GetNumberOfTensorsInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTensorsInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTensorsInFile */
    Tcl_DStringAppendElement ( &dString, " How many attributes of various types are in this file? This \n requires reading the file, so the filename must be set prior \n to invoking this operation. (Note: file characteristics are\n cached, so only a single read is necessary to return file\n characteristics.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTensorsInFile ();this CharacterizeFile return this NumberOfTensorsInFile " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetNumberOfTensorsInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNormalsInFile */
    if ( strcmp ( argv[2], "GetNumberOfNormalsInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNormalsInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNormalsInFile */
    Tcl_DStringAppendElement ( &dString, " How many attributes of various types are in this file? This \n requires reading the file, so the filename must be set prior \n to invoking this operation. (Note: file characteristics are\n cached, so only a single read is necessary to return file\n characteristics.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNormalsInFile ();this CharacterizeFile return this NumberOfNormalsInFile " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetNumberOfNormalsInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTCoordsInFile */
    if ( strcmp ( argv[2], "GetNumberOfTCoordsInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTCoordsInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTCoordsInFile */
    Tcl_DStringAppendElement ( &dString, " How many attributes of various types are in this file? This \n requires reading the file, so the filename must be set prior \n to invoking this operation. (Note: file characteristics are\n cached, so only a single read is necessary to return file\n characteristics.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTCoordsInFile ();this CharacterizeFile return this NumberOfTCoordsInFile " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetNumberOfTCoordsInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFieldDataInFile */
    if ( strcmp ( argv[2], "GetNumberOfFieldDataInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFieldDataInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFieldDataInFile */
    Tcl_DStringAppendElement ( &dString, " What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFieldDataInFile ();this CharacterizeFile return this NumberOfFieldDataInFile " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetNumberOfFieldDataInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarsNameInFile */
    if ( strcmp ( argv[2], "GetScalarsNameInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarsNameInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarsNameInFile */
    Tcl_DStringAppendElement ( &dString, " What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScalarsNameInFile (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetScalarsNameInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorsNameInFile */
    if ( strcmp ( argv[2], "GetVectorsNameInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorsNameInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorsNameInFile */
    Tcl_DStringAppendElement ( &dString, " What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVectorsNameInFile (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetVectorsNameInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorsNameInFile */
    if ( strcmp ( argv[2], "GetTensorsNameInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorsNameInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorsNameInFile */
    Tcl_DStringAppendElement ( &dString, " What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTensorsNameInFile (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetTensorsNameInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalsNameInFile */
    if ( strcmp ( argv[2], "GetNormalsNameInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalsNameInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalsNameInFile */
    Tcl_DStringAppendElement ( &dString, " What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetNormalsNameInFile (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetNormalsNameInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoordsNameInFile */
    if ( strcmp ( argv[2], "GetTCoordsNameInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoordsNameInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoordsNameInFile */
    Tcl_DStringAppendElement ( &dString, " What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTCoordsNameInFile (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetTCoordsNameInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldDataNameInFile */
    if ( strcmp ( argv[2], "GetFieldDataNameInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataNameInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldDataNameInFile */
    Tcl_DStringAppendElement ( &dString, " What is the name of the ith attribute of a certain type\n in this file? This requires reading the file, so the filename \n must be set prior to invoking this operation.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetFieldDataNameInFile (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetFieldDataNameInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarsName */
    if ( strcmp ( argv[2], "SetScalarsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarsName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the scalar data to extract. If not specified, first \n scalar data encountered is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetScalarsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarsName */
    if ( strcmp ( argv[2], "GetScalarsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarsName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the scalar data to extract. If not specified, first \n scalar data encountered is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetScalarsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetScalarsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorsName */
    if ( strcmp ( argv[2], "SetVectorsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorsName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the vector data to extract. If not specified, first \n vector data encountered is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetVectorsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorsName */
    if ( strcmp ( argv[2], "GetVectorsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorsName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the vector data to extract. If not specified, first \n vector data encountered is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVectorsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetVectorsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTensorsName */
    if ( strcmp ( argv[2], "SetTensorsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTensorsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTensorsName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the tensor data to extract. If not specified, first \n tensor data encountered is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTensorsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetTensorsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorsName */
    if ( strcmp ( argv[2], "GetTensorsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorsName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the tensor data to extract. If not specified, first \n tensor data encountered is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTensorsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetTensorsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalsName */
    if ( strcmp ( argv[2], "SetNormalsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalsName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the normal data to extract. If not specified, first \n normal data encountered is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetNormalsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalsName */
    if ( strcmp ( argv[2], "GetNormalsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalsName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the normal data to extract. If not specified, first \n normal data encountered is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetNormalsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetNormalsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTCoordsName */
    if ( strcmp ( argv[2], "SetTCoordsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTCoordsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTCoordsName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the texture coordinate data to extract. If not specified,\n first texture coordinate data encountered is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTCoordsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetTCoordsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoordsName */
    if ( strcmp ( argv[2], "GetTCoordsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoordsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoordsName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the texture coordinate data to extract. If not specified,\n first texture coordinate data encountered is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTCoordsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetTCoordsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTableName */
    if ( strcmp ( argv[2], "SetLookupTableName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTableName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTableName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the lookup table data to extract. If not specified, uses \n lookup table named by scalar. Otherwise, this specification supersedes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLookupTableName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetLookupTableName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTableName */
    if ( strcmp ( argv[2], "GetLookupTableName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTableName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTableName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the lookup table data to extract. If not specified, uses \n lookup table named by scalar. Otherwise, this specification supersedes.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLookupTableName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetLookupTableName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldDataName */
    if ( strcmp ( argv[2], "SetFieldDataName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldDataName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldDataName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the field data to extract. If not specified, uses \n first field data encountered in file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFieldDataName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetFieldDataName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldDataName */
    if ( strcmp ( argv[2], "GetFieldDataName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldDataName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the field data to extract. If not specified, uses \n first field data encountered in file.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFieldDataName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetFieldDataName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadAllScalars */
    if ( strcmp ( argv[2], "SetReadAllScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadAllScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadAllScalars */
    Tcl_DStringAppendElement ( &dString, " Enable reading all scalars. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadAllScalars (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetReadAllScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadAllScalars */
    if ( strcmp ( argv[2], "GetReadAllScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadAllScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadAllScalars */
    Tcl_DStringAppendElement ( &dString, " Enable reading all scalars. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadAllScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetReadAllScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllScalarsOn */
    if ( strcmp ( argv[2], "ReadAllScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Enable reading all scalars. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllScalarsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllScalarsOff */
    if ( strcmp ( argv[2], "ReadAllScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Enable reading all scalars. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllScalarsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadAllVectors */
    if ( strcmp ( argv[2], "SetReadAllVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadAllVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadAllVectors */
    Tcl_DStringAppendElement ( &dString, " Enable reading all vectors. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadAllVectors (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetReadAllVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadAllVectors */
    if ( strcmp ( argv[2], "GetReadAllVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadAllVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadAllVectors */
    Tcl_DStringAppendElement ( &dString, " Enable reading all vectors. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadAllVectors ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetReadAllVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllVectorsOn */
    if ( strcmp ( argv[2], "ReadAllVectorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllVectorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllVectorsOn */
    Tcl_DStringAppendElement ( &dString, " Enable reading all vectors. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllVectorsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllVectorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllVectorsOff */
    if ( strcmp ( argv[2], "ReadAllVectorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllVectorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllVectorsOff */
    Tcl_DStringAppendElement ( &dString, " Enable reading all vectors. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllVectorsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllVectorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadAllNormals */
    if ( strcmp ( argv[2], "SetReadAllNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadAllNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadAllNormals */
    Tcl_DStringAppendElement ( &dString, " Enable reading all normals. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadAllNormals (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetReadAllNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadAllNormals */
    if ( strcmp ( argv[2], "GetReadAllNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadAllNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadAllNormals */
    Tcl_DStringAppendElement ( &dString, " Enable reading all normals. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadAllNormals ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetReadAllNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllNormalsOn */
    if ( strcmp ( argv[2], "ReadAllNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Enable reading all normals. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllNormalsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllNormalsOff */
    if ( strcmp ( argv[2], "ReadAllNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Enable reading all normals. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllNormalsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadAllTensors */
    if ( strcmp ( argv[2], "SetReadAllTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadAllTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadAllTensors */
    Tcl_DStringAppendElement ( &dString, " Enable reading all tensors. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadAllTensors (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetReadAllTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadAllTensors */
    if ( strcmp ( argv[2], "GetReadAllTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadAllTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadAllTensors */
    Tcl_DStringAppendElement ( &dString, " Enable reading all tensors. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadAllTensors ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetReadAllTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllTensorsOn */
    if ( strcmp ( argv[2], "ReadAllTensorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllTensorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllTensorsOn */
    Tcl_DStringAppendElement ( &dString, " Enable reading all tensors. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllTensorsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllTensorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllTensorsOff */
    if ( strcmp ( argv[2], "ReadAllTensorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllTensorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllTensorsOff */
    Tcl_DStringAppendElement ( &dString, " Enable reading all tensors. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllTensorsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllTensorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadAllColorScalars */
    if ( strcmp ( argv[2], "SetReadAllColorScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadAllColorScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadAllColorScalars */
    Tcl_DStringAppendElement ( &dString, " Enable reading all color scalars. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadAllColorScalars (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetReadAllColorScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadAllColorScalars */
    if ( strcmp ( argv[2], "GetReadAllColorScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadAllColorScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadAllColorScalars */
    Tcl_DStringAppendElement ( &dString, " Enable reading all color scalars. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadAllColorScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetReadAllColorScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllColorScalarsOn */
    if ( strcmp ( argv[2], "ReadAllColorScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllColorScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllColorScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Enable reading all color scalars. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllColorScalarsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllColorScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllColorScalarsOff */
    if ( strcmp ( argv[2], "ReadAllColorScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllColorScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllColorScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Enable reading all color scalars. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllColorScalarsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllColorScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadAllTCoords */
    if ( strcmp ( argv[2], "SetReadAllTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadAllTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadAllTCoords */
    Tcl_DStringAppendElement ( &dString, " Enable reading all tcoords. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadAllTCoords (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetReadAllTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadAllTCoords */
    if ( strcmp ( argv[2], "GetReadAllTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadAllTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadAllTCoords */
    Tcl_DStringAppendElement ( &dString, " Enable reading all tcoords. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadAllTCoords ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetReadAllTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllTCoordsOn */
    if ( strcmp ( argv[2], "ReadAllTCoordsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllTCoordsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllTCoordsOn */
    Tcl_DStringAppendElement ( &dString, " Enable reading all tcoords. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllTCoordsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllTCoordsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllTCoordsOff */
    if ( strcmp ( argv[2], "ReadAllTCoordsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllTCoordsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllTCoordsOff */
    Tcl_DStringAppendElement ( &dString, " Enable reading all tcoords. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllTCoordsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllTCoordsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadAllFields */
    if ( strcmp ( argv[2], "SetReadAllFields" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadAllFields" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadAllFields */
    Tcl_DStringAppendElement ( &dString, " Enable reading all fields. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadAllFields (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for SetReadAllFields */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadAllFields */
    if ( strcmp ( argv[2], "GetReadAllFields" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadAllFields" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadAllFields */
    Tcl_DStringAppendElement ( &dString, " Enable reading all fields. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadAllFields ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for GetReadAllFields */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllFieldsOn */
    if ( strcmp ( argv[2], "ReadAllFieldsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllFieldsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllFieldsOn */
    Tcl_DStringAppendElement ( &dString, " Enable reading all fields. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllFieldsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllFieldsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadAllFieldsOff */
    if ( strcmp ( argv[2], "ReadAllFieldsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadAllFieldsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadAllFieldsOff */
    Tcl_DStringAppendElement ( &dString, " Enable reading all fields. \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadAllFieldsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadAllFieldsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OpenVTKFile */
    if ( strcmp ( argv[2], "OpenVTKFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OpenVTKFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OpenVTKFile */
    Tcl_DStringAppendElement ( &dString, " Open a vtk data file. Returns zero if error.\n" );
    Tcl_DStringAppendElement ( &dString, "int OpenVTKFile ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for OpenVTKFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadHeader */
    if ( strcmp ( argv[2], "ReadHeader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadHeader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadHeader */
    Tcl_DStringAppendElement ( &dString, " Read the header of a vtk data file. Returns 0 if error.\n" );
    Tcl_DStringAppendElement ( &dString, "int ReadHeader ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadHeader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadCellData */
    if ( strcmp ( argv[2], "ReadCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadCellData */
    Tcl_DStringAppendElement ( &dString, " Read the cell data of a vtk data file. The number of cells (from the \n dataset) must match the number of cells defined in cell attributes (unless\n no geometry was defined).\n" );
    Tcl_DStringAppendElement ( &dString, "int ReadCellData (vtkDataSet *ds, int numCells);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadPointData */
    if ( strcmp ( argv[2], "ReadPointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadPointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadPointData */
    Tcl_DStringAppendElement ( &dString, " Read the point data of a vtk data file. The number of points (from the\n dataset) must match the number of points defined in point attributes\n (unless no geometry was defined).\n" );
    Tcl_DStringAppendElement ( &dString, "int ReadPointData (vtkDataSet *ds, int numPts);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadPointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadPoints */
    if ( strcmp ( argv[2], "ReadPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPointSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadPoints */
    Tcl_DStringAppendElement ( &dString, " Read point coordinates. Return 0 if error.\n" );
    Tcl_DStringAppendElement ( &dString, "int ReadPoints (vtkPointSet *ps, int numPts);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadPoints */
    if ( strcmp ( argv[2], "ReadPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadPoints */
    Tcl_DStringAppendElement ( &dString, " Read point coordinates. Return 0 if error.\n" );
    Tcl_DStringAppendElement ( &dString, "int ReadPoints (vtkGraph *g, int numPts);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadVertexData */
    if ( strcmp ( argv[2], "ReadVertexData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadVertexData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadVertexData */
    Tcl_DStringAppendElement ( &dString, " Read the vertex data of a vtk data file. The number of vertices (from the\n graph) must match the number of vertices defined in vertex attributes\n (unless no geometry was defined).\n" );
    Tcl_DStringAppendElement ( &dString, "int ReadVertexData (vtkGraph *g, int numVertices);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadVertexData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadEdgeData */
    if ( strcmp ( argv[2], "ReadEdgeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadEdgeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadEdgeData */
    Tcl_DStringAppendElement ( &dString, " Read the edge data of a vtk data file. The number of edges (from the\n graph) must match the number of edges defined in edge attributes\n (unless no geometry was defined).\n" );
    Tcl_DStringAppendElement ( &dString, "int ReadEdgeData (vtkGraph *g, int numEdges);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadEdgeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadCoordinates */
    if ( strcmp ( argv[2], "ReadCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGrid" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadCoordinates */
    Tcl_DStringAppendElement ( &dString, " Read the coordinates for a rectilinear grid. The axes parameter specifies\n which coordinate axes (0,1,2) is being read.\n" );
    Tcl_DStringAppendElement ( &dString, "int ReadCoordinates (vtkRectilinearGrid *rg, int axes, int numCoords);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadArray */
    if ( strcmp ( argv[2], "ReadArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadArray */
    Tcl_DStringAppendElement ( &dString, " Helper functions for reading data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray *ReadArray (const char *dataType, int numTuples, int numComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadFieldData */
    if ( strcmp ( argv[2], "ReadFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadFieldData */
    Tcl_DStringAppendElement ( &dString, " Helper functions for reading data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldData *ReadFieldData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CloseVTKFile */
    if ( strcmp ( argv[2], "CloseVTKFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CloseVTKFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CloseVTKFile */
    Tcl_DStringAppendElement ( &dString, " Close the vtk file.\n" );
    Tcl_DStringAppendElement ( &dString, "void CloseVTKFile ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for CloseVTKFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadMetaData */
    if ( strcmp ( argv[2], "ReadMetaData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadMetaData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadMetaData */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int ReadMetaData (vtkInformation *);return " );
    Tcl_DStringAppendElement ( &dString, "vtkDataReader" );
    /* Closing for ReadMetaData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
