// python wrapper for vtkDataSetReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataSetReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataReaderNew(char *); }

static PyObject *PyvtkDataSetReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetReader *op;

  const char    *temp20;
  op = (vtkDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetReader *op;

  vtkDataSetReader  *temp20;
  op = (vtkDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetReader *op;

  vtkDataSet  *temp20;
  op = (vtkDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetReader *op;

  int      temp0;
  vtkDataSet  *temp20;
  PyErr_Clear();
  op = (vtkDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetReader_GetPolyDataOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetReader *op;

  vtkPolyData  *temp20;
  op = (vtkDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetReader::GetPolyDataOutput();
      }
    else
      {
      temp20 = op->GetPolyDataOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetReader_GetStructuredPointsOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetReader *op;

  vtkStructuredPoints  *temp20;
  op = (vtkDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetReader::GetStructuredPointsOutput();
      }
    else
      {
      temp20 = op->GetStructuredPointsOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetReader_GetStructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetReader *op;

  vtkStructuredGrid  *temp20;
  op = (vtkDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetReader::GetStructuredGridOutput();
      }
    else
      {
      temp20 = op->GetStructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetReader_GetUnstructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetReader *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetReader::GetUnstructuredGridOutput();
      }
    else
      {
      temp20 = op->GetUnstructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetReader_GetRectilinearGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetReader *op;

  vtkRectilinearGrid  *temp20;
  op = (vtkDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetReader::GetRectilinearGridOutput();
      }
    else
      {
      temp20 = op->GetRectilinearGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetReader_ReadOutputType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetReader *op;

  int      temp20;
  op = (vtkDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetReader::ReadOutputType();
      }
    else
      {
      temp20 = op->ReadOutputType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetReader\nC++: vtkDataSetReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetReader\nC++: vtkDataSetReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkDataSetReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkDataSet\nC++: vtkDataSet *GetOutput ();\nV.GetOutput(int) -> vtkDataSet\nC++: vtkDataSet *GetOutput (int idx);\n\n Get the output of this filter\n"},
  {(char*)"GetPolyDataOutput",                (PyCFunction)PyvtkDataSetReader_GetPolyDataOutput, 1,
   (char*)"V.GetPolyDataOutput() -> vtkPolyData\nC++: vtkPolyData *GetPolyDataOutput ();\n\n Get the output as various concrete types. This method is typically used\n when you know exactly what type of data is being read.  Otherwise, use\n the general GetOutput() method. If the wrong type is used NULL is\n returned.  (You must also set the filename of the object prior to\n getting the output.)\n"},
  {(char*)"GetStructuredPointsOutput",                (PyCFunction)PyvtkDataSetReader_GetStructuredPointsOutput, 1,
   (char*)"V.GetStructuredPointsOutput() -> vtkStructuredPoints\nC++: vtkStructuredPoints *GetStructuredPointsOutput ();\n\n Get the output as various concrete types. This method is typically used\n when you know exactly what type of data is being read.  Otherwise, use\n the general GetOutput() method. If the wrong type is used NULL is\n returned.  (You must also set the filename of the object prior to\n getting the output.)\n"},
  {(char*)"GetStructuredGridOutput",                (PyCFunction)PyvtkDataSetReader_GetStructuredGridOutput, 1,
   (char*)"V.GetStructuredGridOutput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetStructuredGridOutput ();\n\n Get the output as various concrete types. This method is typically used\n when you know exactly what type of data is being read.  Otherwise, use\n the general GetOutput() method. If the wrong type is used NULL is\n returned.  (You must also set the filename of the object prior to\n getting the output.)\n"},
  {(char*)"GetUnstructuredGridOutput",                (PyCFunction)PyvtkDataSetReader_GetUnstructuredGridOutput, 1,
   (char*)"V.GetUnstructuredGridOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetUnstructuredGridOutput ();\n\n Get the output as various concrete types. This method is typically used\n when you know exactly what type of data is being read.  Otherwise, use\n the general GetOutput() method. If the wrong type is used NULL is\n returned.  (You must also set the filename of the object prior to\n getting the output.)\n"},
  {(char*)"GetRectilinearGridOutput",                (PyCFunction)PyvtkDataSetReader_GetRectilinearGridOutput, 1,
   (char*)"V.GetRectilinearGridOutput() -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *GetRectilinearGridOutput ();\n\n Get the output as various concrete types. This method is typically used\n when you know exactly what type of data is being read.  Otherwise, use\n the general GetOutput() method. If the wrong type is used NULL is\n returned.  (You must also set the filename of the object prior to\n getting the output.)\n"},
  {(char*)"ReadOutputType",                (PyCFunction)PyvtkDataSetReader_ReadOutputType, 1,
   (char*)"V.ReadOutputType() -> int\nC++: virtual int ReadOutputType ();\n\n This method can be used to find out the type of output expected without\n needing to read the whole file.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetReaderDoc[] = {
  (char*)"vtkDataSetReader - class to read any type of vtk dataset\n\n",
  "Super Class:\n\n vtkDataReader\n\n",
  (char*)" vtkDataSetReader is a class that provides instance variables and methods\n to read any type of dataset in Visualization Toolkit (vtk) format.  The\n output type of this class will vary depending upon the type of data\n file. Convenience methods are provided to keep the data as a particular\n type. (See text for format description details).\n The superclass of this class, vtkDataReader, provides many m",
  (char*)"ethods for\n controlling the reading of the data file, see vtkDataReader for more\n information.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  "See Also:\n\n vtkDataReader vtkPolyDataReader vtkRectilinearGridReader \n vtkStructuredPointsReader vtkStructuredGridReader vtkUnstructuredGridReader\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetReaderStaticNew()
{
  return vtkDataSetReader::New();
}

PyObject *PyVTKClass_vtkDataSetReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetReaderStaticNew,
                        PyvtkDataSetReaderMethods,
                        (char*)"vtkDataSetReader",modulename,
                        (char**)vtkDataSetReaderDoc,
                        PyVTKClass_vtkDataReaderNew(modulename));
}

