// python wrapper for vtkDataSetWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataSetWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataWriterNew(char *); }

static PyObject *PyvtkDataSetWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetWriter *op;

  const char    *temp20;
  op = (vtkDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetWriter *op;

  vtkDataSetWriter  *temp20;
  op = (vtkDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetWriter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetWriter *op;

  vtkDataSet  *temp20;
  op = (vtkDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetWriter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetWriter *op;

  int      temp0;
  vtkDataSet  *temp20;
  PyErr_Clear();
  op = (vtkDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetWriter::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetWriter\nC++: vtkDataSetWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetWriter\nC++: vtkDataSetWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkDataSetWriter_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\nV.GetInput(int) -> vtkDataSet\nC++: vtkDataSet *GetInput (int port);\n\n Get the input to this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetWriterDoc[] = {
  (char*)"vtkDataSetWriter - write any type of vtk dataset to file\n\n",
  "Super Class:\n\n vtkDataWriter\n\n",
  (char*)" vtkDataSetWriter is an abstract class for mapper objects that write their \n data to disk (or into a communications port). The input to this object is\n a dataset of any type.\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetWriterStaticNew()
{
  return vtkDataSetWriter::New();
}

PyObject *PyVTKClass_vtkDataSetWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetWriterStaticNew,
                        PyvtkDataSetWriterMethods,
                        (char*)"vtkDataSetWriter",modulename,
                        (char**)vtkDataSetWriterDoc,
                        PyVTKClass_vtkDataWriterNew(modulename));
}

