// python wrapper for vtkDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWriterNew(char *); }

static PyObject *PyvtkDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  const char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  vtkDataWriter  *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetWriteToOutputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  int      temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetWriteToOutputString(temp0);
      }
    else
      {
      op->SetWriteToOutputString(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetWriteToOutputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  int      temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetWriteToOutputString();
      }
    else
      {
      temp20 = op->GetWriteToOutputString();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_WriteToOutputStringOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::WriteToOutputStringOn();
      }
    else
      {
      op->WriteToOutputStringOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_WriteToOutputStringOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::WriteToOutputStringOff();
      }
    else
      {
      op->WriteToOutputStringOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetOutputStringLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  int      temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetOutputStringLength();
      }
    else
      {
      temp20 = op->GetOutputStringLength();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetOutputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetOutputString();
      }
    else
      {
      temp20 = op->GetOutputString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_RegisterAndGetOutputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::RegisterAndGetOutputString();
      }
    else
      {
      temp20 = op->RegisterAndGetOutputString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetHeader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetHeader(temp0);
      }
    else
      {
      op->SetHeader(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetHeader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetHeader();
      }
    else
      {
      temp20 = op->GetHeader();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetFileType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  int      temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetFileType(temp0);
      }
    else
      {
      op->SetFileType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetFileTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  int      temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetFileTypeMinValue();
      }
    else
      {
      temp20 = op->GetFileTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetFileTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  int      temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetFileTypeMaxValue();
      }
    else
      {
      temp20 = op->GetFileTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetFileType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  int      temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetFileType();
      }
    else
      {
      temp20 = op->GetFileType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetFileTypeToASCII(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetFileTypeToASCII();
      }
    else
      {
      op->SetFileTypeToASCII();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetFileTypeToBinary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetFileTypeToBinary();
      }
    else
      {
      op->SetFileTypeToBinary();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetScalarsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetScalarsName(temp0);
      }
    else
      {
      op->SetScalarsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetScalarsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetScalarsName();
      }
    else
      {
      temp20 = op->GetScalarsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetVectorsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetVectorsName(temp0);
      }
    else
      {
      op->SetVectorsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetVectorsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetVectorsName();
      }
    else
      {
      temp20 = op->GetVectorsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetTensorsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetTensorsName(temp0);
      }
    else
      {
      op->SetTensorsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetTensorsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetTensorsName();
      }
    else
      {
      temp20 = op->GetTensorsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetNormalsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetNormalsName(temp0);
      }
    else
      {
      op->SetNormalsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetNormalsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetNormalsName();
      }
    else
      {
      temp20 = op->GetNormalsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetTCoordsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetTCoordsName(temp0);
      }
    else
      {
      op->SetTCoordsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetTCoordsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetTCoordsName();
      }
    else
      {
      temp20 = op->GetTCoordsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetGlobalIdsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetGlobalIdsName(temp0);
      }
    else
      {
      op->SetGlobalIdsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetGlobalIdsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetGlobalIdsName();
      }
    else
      {
      temp20 = op->GetGlobalIdsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetPedigreeIdsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetPedigreeIdsName(temp0);
      }
    else
      {
      op->SetPedigreeIdsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetPedigreeIdsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetPedigreeIdsName();
      }
    else
      {
      temp20 = op->GetPedigreeIdsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetLookupTableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetLookupTableName(temp0);
      }
    else
      {
      op->SetLookupTableName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetLookupTableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetLookupTableName();
      }
    else
      {
      temp20 = op->GetLookupTableName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_SetFieldDataName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp0;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataWriter::SetFieldDataName(temp0);
      }
    else
      {
      op->SetFieldDataName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataWriter_GetFieldDataName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataWriter *op;

  char    *temp20;
  op = (vtkDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataWriter::GetFieldDataName();
      }
    else
      {
      temp20 = op->GetFieldDataName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataWriter\nC++: vtkDataWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataWriter\nC++: vtkDataWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkDataWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of vtk polygon data file to write.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkDataWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of vtk polygon data file to write.\n"},
  {(char*)"SetWriteToOutputString",                (PyCFunction)PyvtkDataWriter_SetWriteToOutputString, 1,
   (char*)"V.SetWriteToOutputString(int)\nC++: void SetWriteToOutputString (int );\n\n Enable writing to an OutputString instead of the default, a file.\n"},
  {(char*)"GetWriteToOutputString",                (PyCFunction)PyvtkDataWriter_GetWriteToOutputString, 1,
   (char*)"V.GetWriteToOutputString() -> int\nC++: int GetWriteToOutputString ();\n\n Enable writing to an OutputString instead of the default, a file.\n"},
  {(char*)"WriteToOutputStringOn",                (PyCFunction)PyvtkDataWriter_WriteToOutputStringOn, 1,
   (char*)"V.WriteToOutputStringOn()\nC++: void WriteToOutputStringOn ();\n\n Enable writing to an OutputString instead of the default, a file.\n"},
  {(char*)"WriteToOutputStringOff",                (PyCFunction)PyvtkDataWriter_WriteToOutputStringOff, 1,
   (char*)"V.WriteToOutputStringOff()\nC++: void WriteToOutputStringOff ();\n\n Enable writing to an OutputString instead of the default, a file.\n"},
  {(char*)"GetOutputStringLength",                (PyCFunction)PyvtkDataWriter_GetOutputStringLength, 1,
   (char*)"V.GetOutputStringLength() -> int\nC++: int GetOutputStringLength ();\n\n When WriteToOutputString in on, then a string is allocated, written to,\n and can be retrieved with these methods.  The string is deleted during\n the next call to write ...\n"},
  {(char*)"GetOutputString",                (PyCFunction)PyvtkDataWriter_GetOutputString, 1,
   (char*)"V.GetOutputString() -> string\nC++: char *GetOutputString ();\n\n When WriteToOutputString in on, then a string is allocated, written to,\n and can be retrieved with these methods.  The string is deleted during\n the next call to write ...\n"},
  {(char*)"RegisterAndGetOutputString",                (PyCFunction)PyvtkDataWriter_RegisterAndGetOutputString, 1,
   (char*)"V.RegisterAndGetOutputString() -> string\nC++: char *RegisterAndGetOutputString ();\n\n This convenience method returns the string, sets the IVAR to NULL,\n so that the user is responsible for deleting the string.\n I am not sure what the name should be, so it may change in the future.\n"},
  {(char*)"SetHeader",                (PyCFunction)PyvtkDataWriter_SetHeader, 1,
   (char*)"V.SetHeader(string)\nC++: void SetHeader (char *);\n\n Specify the header for the vtk data file.\n"},
  {(char*)"GetHeader",                (PyCFunction)PyvtkDataWriter_GetHeader, 1,
   (char*)"V.GetHeader() -> string\nC++: char *GetHeader ();\n\n Specify the header for the vtk data file.\n"},
  {(char*)"SetFileType",                (PyCFunction)PyvtkDataWriter_SetFileType, 1,
   (char*)"V.SetFileType(int)\nC++: void SetFileType (int );\n\n Specify file type (ASCII or BINARY) for vtk data file.\n"},
  {(char*)"GetFileTypeMinValue",                (PyCFunction)PyvtkDataWriter_GetFileTypeMinValue, 1,
   (char*)"V.GetFileTypeMinValue() -> int\nC++: int GetFileTypeMinValue ();\n\n Specify file type (ASCII or BINARY) for vtk data file.\n"},
  {(char*)"GetFileTypeMaxValue",                (PyCFunction)PyvtkDataWriter_GetFileTypeMaxValue, 1,
   (char*)"V.GetFileTypeMaxValue() -> int\nC++: int GetFileTypeMaxValue ();\n\n Specify file type (ASCII or BINARY) for vtk data file.\n"},
  {(char*)"GetFileType",                (PyCFunction)PyvtkDataWriter_GetFileType, 1,
   (char*)"V.GetFileType() -> int\nC++: int GetFileType ();\n\n Specify file type (ASCII or BINARY) for vtk data file.\n"},
  {(char*)"SetFileTypeToASCII",                (PyCFunction)PyvtkDataWriter_SetFileTypeToASCII, 1,
   (char*)"V.SetFileTypeToASCII()\nC++: void SetFileTypeToASCII ();this SetFileType VTK_ASCII \n\n Specify file type (ASCII or BINARY) for vtk data file.\n"},
  {(char*)"SetFileTypeToBinary",                (PyCFunction)PyvtkDataWriter_SetFileTypeToBinary, 1,
   (char*)"V.SetFileTypeToBinary()\nC++: void SetFileTypeToBinary ();this SetFileType VTK_BINARY \n\n Specify file type (ASCII or BINARY) for vtk data file.\n"},
  {(char*)"SetScalarsName",                (PyCFunction)PyvtkDataWriter_SetScalarsName, 1,
   (char*)"V.SetScalarsName(string)\nC++: void SetScalarsName (char *);\n\n Give a name to the scalar data. If not specified, uses default\n name \"scalars\".\n"},
  {(char*)"GetScalarsName",                (PyCFunction)PyvtkDataWriter_GetScalarsName, 1,
   (char*)"V.GetScalarsName() -> string\nC++: char *GetScalarsName ();\n\n Give a name to the scalar data. If not specified, uses default\n name \"scalars\".\n"},
  {(char*)"SetVectorsName",                (PyCFunction)PyvtkDataWriter_SetVectorsName, 1,
   (char*)"V.SetVectorsName(string)\nC++: void SetVectorsName (char *);\n\n Give a name to the vector data. If not specified, uses default\n name \"vectors\".\n"},
  {(char*)"GetVectorsName",                (PyCFunction)PyvtkDataWriter_GetVectorsName, 1,
   (char*)"V.GetVectorsName() -> string\nC++: char *GetVectorsName ();\n\n Give a name to the vector data. If not specified, uses default\n name \"vectors\".\n"},
  {(char*)"SetTensorsName",                (PyCFunction)PyvtkDataWriter_SetTensorsName, 1,
   (char*)"V.SetTensorsName(string)\nC++: void SetTensorsName (char *);\n\n Give a name to the tensors data. If not specified, uses default\n name \"tensors\".\n"},
  {(char*)"GetTensorsName",                (PyCFunction)PyvtkDataWriter_GetTensorsName, 1,
   (char*)"V.GetTensorsName() -> string\nC++: char *GetTensorsName ();\n\n Give a name to the tensors data. If not specified, uses default\n name \"tensors\".\n"},
  {(char*)"SetNormalsName",                (PyCFunction)PyvtkDataWriter_SetNormalsName, 1,
   (char*)"V.SetNormalsName(string)\nC++: void SetNormalsName (char *);\n\n Give a name to the normals data. If not specified, uses default\n name \"normals\".\n"},
  {(char*)"GetNormalsName",                (PyCFunction)PyvtkDataWriter_GetNormalsName, 1,
   (char*)"V.GetNormalsName() -> string\nC++: char *GetNormalsName ();\n\n Give a name to the normals data. If not specified, uses default\n name \"normals\".\n"},
  {(char*)"SetTCoordsName",                (PyCFunction)PyvtkDataWriter_SetTCoordsName, 1,
   (char*)"V.SetTCoordsName(string)\nC++: void SetTCoordsName (char *);\n\n Give a name to the texture coordinates data. If not specified, uses \n default name \"textureCoords\".\n"},
  {(char*)"GetTCoordsName",                (PyCFunction)PyvtkDataWriter_GetTCoordsName, 1,
   (char*)"V.GetTCoordsName() -> string\nC++: char *GetTCoordsName ();\n\n Give a name to the texture coordinates data. If not specified, uses \n default name \"textureCoords\".\n"},
  {(char*)"SetGlobalIdsName",                (PyCFunction)PyvtkDataWriter_SetGlobalIdsName, 1,
   (char*)"V.SetGlobalIdsName(string)\nC++: void SetGlobalIdsName (char *);\n\n Give a name to the global ids data. If not specified, uses \n default name \"global_ids\".\n"},
  {(char*)"GetGlobalIdsName",                (PyCFunction)PyvtkDataWriter_GetGlobalIdsName, 1,
   (char*)"V.GetGlobalIdsName() -> string\nC++: char *GetGlobalIdsName ();\n\n Give a name to the global ids data. If not specified, uses \n default name \"global_ids\".\n"},
  {(char*)"SetPedigreeIdsName",                (PyCFunction)PyvtkDataWriter_SetPedigreeIdsName, 1,
   (char*)"V.SetPedigreeIdsName(string)\nC++: void SetPedigreeIdsName (char *);\n\n Give a name to the pedigree ids data. If not specified, uses \n default name \"pedigree_ids\".\n"},
  {(char*)"GetPedigreeIdsName",                (PyCFunction)PyvtkDataWriter_GetPedigreeIdsName, 1,
   (char*)"V.GetPedigreeIdsName() -> string\nC++: char *GetPedigreeIdsName ();\n\n Give a name to the pedigree ids data. If not specified, uses \n default name \"pedigree_ids\".\n"},
  {(char*)"SetLookupTableName",                (PyCFunction)PyvtkDataWriter_SetLookupTableName, 1,
   (char*)"V.SetLookupTableName(string)\nC++: void SetLookupTableName (char *);\n\n Give a name to the lookup table. If not specified, uses default\n name \"lookupTable\".\n"},
  {(char*)"GetLookupTableName",                (PyCFunction)PyvtkDataWriter_GetLookupTableName, 1,
   (char*)"V.GetLookupTableName() -> string\nC++: char *GetLookupTableName ();\n\n Give a name to the lookup table. If not specified, uses default\n name \"lookupTable\".\n"},
  {(char*)"SetFieldDataName",                (PyCFunction)PyvtkDataWriter_SetFieldDataName, 1,
   (char*)"V.SetFieldDataName(string)\nC++: void SetFieldDataName (char *);\n\n Give a name to the field data. If not specified, uses default \n name \"field\".\n"},
  {(char*)"GetFieldDataName",                (PyCFunction)PyvtkDataWriter_GetFieldDataName, 1,
   (char*)"V.GetFieldDataName() -> string\nC++: char *GetFieldDataName ();\n\n Give a name to the field data. If not specified, uses default \n name \"field\".\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataWriterDoc[] = {
  (char*)"vtkDataWriter - helper class for objects that write vtk data files\n\n",
  "Super Class:\n\n vtkWriter\n\n",
  (char*)" vtkDataWriter is a helper class that opens and writes the vtk header and \n point data (e.g., scalars, vectors, normals, etc.) from a vtk data file. \n See text for various formats.\n\n",
  "See Also:\n\n vtkDataSetWriter vtkPolyDataWriter vtkStructuredGridWriter\n vtkStructuredPointsWriter vtkUnstructuredGridWriter\n vtkFieldDataWriter vtkRectilinearGridWriter\n\n",
  NULL
};

static vtkObjectBase *vtkDataWriterStaticNew()
{
  return vtkDataWriter::New();
}

PyObject *PyVTKClass_vtkDataWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataWriterStaticNew,
                        PyvtkDataWriterMethods,
                        (char*)"vtkDataWriter",modulename,
                        (char**)vtkDataWriterDoc,
                        PyVTKClass_vtkWriterNew(modulename));
}

