// tcl wrapper for vtkDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataWriter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDataWriterNewCommand()
{
  vtkDataWriter *temp = vtkDataWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkWriterCppCommand(vtkWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataWriterCppCommand(vtkDataWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataWriterCppCommand(static_cast<vtkDataWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataWriterCppCommand(vtkDataWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataWriter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWriterCppCommand(static_cast<vtkWriter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWriter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataWriter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataWriter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataWriter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataWriter");
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetWriteToOutputString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWriteToOutputString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteToOutputString",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWriteToOutputString();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteToOutputStringOn",argv[1]))&&(argc == 2))
    {
    op->WriteToOutputStringOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteToOutputStringOff",argv[1]))&&(argc == 2))
    {
    op->WriteToOutputStringOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputStringLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputStringLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetOutputString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("RegisterAndGetOutputString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->RegisterAndGetOutputString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetHeader",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetHeader(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeader",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetHeader();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFileTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFileType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileTypeToASCII",argv[1]))&&(argc == 2))
    {
    op->SetFileTypeToASCII();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileTypeToBinary",argv[1]))&&(argc == 2))
    {
    op->SetFileTypeToBinary();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalarsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetScalarsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVectorsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVectorsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVectorsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTensorsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTensorsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTensorsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNormalsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetNormalsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetNormalsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTCoordsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTCoordsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTCoordsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalIdsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGlobalIdsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalIdsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetGlobalIdsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPedigreeIdsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPedigreeIdsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPedigreeIdsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPedigreeIdsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLookupTableName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLookupTableName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTableName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLookupTableName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFieldDataName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFieldDataName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldDataName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFieldDataName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDataWriterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteToOutputString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteToOutputString\n",NULL);
    Tcl_AppendResult(interp,"  WriteToOutputStringOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteToOutputStringOff\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputStringLength\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputString\n",NULL);
    Tcl_AppendResult(interp,"  RegisterAndGetOutputString\n",NULL);
    Tcl_AppendResult(interp,"  SetHeader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeader\n",NULL);
    Tcl_AppendResult(interp,"  SetFileType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFileTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFileType\n",NULL);
    Tcl_AppendResult(interp,"  SetFileTypeToASCII\n",NULL);
    Tcl_AppendResult(interp,"  SetFileTypeToBinary\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarsName\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsName\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorsName\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalsName\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordsName\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalIdsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalIdsName\n",NULL);
    Tcl_AppendResult(interp,"  SetPedigreeIdsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPedigreeIdsName\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTableName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTableName\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldDataName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldDataName\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetWriteToOutputString" );
    Tcl_DStringAppendElement ( &dString, "GetWriteToOutputString" );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOn" );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOff" );
    Tcl_DStringAppendElement ( &dString, "GetOutputStringLength" );
    Tcl_DStringAppendElement ( &dString, "GetOutputString" );
    Tcl_DStringAppendElement ( &dString, "RegisterAndGetOutputString" );
    Tcl_DStringAppendElement ( &dString, "SetHeader" );
    Tcl_DStringAppendElement ( &dString, "GetHeader" );
    Tcl_DStringAppendElement ( &dString, "SetFileType" );
    Tcl_DStringAppendElement ( &dString, "GetFileTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFileTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFileType" );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToASCII" );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToBinary" );
    Tcl_DStringAppendElement ( &dString, "SetScalarsName" );
    Tcl_DStringAppendElement ( &dString, "GetScalarsName" );
    Tcl_DStringAppendElement ( &dString, "SetVectorsName" );
    Tcl_DStringAppendElement ( &dString, "GetVectorsName" );
    Tcl_DStringAppendElement ( &dString, "SetTensorsName" );
    Tcl_DStringAppendElement ( &dString, "GetTensorsName" );
    Tcl_DStringAppendElement ( &dString, "SetNormalsName" );
    Tcl_DStringAppendElement ( &dString, "GetNormalsName" );
    Tcl_DStringAppendElement ( &dString, "SetTCoordsName" );
    Tcl_DStringAppendElement ( &dString, "GetTCoordsName" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalIdsName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalIdsName" );
    Tcl_DStringAppendElement ( &dString, "SetPedigreeIdsName" );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeIdsName" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTableName" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTableName" );
    Tcl_DStringAppendElement ( &dString, "SetFieldDataName" );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Created object with default header, ASCII format, and default names for \n scalars, vectors, tensors, normals, and texture coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataWriter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of vtk polygon data file to write.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of vtk polygon data file to write.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWriteToOutputString */
    if ( strcmp ( argv[2], "SetWriteToOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteToOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteToOutputString */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWriteToOutputString (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetWriteToOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWriteToOutputString */
    if ( strcmp ( argv[2], "GetWriteToOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteToOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteToOutputString */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWriteToOutputString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetWriteToOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteToOutputStringOn */
    if ( strcmp ( argv[2], "WriteToOutputStringOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToOutputStringOn */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteToOutputStringOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for WriteToOutputStringOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteToOutputStringOff */
    if ( strcmp ( argv[2], "WriteToOutputStringOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteToOutputStringOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteToOutputStringOff */
    Tcl_DStringAppendElement ( &dString, " Enable writing to an OutputString instead of the default, a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteToOutputStringOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for WriteToOutputStringOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputStringLength */
    if ( strcmp ( argv[2], "GetOutputStringLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputStringLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputStringLength */
    Tcl_DStringAppendElement ( &dString, " When WriteToOutputString in on, then a string is allocated, written to,\n and can be retrieved with these methods.  The string is deleted during\n the next call to write ...\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputStringLength ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetOutputStringLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputString */
    if ( strcmp ( argv[2], "GetOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputString */
    Tcl_DStringAppendElement ( &dString, " When WriteToOutputString in on, then a string is allocated, written to,\n and can be retrieved with these methods.  The string is deleted during\n the next call to write ...\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetOutputString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RegisterAndGetOutputString */
    if ( strcmp ( argv[2], "RegisterAndGetOutputString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RegisterAndGetOutputString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RegisterAndGetOutputString */
    Tcl_DStringAppendElement ( &dString, " This convenience method returns the string, sets the IVAR to NULL,\n so that the user is responsible for deleting the string.\n I am not sure what the name should be, so it may change in the future.\n" );
    Tcl_DStringAppendElement ( &dString, "char *RegisterAndGetOutputString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for RegisterAndGetOutputString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeader */
    if ( strcmp ( argv[2], "SetHeader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeader */
    Tcl_DStringAppendElement ( &dString, " Specify the header for the vtk data file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeader (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetHeader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeader */
    if ( strcmp ( argv[2], "GetHeader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeader */
    Tcl_DStringAppendElement ( &dString, " Specify the header for the vtk data file.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetHeader ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetHeader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileType */
    if ( strcmp ( argv[2], "SetFileType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileType */
    Tcl_DStringAppendElement ( &dString, " Specify file type (ASCII or BINARY) for vtk data file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetFileType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileTypeMinValue */
    if ( strcmp ( argv[2], "GetFileTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify file type (ASCII or BINARY) for vtk data file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileTypeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetFileTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileTypeMaxValue */
    if ( strcmp ( argv[2], "GetFileTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify file type (ASCII or BINARY) for vtk data file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileTypeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetFileTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileType */
    if ( strcmp ( argv[2], "GetFileType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileType */
    Tcl_DStringAppendElement ( &dString, " Specify file type (ASCII or BINARY) for vtk data file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetFileType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileTypeToASCII */
    if ( strcmp ( argv[2], "SetFileTypeToASCII" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToASCII" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileTypeToASCII */
    Tcl_DStringAppendElement ( &dString, " Specify file type (ASCII or BINARY) for vtk data file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileTypeToASCII ();this SetFileType VTK_ASCII " );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetFileTypeToASCII */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileTypeToBinary */
    if ( strcmp ( argv[2], "SetFileTypeToBinary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileTypeToBinary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileTypeToBinary */
    Tcl_DStringAppendElement ( &dString, " Specify file type (ASCII or BINARY) for vtk data file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileTypeToBinary ();this SetFileType VTK_BINARY " );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetFileTypeToBinary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarsName */
    if ( strcmp ( argv[2], "SetScalarsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the scalar data. If not specified, uses default\n name \"scalars\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetScalarsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarsName */
    if ( strcmp ( argv[2], "GetScalarsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the scalar data. If not specified, uses default\n name \"scalars\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetScalarsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetScalarsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorsName */
    if ( strcmp ( argv[2], "SetVectorsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the vector data. If not specified, uses default\n name \"vectors\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetVectorsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorsName */
    if ( strcmp ( argv[2], "GetVectorsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the vector data. If not specified, uses default\n name \"vectors\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVectorsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetVectorsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTensorsName */
    if ( strcmp ( argv[2], "SetTensorsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTensorsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTensorsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the tensors data. If not specified, uses default\n name \"tensors\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTensorsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetTensorsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorsName */
    if ( strcmp ( argv[2], "GetTensorsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the tensors data. If not specified, uses default\n name \"tensors\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTensorsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetTensorsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalsName */
    if ( strcmp ( argv[2], "SetNormalsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the normals data. If not specified, uses default\n name \"normals\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetNormalsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalsName */
    if ( strcmp ( argv[2], "GetNormalsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the normals data. If not specified, uses default\n name \"normals\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetNormalsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetNormalsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTCoordsName */
    if ( strcmp ( argv[2], "SetTCoordsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTCoordsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTCoordsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the texture coordinates data. If not specified, uses \n default name \"textureCoords\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTCoordsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetTCoordsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoordsName */
    if ( strcmp ( argv[2], "GetTCoordsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoordsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoordsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the texture coordinates data. If not specified, uses \n default name \"textureCoords\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTCoordsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetTCoordsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobalIdsName */
    if ( strcmp ( argv[2], "SetGlobalIdsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalIdsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalIdsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the global ids data. If not specified, uses \n default name \"global_ids\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlobalIdsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetGlobalIdsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalIdsName */
    if ( strcmp ( argv[2], "GetGlobalIdsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalIdsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalIdsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the global ids data. If not specified, uses \n default name \"global_ids\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetGlobalIdsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetGlobalIdsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPedigreeIdsName */
    if ( strcmp ( argv[2], "SetPedigreeIdsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPedigreeIdsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPedigreeIdsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the pedigree ids data. If not specified, uses \n default name \"pedigree_ids\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPedigreeIdsName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetPedigreeIdsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPedigreeIdsName */
    if ( strcmp ( argv[2], "GetPedigreeIdsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeIdsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPedigreeIdsName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the pedigree ids data. If not specified, uses \n default name \"pedigree_ids\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPedigreeIdsName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetPedigreeIdsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTableName */
    if ( strcmp ( argv[2], "SetLookupTableName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTableName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTableName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the lookup table. If not specified, uses default\n name \"lookupTable\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLookupTableName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetLookupTableName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTableName */
    if ( strcmp ( argv[2], "GetLookupTableName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTableName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTableName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the lookup table. If not specified, uses default\n name \"lookupTable\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLookupTableName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetLookupTableName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldDataName */
    if ( strcmp ( argv[2], "SetFieldDataName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldDataName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldDataName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the field data. If not specified, uses default \n name \"field\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFieldDataName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for SetFieldDataName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldDataName */
    if ( strcmp ( argv[2], "GetFieldDataName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldDataName */
    Tcl_DStringAppendElement ( &dString, " Give a name to the field data. If not specified, uses default \n name \"field\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFieldDataName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataWriter" );
    /* Closing for GetFieldDataName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWriterCppCommand(static_cast<vtkWriter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
