// python wrapper for vtkEnSight6BinaryReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEnSight6BinaryReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEnSight6BinaryReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEnSight6BinaryReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkEnSightReaderNew(char *); }

static PyObject *PyvtkEnSight6BinaryReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSight6BinaryReader *op;

  const char    *temp20;
  op = (vtkEnSight6BinaryReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSight6BinaryReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSight6BinaryReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSight6BinaryReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkEnSight6BinaryReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSight6BinaryReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSight6BinaryReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSight6BinaryReader *op;

  vtkEnSight6BinaryReader  *temp20;
  op = (vtkEnSight6BinaryReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSight6BinaryReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSight6BinaryReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEnSight6BinaryReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEnSight6BinaryReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkEnSight6BinaryReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEnSight6BinaryReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEnSight6BinaryReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEnSight6BinaryReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEnSight6BinaryReader\nC++: vtkEnSight6BinaryReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEnSight6BinaryReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEnSight6BinaryReader\nC++: vtkEnSight6BinaryReader *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEnSight6BinaryReaderDoc[] = {
  (char*)"vtkEnSight6BinaryReader - class to read binary EnSight6 files\n\n",
  "Super Class:\n\n vtkEnSightReader\n\n",
  (char*)" vtkEnSight6BinaryReader is a class to read binary EnSight6 files into vtk.\n Because the different parts of the EnSight data can be of various data\n types, this reader produces multiple outputs, one per part in the input\n file.\n All variable information is being stored in field data.  The descriptions\n listed in the case file are used as the array names in the field data.\n For complex vector varia",
  (char*)"bles, the description is appended with _r (for the\n array of real values) and _i (for the array if imaginary values).  Complex\n scalar variables are stored as a single array with 2 components, real and\n imaginary, listed in that order.\n\n",
  "Caveats:\n\n You must manually call Update on this reader and then connect the rest\n of the pipeline because (due to the nature of the file format) it is\n not possible to know ahead of time how many outputs you will have or\n what types they will be.\n This reader can only handle static EnSight datasets (both static geometry\n and variables).\n\n",
  NULL
};

static vtkObjectBase *vtkEnSight6BinaryReaderStaticNew()
{
  return vtkEnSight6BinaryReader::New();
}

PyObject *PyVTKClass_vtkEnSight6BinaryReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkEnSight6BinaryReaderStaticNew,
                        PyvtkEnSight6BinaryReaderMethods,
                        (char*)"vtkEnSight6BinaryReader",modulename,
                        (char**)vtkEnSight6BinaryReaderDoc,
                        PyVTKClass_vtkEnSightReaderNew(modulename));
}

