// python wrapper for vtkEnSightReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEnSightReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEnSightReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEnSightReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGenericEnSightReaderNew(char *); }

static PyObject *PyvtkEnSightReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  const char    *temp20;
  op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSightReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSightReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  vtkEnSightReader  *temp20;
  op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSightReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_GetMeasuredFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  char    *temp20;
  op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSightReader::GetMeasuredFileName();
      }
    else
      {
      temp20 = op->GetMeasuredFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_GetMatchFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  char    *temp20;
  op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSightReader::GetMatchFileName();
      }
    else
      {
      temp20 = op->GetMatchFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_SetParticleCoordinatesByIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  int      temp0;
  op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEnSightReader::SetParticleCoordinatesByIndex(temp0);
      }
    else
      {
      op->SetParticleCoordinatesByIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_GetParticleCoordinatesByIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  int      temp20;
  op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSightReader::GetParticleCoordinatesByIndex();
      }
    else
      {
      temp20 = op->GetParticleCoordinatesByIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_ParticleCoordinatesByIndexOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEnSightReader::ParticleCoordinatesByIndexOn();
      }
    else
      {
      op->ParticleCoordinatesByIndexOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_ParticleCoordinatesByIndexOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEnSightReader::ParticleCoordinatesByIndexOff();
      }
    else
      {
      op->ParticleCoordinatesByIndexOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEnSightReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEnSightReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEnSightReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEnSightReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEnSightReader\nC++: vtkEnSightReader *NewInstance ();\n\n"},
  {(char*)"GetMeasuredFileName",                (PyCFunction)PyvtkEnSightReader_GetMeasuredFileName, 1,
   (char*)"V.GetMeasuredFileName() -> string\nC++: char *GetMeasuredFileName ();\n\n Get the Measured file name. Made public to allow access from \n apps requiring detailed info about the Data contents\n"},
  {(char*)"GetMatchFileName",                (PyCFunction)PyvtkEnSightReader_GetMatchFileName, 1,
   (char*)"V.GetMatchFileName() -> string\nC++: char *GetMatchFileName ();\n\n Get the Match file name. Made public to allow access from \n apps requiring detailed info about the Data contents\n"},
  {(char*)"SetParticleCoordinatesByIndex",                (PyCFunction)PyvtkEnSightReader_SetParticleCoordinatesByIndex, 1,
   (char*)"V.SetParticleCoordinatesByIndex(int)\nC++: void SetParticleCoordinatesByIndex (int );\n\n The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting this flag will reorder them.\n"},
  {(char*)"GetParticleCoordinatesByIndex",                (PyCFunction)PyvtkEnSightReader_GetParticleCoordinatesByIndex, 1,
   (char*)"V.GetParticleCoordinatesByIndex() -> int\nC++: int GetParticleCoordinatesByIndex ();\n\n The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting this flag will reorder them.\n"},
  {(char*)"ParticleCoordinatesByIndexOn",                (PyCFunction)PyvtkEnSightReader_ParticleCoordinatesByIndexOn, 1,
   (char*)"V.ParticleCoordinatesByIndexOn()\nC++: void ParticleCoordinatesByIndexOn ();\n\n The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting this flag will reorder them.\n"},
  {(char*)"ParticleCoordinatesByIndexOff",                (PyCFunction)PyvtkEnSightReader_ParticleCoordinatesByIndexOff, 1,
   (char*)"V.ParticleCoordinatesByIndexOff()\nC++: void ParticleCoordinatesByIndexOff ();\n\n The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting this flag will reorder them.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEnSightReaderDoc[] = {
  (char*)"vtkEnSightReader - superclass for EnSight file readers\n\n",
  "Super Class:\n\n vtkGenericEnSightReader\n\n",
  (char*)"None provided.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkEnSightReaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkEnSightReaderMethods,
                        (char*)"vtkEnSightReader",modulename,
                        (char**)vtkEnSightReaderDoc,
                        PyVTKClass_vtkGenericEnSightReaderNew(modulename));
}

