// tcl wrapper for vtkEnSightReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEnSightReader.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkGenericEnSightReaderCppCommand(vtkGenericEnSightReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkEnSightReaderCppCommand(vtkEnSightReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkEnSightReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkEnSightReaderCppCommand(static_cast<vtkEnSightReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkEnSightReaderCppCommand(vtkEnSightReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkEnSightReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGenericEnSightReaderCppCommand(static_cast<vtkGenericEnSightReader *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGenericEnSightReader"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkEnSightReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEnSightReader");
    return TCL_OK;
    }
  if ((!strcmp("GetMeasuredFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetMeasuredFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMatchFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetMatchFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetParticleCoordinatesByIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParticleCoordinatesByIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParticleCoordinatesByIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParticleCoordinatesByIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParticleCoordinatesByIndexOn",argv[1]))&&(argc == 2))
    {
    op->ParticleCoordinatesByIndexOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParticleCoordinatesByIndexOff",argv[1]))&&(argc == 2))
    {
    op->ParticleCoordinatesByIndexOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkEnSightReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGenericEnSightReaderCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkEnSightReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetMeasuredFileName\n",NULL);
    Tcl_AppendResult(interp,"  GetMatchFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetParticleCoordinatesByIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParticleCoordinatesByIndex\n",NULL);
    Tcl_AppendResult(interp,"  ParticleCoordinatesByIndexOn\n",NULL);
    Tcl_AppendResult(interp,"  ParticleCoordinatesByIndexOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGenericEnSightReaderCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetMeasuredFileName" );
    Tcl_DStringAppendElement ( &dString, "GetMatchFileName" );
    Tcl_DStringAppendElement ( &dString, "SetParticleCoordinatesByIndex" );
    Tcl_DStringAppendElement ( &dString, "GetParticleCoordinatesByIndex" );
    Tcl_DStringAppendElement ( &dString, "ParticleCoordinatesByIndexOn" );
    Tcl_DStringAppendElement ( &dString, "ParticleCoordinatesByIndexOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGenericEnSightReaderCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEnSightReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkEnSightReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkEnSightReader *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEnSightReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMeasuredFileName */
    if ( strcmp ( argv[2], "GetMeasuredFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMeasuredFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMeasuredFileName */
    Tcl_DStringAppendElement ( &dString, " Get the Measured file name. Made public to allow access from \n apps requiring detailed info about the Data contents\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetMeasuredFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEnSightReader" );
    /* Closing for GetMeasuredFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMatchFileName */
    if ( strcmp ( argv[2], "GetMatchFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMatchFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMatchFileName */
    Tcl_DStringAppendElement ( &dString, " Get the Match file name. Made public to allow access from \n apps requiring detailed info about the Data contents\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetMatchFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEnSightReader" );
    /* Closing for GetMatchFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParticleCoordinatesByIndex */
    if ( strcmp ( argv[2], "SetParticleCoordinatesByIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParticleCoordinatesByIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParticleCoordinatesByIndex */
    Tcl_DStringAppendElement ( &dString, " The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParticleCoordinatesByIndex (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkEnSightReader" );
    /* Closing for SetParticleCoordinatesByIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParticleCoordinatesByIndex */
    if ( strcmp ( argv[2], "GetParticleCoordinatesByIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParticleCoordinatesByIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParticleCoordinatesByIndex */
    Tcl_DStringAppendElement ( &dString, " The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetParticleCoordinatesByIndex ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEnSightReader" );
    /* Closing for GetParticleCoordinatesByIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParticleCoordinatesByIndexOn */
    if ( strcmp ( argv[2], "ParticleCoordinatesByIndexOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParticleCoordinatesByIndexOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParticleCoordinatesByIndexOn */
    Tcl_DStringAppendElement ( &dString, " The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ParticleCoordinatesByIndexOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEnSightReader" );
    /* Closing for ParticleCoordinatesByIndexOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParticleCoordinatesByIndexOff */
    if ( strcmp ( argv[2], "ParticleCoordinatesByIndexOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParticleCoordinatesByIndexOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParticleCoordinatesByIndexOff */
    Tcl_DStringAppendElement ( &dString, " The MeasuredGeometryFile should list particle coordinates\n from 0->N-1.\n If a file is loaded where point Ids are listed from 1-N\n the Id to points reference will be wrong and the data\n will be generated incorrectly.\n Setting ParticleCoordinatesByIndex to true will force\n all Id's to increment from 0->N-1 (relative to their order\n in the file) and regardless of the actual Id of of the point.\n Warning, if the Points are listed in non sequential order\n then setting th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ParticleCoordinatesByIndexOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEnSightReader" );
    /* Closing for ParticleCoordinatesByIndexOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGenericEnSightReaderCppCommand(static_cast<vtkGenericEnSightReader *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
