// python wrapper for vtkFLUENTReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFLUENTReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFLUENTReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFLUENTReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkFLUENTReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  const char    *temp20;
  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFLUENTReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFLUENTReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFLUENTReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFLUENTReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  vtkFLUENTReader  *temp20;
  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFLUENTReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFLUENTReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFLUENTReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFLUENTReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFLUENTReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  char    *temp0;
  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFLUENTReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFLUENTReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  char    *temp20;
  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFLUENTReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFLUENTReader_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  int      temp20;
  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFLUENTReader::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFLUENTReader_GetNumberOfCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  int      temp20;
  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFLUENTReader::GetNumberOfCellArrays();
      }
    else
      {
      temp20 = op->GetNumberOfCellArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFLUENTReader_GetCellArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFLUENTReader::GetCellArrayName(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFLUENTReader_GetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFLUENTReader::GetCellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFLUENTReader_SetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFLUENTReader::SetCellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetCellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFLUENTReader_DisableAllCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFLUENTReader::DisableAllCellArrays();
      }
    else
      {
      op->DisableAllCellArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFLUENTReader_EnableAllCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFLUENTReader *op;

  op = (vtkFLUENTReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFLUENTReader::EnableAllCellArrays();
      }
    else
      {
      op->EnableAllCellArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFLUENTReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFLUENTReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFLUENTReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFLUENTReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFLUENTReader\nC++: vtkFLUENTReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFLUENTReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFLUENTReader\nC++: vtkFLUENTReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkFLUENTReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify the file name of the Fluent case file to read.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkFLUENTReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify the file name of the Fluent case file to read.\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkFLUENTReader_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: int GetNumberOfCells ();\n\n Get the total number of cells. The number of cells is only valid after a\n successful read of the data file is performed.\n"},
  {(char*)"GetNumberOfCellArrays",                (PyCFunction)PyvtkFLUENTReader_GetNumberOfCellArrays, 1,
   (char*)"V.GetNumberOfCellArrays() -> int\nC++: int GetNumberOfCellArrays (void );\n\n Get the number of cell arrays available in the input.\n"},
  {(char*)"GetCellArrayName",                (PyCFunction)PyvtkFLUENTReader_GetCellArrayName, 1,
   (char*)"V.GetCellArrayName(int) -> string\nC++: const char *GetCellArrayName (int index);\n\n Get the name of the  cell array with the given index in\n the input.\n"},
  {(char*)"GetCellArrayStatus",                (PyCFunction)PyvtkFLUENTReader_GetCellArrayStatus, 1,
   (char*)"V.GetCellArrayStatus(string) -> int\nC++: int GetCellArrayStatus (const char *name);\n\n Get/Set whether the cell array with the given name is to\n be read.\n"},
  {(char*)"SetCellArrayStatus",                (PyCFunction)PyvtkFLUENTReader_SetCellArrayStatus, 1,
   (char*)"V.SetCellArrayStatus(string, int)\nC++: void SetCellArrayStatus (const char *name, int status);\n\n Get/Set whether the cell array with the given name is to\n be read.\n"},
  {(char*)"DisableAllCellArrays",                (PyCFunction)PyvtkFLUENTReader_DisableAllCellArrays, 1,
   (char*)"V.DisableAllCellArrays()\nC++: void DisableAllCellArrays ();\n\n Turn on/off all cell arrays.\n"},
  {(char*)"EnableAllCellArrays",                (PyCFunction)PyvtkFLUENTReader_EnableAllCellArrays, 1,
   (char*)"V.EnableAllCellArrays()\nC++: void EnableAllCellArrays ();\n\n Turn on/off all cell arrays.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFLUENTReaderDoc[] = {
  (char*)"vtkFLUENTReader - reads a dataset in Fluent file format\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" vtkFLUENTReader creates an unstructured grid dataset. It reads .cas and\n .dat files stored in FLUENT native format.\n\n .SECTION Thanks\n Thanks to Brian W. Dotson & Terry E. Jordan (Department of Energy, National\n Energy Technology Laboratory) & Douglas McCorkle (Iowa State University)\n who developed this class.\n Please address all comments to Brian Dotson (brian.dotson@netl.doe.gov) &\n Terry Jorda",
  (char*)"n (terry.jordan@sa.netl.doe.gov)\n & Doug McCorkle (mccdo@iastate.edu)\n\n\n",
  "See Also:\n\n vtkGAMBITReader\n\n",
  NULL
};

static vtkObjectBase *vtkFLUENTReaderStaticNew()
{
  return vtkFLUENTReader::New();
}

PyObject *PyVTKClass_vtkFLUENTReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkFLUENTReaderStaticNew,
                        PyvtkFLUENTReaderMethods,
                        (char*)"vtkFLUENTReader",modulename,
                        (char**)vtkFLUENTReaderDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

