// python wrapper for vtkFacetWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFacetWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFacetWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFacetWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkFacetWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFacetWriter *op;

  const char    *temp20;
  op = (vtkFacetWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFacetWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFacetWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFacetWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkFacetWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFacetWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFacetWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFacetWriter *op;

  vtkFacetWriter  *temp20;
  op = (vtkFacetWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFacetWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFacetWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFacetWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFacetWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFacetWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFacetWriter *op;

  char    *temp0;
  op = (vtkFacetWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFacetWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFacetWriter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFacetWriter *op;

  char    *temp20;
  op = (vtkFacetWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFacetWriter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFacetWriter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFacetWriter *op;

  op = (vtkFacetWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFacetWriter::Write();
      }
    else
      {
      op->Write();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFacetWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFacetWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFacetWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFacetWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFacetWriter\nC++: vtkFacetWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFacetWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFacetWriter\nC++: vtkFacetWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkFacetWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of Facet datafile to read\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkFacetWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of Facet datafile to read\n"},
  {(char*)"Write",                (PyCFunction)PyvtkFacetWriter_Write, 1,
   (char*)"V.Write()\nC++: void Write ();\n\n Write data\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFacetWriterDoc[] = {
  (char*)"vtkFacetWriter - reads a dataset in Facet format\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkFacetWriter creates an unstructured grid dataset. It reads ASCII files\n stored in Facet format\n\n The facet format looks like this:\n FACET FILE ...\n nparts\n Part 1 name\n 0\n npoints 0 0\n p1x p1y p1z\n p2x p2y p2z\n ...\n 1\n Part 1 name\n ncells npointspercell\n p1c1 p2c1 p3c1 ... pnc1 materialnum partnum\n p1c2 p2c2 p3c2 ... pnc2 materialnum partnum\n ...\n\n",
  NULL
};

static vtkObjectBase *vtkFacetWriterStaticNew()
{
  return vtkFacetWriter::New();
}

PyObject *PyVTKClass_vtkFacetWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkFacetWriterStaticNew,
                        PyvtkFacetWriterMethods,
                        (char*)"vtkFacetWriter",modulename,
                        (char**)vtkFacetWriterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

