// python wrapper for vtkGAMBITReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGAMBITReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGAMBITReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGAMBITReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkGAMBITReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGAMBITReader *op;

  const char    *temp20;
  op = (vtkGAMBITReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGAMBITReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGAMBITReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGAMBITReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkGAMBITReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGAMBITReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGAMBITReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGAMBITReader *op;

  vtkGAMBITReader  *temp20;
  op = (vtkGAMBITReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGAMBITReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGAMBITReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGAMBITReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGAMBITReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGAMBITReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGAMBITReader *op;

  char    *temp0;
  op = (vtkGAMBITReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGAMBITReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGAMBITReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGAMBITReader *op;

  char    *temp20;
  op = (vtkGAMBITReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGAMBITReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGAMBITReader_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGAMBITReader *op;

  int      temp20;
  op = (vtkGAMBITReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGAMBITReader::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGAMBITReader_GetNumberOfNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGAMBITReader *op;

  int      temp20;
  op = (vtkGAMBITReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGAMBITReader::GetNumberOfNodes();
      }
    else
      {
      temp20 = op->GetNumberOfNodes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGAMBITReader_GetNumberOfNodeFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGAMBITReader *op;

  int      temp20;
  op = (vtkGAMBITReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGAMBITReader::GetNumberOfNodeFields();
      }
    else
      {
      temp20 = op->GetNumberOfNodeFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGAMBITReader_GetNumberOfCellFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGAMBITReader *op;

  int      temp20;
  op = (vtkGAMBITReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGAMBITReader::GetNumberOfCellFields();
      }
    else
      {
      temp20 = op->GetNumberOfCellFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGAMBITReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGAMBITReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGAMBITReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGAMBITReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGAMBITReader\nC++: vtkGAMBITReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGAMBITReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGAMBITReader\nC++: vtkGAMBITReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkGAMBITReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify the file name of the GAMBIT data file to read.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkGAMBITReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify the file name of the GAMBIT data file to read.\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkGAMBITReader_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: int GetNumberOfCells ();\n\n Get the total number of cells. The number of cells is only valid after a\n successful read of the data file is performed.\n"},
  {(char*)"GetNumberOfNodes",                (PyCFunction)PyvtkGAMBITReader_GetNumberOfNodes, 1,
   (char*)"V.GetNumberOfNodes() -> int\nC++: int GetNumberOfNodes ();\n\n Get the total number of nodes. The number of nodes is only valid after a\n successful read of the data file is performed.\n"},
  {(char*)"GetNumberOfNodeFields",                (PyCFunction)PyvtkGAMBITReader_GetNumberOfNodeFields, 1,
   (char*)"V.GetNumberOfNodeFields() -> int\nC++: int GetNumberOfNodeFields ();\n\n Get the number of data components at the nodes and cells.\n"},
  {(char*)"GetNumberOfCellFields",                (PyCFunction)PyvtkGAMBITReader_GetNumberOfCellFields, 1,
   (char*)"V.GetNumberOfCellFields() -> int\nC++: int GetNumberOfCellFields ();\n\n Get the number of data components at the nodes and cells.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGAMBITReaderDoc[] = {
  (char*)"vtkGAMBITReader - reads a dataset in Fluent GAMBIT neutral file format\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkGAMBITReader creates an unstructured grid dataset. It reads ASCII files\n stored in GAMBIT neutral format, with optional data stored at the nodes or\n at the cells of the model. A cell-based fielddata stores the material id.\n\n",
  "See Also:\n\n vtkAVSucdReader\n\n",
  NULL
};

static vtkObjectBase *vtkGAMBITReaderStaticNew()
{
  return vtkGAMBITReader::New();
}

PyObject *PyVTKClass_vtkGAMBITReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkGAMBITReaderStaticNew,
                        PyvtkGAMBITReaderMethods,
                        (char*)"vtkGAMBITReader",modulename,
                        (char**)vtkGAMBITReaderDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

