// python wrapper for vtkGESignaReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGESignaReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGESignaReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGESignaReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMedicalImageReader2New(char *); }

static PyObject *PyvtkGESignaReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGESignaReader *op;

  const char    *temp20;
  op = (vtkGESignaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGESignaReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGESignaReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGESignaReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkGESignaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGESignaReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGESignaReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGESignaReader *op;

  vtkGESignaReader  *temp20;
  op = (vtkGESignaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGESignaReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGESignaReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGESignaReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGESignaReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGESignaReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGESignaReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkGESignaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGESignaReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGESignaReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGESignaReader *op;

  const char    *temp20;
  op = (vtkGESignaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGESignaReader::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGESignaReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGESignaReader *op;

  const char    *temp20;
  op = (vtkGESignaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGESignaReader::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGESignaReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGESignaReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGESignaReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGESignaReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGESignaReader\nC++: vtkGESignaReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGESignaReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGESignaReader\nC++: vtkGESignaReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkGESignaReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *fname);\n\n Is the given file a GESigna file?\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkGESignaReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n A descriptive name for this format\n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkGESignaReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGESignaReaderDoc[] = {
  (char*)"vtkGESignaReader - read GE Signa ximg files\n\n",
  "Super Class:\n\n vtkMedicalImageReader2\n\n",
  (char*)" vtkGESignaReader is a source object that reads some GE Signa ximg files It\n does support reading in pixel spacing, slice spacing and it computes an\n origin for the image in millimeters. It always produces greyscale unsigned\n short data and it supports reading in rectangular, packed, compressed, and\n packed&compressed. It does not read in slice orientation, or position\n right now. To use it you ju",
  (char*)"st need to specify a filename or a file prefix\n and pattern.\n\n",
  "See Also:\n\n vtkImageReader2\n\n",
  NULL
};

static vtkObjectBase *vtkGESignaReaderStaticNew()
{
  return vtkGESignaReader::New();
}

PyObject *PyVTKClass_vtkGESignaReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkGESignaReaderStaticNew,
                        PyvtkGESignaReaderMethods,
                        (char*)"vtkGESignaReader",modulename,
                        (char**)vtkGESignaReaderDoc,
                        PyVTKClass_vtkMedicalImageReader2New(modulename));
}

