// python wrapper for vtkGaussianCubeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGaussianCubeReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGaussianCubeReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGaussianCubeReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMoleculeReaderBaseNew(char *); }

static PyObject *PyvtkGaussianCubeReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianCubeReader *op;

  const char    *temp20;
  op = (vtkGaussianCubeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianCubeReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianCubeReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianCubeReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkGaussianCubeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianCubeReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianCubeReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianCubeReader *op;

  vtkGaussianCubeReader  *temp20;
  op = (vtkGaussianCubeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianCubeReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianCubeReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGaussianCubeReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGaussianCubeReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGaussianCubeReader_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianCubeReader *op;

  vtkTransform  *temp20;
  op = (vtkGaussianCubeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianCubeReader::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianCubeReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianCubeReader *op;

  char    *temp0;
  op = (vtkGaussianCubeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianCubeReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianCubeReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianCubeReader *op;

  char    *temp20;
  op = (vtkGaussianCubeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianCubeReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianCubeReader_GetGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianCubeReader *op;

  vtkImageData  *temp20;
  op = (vtkGaussianCubeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianCubeReader::GetGridOutput();
      }
    else
      {
      temp20 = op->GetGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGaussianCubeReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGaussianCubeReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGaussianCubeReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGaussianCubeReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGaussianCubeReader\nC++: vtkGaussianCubeReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGaussianCubeReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGaussianCubeReader\nC++: vtkGaussianCubeReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkGaussianCubeReader_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkTransform\nC++: vtkTransform *GetTransform ();\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkGaussianCubeReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkGaussianCubeReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n"},
  {(char*)"GetGridOutput",                (PyCFunction)PyvtkGaussianCubeReader_GetGridOutput, 1,
   (char*)"V.GetGridOutput() -> vtkImageData\nC++: vtkImageData *GetGridOutput ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGaussianCubeReaderDoc[] = {
  (char*)"vtkGaussianCubeReader - read ASCII Gaussian Cube Data files\n\n",
  "Super Class:\n\n vtkMoleculeReaderBase\n\n",
  (char*)" vtkGaussianCubeReader is a source object that reads ASCII files following\n the description in http://www.gaussian.com/00000430.htm\n The FileName must be specified.\n\n .SECTION Thanks\n Dr. Jean M. Favre who developed and contributed this class.\n\n",
  NULL
};

static vtkObjectBase *vtkGaussianCubeReaderStaticNew()
{
  return vtkGaussianCubeReader::New();
}

PyObject *PyVTKClass_vtkGaussianCubeReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkGaussianCubeReaderStaticNew,
                        PyvtkGaussianCubeReaderMethods,
                        (char*)"vtkGaussianCubeReader",modulename,
                        (char**)vtkGaussianCubeReaderDoc,
                        PyVTKClass_vtkMoleculeReaderBaseNew(modulename));
}

