// python wrapper for vtkGenericDataObjectWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericDataObjectWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericDataObjectWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericDataObjectWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataWriterNew(char *); }

static PyObject *PyvtkGenericDataObjectWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataObjectWriter *op;

  const char    *temp20;
  op = (vtkGenericDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataObjectWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataObjectWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataObjectWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataObjectWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataObjectWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataObjectWriter *op;

  vtkGenericDataObjectWriter  *temp20;
  op = (vtkGenericDataObjectWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataObjectWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataObjectWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericDataObjectWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericDataObjectWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkGenericDataObjectWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericDataObjectWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericDataObjectWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericDataObjectWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericDataObjectWriter\nC++: vtkGenericDataObjectWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericDataObjectWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericDataObjectWriter\nC++: vtkGenericDataObjectWriter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericDataObjectWriterDoc[] = {
  (char*)"vtkGenericDataObjectWriter - writes any type of vtk data object to file\n\n",
  "Super Class:\n\n vtkDataWriter\n\n",
  (char*)" vtkGenericDataObjectWriter is a concrete class that writes data objects\n to disk. The input to this object is any subclass of vtkDataObject.\n\n",
  NULL
};

static vtkObjectBase *vtkGenericDataObjectWriterStaticNew()
{
  return vtkGenericDataObjectWriter::New();
}

PyObject *PyVTKClass_vtkGenericDataObjectWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericDataObjectWriterStaticNew,
                        PyvtkGenericDataObjectWriterMethods,
                        (char*)"vtkGenericDataObjectWriter",modulename,
                        (char**)vtkGenericDataObjectWriterDoc,
                        PyVTKClass_vtkDataWriterNew(modulename));
}

