// tcl wrapper for vtkGlobFileNames object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGlobFileNames.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGlobFileNamesNewCommand()
{
  vtkGlobFileNames *temp = vtkGlobFileNames::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGlobFileNamesCppCommand(vtkGlobFileNames *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGlobFileNamesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGlobFileNamesCppCommand(static_cast<vtkGlobFileNames *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGlobFileNamesCppCommand(vtkGlobFileNames *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGlobFileNames",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGlobFileNames  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlobFileNames");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGlobFileNames  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlobFileNames");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGlobFileNames  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlobFileNames");
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectory",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDirectory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirectory",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDirectory();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("AddFileNames",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->AddFileNames(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRecurse",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRecurse(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RecurseOn",argv[1]))&&(argc == 2))
    {
    op->RecurseOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RecurseOff",argv[1]))&&(argc == 2))
    {
    op->RecurseOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRecurse",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRecurse();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFileNames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFileNames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNthFileName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthFileName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileNames",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetFileNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGlobFileNamesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGlobFileNames:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDirectory\n",NULL);
    Tcl_AppendResult(interp,"  AddFileNames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRecurse\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RecurseOn\n",NULL);
    Tcl_AppendResult(interp,"  RecurseOff\n",NULL);
    Tcl_AppendResult(interp,"  GetRecurse\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFileNames\n",NULL);
    Tcl_AppendResult(interp,"  GetNthFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileNames\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "SetDirectory" );
    Tcl_DStringAppendElement ( &dString, "GetDirectory" );
    Tcl_DStringAppendElement ( &dString, "AddFileNames" );
    Tcl_DStringAppendElement ( &dString, "SetRecurse" );
    Tcl_DStringAppendElement ( &dString, "RecurseOn" );
    Tcl_DStringAppendElement ( &dString, "RecurseOff" );
    Tcl_DStringAppendElement ( &dString, "GetRecurse" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFileNames" );
    Tcl_DStringAppendElement ( &dString, "GetNthFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileNames" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Return the class name as a string.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Return the class name as a string.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Return the class name as a string.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Return the class name as a string.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create a new vtkGlobFileNames object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGlobFileNames *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, " Reset the glob by clearing the list of output filenames.\n" );
    Tcl_DStringAppendElement ( &dString, "void Reset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectory */
    if ( strcmp ( argv[2], "SetDirectory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectory */
    Tcl_DStringAppendElement ( &dString, " Set the directory in which to perform the glob.  If this is\n not set, then the current directory will be used.  Also, if\n you use a glob pattern that contains absolute path (one that\n starts with \"/\" or a drive letter) then that absolute path\n will be used and Directory will be ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectory (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for SetDirectory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirectory */
    if ( strcmp ( argv[2], "GetDirectory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirectory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirectory */
    Tcl_DStringAppendElement ( &dString, " Set the directory in which to perform the glob.  If this is\n not set, then the current directory will be used.  Also, if\n you use a glob pattern that contains absolute path (one that\n starts with \"/\" or a drive letter) then that absolute path\n will be used and Directory will be ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetDirectory ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for GetDirectory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFileNames */
    if ( strcmp ( argv[2], "AddFileNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFileNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFileNames */
    Tcl_DStringAppendElement ( &dString, " Search for all files that match the given expression,\n sort them, and add them to the output.  This method can\n be called repeatedly to add files matching additional patterns.\n Returns 1 if successful, otherwise returns zero.\n" );
    Tcl_DStringAppendElement ( &dString, "int AddFileNames (const char *pattern);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for AddFileNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRecurse */
    if ( strcmp ( argv[2], "SetRecurse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRecurse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRecurse */
    Tcl_DStringAppendElement ( &dString, " Recurse into subdirectories.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRecurse (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for SetRecurse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RecurseOn */
    if ( strcmp ( argv[2], "RecurseOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RecurseOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RecurseOn */
    Tcl_DStringAppendElement ( &dString, " Recurse into subdirectories.\n" );
    Tcl_DStringAppendElement ( &dString, "void RecurseOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for RecurseOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RecurseOff */
    if ( strcmp ( argv[2], "RecurseOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RecurseOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RecurseOff */
    Tcl_DStringAppendElement ( &dString, " Recurse into subdirectories.\n" );
    Tcl_DStringAppendElement ( &dString, "void RecurseOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for RecurseOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRecurse */
    if ( strcmp ( argv[2], "GetRecurse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRecurse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRecurse */
    Tcl_DStringAppendElement ( &dString, " Recurse into subdirectories.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRecurse ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for GetRecurse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFileNames */
    if ( strcmp ( argv[2], "GetNumberOfFileNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFileNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFileNames */
    Tcl_DStringAppendElement ( &dString, " Return the number of files found.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFileNames ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for GetNumberOfFileNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNthFileName */
    if ( strcmp ( argv[2], "GetNthFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNthFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNthFileName */
    Tcl_DStringAppendElement ( &dString, " Return the file at the given index, the indexing is 0 based.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetNthFileName (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for GetNthFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileNames */
    if ( strcmp ( argv[2], "GetFileNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileNames */
    Tcl_DStringAppendElement ( &dString, " Get an array that contains all the file names.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetFileNames ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGlobFileNames" );
    /* Closing for GetFileNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
