// python wrapper for vtkGraphReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataReaderNew(char *); }

static PyObject *PyvtkGraphReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphReader *op;

  const char    *temp20;
  op = (vtkGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphReader *op;

  vtkGraphReader  *temp20;
  op = (vtkGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGraphReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGraphReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphReader *op;

  vtkGraph  *temp20;
  op = (vtkGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkGraphReader *op;

  int      temp0;
  vtkGraph  *temp20;
  PyErr_Clear();
  op = (vtkGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphReader *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  op = (vtkGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkGraphReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphReader\nC++: vtkGraphReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGraphReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphReader\nC++: vtkGraphReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkGraphReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkGraph\nC++: vtkGraph *GetOutput ();\nV.GetOutput(int) -> vtkGraph\nC++: vtkGraph *GetOutput (int idx);\n\n Get the output of this reader.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkGraphReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkGraph)\nC++: void SetOutput (vtkGraph *output);\n\n Get the output of this reader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphReaderDoc[] = {
  (char*)"vtkGraphReader - read vtkGraph data file\n\n",
  "Super Class:\n\n vtkDataReader\n\n",
  (char*)" vtkGraphReader is a source object that reads ASCII or binary \n vtkGraph data files in vtk format. (see text for format details).\n The output of this reader is a single vtkGraph data object.\n The superclass of this class, vtkDataReader, provides many methods for\n controlling the reading of the data file, see vtkDataReader for more\n information.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  "See Also:\n\n vtkGraph vtkDataReader vtkGraphWriter\n\n",
  NULL
};

static vtkObjectBase *vtkGraphReaderStaticNew()
{
  return vtkGraphReader::New();
}

PyObject *PyVTKClass_vtkGraphReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphReaderStaticNew,
                        PyvtkGraphReaderMethods,
                        (char*)"vtkGraphReader",modulename,
                        (char**)vtkGraphReaderDoc,
                        PyVTKClass_vtkDataReaderNew(modulename));
}

