// python wrapper for vtkGraphWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataWriterNew(char *); }

static PyObject *PyvtkGraphWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphWriter *op;

  const char    *temp20;
  op = (vtkGraphWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphWriter *op;

  vtkGraphWriter  *temp20;
  op = (vtkGraphWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGraphWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGraphWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphWriter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphWriter *op;

  vtkGraph  *temp20;
  op = (vtkGraphWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphWriter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkGraphWriter *op;

  int      temp0;
  vtkGraph  *temp20;
  PyErr_Clear();
  op = (vtkGraphWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphWriter::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphWriter\nC++: vtkGraphWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGraphWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphWriter\nC++: vtkGraphWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkGraphWriter_GetInput, 1,
   (char*)"V.GetInput() -> vtkGraph\nC++: vtkGraph *GetInput ();\nV.GetInput(int) -> vtkGraph\nC++: vtkGraph *GetInput (int port);\n\n Get the input to this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphWriterDoc[] = {
  (char*)"vtkGraphWriter - write vtkGraph data to a file\n\n",
  "Super Class:\n\n vtkDataWriter\n\n",
  (char*)" vtkGraphWriter is a sink object that writes ASCII or binary \n vtkGraph data files in vtk format. See text for format details.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  NULL
};

static vtkObjectBase *vtkGraphWriterStaticNew()
{
  return vtkGraphWriter::New();
}

PyObject *PyVTKClass_vtkGraphWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphWriterStaticNew,
                        PyvtkGraphWriterMethods,
                        (char*)"vtkGraphWriter",modulename,
                        (char**)vtkGraphWriterDoc,
                        PyVTKClass_vtkDataWriterNew(modulename));
}

