// python wrapper for vtkImageReader2Collection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageReader2Collection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageReader2CollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageReader2CollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkImageReader2Collection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader2Collection *op;

  const char    *temp20;
  op = (vtkImageReader2Collection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader2Collection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader2Collection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader2Collection *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageReader2Collection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader2Collection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader2Collection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader2Collection *op;

  vtkImageReader2Collection  *temp20;
  op = (vtkImageReader2Collection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader2Collection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader2Collection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageReader2Collection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageReader2Collection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageReader2Collection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader2Collection *op;

  vtkImageReader2  *temp0;
  PyObject *tempH0;
  op = (vtkImageReader2Collection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageReader2 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageReader2");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReader2Collection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageReader2Collection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader2Collection *op;

  vtkImageReader2  *temp20;
  op = (vtkImageReader2Collection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader2Collection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageReader2CollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageReader2Collection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageReader2Collection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageReader2Collection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageReader2Collection\nC++: vtkImageReader2Collection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageReader2Collection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageReader2Collection\nC++: vtkImageReader2Collection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkImageReader2Collection_AddItem, 1,
   (char*)"V.AddItem(vtkImageReader2)\nC++: void AddItem (vtkImageReader2 *);\n\n Add an image reader to the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkImageReader2Collection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkImageReader2\nC++: vtkImageReader2 *GetNextItem ();\n\n Get the next image reader in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageReader2CollectionDoc[] = {
  (char*)"vtkImageReader2Collection - maintain a list of image readers \n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkImageReader2Collection is an object that creates and manipulates\n lists of objects of type vtkImageReader2 and its subclasses. \n\n",
  "See Also:\n\n vtkCollection vtkPlaneCollection\n\n",
  NULL
};

static vtkObjectBase *vtkImageReader2CollectionStaticNew()
{
  return vtkImageReader2Collection::New();
}

PyObject *PyVTKClass_vtkImageReader2CollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageReader2CollectionStaticNew,
                        PyvtkImageReader2CollectionMethods,
                        (char*)"vtkImageReader2Collection",modulename,
                        (char**)vtkImageReader2CollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

