// python wrapper for vtkImageReader2Factory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageReader2Factory.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageReader2FactoryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageReader2FactoryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkImageReader2Factory_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader2Factory *op;

  const char    *temp20;
  op = (vtkImageReader2Factory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader2Factory::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader2Factory_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader2Factory *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageReader2Factory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader2Factory::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader2Factory_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader2Factory *op;

  vtkImageReader2Factory  *temp20;
  op = (vtkImageReader2Factory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader2Factory::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader2Factory_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageReader2Factory  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageReader2Factory::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageReader2Factory_RegisterReader(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader2  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageReader2 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageReader2");
    if (!temp0 && tempH0 != Py_None) goto break4;
      {
      vtkImageReader2Factory::RegisterReader(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageReader2Factory_CreateImageReader2(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkImageReader2  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkImageReader2Factory::CreateImageReader2(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader2Factory_GetRegisteredReaders(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader2Collection  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageReader2Collection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageReader2Collection");
    if (!temp0 && tempH0 != Py_None) goto break6;
      {
      vtkImageReader2Factory::GetRegisteredReaders(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkImageReader2FactoryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageReader2Factory_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageReader2Factory_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageReader2Factory_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageReader2Factory\nC++: vtkImageReader2Factory *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageReader2Factory_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageReader2Factory\nC++: vtkImageReader2Factory *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RegisterReader",                (PyCFunction)PyvtkImageReader2Factory_RegisterReader, 1,
   (char*)"V.RegisterReader(vtkImageReader2)\nC++: static void RegisterReader (vtkImageReader2 *r);\n\n"},
  {(char*)"CreateImageReader2",                (PyCFunction)PyvtkImageReader2Factory_CreateImageReader2, 1,
   (char*)"V.CreateImageReader2(string) -> vtkImageReader2\nC++: static vtkImageReader2 *CreateImageReader2 (const char *path);\n\n"},
  {(char*)"GetRegisteredReaders",                (PyCFunction)PyvtkImageReader2Factory_GetRegisteredReaders, 1,
   (char*)"V.GetRegisteredReaders(vtkImageReader2Collection)\nC++: static void GetRegisteredReaders (vtkImageReader2Collection *);\n\n The caller must allocate the vtkImageReader2Collection and pass in the\n pointer to this method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageReader2FactoryDoc[] = {
  (char*)"vtkImageReader2Factory - Superclass of binary file readers.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkImageReader2Factory: This class is used to create a vtkImageReader2\n object given a path name to a file.  It calls CanReadFile on all\n availiable readers until one of them returns ture.  The availiable reader\n list comes from three places.  In the InitializeReaders function of this\n class, built-in VTK classes are added to the list, users can call\n RegisterReader, or users can create a vtkObje",
  (char*)"ctFactory that has\n CreateObject method that returns a new vtkImageReader2 sub class when\n given the string \"vtkImageReaderObject\".  This way applications can be\n extened with new readers via a plugin dll or by calling RegisterReader.\n Of course all of the readers that are part of the vtk release are made\n automatically availiable.\n\n\n",
  "See Also:\n\n vtkImageReader2 \n\n",
  NULL
};

static vtkObjectBase *vtkImageReader2FactoryStaticNew()
{
  return vtkImageReader2Factory::New();
}

PyObject *PyVTKClass_vtkImageReader2FactoryNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageReader2FactoryStaticNew,
                        PyvtkImageReader2FactoryMethods,
                        (char*)"vtkImageReader2Factory",modulename,
                        (char**)vtkImageReader2FactoryDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

