// tcl wrapper for vtkImageReader2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageReader2.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageReader2NewCommand()
{
  vtkImageReader2 *temp = vtkImageReader2::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageReader2CppCommand(vtkImageReader2 *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageReader2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageReader2CppCommand(static_cast<vtkImageReader2 *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageReader2CppCommand(vtkImageReader2 *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageReader2",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageReader2  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageReader2");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageReader2  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageReader2");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageReader2  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageReader2");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileNames",argv[1]))&&(argc == 3))
    {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    op->SetFileNames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileNames",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetFileNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("SetFilePrefix",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFilePrefix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilePrefix",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFilePrefix();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFilePattern",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFilePattern(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilePattern",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFilePattern();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetDataScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetDataScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataScalarTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetDataScalarTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataScalarTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetDataScalarTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetDataScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetDataScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfScalarComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfScalarComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfScalarComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfScalarComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetDataExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetDataExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetDataExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileDimensionality",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileDimensionality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileDimensionality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileDimensionality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSpacing",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDataSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataSpacing",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDataSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDataSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDataOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDataOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDataOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetHeaderSize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetHeaderSize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHeaderSize",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    unsigned long     temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->GetHeaderSize(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHeaderSize",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->SetHeaderSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataByteOrderToBigEndian",argv[1]))&&(argc == 2))
    {
    op->SetDataByteOrderToBigEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrderToLittleEndian",argv[1]))&&(argc == 2))
    {
    op->SetDataByteOrderToLittleEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataByteOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataByteOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataByteOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataByteOrderAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataByteOrderAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileNameSliceOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileNameSliceOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileNameSliceOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileNameSliceOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileNameSliceSpacing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileNameSliceSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileNameSliceSpacing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileNameSliceSpacing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSwapBytes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSwapBytes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSwapBytes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSwapBytes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SwapBytesOn",argv[1]))&&(argc == 2))
    {
    op->SwapBytesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SwapBytesOff",argv[1]))&&(argc == 2))
    {
    op->SwapBytesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OpenFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->OpenFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SeekFile",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SeekFile(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FileLowerLeftOn",argv[1]))&&(argc == 2))
    {
    op->FileLowerLeftOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FileLowerLeftOff",argv[1]))&&(argc == 2))
    {
    op->FileLowerLeftOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFileLowerLeft",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileLowerLeft();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileLowerLeft",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileLowerLeft(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeInternalFileName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ComputeInternalFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInternalFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInternalFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileExtensions",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetFileExtensions();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDescriptiveName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDescriptiveName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageReader2Command));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageReader2:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetFileNames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileNames\n",NULL);
    Tcl_AppendResult(interp,"  SetFilePrefix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilePrefix\n",NULL);
    Tcl_AppendResult(interp,"  SetFilePattern\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilePattern\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  GetDataScalarType\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfScalarComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfScalarComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetDataExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDataExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataExtent\n",NULL);
    Tcl_AppendResult(interp,"  SetFileDimensionality\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileDimensionality\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetDataOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDataOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataOrigin\n",NULL);
    Tcl_AppendResult(interp,"  GetHeaderSize\n",NULL);
    Tcl_AppendResult(interp,"  GetHeaderSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetHeaderSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrderToBigEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrderToLittleEndian\n",NULL);
    Tcl_AppendResult(interp,"  GetDataByteOrder\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataByteOrderAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetFileNameSliceOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileNameSliceOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetFileNameSliceSpacing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileNameSliceSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetSwapBytes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSwapBytes\n",NULL);
    Tcl_AppendResult(interp,"  SwapBytesOn\n",NULL);
    Tcl_AppendResult(interp,"  SwapBytesOff\n",NULL);
    Tcl_AppendResult(interp,"  OpenFile\n",NULL);
    Tcl_AppendResult(interp,"  SeekFile\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  FileLowerLeftOn\n",NULL);
    Tcl_AppendResult(interp,"  FileLowerLeftOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFileLowerLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetFileLowerLeft\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeInternalFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalFileName\n",NULL);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileExtensions\n",NULL);
    Tcl_AppendResult(interp,"  GetDescriptiveName\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetFileNames" );
    Tcl_DStringAppendElement ( &dString, "GetFileNames" );
    Tcl_DStringAppendElement ( &dString, "SetFilePrefix" );
    Tcl_DStringAppendElement ( &dString, "GetFilePrefix" );
    Tcl_DStringAppendElement ( &dString, "SetFilePattern" );
    Tcl_DStringAppendElement ( &dString, "GetFilePattern" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarType" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToInt" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToShort" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToUnsignedChar" );
    Tcl_DStringAppendElement ( &dString, "GetDataScalarType" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfScalarComponents" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarComponents" );
    Tcl_DStringAppendElement ( &dString, "SetDataExtent" );
    Tcl_DStringAppendElement ( &dString, "SetDataExtent" );
    Tcl_DStringAppendElement ( &dString, "GetDataExtent" );
    Tcl_DStringAppendElement ( &dString, "SetFileDimensionality" );
    Tcl_DStringAppendElement ( &dString, "GetFileDimensionality" );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetHeaderSize" );
    Tcl_DStringAppendElement ( &dString, "GetHeaderSize" );
    Tcl_DStringAppendElement ( &dString, "SetHeaderSize" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToBigEndian" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToLittleEndian" );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrder" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrder" );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderAsString" );
    Tcl_DStringAppendElement ( &dString, "SetFileNameSliceOffset" );
    Tcl_DStringAppendElement ( &dString, "GetFileNameSliceOffset" );
    Tcl_DStringAppendElement ( &dString, "SetFileNameSliceSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetFileNameSliceSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetSwapBytes" );
    Tcl_DStringAppendElement ( &dString, "GetSwapBytes" );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOn" );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOff" );
    Tcl_DStringAppendElement ( &dString, "OpenFile" );
    Tcl_DStringAppendElement ( &dString, "SeekFile" );
    Tcl_DStringAppendElement ( &dString, "FileLowerLeftOn" );
    Tcl_DStringAppendElement ( &dString, "FileLowerLeftOff" );
    Tcl_DStringAppendElement ( &dString, "GetFileLowerLeft" );
    Tcl_DStringAppendElement ( &dString, "SetFileLowerLeft" );
    Tcl_DStringAppendElement ( &dString, "ComputeInternalFileName" );
    Tcl_DStringAppendElement ( &dString, "GetInternalFileName" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    Tcl_DStringAppendElement ( &dString, "GetFileExtensions" );
    Tcl_DStringAppendElement ( &dString, "GetDescriptiveName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageReader2 *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2 *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2 *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name for the image file. If the data is stored in\n multiple files, then use SetFileNames or SetFilePrefix instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName (const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name for the image file. If the data is stored in\n multiple files, then use SetFileNames or SetFilePrefix instead.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileNames */
    if ( strcmp ( argv[2], "SetFileNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileNames */
    Tcl_DStringAppendElement ( &dString, " Specify a list of file names.  Each file must be a single slice,\n and each slice must be of the same size. The files must be in the\n correct order.\n Use SetFileName when reading a volume (multiple slice), since\n DataExtent will be modified after a SetFileNames call.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileNames (vtkStringArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetFileNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileNames */
    if ( strcmp ( argv[2], "GetFileNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileNames */
    Tcl_DStringAppendElement ( &dString, " Specify a list of file names.  Each file must be a single slice,\n and each slice must be of the same size. The files must be in the\n correct order.\n Use SetFileName when reading a volume (multiple slice), since\n DataExtent will be modified after a SetFileNames call.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetFileNames ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetFileNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFilePrefix */
    if ( strcmp ( argv[2], "SetFilePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFilePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFilePrefix */
    Tcl_DStringAppendElement ( &dString, " Specify file prefix for the image file or files.  This can be\n used in place of SetFileName or SetFileNames if the filenames\n follow a specific naming pattern, but you must explicitly set\n the DataExtent so that the reader will know what range of slices\n to load.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFilePrefix (const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetFilePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilePrefix */
    if ( strcmp ( argv[2], "GetFilePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilePrefix */
    Tcl_DStringAppendElement ( &dString, " Specify file prefix for the image file or files.  This can be\n used in place of SetFileName or SetFileNames if the filenames\n follow a specific naming pattern, but you must explicitly set\n the DataExtent so that the reader will know what range of slices\n to load.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFilePrefix ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetFilePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFilePattern */
    if ( strcmp ( argv[2], "SetFilePattern" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFilePattern" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFilePattern */
    Tcl_DStringAppendElement ( &dString, " The sprintf-style format string used to build filename from\n FilePrefix and slice number.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFilePattern (const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetFilePattern */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilePattern */
    if ( strcmp ( argv[2], "GetFilePattern" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilePattern" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilePattern */
    Tcl_DStringAppendElement ( &dString, " The sprintf-style format string used to build filename from\n FilePrefix and slice number.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFilePattern ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetFilePattern */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarType */
    if ( strcmp ( argv[2], "SetDataScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarType */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataScalarType (int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarTypeToFloat */
    if ( strcmp ( argv[2], "SetDataScalarTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataScalarTypeToFloat ();this SetDataScalarType VTK_FLOAT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataScalarTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarTypeToDouble */
    if ( strcmp ( argv[2], "SetDataScalarTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataScalarTypeToDouble ();this SetDataScalarType VTK_DOUBLE " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataScalarTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarTypeToInt */
    if ( strcmp ( argv[2], "SetDataScalarTypeToInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarTypeToInt */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataScalarTypeToInt ();this SetDataScalarType VTK_INT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataScalarTypeToInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarTypeToShort */
    if ( strcmp ( argv[2], "SetDataScalarTypeToShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarTypeToShort */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataScalarTypeToShort ();this SetDataScalarType VTK_SHORT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataScalarTypeToShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetDataScalarTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataScalarTypeToUnsignedShort ();this SetDataScalarType VTK_UNSIGNED_SHORT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataScalarTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetDataScalarTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, " Get the file format.  Pixels are this type in the file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataScalarTypeToUnsignedChar ();this SetDataScalarType VTK_UNSIGNED_CHAR " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataScalarTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataScalarType */
    if ( strcmp ( argv[2], "GetDataScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataScalarType */
    Tcl_DStringAppendElement ( &dString, " Get the file format.  Pixels are this type in the file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataScalarType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetDataScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfScalarComponents */
    if ( strcmp ( argv[2], "SetNumberOfScalarComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfScalarComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfScalarComponents */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of scalar components\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfScalarComponents (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetNumberOfScalarComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfScalarComponents */
    if ( strcmp ( argv[2], "GetNumberOfScalarComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfScalarComponents */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of scalar components\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfScalarComponents ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetNumberOfScalarComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataExtent */
    if ( strcmp ( argv[2], "SetDataExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataExtent */
    Tcl_DStringAppendElement ( &dString, " Get/Set the extent of the data on disk.  \n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataExtent (int , int , int , int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataExtent */
    if ( strcmp ( argv[2], "SetDataExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataExtent */
    Tcl_DStringAppendElement ( &dString, " Get/Set the extent of the data on disk.  \n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataExtent (int  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataExtent */
    if ( strcmp ( argv[2], "GetDataExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataExtent */
    Tcl_DStringAppendElement ( &dString, " Get/Set the extent of the data on disk.  \n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetDataExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetDataExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileDimensionality */
    if ( strcmp ( argv[2], "SetFileDimensionality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileDimensionality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileDimensionality */
    Tcl_DStringAppendElement ( &dString, " The number of dimensions stored in a file. This defaults to two.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileDimensionality (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetFileDimensionality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileDimensionality */
    if ( strcmp ( argv[2], "GetFileDimensionality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileDimensionality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileDimensionality */
    Tcl_DStringAppendElement ( &dString, " Set/Get the spacing of the data in the file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileDimensionality ();return this FileDimensionality " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetFileDimensionality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSpacing */
    if ( strcmp ( argv[2], "SetDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the spacing of the data in the file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSpacing (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSpacing */
    if ( strcmp ( argv[2], "SetDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the spacing of the data in the file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSpacing (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSpacing */
    if ( strcmp ( argv[2], "GetDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the spacing of the data in the file.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDataSpacing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataOrigin */
    if ( strcmp ( argv[2], "SetDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the data (location of first pixel in the file).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataOrigin (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataOrigin */
    if ( strcmp ( argv[2], "SetDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the data (location of first pixel in the file).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataOrigin (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataOrigin */
    if ( strcmp ( argv[2], "GetDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the data (location of first pixel in the file).\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDataOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeaderSize */
    if ( strcmp ( argv[2], "GetHeaderSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeaderSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeaderSize */
    Tcl_DStringAppendElement ( &dString, " Get the size of the header computed by this object.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetHeaderSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetHeaderSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeaderSize */
    if ( strcmp ( argv[2], "GetHeaderSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeaderSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeaderSize */
    Tcl_DStringAppendElement ( &dString, " Get the size of the header computed by this object.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetHeaderSize (unsigned long slice);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetHeaderSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeaderSize */
    if ( strcmp ( argv[2], "SetHeaderSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeaderSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeaderSize */
    Tcl_DStringAppendElement ( &dString, " If there is a tail on the file, you want to explicitly set the\n header size.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHeaderSize (unsigned long size);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetHeaderSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrderToBigEndian */
    if ( strcmp ( argv[2], "SetDataByteOrderToBigEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToBigEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrderToBigEndian */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataByteOrderToBigEndian ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataByteOrderToBigEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrderToLittleEndian */
    if ( strcmp ( argv[2], "SetDataByteOrderToLittleEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToLittleEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrderToLittleEndian */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataByteOrderToLittleEndian ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataByteOrderToLittleEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataByteOrder */
    if ( strcmp ( argv[2], "GetDataByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataByteOrder */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataByteOrder ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetDataByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrder */
    if ( strcmp ( argv[2], "SetDataByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrder */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataByteOrder (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetDataByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataByteOrderAsString */
    if ( strcmp ( argv[2], "GetDataByteOrderAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataByteOrderAsString */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDataByteOrderAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetDataByteOrderAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileNameSliceOffset */
    if ( strcmp ( argv[2], "SetFileNameSliceOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileNameSliceOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileNameSliceOffset */
    Tcl_DStringAppendElement ( &dString, " When reading files which start at an unusual index, this can be added\n to the slice number when generating the file name (default = 0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileNameSliceOffset (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetFileNameSliceOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileNameSliceOffset */
    if ( strcmp ( argv[2], "GetFileNameSliceOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileNameSliceOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileNameSliceOffset */
    Tcl_DStringAppendElement ( &dString, " When reading files which start at an unusual index, this can be added\n to the slice number when generating the file name (default = 0)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileNameSliceOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetFileNameSliceOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileNameSliceSpacing */
    if ( strcmp ( argv[2], "SetFileNameSliceSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileNameSliceSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileNameSliceSpacing */
    Tcl_DStringAppendElement ( &dString, " When reading files which have regular, but non contiguous slices\n (eg filename.1,filename.3,filename.5)\n a spacing can be specified to skip missing files (default = 1)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileNameSliceSpacing (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetFileNameSliceSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileNameSliceSpacing */
    if ( strcmp ( argv[2], "GetFileNameSliceSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileNameSliceSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileNameSliceSpacing */
    Tcl_DStringAppendElement ( &dString, " When reading files which have regular, but non contiguous slices\n (eg filename.1,filename.3,filename.5)\n a spacing can be specified to skip missing files (default = 1)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileNameSliceSpacing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetFileNameSliceSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSwapBytes */
    if ( strcmp ( argv[2], "SetSwapBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSwapBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSwapBytes */
    Tcl_DStringAppendElement ( &dString, " Set/Get the byte swapping to explicitly swap the bytes of a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSwapBytes (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetSwapBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSwapBytes */
    if ( strcmp ( argv[2], "GetSwapBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSwapBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSwapBytes */
    Tcl_DStringAppendElement ( &dString, " Set/Get the byte swapping to explicitly swap the bytes of a file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSwapBytes ();return this SwapBytes " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetSwapBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwapBytesOn */
    if ( strcmp ( argv[2], "SwapBytesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwapBytesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the byte swapping to explicitly swap the bytes of a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SwapBytesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SwapBytesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwapBytesOff */
    if ( strcmp ( argv[2], "SwapBytesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwapBytesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the byte swapping to explicitly swap the bytes of a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SwapBytesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SwapBytesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OpenFile */
    if ( strcmp ( argv[2], "OpenFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OpenFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OpenFile */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int OpenFile ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for OpenFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SeekFile */
    if ( strcmp ( argv[2], "SeekFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SeekFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SeekFile */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SeekFile (int i, int j, int k);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SeekFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FileLowerLeftOn */
    if ( strcmp ( argv[2], "FileLowerLeftOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FileLowerLeftOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FileLowerLeftOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the data comes from the file starting in the lower left\n corner or upper left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void FileLowerLeftOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for FileLowerLeftOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FileLowerLeftOff */
    if ( strcmp ( argv[2], "FileLowerLeftOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FileLowerLeftOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FileLowerLeftOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the data comes from the file starting in the lower left\n corner or upper left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void FileLowerLeftOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for FileLowerLeftOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileLowerLeft */
    if ( strcmp ( argv[2], "GetFileLowerLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileLowerLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileLowerLeft */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the data comes from the file starting in the lower left\n corner or upper left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileLowerLeft ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetFileLowerLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileLowerLeft */
    if ( strcmp ( argv[2], "SetFileLowerLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileLowerLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileLowerLeft */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the data comes from the file starting in the lower left\n corner or upper left corner.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileLowerLeft (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for SetFileLowerLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeInternalFileName */
    if ( strcmp ( argv[2], "ComputeInternalFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeInternalFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeInternalFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the internal file name\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeInternalFileName (int slice);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for ComputeInternalFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInternalFileName */
    if ( strcmp ( argv[2], "GetInternalFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInternalFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInternalFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the internal file name\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetInternalFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetInternalFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Get the file extensions for this format.\n Returns a string with a space separated list of extensions in \n the format .extension\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int CanReadFile (const char *);return " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileExtensions */
    if ( strcmp ( argv[2], "GetFileExtensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileExtensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileExtensions */
    Tcl_DStringAppendElement ( &dString, " Return a descriptive name for the file format that might be useful in a GUI.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetFileExtensions ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetFileExtensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDescriptiveName */
    if ( strcmp ( argv[2], "GetDescriptiveName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDescriptiveName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDescriptiveName */
    Tcl_DStringAppendElement ( &dString, " Return a descriptive name for the file format that might be useful in a GUI.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDescriptiveName ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReader2" );
    /* Closing for GetDescriptiveName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
