// python wrapper for vtkImageReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReader2New(char *); }

static PyObject *PyvtkImageReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  const char    *temp20;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  vtkImageReader  *temp20;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageReader_SetDataVOI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReader::SetDataVOI(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetDataVOI(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageReader *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReader::SetDataVOI(temp0);
      }
    else
      {
      op->SetDataVOI(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_GetDataVOI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  int     *temp20;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader::GetDataVOI();
      }
    else
      {
      temp20 = op->GetDataVOI();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_GetDataMask(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  unsigned short    temp20;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader::GetDataMask();
      }
    else
      {
      temp20 = op->GetDataMask();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_SetDataMask(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  int      temp0;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReader::SetDataMask(temp0);
      }
    else
      {
      op->SetDataMask(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  vtkTransform  *temp0;
  PyObject *tempH0;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReader::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkImageReader_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  vtkTransform  *temp20;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_ComputeInverseTransformedExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  int    temp0[6];
  int    temp1[6];
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReader::ComputeInverseTransformedExtent(temp0,temp1);
      }
    else
      {
      op->ComputeInverseTransformedExtent(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_ComputeInverseTransformedIncrements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  vtkIdType temp0[3];
  vtkIdType temp1[3];
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"(iii)(iii)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReader::ComputeInverseTransformedIncrements(temp0,temp1);
      }
    else
      {
      op->ComputeInverseTransformedIncrements(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_OpenAndSeekFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  int    temp0[6];
  int      temp1;
  int      temp20;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)i", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader::OpenAndSeekFile(temp0,temp1);
      }
    else
      {
      temp20 = op->OpenAndSeekFile(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_SetScalarArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  char    *temp0;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReader::SetScalarArrayName(temp0);
      }
    else
      {
      op->SetScalarArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReader_GetScalarArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReader *op;

  char    *temp20;
  op = (vtkImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReader::GetScalarArrayName();
      }
    else
      {
      temp20 = op->GetScalarArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageReader\nC++: vtkImageReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageReader\nC++: vtkImageReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDataVOI",                (PyCFunction)PyvtkImageReader_SetDataVOI, 1,
   (char*)"V.SetDataVOI(int, int, int, int, int, int)\nC++: void SetDataVOI (int , int , int , int , int , int );\nV.SetDataVOI((int, int, int, int, int, int))\nC++: void SetDataVOI (int  a[6]);\n\n Set/get the data VOI. You can limit the reader to only\n read a subset of the data. \n"},
  {(char*)"GetDataVOI",                (PyCFunction)PyvtkImageReader_GetDataVOI, 1,
   (char*)"V.GetDataVOI() -> (int, int, int, int, int, int)\nC++: int  *GetDataVOI ();\n\n Set/get the data VOI. You can limit the reader to only\n read a subset of the data. \n"},
  {(char*)"GetDataMask",                (PyCFunction)PyvtkImageReader_GetDataMask, 1,
   (char*)"V.GetDataMask() -> int\nC++: short unsigned GetDataMask ();\n\n Set/Get the Data mask.\n"},
  {(char*)"SetDataMask",                (PyCFunction)PyvtkImageReader_SetDataMask, 1,
   (char*)"V.SetDataMask(int)\nC++: void SetDataMask (int val);if val this DataMask return this DataMask static_cast unsigned short val this Modified \n\n Set/Get transformation matrix to transform the data from slice space\n into world space. This matrix must be a permutation matrix. To qualify,\n the sums of the rows must be + or - 1.\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkImageReader_SetTransform, 1,
   (char*)"V.SetTransform(vtkTransform)\nC++: virtual void SetTransform (vtkTransform *);\n\n Set/Get transformation matrix to transform the data from slice space\n into world space. This matrix must be a permutation matrix. To qualify,\n the sums of the rows must be + or - 1.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkImageReader_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkTransform\nC++: vtkTransform *GetTransform ();\n\n Set/Get transformation matrix to transform the data from slice space\n into world space. This matrix must be a permutation matrix. To qualify,\n the sums of the rows must be + or - 1.\n"},
  {(char*)"ComputeInverseTransformedExtent",                (PyCFunction)PyvtkImageReader_ComputeInverseTransformedExtent, 1,
   (char*)"V.ComputeInverseTransformedExtent((int, int, int, int, int, int), (int, int, int, int, int, int))\nC++: void ComputeInverseTransformedExtent (int inExtent[6], int outExtent[6]);\n\n"},
  {(char*)"ComputeInverseTransformedIncrements",                (PyCFunction)PyvtkImageReader_ComputeInverseTransformedIncrements, 1,
   (char*)"V.ComputeInverseTransformedIncrements((int, int, int), (int, int, int))\nC++: void ComputeInverseTransformedIncrements (vtkIdType inIncr[3], vtkIdType outIncr[3]);\n\n"},
  {(char*)"OpenAndSeekFile",                (PyCFunction)PyvtkImageReader_OpenAndSeekFile, 1,
   (char*)"V.OpenAndSeekFile((int, int, int, int, int, int), int) -> int\nC++: int OpenAndSeekFile (int extent[6], int slice);\n\n"},
  {(char*)"SetScalarArrayName",                (PyCFunction)PyvtkImageReader_SetScalarArrayName, 1,
   (char*)"V.SetScalarArrayName(string)\nC++: void SetScalarArrayName (char *);\n\n Set/get the scalar array name for this data set.\n"},
  {(char*)"GetScalarArrayName",                (PyCFunction)PyvtkImageReader_GetScalarArrayName, 1,
   (char*)"V.GetScalarArrayName() -> string\nC++: char *GetScalarArrayName ();\n\n Set/get the scalar array name for this data set.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageReaderDoc[] = {
  (char*)"vtkImageReader - Superclass of transformable binary file readers.\n\n",
  "Super Class:\n\n vtkImageReader2\n\n",
  (char*)" vtkImageReader provides methods needed to read a region from a file.\n It supports both transforms and masks on the input data, but as a result\n is more complicated and slower than its parent class vtkImageReader2.\n\n",
  "See Also:\n\n vtkBMPReader vtkPNMReader vtkTIFFReader\n\n",
  NULL
};

static vtkObjectBase *vtkImageReaderStaticNew()
{
  return vtkImageReader::New();
}

PyObject *PyVTKClass_vtkImageReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageReaderStaticNew,
                        PyvtkImageReaderMethods,
                        (char*)"vtkImageReader",modulename,
                        (char**)vtkImageReaderDoc,
                        PyVTKClass_vtkImageReader2New(modulename));
}

