// python wrapper for vtkImageWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  const char    *temp20;
  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  vtkImageWriter  *temp20;
  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  char    *temp0;
  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  char    *temp20;
  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWriter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_SetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  char    *temp0;
  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageWriter::SetFilePrefix(temp0);
      }
    else
      {
      op->SetFilePrefix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_GetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  char    *temp20;
  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWriter::GetFilePrefix();
      }
    else
      {
      temp20 = op->GetFilePrefix();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_SetFilePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  char    *temp0;
  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageWriter::SetFilePattern(temp0);
      }
    else
      {
      op->SetFilePattern(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_GetFilePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  char    *temp20;
  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWriter::GetFilePattern();
      }
    else
      {
      temp20 = op->GetFilePattern();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_SetFileDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  int      temp0;
  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageWriter::SetFileDimensionality(temp0);
      }
    else
      {
      op->SetFileDimensionality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_GetFileDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  int      temp20;
  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWriter::GetFileDimensionality();
      }
    else
      {
      temp20 = op->GetFileDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageWriter::Write();
      }
    else
      {
      op->Write();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWriter_DeleteFiles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWriter *op;

  op = (vtkImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageWriter::DeleteFiles();
      }
    else
      {
      op->DeleteFiles();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageWriter\nC++: vtkImageWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageWriter\nC++: vtkImageWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkImageWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name for the image file. You should specify either\n a FileName or a FilePrefix. Use FilePrefix if the data is stored \n in multiple files.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkImageWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name for the image file. You should specify either\n a FileName or a FilePrefix. Use FilePrefix if the data is stored \n in multiple files.\n"},
  {(char*)"SetFilePrefix",                (PyCFunction)PyvtkImageWriter_SetFilePrefix, 1,
   (char*)"V.SetFilePrefix(string)\nC++: void SetFilePrefix (char *);\n\n Specify file prefix for the image file(s).You should specify either\n a FileName or FilePrefix. Use FilePrefix if the data is stored\n in multiple files.\n"},
  {(char*)"GetFilePrefix",                (PyCFunction)PyvtkImageWriter_GetFilePrefix, 1,
   (char*)"V.GetFilePrefix() -> string\nC++: char *GetFilePrefix ();\n\n Specify file prefix for the image file(s).You should specify either\n a FileName or FilePrefix. Use FilePrefix if the data is stored\n in multiple files.\n"},
  {(char*)"SetFilePattern",                (PyCFunction)PyvtkImageWriter_SetFilePattern, 1,
   (char*)"V.SetFilePattern(string)\nC++: void SetFilePattern (char *);\n\n The sprintf format used to build filename from FilePrefix and number.\n"},
  {(char*)"GetFilePattern",                (PyCFunction)PyvtkImageWriter_GetFilePattern, 1,
   (char*)"V.GetFilePattern() -> string\nC++: char *GetFilePattern ();\n\n The sprintf format used to build filename from FilePrefix and number.\n"},
  {(char*)"SetFileDimensionality",                (PyCFunction)PyvtkImageWriter_SetFileDimensionality, 1,
   (char*)"V.SetFileDimensionality(int)\nC++: void SetFileDimensionality (int );\n\n What dimension are the files to be written. Usually this is 2, or 3.\n If it is 2 and the input is a volume then the volume will be \n written as a series of 2d slices.\n"},
  {(char*)"GetFileDimensionality",                (PyCFunction)PyvtkImageWriter_GetFileDimensionality, 1,
   (char*)"V.GetFileDimensionality() -> int\nC++: int GetFileDimensionality ();\n\n What dimension are the files to be written. Usually this is 2, or 3.\n If it is 2 and the input is a volume then the volume will be \n written as a series of 2d slices.\n"},
  {(char*)"Write",                (PyCFunction)PyvtkImageWriter_Write, 1,
   (char*)"V.Write()\nC++: virtual void Write ();\n\n The main interface which triggers the writer to start.\n"},
  {(char*)"DeleteFiles",                (PyCFunction)PyvtkImageWriter_DeleteFiles, 1,
   (char*)"V.DeleteFiles()\nC++: void DeleteFiles ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageWriterDoc[] = {
  (char*)"vtkImageWriter - Writes images to files.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageWriter writes images to files with any data type. The data type of\n the file is the same scalar type as the input.  The dimensionality\n determines whether the data will be written in one or multiple files.\n This class is used as the superclass of most image writing classes \n such as vtkBMPWriter etc. It supports streaming.\n\n",
  NULL
};

static vtkObjectBase *vtkImageWriterStaticNew()
{
  return vtkImageWriter::New();
}

PyObject *PyVTKClass_vtkImageWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageWriterStaticNew,
                        PyvtkImageWriterMethods,
                        (char*)"vtkImageWriter",modulename,
                        (char**)vtkImageWriterDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

