// python wrapper for vtkInputStream object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInputStream.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInputStreamNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInputStreamNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkInputStream_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInputStream *op;

  const char    *temp20;
  op = (vtkInputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInputStream::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInputStream_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInputStream *op;

  char    *temp0;
  int      temp20;
  op = (vtkInputStream *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInputStream::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInputStream_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInputStream *op;

  vtkInputStream  *temp20;
  op = (vtkInputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInputStream::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInputStream_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInputStream  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInputStream::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInputStream_StartReading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInputStream *op;

  op = (vtkInputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInputStream::StartReading();
      }
    else
      {
      op->StartReading();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInputStream_Seek(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInputStream *op;

  unsigned long     temp0;
  int      temp20;
  op = (vtkInputStream *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInputStream::Seek(temp0);
      }
    else
      {
      temp20 = op->Seek(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInputStream_Read(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInputStream *op;

  char    *temp0;
  unsigned long     temp1;
  unsigned long     temp20;
  op = (vtkInputStream *)PyArg_VTKParseTuple(self, args, (char*)"zl", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInputStream::Read(temp0,temp1);
      }
    else
      {
      temp20 = op->Read(temp0,temp1);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInputStream_EndReading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInputStream *op;

  op = (vtkInputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInputStream::EndReading();
      }
    else
      {
      op->EndReading();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInputStreamMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInputStream_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInputStream_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInputStream_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInputStream\nC++: vtkInputStream *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInputStream_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInputStream\nC++: vtkInputStream *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"StartReading",                (PyCFunction)PyvtkInputStream_StartReading, 1,
   (char*)"V.StartReading()\nC++: virtual void StartReading ();\n\n Called after the stream position has been set by the caller, but\n before any Seek or Read calls.  The stream position should not be\n adjusted by the caller until after an EndReading call.\n"},
  {(char*)"Seek",                (PyCFunction)PyvtkInputStream_Seek, 1,
   (char*)"V.Seek(int) -> int\nC++: virtual int Seek (unsigned long offset);\n\n Seek to the given offset in the input data.  Returns 1 for\n success, 0 for failure.\n"},
  {(char*)"Read",                (PyCFunction)PyvtkInputStream_Read, 1,
   (char*)"V.Read(string, int) -> int\nC++: unsigned long Read (char *data, unsigned long length);\n\n Read input data of the given length.  Returns amount actually\n read.\n"},
  {(char*)"EndReading",                (PyCFunction)PyvtkInputStream_EndReading, 1,
   (char*)"V.EndReading()\nC++: virtual void EndReading ();\n\n Called after all desired calls to Seek and Read have been made.\n After this call, the caller is free to change the position of the\n stream.  Additional reads should not be done until after another\n call to StartReading.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInputStreamDoc[] = {
  (char*)"vtkInputStream - Wraps a binary input stream with a VTK interface.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkInputStream provides a VTK-style interface wrapping around a\n standard input stream.  The access methods are virtual so that\n subclasses can transparently provide decoding of an encoded stream.\n Data lengths for Seek and Read calls refer to the length of the\n input data.  The actual length in the stream may differ for\n subclasses that implement an encoding scheme.\n\n",
  NULL
};

static vtkObjectBase *vtkInputStreamStaticNew()
{
  return vtkInputStream::New();
}

PyObject *PyVTKClass_vtkInputStreamNew(char *modulename)
{
  return PyVTKClass_New(&vtkInputStreamStaticNew,
                        PyvtkInputStreamMethods,
                        (char*)"vtkInputStream",modulename,
                        (char**)vtkInputStreamDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

