// python wrapper for vtkMFIXReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMFIXReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMFIXReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMFIXReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkMFIXReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  const char    *temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  vtkMFIXReader  *temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMFIXReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMFIXReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMFIXReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  char    *temp0;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMFIXReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  char    *temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  int      temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  int      temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_GetNumberOfCellFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  int      temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::GetNumberOfCellFields();
      }
    else
      {
      temp20 = op->GetNumberOfCellFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  int      temp0;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMFIXReader::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  int      temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  int      temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_GetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  int     *temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::GetTimeStepRange();
      }
    else
      {
      temp20 = op->GetTimeStepRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_SetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  int      temp0;
  int      temp1;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMFIXReader::SetTimeStepRange(temp0,temp1);
      }
    else
      {
      op->SetTimeStepRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMFIXReader::SetTimeStepRange(temp0);
      }
    else
      {
      op->SetTimeStepRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_GetNumberOfCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  int      temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::GetNumberOfCellArrays();
      }
    else
      {
      temp20 = op->GetNumberOfCellArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_GetCellArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::GetCellArrayName(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_GetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMFIXReader::GetCellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_SetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMFIXReader::SetCellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetCellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_DisableAllCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMFIXReader::DisableAllCellArrays();
      }
    else
      {
      op->DisableAllCellArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMFIXReader_EnableAllCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMFIXReader *op;

  op = (vtkMFIXReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMFIXReader::EnableAllCellArrays();
      }
    else
      {
      op->EnableAllCellArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMFIXReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMFIXReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMFIXReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMFIXReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMFIXReader\nC++: vtkMFIXReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMFIXReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMFIXReader\nC++: vtkMFIXReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkMFIXReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify the file name of the MFIX Restart data file to read.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkMFIXReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify the file name of the MFIX Restart data file to read.\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkMFIXReader_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: int GetNumberOfCells ();\n\n Get the total number of cells. The number of cells is only valid after a\n successful read of the data file is performed.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkMFIXReader_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: int GetNumberOfPoints ();\n\n Get the total number of nodes. The number of nodes is only valid after a\n successful read of the data file is performed.\n"},
  {(char*)"GetNumberOfCellFields",                (PyCFunction)PyvtkMFIXReader_GetNumberOfCellFields, 1,
   (char*)"V.GetNumberOfCellFields() -> int\nC++: int GetNumberOfCellFields ();\n\n Get the number of data components at the nodes and cells.\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkMFIXReader_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int)\nC++: void SetTimeStep (int );\n\n Which TimeStep to read.\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkMFIXReader_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> int\nC++: int GetTimeStep ();\n\n Which TimeStep to read.\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkMFIXReader_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: int GetNumberOfTimeSteps ();\n\n Returns the number of timesteps.\n"},
  {(char*)"GetTimeStepRange",                (PyCFunction)PyvtkMFIXReader_GetTimeStepRange, 1,
   (char*)"V.GetTimeStepRange() -> (int, int)\nC++: int  *GetTimeStepRange ();\n\n Which TimeStepRange to read\n"},
  {(char*)"SetTimeStepRange",                (PyCFunction)PyvtkMFIXReader_SetTimeStepRange, 1,
   (char*)"V.SetTimeStepRange(int, int)\nC++: void SetTimeStepRange (int , int );\nV.SetTimeStepRange((int, int))\nC++: void SetTimeStepRange (int  a[2]);\n\n Which TimeStepRange to read\n"},
  {(char*)"GetNumberOfCellArrays",                (PyCFunction)PyvtkMFIXReader_GetNumberOfCellArrays, 1,
   (char*)"V.GetNumberOfCellArrays() -> int\nC++: int GetNumberOfCellArrays (void );\n\n"},
  {(char*)"GetCellArrayName",                (PyCFunction)PyvtkMFIXReader_GetCellArrayName, 1,
   (char*)"V.GetCellArrayName(int) -> string\nC++: const char *GetCellArrayName (int index);\n\n Get the name of the  cell array with the given index in\n the input.\n"},
  {(char*)"GetCellArrayStatus",                (PyCFunction)PyvtkMFIXReader_GetCellArrayStatus, 1,
   (char*)"V.GetCellArrayStatus(string) -> int\nC++: int GetCellArrayStatus (const char *name);\n\n Get/Set whether the cell array with the given name is to\n be read.\n"},
  {(char*)"SetCellArrayStatus",                (PyCFunction)PyvtkMFIXReader_SetCellArrayStatus, 1,
   (char*)"V.SetCellArrayStatus(string, int)\nC++: void SetCellArrayStatus (const char *name, int status);\n\n Get/Set whether the cell array with the given name is to\n be read.\n"},
  {(char*)"DisableAllCellArrays",                (PyCFunction)PyvtkMFIXReader_DisableAllCellArrays, 1,
   (char*)"V.DisableAllCellArrays()\nC++: void DisableAllCellArrays ();\n\n Turn on/off all cell arrays.\n"},
  {(char*)"EnableAllCellArrays",                (PyCFunction)PyvtkMFIXReader_EnableAllCellArrays, 1,
   (char*)"V.EnableAllCellArrays()\nC++: void EnableAllCellArrays ();\n\n Turn on/off all cell arrays.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMFIXReaderDoc[] = {
  (char*)"vtkMFIXReader - reads a dataset in MFIX file format\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkMFIXReader creates an unstructured grid dataset. It reads a restart\n file and a set of sp files.  The restart file contains the mesh \n information.  MFIX meshes are either cylindrical or rectilinear, but \n this reader will convert them to an unstructured grid.  The sp files \n contain transient data for the cells.  Each sp file has one or more \n variables stored inside it.  \n\n",
  "See Also:\n\n vtkGAMBITReader\n\n",
  NULL
};

static vtkObjectBase *vtkMFIXReaderStaticNew()
{
  return vtkMFIXReader::New();
}

PyObject *PyVTKClass_vtkMFIXReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkMFIXReaderStaticNew,
                        PyvtkMFIXReaderMethods,
                        (char*)"vtkMFIXReader",modulename,
                        (char**)vtkMFIXReaderDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

