// python wrapper for vtkMINCImageReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMINCImageReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMINCImageReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMINCImageReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReader2New(char *); }

static PyObject *PyvtkMINCImageReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  const char    *temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  vtkMINCImageReader  *temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMINCImageReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMINCImageReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMINCImageReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  char    *temp0;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  const char    *temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  const char    *temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_GetDirectionCosines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  vtkMatrix4x4  *temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::GetDirectionCosines();
      }
    else
      {
      temp20 = op->GetDirectionCosines();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_GetRescaleSlope(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  double   temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::GetRescaleSlope();
      }
    else
      {
      temp20 = op->GetRescaleSlope();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_GetRescaleIntercept(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  double   temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::GetRescaleIntercept();
      }
    else
      {
      temp20 = op->GetRescaleIntercept();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_SetRescaleRealValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  int      temp0;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageReader::SetRescaleRealValues(temp0);
      }
    else
      {
      op->SetRescaleRealValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_RescaleRealValuesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageReader::RescaleRealValuesOn();
      }
    else
      {
      op->RescaleRealValuesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_RescaleRealValuesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageReader::RescaleRealValuesOff();
      }
    else
      {
      op->RescaleRealValuesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_GetRescaleRealValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  int      temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::GetRescaleRealValues();
      }
    else
      {
      temp20 = op->GetRescaleRealValues();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_GetDataRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  double  *temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::GetDataRange();
      }
    else
      {
      temp20 = op->GetDataRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageReader::GetDataRange(temp0);
      }
    else
      {
      op->GetDataRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  int      temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  int      temp0;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageReader::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  int      temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageReader_GetImageAttributes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageReader *op;

  vtkMINCImageAttributes  *temp20;
  op = (vtkMINCImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageReader::GetImageAttributes();
      }
    else
      {
      temp20 = op->GetImageAttributes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMINCImageReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMINCImageReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMINCImageReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMINCImageReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMINCImageReader\nC++: vtkMINCImageReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMINCImageReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMINCImageReader\nC++: vtkMINCImageReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkMINCImageReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: virtual void SetFileName (const char *name);\n\n Set the file name.\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkMINCImageReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n Get the name of this file format.\n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkMINCImageReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n Test whether the specified file can be read.\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkMINCImageReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *name);\n\n Test whether the specified file can be read.\n"},
  {(char*)"GetDirectionCosines",                (PyCFunction)PyvtkMINCImageReader_GetDirectionCosines, 1,
   (char*)"V.GetDirectionCosines() -> vtkMatrix4x4\nC++: virtual vtkMatrix4x4 *GetDirectionCosines ();\n\n Get a matrix that describes the orientation of the data.\n The three columns of the matrix are the direction cosines\n for the x, y and z dimensions respectively.\n"},
  {(char*)"GetRescaleSlope",                (PyCFunction)PyvtkMINCImageReader_GetRescaleSlope, 1,
   (char*)"V.GetRescaleSlope() -> float\nC++: virtual double GetRescaleSlope ();\n\n Get the slope and intercept for rescaling the scalar values\n to real data values.  To convert scalar values to real values,\n use the equation y = x*RescaleSlope + RescaleIntercept.\n"},
  {(char*)"GetRescaleIntercept",                (PyCFunction)PyvtkMINCImageReader_GetRescaleIntercept, 1,
   (char*)"V.GetRescaleIntercept() -> float\nC++: virtual double GetRescaleIntercept ();\n\n Get the slope and intercept for rescaling the scalar values\n to real data values.  To convert scalar values to real values,\n use the equation y = x*RescaleSlope + RescaleIntercept.\n"},
  {(char*)"SetRescaleRealValues",                (PyCFunction)PyvtkMINCImageReader_SetRescaleRealValues, 1,
   (char*)"V.SetRescaleRealValues(int)\nC++: void SetRescaleRealValues (int );\n\n Rescale real data values to float.  If this is done, the\n RescaleSlope and RescaleIntercept will be set to 1 and 0\n respectively.  This is off by default.\n"},
  {(char*)"RescaleRealValuesOn",                (PyCFunction)PyvtkMINCImageReader_RescaleRealValuesOn, 1,
   (char*)"V.RescaleRealValuesOn()\nC++: void RescaleRealValuesOn ();\n\n Rescale real data values to float.  If this is done, the\n RescaleSlope and RescaleIntercept will be set to 1 and 0\n respectively.  This is off by default.\n"},
  {(char*)"RescaleRealValuesOff",                (PyCFunction)PyvtkMINCImageReader_RescaleRealValuesOff, 1,
   (char*)"V.RescaleRealValuesOff()\nC++: void RescaleRealValuesOff ();\n\n Rescale real data values to float.  If this is done, the\n RescaleSlope and RescaleIntercept will be set to 1 and 0\n respectively.  This is off by default.\n"},
  {(char*)"GetRescaleRealValues",                (PyCFunction)PyvtkMINCImageReader_GetRescaleRealValues, 1,
   (char*)"V.GetRescaleRealValues() -> int\nC++: int GetRescaleRealValues ();\n\n Rescale real data values to float.  If this is done, the\n RescaleSlope and RescaleIntercept will be set to 1 and 0\n respectively.  This is off by default.\n"},
  {(char*)"GetDataRange",                (PyCFunction)PyvtkMINCImageReader_GetDataRange, 1,
   (char*)"V.GetDataRange() -> (float, float)\nC++: virtual double *GetDataRange ();\nV.GetDataRange((float, float))\nC++: virtual void GetDataRange (double range[2]);double r this GetDataRange range r range r \n\n Get the scalar range of the output from the information in\n the file header.  This is more efficient that computing the\n scalar range, but in some cases the MINC file stores an\n incorrect valid_range and the DataRange will be incorrect.\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkMINCImageReader_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: virtual int GetNumberOfTimeSteps ();\n\n Get the number of time steps in the file.\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkMINCImageReader_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int)\nC++: void SetTimeStep (int );\n\n Set the time step to read.\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkMINCImageReader_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> int\nC++: int GetTimeStep ();\n\n Set the time step to read.\n"},
  {(char*)"GetImageAttributes",                (PyCFunction)PyvtkMINCImageReader_GetImageAttributes, 1,
   (char*)"V.GetImageAttributes() -> vtkMINCImageAttributes\nC++: virtual vtkMINCImageAttributes *GetImageAttributes ();\n\n Get the image attributes, which contain patient information and\n other useful metadata.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMINCImageReaderDoc[] = {
  (char*)"vtkMINCImageReader - A reader for MINC files.\n\n",
  "Super Class:\n\n vtkImageReader2\n\n",
  (char*)" MINC is a NetCDF-based medical image file format that was developed\n at the Montreal Neurological Institute in 1992. \n This class will read a MINC file into VTK, rearranging the data to\n match the VTK x, y, and z dimensions, and optionally rescaling\n real-valued data to VTK_FLOAT if RescaleRealValuesOn() is set.\n If RescaleRealValues is off, then the data will be stored in its\n original data type",
  (char*)" and the GetRescaleSlope(), GetRescaleIntercept()\n method can be used to retrieve global rescaling parameters.\n If the original file had a time dimension, the SetTimeStep() method\n can be used to specify a time step to read.\n All of the original header information can be accessed though the\n GetImageAttributes() method.\n\n",
  "See Also:\n\n vtkMINCImageWriter vtkMINCImageAttributes\n .SECTION Thanks\n Thanks to David Gobbi for writing this class and Atamai Inc. for\n contributing it to VTK.\n\n",
  NULL
};

static vtkObjectBase *vtkMINCImageReaderStaticNew()
{
  return vtkMINCImageReader::New();
}

PyObject *PyVTKClass_vtkMINCImageReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkMINCImageReaderStaticNew,
                        PyvtkMINCImageReaderMethods,
                        (char*)"vtkMINCImageReader",modulename,
                        (char**)vtkMINCImageReaderDoc,
                        PyVTKClass_vtkImageReader2New(modulename));
}

