// python wrapper for vtkMINCImageWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMINCImageWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMINCImageWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMINCImageWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageWriterNew(char *); }

static PyObject *PyvtkMINCImageWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  const char    *temp20;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  vtkMINCImageWriter  *temp20;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMINCImageWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMINCImageWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  const char    *temp20;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageWriter::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  const char    *temp20;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageWriter::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  char    *temp0;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageWriter::Write();
      }
    else
      {
      op->Write();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_SetDirectionCosines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageWriter::SetDirectionCosines(temp0);
      }
    else
      {
      op->SetDirectionCosines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_GetDirectionCosines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  vtkMatrix4x4  *temp20;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageWriter::GetDirectionCosines();
      }
    else
      {
      temp20 = op->GetDirectionCosines();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_SetRescaleSlope(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  double   temp0;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageWriter::SetRescaleSlope(temp0);
      }
    else
      {
      op->SetRescaleSlope(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_GetRescaleSlope(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  double   temp20;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageWriter::GetRescaleSlope();
      }
    else
      {
      temp20 = op->GetRescaleSlope();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_SetRescaleIntercept(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  double   temp0;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageWriter::SetRescaleIntercept(temp0);
      }
    else
      {
      op->SetRescaleIntercept(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_GetRescaleIntercept(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  double   temp20;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageWriter::GetRescaleIntercept();
      }
    else
      {
      temp20 = op->GetRescaleIntercept();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_SetImageAttributes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  vtkMINCImageAttributes  *temp0;
  PyObject *tempH0;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMINCImageAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMINCImageAttributes");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageWriter::SetImageAttributes(temp0);
      }
    else
      {
      op->SetImageAttributes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_GetImageAttributes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  vtkMINCImageAttributes  *temp20;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageWriter::GetImageAttributes();
      }
    else
      {
      temp20 = op->GetImageAttributes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_SetStrictValidation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  int      temp0;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageWriter::SetStrictValidation(temp0);
      }
    else
      {
      op->SetStrictValidation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_StrictValidationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageWriter::StrictValidationOn();
      }
    else
      {
      op->StrictValidationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_StrictValidationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageWriter::StrictValidationOff();
      }
    else
      {
      op->StrictValidationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_GetStrictValidation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  int      temp20;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageWriter::GetStrictValidation();
      }
    else
      {
      temp20 = op->GetStrictValidation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_SetHistoryAddition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  char    *temp0;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMINCImageWriter::SetHistoryAddition(temp0);
      }
    else
      {
      op->SetHistoryAddition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMINCImageWriter_GetHistoryAddition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMINCImageWriter *op;

  char    *temp20;
  op = (vtkMINCImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMINCImageWriter::GetHistoryAddition();
      }
    else
      {
      temp20 = op->GetHistoryAddition();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMINCImageWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMINCImageWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMINCImageWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMINCImageWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMINCImageWriter\nC++: vtkMINCImageWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMINCImageWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMINCImageWriter\nC++: vtkMINCImageWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkMINCImageWriter_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n Get the name of this file format.\n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkMINCImageWriter_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n Set the file name.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkMINCImageWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: virtual void SetFileName (const char *name);\n\n Set the file name.\n"},
  {(char*)"Write",                (PyCFunction)PyvtkMINCImageWriter_Write, 1,
   (char*)"V.Write()\nC++: virtual void Write ();\n\n Write the data.  This will attempt to stream the data\n slice-by-slice through the pipeline and out to the file,\n unless the whole extent of the input has already been\n updated.\n"},
  {(char*)"SetDirectionCosines",                (PyCFunction)PyvtkMINCImageWriter_SetDirectionCosines, 1,
   (char*)"V.SetDirectionCosines(vtkMatrix4x4)\nC++: virtual void SetDirectionCosines (vtkMatrix4x4 *matrix);\n\n Set a matrix that describes the orientation of the data.  The\n three columns of this matrix should give the unit-vector\n directions for the VTK x, y and z dimensions respectively.  \n The writer will use this information to determine how to map\n the VTK dimensions to the canonical MINC dimensions, and if\n necessary, the writer will re-order one or more dimensions\n back-to-front to ensure that no MINC dimension ends up with\n a direction cosines vector whose dot product with the canonical\n unit vector for that dimension is negative.\n"},
  {(char*)"GetDirectionCosines",                (PyCFunction)PyvtkMINCImageWriter_GetDirectionCosines, 1,
   (char*)"V.GetDirectionCosines() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetDirectionCosines ();\n\n Set a matrix that describes the orientation of the data.  The\n three columns of this matrix should give the unit-vector\n directions for the VTK x, y and z dimensions respectively.  \n The writer will use this information to determine how to map\n the VTK dimensions to the canonical MINC dimensions, and if\n necessary, the writer will re-order one or more dimensions\n back-to-front to ensure that no MINC dimension ends up with\n a direction cosines vector whose dot product with the canonical\n unit vector for that dimension is negative.\n"},
  {(char*)"SetRescaleSlope",                (PyCFunction)PyvtkMINCImageWriter_SetRescaleSlope, 1,
   (char*)"V.SetRescaleSlope(float)\nC++: void SetRescaleSlope (double );\n\n Set the slope and intercept for rescaling the intensities.  The\n default values are zero, which indicates to the reader that no\n rescaling is to be performed.\n"},
  {(char*)"GetRescaleSlope",                (PyCFunction)PyvtkMINCImageWriter_GetRescaleSlope, 1,
   (char*)"V.GetRescaleSlope() -> float\nC++: double GetRescaleSlope ();\n\n Set the slope and intercept for rescaling the intensities.  The\n default values are zero, which indicates to the reader that no\n rescaling is to be performed.\n"},
  {(char*)"SetRescaleIntercept",                (PyCFunction)PyvtkMINCImageWriter_SetRescaleIntercept, 1,
   (char*)"V.SetRescaleIntercept(float)\nC++: void SetRescaleIntercept (double );\n\n Set the slope and intercept for rescaling the intensities.  The\n default values are zero, which indicates to the reader that no\n rescaling is to be performed.\n"},
  {(char*)"GetRescaleIntercept",                (PyCFunction)PyvtkMINCImageWriter_GetRescaleIntercept, 1,
   (char*)"V.GetRescaleIntercept() -> float\nC++: double GetRescaleIntercept ();\n\n Set the slope and intercept for rescaling the intensities.  The\n default values are zero, which indicates to the reader that no\n rescaling is to be performed.\n"},
  {(char*)"SetImageAttributes",                (PyCFunction)PyvtkMINCImageWriter_SetImageAttributes, 1,
   (char*)"V.SetImageAttributes(vtkMINCImageAttributes)\nC++: virtual void SetImageAttributes (vtkMINCImageAttributes *attributes);\n\n Set the image attributes, which contain patient information and\n other useful metadata.\n"},
  {(char*)"GetImageAttributes",                (PyCFunction)PyvtkMINCImageWriter_GetImageAttributes, 1,
   (char*)"V.GetImageAttributes() -> vtkMINCImageAttributes\nC++: virtual vtkMINCImageAttributes *GetImageAttributes ();return this ImageAttributes \n\n Set the image attributes, which contain patient information and\n other useful metadata.\n"},
  {(char*)"SetStrictValidation",                (PyCFunction)PyvtkMINCImageWriter_SetStrictValidation, 1,
   (char*)"V.SetStrictValidation(int)\nC++: void SetStrictValidation (int );\n\n Set whether to validate that all variable attributes that\n have been set are ones that are listed in the MINC standard.\n"},
  {(char*)"StrictValidationOn",                (PyCFunction)PyvtkMINCImageWriter_StrictValidationOn, 1,
   (char*)"V.StrictValidationOn()\nC++: void StrictValidationOn ();\n\n Set whether to validate that all variable attributes that\n have been set are ones that are listed in the MINC standard.\n"},
  {(char*)"StrictValidationOff",                (PyCFunction)PyvtkMINCImageWriter_StrictValidationOff, 1,
   (char*)"V.StrictValidationOff()\nC++: void StrictValidationOff ();\n\n Set whether to validate that all variable attributes that\n have been set are ones that are listed in the MINC standard.\n"},
  {(char*)"GetStrictValidation",                (PyCFunction)PyvtkMINCImageWriter_GetStrictValidation, 1,
   (char*)"V.GetStrictValidation() -> int\nC++: int GetStrictValidation ();\n\n Set whether to validate that all variable attributes that\n have been set are ones that are listed in the MINC standard.\n"},
  {(char*)"SetHistoryAddition",                (PyCFunction)PyvtkMINCImageWriter_SetHistoryAddition, 1,
   (char*)"V.SetHistoryAddition(string)\nC++: void SetHistoryAddition (char *);\n\n Set a string value to append to the history of the file.  This\n string should describe, briefly, how the file was processed.\n"},
  {(char*)"GetHistoryAddition",                (PyCFunction)PyvtkMINCImageWriter_GetHistoryAddition, 1,
   (char*)"V.GetHistoryAddition() -> string\nC++: char *GetHistoryAddition ();\n\n Set a string value to append to the history of the file.  This\n string should describe, briefly, how the file was processed.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMINCImageWriterDoc[] = {
  (char*)"vtkMINCImageWriter - A writer for MINC files.\n\n",
  "Super Class:\n\n vtkImageWriter\n\n",
  (char*)" MINC is a NetCDF-based medical image file format that was developed\n at the Montreal Neurological Institute in 1992. \n The data is written slice-by-slice, and this writer is therefore\n suitable for streaming MINC data that is larger than the memory\n size through VTK.  This writer can also produce files with up to\n 4 dimensions, where the fourth dimension is provided by using\n AddInput() to specif",
  (char*)"y multiple input data sets.  If you want to\n set header information for the file, you must supply a\n vtkMINCImageAttributes \n\n",
  "See Also:\n\n vtkMINCImageReader vtkMINCImageAttributes\n .SECTION Thanks\n Thanks to David Gobbi for writing this class and Atamai Inc. for\n contributing it to VTK.\n\n",
  NULL
};

static vtkObjectBase *vtkMINCImageWriterStaticNew()
{
  return vtkMINCImageWriter::New();
}

PyObject *PyVTKClass_vtkMINCImageWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkMINCImageWriterStaticNew,
                        PyvtkMINCImageWriterMethods,
                        (char*)"vtkMINCImageWriter",modulename,
                        (char**)vtkMINCImageWriterDoc,
                        PyVTKClass_vtkImageWriterNew(modulename));
}

