// tcl wrapper for vtkMINCImageWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMINCImageWriter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMINCImageWriterNewCommand()
{
  vtkMINCImageWriter *temp = vtkMINCImageWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkImageWriterCppCommand(vtkImageWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMINCImageWriterCppCommand(vtkMINCImageWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMINCImageWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMINCImageWriterCppCommand(static_cast<vtkMINCImageWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMINCImageWriterCppCommand(vtkMINCImageWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMINCImageWriter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageWriterCppCommand(static_cast<vtkImageWriter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageWriter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMINCImageWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMINCImageWriter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMINCImageWriter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMINCImageWriter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMINCImageWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMINCImageWriter");
    return TCL_OK;
    }
  if ((!strcmp("GetFileExtensions",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetFileExtensions();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDescriptiveName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDescriptiveName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Write",argv[1]))&&(argc == 2))
    {
    op->Write();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectionCosines",argv[1]))&&(argc == 3))
    {
    vtkMatrix4x4  *temp0;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->SetDirectionCosines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirectionCosines",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetDirectionCosines();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("SetRescaleSlope",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRescaleSlope(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRescaleSlope",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRescaleSlope();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRescaleIntercept",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRescaleIntercept(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRescaleIntercept",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRescaleIntercept();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImageAttributes",argv[1]))&&(argc == 3))
    {
    vtkMINCImageAttributes  *temp0;
    error = 0;

    temp0 = (vtkMINCImageAttributes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMINCImageAttributes"),interp,error));
    if (!error)
    {
    op->SetImageAttributes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageAttributes",argv[1]))&&(argc == 2))
    {
    vtkMINCImageAttributes  *temp20;
    temp20 = (op)->GetImageAttributes();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMINCImageAttributes");
    return TCL_OK;
    }
  if ((!strcmp("SetStrictValidation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStrictValidation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StrictValidationOn",argv[1]))&&(argc == 2))
    {
    op->StrictValidationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StrictValidationOff",argv[1]))&&(argc == 2))
    {
    op->StrictValidationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetStrictValidation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStrictValidation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHistoryAddition",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetHistoryAddition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHistoryAddition",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetHistoryAddition();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMINCImageWriterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMINCImageWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetFileExtensions\n",NULL);
    Tcl_AppendResult(interp,"  GetDescriptiveName\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Write\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionCosines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDirectionCosines\n",NULL);
    Tcl_AppendResult(interp,"  SetRescaleSlope\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRescaleSlope\n",NULL);
    Tcl_AppendResult(interp,"  SetRescaleIntercept\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRescaleIntercept\n",NULL);
    Tcl_AppendResult(interp,"  SetImageAttributes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageAttributes\n",NULL);
    Tcl_AppendResult(interp,"  SetStrictValidation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StrictValidationOn\n",NULL);
    Tcl_AppendResult(interp,"  StrictValidationOff\n",NULL);
    Tcl_AppendResult(interp,"  GetStrictValidation\n",NULL);
    Tcl_AppendResult(interp,"  SetHistoryAddition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHistoryAddition\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetFileExtensions" );
    Tcl_DStringAppendElement ( &dString, "GetDescriptiveName" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "Write" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionCosines" );
    Tcl_DStringAppendElement ( &dString, "GetDirectionCosines" );
    Tcl_DStringAppendElement ( &dString, "SetRescaleSlope" );
    Tcl_DStringAppendElement ( &dString, "GetRescaleSlope" );
    Tcl_DStringAppendElement ( &dString, "SetRescaleIntercept" );
    Tcl_DStringAppendElement ( &dString, "GetRescaleIntercept" );
    Tcl_DStringAppendElement ( &dString, "SetImageAttributes" );
    Tcl_DStringAppendElement ( &dString, "GetImageAttributes" );
    Tcl_DStringAppendElement ( &dString, "SetStrictValidation" );
    Tcl_DStringAppendElement ( &dString, "StrictValidationOn" );
    Tcl_DStringAppendElement ( &dString, "StrictValidationOff" );
    Tcl_DStringAppendElement ( &dString, "GetStrictValidation" );
    Tcl_DStringAppendElement ( &dString, "SetHistoryAddition" );
    Tcl_DStringAppendElement ( &dString, "GetHistoryAddition" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMINCImageWriter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileExtensions */
    if ( strcmp ( argv[2], "GetFileExtensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileExtensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileExtensions */
    Tcl_DStringAppendElement ( &dString, " Get the name of this file format.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetFileExtensions ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for GetFileExtensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDescriptiveName */
    if ( strcmp ( argv[2], "GetDescriptiveName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDescriptiveName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDescriptiveName */
    Tcl_DStringAppendElement ( &dString, " Set the file name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDescriptiveName ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for GetDescriptiveName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Set the file name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Write */
    if ( strcmp ( argv[2], "Write" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Write" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Write */
    Tcl_DStringAppendElement ( &dString, " Write the data.  This will attempt to stream the data\n slice-by-slice through the pipeline and out to the file,\n unless the whole extent of the input has already been\n updated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Write ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for Write */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionCosines */
    if ( strcmp ( argv[2], "SetDirectionCosines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionCosines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionCosines */
    Tcl_DStringAppendElement ( &dString, " Set a matrix that describes the orientation of the data.  The\n three columns of this matrix should give the unit-vector\n directions for the VTK x, y and z dimensions respectively.  \n The writer will use this information to determine how to map\n the VTK dimensions to the canonical MINC dimensions, and if\n necessary, the writer will re-order one or more dimensions\n back-to-front to ensure that no MINC dimension ends up with\n a direction cosines vector whose dot product ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDirectionCosines (vtkMatrix4x4 *matrix);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for SetDirectionCosines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirectionCosines */
    if ( strcmp ( argv[2], "GetDirectionCosines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirectionCosines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirectionCosines */
    Tcl_DStringAppendElement ( &dString, " Set a matrix that describes the orientation of the data.  The\n three columns of this matrix should give the unit-vector\n directions for the VTK x, y and z dimensions respectively.  \n The writer will use this information to determine how to map\n the VTK dimensions to the canonical MINC dimensions, and if\n necessary, the writer will re-order one or more dimensions\n back-to-front to ensure that no MINC dimension ends up with\n a direction cosines vector whose dot product ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4 *GetDirectionCosines ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for GetDirectionCosines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRescaleSlope */
    if ( strcmp ( argv[2], "SetRescaleSlope" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRescaleSlope" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRescaleSlope */
    Tcl_DStringAppendElement ( &dString, " Set the slope and intercept for rescaling the intensities.  The\n default values are zero, which indicates to the reader that no\n rescaling is to be performed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRescaleSlope (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for SetRescaleSlope */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRescaleSlope */
    if ( strcmp ( argv[2], "GetRescaleSlope" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRescaleSlope" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRescaleSlope */
    Tcl_DStringAppendElement ( &dString, " Set the slope and intercept for rescaling the intensities.  The\n default values are zero, which indicates to the reader that no\n rescaling is to be performed.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRescaleSlope ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for GetRescaleSlope */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRescaleIntercept */
    if ( strcmp ( argv[2], "SetRescaleIntercept" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRescaleIntercept" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRescaleIntercept */
    Tcl_DStringAppendElement ( &dString, " Set the slope and intercept for rescaling the intensities.  The\n default values are zero, which indicates to the reader that no\n rescaling is to be performed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRescaleIntercept (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for SetRescaleIntercept */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRescaleIntercept */
    if ( strcmp ( argv[2], "GetRescaleIntercept" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRescaleIntercept" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRescaleIntercept */
    Tcl_DStringAppendElement ( &dString, " Set the slope and intercept for rescaling the intensities.  The\n default values are zero, which indicates to the reader that no\n rescaling is to be performed.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRescaleIntercept ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for GetRescaleIntercept */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageAttributes */
    if ( strcmp ( argv[2], "SetImageAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageAttributes" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageAttributes */
    Tcl_DStringAppendElement ( &dString, " Set the image attributes, which contain patient information and\n other useful metadata.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetImageAttributes (vtkMINCImageAttributes *attributes);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for SetImageAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageAttributes */
    if ( strcmp ( argv[2], "GetImageAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageAttributes */
    Tcl_DStringAppendElement ( &dString, " Set the image attributes, which contain patient information and\n other useful metadata.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMINCImageAttributes *GetImageAttributes ();return this ImageAttributes " );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for GetImageAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStrictValidation */
    if ( strcmp ( argv[2], "SetStrictValidation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStrictValidation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStrictValidation */
    Tcl_DStringAppendElement ( &dString, " Set whether to validate that all variable attributes that\n have been set are ones that are listed in the MINC standard.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStrictValidation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for SetStrictValidation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StrictValidationOn */
    if ( strcmp ( argv[2], "StrictValidationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StrictValidationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StrictValidationOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to validate that all variable attributes that\n have been set are ones that are listed in the MINC standard.\n" );
    Tcl_DStringAppendElement ( &dString, "void StrictValidationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for StrictValidationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StrictValidationOff */
    if ( strcmp ( argv[2], "StrictValidationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StrictValidationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StrictValidationOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to validate that all variable attributes that\n have been set are ones that are listed in the MINC standard.\n" );
    Tcl_DStringAppendElement ( &dString, "void StrictValidationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for StrictValidationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStrictValidation */
    if ( strcmp ( argv[2], "GetStrictValidation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStrictValidation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStrictValidation */
    Tcl_DStringAppendElement ( &dString, " Set whether to validate that all variable attributes that\n have been set are ones that are listed in the MINC standard.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStrictValidation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for GetStrictValidation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHistoryAddition */
    if ( strcmp ( argv[2], "SetHistoryAddition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHistoryAddition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHistoryAddition */
    Tcl_DStringAppendElement ( &dString, " Set a string value to append to the history of the file.  This\n string should describe, briefly, how the file was processed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHistoryAddition (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for SetHistoryAddition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHistoryAddition */
    if ( strcmp ( argv[2], "GetHistoryAddition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHistoryAddition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHistoryAddition */
    Tcl_DStringAppendElement ( &dString, " Set a string value to append to the history of the file.  This\n string should describe, briefly, how the file was processed.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetHistoryAddition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMINCImageWriter" );
    /* Closing for GetHistoryAddition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageWriterCppCommand(static_cast<vtkImageWriter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
