// python wrapper for vtkMaterialLibrary object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMaterialLibrary.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMaterialLibraryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMaterialLibraryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMaterialLibrary_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaterialLibrary *op;

  const char    *temp20;
  op = (vtkMaterialLibrary *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaterialLibrary::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMaterialLibrary_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaterialLibrary *op;

  char    *temp0;
  int      temp20;
  op = (vtkMaterialLibrary *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaterialLibrary::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaterialLibrary_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaterialLibrary *op;

  vtkMaterialLibrary  *temp20;
  op = (vtkMaterialLibrary *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaterialLibrary::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaterialLibrary_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMaterialLibrary  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMaterialLibrary::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMaterialLibrary_GetMaterial(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkMaterialLibrary::GetMaterial(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMaterialLibrary_GetNumberOfMaterials(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMaterialLibrary::GetNumberOfMaterials();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMaterialLibraryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMaterialLibrary_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMaterialLibrary_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMaterialLibrary_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMaterialLibrary\nC++: vtkMaterialLibrary *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMaterialLibrary_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMaterialLibrary\nC++: vtkMaterialLibrary *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMaterial",                (PyCFunction)PyvtkMaterialLibrary_GetMaterial, 1,
   (char*)"V.GetMaterial(string) -> string\nC++: static char *GetMaterial (const char *name);\n\n Obtain the code for the shader with given name.\n Note that Cg shader names are prefixed with CG and\n GLSL shader names are prefixed with GLSL.\n This method allocates memory. It's the responsibility\n of the caller to free this memory.\n"},
  {(char*)"GetNumberOfMaterials",                (PyCFunction)PyvtkMaterialLibrary_GetNumberOfMaterials, 1,
   (char*)"V.GetNumberOfMaterials() -> int\nC++: static unsigned int GetNumberOfMaterials ();\n\n Returns the number of materials provided by the library.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMaterialLibraryDoc[] = {
  (char*)"vtkMaterialLibrary - Library for Materials\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class provides the Material XMLs.\n .SECTION Thanks\n Shader support in VTK includes key contributions by Gary Templet at \n Sandia National Labs.\n\n",
  NULL
};

static vtkObjectBase *vtkMaterialLibraryStaticNew()
{
  return vtkMaterialLibrary::New();
}

PyObject *PyVTKClass_vtkMaterialLibraryNew(char *modulename)
{
  return PyVTKClass_New(&vtkMaterialLibraryStaticNew,
                        PyvtkMaterialLibraryMethods,
                        (char*)"vtkMaterialLibrary",modulename,
                        (char**)vtkMaterialLibraryDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

