// python wrapper for vtkMedicalImageProperties object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMedicalImageProperties.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMedicalImagePropertiesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMedicalImagePropertiesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMedicalImageProperties_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  const char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  vtkMedicalImageProperties  *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMedicalImageProperties  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMedicalImageProperties::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::Clear();
      }
    else
      {
      op->Clear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetPatientName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetPatientName(temp0);
      }
    else
      {
      op->SetPatientName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientName();
      }
    else
      {
      temp20 = op->GetPatientName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetPatientID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetPatientID(temp0);
      }
    else
      {
      op->SetPatientID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientID();
      }
    else
      {
      temp20 = op->GetPatientID();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetPatientAge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetPatientAge(temp0);
      }
    else
      {
      op->SetPatientAge(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientAge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientAge();
      }
    else
      {
      temp20 = op->GetPatientAge();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientAgeYear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientAgeYear();
      }
    else
      {
      temp20 = op->GetPatientAgeYear();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientAgeMonth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientAgeMonth();
      }
    else
      {
      temp20 = op->GetPatientAgeMonth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientAgeWeek(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientAgeWeek();
      }
    else
      {
      temp20 = op->GetPatientAgeWeek();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientAgeDay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientAgeDay();
      }
    else
      {
      temp20 = op->GetPatientAgeDay();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetPatientSex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetPatientSex(temp0);
      }
    else
      {
      op->SetPatientSex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientSex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientSex();
      }
    else
      {
      temp20 = op->GetPatientSex();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetPatientBirthDate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetPatientBirthDate(temp0);
      }
    else
      {
      op->SetPatientBirthDate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientBirthDate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientBirthDate();
      }
    else
      {
      temp20 = op->GetPatientBirthDate();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientBirthDateYear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientBirthDateYear();
      }
    else
      {
      temp20 = op->GetPatientBirthDateYear();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientBirthDateMonth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientBirthDateMonth();
      }
    else
      {
      temp20 = op->GetPatientBirthDateMonth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetPatientBirthDateDay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetPatientBirthDateDay();
      }
    else
      {
      temp20 = op->GetPatientBirthDateDay();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetStudyDate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetStudyDate(temp0);
      }
    else
      {
      op->SetStudyDate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetStudyDate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetStudyDate();
      }
    else
      {
      temp20 = op->GetStudyDate();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetAcquisitionDate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetAcquisitionDate(temp0);
      }
    else
      {
      op->SetAcquisitionDate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetAcquisitionDate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetAcquisitionDate();
      }
    else
      {
      temp20 = op->GetAcquisitionDate();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetAcquisitionDateYear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetAcquisitionDateYear();
      }
    else
      {
      temp20 = op->GetAcquisitionDateYear();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetAcquisitionDateMonth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetAcquisitionDateMonth();
      }
    else
      {
      temp20 = op->GetAcquisitionDateMonth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetAcquisitionDateDay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetAcquisitionDateDay();
      }
    else
      {
      temp20 = op->GetAcquisitionDateDay();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetStudyTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetStudyTime(temp0);
      }
    else
      {
      op->SetStudyTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetStudyTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetStudyTime();
      }
    else
      {
      temp20 = op->GetStudyTime();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetAcquisitionTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetAcquisitionTime(temp0);
      }
    else
      {
      op->SetAcquisitionTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetAcquisitionTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetAcquisitionTime();
      }
    else
      {
      temp20 = op->GetAcquisitionTime();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetImageDate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetImageDate(temp0);
      }
    else
      {
      op->SetImageDate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetImageDate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetImageDate();
      }
    else
      {
      temp20 = op->GetImageDate();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetImageDateYear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetImageDateYear();
      }
    else
      {
      temp20 = op->GetImageDateYear();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetImageDateMonth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetImageDateMonth();
      }
    else
      {
      temp20 = op->GetImageDateMonth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetImageDateDay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetImageDateDay();
      }
    else
      {
      temp20 = op->GetImageDateDay();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetDateAsLocale(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  char    *temp1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"zz", &temp0, &temp1)))
    {
      {
      temp20 = vtkMedicalImageProperties::GetDateAsLocale(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetImageTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetImageTime(temp0);
      }
    else
      {
      op->SetImageTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetImageTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetImageTime();
      }
    else
      {
      temp20 = op->GetImageTime();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetImageNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetImageNumber(temp0);
      }
    else
      {
      op->SetImageNumber(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetImageNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetImageNumber();
      }
    else
      {
      temp20 = op->GetImageNumber();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetSeriesNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetSeriesNumber(temp0);
      }
    else
      {
      op->SetSeriesNumber(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetSeriesNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetSeriesNumber();
      }
    else
      {
      temp20 = op->GetSeriesNumber();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetSeriesDescription(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetSeriesDescription(temp0);
      }
    else
      {
      op->SetSeriesDescription(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetSeriesDescription(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetSeriesDescription();
      }
    else
      {
      temp20 = op->GetSeriesDescription();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetStudyID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetStudyID(temp0);
      }
    else
      {
      op->SetStudyID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetStudyID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetStudyID();
      }
    else
      {
      temp20 = op->GetStudyID();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetStudyDescription(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetStudyDescription(temp0);
      }
    else
      {
      op->SetStudyDescription(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetStudyDescription(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetStudyDescription();
      }
    else
      {
      temp20 = op->GetStudyDescription();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetModality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetModality(temp0);
      }
    else
      {
      op->SetModality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetModality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetModality();
      }
    else
      {
      temp20 = op->GetModality();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetManufacturer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetManufacturer(temp0);
      }
    else
      {
      op->SetManufacturer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetManufacturer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetManufacturer();
      }
    else
      {
      temp20 = op->GetManufacturer();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetManufacturerModelName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetManufacturerModelName(temp0);
      }
    else
      {
      op->SetManufacturerModelName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetManufacturerModelName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetManufacturerModelName();
      }
    else
      {
      temp20 = op->GetManufacturerModelName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetStationName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetStationName(temp0);
      }
    else
      {
      op->SetStationName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetStationName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetStationName();
      }
    else
      {
      temp20 = op->GetStationName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetInstitutionName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetInstitutionName(temp0);
      }
    else
      {
      op->SetInstitutionName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetInstitutionName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetInstitutionName();
      }
    else
      {
      temp20 = op->GetInstitutionName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetConvolutionKernel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetConvolutionKernel(temp0);
      }
    else
      {
      op->SetConvolutionKernel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetConvolutionKernel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetConvolutionKernel();
      }
    else
      {
      temp20 = op->GetConvolutionKernel();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetSliceThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetSliceThickness(temp0);
      }
    else
      {
      op->SetSliceThickness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetSliceThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetSliceThickness();
      }
    else
      {
      temp20 = op->GetSliceThickness();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetSliceThicknessAsDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  double   temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetSliceThicknessAsDouble();
      }
    else
      {
      temp20 = op->GetSliceThicknessAsDouble();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetKVP(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetKVP(temp0);
      }
    else
      {
      op->SetKVP(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetKVP(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetKVP();
      }
    else
      {
      temp20 = op->GetKVP();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetGantryTilt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetGantryTilt(temp0);
      }
    else
      {
      op->SetGantryTilt(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetGantryTilt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetGantryTilt();
      }
    else
      {
      temp20 = op->GetGantryTilt();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetGantryTiltAsDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  double   temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetGantryTiltAsDouble();
      }
    else
      {
      temp20 = op->GetGantryTiltAsDouble();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetEchoTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetEchoTime(temp0);
      }
    else
      {
      op->SetEchoTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetEchoTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetEchoTime();
      }
    else
      {
      temp20 = op->GetEchoTime();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetEchoTrainLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetEchoTrainLength(temp0);
      }
    else
      {
      op->SetEchoTrainLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetEchoTrainLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetEchoTrainLength();
      }
    else
      {
      temp20 = op->GetEchoTrainLength();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetRepetitionTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetRepetitionTime(temp0);
      }
    else
      {
      op->SetRepetitionTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetRepetitionTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetRepetitionTime();
      }
    else
      {
      temp20 = op->GetRepetitionTime();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetExposureTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetExposureTime(temp0);
      }
    else
      {
      op->SetExposureTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetExposureTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetExposureTime();
      }
    else
      {
      temp20 = op->GetExposureTime();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetXRayTubeCurrent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetXRayTubeCurrent(temp0);
      }
    else
      {
      op->SetXRayTubeCurrent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetXRayTubeCurrent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetXRayTubeCurrent();
      }
    else
      {
      temp20 = op->GetXRayTubeCurrent();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetExposure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetExposure(temp0);
      }
    else
      {
      op->SetExposure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetExposure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetExposure();
      }
    else
      {
      temp20 = op->GetExposure();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_AddUserDefinedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  char    *temp1;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::AddUserDefinedValue(temp0,temp1);
      }
    else
      {
      op->AddUserDefinedValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetUserDefinedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  char    *temp0;
  const char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetUserDefinedValue(temp0);
      }
    else
      {
      temp20 = op->GetUserDefinedValue(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetNumberOfUserDefinedValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  unsigned int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetNumberOfUserDefinedValues();
      }
    else
      {
      temp20 = op->GetNumberOfUserDefinedValues();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetUserDefinedNameByIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  unsigned int      temp0;
  const char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetUserDefinedNameByIndex(temp0);
      }
    else
      {
      temp20 = op->GetUserDefinedNameByIndex(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetUserDefinedValueByIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  unsigned int      temp0;
  const char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetUserDefinedValueByIndex(temp0);
      }
    else
      {
      temp20 = op->GetUserDefinedValueByIndex(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  vtkMedicalImageProperties  *temp0;
  PyObject *tempH0;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMedicalImageProperties *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMedicalImageProperties");
    if (!temp0 && tempH0 != Py_None) goto break88;
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break88:
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_AddWindowLevelPreset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  double   temp0;
  double   temp1;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::AddWindowLevelPreset(temp0,temp1);
      }
    else
      {
      op->AddWindowLevelPreset(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_RemoveWindowLevelPreset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  double   temp0;
  double   temp1;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::RemoveWindowLevelPreset(temp0,temp1);
      }
    else
      {
      op->RemoveWindowLevelPreset(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_RemoveAllWindowLevelPresets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::RemoveAllWindowLevelPresets();
      }
    else
      {
      op->RemoveAllWindowLevelPresets();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetNumberOfWindowLevelPresets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetNumberOfWindowLevelPresets();
      }
    else
      {
      temp20 = op->GetNumberOfWindowLevelPresets();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_HasWindowLevelPreset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  double   temp0;
  double   temp1;
  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::HasWindowLevelPreset(temp0,temp1);
      }
    else
      {
      temp20 = op->HasWindowLevelPreset(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetNthWindowLevelPreset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp0;
  double  *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetNthWindowLevelPreset(temp0);
      }
    else
      {
      temp20 = op->GetNthWindowLevelPreset(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetNthWindowLevelPresetComment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp0;
  char    *temp1;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetNthWindowLevelPresetComment(temp0,temp1);
      }
    else
      {
      op->SetNthWindowLevelPresetComment(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetNthWindowLevelPresetComment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp0;
  const char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetNthWindowLevelPresetComment(temp0);
      }
    else
      {
      temp20 = op->GetNthWindowLevelPresetComment(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetInstanceUIDFromSliceID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp0;
  int      temp1;
  const char    *temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetInstanceUIDFromSliceID(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInstanceUIDFromSliceID(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetInstanceUIDFromSliceID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp0;
  int      temp1;
  char    *temp2;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"iiz", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetInstanceUIDFromSliceID(temp0,temp1,temp2);
      }
    else
      {
      op->SetInstanceUIDFromSliceID(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetOrientationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp0;
  int      temp20;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageProperties::GetOrientationType(temp0);
      }
    else
      {
      temp20 = op->GetOrientationType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_SetOrientationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageProperties *op;

  int      temp0;
  int      temp1;
  op = (vtkMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageProperties::SetOrientationType(temp0,temp1);
      }
    else
      {
      op->SetOrientationType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageProperties_GetStringFromOrientationType(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkMedicalImageProperties::GetStringFromOrientationType(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMedicalImagePropertiesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMedicalImageProperties_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMedicalImageProperties_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMedicalImageProperties_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMedicalImageProperties\nC++: vtkMedicalImageProperties *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMedicalImageProperties_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMedicalImageProperties\nC++: vtkMedicalImageProperties *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkMedicalImageProperties_Clear, 1,
   (char*)"V.Clear()\nC++: virtual void Clear ();\n\n Convenience method to reset all fields to an emptry string/value\n"},
  {(char*)"SetPatientName",                (PyCFunction)PyvtkMedicalImageProperties_SetPatientName, 1,
   (char*)"V.SetPatientName(string)\nC++: void SetPatientName (char *);\n\n Patient name\n For ex: DICOM (0010,0010) = DOE,JOHN\n"},
  {(char*)"GetPatientName",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientName, 1,
   (char*)"V.GetPatientName() -> string\nC++: char *GetPatientName ();\n\n Patient name\n For ex: DICOM (0010,0010) = DOE,JOHN\n"},
  {(char*)"SetPatientID",                (PyCFunction)PyvtkMedicalImageProperties_SetPatientID, 1,
   (char*)"V.SetPatientID(string)\nC++: void SetPatientID (char *);\n\n Patient ID\n For ex: DICOM (0010,0020) = 1933197\n"},
  {(char*)"GetPatientID",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientID, 1,
   (char*)"V.GetPatientID() -> string\nC++: char *GetPatientID ();\n\n Patient ID\n For ex: DICOM (0010,0020) = 1933197\n"},
  {(char*)"SetPatientAge",                (PyCFunction)PyvtkMedicalImageProperties_SetPatientAge, 1,
   (char*)"V.SetPatientAge(string)\nC++: void SetPatientAge (char *);\n\n Patient age\n Format: nnnD, nnW, nnnM or nnnY (eventually nnD, nnW, nnY)\n         with D (day), M (month), W (week), Y (year)\n For ex: DICOM (0010,1010) = 031Y\n"},
  {(char*)"GetPatientAge",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientAge, 1,
   (char*)"V.GetPatientAge() -> string\nC++: char *GetPatientAge ();\n\n Patient age\n Format: nnnD, nnW, nnnM or nnnY (eventually nnD, nnW, nnY)\n         with D (day), M (month), W (week), Y (year)\n For ex: DICOM (0010,1010) = 031Y\n"},
  {(char*)"GetPatientAgeYear",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientAgeYear, 1,
   (char*)"V.GetPatientAgeYear() -> int\nC++: int GetPatientAgeYear ();\n\n"},
  {(char*)"GetPatientAgeMonth",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientAgeMonth, 1,
   (char*)"V.GetPatientAgeMonth() -> int\nC++: int GetPatientAgeMonth ();\n\n"},
  {(char*)"GetPatientAgeWeek",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientAgeWeek, 1,
   (char*)"V.GetPatientAgeWeek() -> int\nC++: int GetPatientAgeWeek ();\n\n"},
  {(char*)"GetPatientAgeDay",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientAgeDay, 1,
   (char*)"V.GetPatientAgeDay() -> int\nC++: int GetPatientAgeDay ();\n\n"},
  {(char*)"SetPatientSex",                (PyCFunction)PyvtkMedicalImageProperties_SetPatientSex, 1,
   (char*)"V.SetPatientSex(string)\nC++: void SetPatientSex (char *);\n\n Patient sex\n For ex: DICOM (0010,0040) = M\n"},
  {(char*)"GetPatientSex",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientSex, 1,
   (char*)"V.GetPatientSex() -> string\nC++: char *GetPatientSex ();\n\n Patient sex\n For ex: DICOM (0010,0040) = M\n"},
  {(char*)"SetPatientBirthDate",                (PyCFunction)PyvtkMedicalImageProperties_SetPatientBirthDate, 1,
   (char*)"V.SetPatientBirthDate(string)\nC++: void SetPatientBirthDate (char *);\n\n Patient birth date\n Format: yyyymmdd\n For ex: DICOM (0010,0030) = 19680427\n"},
  {(char*)"GetPatientBirthDate",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientBirthDate, 1,
   (char*)"V.GetPatientBirthDate() -> string\nC++: char *GetPatientBirthDate ();\n\n Patient birth date\n Format: yyyymmdd\n For ex: DICOM (0010,0030) = 19680427\n"},
  {(char*)"GetPatientBirthDateYear",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientBirthDateYear, 1,
   (char*)"V.GetPatientBirthDateYear() -> int\nC++: int GetPatientBirthDateYear ();\n\n"},
  {(char*)"GetPatientBirthDateMonth",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientBirthDateMonth, 1,
   (char*)"V.GetPatientBirthDateMonth() -> int\nC++: int GetPatientBirthDateMonth ();\n\n"},
  {(char*)"GetPatientBirthDateDay",                (PyCFunction)PyvtkMedicalImageProperties_GetPatientBirthDateDay, 1,
   (char*)"V.GetPatientBirthDateDay() -> int\nC++: int GetPatientBirthDateDay ();\n\n"},
  {(char*)"SetStudyDate",                (PyCFunction)PyvtkMedicalImageProperties_SetStudyDate, 1,
   (char*)"V.SetStudyDate(string)\nC++: void SetStudyDate (char *);\n\n Study Date\n Format: yyyymmdd\n For ex: DICOM (0008,0020) = 20030617\n"},
  {(char*)"GetStudyDate",                (PyCFunction)PyvtkMedicalImageProperties_GetStudyDate, 1,
   (char*)"V.GetStudyDate() -> string\nC++: char *GetStudyDate ();\n\n Study Date\n Format: yyyymmdd\n For ex: DICOM (0008,0020) = 20030617\n"},
  {(char*)"SetAcquisitionDate",                (PyCFunction)PyvtkMedicalImageProperties_SetAcquisitionDate, 1,
   (char*)"V.SetAcquisitionDate(string)\nC++: void SetAcquisitionDate (char *);\n\n Acquisition Date\n Format: yyyymmdd\n For ex: DICOM (0008,0022) = 20030617\n"},
  {(char*)"GetAcquisitionDate",                (PyCFunction)PyvtkMedicalImageProperties_GetAcquisitionDate, 1,
   (char*)"V.GetAcquisitionDate() -> string\nC++: char *GetAcquisitionDate ();\n\n Acquisition Date\n Format: yyyymmdd\n For ex: DICOM (0008,0022) = 20030617\n"},
  {(char*)"GetAcquisitionDateYear",                (PyCFunction)PyvtkMedicalImageProperties_GetAcquisitionDateYear, 1,
   (char*)"V.GetAcquisitionDateYear() -> int\nC++: int GetAcquisitionDateYear ();\n\n"},
  {(char*)"GetAcquisitionDateMonth",                (PyCFunction)PyvtkMedicalImageProperties_GetAcquisitionDateMonth, 1,
   (char*)"V.GetAcquisitionDateMonth() -> int\nC++: int GetAcquisitionDateMonth ();\n\n"},
  {(char*)"GetAcquisitionDateDay",                (PyCFunction)PyvtkMedicalImageProperties_GetAcquisitionDateDay, 1,
   (char*)"V.GetAcquisitionDateDay() -> int\nC++: int GetAcquisitionDateDay ();\n\n"},
  {(char*)"SetStudyTime",                (PyCFunction)PyvtkMedicalImageProperties_SetStudyTime, 1,
   (char*)"V.SetStudyTime(string)\nC++: void SetStudyTime (char *);\n\n Study Time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0030) = 162552.0705 or 230012, or 0012\n"},
  {(char*)"GetStudyTime",                (PyCFunction)PyvtkMedicalImageProperties_GetStudyTime, 1,
   (char*)"V.GetStudyTime() -> string\nC++: char *GetStudyTime ();\n\n Study Time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0030) = 162552.0705 or 230012, or 0012\n"},
  {(char*)"SetAcquisitionTime",                (PyCFunction)PyvtkMedicalImageProperties_SetAcquisitionTime, 1,
   (char*)"V.SetAcquisitionTime(string)\nC++: void SetAcquisitionTime (char *);\n\n Acquisition time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0032) = 162552.0705 or 230012, or 0012\n"},
  {(char*)"GetAcquisitionTime",                (PyCFunction)PyvtkMedicalImageProperties_GetAcquisitionTime, 1,
   (char*)"V.GetAcquisitionTime() -> string\nC++: char *GetAcquisitionTime ();\n\n Acquisition time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0032) = 162552.0705 or 230012, or 0012\n"},
  {(char*)"SetImageDate",                (PyCFunction)PyvtkMedicalImageProperties_SetImageDate, 1,
   (char*)"V.SetImageDate(string)\nC++: void SetImageDate (char *);\n\n Image Date aka Content Date\n Format: yyyymmdd\n For ex: DICOM (0008,0023) = 20030617\n"},
  {(char*)"GetImageDate",                (PyCFunction)PyvtkMedicalImageProperties_GetImageDate, 1,
   (char*)"V.GetImageDate() -> string\nC++: char *GetImageDate ();\n\n Image Date aka Content Date\n Format: yyyymmdd\n For ex: DICOM (0008,0023) = 20030617\n"},
  {(char*)"GetImageDateYear",                (PyCFunction)PyvtkMedicalImageProperties_GetImageDateYear, 1,
   (char*)"V.GetImageDateYear() -> int\nC++: int GetImageDateYear ();\n\n"},
  {(char*)"GetImageDateMonth",                (PyCFunction)PyvtkMedicalImageProperties_GetImageDateMonth, 1,
   (char*)"V.GetImageDateMonth() -> int\nC++: int GetImageDateMonth ();\n\n"},
  {(char*)"GetImageDateDay",                (PyCFunction)PyvtkMedicalImageProperties_GetImageDateDay, 1,
   (char*)"V.GetImageDateDay() -> int\nC++: int GetImageDateDay ();\n\n"},
  {(char*)"GetDateAsLocale",                (PyCFunction)PyvtkMedicalImageProperties_GetDateAsLocale, 1,
   (char*)"V.GetDateAsLocale(string, string) -> int\nC++: static int GetDateAsLocale (const char *date, char *locale);\n\n Take as input a string in ISO 8601 date (YYYY/MM/DD) and construct a\n locale date based on the different fields (see GetDateAsFields to extract\n different fields)\n Return 0 on error, 1 on success\n"},
  {(char*)"SetImageTime",                (PyCFunction)PyvtkMedicalImageProperties_SetImageTime, 1,
   (char*)"V.SetImageTime(string)\nC++: void SetImageTime (char *);\n\n Image Time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0033) = 162552.0705 or 230012, or 0012\n"},
  {(char*)"GetImageTime",                (PyCFunction)PyvtkMedicalImageProperties_GetImageTime, 1,
   (char*)"V.GetImageTime() -> string\nC++: char *GetImageTime ();\n\n Image Time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0033) = 162552.0705 or 230012, or 0012\n"},
  {(char*)"SetImageNumber",                (PyCFunction)PyvtkMedicalImageProperties_SetImageNumber, 1,
   (char*)"V.SetImageNumber(string)\nC++: void SetImageNumber (char *);\n\n Image number\n For ex: DICOM (0020,0013) = 1\n"},
  {(char*)"GetImageNumber",                (PyCFunction)PyvtkMedicalImageProperties_GetImageNumber, 1,
   (char*)"V.GetImageNumber() -> string\nC++: char *GetImageNumber ();\n\n Image number\n For ex: DICOM (0020,0013) = 1\n"},
  {(char*)"SetSeriesNumber",                (PyCFunction)PyvtkMedicalImageProperties_SetSeriesNumber, 1,
   (char*)"V.SetSeriesNumber(string)\nC++: void SetSeriesNumber (char *);\n\n Series number\n For ex: DICOM (0020,0011) = 902\n"},
  {(char*)"GetSeriesNumber",                (PyCFunction)PyvtkMedicalImageProperties_GetSeriesNumber, 1,
   (char*)"V.GetSeriesNumber() -> string\nC++: char *GetSeriesNumber ();\n\n Series number\n For ex: DICOM (0020,0011) = 902\n"},
  {(char*)"SetSeriesDescription",                (PyCFunction)PyvtkMedicalImageProperties_SetSeriesDescription, 1,
   (char*)"V.SetSeriesDescription(string)\nC++: void SetSeriesDescription (char *);\n\n Series Description\n User provided description of the Series\n For ex: DICOM (0008,103e) = SCOUT\n"},
  {(char*)"GetSeriesDescription",                (PyCFunction)PyvtkMedicalImageProperties_GetSeriesDescription, 1,
   (char*)"V.GetSeriesDescription() -> string\nC++: char *GetSeriesDescription ();\n\n Series Description\n User provided description of the Series\n For ex: DICOM (0008,103e) = SCOUT\n"},
  {(char*)"SetStudyID",                (PyCFunction)PyvtkMedicalImageProperties_SetStudyID, 1,
   (char*)"V.SetStudyID(string)\nC++: void SetStudyID (char *);\n\n Study ID\n For ex: DICOM (0020,0010) = 37481\n"},
  {(char*)"GetStudyID",                (PyCFunction)PyvtkMedicalImageProperties_GetStudyID, 1,
   (char*)"V.GetStudyID() -> string\nC++: char *GetStudyID ();\n\n Study ID\n For ex: DICOM (0020,0010) = 37481\n"},
  {(char*)"SetStudyDescription",                (PyCFunction)PyvtkMedicalImageProperties_SetStudyDescription, 1,
   (char*)"V.SetStudyDescription(string)\nC++: void SetStudyDescription (char *);\n\n Study description\n For ex: DICOM (0008,1030) = BRAIN/C-SP/FACIAL\n"},
  {(char*)"GetStudyDescription",                (PyCFunction)PyvtkMedicalImageProperties_GetStudyDescription, 1,
   (char*)"V.GetStudyDescription() -> string\nC++: char *GetStudyDescription ();\n\n Study description\n For ex: DICOM (0008,1030) = BRAIN/C-SP/FACIAL\n"},
  {(char*)"SetModality",                (PyCFunction)PyvtkMedicalImageProperties_SetModality, 1,
   (char*)"V.SetModality(string)\nC++: void SetModality (char *);\n\n Modality\n For ex: DICOM (0008,0060)= CT\n"},
  {(char*)"GetModality",                (PyCFunction)PyvtkMedicalImageProperties_GetModality, 1,
   (char*)"V.GetModality() -> string\nC++: char *GetModality ();\n\n Modality\n For ex: DICOM (0008,0060)= CT\n"},
  {(char*)"SetManufacturer",                (PyCFunction)PyvtkMedicalImageProperties_SetManufacturer, 1,
   (char*)"V.SetManufacturer(string)\nC++: void SetManufacturer (char *);\n\n Manufacturer\n For ex: DICOM (0008,0070) = Siemens\n"},
  {(char*)"GetManufacturer",                (PyCFunction)PyvtkMedicalImageProperties_GetManufacturer, 1,
   (char*)"V.GetManufacturer() -> string\nC++: char *GetManufacturer ();\n\n Manufacturer\n For ex: DICOM (0008,0070) = Siemens\n"},
  {(char*)"SetManufacturerModelName",                (PyCFunction)PyvtkMedicalImageProperties_SetManufacturerModelName, 1,
   (char*)"V.SetManufacturerModelName(string)\nC++: void SetManufacturerModelName (char *);\n\n Manufacturer's Model Name\n For ex: DICOM (0008,1090) = LightSpeed QX/i\n"},
  {(char*)"GetManufacturerModelName",                (PyCFunction)PyvtkMedicalImageProperties_GetManufacturerModelName, 1,
   (char*)"V.GetManufacturerModelName() -> string\nC++: char *GetManufacturerModelName ();\n\n Manufacturer's Model Name\n For ex: DICOM (0008,1090) = LightSpeed QX/i\n"},
  {(char*)"SetStationName",                (PyCFunction)PyvtkMedicalImageProperties_SetStationName, 1,
   (char*)"V.SetStationName(string)\nC++: void SetStationName (char *);\n\n Station Name\n For ex: DICOM (0008,1010) = LSPD_OC8\n"},
  {(char*)"GetStationName",                (PyCFunction)PyvtkMedicalImageProperties_GetStationName, 1,
   (char*)"V.GetStationName() -> string\nC++: char *GetStationName ();\n\n Station Name\n For ex: DICOM (0008,1010) = LSPD_OC8\n"},
  {(char*)"SetInstitutionName",                (PyCFunction)PyvtkMedicalImageProperties_SetInstitutionName, 1,
   (char*)"V.SetInstitutionName(string)\nC++: void SetInstitutionName (char *);\n\n Institution Name\n For ex: DICOM (0008,0080) = FooCity Medical Center\n"},
  {(char*)"GetInstitutionName",                (PyCFunction)PyvtkMedicalImageProperties_GetInstitutionName, 1,
   (char*)"V.GetInstitutionName() -> string\nC++: char *GetInstitutionName ();\n\n Institution Name\n For ex: DICOM (0008,0080) = FooCity Medical Center\n"},
  {(char*)"SetConvolutionKernel",                (PyCFunction)PyvtkMedicalImageProperties_SetConvolutionKernel, 1,
   (char*)"V.SetConvolutionKernel(string)\nC++: void SetConvolutionKernel (char *);\n\n Convolution Kernel (or algorithm used to reconstruct the data)\n For ex: DICOM (0018,1210) = Bone\n"},
  {(char*)"GetConvolutionKernel",                (PyCFunction)PyvtkMedicalImageProperties_GetConvolutionKernel, 1,
   (char*)"V.GetConvolutionKernel() -> string\nC++: char *GetConvolutionKernel ();\n\n Convolution Kernel (or algorithm used to reconstruct the data)\n For ex: DICOM (0018,1210) = Bone\n"},
  {(char*)"SetSliceThickness",                (PyCFunction)PyvtkMedicalImageProperties_SetSliceThickness, 1,
   (char*)"V.SetSliceThickness(string)\nC++: void SetSliceThickness (char *);\n\n Slice Thickness (Nominal reconstructed slice thickness, in mm)\n For ex: DICOM (0018,0050) = 0.273438\n"},
  {(char*)"GetSliceThickness",                (PyCFunction)PyvtkMedicalImageProperties_GetSliceThickness, 1,
   (char*)"V.GetSliceThickness() -> string\nC++: char *GetSliceThickness ();\n\n Slice Thickness (Nominal reconstructed slice thickness, in mm)\n For ex: DICOM (0018,0050) = 0.273438\n"},
  {(char*)"GetSliceThicknessAsDouble",                (PyCFunction)PyvtkMedicalImageProperties_GetSliceThicknessAsDouble, 1,
   (char*)"V.GetSliceThicknessAsDouble() -> float\nC++: virtual double GetSliceThicknessAsDouble ();\n\n Slice Thickness (Nominal reconstructed slice thickness, in mm)\n For ex: DICOM (0018,0050) = 0.273438\n"},
  {(char*)"SetKVP",                (PyCFunction)PyvtkMedicalImageProperties_SetKVP, 1,
   (char*)"V.SetKVP(string)\nC++: void SetKVP (char *);\n\n Peak kilo voltage output of the (x-ray) generator used\n For ex: DICOM (0018,0060) = 120\n"},
  {(char*)"GetKVP",                (PyCFunction)PyvtkMedicalImageProperties_GetKVP, 1,
   (char*)"V.GetKVP() -> string\nC++: char *GetKVP ();\n\n Peak kilo voltage output of the (x-ray) generator used\n For ex: DICOM (0018,0060) = 120\n"},
  {(char*)"SetGantryTilt",                (PyCFunction)PyvtkMedicalImageProperties_SetGantryTilt, 1,
   (char*)"V.SetGantryTilt(string)\nC++: void SetGantryTilt (char *);\n\n Gantry/Detector tilt (Nominal angle of tilt in degrees of the scanning\n gantry.)\n For ex: DICOM (0018,1120) = 15\n"},
  {(char*)"GetGantryTilt",                (PyCFunction)PyvtkMedicalImageProperties_GetGantryTilt, 1,
   (char*)"V.GetGantryTilt() -> string\nC++: char *GetGantryTilt ();\n\n Gantry/Detector tilt (Nominal angle of tilt in degrees of the scanning\n gantry.)\n For ex: DICOM (0018,1120) = 15\n"},
  {(char*)"GetGantryTiltAsDouble",                (PyCFunction)PyvtkMedicalImageProperties_GetGantryTiltAsDouble, 1,
   (char*)"V.GetGantryTiltAsDouble() -> float\nC++: virtual double GetGantryTiltAsDouble ();\n\n Gantry/Detector tilt (Nominal angle of tilt in degrees of the scanning\n gantry.)\n For ex: DICOM (0018,1120) = 15\n"},
  {(char*)"SetEchoTime",                (PyCFunction)PyvtkMedicalImageProperties_SetEchoTime, 1,
   (char*)"V.SetEchoTime(string)\nC++: void SetEchoTime (char *);\n\n Echo Time\n (Time in ms between the middle of the excitation pulse and the peak of\n the echo produced)\n For ex: DICOM (0018,0081) = 105\n"},
  {(char*)"GetEchoTime",                (PyCFunction)PyvtkMedicalImageProperties_GetEchoTime, 1,
   (char*)"V.GetEchoTime() -> string\nC++: char *GetEchoTime ();\n\n Echo Time\n (Time in ms between the middle of the excitation pulse and the peak of\n the echo produced)\n For ex: DICOM (0018,0081) = 105\n"},
  {(char*)"SetEchoTrainLength",                (PyCFunction)PyvtkMedicalImageProperties_SetEchoTrainLength, 1,
   (char*)"V.SetEchoTrainLength(string)\nC++: void SetEchoTrainLength (char *);\n\n Echo Train Length\n (Number of lines in k-space acquired per excitation per image)\n For ex: DICOM (0018,0091) = 35\n"},
  {(char*)"GetEchoTrainLength",                (PyCFunction)PyvtkMedicalImageProperties_GetEchoTrainLength, 1,
   (char*)"V.GetEchoTrainLength() -> string\nC++: char *GetEchoTrainLength ();\n\n Echo Train Length\n (Number of lines in k-space acquired per excitation per image)\n For ex: DICOM (0018,0091) = 35\n"},
  {(char*)"SetRepetitionTime",                (PyCFunction)PyvtkMedicalImageProperties_SetRepetitionTime, 1,
   (char*)"V.SetRepetitionTime(string)\nC++: void SetRepetitionTime (char *);\n\n Repetition Time\n The period of time in msec between the beginning of a pulse sequence and\n the beginning of the succeeding (essentially identical) pulse sequence.\n For ex: DICOM (0018,0080) = 2040\n"},
  {(char*)"GetRepetitionTime",                (PyCFunction)PyvtkMedicalImageProperties_GetRepetitionTime, 1,
   (char*)"V.GetRepetitionTime() -> string\nC++: char *GetRepetitionTime ();\n\n Repetition Time\n The period of time in msec between the beginning of a pulse sequence and\n the beginning of the succeeding (essentially identical) pulse sequence.\n For ex: DICOM (0018,0080) = 2040\n"},
  {(char*)"SetExposureTime",                (PyCFunction)PyvtkMedicalImageProperties_SetExposureTime, 1,
   (char*)"V.SetExposureTime(string)\nC++: void SetExposureTime (char *);\n\n Exposure time (time of x-ray exposure in msec)\n For ex: DICOM (0018,1150) = 5\n"},
  {(char*)"GetExposureTime",                (PyCFunction)PyvtkMedicalImageProperties_GetExposureTime, 1,
   (char*)"V.GetExposureTime() -> string\nC++: char *GetExposureTime ();\n\n Exposure time (time of x-ray exposure in msec)\n For ex: DICOM (0018,1150) = 5\n"},
  {(char*)"SetXRayTubeCurrent",                (PyCFunction)PyvtkMedicalImageProperties_SetXRayTubeCurrent, 1,
   (char*)"V.SetXRayTubeCurrent(string)\nC++: void SetXRayTubeCurrent (char *);\n\n X-ray tube current (in mA)\n For ex: DICOM (0018,1151) = 400\n"},
  {(char*)"GetXRayTubeCurrent",                (PyCFunction)PyvtkMedicalImageProperties_GetXRayTubeCurrent, 1,
   (char*)"V.GetXRayTubeCurrent() -> string\nC++: char *GetXRayTubeCurrent ();\n\n X-ray tube current (in mA)\n For ex: DICOM (0018,1151) = 400\n"},
  {(char*)"SetExposure",                (PyCFunction)PyvtkMedicalImageProperties_SetExposure, 1,
   (char*)"V.SetExposure(string)\nC++: void SetExposure (char *);\n\n Exposure (The exposure expressed in mAs, for example calculated\n from Exposure Time and X-ray Tube Current)\n For ex: DICOM (0018,1152) = 114\n"},
  {(char*)"GetExposure",                (PyCFunction)PyvtkMedicalImageProperties_GetExposure, 1,
   (char*)"V.GetExposure() -> string\nC++: char *GetExposure ();\n\n Exposure (The exposure expressed in mAs, for example calculated\n from Exposure Time and X-ray Tube Current)\n For ex: DICOM (0018,1152) = 114\n"},
  {(char*)"AddUserDefinedValue",                (PyCFunction)PyvtkMedicalImageProperties_AddUserDefinedValue, 1,
   (char*)"V.AddUserDefinedValue(string, string)\nC++: void AddUserDefinedValue (const char *name, const char *value);\n\n"},
  {(char*)"GetUserDefinedValue",                (PyCFunction)PyvtkMedicalImageProperties_GetUserDefinedValue, 1,
   (char*)"V.GetUserDefinedValue(string) -> string\nC++: const char *GetUserDefinedValue (const char *name);\n\n"},
  {(char*)"GetNumberOfUserDefinedValues",                (PyCFunction)PyvtkMedicalImageProperties_GetNumberOfUserDefinedValues, 1,
   (char*)"V.GetNumberOfUserDefinedValues() -> int\nC++: unsigned int GetNumberOfUserDefinedValues ();\n\n"},
  {(char*)"GetUserDefinedNameByIndex",                (PyCFunction)PyvtkMedicalImageProperties_GetUserDefinedNameByIndex, 1,
   (char*)"V.GetUserDefinedNameByIndex(int) -> string\nC++: const char *GetUserDefinedNameByIndex (unsigned int idx);\n\n"},
  {(char*)"GetUserDefinedValueByIndex",                (PyCFunction)PyvtkMedicalImageProperties_GetUserDefinedValueByIndex, 1,
   (char*)"V.GetUserDefinedValueByIndex(int) -> string\nC++: const char *GetUserDefinedValueByIndex (unsigned int idx);\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkMedicalImageProperties_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkMedicalImageProperties)\nC++: virtual void DeepCopy (vtkMedicalImageProperties *p);\n\n Copy the contents of p to this instance.\n"},
  {(char*)"AddWindowLevelPreset",                (PyCFunction)PyvtkMedicalImageProperties_AddWindowLevelPreset, 1,
   (char*)"V.AddWindowLevelPreset(float, float)\nC++: virtual void AddWindowLevelPreset (double w, double l);\n\n Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\WINDOW2\n"},
  {(char*)"RemoveWindowLevelPreset",                (PyCFunction)PyvtkMedicalImageProperties_RemoveWindowLevelPreset, 1,
   (char*)"V.RemoveWindowLevelPreset(float, float)\nC++: virtual void RemoveWindowLevelPreset (double w, double l);\n\n Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\WINDOW2\n"},
  {(char*)"RemoveAllWindowLevelPresets",                (PyCFunction)PyvtkMedicalImageProperties_RemoveAllWindowLevelPresets, 1,
   (char*)"V.RemoveAllWindowLevelPresets()\nC++: virtual void RemoveAllWindowLevelPresets ();\n\n Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\WINDOW2\n"},
  {(char*)"GetNumberOfWindowLevelPresets",                (PyCFunction)PyvtkMedicalImageProperties_GetNumberOfWindowLevelPresets, 1,
   (char*)"V.GetNumberOfWindowLevelPresets() -> int\nC++: virtual int GetNumberOfWindowLevelPresets ();\n\n Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\WINDOW2\n"},
  {(char*)"HasWindowLevelPreset",                (PyCFunction)PyvtkMedicalImageProperties_HasWindowLevelPreset, 1,
   (char*)"V.HasWindowLevelPreset(float, float) -> int\nC++: virtual int HasWindowLevelPreset (double w, double l);\n\n Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\WINDOW2\n"},
  {(char*)"GetNthWindowLevelPreset",                (PyCFunction)PyvtkMedicalImageProperties_GetNthWindowLevelPreset, 1,
   (char*)"V.GetNthWindowLevelPreset(int) -> (float, float)\nC++: virtual double *GetNthWindowLevelPreset (int idx);\n\n Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\WINDOW2\n"},
  {(char*)"SetNthWindowLevelPresetComment",                (PyCFunction)PyvtkMedicalImageProperties_SetNthWindowLevelPresetComment, 1,
   (char*)"V.SetNthWindowLevelPresetComment(int, string)\nC++: virtual void SetNthWindowLevelPresetComment (int idx, const char *comment);\n\n Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\WINDOW2\n"},
  {(char*)"GetNthWindowLevelPresetComment",                (PyCFunction)PyvtkMedicalImageProperties_GetNthWindowLevelPresetComment, 1,
   (char*)"V.GetNthWindowLevelPresetComment(int) -> string\nC++: virtual const char *GetNthWindowLevelPresetComment (int idx);\n\n Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\WINDOW2\n"},
  {(char*)"GetInstanceUIDFromSliceID",                (PyCFunction)PyvtkMedicalImageProperties_GetInstanceUIDFromSliceID, 1,
   (char*)"V.GetInstanceUIDFromSliceID(int, int) -> string\nC++: const char *GetInstanceUIDFromSliceID (int volumeidx, int sliceid);\n\n Mapping from a sliceidx within a volumeidx into a DICOM Instance UID\n Some DICOM reader can populate this structure so that later on from a slice index\n in a vtkImageData volume we can backtrack and find out which 2d slice it was coming from\n"},
  {(char*)"SetInstanceUIDFromSliceID",                (PyCFunction)PyvtkMedicalImageProperties_SetInstanceUIDFromSliceID, 1,
   (char*)"V.SetInstanceUIDFromSliceID(int, int, string)\nC++: void SetInstanceUIDFromSliceID (int volumeidx, int sliceid, const char *uid);\n\n Mapping from a sliceidx within a volumeidx into a DICOM Instance UID\n Some DICOM reader can populate this structure so that later on from a slice index\n in a vtkImageData volume we can backtrack and find out which 2d slice it was coming from\n"},
  {(char*)"GetOrientationType",                (PyCFunction)PyvtkMedicalImageProperties_GetOrientationType, 1,
   (char*)"V.GetOrientationType(int) -> int\nC++: int GetOrientationType (int volumeidx);\n\n"},
  {(char*)"SetOrientationType",                (PyCFunction)PyvtkMedicalImageProperties_SetOrientationType, 1,
   (char*)"V.SetOrientationType(int, int)\nC++: void SetOrientationType (int volumeidx, int orientation);\n\n"},
  {(char*)"GetStringFromOrientationType",                (PyCFunction)PyvtkMedicalImageProperties_GetStringFromOrientationType, 1,
   (char*)"V.GetStringFromOrientationType(int) -> string\nC++: static const char *GetStringFromOrientationType (unsigned int type);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMedicalImagePropertiesDoc[] = {
  (char*)"vtkMedicalImageProperties - some medical image properties.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkMedicalImageProperties is a helper class that can be used by medical\n image readers and applications to encapsulate medical image/acquisition\n properties. Later on, this should probably be extended to add\n any user-defined property.\n\n",
  "See Also:\n\n vtkMedicalImageReader2\n\n",
  NULL
};

static vtkObjectBase *vtkMedicalImagePropertiesStaticNew()
{
  return vtkMedicalImageProperties::New();
}

PyObject *PyVTKClass_vtkMedicalImagePropertiesNew(char *modulename)
{
  return PyVTKClass_New(&vtkMedicalImagePropertiesStaticNew,
                        PyvtkMedicalImagePropertiesMethods,
                        (char*)"vtkMedicalImageProperties",modulename,
                        (char**)vtkMedicalImagePropertiesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

