// tcl wrapper for vtkMedicalImageProperties object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMedicalImageProperties.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMedicalImagePropertiesNewCommand()
{
  vtkMedicalImageProperties *temp = vtkMedicalImageProperties::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMedicalImagePropertiesCppCommand(vtkMedicalImageProperties *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMedicalImagePropertiesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMedicalImagePropertiesCppCommand(static_cast<vtkMedicalImageProperties *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMedicalImagePropertiesCppCommand(vtkMedicalImageProperties *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMedicalImageProperties",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMedicalImageProperties  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMedicalImageProperties");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMedicalImageProperties  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMedicalImageProperties");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMedicalImageProperties  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMedicalImageProperties");
    return TCL_OK;
    }
    }
  if ((!strcmp("Clear",argv[1]))&&(argc == 2))
    {
    op->Clear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPatientName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPatientName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPatientID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientID",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPatientID();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPatientAge",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientAge(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientAge",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPatientAge();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPatientAgeYear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientAgeYear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPatientAgeMonth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientAgeMonth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPatientAgeWeek",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientAgeWeek();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPatientAgeDay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientAgeDay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPatientSex",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientSex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientSex",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPatientSex();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPatientBirthDate",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientBirthDate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientBirthDate",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPatientBirthDate();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPatientBirthDateYear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientBirthDateYear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPatientBirthDateMonth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientBirthDateMonth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPatientBirthDateDay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientBirthDateDay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStudyDate",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetStudyDate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStudyDate",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetStudyDate();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAcquisitionDate",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAcquisitionDate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAcquisitionDate",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetAcquisitionDate();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetAcquisitionDateYear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAcquisitionDateYear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAcquisitionDateMonth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAcquisitionDateMonth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAcquisitionDateDay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAcquisitionDateDay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStudyTime",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetStudyTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStudyTime",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetStudyTime();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAcquisitionTime",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAcquisitionTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAcquisitionTime",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetAcquisitionTime();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImageDate",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetImageDate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageDate",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetImageDate();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetImageDateYear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageDateYear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageDateMonth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageDateMonth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageDateDay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageDateDay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDateAsLocale",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetDateAsLocale(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageTime",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetImageTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageTime",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetImageTime();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImageNumber",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetImageNumber(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageNumber",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetImageNumber();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSeriesNumber",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSeriesNumber(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSeriesNumber",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSeriesNumber();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSeriesDescription",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSeriesDescription(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSeriesDescription",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSeriesDescription();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStudyID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetStudyID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStudyID",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetStudyID();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStudyDescription",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetStudyDescription(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStudyDescription",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetStudyDescription();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetModality",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetModality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModality",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetModality();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetManufacturer",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetManufacturer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetManufacturer",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetManufacturer();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetManufacturerModelName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetManufacturerModelName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetManufacturerModelName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetManufacturerModelName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStationName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetStationName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStationName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetStationName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInstitutionName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetInstitutionName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInstitutionName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInstitutionName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetConvolutionKernel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetConvolutionKernel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvolutionKernel",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetConvolutionKernel();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSliceThickness",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSliceThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliceThickness",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSliceThickness();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetSliceThicknessAsDouble",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSliceThicknessAsDouble();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKVP",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetKVP(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKVP",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetKVP();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGantryTilt",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGantryTilt(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGantryTilt",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetGantryTilt();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGantryTiltAsDouble",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGantryTiltAsDouble();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEchoTime",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEchoTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEchoTime",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetEchoTime();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEchoTrainLength",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEchoTrainLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEchoTrainLength",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetEchoTrainLength();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetRepetitionTime",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetRepetitionTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRepetitionTime",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetRepetitionTime();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetExposureTime",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetExposureTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExposureTime",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetExposureTime();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXRayTubeCurrent",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXRayTubeCurrent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXRayTubeCurrent",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXRayTubeCurrent();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetExposure",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetExposure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExposure",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetExposure();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("AddUserDefinedValue",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->AddUserDefinedValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUserDefinedValue",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    const char    *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetUserDefinedValue(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfUserDefinedValues",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfUserDefinedValues();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUserDefinedNameByIndex",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetUserDefinedNameByIndex(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUserDefinedValueByIndex",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetUserDefinedValueByIndex(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkMedicalImageProperties  *temp0;
    error = 0;

    temp0 = (vtkMedicalImageProperties *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMedicalImageProperties"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddWindowLevelPreset",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->AddWindowLevelPreset(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveWindowLevelPreset",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->RemoveWindowLevelPreset(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllWindowLevelPresets",argv[1]))&&(argc == 2))
    {
    op->RemoveAllWindowLevelPresets();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfWindowLevelPresets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfWindowLevelPresets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasWindowLevelPreset",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->HasWindowLevelPreset(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthWindowLevelPreset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthWindowLevelPreset(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNthWindowLevelPresetComment",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetNthWindowLevelPresetComment(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthWindowLevelPresetComment",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthWindowLevelPresetComment(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInstanceUIDFromSliceID",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInstanceUIDFromSliceID(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInstanceUIDFromSliceID",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    op->SetInstanceUIDFromSliceID(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientationType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOrientationType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrientationType",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetOrientationType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStringFromOrientationType",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetStringFromOrientationType(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMedicalImagePropertiesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMedicalImageProperties:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Clear\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientName\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientID\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientAge\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientAge\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientAgeYear\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientAgeMonth\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientAgeWeek\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientAgeDay\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientSex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientSex\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientBirthDate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientBirthDate\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientBirthDateYear\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientBirthDateMonth\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientBirthDateDay\n",NULL);
    Tcl_AppendResult(interp,"  SetStudyDate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStudyDate\n",NULL);
    Tcl_AppendResult(interp,"  SetAcquisitionDate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAcquisitionDate\n",NULL);
    Tcl_AppendResult(interp,"  GetAcquisitionDateYear\n",NULL);
    Tcl_AppendResult(interp,"  GetAcquisitionDateMonth\n",NULL);
    Tcl_AppendResult(interp,"  GetAcquisitionDateDay\n",NULL);
    Tcl_AppendResult(interp,"  SetStudyTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStudyTime\n",NULL);
    Tcl_AppendResult(interp,"  SetAcquisitionTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAcquisitionTime\n",NULL);
    Tcl_AppendResult(interp,"  SetImageDate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageDate\n",NULL);
    Tcl_AppendResult(interp,"  GetImageDateYear\n",NULL);
    Tcl_AppendResult(interp,"  GetImageDateMonth\n",NULL);
    Tcl_AppendResult(interp,"  GetImageDateDay\n",NULL);
    Tcl_AppendResult(interp,"  GetDateAsLocale\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetImageTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageTime\n",NULL);
    Tcl_AppendResult(interp,"  SetImageNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageNumber\n",NULL);
    Tcl_AppendResult(interp,"  SetSeriesNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSeriesNumber\n",NULL);
    Tcl_AppendResult(interp,"  SetSeriesDescription\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSeriesDescription\n",NULL);
    Tcl_AppendResult(interp,"  SetStudyID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStudyID\n",NULL);
    Tcl_AppendResult(interp,"  SetStudyDescription\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStudyDescription\n",NULL);
    Tcl_AppendResult(interp,"  SetModality\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetModality\n",NULL);
    Tcl_AppendResult(interp,"  SetManufacturer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetManufacturer\n",NULL);
    Tcl_AppendResult(interp,"  SetManufacturerModelName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetManufacturerModelName\n",NULL);
    Tcl_AppendResult(interp,"  SetStationName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStationName\n",NULL);
    Tcl_AppendResult(interp,"  SetInstitutionName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInstitutionName\n",NULL);
    Tcl_AppendResult(interp,"  SetConvolutionKernel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvolutionKernel\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceThickness\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceThicknessAsDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetKVP\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKVP\n",NULL);
    Tcl_AppendResult(interp,"  SetGantryTilt\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGantryTilt\n",NULL);
    Tcl_AppendResult(interp,"  GetGantryTiltAsDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetEchoTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEchoTime\n",NULL);
    Tcl_AppendResult(interp,"  SetEchoTrainLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEchoTrainLength\n",NULL);
    Tcl_AppendResult(interp,"  SetRepetitionTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRepetitionTime\n",NULL);
    Tcl_AppendResult(interp,"  SetExposureTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExposureTime\n",NULL);
    Tcl_AppendResult(interp,"  SetXRayTubeCurrent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXRayTubeCurrent\n",NULL);
    Tcl_AppendResult(interp,"  SetExposure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExposure\n",NULL);
    Tcl_AppendResult(interp,"  AddUserDefinedValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUserDefinedValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfUserDefinedValues\n",NULL);
    Tcl_AppendResult(interp,"  GetUserDefinedNameByIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUserDefinedValueByIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddWindowLevelPreset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveWindowLevelPreset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllWindowLevelPresets\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfWindowLevelPresets\n",NULL);
    Tcl_AppendResult(interp,"  HasWindowLevelPreset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNthWindowLevelPreset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNthWindowLevelPresetComment\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNthWindowLevelPresetComment\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInstanceUIDFromSliceID\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInstanceUIDFromSliceID\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetStringFromOrientationType\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Clear" );
    Tcl_DStringAppendElement ( &dString, "SetPatientName" );
    Tcl_DStringAppendElement ( &dString, "GetPatientName" );
    Tcl_DStringAppendElement ( &dString, "SetPatientID" );
    Tcl_DStringAppendElement ( &dString, "GetPatientID" );
    Tcl_DStringAppendElement ( &dString, "SetPatientAge" );
    Tcl_DStringAppendElement ( &dString, "GetPatientAge" );
    Tcl_DStringAppendElement ( &dString, "GetPatientAgeYear" );
    Tcl_DStringAppendElement ( &dString, "GetPatientAgeMonth" );
    Tcl_DStringAppendElement ( &dString, "GetPatientAgeWeek" );
    Tcl_DStringAppendElement ( &dString, "GetPatientAgeDay" );
    Tcl_DStringAppendElement ( &dString, "SetPatientSex" );
    Tcl_DStringAppendElement ( &dString, "GetPatientSex" );
    Tcl_DStringAppendElement ( &dString, "SetPatientBirthDate" );
    Tcl_DStringAppendElement ( &dString, "GetPatientBirthDate" );
    Tcl_DStringAppendElement ( &dString, "GetPatientBirthDateYear" );
    Tcl_DStringAppendElement ( &dString, "GetPatientBirthDateMonth" );
    Tcl_DStringAppendElement ( &dString, "GetPatientBirthDateDay" );
    Tcl_DStringAppendElement ( &dString, "SetStudyDate" );
    Tcl_DStringAppendElement ( &dString, "GetStudyDate" );
    Tcl_DStringAppendElement ( &dString, "SetAcquisitionDate" );
    Tcl_DStringAppendElement ( &dString, "GetAcquisitionDate" );
    Tcl_DStringAppendElement ( &dString, "GetAcquisitionDateYear" );
    Tcl_DStringAppendElement ( &dString, "GetAcquisitionDateMonth" );
    Tcl_DStringAppendElement ( &dString, "GetAcquisitionDateDay" );
    Tcl_DStringAppendElement ( &dString, "SetStudyTime" );
    Tcl_DStringAppendElement ( &dString, "GetStudyTime" );
    Tcl_DStringAppendElement ( &dString, "SetAcquisitionTime" );
    Tcl_DStringAppendElement ( &dString, "GetAcquisitionTime" );
    Tcl_DStringAppendElement ( &dString, "SetImageDate" );
    Tcl_DStringAppendElement ( &dString, "GetImageDate" );
    Tcl_DStringAppendElement ( &dString, "GetImageDateYear" );
    Tcl_DStringAppendElement ( &dString, "GetImageDateMonth" );
    Tcl_DStringAppendElement ( &dString, "GetImageDateDay" );
    Tcl_DStringAppendElement ( &dString, "GetDateAsLocale" );
    Tcl_DStringAppendElement ( &dString, "SetImageTime" );
    Tcl_DStringAppendElement ( &dString, "GetImageTime" );
    Tcl_DStringAppendElement ( &dString, "SetImageNumber" );
    Tcl_DStringAppendElement ( &dString, "GetImageNumber" );
    Tcl_DStringAppendElement ( &dString, "SetSeriesNumber" );
    Tcl_DStringAppendElement ( &dString, "GetSeriesNumber" );
    Tcl_DStringAppendElement ( &dString, "SetSeriesDescription" );
    Tcl_DStringAppendElement ( &dString, "GetSeriesDescription" );
    Tcl_DStringAppendElement ( &dString, "SetStudyID" );
    Tcl_DStringAppendElement ( &dString, "GetStudyID" );
    Tcl_DStringAppendElement ( &dString, "SetStudyDescription" );
    Tcl_DStringAppendElement ( &dString, "GetStudyDescription" );
    Tcl_DStringAppendElement ( &dString, "SetModality" );
    Tcl_DStringAppendElement ( &dString, "GetModality" );
    Tcl_DStringAppendElement ( &dString, "SetManufacturer" );
    Tcl_DStringAppendElement ( &dString, "GetManufacturer" );
    Tcl_DStringAppendElement ( &dString, "SetManufacturerModelName" );
    Tcl_DStringAppendElement ( &dString, "GetManufacturerModelName" );
    Tcl_DStringAppendElement ( &dString, "SetStationName" );
    Tcl_DStringAppendElement ( &dString, "GetStationName" );
    Tcl_DStringAppendElement ( &dString, "SetInstitutionName" );
    Tcl_DStringAppendElement ( &dString, "GetInstitutionName" );
    Tcl_DStringAppendElement ( &dString, "SetConvolutionKernel" );
    Tcl_DStringAppendElement ( &dString, "GetConvolutionKernel" );
    Tcl_DStringAppendElement ( &dString, "SetSliceThickness" );
    Tcl_DStringAppendElement ( &dString, "GetSliceThickness" );
    Tcl_DStringAppendElement ( &dString, "GetSliceThicknessAsDouble" );
    Tcl_DStringAppendElement ( &dString, "SetKVP" );
    Tcl_DStringAppendElement ( &dString, "GetKVP" );
    Tcl_DStringAppendElement ( &dString, "SetGantryTilt" );
    Tcl_DStringAppendElement ( &dString, "GetGantryTilt" );
    Tcl_DStringAppendElement ( &dString, "GetGantryTiltAsDouble" );
    Tcl_DStringAppendElement ( &dString, "SetEchoTime" );
    Tcl_DStringAppendElement ( &dString, "GetEchoTime" );
    Tcl_DStringAppendElement ( &dString, "SetEchoTrainLength" );
    Tcl_DStringAppendElement ( &dString, "GetEchoTrainLength" );
    Tcl_DStringAppendElement ( &dString, "SetRepetitionTime" );
    Tcl_DStringAppendElement ( &dString, "GetRepetitionTime" );
    Tcl_DStringAppendElement ( &dString, "SetExposureTime" );
    Tcl_DStringAppendElement ( &dString, "GetExposureTime" );
    Tcl_DStringAppendElement ( &dString, "SetXRayTubeCurrent" );
    Tcl_DStringAppendElement ( &dString, "GetXRayTubeCurrent" );
    Tcl_DStringAppendElement ( &dString, "SetExposure" );
    Tcl_DStringAppendElement ( &dString, "GetExposure" );
    Tcl_DStringAppendElement ( &dString, "AddUserDefinedValue" );
    Tcl_DStringAppendElement ( &dString, "GetUserDefinedValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfUserDefinedValues" );
    Tcl_DStringAppendElement ( &dString, "GetUserDefinedNameByIndex" );
    Tcl_DStringAppendElement ( &dString, "GetUserDefinedValueByIndex" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "AddWindowLevelPreset" );
    Tcl_DStringAppendElement ( &dString, "RemoveWindowLevelPreset" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllWindowLevelPresets" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfWindowLevelPresets" );
    Tcl_DStringAppendElement ( &dString, "HasWindowLevelPreset" );
    Tcl_DStringAppendElement ( &dString, "GetNthWindowLevelPreset" );
    Tcl_DStringAppendElement ( &dString, "SetNthWindowLevelPresetComment" );
    Tcl_DStringAppendElement ( &dString, "GetNthWindowLevelPresetComment" );
    Tcl_DStringAppendElement ( &dString, "GetInstanceUIDFromSliceID" );
    Tcl_DStringAppendElement ( &dString, "SetInstanceUIDFromSliceID" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationType" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationType" );
    Tcl_DStringAppendElement ( &dString, "GetStringFromOrientationType" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMedicalImageProperties *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Clear */
    if ( strcmp ( argv[2], "Clear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Clear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Clear */
    Tcl_DStringAppendElement ( &dString, " Convenience method to reset all fields to an emptry string/value\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Clear ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for Clear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPatientName */
    if ( strcmp ( argv[2], "SetPatientName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPatientName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPatientName */
    Tcl_DStringAppendElement ( &dString, " Patient name\n For ex: DICOM (0010,0010) = DOE,JOHN\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPatientName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetPatientName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientName */
    if ( strcmp ( argv[2], "GetPatientName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientName */
    Tcl_DStringAppendElement ( &dString, " Patient name\n For ex: DICOM (0010,0010) = DOE,JOHN\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPatientName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPatientID */
    if ( strcmp ( argv[2], "SetPatientID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPatientID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPatientID */
    Tcl_DStringAppendElement ( &dString, " Patient ID\n For ex: DICOM (0010,0020) = 1933197\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPatientID (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetPatientID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientID */
    if ( strcmp ( argv[2], "GetPatientID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientID */
    Tcl_DStringAppendElement ( &dString, " Patient ID\n For ex: DICOM (0010,0020) = 1933197\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPatientID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPatientAge */
    if ( strcmp ( argv[2], "SetPatientAge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPatientAge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPatientAge */
    Tcl_DStringAppendElement ( &dString, " Patient age\n Format: nnnD, nnW, nnnM or nnnY (eventually nnD, nnW, nnY)\n         with D (day), M (month), W (week), Y (year)\n For ex: DICOM (0010,1010) = 031Y\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPatientAge (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetPatientAge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientAge */
    if ( strcmp ( argv[2], "GetPatientAge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientAge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientAge */
    Tcl_DStringAppendElement ( &dString, " Patient age\n Format: nnnD, nnW, nnnM or nnnY (eventually nnD, nnW, nnY)\n         with D (day), M (month), W (week), Y (year)\n For ex: DICOM (0010,1010) = 031Y\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPatientAge ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientAge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientAgeYear */
    if ( strcmp ( argv[2], "GetPatientAgeYear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientAgeYear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientAgeYear */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPatientAgeYear ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientAgeYear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientAgeMonth */
    if ( strcmp ( argv[2], "GetPatientAgeMonth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientAgeMonth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientAgeMonth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPatientAgeMonth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientAgeMonth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientAgeWeek */
    if ( strcmp ( argv[2], "GetPatientAgeWeek" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientAgeWeek" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientAgeWeek */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPatientAgeWeek ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientAgeWeek */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientAgeDay */
    if ( strcmp ( argv[2], "GetPatientAgeDay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientAgeDay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientAgeDay */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPatientAgeDay ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientAgeDay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPatientSex */
    if ( strcmp ( argv[2], "SetPatientSex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPatientSex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPatientSex */
    Tcl_DStringAppendElement ( &dString, " Patient sex\n For ex: DICOM (0010,0040) = M\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPatientSex (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetPatientSex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientSex */
    if ( strcmp ( argv[2], "GetPatientSex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientSex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientSex */
    Tcl_DStringAppendElement ( &dString, " Patient sex\n For ex: DICOM (0010,0040) = M\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPatientSex ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientSex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPatientBirthDate */
    if ( strcmp ( argv[2], "SetPatientBirthDate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPatientBirthDate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPatientBirthDate */
    Tcl_DStringAppendElement ( &dString, " Patient birth date\n Format: yyyymmdd\n For ex: DICOM (0010,0030) = 19680427\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPatientBirthDate (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetPatientBirthDate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientBirthDate */
    if ( strcmp ( argv[2], "GetPatientBirthDate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientBirthDate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientBirthDate */
    Tcl_DStringAppendElement ( &dString, " Patient birth date\n Format: yyyymmdd\n For ex: DICOM (0010,0030) = 19680427\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPatientBirthDate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientBirthDate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientBirthDateYear */
    if ( strcmp ( argv[2], "GetPatientBirthDateYear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientBirthDateYear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientBirthDateYear */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPatientBirthDateYear ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientBirthDateYear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientBirthDateMonth */
    if ( strcmp ( argv[2], "GetPatientBirthDateMonth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientBirthDateMonth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientBirthDateMonth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPatientBirthDateMonth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientBirthDateMonth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPatientBirthDateDay */
    if ( strcmp ( argv[2], "GetPatientBirthDateDay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPatientBirthDateDay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPatientBirthDateDay */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPatientBirthDateDay ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetPatientBirthDateDay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStudyDate */
    if ( strcmp ( argv[2], "SetStudyDate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStudyDate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStudyDate */
    Tcl_DStringAppendElement ( &dString, " Study Date\n Format: yyyymmdd\n For ex: DICOM (0008,0020) = 20030617\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStudyDate (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetStudyDate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStudyDate */
    if ( strcmp ( argv[2], "GetStudyDate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStudyDate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStudyDate */
    Tcl_DStringAppendElement ( &dString, " Study Date\n Format: yyyymmdd\n For ex: DICOM (0008,0020) = 20030617\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetStudyDate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetStudyDate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAcquisitionDate */
    if ( strcmp ( argv[2], "SetAcquisitionDate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAcquisitionDate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAcquisitionDate */
    Tcl_DStringAppendElement ( &dString, " Acquisition Date\n Format: yyyymmdd\n For ex: DICOM (0008,0022) = 20030617\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAcquisitionDate (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetAcquisitionDate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAcquisitionDate */
    if ( strcmp ( argv[2], "GetAcquisitionDate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAcquisitionDate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAcquisitionDate */
    Tcl_DStringAppendElement ( &dString, " Acquisition Date\n Format: yyyymmdd\n For ex: DICOM (0008,0022) = 20030617\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetAcquisitionDate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetAcquisitionDate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAcquisitionDateYear */
    if ( strcmp ( argv[2], "GetAcquisitionDateYear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAcquisitionDateYear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAcquisitionDateYear */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetAcquisitionDateYear ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetAcquisitionDateYear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAcquisitionDateMonth */
    if ( strcmp ( argv[2], "GetAcquisitionDateMonth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAcquisitionDateMonth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAcquisitionDateMonth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetAcquisitionDateMonth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetAcquisitionDateMonth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAcquisitionDateDay */
    if ( strcmp ( argv[2], "GetAcquisitionDateDay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAcquisitionDateDay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAcquisitionDateDay */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetAcquisitionDateDay ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetAcquisitionDateDay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStudyTime */
    if ( strcmp ( argv[2], "SetStudyTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStudyTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStudyTime */
    Tcl_DStringAppendElement ( &dString, " Study Time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0030) = 162552.0705 or 230012, or 0012\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStudyTime (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetStudyTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStudyTime */
    if ( strcmp ( argv[2], "GetStudyTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStudyTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStudyTime */
    Tcl_DStringAppendElement ( &dString, " Study Time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0030) = 162552.0705 or 230012, or 0012\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetStudyTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetStudyTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAcquisitionTime */
    if ( strcmp ( argv[2], "SetAcquisitionTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAcquisitionTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAcquisitionTime */
    Tcl_DStringAppendElement ( &dString, " Acquisition time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0032) = 162552.0705 or 230012, or 0012\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAcquisitionTime (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetAcquisitionTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAcquisitionTime */
    if ( strcmp ( argv[2], "GetAcquisitionTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAcquisitionTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAcquisitionTime */
    Tcl_DStringAppendElement ( &dString, " Acquisition time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0032) = 162552.0705 or 230012, or 0012\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetAcquisitionTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetAcquisitionTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageDate */
    if ( strcmp ( argv[2], "SetImageDate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageDate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageDate */
    Tcl_DStringAppendElement ( &dString, " Image Date aka Content Date\n Format: yyyymmdd\n For ex: DICOM (0008,0023) = 20030617\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageDate (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetImageDate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageDate */
    if ( strcmp ( argv[2], "GetImageDate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageDate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageDate */
    Tcl_DStringAppendElement ( &dString, " Image Date aka Content Date\n Format: yyyymmdd\n For ex: DICOM (0008,0023) = 20030617\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetImageDate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetImageDate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageDateYear */
    if ( strcmp ( argv[2], "GetImageDateYear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageDateYear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageDateYear */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetImageDateYear ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetImageDateYear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageDateMonth */
    if ( strcmp ( argv[2], "GetImageDateMonth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageDateMonth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageDateMonth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetImageDateMonth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetImageDateMonth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageDateDay */
    if ( strcmp ( argv[2], "GetImageDateDay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageDateDay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageDateDay */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetImageDateDay ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetImageDateDay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDateAsLocale */
    if ( strcmp ( argv[2], "GetDateAsLocale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDateAsLocale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDateAsLocale */
    Tcl_DStringAppendElement ( &dString, " Take as input a string in ISO 8601 date (YYYY/MM/DD) and construct a\n locale date based on the different fields (see GetDateAsFields to extract\n different fields)\n Return 0 on error, 1 on success\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetDateAsLocale (const char *date, char *locale);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetDateAsLocale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageTime */
    if ( strcmp ( argv[2], "SetImageTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageTime */
    Tcl_DStringAppendElement ( &dString, " Image Time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0033) = 162552.0705 or 230012, or 0012\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageTime (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetImageTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageTime */
    if ( strcmp ( argv[2], "GetImageTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageTime */
    Tcl_DStringAppendElement ( &dString, " Image Time\n Format: hhmmss.frac (any trailing component(s) can be ommited)\n For ex: DICOM (0008,0033) = 162552.0705 or 230012, or 0012\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetImageTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetImageTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageNumber */
    if ( strcmp ( argv[2], "SetImageNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageNumber */
    Tcl_DStringAppendElement ( &dString, " Image number\n For ex: DICOM (0020,0013) = 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageNumber (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetImageNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageNumber */
    if ( strcmp ( argv[2], "GetImageNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageNumber */
    Tcl_DStringAppendElement ( &dString, " Image number\n For ex: DICOM (0020,0013) = 1\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetImageNumber ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetImageNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSeriesNumber */
    if ( strcmp ( argv[2], "SetSeriesNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSeriesNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSeriesNumber */
    Tcl_DStringAppendElement ( &dString, " Series number\n For ex: DICOM (0020,0011) = 902\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSeriesNumber (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetSeriesNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSeriesNumber */
    if ( strcmp ( argv[2], "GetSeriesNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeriesNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeriesNumber */
    Tcl_DStringAppendElement ( &dString, " Series number\n For ex: DICOM (0020,0011) = 902\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetSeriesNumber ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetSeriesNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSeriesDescription */
    if ( strcmp ( argv[2], "SetSeriesDescription" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSeriesDescription" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSeriesDescription */
    Tcl_DStringAppendElement ( &dString, " Series Description\n User provided description of the Series\n For ex: DICOM (0008,103e) = SCOUT\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSeriesDescription (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetSeriesDescription */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSeriesDescription */
    if ( strcmp ( argv[2], "GetSeriesDescription" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeriesDescription" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeriesDescription */
    Tcl_DStringAppendElement ( &dString, " Series Description\n User provided description of the Series\n For ex: DICOM (0008,103e) = SCOUT\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetSeriesDescription ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetSeriesDescription */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStudyID */
    if ( strcmp ( argv[2], "SetStudyID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStudyID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStudyID */
    Tcl_DStringAppendElement ( &dString, " Study ID\n For ex: DICOM (0020,0010) = 37481\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStudyID (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetStudyID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStudyID */
    if ( strcmp ( argv[2], "GetStudyID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStudyID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStudyID */
    Tcl_DStringAppendElement ( &dString, " Study ID\n For ex: DICOM (0020,0010) = 37481\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetStudyID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetStudyID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStudyDescription */
    if ( strcmp ( argv[2], "SetStudyDescription" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStudyDescription" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStudyDescription */
    Tcl_DStringAppendElement ( &dString, " Study description\n For ex: DICOM (0008,1030) = BRAIN/C-SP/FACIAL\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStudyDescription (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetStudyDescription */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStudyDescription */
    if ( strcmp ( argv[2], "GetStudyDescription" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStudyDescription" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStudyDescription */
    Tcl_DStringAppendElement ( &dString, " Study description\n For ex: DICOM (0008,1030) = BRAIN/C-SP/FACIAL\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetStudyDescription ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetStudyDescription */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModality */
    if ( strcmp ( argv[2], "SetModality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModality */
    Tcl_DStringAppendElement ( &dString, " Modality\n For ex: DICOM (0008,0060)= CT\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModality (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetModality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetModality */
    if ( strcmp ( argv[2], "GetModality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetModality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetModality */
    Tcl_DStringAppendElement ( &dString, " Modality\n For ex: DICOM (0008,0060)= CT\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetModality ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetModality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetManufacturer */
    if ( strcmp ( argv[2], "SetManufacturer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetManufacturer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetManufacturer */
    Tcl_DStringAppendElement ( &dString, " Manufacturer\n For ex: DICOM (0008,0070) = Siemens\n" );
    Tcl_DStringAppendElement ( &dString, "void SetManufacturer (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetManufacturer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetManufacturer */
    if ( strcmp ( argv[2], "GetManufacturer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetManufacturer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetManufacturer */
    Tcl_DStringAppendElement ( &dString, " Manufacturer\n For ex: DICOM (0008,0070) = Siemens\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetManufacturer ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetManufacturer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetManufacturerModelName */
    if ( strcmp ( argv[2], "SetManufacturerModelName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetManufacturerModelName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetManufacturerModelName */
    Tcl_DStringAppendElement ( &dString, " Manufacturer's Model Name\n For ex: DICOM (0008,1090) = LightSpeed QX/i\n" );
    Tcl_DStringAppendElement ( &dString, "void SetManufacturerModelName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetManufacturerModelName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetManufacturerModelName */
    if ( strcmp ( argv[2], "GetManufacturerModelName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetManufacturerModelName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetManufacturerModelName */
    Tcl_DStringAppendElement ( &dString, " Manufacturer's Model Name\n For ex: DICOM (0008,1090) = LightSpeed QX/i\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetManufacturerModelName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetManufacturerModelName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStationName */
    if ( strcmp ( argv[2], "SetStationName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStationName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStationName */
    Tcl_DStringAppendElement ( &dString, " Station Name\n For ex: DICOM (0008,1010) = LSPD_OC8\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStationName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetStationName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStationName */
    if ( strcmp ( argv[2], "GetStationName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStationName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStationName */
    Tcl_DStringAppendElement ( &dString, " Station Name\n For ex: DICOM (0008,1010) = LSPD_OC8\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetStationName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetStationName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInstitutionName */
    if ( strcmp ( argv[2], "SetInstitutionName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInstitutionName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInstitutionName */
    Tcl_DStringAppendElement ( &dString, " Institution Name\n For ex: DICOM (0008,0080) = FooCity Medical Center\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInstitutionName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetInstitutionName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInstitutionName */
    if ( strcmp ( argv[2], "GetInstitutionName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInstitutionName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInstitutionName */
    Tcl_DStringAppendElement ( &dString, " Institution Name\n For ex: DICOM (0008,0080) = FooCity Medical Center\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetInstitutionName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetInstitutionName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvolutionKernel */
    if ( strcmp ( argv[2], "SetConvolutionKernel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvolutionKernel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvolutionKernel */
    Tcl_DStringAppendElement ( &dString, " Convolution Kernel (or algorithm used to reconstruct the data)\n For ex: DICOM (0018,1210) = Bone\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConvolutionKernel (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetConvolutionKernel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvolutionKernel */
    if ( strcmp ( argv[2], "GetConvolutionKernel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvolutionKernel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvolutionKernel */
    Tcl_DStringAppendElement ( &dString, " Convolution Kernel (or algorithm used to reconstruct the data)\n For ex: DICOM (0018,1210) = Bone\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetConvolutionKernel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetConvolutionKernel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceThickness */
    if ( strcmp ( argv[2], "SetSliceThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceThickness */
    Tcl_DStringAppendElement ( &dString, " Slice Thickness (Nominal reconstructed slice thickness, in mm)\n For ex: DICOM (0018,0050) = 0.273438\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceThickness (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetSliceThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceThickness */
    if ( strcmp ( argv[2], "GetSliceThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceThickness */
    Tcl_DStringAppendElement ( &dString, " Slice Thickness (Nominal reconstructed slice thickness, in mm)\n For ex: DICOM (0018,0050) = 0.273438\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetSliceThickness ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetSliceThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceThicknessAsDouble */
    if ( strcmp ( argv[2], "GetSliceThicknessAsDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceThicknessAsDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceThicknessAsDouble */
    Tcl_DStringAppendElement ( &dString, " Slice Thickness (Nominal reconstructed slice thickness, in mm)\n For ex: DICOM (0018,0050) = 0.273438\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetSliceThicknessAsDouble ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetSliceThicknessAsDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKVP */
    if ( strcmp ( argv[2], "SetKVP" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKVP" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKVP */
    Tcl_DStringAppendElement ( &dString, " Peak kilo voltage output of the (x-ray) generator used\n For ex: DICOM (0018,0060) = 120\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKVP (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetKVP */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKVP */
    if ( strcmp ( argv[2], "GetKVP" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKVP" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKVP */
    Tcl_DStringAppendElement ( &dString, " Peak kilo voltage output of the (x-ray) generator used\n For ex: DICOM (0018,0060) = 120\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetKVP ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetKVP */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGantryTilt */
    if ( strcmp ( argv[2], "SetGantryTilt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGantryTilt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGantryTilt */
    Tcl_DStringAppendElement ( &dString, " Gantry/Detector tilt (Nominal angle of tilt in degrees of the scanning\n gantry.)\n For ex: DICOM (0018,1120) = 15\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGantryTilt (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetGantryTilt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGantryTilt */
    if ( strcmp ( argv[2], "GetGantryTilt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGantryTilt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGantryTilt */
    Tcl_DStringAppendElement ( &dString, " Gantry/Detector tilt (Nominal angle of tilt in degrees of the scanning\n gantry.)\n For ex: DICOM (0018,1120) = 15\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetGantryTilt ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetGantryTilt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGantryTiltAsDouble */
    if ( strcmp ( argv[2], "GetGantryTiltAsDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGantryTiltAsDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGantryTiltAsDouble */
    Tcl_DStringAppendElement ( &dString, " Gantry/Detector tilt (Nominal angle of tilt in degrees of the scanning\n gantry.)\n For ex: DICOM (0018,1120) = 15\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetGantryTiltAsDouble ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetGantryTiltAsDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEchoTime */
    if ( strcmp ( argv[2], "SetEchoTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEchoTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEchoTime */
    Tcl_DStringAppendElement ( &dString, " Echo Time\n (Time in ms between the middle of the excitation pulse and the peak of\n the echo produced)\n For ex: DICOM (0018,0081) = 105\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEchoTime (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetEchoTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEchoTime */
    if ( strcmp ( argv[2], "GetEchoTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEchoTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEchoTime */
    Tcl_DStringAppendElement ( &dString, " Echo Time\n (Time in ms between the middle of the excitation pulse and the peak of\n the echo produced)\n For ex: DICOM (0018,0081) = 105\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetEchoTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetEchoTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEchoTrainLength */
    if ( strcmp ( argv[2], "SetEchoTrainLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEchoTrainLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEchoTrainLength */
    Tcl_DStringAppendElement ( &dString, " Echo Train Length\n (Number of lines in k-space acquired per excitation per image)\n For ex: DICOM (0018,0091) = 35\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEchoTrainLength (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetEchoTrainLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEchoTrainLength */
    if ( strcmp ( argv[2], "GetEchoTrainLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEchoTrainLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEchoTrainLength */
    Tcl_DStringAppendElement ( &dString, " Echo Train Length\n (Number of lines in k-space acquired per excitation per image)\n For ex: DICOM (0018,0091) = 35\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetEchoTrainLength ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetEchoTrainLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepetitionTime */
    if ( strcmp ( argv[2], "SetRepetitionTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepetitionTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepetitionTime */
    Tcl_DStringAppendElement ( &dString, " Repetition Time\n The period of time in msec between the beginning of a pulse sequence and\n the beginning of the succeeding (essentially identical) pulse sequence.\n For ex: DICOM (0018,0080) = 2040\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepetitionTime (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetRepetitionTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepetitionTime */
    if ( strcmp ( argv[2], "GetRepetitionTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepetitionTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepetitionTime */
    Tcl_DStringAppendElement ( &dString, " Repetition Time\n The period of time in msec between the beginning of a pulse sequence and\n the beginning of the succeeding (essentially identical) pulse sequence.\n For ex: DICOM (0018,0080) = 2040\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetRepetitionTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetRepetitionTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExposureTime */
    if ( strcmp ( argv[2], "SetExposureTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExposureTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExposureTime */
    Tcl_DStringAppendElement ( &dString, " Exposure time (time of x-ray exposure in msec)\n For ex: DICOM (0018,1150) = 5\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExposureTime (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetExposureTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExposureTime */
    if ( strcmp ( argv[2], "GetExposureTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExposureTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExposureTime */
    Tcl_DStringAppendElement ( &dString, " Exposure time (time of x-ray exposure in msec)\n For ex: DICOM (0018,1150) = 5\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetExposureTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetExposureTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXRayTubeCurrent */
    if ( strcmp ( argv[2], "SetXRayTubeCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXRayTubeCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXRayTubeCurrent */
    Tcl_DStringAppendElement ( &dString, " X-ray tube current (in mA)\n For ex: DICOM (0018,1151) = 400\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXRayTubeCurrent (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetXRayTubeCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXRayTubeCurrent */
    if ( strcmp ( argv[2], "GetXRayTubeCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXRayTubeCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXRayTubeCurrent */
    Tcl_DStringAppendElement ( &dString, " X-ray tube current (in mA)\n For ex: DICOM (0018,1151) = 400\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXRayTubeCurrent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetXRayTubeCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExposure */
    if ( strcmp ( argv[2], "SetExposure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExposure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExposure */
    Tcl_DStringAppendElement ( &dString, " Exposure (The exposure expressed in mAs, for example calculated\n from Exposure Time and X-ray Tube Current)\n For ex: DICOM (0018,1152) = 114\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExposure (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetExposure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExposure */
    if ( strcmp ( argv[2], "GetExposure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExposure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExposure */
    Tcl_DStringAppendElement ( &dString, " Exposure (The exposure expressed in mAs, for example calculated\n from Exposure Time and X-ray Tube Current)\n For ex: DICOM (0018,1152) = 114\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetExposure ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetExposure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddUserDefinedValue */
    if ( strcmp ( argv[2], "AddUserDefinedValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddUserDefinedValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddUserDefinedValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddUserDefinedValue (const char *name, const char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for AddUserDefinedValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUserDefinedValue */
    if ( strcmp ( argv[2], "GetUserDefinedValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUserDefinedValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUserDefinedValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetUserDefinedValue (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetUserDefinedValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfUserDefinedValues */
    if ( strcmp ( argv[2], "GetNumberOfUserDefinedValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfUserDefinedValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfUserDefinedValues */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetNumberOfUserDefinedValues ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetNumberOfUserDefinedValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUserDefinedNameByIndex */
    if ( strcmp ( argv[2], "GetUserDefinedNameByIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUserDefinedNameByIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUserDefinedNameByIndex */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetUserDefinedNameByIndex (unsigned int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetUserDefinedNameByIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUserDefinedValueByIndex */
    if ( strcmp ( argv[2], "GetUserDefinedValueByIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUserDefinedValueByIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUserDefinedValueByIndex */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetUserDefinedValueByIndex (unsigned int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetUserDefinedValueByIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Copy the contents of p to this instance.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy (vtkMedicalImageProperties *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddWindowLevelPreset */
    if ( strcmp ( argv[2], "AddWindowLevelPreset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddWindowLevelPreset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddWindowLevelPreset */
    Tcl_DStringAppendElement ( &dString, " Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\W ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddWindowLevelPreset (double w, double l);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for AddWindowLevelPreset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveWindowLevelPreset */
    if ( strcmp ( argv[2], "RemoveWindowLevelPreset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveWindowLevelPreset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveWindowLevelPreset */
    Tcl_DStringAppendElement ( &dString, " Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\W ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveWindowLevelPreset (double w, double l);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for RemoveWindowLevelPreset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllWindowLevelPresets */
    if ( strcmp ( argv[2], "RemoveAllWindowLevelPresets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllWindowLevelPresets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllWindowLevelPresets */
    Tcl_DStringAppendElement ( &dString, " Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\W ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllWindowLevelPresets ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for RemoveAllWindowLevelPresets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfWindowLevelPresets */
    if ( strcmp ( argv[2], "GetNumberOfWindowLevelPresets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfWindowLevelPresets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfWindowLevelPresets */
    Tcl_DStringAppendElement ( &dString, " Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\W ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfWindowLevelPresets ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetNumberOfWindowLevelPresets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasWindowLevelPreset */
    if ( strcmp ( argv[2], "HasWindowLevelPreset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasWindowLevelPreset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasWindowLevelPreset */
    Tcl_DStringAppendElement ( &dString, " Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\W ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasWindowLevelPreset (double w, double l);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for HasWindowLevelPreset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNthWindowLevelPreset */
    if ( strcmp ( argv[2], "GetNthWindowLevelPreset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNthWindowLevelPreset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNthWindowLevelPreset */
    Tcl_DStringAppendElement ( &dString, " Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\W ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double *GetNthWindowLevelPreset (int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetNthWindowLevelPreset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNthWindowLevelPresetComment */
    if ( strcmp ( argv[2], "SetNthWindowLevelPresetComment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNthWindowLevelPresetComment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNthWindowLevelPresetComment */
    Tcl_DStringAppendElement ( &dString, " Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\W ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNthWindowLevelPresetComment (int idx, const char *comment);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetNthWindowLevelPresetComment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNthWindowLevelPresetComment */
    if ( strcmp ( argv[2], "GetNthWindowLevelPresetComment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNthWindowLevelPresetComment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNthWindowLevelPresetComment */
    Tcl_DStringAppendElement ( &dString, " Add/Remove/Query the window/level presets that may have been associated\n to a medical image. Window is also known as 'width', level is also known\n as 'center'. The same window/level pair can not be added twice.\n As a convenience, a comment (aka Explanation) can be associated to a preset.\n For ex: DICOM Window Center (0028,1050) = 00045\\000470\n         DICOM Window Width  (0028,1051) = 0106\\03412\n         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\\W ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetNthWindowLevelPresetComment (int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetNthWindowLevelPresetComment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInstanceUIDFromSliceID */
    if ( strcmp ( argv[2], "GetInstanceUIDFromSliceID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInstanceUIDFromSliceID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInstanceUIDFromSliceID */
    Tcl_DStringAppendElement ( &dString, " Mapping from a sliceidx within a volumeidx into a DICOM Instance UID\n Some DICOM reader can populate this structure so that later on from a slice index\n in a vtkImageData volume we can backtrack and find out which 2d slice it was coming from\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetInstanceUIDFromSliceID (int volumeidx, int sliceid);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetInstanceUIDFromSliceID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInstanceUIDFromSliceID */
    if ( strcmp ( argv[2], "SetInstanceUIDFromSliceID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInstanceUIDFromSliceID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInstanceUIDFromSliceID */
    Tcl_DStringAppendElement ( &dString, " Mapping from a sliceidx within a volumeidx into a DICOM Instance UID\n Some DICOM reader can populate this structure so that later on from a slice index\n in a vtkImageData volume we can backtrack and find out which 2d slice it was coming from\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInstanceUIDFromSliceID (int volumeidx, int sliceid, const char *uid);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetInstanceUIDFromSliceID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationType */
    if ( strcmp ( argv[2], "GetOrientationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationType */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientationType (int volumeidx);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetOrientationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationType */
    if ( strcmp ( argv[2], "SetOrientationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationType */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationType (int volumeidx, int orientation);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for SetOrientationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStringFromOrientationType */
    if ( strcmp ( argv[2], "GetStringFromOrientationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStringFromOrientationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStringFromOrientationType */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetStringFromOrientationType (unsigned int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkMedicalImageProperties" );
    /* Closing for GetStringFromOrientationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
