// python wrapper for vtkMetaImageWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMetaImageWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMetaImageWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMetaImageWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageWriterNew(char *); }

static PyObject *PyvtkMetaImageWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageWriter *op;

  const char    *temp20;
  op = (vtkMetaImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMetaImageWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkMetaImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMetaImageWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageWriter *op;

  vtkMetaImageWriter  *temp20;
  op = (vtkMetaImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMetaImageWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMetaImageWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMetaImageWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMetaImageWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageWriter *op;

  char    *temp0;
  op = (vtkMetaImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMetaImageWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageWriter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageWriter *op;

  char    *temp20;
  op = (vtkMetaImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMetaImageWriter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageWriter_SetRAWFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageWriter *op;

  char    *temp0;
  op = (vtkMetaImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMetaImageWriter::SetRAWFileName(temp0);
      }
    else
      {
      op->SetRAWFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageWriter_GetRAWFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageWriter *op;

  char    *temp20;
  op = (vtkMetaImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMetaImageWriter::GetRAWFileName();
      }
    else
      {
      temp20 = op->GetRAWFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageWriter_SetCompression(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageWriter *op;

  bool   temp0;
  op = (vtkMetaImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMetaImageWriter::SetCompression(temp0);
      }
    else
      {
      op->SetCompression(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageWriter_GetCompression(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageWriter *op;

  bool   temp20;
  op = (vtkMetaImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMetaImageWriter::GetCompression();
      }
    else
      {
      temp20 = op->GetCompression();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageWriter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageWriter *op;

  op = (vtkMetaImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMetaImageWriter::Write();
      }
    else
      {
      op->Write();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMetaImageWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMetaImageWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMetaImageWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMetaImageWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMetaImageWriter\nC++: vtkMetaImageWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMetaImageWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMetaImageWriter\nC++: vtkMetaImageWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkMetaImageWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: virtual void SetFileName (const char *fname);\n\n Specify file name of meta file\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkMetaImageWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: virtual char *GetFileName ();return this MHDFileName \n\n Specify the file name of the raw image data.\n"},
  {(char*)"SetRAWFileName",                (PyCFunction)PyvtkMetaImageWriter_SetRAWFileName, 1,
   (char*)"V.SetRAWFileName(string)\nC++: virtual void SetRAWFileName (const char *fname);\n\n Specify the file name of the raw image data.\n"},
  {(char*)"GetRAWFileName",                (PyCFunction)PyvtkMetaImageWriter_GetRAWFileName, 1,
   (char*)"V.GetRAWFileName() -> string\nC++: virtual char *GetRAWFileName ();\n\n Specify the file name of the raw image data.\n"},
  {(char*)"SetCompression",                (PyCFunction)PyvtkMetaImageWriter_SetCompression, 1,
   (char*)"V.SetCompression(bool)\nC++: virtual void SetCompression (bool compress);this Compress compress \n\n"},
  {(char*)"GetCompression",                (PyCFunction)PyvtkMetaImageWriter_GetCompression, 1,
   (char*)"V.GetCompression() -> bool\nC++: virtual bool GetCompression (void );return this Compress \n\n"},
  {(char*)"Write",                (PyCFunction)PyvtkMetaImageWriter_Write, 1,
   (char*)"V.Write()\nC++: virtual void Write ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMetaImageWriterDoc[] = {
  (char*)"vtkMetaImageWriter - write a binary UNC meta image data\n\n",
  "Super Class:\n\n vtkImageWriter\n\n",
  (char*)" One of the formats for which a reader is already available in the toolkit is\n the MetaImage file format. This is a fairly simple yet powerful format\n consisting of a text header and a binary data section. The following\n instructions describe how you can write a MetaImage header for the data that\n you download from the BrainWeb page.\n\n The minimal structure of the MetaImage header is the following",
  (char*)":\n\n    NDims = 3\n    DimSize = 181 217 181\n    ElementType = MET_UCHAR\n    ElementSpacing = 1.0 1.0 1.0\n    ElementByteOrderMSB = False\n    ElementDataFile = brainweb1.raw\n\n    * NDims indicate that this is a 3D image. ITK can handle images of\n      arbitrary dimension.\n    * DimSize indicates the size of the volume in pixels along each\n      direction.\n    * ElementType indicate the primitive typ",
  (char*)"e used for pixels. In this case\n      is \"unsigned char\", implying that the data is digitized in 8 bits /\n      pixel.\n    * ElementSpacing indicates the physical separation between the center of\n      one pixel and the center of the next pixel along each direction in space.\n      The units used are millimeters.\n    * ElementByteOrderMSB indicates is the data is encoded in little or big\n      endi",
  (char*)"an order. You might want to play with this value when moving data\n      between different computer platforms.\n    * ElementDataFile is the name of the file containing the raw binary data\n      of the image. This file must be in the same directory as the header. \n\n MetaImage headers are expected to have extension: \".mha\" or \".mhd\"\n\n Once you write this header text file, it should be possible to rea",
  (char*)"d the\n image into your ITK based application using the itk::FileIOToImageFilter\n class.\n\n",
  "Caveats:\n\n \n\n",
  "See Also:\n\n vtkImageWriter vtkMetaImageReader\n\n",
  NULL
};

static vtkObjectBase *vtkMetaImageWriterStaticNew()
{
  return vtkMetaImageWriter::New();
}

PyObject *PyVTKClass_vtkMetaImageWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkMetaImageWriterStaticNew,
                        PyvtkMetaImageWriterMethods,
                        (char*)"vtkMetaImageWriter",modulename,
                        (char**)vtkMetaImageWriterDoc,
                        PyVTKClass_vtkImageWriterNew(modulename));
}

