// python wrapper for vtkMoleculeReaderBase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMoleculeReaderBase.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMoleculeReaderBaseNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMoleculeReaderBaseNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkMoleculeReaderBase_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMoleculeReaderBase *op;

  const char    *temp20;
  op = (vtkMoleculeReaderBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMoleculeReaderBase::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMoleculeReaderBase_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMoleculeReaderBase *op;

  char    *temp0;
  int      temp20;
  op = (vtkMoleculeReaderBase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMoleculeReaderBase::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMoleculeReaderBase_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMoleculeReaderBase *op;

  vtkMoleculeReaderBase  *temp20;
  op = (vtkMoleculeReaderBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMoleculeReaderBase::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMoleculeReaderBase_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMoleculeReaderBase *op;

  char    *temp0;
  op = (vtkMoleculeReaderBase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMoleculeReaderBase::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMoleculeReaderBase_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMoleculeReaderBase *op;

  char    *temp20;
  op = (vtkMoleculeReaderBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMoleculeReaderBase::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMoleculeReaderBase_SetBScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMoleculeReaderBase *op;

  double   temp0;
  op = (vtkMoleculeReaderBase *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMoleculeReaderBase::SetBScale(temp0);
      }
    else
      {
      op->SetBScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMoleculeReaderBase_GetBScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMoleculeReaderBase *op;

  double   temp20;
  op = (vtkMoleculeReaderBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMoleculeReaderBase::GetBScale();
      }
    else
      {
      temp20 = op->GetBScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMoleculeReaderBase_SetHBScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMoleculeReaderBase *op;

  double   temp0;
  op = (vtkMoleculeReaderBase *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMoleculeReaderBase::SetHBScale(temp0);
      }
    else
      {
      op->SetHBScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMoleculeReaderBase_GetHBScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMoleculeReaderBase *op;

  double   temp20;
  op = (vtkMoleculeReaderBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMoleculeReaderBase::GetHBScale();
      }
    else
      {
      temp20 = op->GetHBScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMoleculeReaderBase_GetNumberOfAtoms(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMoleculeReaderBase *op;

  int      temp20;
  op = (vtkMoleculeReaderBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMoleculeReaderBase::GetNumberOfAtoms();
      }
    else
      {
      temp20 = op->GetNumberOfAtoms();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMoleculeReaderBaseMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMoleculeReaderBase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMoleculeReaderBase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMoleculeReaderBase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMoleculeReaderBase\nC++: vtkMoleculeReaderBase *NewInstance ();\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkMoleculeReaderBase_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkMoleculeReaderBase_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n"},
  {(char*)"SetBScale",                (PyCFunction)PyvtkMoleculeReaderBase_SetBScale, 1,
   (char*)"V.SetBScale(float)\nC++: void SetBScale (double );\n\n"},
  {(char*)"GetBScale",                (PyCFunction)PyvtkMoleculeReaderBase_GetBScale, 1,
   (char*)"V.GetBScale() -> float\nC++: double GetBScale ();\n\n"},
  {(char*)"SetHBScale",                (PyCFunction)PyvtkMoleculeReaderBase_SetHBScale, 1,
   (char*)"V.SetHBScale(float)\nC++: void SetHBScale (double );\n\n"},
  {(char*)"GetHBScale",                (PyCFunction)PyvtkMoleculeReaderBase_GetHBScale, 1,
   (char*)"V.GetHBScale() -> float\nC++: double GetHBScale ();\n\n"},
  {(char*)"GetNumberOfAtoms",                (PyCFunction)PyvtkMoleculeReaderBase_GetNumberOfAtoms, 1,
   (char*)"V.GetNumberOfAtoms() -> int\nC++: int GetNumberOfAtoms ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMoleculeReaderBaseDoc[] = {
  (char*)"vtkMoleculeReaderBase - read Molecular Data files\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkMoleculeReaderBase is a source object that reads Molecule files\n The FileName must be specified\n\n .SECTION Thanks\n Dr. Jean M. Favre who developed and contributed this class\n\n",
  NULL
};

PyObject *PyVTKClass_vtkMoleculeReaderBaseNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkMoleculeReaderBaseMethods,
                        (char*)"vtkMoleculeReaderBase",modulename,
                        (char**)vtkMoleculeReaderBaseDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

