// python wrapper for vtkOpenFOAMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenFOAMReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenFOAMReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenFOAMReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkOpenFOAMReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  const char    *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  vtkOpenFOAMReader  *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenFOAMReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenFOAMReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int     *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetTimeStepRange();
      }
    else
      {
      temp20 = op->GetTimeStepRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetNumberOfCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetNumberOfCellArrays();
      }
    else
      {
      temp20 = op->GetNumberOfCellArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetCellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetCellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetCellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetCellArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetCellArrayName(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_DisableAllCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::DisableAllCellArrays();
      }
    else
      {
      op->DisableAllCellArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_EnableAllCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::EnableAllCellArrays();
      }
    else
      {
      op->EnableAllCellArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenFOAMReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenFOAMReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenFOAMReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenFOAMReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenFOAMReader\nC++: vtkOpenFOAMReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenFOAMReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenFOAMReader\nC++: vtkOpenFOAMReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkOpenFOAMReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set/Get the filename.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkOpenFOAMReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set/Get the filename.\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkOpenFOAMReader_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: int GetNumberOfTimeSteps ();\n\n Returns the number of timesteps.\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkOpenFOAMReader_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int)\nC++: void SetTimeStep (int );\n\n Set/Get the current timestep.\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkOpenFOAMReader_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> int\nC++: int GetTimeStep ();\n\n Set/Get the current timestep.\n"},
  {(char*)"GetTimeStepRange",                (PyCFunction)PyvtkOpenFOAMReader_GetTimeStepRange, 1,
   (char*)"V.GetTimeStepRange() -> (int, int)\nC++: int  *GetTimeStepRange ();\n\n Get the timesteprange. Filled during RequestInformation.\n"},
  {(char*)"GetNumberOfCellArrays",                (PyCFunction)PyvtkOpenFOAMReader_GetNumberOfCellArrays, 1,
   (char*)"V.GetNumberOfCellArrays() -> int\nC++: int GetNumberOfCellArrays (void );\n\n Get the number of cell arrays available in the input.\n"},
  {(char*)"GetCellArrayStatus",                (PyCFunction)PyvtkOpenFOAMReader_GetCellArrayStatus, 1,
   (char*)"V.GetCellArrayStatus(string) -> int\nC++: int GetCellArrayStatus (const char *name);\n\n Get/Set whether the cell array with the given name is to\n be read.\n"},
  {(char*)"SetCellArrayStatus",                (PyCFunction)PyvtkOpenFOAMReader_SetCellArrayStatus, 1,
   (char*)"V.SetCellArrayStatus(string, int)\nC++: void SetCellArrayStatus (const char *name, int status);\n\n Get/Set whether the cell array with the given name is to\n be read.\n"},
  {(char*)"GetCellArrayName",                (PyCFunction)PyvtkOpenFOAMReader_GetCellArrayName, 1,
   (char*)"V.GetCellArrayName(int) -> string\nC++: const char *GetCellArrayName (int index);\n\n Get the name of the  cell array with the given index in\n the input.\n"},
  {(char*)"DisableAllCellArrays",                (PyCFunction)PyvtkOpenFOAMReader_DisableAllCellArrays, 1,
   (char*)"V.DisableAllCellArrays()\nC++: void DisableAllCellArrays ();\n\n Turn on/off all cell arrays.\n"},
  {(char*)"EnableAllCellArrays",                (PyCFunction)PyvtkOpenFOAMReader_EnableAllCellArrays, 1,
   (char*)"V.EnableAllCellArrays()\nC++: void EnableAllCellArrays ();\n\n Turn on/off all cell arrays.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenFOAMReaderDoc[] = {
  (char*)"vtkOpenFOAMReader - reads a dataset in OpenFOAM format\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" vtkOpenFOAMReader creates an multiblock dataset. It reads a controlDict\n file, mesh information, and time dependent data.  The controlDict file\n contains timestep information. The polyMesh folders contain mesh information\n The time folders contain transient data for the cells  Each folder can\n contain any number of data files.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenFOAMReaderStaticNew()
{
  return vtkOpenFOAMReader::New();
}

PyObject *PyVTKClass_vtkOpenFOAMReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenFOAMReaderStaticNew,
                        PyvtkOpenFOAMReaderMethods,
                        (char*)"vtkOpenFOAMReader",modulename,
                        (char**)vtkOpenFOAMReaderDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

