// python wrapper for vtkOutputStream object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOutputStream.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOutputStreamNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOutputStreamNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkOutputStream_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputStream *op;

  const char    *temp20;
  op = (vtkOutputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutputStream::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputStream_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputStream *op;

  char    *temp0;
  int      temp20;
  op = (vtkOutputStream *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutputStream::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputStream_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputStream *op;

  vtkOutputStream  *temp20;
  op = (vtkOutputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutputStream::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputStream_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOutputStream  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOutputStream::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOutputStream_StartWriting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputStream *op;

  int      temp20;
  op = (vtkOutputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutputStream::StartWriting();
      }
    else
      {
      temp20 = op->StartWriting();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputStream_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputStream *op;

  char    *temp0;
  unsigned long     temp1;
  int      temp20;
  op = (vtkOutputStream *)PyArg_VTKParseTuple(self, args, (char*)"zl", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutputStream::Write(temp0,temp1);
      }
    else
      {
      temp20 = op->Write(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputStream_EndWriting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputStream *op;

  int      temp20;
  op = (vtkOutputStream *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutputStream::EndWriting();
      }
    else
      {
      temp20 = op->EndWriting();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOutputStreamMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOutputStream_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOutputStream_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOutputStream_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOutputStream\nC++: vtkOutputStream *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOutputStream_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOutputStream\nC++: vtkOutputStream *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"StartWriting",                (PyCFunction)PyvtkOutputStream_StartWriting, 1,
   (char*)"V.StartWriting() -> int\nC++: virtual int StartWriting ();\n\n Called after the stream position has been set by the caller, but\n before any Write calls.  The stream position should not be\n adjusted by the caller until after an EndWriting call.\n"},
  {(char*)"Write",                (PyCFunction)PyvtkOutputStream_Write, 1,
   (char*)"V.Write(string, int) -> int\nC++: int Write (const char *data, unsigned long length);\n\n Write output data of the given length.\n"},
  {(char*)"EndWriting",                (PyCFunction)PyvtkOutputStream_EndWriting, 1,
   (char*)"V.EndWriting() -> int\nC++: virtual int EndWriting ();\n\n Called after all desired calls to Write have been made.  After\n this call, the caller is free to change the position of the\n stream.  Additional writes should not be done until after another\n call to StartWriting.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOutputStreamDoc[] = {
  (char*)"vtkOutputStream - Wraps a binary output stream with a VTK interface.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkOutputStream provides a VTK-style interface wrapping around a\n standard output stream.  The access methods are virtual so that\n subclasses can transparently provide encoding of the output.  Data\n lengths for Write calls refer to the length of the data in memory.\n The actual length in the stream may differ for subclasses that\n implement an encoding scheme.\n\n",
  NULL
};

static vtkObjectBase *vtkOutputStreamStaticNew()
{
  return vtkOutputStream::New();
}

PyObject *PyVTKClass_vtkOutputStreamNew(char *modulename)
{
  return PyVTKClass_New(&vtkOutputStreamStaticNew,
                        PyvtkOutputStreamMethods,
                        (char*)"vtkOutputStream",modulename,
                        (char**)vtkOutputStreamDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

