// python wrapper for vtkPDBReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPDBReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPDBReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPDBReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMoleculeReaderBaseNew(char *); }

static PyObject *PyvtkPDBReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDBReader *op;

  const char    *temp20;
  op = (vtkPDBReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDBReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPDBReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDBReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPDBReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDBReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDBReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDBReader *op;

  vtkPDBReader  *temp20;
  op = (vtkPDBReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDBReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDBReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPDBReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPDBReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkPDBReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPDBReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPDBReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPDBReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPDBReader\nC++: vtkPDBReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPDBReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPDBReader\nC++: vtkPDBReader *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPDBReaderDoc[] = {
  (char*)"vtkPDBReader - read Molecular Data files\n\n",
  "Super Class:\n\n vtkMoleculeReaderBase\n\n",
  (char*)" vtkPDBReader is a source object that reads Molecule files\n The FileName must be specified\n\n .SECTION Thanks\n Dr. Jean M. Favre who developed and contributed this class\n\n",
  NULL
};

static vtkObjectBase *vtkPDBReaderStaticNew()
{
  return vtkPDBReader::New();
}

PyObject *PyVTKClass_vtkPDBReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPDBReaderStaticNew,
                        PyvtkPDBReaderMethods,
                        (char*)"vtkPDBReader",modulename,
                        (char**)vtkPDBReaderDoc,
                        PyVTKClass_vtkMoleculeReaderBaseNew(modulename));
}

