// tcl wrapper for vtkPLOT3DReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPLOT3DReader.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPLOT3DReaderNewCommand()
{
  vtkPLOT3DReader *temp = vtkPLOT3DReader::New();
  return static_cast<ClientData>(temp);
}

int vtkStructuredGridSourceCppCommand(vtkStructuredGridSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPLOT3DReaderCppCommand(vtkPLOT3DReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPLOT3DReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPLOT3DReaderCppCommand(static_cast<vtkPLOT3DReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPLOT3DReaderCppCommand(vtkPLOT3DReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPLOT3DReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkStructuredGridSourceCppCommand(static_cast<vtkStructuredGridSource *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkStructuredGridSource"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPLOT3DReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPLOT3DReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPLOT3DReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPLOT3DReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPLOT3DReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPLOT3DReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXYZFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXYZFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXYZFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXYZFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetQFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetQFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetQFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetQFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFunctionFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFunctionFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFunctionFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFunctionFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfOutputs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfOutputs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfGrids",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfGrids();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutput",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkStructuredGrid  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkStructuredGrid *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkStructuredGrid"),interp,error));
    if (!error)
    {
    op->SetOutput(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBinaryFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBinaryFile(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBinaryFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBinaryFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BinaryFileOn",argv[1]))&&(argc == 2))
    {
    op->BinaryFileOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BinaryFileOff",argv[1]))&&(argc == 2))
    {
    op->BinaryFileOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMultiGrid",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMultiGrid(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMultiGrid",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMultiGrid();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MultiGridOn",argv[1]))&&(argc == 2))
    {
    op->MultiGridOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MultiGridOff",argv[1]))&&(argc == 2))
    {
    op->MultiGridOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHasByteCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHasByteCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHasByteCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHasByteCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasByteCountOn",argv[1]))&&(argc == 2))
    {
    op->HasByteCountOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasByteCountOff",argv[1]))&&(argc == 2))
    {
    op->HasByteCountOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIBlanking",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIBlanking(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIBlanking",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIBlanking();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IBlankingOn",argv[1]))&&(argc == 2))
    {
    op->IBlankingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IBlankingOff",argv[1]))&&(argc == 2))
    {
    op->IBlankingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTwoDimensionalGeometry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTwoDimensionalGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTwoDimensionalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTwoDimensionalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TwoDimensionalGeometryOn",argv[1]))&&(argc == 2))
    {
    op->TwoDimensionalGeometryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TwoDimensionalGeometryOff",argv[1]))&&(argc == 2))
    {
    op->TwoDimensionalGeometryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetForceRead",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetForceRead(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetForceRead",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetForceRead();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ForceReadOn",argv[1]))&&(argc == 2))
    {
    op->ForceReadOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ForceReadOff",argv[1]))&&(argc == 2))
    {
    op->ForceReadOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDoNotReduceNumberOfOutputs",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDoNotReduceNumberOfOutputs(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDoNotReduceNumberOfOutputs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDoNotReduceNumberOfOutputs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DoNotReduceNumberOfOutputsOn",argv[1]))&&(argc == 2))
    {
    op->DoNotReduceNumberOfOutputsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DoNotReduceNumberOfOutputsOff",argv[1]))&&(argc == 2))
    {
    op->DoNotReduceNumberOfOutputsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrderToBigEndian",argv[1]))&&(argc == 2))
    {
    op->SetByteOrderToBigEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrderToLittleEndian",argv[1]))&&(argc == 2))
    {
    op->SetByteOrderToLittleEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetByteOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetByteOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetByteOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetByteOrderAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetByteOrderAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetR",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetR(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetR",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetR();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGamma",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGamma(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGamma",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGamma();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUvinf",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetUvinf(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUvinf",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetUvinf();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVvinf",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetVvinf(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVvinf",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVvinf();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWvinf",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetWvinf(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWvinf",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWvinf();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarFunctionNumber",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarFunctionNumber(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarFunctionNumber",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarFunctionNumber();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorFunctionNumber",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVectorFunctionNumber(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorFunctionNumber",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVectorFunctionNumber();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllFunctions",argv[1]))&&(argc == 2))
    {
    op->RemoveAllFunctions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanReadBinaryFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadBinaryFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPLOT3DReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkStructuredGridSourceCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPLOT3DReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetXYZFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXYZFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetQFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetQFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetFunctionFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionFileName\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOutputs\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfGrids\n",NULL);
    Tcl_AppendResult(interp,"  SetOutput\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBinaryFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBinaryFile\n",NULL);
    Tcl_AppendResult(interp,"  BinaryFileOn\n",NULL);
    Tcl_AppendResult(interp,"  BinaryFileOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMultiGrid\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMultiGrid\n",NULL);
    Tcl_AppendResult(interp,"  MultiGridOn\n",NULL);
    Tcl_AppendResult(interp,"  MultiGridOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHasByteCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHasByteCount\n",NULL);
    Tcl_AppendResult(interp,"  HasByteCountOn\n",NULL);
    Tcl_AppendResult(interp,"  HasByteCountOff\n",NULL);
    Tcl_AppendResult(interp,"  SetIBlanking\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIBlanking\n",NULL);
    Tcl_AppendResult(interp,"  IBlankingOn\n",NULL);
    Tcl_AppendResult(interp,"  IBlankingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTwoDimensionalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTwoDimensionalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  TwoDimensionalGeometryOn\n",NULL);
    Tcl_AppendResult(interp,"  TwoDimensionalGeometryOff\n",NULL);
    Tcl_AppendResult(interp,"  SetForceRead\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetForceRead\n",NULL);
    Tcl_AppendResult(interp,"  ForceReadOn\n",NULL);
    Tcl_AppendResult(interp,"  ForceReadOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDoNotReduceNumberOfOutputs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDoNotReduceNumberOfOutputs\n",NULL);
    Tcl_AppendResult(interp,"  DoNotReduceNumberOfOutputsOn\n",NULL);
    Tcl_AppendResult(interp,"  DoNotReduceNumberOfOutputsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrderToBigEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrderToLittleEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetByteOrder\n",NULL);
    Tcl_AppendResult(interp,"  GetByteOrderAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetR\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetR\n",NULL);
    Tcl_AppendResult(interp,"  SetGamma\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGamma\n",NULL);
    Tcl_AppendResult(interp,"  SetUvinf\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUvinf\n",NULL);
    Tcl_AppendResult(interp,"  SetVvinf\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVvinf\n",NULL);
    Tcl_AppendResult(interp,"  SetWvinf\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWvinf\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarFunctionNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarFunctionNumber\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorFunctionNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorFunctionNumber\n",NULL);
    Tcl_AppendResult(interp,"  AddFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllFunctions\n",NULL);
    Tcl_AppendResult(interp,"  CanReadBinaryFile\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkStructuredGridSourceCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetXYZFileName" );
    Tcl_DStringAppendElement ( &dString, "GetXYZFileName" );
    Tcl_DStringAppendElement ( &dString, "SetQFileName" );
    Tcl_DStringAppendElement ( &dString, "GetQFileName" );
    Tcl_DStringAppendElement ( &dString, "SetFunctionFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFunctionFileName" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOutputs" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfGrids" );
    Tcl_DStringAppendElement ( &dString, "SetOutput" );
    Tcl_DStringAppendElement ( &dString, "SetBinaryFile" );
    Tcl_DStringAppendElement ( &dString, "GetBinaryFile" );
    Tcl_DStringAppendElement ( &dString, "BinaryFileOn" );
    Tcl_DStringAppendElement ( &dString, "BinaryFileOff" );
    Tcl_DStringAppendElement ( &dString, "SetMultiGrid" );
    Tcl_DStringAppendElement ( &dString, "GetMultiGrid" );
    Tcl_DStringAppendElement ( &dString, "MultiGridOn" );
    Tcl_DStringAppendElement ( &dString, "MultiGridOff" );
    Tcl_DStringAppendElement ( &dString, "SetHasByteCount" );
    Tcl_DStringAppendElement ( &dString, "GetHasByteCount" );
    Tcl_DStringAppendElement ( &dString, "HasByteCountOn" );
    Tcl_DStringAppendElement ( &dString, "HasByteCountOff" );
    Tcl_DStringAppendElement ( &dString, "SetIBlanking" );
    Tcl_DStringAppendElement ( &dString, "GetIBlanking" );
    Tcl_DStringAppendElement ( &dString, "IBlankingOn" );
    Tcl_DStringAppendElement ( &dString, "IBlankingOff" );
    Tcl_DStringAppendElement ( &dString, "SetTwoDimensionalGeometry" );
    Tcl_DStringAppendElement ( &dString, "GetTwoDimensionalGeometry" );
    Tcl_DStringAppendElement ( &dString, "TwoDimensionalGeometryOn" );
    Tcl_DStringAppendElement ( &dString, "TwoDimensionalGeometryOff" );
    Tcl_DStringAppendElement ( &dString, "SetForceRead" );
    Tcl_DStringAppendElement ( &dString, "GetForceRead" );
    Tcl_DStringAppendElement ( &dString, "ForceReadOn" );
    Tcl_DStringAppendElement ( &dString, "ForceReadOff" );
    Tcl_DStringAppendElement ( &dString, "SetDoNotReduceNumberOfOutputs" );
    Tcl_DStringAppendElement ( &dString, "GetDoNotReduceNumberOfOutputs" );
    Tcl_DStringAppendElement ( &dString, "DoNotReduceNumberOfOutputsOn" );
    Tcl_DStringAppendElement ( &dString, "DoNotReduceNumberOfOutputsOff" );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToBigEndian" );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToLittleEndian" );
    Tcl_DStringAppendElement ( &dString, "SetByteOrder" );
    Tcl_DStringAppendElement ( &dString, "GetByteOrder" );
    Tcl_DStringAppendElement ( &dString, "GetByteOrderAsString" );
    Tcl_DStringAppendElement ( &dString, "SetR" );
    Tcl_DStringAppendElement ( &dString, "GetR" );
    Tcl_DStringAppendElement ( &dString, "SetGamma" );
    Tcl_DStringAppendElement ( &dString, "GetGamma" );
    Tcl_DStringAppendElement ( &dString, "SetUvinf" );
    Tcl_DStringAppendElement ( &dString, "GetUvinf" );
    Tcl_DStringAppendElement ( &dString, "SetVvinf" );
    Tcl_DStringAppendElement ( &dString, "GetVvinf" );
    Tcl_DStringAppendElement ( &dString, "SetWvinf" );
    Tcl_DStringAppendElement ( &dString, "GetWvinf" );
    Tcl_DStringAppendElement ( &dString, "SetScalarFunctionNumber" );
    Tcl_DStringAppendElement ( &dString, "GetScalarFunctionNumber" );
    Tcl_DStringAppendElement ( &dString, "SetVectorFunctionNumber" );
    Tcl_DStringAppendElement ( &dString, "GetVectorFunctionNumber" );
    Tcl_DStringAppendElement ( &dString, "AddFunction" );
    Tcl_DStringAppendElement ( &dString, "RemoveFunction" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllFunctions" );
    Tcl_DStringAppendElement ( &dString, "CanReadBinaryFile" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkStructuredGridSourceCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPLOT3DReader *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the PLOT3D geometry filename.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName (const char *name);this SetXYZFileName name " );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the PLOT3D geometry filename.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetFileName ();return this GetXYZFileName " );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXYZFileName */
    if ( strcmp ( argv[2], "SetXYZFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXYZFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXYZFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the PLOT3D geometry filename.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetXYZFileName (const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetXYZFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXYZFileName */
    if ( strcmp ( argv[2], "GetXYZFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXYZFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXYZFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the PLOT3D geometry filename.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXYZFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetXYZFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQFileName */
    if ( strcmp ( argv[2], "SetQFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the PLOT3D solution filename.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQFileName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetQFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQFileName */
    if ( strcmp ( argv[2], "GetQFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the PLOT3D solution filename.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetQFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetQFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFunctionFileName */
    if ( strcmp ( argv[2], "SetFunctionFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFunctionFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFunctionFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the PLOT3D Function Filename (optional)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFunctionFileName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetFunctionFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFunctionFileName */
    if ( strcmp ( argv[2], "GetFunctionFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFunctionFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFunctionFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the PLOT3D Function Filename (optional)\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFunctionFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetFunctionFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfOutputs */
    if ( strcmp ( argv[2], "GetNumberOfOutputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOutputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfOutputs */
    Tcl_DStringAppendElement ( &dString, " This returns the number of outputs this reader will produce.\n This number is equal to the number of grids in the current \n file. This method has to be called before getting any output\n if the number of outputs will be greater than 1 (the first\n output is always the same). Note that every time this method\n is invoked, the header file is opened and part of the header \n is read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfOutputs ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetNumberOfOutputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfGrids */
    if ( strcmp ( argv[2], "GetNumberOfGrids" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfGrids" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfGrids */
    Tcl_DStringAppendElement ( &dString, " Replace an output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfGrids ();return this GetNumberOfOutputs " );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetNumberOfGrids */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutput */
    if ( strcmp ( argv[2], "SetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutput */
    Tcl_DStringAppendElement ( &dString, " Replace an output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutput (int idx, vtkStructuredGrid *output);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBinaryFile */
    if ( strcmp ( argv[2], "SetBinaryFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBinaryFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBinaryFile */
    Tcl_DStringAppendElement ( &dString, " Is the file to be read written in binary format (as opposed\n to ascii).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBinaryFile (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetBinaryFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBinaryFile */
    if ( strcmp ( argv[2], "GetBinaryFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBinaryFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBinaryFile */
    Tcl_DStringAppendElement ( &dString, " Is the file to be read written in binary format (as opposed\n to ascii).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBinaryFile ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetBinaryFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BinaryFileOn */
    if ( strcmp ( argv[2], "BinaryFileOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BinaryFileOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BinaryFileOn */
    Tcl_DStringAppendElement ( &dString, " Is the file to be read written in binary format (as opposed\n to ascii).\n" );
    Tcl_DStringAppendElement ( &dString, "void BinaryFileOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for BinaryFileOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BinaryFileOff */
    if ( strcmp ( argv[2], "BinaryFileOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BinaryFileOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BinaryFileOff */
    Tcl_DStringAppendElement ( &dString, " Is the file to be read written in binary format (as opposed\n to ascii).\n" );
    Tcl_DStringAppendElement ( &dString, "void BinaryFileOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for BinaryFileOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMultiGrid */
    if ( strcmp ( argv[2], "SetMultiGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMultiGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMultiGrid */
    Tcl_DStringAppendElement ( &dString, " Does the file to be read contain information about number of\n grids. In some PLOT3D files, the first value contains the number \n of grids (even if there is only 1). If reading such a file,\n set this to true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMultiGrid (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetMultiGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMultiGrid */
    if ( strcmp ( argv[2], "GetMultiGrid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMultiGrid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMultiGrid */
    Tcl_DStringAppendElement ( &dString, " Does the file to be read contain information about number of\n grids. In some PLOT3D files, the first value contains the number \n of grids (even if there is only 1). If reading such a file,\n set this to true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMultiGrid ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetMultiGrid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MultiGridOn */
    if ( strcmp ( argv[2], "MultiGridOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MultiGridOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MultiGridOn */
    Tcl_DStringAppendElement ( &dString, " Does the file to be read contain information about number of\n grids. In some PLOT3D files, the first value contains the number \n of grids (even if there is only 1). If reading such a file,\n set this to true.\n" );
    Tcl_DStringAppendElement ( &dString, "void MultiGridOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for MultiGridOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MultiGridOff */
    if ( strcmp ( argv[2], "MultiGridOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MultiGridOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MultiGridOff */
    Tcl_DStringAppendElement ( &dString, " Does the file to be read contain information about number of\n grids. In some PLOT3D files, the first value contains the number \n of grids (even if there is only 1). If reading such a file,\n set this to true.\n" );
    Tcl_DStringAppendElement ( &dString, "void MultiGridOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for MultiGridOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHasByteCount */
    if ( strcmp ( argv[2], "SetHasByteCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHasByteCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHasByteCount */
    Tcl_DStringAppendElement ( &dString, " Were the arrays written with leading and trailing byte counts ?\n Usually, files written by a fortran program will contain these\n byte counts whereas the ones written by C/C++ won't.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHasByteCount (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetHasByteCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHasByteCount */
    if ( strcmp ( argv[2], "GetHasByteCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHasByteCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHasByteCount */
    Tcl_DStringAppendElement ( &dString, " Were the arrays written with leading and trailing byte counts ?\n Usually, files written by a fortran program will contain these\n byte counts whereas the ones written by C/C++ won't.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHasByteCount ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetHasByteCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasByteCountOn */
    if ( strcmp ( argv[2], "HasByteCountOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasByteCountOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasByteCountOn */
    Tcl_DStringAppendElement ( &dString, " Were the arrays written with leading and trailing byte counts ?\n Usually, files written by a fortran program will contain these\n byte counts whereas the ones written by C/C++ won't.\n" );
    Tcl_DStringAppendElement ( &dString, "void HasByteCountOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for HasByteCountOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasByteCountOff */
    if ( strcmp ( argv[2], "HasByteCountOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasByteCountOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasByteCountOff */
    Tcl_DStringAppendElement ( &dString, " Were the arrays written with leading and trailing byte counts ?\n Usually, files written by a fortran program will contain these\n byte counts whereas the ones written by C/C++ won't.\n" );
    Tcl_DStringAppendElement ( &dString, "void HasByteCountOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for HasByteCountOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIBlanking */
    if ( strcmp ( argv[2], "SetIBlanking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIBlanking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIBlanking */
    Tcl_DStringAppendElement ( &dString, " Is there iblanking (point visibility) information in the file.\n If there is iblanking arrays, these will be read and assigned\n to the PointVisibility array of the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIBlanking (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetIBlanking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIBlanking */
    if ( strcmp ( argv[2], "GetIBlanking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIBlanking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIBlanking */
    Tcl_DStringAppendElement ( &dString, " Is there iblanking (point visibility) information in the file.\n If there is iblanking arrays, these will be read and assigned\n to the PointVisibility array of the output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIBlanking ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetIBlanking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IBlankingOn */
    if ( strcmp ( argv[2], "IBlankingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IBlankingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IBlankingOn */
    Tcl_DStringAppendElement ( &dString, " Is there iblanking (point visibility) information in the file.\n If there is iblanking arrays, these will be read and assigned\n to the PointVisibility array of the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void IBlankingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for IBlankingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IBlankingOff */
    if ( strcmp ( argv[2], "IBlankingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IBlankingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IBlankingOff */
    Tcl_DStringAppendElement ( &dString, " Is there iblanking (point visibility) information in the file.\n If there is iblanking arrays, these will be read and assigned\n to the PointVisibility array of the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void IBlankingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for IBlankingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTwoDimensionalGeometry */
    if ( strcmp ( argv[2], "SetTwoDimensionalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTwoDimensionalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTwoDimensionalGeometry */
    Tcl_DStringAppendElement ( &dString, " If only two-dimensional data was written to the file,\n turn this on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTwoDimensionalGeometry (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetTwoDimensionalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTwoDimensionalGeometry */
    if ( strcmp ( argv[2], "GetTwoDimensionalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTwoDimensionalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTwoDimensionalGeometry */
    Tcl_DStringAppendElement ( &dString, " If only two-dimensional data was written to the file,\n turn this on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTwoDimensionalGeometry ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetTwoDimensionalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TwoDimensionalGeometryOn */
    if ( strcmp ( argv[2], "TwoDimensionalGeometryOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TwoDimensionalGeometryOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TwoDimensionalGeometryOn */
    Tcl_DStringAppendElement ( &dString, " If only two-dimensional data was written to the file,\n turn this on.\n" );
    Tcl_DStringAppendElement ( &dString, "void TwoDimensionalGeometryOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for TwoDimensionalGeometryOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TwoDimensionalGeometryOff */
    if ( strcmp ( argv[2], "TwoDimensionalGeometryOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TwoDimensionalGeometryOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TwoDimensionalGeometryOff */
    Tcl_DStringAppendElement ( &dString, " If only two-dimensional data was written to the file,\n turn this on.\n" );
    Tcl_DStringAppendElement ( &dString, "void TwoDimensionalGeometryOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for TwoDimensionalGeometryOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForceRead */
    if ( strcmp ( argv[2], "SetForceRead" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceRead" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceRead */
    Tcl_DStringAppendElement ( &dString, " Try to read a binary file even if the file length seems to be\n inconsistent with the header information. Use this with caution,\n if the file length is not the same as calculated from the header.\n either the file is corrupt or the settings are wrong. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetForceRead (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetForceRead */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetForceRead */
    if ( strcmp ( argv[2], "GetForceRead" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceRead" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceRead */
    Tcl_DStringAppendElement ( &dString, " Try to read a binary file even if the file length seems to be\n inconsistent with the header information. Use this with caution,\n if the file length is not the same as calculated from the header.\n either the file is corrupt or the settings are wrong. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetForceRead ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetForceRead */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ForceReadOn */
    if ( strcmp ( argv[2], "ForceReadOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceReadOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceReadOn */
    Tcl_DStringAppendElement ( &dString, " Try to read a binary file even if the file length seems to be\n inconsistent with the header information. Use this with caution,\n if the file length is not the same as calculated from the header.\n either the file is corrupt or the settings are wrong. \n" );
    Tcl_DStringAppendElement ( &dString, "void ForceReadOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for ForceReadOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ForceReadOff */
    if ( strcmp ( argv[2], "ForceReadOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceReadOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceReadOff */
    Tcl_DStringAppendElement ( &dString, " Try to read a binary file even if the file length seems to be\n inconsistent with the header information. Use this with caution,\n if the file length is not the same as calculated from the header.\n either the file is corrupt or the settings are wrong. \n" );
    Tcl_DStringAppendElement ( &dString, "void ForceReadOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for ForceReadOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDoNotReduceNumberOfOutputs */
    if ( strcmp ( argv[2], "SetDoNotReduceNumberOfOutputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDoNotReduceNumberOfOutputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDoNotReduceNumberOfOutputs */
    Tcl_DStringAppendElement ( &dString, " If this is on, the reader will never reduce the number of outputs  \n after reading a file with n grids and producing n outputs. If the\n file read afterwards contains fewer grids, the extra outputs will\n be empty. This option can be used by application which rely on\n the initial number of outputs not shrinking.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDoNotReduceNumberOfOutputs (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetDoNotReduceNumberOfOutputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDoNotReduceNumberOfOutputs */
    if ( strcmp ( argv[2], "GetDoNotReduceNumberOfOutputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDoNotReduceNumberOfOutputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDoNotReduceNumberOfOutputs */
    Tcl_DStringAppendElement ( &dString, " If this is on, the reader will never reduce the number of outputs  \n after reading a file with n grids and producing n outputs. If the\n file read afterwards contains fewer grids, the extra outputs will\n be empty. This option can be used by application which rely on\n the initial number of outputs not shrinking.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDoNotReduceNumberOfOutputs ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetDoNotReduceNumberOfOutputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DoNotReduceNumberOfOutputsOn */
    if ( strcmp ( argv[2], "DoNotReduceNumberOfOutputsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DoNotReduceNumberOfOutputsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DoNotReduceNumberOfOutputsOn */
    Tcl_DStringAppendElement ( &dString, " If this is on, the reader will never reduce the number of outputs  \n after reading a file with n grids and producing n outputs. If the\n file read afterwards contains fewer grids, the extra outputs will\n be empty. This option can be used by application which rely on\n the initial number of outputs not shrinking.\n" );
    Tcl_DStringAppendElement ( &dString, "void DoNotReduceNumberOfOutputsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for DoNotReduceNumberOfOutputsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DoNotReduceNumberOfOutputsOff */
    if ( strcmp ( argv[2], "DoNotReduceNumberOfOutputsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DoNotReduceNumberOfOutputsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DoNotReduceNumberOfOutputsOff */
    Tcl_DStringAppendElement ( &dString, " If this is on, the reader will never reduce the number of outputs  \n after reading a file with n grids and producing n outputs. If the\n file read afterwards contains fewer grids, the extra outputs will\n be empty. This option can be used by application which rely on\n the initial number of outputs not shrinking.\n" );
    Tcl_DStringAppendElement ( &dString, "void DoNotReduceNumberOfOutputsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for DoNotReduceNumberOfOutputsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetByteOrderToBigEndian */
    if ( strcmp ( argv[2], "SetByteOrderToBigEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToBigEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetByteOrderToBigEndian */
    Tcl_DStringAppendElement ( &dString, " Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetByteOrderToBigEndian ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetByteOrderToBigEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetByteOrderToLittleEndian */
    if ( strcmp ( argv[2], "SetByteOrderToLittleEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetByteOrderToLittleEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetByteOrderToLittleEndian */
    Tcl_DStringAppendElement ( &dString, " Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetByteOrderToLittleEndian ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetByteOrderToLittleEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetByteOrder */
    if ( strcmp ( argv[2], "SetByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetByteOrder */
    Tcl_DStringAppendElement ( &dString, " Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetByteOrder (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetByteOrder */
    if ( strcmp ( argv[2], "GetByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetByteOrder */
    Tcl_DStringAppendElement ( &dString, " Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetByteOrder ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetByteOrderAsString */
    if ( strcmp ( argv[2], "GetByteOrderAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetByteOrderAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetByteOrderAsString */
    Tcl_DStringAppendElement ( &dString, " Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetByteOrderAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetByteOrderAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetR */
    if ( strcmp ( argv[2], "SetR" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetR" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetR */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gas constant. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetR (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetR */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetR */
    if ( strcmp ( argv[2], "GetR" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetR" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetR */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gas constant. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetR ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetR */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGamma */
    if ( strcmp ( argv[2], "SetGamma" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGamma" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGamma */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of specific heats. Default is 1.4.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGamma (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetGamma */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGamma */
    if ( strcmp ( argv[2], "GetGamma" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGamma" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGamma */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ratio of specific heats. Default is 1.4.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGamma ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetGamma */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUvinf */
    if ( strcmp ( argv[2], "SetUvinf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUvinf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUvinf */
    Tcl_DStringAppendElement ( &dString, " Set/Get the x-component of the free-stream velocity. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUvinf (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetUvinf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUvinf */
    if ( strcmp ( argv[2], "GetUvinf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUvinf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUvinf */
    Tcl_DStringAppendElement ( &dString, " Set/Get the x-component of the free-stream velocity. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetUvinf ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetUvinf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVvinf */
    if ( strcmp ( argv[2], "SetVvinf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVvinf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVvinf */
    Tcl_DStringAppendElement ( &dString, " Set/Get the y-component of the free-stream velocity. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVvinf (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetVvinf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVvinf */
    if ( strcmp ( argv[2], "GetVvinf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVvinf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVvinf */
    Tcl_DStringAppendElement ( &dString, " Set/Get the y-component of the free-stream velocity. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVvinf ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetVvinf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWvinf */
    if ( strcmp ( argv[2], "SetWvinf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWvinf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWvinf */
    Tcl_DStringAppendElement ( &dString, " Set/Get the z-component of the free-stream velocity. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWvinf (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetWvinf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWvinf */
    if ( strcmp ( argv[2], "GetWvinf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWvinf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWvinf */
    Tcl_DStringAppendElement ( &dString, " Set/Get the z-component of the free-stream velocity. Default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWvinf ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetWvinf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarFunctionNumber */
    if ( strcmp ( argv[2], "SetScalarFunctionNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarFunctionNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarFunctionNumber */
    Tcl_DStringAppendElement ( &dString, " Specify the scalar function to extract. If ==(-1), then no scalar \n function is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarFunctionNumber (int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetScalarFunctionNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarFunctionNumber */
    if ( strcmp ( argv[2], "GetScalarFunctionNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarFunctionNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarFunctionNumber */
    Tcl_DStringAppendElement ( &dString, " Specify the scalar function to extract. If ==(-1), then no scalar \n function is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarFunctionNumber ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetScalarFunctionNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorFunctionNumber */
    if ( strcmp ( argv[2], "SetVectorFunctionNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorFunctionNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorFunctionNumber */
    Tcl_DStringAppendElement ( &dString, " Specify the vector function to extract. If ==(-1), then no vector\n function is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorFunctionNumber (int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for SetVectorFunctionNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorFunctionNumber */
    if ( strcmp ( argv[2], "GetVectorFunctionNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorFunctionNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorFunctionNumber */
    Tcl_DStringAppendElement ( &dString, " Specify the vector function to extract. If ==(-1), then no vector\n function is extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVectorFunctionNumber ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for GetVectorFunctionNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFunction */
    if ( strcmp ( argv[2], "AddFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFunction */
    Tcl_DStringAppendElement ( &dString, " Specify additional functions to read. These are placed into the\n point data as data arrays. Later on they can be used by labeling\n them as scalars, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddFunction (int functionNumber);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for AddFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveFunction */
    if ( strcmp ( argv[2], "RemoveFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveFunction */
    Tcl_DStringAppendElement ( &dString, " Specify additional functions to read. These are placed into the\n point data as data arrays. Later on they can be used by labeling\n them as scalars, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveFunction (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for RemoveFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllFunctions */
    if ( strcmp ( argv[2], "RemoveAllFunctions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllFunctions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllFunctions */
    Tcl_DStringAppendElement ( &dString, " Specify additional functions to read. These are placed into the\n point data as data arrays. Later on they can be used by labeling\n them as scalars, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllFunctions ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for RemoveAllFunctions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CanReadBinaryFile */
    if ( strcmp ( argv[2], "CanReadBinaryFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadBinaryFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadBinaryFile */
    Tcl_DStringAppendElement ( &dString, " Return 1 if the reader can read the given file name. Only meaningful\n for binary files.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int CanReadBinaryFile (const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLOT3DReader" );
    /* Closing for CanReadBinaryFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkStructuredGridSourceCppCommand(static_cast<vtkStructuredGridSource *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
