// python wrapper for vtkPLYReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPLYReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPLYReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPLYReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkPLYReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYReader *op;

  const char    *temp20;
  op = (vtkPLYReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPLYReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYReader *op;

  vtkPLYReader  *temp20;
  op = (vtkPLYReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPLYReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPLYReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPLYReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYReader *op;

  char    *temp0;
  op = (vtkPLYReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYReader *op;

  char    *temp20;
  op = (vtkPLYReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPLYReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPLYReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPLYReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPLYReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPLYReader\nC++: vtkPLYReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPLYReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPLYReader\nC++: vtkPLYReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkPLYReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of stereo lithography file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkPLYReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of stereo lithography file.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPLYReaderDoc[] = {
  (char*)"vtkPLYReader - read Stanford University PLY polygonal file format\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkPLYReader is a source object that reads polygonal data in\n Stanford University PLY file format (see \n http://graphics.stanford.edu/data/3Dscanrep). It requires that\n the elements \"vertex\" and \"face\" are defined. The \"vertex\" element\n must have the properties \"x\", \"y\", and \"z\". The \"face\" element must\n have the property \"vertex_indices\" defined. Optionally, if the \"face\"\n element has the proper",
  (char*)"ties \"intensity\" and/or the triplet \"red\",\n \"green\", and \"blue\"; these are read and added as scalars to the\n output data.\n\n",
  "See Also:\n\n vtkPLYWriter\n\n",
  NULL
};

static vtkObjectBase *vtkPLYReaderStaticNew()
{
  return vtkPLYReader::New();
}

PyObject *PyVTKClass_vtkPLYReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPLYReaderStaticNew,
                        PyvtkPLYReaderMethods,
                        (char*)"vtkPLYReader",modulename,
                        (char**)vtkPLYReaderDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

