// python wrapper for vtkPLYWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPLYWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPLYWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPLYWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataWriterNew(char *); }

static PyObject *PyvtkPLYWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  const char    *temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  vtkPLYWriter  *temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPLYWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPLYWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetDataByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  int      temp0;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetDataByteOrder(temp0);
      }
    else
      {
      op->SetDataByteOrder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_GetDataByteOrderMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  int      temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::GetDataByteOrderMinValue();
      }
    else
      {
      temp20 = op->GetDataByteOrderMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_GetDataByteOrderMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  int      temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::GetDataByteOrderMaxValue();
      }
    else
      {
      temp20 = op->GetDataByteOrderMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_GetDataByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  int      temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::GetDataByteOrder();
      }
    else
      {
      temp20 = op->GetDataByteOrder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetDataByteOrderToBigEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetDataByteOrderToBigEndian();
      }
    else
      {
      op->SetDataByteOrderToBigEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetDataByteOrderToLittleEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetDataByteOrderToLittleEndian();
      }
    else
      {
      op->SetDataByteOrderToLittleEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  int      temp0;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetColorMode(temp0);
      }
    else
      {
      op->SetColorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_GetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  int      temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::GetColorMode();
      }
    else
      {
      temp20 = op->GetColorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetColorModeToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetColorModeToDefault();
      }
    else
      {
      op->SetColorModeToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetColorModeToUniformCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetColorModeToUniformCellColor();
      }
    else
      {
      op->SetColorModeToUniformCellColor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetColorModeToUniformPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetColorModeToUniformPointColor();
      }
    else
      {
      op->SetColorModeToUniformPointColor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetColorModeToUniformColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetColorModeToUniformColor();
      }
    else
      {
      op->SetColorModeToUniformColor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetColorModeToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetColorModeToOff();
      }
    else
      {
      op->SetColorModeToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  char    *temp0;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetArrayName(temp0);
      }
    else
      {
      op->SetArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  char    *temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::GetArrayName();
      }
    else
      {
      temp20 = op->GetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  int      temp0;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetComponent(temp0);
      }
    else
      {
      op->SetComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_GetComponentMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  int      temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::GetComponentMinValue();
      }
    else
      {
      temp20 = op->GetComponentMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_GetComponentMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  int      temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::GetComponentMaxValue();
      }
    else
      {
      temp20 = op->GetComponentMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_GetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  int      temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::GetComponent();
      }
    else
      {
      temp20 = op->GetComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetLookupTable(temp0);
      }
    else
      {
      op->SetLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkPLYWriter_GetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  vtkScalarsToColors  *temp20;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLYWriter::GetLookupTable();
      }
    else
      {
      temp20 = op->GetLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLYWriter_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLYWriter *op;

  unsigned char     temp0;
  unsigned char     temp1;
  unsigned char     temp2;
  op = (vtkPLYWriter *)PyArg_VTKParseTuple(self, args, (char*)"bbb", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLYWriter::SetColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPLYWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPLYWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPLYWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPLYWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPLYWriter\nC++: vtkPLYWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPLYWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPLYWriter\nC++: vtkPLYWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDataByteOrder",                (PyCFunction)PyvtkPLYWriter_SetDataByteOrder, 1,
   (char*)"V.SetDataByteOrder(int)\nC++: void SetDataByteOrder (int );\n\n If the file type is binary, then the user can specify which\n byte order to use (little versus big endian).\n"},
  {(char*)"GetDataByteOrderMinValue",                (PyCFunction)PyvtkPLYWriter_GetDataByteOrderMinValue, 1,
   (char*)"V.GetDataByteOrderMinValue() -> int\nC++: int GetDataByteOrderMinValue ();\n\n If the file type is binary, then the user can specify which\n byte order to use (little versus big endian).\n"},
  {(char*)"GetDataByteOrderMaxValue",                (PyCFunction)PyvtkPLYWriter_GetDataByteOrderMaxValue, 1,
   (char*)"V.GetDataByteOrderMaxValue() -> int\nC++: int GetDataByteOrderMaxValue ();\n\n If the file type is binary, then the user can specify which\n byte order to use (little versus big endian).\n"},
  {(char*)"GetDataByteOrder",                (PyCFunction)PyvtkPLYWriter_GetDataByteOrder, 1,
   (char*)"V.GetDataByteOrder() -> int\nC++: int GetDataByteOrder ();\n\n If the file type is binary, then the user can specify which\n byte order to use (little versus big endian).\n"},
  {(char*)"SetDataByteOrderToBigEndian",                (PyCFunction)PyvtkPLYWriter_SetDataByteOrderToBigEndian, 1,
   (char*)"V.SetDataByteOrderToBigEndian()\nC++: void SetDataByteOrderToBigEndian ();this SetDataByteOrder VTK_BIG_ENDIAN \n\n If the file type is binary, then the user can specify which\n byte order to use (little versus big endian).\n"},
  {(char*)"SetDataByteOrderToLittleEndian",                (PyCFunction)PyvtkPLYWriter_SetDataByteOrderToLittleEndian, 1,
   (char*)"V.SetDataByteOrderToLittleEndian()\nC++: void SetDataByteOrderToLittleEndian ();this SetDataByteOrder VTK_LITTLE_ENDIAN \n\n These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate three separate \"red\", \"green\"\n and \"blue\" properties in the PLY file. The user can also set the\n ColorMode to specify a uniform color for the whole part (on a vertex\n colors, face colors, or both. (Note: vertex colors or cell colors may be\n written, depending on where the named array is found. If points and\n cells have the arrays with the same name, then both colors will be\n written.)\n"},
  {(char*)"SetColorMode",                (PyCFunction)PyvtkPLYWriter_SetColorMode, 1,
   (char*)"V.SetColorMode(int)\nC++: void SetColorMode (int );\n\n These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate three separate \"red\", \"green\"\n and \"blue\" properties in the PLY file. The user can also set the\n ColorMode to specify a uniform color for the whole part (on a vertex\n colors, face colors, or both. (Note: vertex colors or cell colors may be\n written, depending on where the named array is found. If points and\n cells have the arrays with the same name, then both colors will be\n written.)\n"},
  {(char*)"GetColorMode",                (PyCFunction)PyvtkPLYWriter_GetColorMode, 1,
   (char*)"V.GetColorMode() -> int\nC++: int GetColorMode ();\n\n These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate three separate \"red\", \"green\"\n and \"blue\" properties in the PLY file. The user can also set the\n ColorMode to specify a uniform color for the whole part (on a vertex\n colors, face colors, or both. (Note: vertex colors or cell colors may be\n written, depending on where the named array is found. If points and\n cells have the arrays with the same name, then both colors will be\n written.)\n"},
  {(char*)"SetColorModeToDefault",                (PyCFunction)PyvtkPLYWriter_SetColorModeToDefault, 1,
   (char*)"V.SetColorModeToDefault()\nC++: void SetColorModeToDefault ();this SetColorMode VTK_COLOR_MODE_DEFAULT \n\n These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate three separate \"red\", \"green\"\n and \"blue\" properties in the PLY file. The user can also set the\n ColorMode to specify a uniform color for the whole part (on a vertex\n colors, face colors, or both. (Note: vertex colors or cell colors may be\n written, depending on where the named array is found. If points and\n cells have the arrays with the same name, then both colors will be\n written.)\n"},
  {(char*)"SetColorModeToUniformCellColor",                (PyCFunction)PyvtkPLYWriter_SetColorModeToUniformCellColor, 1,
   (char*)"V.SetColorModeToUniformCellColor()\nC++: void SetColorModeToUniformCellColor ();this SetColorMode VTK_COLOR_MODE_UNIFORM_CELL_COLOR \n\n These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate three separate \"red\", \"green\"\n and \"blue\" properties in the PLY file. The user can also set the\n ColorMode to specify a uniform color for the whole part (on a vertex\n colors, face colors, or both. (Note: vertex colors or cell colors may be\n written, depending on where the named array is found. If points and\n cells have the arrays with the same name, then both colors will be\n written.)\n"},
  {(char*)"SetColorModeToUniformPointColor",                (PyCFunction)PyvtkPLYWriter_SetColorModeToUniformPointColor, 1,
   (char*)"V.SetColorModeToUniformPointColor()\nC++: void SetColorModeToUniformPointColor ();this SetColorMode VTK_COLOR_MODE_UNIFORM_POINT_COLOR \n\n These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate three separate \"red\", \"green\"\n and \"blue\" properties in the PLY file. The user can also set the\n ColorMode to specify a uniform color for the whole part (on a vertex\n colors, face colors, or both. (Note: vertex colors or cell colors may be\n written, depending on where the named array is found. If points and\n cells have the arrays with the same name, then both colors will be\n written.)\n"},
  {(char*)"SetColorModeToUniformColor",                (PyCFunction)PyvtkPLYWriter_SetColorModeToUniformColor, 1,
   (char*)"V.SetColorModeToUniformColor()\nC++: void SetColorModeToUniformColor ();this SetColorMode VTK_COLOR_MODE_UNIFORM_COLOR \n\n These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate three separate \"red\", \"green\"\n and \"blue\" properties in the PLY file. The user can also set the\n ColorMode to specify a uniform color for the whole part (on a vertex\n colors, face colors, or both. (Note: vertex colors or cell colors may be\n written, depending on where the named array is found. If points and\n cells have the arrays with the same name, then both colors will be\n written.)\n"},
  {(char*)"SetColorModeToOff",                (PyCFunction)PyvtkPLYWriter_SetColorModeToOff, 1,
   (char*)"V.SetColorModeToOff()\nC++: void SetColorModeToOff ();this SetColorMode VTK_COLOR_MODE_OFF \n\n Specify the array name to use to color the data.\n"},
  {(char*)"SetArrayName",                (PyCFunction)PyvtkPLYWriter_SetArrayName, 1,
   (char*)"V.SetArrayName(string)\nC++: void SetArrayName (char *);\n\n Specify the array name to use to color the data.\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkPLYWriter_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: char *GetArrayName ();\n\n Specify the array name to use to color the data.\n"},
  {(char*)"SetComponent",                (PyCFunction)PyvtkPLYWriter_SetComponent, 1,
   (char*)"V.SetComponent(int)\nC++: void SetComponent (int );\n\n Specify the array component to use to color the data.\n"},
  {(char*)"GetComponentMinValue",                (PyCFunction)PyvtkPLYWriter_GetComponentMinValue, 1,
   (char*)"V.GetComponentMinValue() -> int\nC++: int GetComponentMinValue ();\n\n Specify the array component to use to color the data.\n"},
  {(char*)"GetComponentMaxValue",                (PyCFunction)PyvtkPLYWriter_GetComponentMaxValue, 1,
   (char*)"V.GetComponentMaxValue() -> int\nC++: int GetComponentMaxValue ();\n\n Specify the array component to use to color the data.\n"},
  {(char*)"GetComponent",                (PyCFunction)PyvtkPLYWriter_GetComponent, 1,
   (char*)"V.GetComponent() -> int\nC++: int GetComponent ();\n\n Specify the array component to use to color the data.\n"},
  {(char*)"SetLookupTable",                (PyCFunction)PyvtkPLYWriter_SetLookupTable, 1,
   (char*)"V.SetLookupTable(vtkScalarsToColors)\nC++: virtual void SetLookupTable (vtkScalarsToColors *);\n\n A lookup table can be specified in order to convert data arrays to\n RGBA colors.\n"},
  {(char*)"GetLookupTable",                (PyCFunction)PyvtkPLYWriter_GetLookupTable, 1,
   (char*)"V.GetLookupTable() -> vtkScalarsToColors\nC++: vtkScalarsToColors *GetLookupTable ();\n\n A lookup table can be specified in order to convert data arrays to\n RGBA colors.\n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkPLYWriter_SetColor, 1,
   (char*)"V.SetColor(int, int, int)\nC++: void SetColor (unsigned char , unsigned char , unsigned char );\n\n Set the color to use when using a uniform color (either point or cells,\n or both). The color is specified as a triplet of three unsigned chars\n between (0,255). This only takes effect when the ColorMode is set to\n uniform point, uniform cell, or uniform color.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPLYWriterDoc[] = {
  (char*)"vtkPLYWriter - write Stanford PLY file format\n\n",
  "Super Class:\n\n vtkPolyDataWriter\n\n",
  (char*)" vtkPLYWriter writes polygonal data in Stanford University PLY format\n (see http://graphics.stanford.edu/data/3Dscanrep/). The data can be\n written in either binary (little or big endian) or ASCII representation.\n As for PointData and CellData, vtkPLYWriter cannot handle normals or\n vectors. It only handles RGB PointData and CellData. You need to set the\n name of the array (using SetName for the a",
  (char*)"rray and SetArrayName for the\n writer). If the array is not a vtkUnsignedCharArray with 3 components,\n you need to specify a vtkLookupTable to map the scalars to RGB.\n\n",
  "Caveats:\n\n PLY does not handle big endian versus little endian correctly.\n\n",
  "See Also:\n\n vtkPLYReader\n\n",
  NULL
};

static vtkObjectBase *vtkPLYWriterStaticNew()
{
  return vtkPLYWriter::New();
}

PyObject *PyVTKClass_vtkPLYWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPLYWriterStaticNew,
                        PyvtkPLYWriterMethods,
                        (char*)"vtkPLYWriter",modulename,
                        (char**)vtkPLYWriterDoc,
                        PyVTKClass_vtkPolyDataWriterNew(modulename));
}

