// tcl wrapper for vtkPLYWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPLYWriter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPLYWriterNewCommand()
{
  vtkPLYWriter *temp = vtkPLYWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataWriterCppCommand(vtkPolyDataWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPLYWriterCppCommand(vtkPLYWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPLYWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPLYWriterCppCommand(static_cast<vtkPLYWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPLYWriterCppCommand(vtkPLYWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPLYWriter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataWriterCppCommand(static_cast<vtkPolyDataWriter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataWriter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPLYWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPLYWriter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPLYWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPLYWriter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPLYWriter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPLYWriter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataByteOrder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataByteOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataByteOrderMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataByteOrderMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataByteOrderMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataByteOrderMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataByteOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataByteOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrderToBigEndian",argv[1]))&&(argc == 2))
    {
    op->SetDataByteOrderToBigEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrderToLittleEndian",argv[1]))&&(argc == 2))
    {
    op->SetDataByteOrderToLittleEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToUniformCellColor",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToUniformCellColor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToUniformPointColor",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToUniformPointColor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToUniformColor",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToUniformColor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToOff",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponentMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetComponentMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponentMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    unsigned char     temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned char>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned char>(tempi);
    if (!error)
    {
    op->SetColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColor",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u %u ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPLYWriterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPLYWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataByteOrderMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDataByteOrderMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDataByteOrder\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrderToBigEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrderToLittleEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetColorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToUniformCellColor\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToUniformPointColor\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToUniformColor\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToOff\n",NULL);
    Tcl_AppendResult(interp,"  SetArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColor\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrder" );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrder" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToBigEndian" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToLittleEndian" );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToUniformCellColor" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToUniformPointColor" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToUniformColor" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToOff" );
    Tcl_DStringAppendElement ( &dString, "SetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetComponent" );
    Tcl_DStringAppendElement ( &dString, "GetComponentMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetComponentMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetComponent" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPLYWriter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrder */
    if ( strcmp ( argv[2], "SetDataByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrder */
    Tcl_DStringAppendElement ( &dString, " If the file type is binary, then the user can specify which\n byte order to use (little versus big endian).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrder (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetDataByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataByteOrderMinValue */
    if ( strcmp ( argv[2], "GetDataByteOrderMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataByteOrderMinValue */
    Tcl_DStringAppendElement ( &dString, " If the file type is binary, then the user can specify which\n byte order to use (little versus big endian).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataByteOrderMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for GetDataByteOrderMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataByteOrderMaxValue */
    if ( strcmp ( argv[2], "GetDataByteOrderMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataByteOrderMaxValue */
    Tcl_DStringAppendElement ( &dString, " If the file type is binary, then the user can specify which\n byte order to use (little versus big endian).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataByteOrderMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for GetDataByteOrderMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataByteOrder */
    if ( strcmp ( argv[2], "GetDataByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataByteOrder */
    Tcl_DStringAppendElement ( &dString, " If the file type is binary, then the user can specify which\n byte order to use (little versus big endian).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataByteOrder ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for GetDataByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrderToBigEndian */
    if ( strcmp ( argv[2], "SetDataByteOrderToBigEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToBigEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrderToBigEndian */
    Tcl_DStringAppendElement ( &dString, " If the file type is binary, then the user can specify which\n byte order to use (little versus big endian).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrderToBigEndian ();this SetDataByteOrder VTK_BIG_ENDIAN " );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetDataByteOrderToBigEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrderToLittleEndian */
    if ( strcmp ( argv[2], "SetDataByteOrderToLittleEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToLittleEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrderToLittleEndian */
    Tcl_DStringAppendElement ( &dString, " These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate thr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrderToLittleEndian ();this SetDataByteOrder VTK_LITTLE_ENDIAN " );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetDataByteOrderToLittleEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorMode */
    if ( strcmp ( argv[2], "SetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorMode */
    Tcl_DStringAppendElement ( &dString, " These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate thr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorMode */
    if ( strcmp ( argv[2], "GetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorMode */
    Tcl_DStringAppendElement ( &dString, " These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate thr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for GetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToDefault */
    if ( strcmp ( argv[2], "SetColorModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToDefault */
    Tcl_DStringAppendElement ( &dString, " These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate thr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToDefault ();this SetColorMode VTK_COLOR_MODE_DEFAULT " );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetColorModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToUniformCellColor */
    if ( strcmp ( argv[2], "SetColorModeToUniformCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToUniformCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToUniformCellColor */
    Tcl_DStringAppendElement ( &dString, " These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate thr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToUniformCellColor ();this SetColorMode VTK_COLOR_MODE_UNIFORM_CELL_COLOR " );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetColorModeToUniformCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToUniformPointColor */
    if ( strcmp ( argv[2], "SetColorModeToUniformPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToUniformPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToUniformPointColor */
    Tcl_DStringAppendElement ( &dString, " These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate thr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToUniformPointColor ();this SetColorMode VTK_COLOR_MODE_UNIFORM_POINT_COLOR " );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetColorModeToUniformPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToUniformColor */
    if ( strcmp ( argv[2], "SetColorModeToUniformColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToUniformColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToUniformColor */
    Tcl_DStringAppendElement ( &dString, " These methods enable the user to control how to add color into the PLY\n output file. The default behavior is as follows. The user provides the\n name of an array and a component number. If the type of the array is\n three components, unsigned char, then the data is written as three\n separate \"red\", \"green\" and \"blue\" properties. If the type is not\n unsigned char, and a lookup table is provided, then the array/component\n are mapped through the table to generate thr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToUniformColor ();this SetColorMode VTK_COLOR_MODE_UNIFORM_COLOR " );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetColorModeToUniformColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToOff */
    if ( strcmp ( argv[2], "SetColorModeToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToOff */
    Tcl_DStringAppendElement ( &dString, " Specify the array name to use to color the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToOff ();this SetColorMode VTK_COLOR_MODE_OFF " );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetColorModeToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrayName */
    if ( strcmp ( argv[2], "SetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrayName */
    Tcl_DStringAppendElement ( &dString, " Specify the array name to use to color the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArrayName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayName */
    if ( strcmp ( argv[2], "GetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayName */
    Tcl_DStringAppendElement ( &dString, " Specify the array name to use to color the data.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for GetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponent */
    if ( strcmp ( argv[2], "SetComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponent */
    Tcl_DStringAppendElement ( &dString, " Specify the array component to use to color the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComponent (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentMinValue */
    if ( strcmp ( argv[2], "GetComponentMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the array component to use to color the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComponentMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for GetComponentMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentMaxValue */
    if ( strcmp ( argv[2], "GetComponentMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the array component to use to color the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComponentMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for GetComponentMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponent */
    if ( strcmp ( argv[2], "GetComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponent */
    Tcl_DStringAppendElement ( &dString, " Specify the array component to use to color the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComponent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for GetComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " A lookup table can be specified in order to convert data arrays to\n RGBA colors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLookupTable (vtkScalarsToColors *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " A lookup table can be specified in order to convert data arrays to\n RGBA colors.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetLookupTable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set the color to use when using a uniform color (either point or cells,\n or both). The color is specified as a triplet of three unsigned chars\n between (0,255). This only takes effect when the ColorMode is set to\n uniform point, uniform cell, or uniform color.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColor (unsigned char , unsigned char , unsigned char );" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColor */
    if ( strcmp ( argv[2], "GetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColor */
    Tcl_DStringAppendElement ( &dString, " Set the color to use when using a uniform color (either point or cells,\n or both). The color is specified as a triplet of three unsigned chars\n between (0,255). This only takes effect when the ColorMode is set to\n uniform point, uniform cell, or uniform color.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char  *GetColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPLYWriter" );
    /* Closing for GetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataWriterCppCommand(static_cast<vtkPolyDataWriter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
