// python wrapper for vtkPNMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPNMReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPNMReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPNMReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReaderNew(char *); }

static PyObject *PyvtkPNMReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNMReader *op;

  const char    *temp20;
  op = (vtkPNMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNMReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPNMReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNMReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPNMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNMReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPNMReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNMReader *op;

  vtkPNMReader  *temp20;
  op = (vtkPNMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNMReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPNMReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPNMReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPNMReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPNMReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNMReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPNMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNMReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPNMReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNMReader *op;

  const char    *temp20;
  op = (vtkPNMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNMReader::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPNMReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNMReader *op;

  const char    *temp20;
  op = (vtkPNMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNMReader::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPNMReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPNMReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPNMReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPNMReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPNMReader\nC++: vtkPNMReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPNMReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPNMReader\nC++: vtkPNMReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkPNMReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: int CanReadFile (const char *fname);\n\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkPNMReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n PNM \n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkPNMReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPNMReaderDoc[] = {
  (char*)"vtkPNMReader - read pnm (i.e., portable anymap) files\n\n",
  "Super Class:\n\n vtkImageReader\n\n",
  (char*)" vtkPNMReader is a source object that reads pnm (portable anymap) files.\n This includes .pbm (bitmap), .pgm (grayscale), and .ppm (pixmap) files.\n (Currently this object only reads binary versions of these files.)\n\n PNMReader creates structured point datasets. The dimension of the \n dataset depends upon the number of files read. Reading a single file \n results in a 2D image, while reading more tha",
  (char*)"n one file results in a \n 3D volume.\n\n To read a volume, files must be of the form \"FileName.<number>\" (e.g.,\n foo.ppm.0, foo.ppm.1, ...). You must also specify the DataExtent.  The\n fifth and sixth values of the DataExtent specify the beginning and ending\n files to read.\n\n",
  NULL
};

static vtkObjectBase *vtkPNMReaderStaticNew()
{
  return vtkPNMReader::New();
}

PyObject *PyVTKClass_vtkPNMReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPNMReaderStaticNew,
                        PyvtkPNMReaderMethods,
                        (char*)"vtkPNMReader",modulename,
                        (char**)vtkPNMReaderDoc,
                        PyVTKClass_vtkImageReaderNew(modulename));
}

