// python wrapper for vtkPNMWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPNMWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPNMWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPNMWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageWriterNew(char *); }

static PyObject *PyvtkPNMWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNMWriter *op;

  const char    *temp20;
  op = (vtkPNMWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNMWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPNMWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNMWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPNMWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNMWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPNMWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNMWriter *op;

  vtkPNMWriter  *temp20;
  op = (vtkPNMWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNMWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPNMWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPNMWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPNMWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkPNMWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPNMWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPNMWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPNMWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPNMWriter\nC++: vtkPNMWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPNMWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPNMWriter\nC++: vtkPNMWriter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPNMWriterDoc[] = {
  (char*)"vtkPNMWriter - Writes PNM (portable any map)  files.\n\n",
  "Super Class:\n\n vtkImageWriter\n\n",
  (char*)" vtkPNMWriter writes PNM file. The data type\n of the file is unsigned char regardless of the input type.\n\n",
  NULL
};

static vtkObjectBase *vtkPNMWriterStaticNew()
{
  return vtkPNMWriter::New();
}

PyObject *PyVTKClass_vtkPNMWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPNMWriterStaticNew,
                        PyvtkPNMWriterMethods,
                        (char*)"vtkPNMWriter",modulename,
                        (char**)vtkPNMWriterDoc,
                        PyVTKClass_vtkImageWriterNew(modulename));
}

