// python wrapper for vtkRTXMLPolyDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRTXMLPolyDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRTXMLPolyDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRTXMLPolyDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPolyDataReaderNew(char *); }

static PyObject *PyvtkRTXMLPolyDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTXMLPolyDataReader *op;

  const char    *temp20;
  op = (vtkRTXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTXMLPolyDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRTXMLPolyDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTXMLPolyDataReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkRTXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTXMLPolyDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTXMLPolyDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTXMLPolyDataReader *op;

  vtkRTXMLPolyDataReader  *temp20;
  op = (vtkRTXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTXMLPolyDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTXMLPolyDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRTXMLPolyDataReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRTXMLPolyDataReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRTXMLPolyDataReader_SetLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTXMLPolyDataReader *op;

  char    *temp0;
  op = (vtkRTXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTXMLPolyDataReader::SetLocation(temp0);
      }
    else
      {
      op->SetLocation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTXMLPolyDataReader_GetDataLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTXMLPolyDataReader *op;

  char    *temp20;
  op = (vtkRTXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTXMLPolyDataReader::GetDataLocation();
      }
    else
      {
      temp20 = op->GetDataLocation();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRTXMLPolyDataReader_UpdateToNextFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTXMLPolyDataReader *op;

  op = (vtkRTXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTXMLPolyDataReader::UpdateToNextFile();
      }
    else
      {
      op->UpdateToNextFile();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTXMLPolyDataReader_NewDataAvailable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTXMLPolyDataReader *op;

  int      temp20;
  op = (vtkRTXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTXMLPolyDataReader::NewDataAvailable();
      }
    else
      {
      temp20 = op->NewDataAvailable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTXMLPolyDataReader_ResetReader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTXMLPolyDataReader *op;

  op = (vtkRTXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTXMLPolyDataReader::ResetReader();
      }
    else
      {
      op->ResetReader();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTXMLPolyDataReader_GetNextFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTXMLPolyDataReader *op;

  const char    *temp20;
  op = (vtkRTXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTXMLPolyDataReader::GetNextFileName();
      }
    else
      {
      temp20 = op->GetNextFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRTXMLPolyDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRTXMLPolyDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRTXMLPolyDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRTXMLPolyDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRTXMLPolyDataReader\nC++: vtkRTXMLPolyDataReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRTXMLPolyDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRTXMLPolyDataReader\nC++: vtkRTXMLPolyDataReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLocation",                (PyCFunction)PyvtkRTXMLPolyDataReader_SetLocation, 1,
   (char*)"V.SetLocation(string)\nC++: void SetLocation (const char *dataLocation);\n\n"},
  {(char*)"GetDataLocation",                (PyCFunction)PyvtkRTXMLPolyDataReader_GetDataLocation, 1,
   (char*)"V.GetDataLocation() -> string\nC++: char *GetDataLocation ();\n\n"},
  {(char*)"UpdateToNextFile",                (PyCFunction)PyvtkRTXMLPolyDataReader_UpdateToNextFile, 1,
   (char*)"V.UpdateToNextFile()\nC++: virtual void UpdateToNextFile ();\n\n Reader will read in the next available data file\n The filename is this->NextFileName maintained internally \n"},
  {(char*)"NewDataAvailable",                (PyCFunction)PyvtkRTXMLPolyDataReader_NewDataAvailable, 1,
   (char*)"V.NewDataAvailable() -> int\nC++: virtual int NewDataAvailable ();\n\n check if there is new data file available in the \n given DataLocation\n"},
  {(char*)"ResetReader",                (PyCFunction)PyvtkRTXMLPolyDataReader_ResetReader, 1,
   (char*)"V.ResetReader()\nC++: virtual void ResetReader ();\n\n ResetReader check the data directory specified in \n this->DataLocation, and reset the Internal data structure\n specifically: this->Internal->ProcessedFileList\n for monitoring the arriving new data files\n if SetDataLocation(char*) is set by the user, \n this ResetReader() should also be invoked. \n"},
  {(char*)"GetNextFileName",                (PyCFunction)PyvtkRTXMLPolyDataReader_GetNextFileName, 1,
   (char*)"V.GetNextFileName() -> string\nC++: const char *GetNextFileName ();\n\n Return the name of the next available data file\n assume NewDataAvailable() return VTK_OK\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRTXMLPolyDataReaderDoc[] = {
  (char*)"vtkRTXMLPolyDataReader - Read RealTime VTK XML PolyData files.\n\n",
  "Super Class:\n\n vtkXMLPolyDataReader\n\n",
  (char*)" vtkRTXMLPolyDataReader reads the VTK XML PolyData file format in real time.  \n\n",
  "See Also:\n\n\n",
  NULL
};

static vtkObjectBase *vtkRTXMLPolyDataReaderStaticNew()
{
  return vtkRTXMLPolyDataReader::New();
}

PyObject *PyVTKClass_vtkRTXMLPolyDataReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkRTXMLPolyDataReaderStaticNew,
                        PyvtkRTXMLPolyDataReaderMethods,
                        (char*)"vtkRTXMLPolyDataReader",modulename,
                        (char**)vtkRTXMLPolyDataReaderDoc,
                        PyVTKClass_vtkXMLPolyDataReaderNew(modulename));
}

