// python wrapper for vtkRectilinearGridReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRectilinearGridReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRectilinearGridReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRectilinearGridReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataReaderNew(char *); }

static PyObject *PyvtkRectilinearGridReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridReader *op;

  const char    *temp20;
  op = (vtkRectilinearGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkRectilinearGridReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridReader *op;

  vtkRectilinearGridReader  *temp20;
  op = (vtkRectilinearGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRectilinearGridReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRectilinearGridReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRectilinearGridReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridReader *op;

  vtkRectilinearGrid  *temp20;
  op = (vtkRectilinearGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkRectilinearGridReader *op;

  int      temp0;
  vtkRectilinearGrid  *temp20;
  PyErr_Clear();
  op = (vtkRectilinearGridReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridReader *op;

  vtkRectilinearGrid  *temp0;
  PyObject *tempH0;
  op = (vtkRectilinearGridReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRectilinearGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRectilinearGrid");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGridReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkRectilinearGridReader_ReadMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkRectilinearGridReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridReader::ReadMetaData(temp0);
      }
    else
      {
      temp20 = op->ReadMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkRectilinearGridReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRectilinearGridReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRectilinearGridReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRectilinearGridReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRectilinearGridReader\nC++: vtkRectilinearGridReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRectilinearGridReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRectilinearGridReader\nC++: vtkRectilinearGridReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkRectilinearGridReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *GetOutput ();\nV.GetOutput(int) -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *GetOutput (int idx);\n\n Get and set the output of this reader.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkRectilinearGridReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkRectilinearGrid)\nC++: void SetOutput (vtkRectilinearGrid *output);\n\n Get and set the output of this reader.\n"},
  {(char*)"ReadMetaData",                (PyCFunction)PyvtkRectilinearGridReader_ReadMetaData, 1,
   (char*)"V.ReadMetaData(vtkInformation) -> int\nC++: virtual int ReadMetaData (vtkInformation *outInfo);\n\n Read the meta information from the file.  This needs to be public to it\n can be accessed by vtkDataSetReader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRectilinearGridReaderDoc[] = {
  (char*)"vtkRectilinearGridReader - read vtk rectilinear grid data file\n\n",
  "Super Class:\n\n vtkDataReader\n\n",
  (char*)" vtkRectilinearGridReader is a source object that reads ASCII or binary \n rectilinear grid data files in vtk format (see text for format details).\n The output of this reader is a single vtkRectilinearGrid data object.\n The superclass of this class, vtkDataReader, provides many methods for\n controlling the reading of the data file, see vtkDataReader for more\n information.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  "See Also:\n\n vtkRectilinearGrid vtkDataReader\n\n",
  NULL
};

static vtkObjectBase *vtkRectilinearGridReaderStaticNew()
{
  return vtkRectilinearGridReader::New();
}

PyObject *PyVTKClass_vtkRectilinearGridReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkRectilinearGridReaderStaticNew,
                        PyvtkRectilinearGridReaderMethods,
                        (char*)"vtkRectilinearGridReader",modulename,
                        (char**)vtkRectilinearGridReaderDoc,
                        PyVTKClass_vtkDataReaderNew(modulename));
}

