// python wrapper for vtkRowQuery object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRowQuery.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRowQueryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRowQueryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkRowQuery_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  const char    *temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRowQuery::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQuery_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  char    *temp0;
  int      temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRowQuery::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQuery_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  vtkRowQuery  *temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRowQuery::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQuery_Execute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  bool   temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Execute();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQuery_GetNumberOfFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  int      temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQuery_GetFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  int      temp0;
  const char    *temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetFieldName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQuery_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  int      temp0;
  int      temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetFieldType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQuery_GetFieldIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  char    *temp0;
  int      temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRowQuery::GetFieldIndex(temp0);
      }
    else
      {
      temp20 = op->GetFieldIndex(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQuery_NextRow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  bool   temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->NextRow();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQuery_IsActive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  bool   temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsActive();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQuery_HasError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  bool   temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->HasError();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQuery_GetLastErrorText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQuery *op;

  const char    *temp20;
  op = (vtkRowQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetLastErrorText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRowQueryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRowQuery_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRowQuery_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRowQuery_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRowQuery\nC++: vtkRowQuery *NewInstance ();\n\n"},
  {(char*)"Execute",                (PyCFunction)PyvtkRowQuery_Execute, 1,
   (char*)"V.Execute() -> bool\nC++: virtual bool Execute () = 0;\n\n Execute the query.  This must be performed\n before any field name or data access functions\n are used.\n"},
  {(char*)"GetNumberOfFields",                (PyCFunction)PyvtkRowQuery_GetNumberOfFields, 1,
   (char*)"V.GetNumberOfFields() -> int\nC++: virtual int GetNumberOfFields () = 0;\n\n The number of fields in the query result.\n"},
  {(char*)"GetFieldName",                (PyCFunction)PyvtkRowQuery_GetFieldName, 1,
   (char*)"V.GetFieldName(int) -> string\nC++: virtual const char *GetFieldName (int i) = 0;\n\n Return the name of the specified query field.\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkRowQuery_GetFieldType, 1,
   (char*)"V.GetFieldType(int) -> int\nC++: virtual int GetFieldType (int i) = 0;\n\n Return the type of the field, using the constants defined in vtkType.h.\n"},
  {(char*)"GetFieldIndex",                (PyCFunction)PyvtkRowQuery_GetFieldIndex, 1,
   (char*)"V.GetFieldIndex(string) -> int\nC++: int GetFieldIndex (char *name);\n\n Return the index of the specified query field.\n Uses GetNumberOfFields() and GetFieldName()\n to match field name.\n"},
  {(char*)"NextRow",                (PyCFunction)PyvtkRowQuery_NextRow, 1,
   (char*)"V.NextRow() -> bool\nC++: virtual bool NextRow () = 0;\n\n Advance row, return false if past end.\n"},
  {(char*)"IsActive",                (PyCFunction)PyvtkRowQuery_IsActive, 1,
   (char*)"V.IsActive() -> bool\nC++: virtual bool IsActive () = 0;\n\n Return true if the query is active (i.e. execution was successful\n and results are ready to be fetched).  Returns false on error or\n inactive query.\n"},
  {(char*)"HasError",                (PyCFunction)PyvtkRowQuery_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: virtual bool HasError () = 0;\n\n Returns true if an error is set, otherwise false.\n"},
  {(char*)"GetLastErrorText",                (PyCFunction)PyvtkRowQuery_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: virtual const char *GetLastErrorText () = 0;\n\n Get the last error text from the query\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRowQueryDoc[] = {
  (char*)"vtkRowQuery - abstract interface for queries that return\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" The abstract superclass of query classes that return row-oriented (table)\n results.  A subclass will provide database-specific query parameters and\n implement the vtkRowQuery API to return query results:\n\n Execute() - Execute the query.  No results need to be retrieved at this\n             point, unless you are performing caching.\n\n GetNumberOfFields() - After Execute() is performed, returns the ",
  (char*)"number\n                       of fields in the query results.\n\n GetFieldName() - The name of the field at an index.\n\n GetFieldType() - The data type of the field at an index.\n\n NextRow() - Advances the query results by one row, and returns whether\n             there are more rows left in the query.\n\n DataValue() - Extract a single data value from the current row.\n\n .SECTION Thanks\n Thanks to Andre",
  (char*)"w Wilson from Sandia National Laboratories for his work\n on the database classes.\n\n\n",
  "See Also:\n\n vtkRowQueryToTable\n\n",
  NULL
};

PyObject *PyVTKClass_vtkRowQueryNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkRowQueryMethods,
                        (char*)"vtkRowQuery",modulename,
                        (char**)vtkRowQueryDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

