// python wrapper for vtkRowQueryToTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRowQueryToTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRowQueryToTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRowQueryToTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkRowQueryToTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQueryToTable *op;

  const char    *temp20;
  op = (vtkRowQueryToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRowQueryToTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQueryToTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQueryToTable *op;

  char    *temp0;
  int      temp20;
  op = (vtkRowQueryToTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRowQueryToTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQueryToTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQueryToTable *op;

  vtkRowQueryToTable  *temp20;
  op = (vtkRowQueryToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRowQueryToTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQueryToTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRowQueryToTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRowQueryToTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRowQueryToTable_SetQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQueryToTable *op;

  vtkRowQuery  *temp0;
  PyObject *tempH0;
  op = (vtkRowQueryToTable *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRowQuery *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRowQuery");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkRowQueryToTable::SetQuery(temp0);
      }
    else
      {
      op->SetQuery(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkRowQueryToTable_GetQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQueryToTable *op;

  vtkRowQuery  *temp20;
  op = (vtkRowQueryToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRowQueryToTable::GetQuery();
      }
    else
      {
      temp20 = op->GetQuery();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRowQueryToTable_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRowQueryToTable *op;

  unsigned long     temp20;
  op = (vtkRowQueryToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRowQueryToTable::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRowQueryToTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRowQueryToTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRowQueryToTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRowQueryToTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRowQueryToTable\nC++: vtkRowQueryToTable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRowQueryToTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRowQueryToTable\nC++: vtkRowQueryToTable *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetQuery",                (PyCFunction)PyvtkRowQueryToTable_SetQuery, 1,
   (char*)"V.SetQuery(vtkRowQuery)\nC++: void SetQuery (vtkRowQuery *query);\n\n The query to execute.\n"},
  {(char*)"GetQuery",                (PyCFunction)PyvtkRowQueryToTable_GetQuery, 1,
   (char*)"V.GetQuery() -> vtkRowQuery\nC++: vtkRowQuery *GetQuery ();\n\n The query to execute.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkRowQueryToTable_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Update the modified time based on the query.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRowQueryToTableDoc[] = {
  (char*)"vtkRowQueryToTable - executes an sql query and retrieves results into a table\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" vtkRowQueryToTable creates a vtkTable with the results of an arbitrary SQL\n query.  To use this filter, you first need an instance of a vtkSQLDatabase\n subclass.  You may use the database class to obtain a vtkRowQuery instance.\n Set that query on this filter to extract the query as a table.\n\n .SECTION Thanks\n Thanks to Andrew Wilson from Sandia National Laboratories for his work\n on the database ",
  (char*)"classes.\n\n\n",
  "See Also:\n\n vtkSQLDatabase vtkRowQuery\n\n",
  NULL
};

static vtkObjectBase *vtkRowQueryToTableStaticNew()
{
  return vtkRowQueryToTable::New();
}

PyObject *PyVTKClass_vtkRowQueryToTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkRowQueryToTableStaticNew,
                        PyvtkRowQueryToTableMethods,
                        (char*)"vtkRowQueryToTable",modulename,
                        (char**)vtkRowQueryToTableDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

