// python wrapper for vtkSESAMEReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSESAMEReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSESAMEReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSESAMEReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRectilinearGridSourceNew(char *); }

static PyObject *PyvtkSESAMEReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  const char    *temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  vtkSESAMEReader  *temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSESAMEReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSESAMEReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSESAMEReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  char    *temp0;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSESAMEReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  const char    *temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_IsValidFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  int      temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::IsValidFile();
      }
    else
      {
      temp20 = op->IsValidFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_GetNumberOfTableIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  int      temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::GetNumberOfTableIds();
      }
    else
      {
      temp20 = op->GetNumberOfTableIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_GetTableIdsAsArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  vtkIntArray  *temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::GetTableIdsAsArray();
      }
    else
      {
      temp20 = op->GetTableIdsAsArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_SetTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  int      temp0;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSESAMEReader::SetTable(temp0);
      }
    else
      {
      op->SetTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_GetTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  int      temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::GetTable();
      }
    else
      {
      temp20 = op->GetTable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_GetNumberOfTableArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  int      temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::GetNumberOfTableArrayNames();
      }
    else
      {
      temp20 = op->GetNumberOfTableArrayNames();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_GetNumberOfTableArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  int      temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::GetNumberOfTableArrays();
      }
    else
      {
      temp20 = op->GetNumberOfTableArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_GetTableArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::GetTableArrayName(temp0);
      }
    else
      {
      temp20 = op->GetTableArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_SetTableArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSESAMEReader::SetTableArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetTableArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSESAMEReader_GetTableArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSESAMEReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkSESAMEReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSESAMEReader::GetTableArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetTableArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSESAMEReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSESAMEReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSESAMEReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSESAMEReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSESAMEReader\nC++: vtkSESAMEReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSESAMEReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSESAMEReader\nC++: vtkSESAMEReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkSESAMEReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (const char *file);\n\n Set the filename to read\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkSESAMEReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: const char *GetFileName ();\n\n Get the filename to read\n"},
  {(char*)"IsValidFile",                (PyCFunction)PyvtkSESAMEReader_IsValidFile, 1,
   (char*)"V.IsValidFile() -> int\nC++: int IsValidFile ();\n\n Return whether this is a valid file\n"},
  {(char*)"GetNumberOfTableIds",                (PyCFunction)PyvtkSESAMEReader_GetNumberOfTableIds, 1,
   (char*)"V.GetNumberOfTableIds() -> int\nC++: int GetNumberOfTableIds ();\n\n Get the number of tables in this file\n"},
  {(char*)"GetTableIdsAsArray",                (PyCFunction)PyvtkSESAMEReader_GetTableIdsAsArray, 1,
   (char*)"V.GetTableIdsAsArray() -> vtkIntArray\nC++: vtkIntArray *GetTableIdsAsArray ();\n\n Returns the table ids in a data array.\n"},
  {(char*)"SetTable",                (PyCFunction)PyvtkSESAMEReader_SetTable, 1,
   (char*)"V.SetTable(int)\nC++: void SetTable (int tableId);\n\n Set the table to read in\n"},
  {(char*)"GetTable",                (PyCFunction)PyvtkSESAMEReader_GetTable, 1,
   (char*)"V.GetTable() -> int\nC++: int GetTable ();\n\n Get the table to read in\n"},
  {(char*)"GetNumberOfTableArrayNames",                (PyCFunction)PyvtkSESAMEReader_GetNumberOfTableArrayNames, 1,
   (char*)"V.GetNumberOfTableArrayNames() -> int\nC++: int GetNumberOfTableArrayNames ();\n\n Get the number of arrays for the table to read\n"},
  {(char*)"GetNumberOfTableArrays",                (PyCFunction)PyvtkSESAMEReader_GetNumberOfTableArrays, 1,
   (char*)"V.GetNumberOfTableArrays() -> int\nC++: int GetNumberOfTableArrays ();return this GetNumberOfTableArrayNames \n\n Get the names of arrays for the table to read\n"},
  {(char*)"GetTableArrayName",                (PyCFunction)PyvtkSESAMEReader_GetTableArrayName, 1,
   (char*)"V.GetTableArrayName(int) -> string\nC++: const char *GetTableArrayName (int index);\n\n Get the names of arrays for the table to read\n"},
  {(char*)"SetTableArrayStatus",                (PyCFunction)PyvtkSESAMEReader_SetTableArrayStatus, 1,
   (char*)"V.SetTableArrayStatus(string, int)\nC++: void SetTableArrayStatus (const char *name, int flag);\n\n Set whether to read a table array\n"},
  {(char*)"GetTableArrayStatus",                (PyCFunction)PyvtkSESAMEReader_GetTableArrayStatus, 1,
   (char*)"V.GetTableArrayStatus(string) -> int\nC++: int GetTableArrayStatus (const char *name);\n\n Set whether to read a table array\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSESAMEReaderDoc[] = {
  (char*)"vtkSESAMEReader - read SESAME files\n\n",
  "Super Class:\n\n vtkRectilinearGridSource\n\n",
  (char*)" vtkSESAMEReader is a source object that reads SESAME files.\n Currently supported tables include 301, 304, 502, 503, 504, 505, 602\n\n SESAMEReader creates rectilinear grid datasets. The dimension of the \n dataset depends upon the number of densities and temperatures in the table.\n Values at certain temperatures and densities are stored as scalars.\n\n\n",
  NULL
};

static vtkObjectBase *vtkSESAMEReaderStaticNew()
{
  return vtkSESAMEReader::New();
}

PyObject *PyVTKClass_vtkSESAMEReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkSESAMEReaderStaticNew,
                        PyvtkSESAMEReaderMethods,
                        (char*)"vtkSESAMEReader",modulename,
                        (char**)vtkSESAMEReaderDoc,
                        PyVTKClass_vtkRectilinearGridSourceNew(modulename));
}

