// python wrapper for vtkSLCReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSLCReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSLCReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSLCReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReader2New(char *); }

static PyObject *PyvtkSLCReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLCReader *op;

  const char    *temp20;
  op = (vtkSLCReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLCReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSLCReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLCReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkSLCReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLCReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLCReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLCReader *op;

  vtkSLCReader  *temp20;
  op = (vtkSLCReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLCReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLCReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSLCReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSLCReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSLCReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLCReader *op;

  char    *temp0;
  op = (vtkSLCReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLCReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLCReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLCReader *op;

  char    *temp20;
  op = (vtkSLCReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLCReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSLCReader_GetError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLCReader *op;

  int      temp20;
  op = (vtkSLCReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLCReader::GetError();
      }
    else
      {
      temp20 = op->GetError();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLCReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLCReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkSLCReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLCReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLCReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLCReader *op;

  const char    *temp20;
  op = (vtkSLCReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLCReader::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSLCReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLCReader *op;

  const char    *temp20;
  op = (vtkSLCReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLCReader::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSLCReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSLCReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSLCReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSLCReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSLCReader\nC++: vtkSLCReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSLCReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSLCReader\nC++: vtkSLCReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkSLCReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set/Get the name of the file to read.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkSLCReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set/Get the name of the file to read.\n"},
  {(char*)"GetError",                (PyCFunction)PyvtkSLCReader_GetError, 1,
   (char*)"V.GetError() -> int\nC++: int GetError ();\n\n Was there an error on the last read performed?\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkSLCReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: int CanReadFile (const char *fname);\n\n Is the given file an SLC file?\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkSLCReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n SLC \n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkSLCReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSLCReaderDoc[] = {
  (char*)"vtkSLCReader - read an SLC volume file.\n\n",
  "Super Class:\n\n vtkImageReader2\n\n",
  (char*)" vtkSLCReader reads an SLC file and creates a structured point dataset.\n The size of the volume and the data spacing is set from the SLC file\n header.\n\n",
  NULL
};

static vtkObjectBase *vtkSLCReaderStaticNew()
{
  return vtkSLCReader::New();
}

PyObject *PyVTKClass_vtkSLCReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkSLCReaderStaticNew,
                        PyvtkSLCReaderMethods,
                        (char*)"vtkSLCReader",modulename,
                        (char**)vtkSLCReaderDoc,
                        PyVTKClass_vtkImageReader2New(modulename));
}

