// python wrapper for vtkSQLDatabase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSQLDatabase.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSQLDatabaseNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSQLDatabaseNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkSQLDatabase_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  const char    *temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabase::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  char    *temp0;
  int      temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabase::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  vtkSQLDatabase  *temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabase::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_Open(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  bool   temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Open();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_Close(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Close();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_IsOpen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  bool   temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsOpen();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_GetQueryInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  vtkSQLQuery  *temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetQueryInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_HasError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  bool   temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->HasError();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_GetLastErrorText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  const char    *temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetLastErrorText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_GetDatabaseType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  char    *temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDatabaseType();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_GetTables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  vtkStringArray  *temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetTables();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_GetRecord(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  char    *temp0;
  vtkStringArray  *temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetRecord(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_IsSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  int      temp0;
  bool   temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabase::IsSupported(temp0);
      }
    else
      {
      temp20 = op->IsSupported(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_GetURL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  const char    *temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetURL();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_GetTablePreamble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  bool   temp0;
  const char    *temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabase::GetTablePreamble(temp0);
      }
    else
      {
      temp20 = op->GetTablePreamble(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_GetColumnSpecification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  vtkSQLDatabaseSchema  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkSQLDatabaseSchema *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSQLDatabaseSchema");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabase::GetColumnSpecification(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetColumnSpecification(temp0,temp1,temp2);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkSQLDatabase_GetTriggerSpecification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  vtkSQLDatabaseSchema  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkSQLDatabaseSchema *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSQLDatabaseSchema");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabase::GetTriggerSpecification(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetTriggerSpecification(temp0,temp1,temp2);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkSQLDatabase_CreateFromURL(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkSQLDatabase  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkSQLDatabase::CreateFromURL(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabase_EffectSchema(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabase *op;

  vtkSQLDatabaseSchema  *temp0;
  PyObject *tempH0;
  bool   temp1;
  bool   temp20;
  op = (vtkSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"Ob", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkSQLDatabaseSchema *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSQLDatabaseSchema");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabase::EffectSchema(temp0,temp1);
      }
    else
      {
      temp20 = op->EffectSchema(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break18:
  return NULL;
}

static PyMethodDef PyvtkSQLDatabaseMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSQLDatabase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSQLDatabase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSQLDatabase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSQLDatabase\nC++: vtkSQLDatabase *NewInstance ();\n\n"},
  {(char*)"Open",                (PyCFunction)PyvtkSQLDatabase_Open, 1,
   (char*)"V.Open() -> bool\nC++: virtual bool Open () = 0;\n\n Open a new connection to the database.\n You need to set up any database parameters before calling this function.\n Returns true is the database was opened sucessfully, and false otherwise.\n"},
  {(char*)"Close",                (PyCFunction)PyvtkSQLDatabase_Close, 1,
   (char*)"V.Close()\nC++: virtual void Close () = 0;\n\n Close the connection to the database.\n"},
  {(char*)"IsOpen",                (PyCFunction)PyvtkSQLDatabase_IsOpen, 1,
   (char*)"V.IsOpen() -> bool\nC++: virtual bool IsOpen () = 0;\n\n Return whether the database has an open connection.\n"},
  {(char*)"GetQueryInstance",                (PyCFunction)PyvtkSQLDatabase_GetQueryInstance, 1,
   (char*)"V.GetQueryInstance() -> vtkSQLQuery\nC++: virtual vtkSQLQuery *GetQueryInstance () = 0;\n\n Return an empty query on this database.\n"},
  {(char*)"HasError",                (PyCFunction)PyvtkSQLDatabase_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: virtual bool HasError () = 0;\n\n Did the last operation generate an error\n"},
  {(char*)"GetLastErrorText",                (PyCFunction)PyvtkSQLDatabase_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: virtual const char *GetLastErrorText () = 0;\n\n Get the last error text from the database\n I'm using const so that people do NOT\n use the standard vtkGetStringMacro in their\n implementation, because 99% of the time that\n will not be the correct thing to do...\n"},
  {(char*)"GetDatabaseType",                (PyCFunction)PyvtkSQLDatabase_GetDatabaseType, 1,
   (char*)"V.GetDatabaseType() -> string\nC++: virtual char *GetDatabaseType () = 0;\n\n Get the type of the database (e.g. mysql, psql,..).\n"},
  {(char*)"GetTables",                (PyCFunction)PyvtkSQLDatabase_GetTables, 1,
   (char*)"V.GetTables() -> vtkStringArray\nC++: virtual vtkStringArray *GetTables () = 0;\n\n Get the list of tables from the database.\n"},
  {(char*)"GetRecord",                (PyCFunction)PyvtkSQLDatabase_GetRecord, 1,
   (char*)"V.GetRecord(string) -> vtkStringArray\nC++: virtual vtkStringArray *GetRecord (const char *table) = 0;\n\n Get the list of fields for a particular table.\n"},
  {(char*)"IsSupported",                (PyCFunction)PyvtkSQLDatabase_IsSupported, 1,
   (char*)"V.IsSupported(int) -> bool\nC++: virtual bool IsSupported (int );return false \n\n Get the URL of the database.\n"},
  {(char*)"GetURL",                (PyCFunction)PyvtkSQLDatabase_GetURL, 1,
   (char*)"V.GetURL() -> string\nC++: virtual vtkStdString GetURL () = 0;\n\n Get the URL of the database.\n"},
  {(char*)"GetTablePreamble",                (PyCFunction)PyvtkSQLDatabase_GetTablePreamble, 1,
   (char*)"V.GetTablePreamble(bool) -> string\nC++: virtual vtkStdString GetTablePreamble (bool );return vtkStdString \n\n Return the SQL string with the syntax to create a column inside a\n \"CREATE TABLE\" SQL statement.\n NB: this method implements the following minimally-portable syntax:\n <column name> <column type> <column attributes>\n It must be overwritten for those SQL backends which have a different \n syntax such as, e.g., MySQL.\n"},
  {(char*)"GetColumnSpecification",                (PyCFunction)PyvtkSQLDatabase_GetColumnSpecification, 1,
   (char*)"V.GetColumnSpecification(vtkSQLDatabaseSchema, int, int) -> string\nC++: virtual vtkStdString GetColumnSpecification (vtkSQLDatabaseSchema *schema, int tblHandle, int colHandle);\n\n Return the SQL string with the syntax to create a column inside a\n \"CREATE TABLE\" SQL statement.\n NB: this method implements the following minimally-portable syntax:\n <column name> <column type> <column attributes>\n It must be overwritten for those SQL backends which have a different \n syntax such as, e.g., MySQL.\n"},
  {(char*)"GetTriggerSpecification",                (PyCFunction)PyvtkSQLDatabase_GetTriggerSpecification, 1,
   (char*)"V.GetTriggerSpecification(vtkSQLDatabaseSchema, int, int) -> string\nC++: virtual vtkStdString GetTriggerSpecification (vtkSQLDatabaseSchema *schema, int tblHandle, int trgHandle);\n\n Return the SQL string with the syntax to create a trigger using a\n \"CREATE TRIGGER\" SQL statement.\n NB1: support is contingent on VTK_FEATURE_TRIGGERS being recognized as\n a supported feature. Not all backends (e.g., SQLite) support it.\n NB2: this method implements the following minimally-portable syntax:\n <trigger name> {BEFORE | AFTER} <event> ON <table name> FOR EACH ROW <trigger action>\n It must be overwritten for those SQL backends which have a different \n syntax such as, e.g., PostgreSQL.\n"},
  {(char*)"CreateFromURL",                (PyCFunction)PyvtkSQLDatabase_CreateFromURL, 1,
   (char*)"V.CreateFromURL(string) -> vtkSQLDatabase\nC++: static vtkSQLDatabase *CreateFromURL (const char *URL);\n\n Create a the proper subclass given a URL.\n The URL format for SQL databases is a true URL of the form:\n   'protocol://'[[username[':'password]'@']hostname[':'port]]'/'[dbname] .\n"},
  {(char*)"EffectSchema",                (PyCFunction)PyvtkSQLDatabase_EffectSchema, 1,
   (char*)"V.EffectSchema(vtkSQLDatabaseSchema, bool) -> bool\nC++: virtual bool EffectSchema (vtkSQLDatabaseSchema *, bool dropIfExistsfalse);\n\n Effect a database schema.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSQLDatabaseDoc[] = {
  (char*)"vtkSQLDatabase - maintain a connection to an sql database\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Abstract base class for all SQL database connection classes.\n Manages a connection to the database, and is responsible for creating\n instances of the associated vtkSQLQuery objects associated with this\n class in order to perform execute queries on the database.\n To allow connections to a new type of database, create both a subclass\n of this class and vtkSQLQuery, and implement the required functi",
  (char*)"ons:\n\n Open() - open the database connection, if possible.\n Close() - close the connection.\n GetQueryInstance() - create and return an instance of the vtkSQLQuery\n                      subclass associated with the database type.\n\n The subclass should also provide API to set connection parameters.\n\n This class also provides the function EffectSchema to transform a \n database schema into a SQL datab",
  (char*)"ase.\n\n .SECTION Thanks\n Thanks to Andrew Wilson from Sandia National Laboratories for his work\n on the database classes and for the SQLite example. Thanks to David Thompson \n and Philippe Pebay from Sandia National Laboratories for implementing\n this class.\n\n\n",
  "See Also:\n\n vtkSQLQuery\n vtkSQLDatabaseSchema\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSQLDatabaseNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSQLDatabaseMethods,
                        (char*)"vtkSQLDatabase",modulename,
                        (char**)vtkSQLDatabaseDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

