// tcl wrapper for vtkSQLDatabase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLDatabase.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSQLDatabaseCppCommand(vtkSQLDatabase *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSQLDatabaseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSQLDatabaseCppCommand(static_cast<vtkSQLDatabase *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSQLDatabaseCppCommand(vtkSQLDatabase *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSQLDatabase",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSQLDatabase  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLDatabase");
    return TCL_OK;
    }
  if ((!strcmp("Open",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->Open();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Close",argv[1]))&&(argc == 2))
    {
    op->Close();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsOpen",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsOpen();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetQueryInstance",argv[1]))&&(argc == 2))
    {
    vtkSQLQuery  *temp20;
    temp20 = (op)->GetQueryInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLQuery");
    return TCL_OK;
    }
  if ((!strcmp("HasError",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasError();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastErrorText",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLastErrorText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDatabaseType",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDatabaseType();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetTables",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetTables();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("GetRecord",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkStringArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetRecord(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("IsSupported",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsSupported(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetURL",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetURL();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetTablePreamble",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->GetTablePreamble(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumnSpecification",argv[1]))&&(argc == 5))
    {
    vtkSQLDatabaseSchema  *temp0;
    int      temp1;
    int      temp2;
    const char    *temp20;
    error = 0;

    temp0 = (vtkSQLDatabaseSchema *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSQLDatabaseSchema"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColumnSpecification(temp0,temp1,temp2);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTriggerSpecification",argv[1]))&&(argc == 5))
    {
    vtkSQLDatabaseSchema  *temp0;
    int      temp1;
    int      temp2;
    const char    *temp20;
    error = 0;

    temp0 = (vtkSQLDatabaseSchema *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSQLDatabaseSchema"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTriggerSpecification(temp0,temp1,temp2);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateFromURL",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkSQLDatabase  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CreateFromURL(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLDatabase");
    return TCL_OK;
    }
    }
  if ((!strcmp("EffectSchema",argv[1]))&&(argc == 4))
    {
    vtkSQLDatabaseSchema  *temp0;
    bool   temp1;
    bool   temp20;
    error = 0;

    temp0 = (vtkSQLDatabaseSchema *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSQLDatabaseSchema"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->EffectSchema(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSQLDatabaseCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSQLDatabase:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Open\n",NULL);
    Tcl_AppendResult(interp,"  Close\n",NULL);
    Tcl_AppendResult(interp,"  IsOpen\n",NULL);
    Tcl_AppendResult(interp,"  GetQueryInstance\n",NULL);
    Tcl_AppendResult(interp,"  HasError\n",NULL);
    Tcl_AppendResult(interp,"  GetLastErrorText\n",NULL);
    Tcl_AppendResult(interp,"  GetDatabaseType\n",NULL);
    Tcl_AppendResult(interp,"  GetTables\n",NULL);
    Tcl_AppendResult(interp,"  GetRecord\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsSupported\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetURL\n",NULL);
    Tcl_AppendResult(interp,"  GetTablePreamble\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnSpecification\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTriggerSpecification\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateFromURL\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EffectSchema\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Open" );
    Tcl_DStringAppendElement ( &dString, "Close" );
    Tcl_DStringAppendElement ( &dString, "IsOpen" );
    Tcl_DStringAppendElement ( &dString, "GetQueryInstance" );
    Tcl_DStringAppendElement ( &dString, "HasError" );
    Tcl_DStringAppendElement ( &dString, "GetLastErrorText" );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseType" );
    Tcl_DStringAppendElement ( &dString, "GetTables" );
    Tcl_DStringAppendElement ( &dString, "GetRecord" );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    Tcl_DStringAppendElement ( &dString, "GetURL" );
    Tcl_DStringAppendElement ( &dString, "GetTablePreamble" );
    Tcl_DStringAppendElement ( &dString, "GetColumnSpecification" );
    Tcl_DStringAppendElement ( &dString, "GetTriggerSpecification" );
    Tcl_DStringAppendElement ( &dString, "CreateFromURL" );
    Tcl_DStringAppendElement ( &dString, "EffectSchema" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Open */
    if ( strcmp ( argv[2], "Open" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Open" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Open */
    Tcl_DStringAppendElement ( &dString, " Open a new connection to the database.\n You need to set up any database parameters before calling this function.\n Returns true is the database was opened sucessfully, and false otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool Open () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for Open */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Close */
    if ( strcmp ( argv[2], "Close" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Close" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Close */
    Tcl_DStringAppendElement ( &dString, " Close the connection to the database.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Close () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for Close */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsOpen */
    if ( strcmp ( argv[2], "IsOpen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsOpen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsOpen */
    Tcl_DStringAppendElement ( &dString, " Return whether the database has an open connection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsOpen () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for IsOpen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQueryInstance */
    if ( strcmp ( argv[2], "GetQueryInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQueryInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQueryInstance */
    Tcl_DStringAppendElement ( &dString, " Return an empty query on this database.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkSQLQuery *GetQueryInstance () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for GetQueryInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasError */
    if ( strcmp ( argv[2], "HasError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasError */
    Tcl_DStringAppendElement ( &dString, " Did the last operation generate an error\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool HasError () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for HasError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastErrorText */
    if ( strcmp ( argv[2], "GetLastErrorText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastErrorText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastErrorText */
    Tcl_DStringAppendElement ( &dString, " Get the last error text from the database\n I'm using const so that people do NOT\n use the standard vtkGetStringMacro in their\n implementation, because 99% of the time that\n will not be the correct thing to do...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetLastErrorText () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for GetLastErrorText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDatabaseType */
    if ( strcmp ( argv[2], "GetDatabaseType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDatabaseType */
    Tcl_DStringAppendElement ( &dString, " Get the type of the database (e.g. mysql, psql,..).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetDatabaseType () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for GetDatabaseType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTables */
    if ( strcmp ( argv[2], "GetTables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTables */
    Tcl_DStringAppendElement ( &dString, " Get the list of tables from the database.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetTables () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for GetTables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRecord */
    if ( strcmp ( argv[2], "GetRecord" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRecord" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRecord */
    Tcl_DStringAppendElement ( &dString, " Get the list of fields for a particular table.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStringArray *GetRecord (const char *table) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for GetRecord */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsSupported */
    if ( strcmp ( argv[2], "IsSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsSupported */
    Tcl_DStringAppendElement ( &dString, " Get the URL of the database.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsSupported (int );return false " );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for IsSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetURL */
    if ( strcmp ( argv[2], "GetURL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetURL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetURL */
    Tcl_DStringAppendElement ( &dString, " Get the URL of the database.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetURL () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for GetURL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTablePreamble */
    if ( strcmp ( argv[2], "GetTablePreamble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTablePreamble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTablePreamble */
    Tcl_DStringAppendElement ( &dString, " Return the SQL string with the syntax to create a column inside a\n \"CREATE TABLE\" SQL statement.\n NB: this method implements the following minimally-portable syntax:\n <column name> <column type> <column attributes>\n It must be overwritten for those SQL backends which have a different \n syntax such as, e.g., MySQL.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetTablePreamble (bool );return vtkStdString " );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for GetTablePreamble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnSpecification */
    if ( strcmp ( argv[2], "GetColumnSpecification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnSpecification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnSpecification */
    Tcl_DStringAppendElement ( &dString, " Return the SQL string with the syntax to create a column inside a\n \"CREATE TABLE\" SQL statement.\n NB: this method implements the following minimally-portable syntax:\n <column name> <column type> <column attributes>\n It must be overwritten for those SQL backends which have a different \n syntax such as, e.g., MySQL.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetColumnSpecification (vtkSQLDatabaseSchema *schema, int tblHandle, int colHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for GetColumnSpecification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTriggerSpecification */
    if ( strcmp ( argv[2], "GetTriggerSpecification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTriggerSpecification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTriggerSpecification */
    Tcl_DStringAppendElement ( &dString, " Return the SQL string with the syntax to create a trigger using a\n \"CREATE TRIGGER\" SQL statement.\n NB1: support is contingent on VTK_FEATURE_TRIGGERS being recognized as\n a supported feature. Not all backends (e.g., SQLite) support it.\n NB2: this method implements the following minimally-portable syntax:\n <trigger name> {BEFORE | AFTER} <event> ON <table name> FOR EACH ROW <trigger action>\n It must be overwritten for those SQL backends which have a different \n syn ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetTriggerSpecification (vtkSQLDatabaseSchema *schema, int tblHandle, int trgHandle);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for GetTriggerSpecification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateFromURL */
    if ( strcmp ( argv[2], "CreateFromURL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateFromURL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateFromURL */
    Tcl_DStringAppendElement ( &dString, " Create a the proper subclass given a URL.\n The URL format for SQL databases is a true URL of the form:\n   'protocol://'\\[\\[username\\[':'password\\]'@'\\]hostname\\[':'port\\]\\]'/'\\[dbname\\] .\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSQLDatabase *CreateFromURL (const char *URL);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for CreateFromURL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EffectSchema */
    if ( strcmp ( argv[2], "EffectSchema" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EffectSchema" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabaseSchema" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EffectSchema */
    Tcl_DStringAppendElement ( &dString, " Effect a database schema.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool EffectSchema (vtkSQLDatabaseSchema *, bool dropIfExistsfalse);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLDatabase" );
    /* Closing for EffectSchema */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
