// python wrapper for vtkSQLQuery object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSQLQuery.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSQLQueryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSQLQueryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRowQueryNew(char *); }

static PyObject *PyvtkSQLQuery_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  const char    *temp20;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLQuery::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLQuery_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  char    *temp0;
  int      temp20;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLQuery::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLQuery_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  vtkSQLQuery  *temp20;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLQuery::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLQuery_GetQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  char    *temp20;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLQuery::GetQuery();
      }
    else
      {
      temp20 = op->GetQuery();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLQuery_SetQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  char    *temp0;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLQuery::SetQuery(temp0);
      }
    else
      {
      op->SetQuery(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLQuery_IsActive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  bool   temp20;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLQuery::IsActive();
      }
    else
      {
      temp20 = op->IsActive();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLQuery_Execute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  bool   temp20;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Execute();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLQuery_BeginTransaction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  bool   temp20;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLQuery::BeginTransaction();
      }
    else
      {
      temp20 = op->BeginTransaction();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLQuery_CommitTransaction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  bool   temp20;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLQuery::CommitTransaction();
      }
    else
      {
      temp20 = op->CommitTransaction();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLQuery_RollbackTransaction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  bool   temp20;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLQuery::RollbackTransaction();
      }
    else
      {
      temp20 = op->RollbackTransaction();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLQuery_GetDatabase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  vtkSQLDatabase  *temp20;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLQuery::GetDatabase();
      }
    else
      {
      temp20 = op->GetDatabase();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLQuery_EscapeString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLQuery *op;

  char    *temp0;
  bool   temp1;
  char    *temp20;
  op = (vtkSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"zb", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLQuery::EscapeString(temp0,temp1);
      }
    else
      {
      temp20 = op->EscapeString(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSQLQueryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSQLQuery_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSQLQuery_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSQLQuery_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSQLQuery\nC++: vtkSQLQuery *NewInstance ();\n\n"},
  {(char*)"GetQuery",                (PyCFunction)PyvtkSQLQuery_GetQuery, 1,
   (char*)"V.GetQuery() -> string\nC++: char *GetQuery ();\n\n The query string to be executed.\n"},
  {(char*)"SetQuery",                (PyCFunction)PyvtkSQLQuery_SetQuery, 1,
   (char*)"V.SetQuery(string)\nC++: void SetQuery (char *);\n\n The query string to be executed.\n"},
  {(char*)"IsActive",                (PyCFunction)PyvtkSQLQuery_IsActive, 1,
   (char*)"V.IsActive() -> bool\nC++: bool IsActive ();return this Active \n\n Execute the query.  This must be performed\n before any field name or data access functions\n are used.\n"},
  {(char*)"Execute",                (PyCFunction)PyvtkSQLQuery_Execute, 1,
   (char*)"V.Execute() -> bool\nC++: virtual bool Execute () = 0;\n\n Execute the query.  This must be performed\n before any field name or data access functions\n are used.\n"},
  {(char*)"BeginTransaction",                (PyCFunction)PyvtkSQLQuery_BeginTransaction, 1,
   (char*)"V.BeginTransaction() -> bool\nC++: virtual bool BeginTransaction ();return true \n\n Begin, commit, or roll back a transaction.  If the underlying\n database does not support transactions these calls will do\n nothing.\n"},
  {(char*)"CommitTransaction",                (PyCFunction)PyvtkSQLQuery_CommitTransaction, 1,
   (char*)"V.CommitTransaction() -> bool\nC++: virtual bool CommitTransaction ();return true \n\n Begin, commit, or roll back a transaction.  If the underlying\n database does not support transactions these calls will do\n nothing.\n"},
  {(char*)"RollbackTransaction",                (PyCFunction)PyvtkSQLQuery_RollbackTransaction, 1,
   (char*)"V.RollbackTransaction() -> bool\nC++: virtual bool RollbackTransaction ();return true \n\n Return the database associated with the query.\n"},
  {(char*)"GetDatabase",                (PyCFunction)PyvtkSQLQuery_GetDatabase, 1,
   (char*)"V.GetDatabase() -> vtkSQLDatabase\nC++: vtkSQLDatabase *GetDatabase ();\n\n Return the database associated with the query.\n"},
  {(char*)"EscapeString",                (PyCFunction)PyvtkSQLQuery_EscapeString, 1,
   (char*)"V.EscapeString(string, bool) -> string\nC++: char *EscapeString (const char *src, bool addSurroundingQuotes);\n\n Escape a string for inclusion into an SQL query.\n This method exists to provide a wrappable version of\n the method that takes and returns vtkStdString objects.\n You are responsible for calling delete [] on the\n character array returned by this method.\n This method simply calls the vtkStdString variant and thus\n need not be re-implemented by subclasses.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSQLQueryDoc[] = {
  (char*)"vtkSQLQuery - executes an sql query and retrieves results\n\n",
  "Super Class:\n\n vtkRowQuery\n\n",
  (char*)" The abstract superclass of SQL query classes.  Instances of subclasses\n of vtkSQLQuery are created using the GetQueryInstance() function in\n vtkSQLDatabase.  To implement a query connection for a new database\n type, subclass both vtkSQLDatabase and vtkSQLQuery, and implement the\n required functions.  For the query class, this involves the following:\n\n Execute() - Execute the query on the database",
  (char*)".  No results need to be\n             retrieved at this point, unless you are performing caching.\n\n GetNumberOfFields() - After Execute() is performed, returns the number\n                       of fields in the query results.\n\n GetFieldName() - The name of the field at an index.\n\n GetFieldType() - The data type of the field at an index.\n\n NextRow() - Advances the query results by one row, and retu",
  (char*)"rns whether\n             there are more rows left in the query.\n\n DataValue() - Extract a single data value from the current row.\n\n Begin/Rollback/CommitTransaction() - These methods are optional but\n recommended if the database supports transactions.\n\n .SECTION Thanks\n Thanks to Andrew Wilson from Sandia National Laboratories for his work\n on the database classes.\n\n\n",
  "See Also:\n\n vtkSQLDatabase\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSQLQueryNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSQLQueryMethods,
                        (char*)"vtkSQLQuery",modulename,
                        (char**)vtkSQLQueryDoc,
                        PyVTKClass_vtkRowQueryNew(modulename));
}

