// python wrapper for vtkSQLiteDatabase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSQLiteDatabase.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSQLiteDatabaseNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSQLiteDatabaseNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSQLDatabaseNew(char *); }

static PyObject *PyvtkSQLiteDatabase_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  const char    *temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  char    *temp0;
  int      temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  vtkSQLiteDatabase  *temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSQLiteDatabase  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSQLiteDatabase::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_Open(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  bool   temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::Open();
      }
    else
      {
      temp20 = op->Open();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_Close(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLiteDatabase::Close();
      }
    else
      {
      op->Close();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_IsOpen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  bool   temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::IsOpen();
      }
    else
      {
      temp20 = op->IsOpen();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_GetQueryInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  vtkSQLQuery  *temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::GetQueryInstance();
      }
    else
      {
      temp20 = op->GetQueryInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_GetTables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  vtkStringArray  *temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::GetTables();
      }
    else
      {
      temp20 = op->GetTables();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_GetRecord(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  char    *temp0;
  vtkStringArray  *temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::GetRecord(temp0);
      }
    else
      {
      temp20 = op->GetRecord(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_IsSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  int      temp0;
  bool   temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::IsSupported(temp0);
      }
    else
      {
      temp20 = op->IsSupported(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_HasError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  bool   temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::HasError();
      }
    else
      {
      temp20 = op->HasError();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_GetLastErrorText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  const char    *temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::GetLastErrorText();
      }
    else
      {
      temp20 = op->GetLastErrorText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_GetDatabaseType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  char    *temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::GetDatabaseType();
      }
    else
      {
      temp20 = op->GetDatabaseType();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_GetDatabaseFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  char    *temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::GetDatabaseFileName();
      }
    else
      {
      temp20 = op->GetDatabaseFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_SetDatabaseFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  char    *temp0;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLiteDatabase::SetDatabaseFileName(temp0);
      }
    else
      {
      op->SetDatabaseFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_GetURL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  const char    *temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::GetURL();
      }
    else
      {
      temp20 = op->GetURL();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteDatabase_GetColumnSpecification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteDatabase *op;

  vtkSQLDatabaseSchema  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  op = (vtkSQLiteDatabase *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkSQLDatabaseSchema *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSQLDatabaseSchema");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteDatabase::GetColumnSpecification(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetColumnSpecification(temp0,temp1,temp2);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
 break17:
  return NULL;
}

static PyMethodDef PyvtkSQLiteDatabaseMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSQLiteDatabase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSQLiteDatabase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSQLiteDatabase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSQLiteDatabase\nC++: vtkSQLiteDatabase *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSQLiteDatabase_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSQLiteDatabase\nC++: vtkSQLiteDatabase *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Open",                (PyCFunction)PyvtkSQLiteDatabase_Open, 1,
   (char*)"V.Open() -> bool\nC++: bool Open ();\n\n Open a new connection to the database.  You need to set the\n filename before calling this function.  Returns true if the\n database was opened successfully; false otherwise.\n"},
  {(char*)"Close",                (PyCFunction)PyvtkSQLiteDatabase_Close, 1,
   (char*)"V.Close()\nC++: void Close ();\n\n Close the connection to the database.\n"},
  {(char*)"IsOpen",                (PyCFunction)PyvtkSQLiteDatabase_IsOpen, 1,
   (char*)"V.IsOpen() -> bool\nC++: bool IsOpen ();\n\n Return whether the database has an open connection\n"},
  {(char*)"GetQueryInstance",                (PyCFunction)PyvtkSQLiteDatabase_GetQueryInstance, 1,
   (char*)"V.GetQueryInstance() -> vtkSQLQuery\nC++: vtkSQLQuery *GetQueryInstance ();\n\n Return an empty query on this database.\n"},
  {(char*)"GetTables",                (PyCFunction)PyvtkSQLiteDatabase_GetTables, 1,
   (char*)"V.GetTables() -> vtkStringArray\nC++: vtkStringArray *GetTables ();\n\n Get the list of tables from the database\n"},
  {(char*)"GetRecord",                (PyCFunction)PyvtkSQLiteDatabase_GetRecord, 1,
   (char*)"V.GetRecord(string) -> vtkStringArray\nC++: vtkStringArray *GetRecord (const char *table);\n\n Get the list of fields for a particular table\n"},
  {(char*)"IsSupported",                (PyCFunction)PyvtkSQLiteDatabase_IsSupported, 1,
   (char*)"V.IsSupported(int) -> bool\nC++: bool IsSupported (int feature);\n\n Return whether a feature is supported by the database.\n"},
  {(char*)"HasError",                (PyCFunction)PyvtkSQLiteDatabase_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: bool HasError ();\n\n Did the last operation generate an error\n"},
  {(char*)"GetLastErrorText",                (PyCFunction)PyvtkSQLiteDatabase_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: const char *GetLastErrorText ();\n\n Get the last error text from the database\n"},
  {(char*)"GetDatabaseType",                (PyCFunction)PyvtkSQLiteDatabase_GetDatabaseType, 1,
   (char*)"V.GetDatabaseType() -> string\nC++: char *GetDatabaseType ();\n\n String representing database type (e.g. \"sqlite\").\n"},
  {(char*)"GetDatabaseFileName",                (PyCFunction)PyvtkSQLiteDatabase_GetDatabaseFileName, 1,
   (char*)"V.GetDatabaseFileName() -> string\nC++: char *GetDatabaseFileName ();\n\n String representing the database filename.\n"},
  {(char*)"SetDatabaseFileName",                (PyCFunction)PyvtkSQLiteDatabase_SetDatabaseFileName, 1,
   (char*)"V.SetDatabaseFileName(string)\nC++: void SetDatabaseFileName (char *);\n\n String representing the database filename.\n"},
  {(char*)"GetURL",                (PyCFunction)PyvtkSQLiteDatabase_GetURL, 1,
   (char*)"V.GetURL() -> string\nC++: virtual vtkStdString GetURL ();\n\n Get the URL of the database.\n"},
  {(char*)"GetColumnSpecification",                (PyCFunction)PyvtkSQLiteDatabase_GetColumnSpecification, 1,
   (char*)"V.GetColumnSpecification(vtkSQLDatabaseSchema, int, int) -> string\nC++: virtual vtkStdString GetColumnSpecification (vtkSQLDatabaseSchema *schema, int tblHandle, int colHandle);\n\n Return the SQL string with the syntax to create a column inside a\n \"CREATE TABLE\" SQL statement.\n NB: this method implements the SQLite-specific syntax:\n <column name> <column type> <column attributes>\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSQLiteDatabaseDoc[] = {
  (char*)"vtkSQLiteDatabase - maintain a connection to an SQLite database\n\n",
  "Super Class:\n\n vtkSQLDatabase\n\n",
  (char*)"\n SQLite (http://www.sqlite.org) is a public-domain SQL database\n written in C++.  It's small, fast, and can be easily embedded\n inside other applications.  Its databases are stored in files.\n\n This class provides a VTK interface to SQLite.  You do not need to\n download any external libraries: we include a copy of SQLite 3.3.16\n in VTK/Utilities/vtksqlite.  \n\n If you want to open a database that s",
  (char*)"tays in memory and never gets\n written to disk, pass in the URL 'sqlite://:memory:'; otherwise,\n specifiy the file path by passing the URL 'sqlite://<file_path>'.\n\n .SECTION Thanks\n Thanks to Andrew Wilson and Philippe Pebay from Sandia National \n Laboratories for implementing this class.\n\n\n",
  "See Also:\n\n vtkSQLiteQuery\n\n",
  NULL
};

static vtkObjectBase *vtkSQLiteDatabaseStaticNew()
{
  return vtkSQLiteDatabase::New();
}

PyObject *PyVTKClass_vtkSQLiteDatabaseNew(char *modulename)
{
  return PyVTKClass_New(&vtkSQLiteDatabaseStaticNew,
                        PyvtkSQLiteDatabaseMethods,
                        (char*)"vtkSQLiteDatabase",modulename,
                        (char**)vtkSQLiteDatabaseDoc,
                        PyVTKClass_vtkSQLDatabaseNew(modulename));
}

