// python wrapper for vtkSQLiteQuery object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSQLiteQuery.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSQLiteQueryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSQLiteQueryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSQLQueryNew(char *); }

static PyObject *PyvtkSQLiteQuery_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  const char    *temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  char    *temp0;
  int      temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  vtkSQLiteQuery  *temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSQLiteQuery  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSQLiteQuery::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_Execute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  bool   temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::Execute();
      }
    else
      {
      temp20 = op->Execute();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_GetNumberOfFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  int      temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::GetNumberOfFields();
      }
    else
      {
      temp20 = op->GetNumberOfFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_GetFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  int      temp0;
  const char    *temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::GetFieldName(temp0);
      }
    else
      {
      temp20 = op->GetFieldName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  int      temp0;
  int      temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::GetFieldType(temp0);
      }
    else
      {
      temp20 = op->GetFieldType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_NextRow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  bool   temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::NextRow();
      }
    else
      {
      temp20 = op->NextRow();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_HasError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  bool   temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::HasError();
      }
    else
      {
      temp20 = op->HasError();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_BeginTransaction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  bool   temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::BeginTransaction();
      }
    else
      {
      temp20 = op->BeginTransaction();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_RollbackTransaction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  bool   temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::RollbackTransaction();
      }
    else
      {
      temp20 = op->RollbackTransaction();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_CommitTransaction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  bool   temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::CommitTransaction();
      }
    else
      {
      temp20 = op->CommitTransaction();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLiteQuery_GetLastErrorText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLiteQuery *op;

  const char    *temp20;
  op = (vtkSQLiteQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLiteQuery::GetLastErrorText();
      }
    else
      {
      temp20 = op->GetLastErrorText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSQLiteQueryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSQLiteQuery_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSQLiteQuery_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSQLiteQuery_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSQLiteQuery\nC++: vtkSQLiteQuery *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSQLiteQuery_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSQLiteQuery\nC++: vtkSQLiteQuery *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Execute",                (PyCFunction)PyvtkSQLiteQuery_Execute, 1,
   (char*)"V.Execute() -> bool\nC++: bool Execute ();\n\n Execute the query.  This must be performed\n before any field name or data access functions\n are used.\n"},
  {(char*)"GetNumberOfFields",                (PyCFunction)PyvtkSQLiteQuery_GetNumberOfFields, 1,
   (char*)"V.GetNumberOfFields() -> int\nC++: int GetNumberOfFields ();\n\n The number of fields in the query result.\n"},
  {(char*)"GetFieldName",                (PyCFunction)PyvtkSQLiteQuery_GetFieldName, 1,
   (char*)"V.GetFieldName(int) -> string\nC++: const char *GetFieldName (int i);\n\n Return the name of the specified query field.\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkSQLiteQuery_GetFieldType, 1,
   (char*)"V.GetFieldType(int) -> int\nC++: int GetFieldType (int i);\n\n Return the type of the field, using the constants defined in vtkType.h.\n"},
  {(char*)"NextRow",                (PyCFunction)PyvtkSQLiteQuery_NextRow, 1,
   (char*)"V.NextRow() -> bool\nC++: bool NextRow ();\n\n Advance row, return false if past end.\n"},
  {(char*)"HasError",                (PyCFunction)PyvtkSQLiteQuery_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: bool HasError ();\n\n Return true if there is an error on the current query.\n"},
  {(char*)"BeginTransaction",                (PyCFunction)PyvtkSQLiteQuery_BeginTransaction, 1,
   (char*)"V.BeginTransaction() -> bool\nC++: bool BeginTransaction ();\n\n Begin, abort (roll back), or commit a transaction.\n"},
  {(char*)"RollbackTransaction",                (PyCFunction)PyvtkSQLiteQuery_RollbackTransaction, 1,
   (char*)"V.RollbackTransaction() -> bool\nC++: bool RollbackTransaction ();\n\n Begin, abort (roll back), or commit a transaction.\n"},
  {(char*)"CommitTransaction",                (PyCFunction)PyvtkSQLiteQuery_CommitTransaction, 1,
   (char*)"V.CommitTransaction() -> bool\nC++: bool CommitTransaction ();\n\n Begin, abort (roll back), or commit a transaction.\n"},
  {(char*)"GetLastErrorText",                (PyCFunction)PyvtkSQLiteQuery_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: const char *GetLastErrorText ();\n\n Get the last error text from the query\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSQLiteQueryDoc[] = {
  (char*)"vtkSQLiteQuery - vtkSQLQuery implementation for SQLite databases\n\n",
  "Super Class:\n\n vtkSQLQuery\n\n",
  (char*)"\n This is an implementation of vtkSQLQuery for SQLite databases.  See\n the documentation for vtkSQLQuery for information about what the\n methods do.\n\n .SECTION Bugs\n\n Sometimes Execute() will return false (meaning an error) but\n GetLastErrorText() winds up null.  I am not certain why this is\n happening.\n\n .SECTION Thanks\n Thanks to Andrew Wilson from Sandia National Laboratories for implementing\n ",
  (char*)"this class.\n\n\n",
  "See Also:\n\n vtkSQLDatabase vtkSQLQuery vtkSQLiteDatabase\n\n",
  NULL
};

static vtkObjectBase *vtkSQLiteQueryStaticNew()
{
  return vtkSQLiteQuery::New();
}

PyObject *PyVTKClass_vtkSQLiteQueryNew(char *modulename)
{
  return PyVTKClass_New(&vtkSQLiteQueryStaticNew,
                        PyvtkSQLiteQueryMethods,
                        (char*)"vtkSQLiteQuery",modulename,
                        (char**)vtkSQLiteQueryDoc,
                        PyVTKClass_vtkSQLQueryNew(modulename));
}

