// python wrapper for vtkSTLReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSTLReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSTLReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSTLReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSTLReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  const char    *temp20;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSTLReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSTLReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  vtkSTLReader  *temp20;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSTLReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSTLReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSTLReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSTLReader_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  unsigned long     temp20;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSTLReader::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  char    *temp0;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSTLReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  char    *temp20;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSTLReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_SetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  int      temp0;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSTLReader::SetMerging(temp0);
      }
    else
      {
      op->SetMerging(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_GetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  int      temp20;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSTLReader::GetMerging();
      }
    else
      {
      temp20 = op->GetMerging();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_MergingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSTLReader::MergingOn();
      }
    else
      {
      op->MergingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_MergingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSTLReader::MergingOff();
      }
    else
      {
      op->MergingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_SetScalarTags(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  int      temp0;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSTLReader::SetScalarTags(temp0);
      }
    else
      {
      op->SetScalarTags(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_GetScalarTags(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  int      temp20;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSTLReader::GetScalarTags();
      }
    else
      {
      temp20 = op->GetScalarTags();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_ScalarTagsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSTLReader::ScalarTagsOn();
      }
    else
      {
      op->ScalarTagsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_ScalarTagsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSTLReader::ScalarTagsOff();
      }
    else
      {
      op->ScalarTagsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkSTLReader::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkSTLReader_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  vtkPointLocator  *temp20;
  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSTLReader::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLReader_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLReader *op;

  op = (vtkSTLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSTLReader::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSTLReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSTLReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSTLReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSTLReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSTLReader\nC++: vtkSTLReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSTLReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSTLReader\nC++: vtkSTLReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkSTLReader_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Overload standard modified time function. If locator is modified,\n then this object is modified as well.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkSTLReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of stereo lithography file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkSTLReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of stereo lithography file.\n"},
  {(char*)"SetMerging",                (PyCFunction)PyvtkSTLReader_SetMerging, 1,
   (char*)"V.SetMerging(int)\nC++: void SetMerging (int );\n\n Turn on/off merging of points/triangles.\n"},
  {(char*)"GetMerging",                (PyCFunction)PyvtkSTLReader_GetMerging, 1,
   (char*)"V.GetMerging() -> int\nC++: int GetMerging ();\n\n Turn on/off merging of points/triangles.\n"},
  {(char*)"MergingOn",                (PyCFunction)PyvtkSTLReader_MergingOn, 1,
   (char*)"V.MergingOn()\nC++: void MergingOn ();\n\n Turn on/off merging of points/triangles.\n"},
  {(char*)"MergingOff",                (PyCFunction)PyvtkSTLReader_MergingOff, 1,
   (char*)"V.MergingOff()\nC++: void MergingOff ();\n\n Turn on/off merging of points/triangles.\n"},
  {(char*)"SetScalarTags",                (PyCFunction)PyvtkSTLReader_SetScalarTags, 1,
   (char*)"V.SetScalarTags(int)\nC++: void SetScalarTags (int );\n\n Turn on/off tagging of solids with scalars.\n"},
  {(char*)"GetScalarTags",                (PyCFunction)PyvtkSTLReader_GetScalarTags, 1,
   (char*)"V.GetScalarTags() -> int\nC++: int GetScalarTags ();\n\n Turn on/off tagging of solids with scalars.\n"},
  {(char*)"ScalarTagsOn",                (PyCFunction)PyvtkSTLReader_ScalarTagsOn, 1,
   (char*)"V.ScalarTagsOn()\nC++: void ScalarTagsOn ();\n\n Turn on/off tagging of solids with scalars.\n"},
  {(char*)"ScalarTagsOff",                (PyCFunction)PyvtkSTLReader_ScalarTagsOff, 1,
   (char*)"V.ScalarTagsOff()\nC++: void ScalarTagsOff ();\n\n Turn on/off tagging of solids with scalars.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkSTLReader_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Specify a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkSTLReader_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Specify a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkSTLReader_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSTLReaderDoc[] = {
  (char*)"vtkSTLReader - read ASCII or binary stereo lithography files\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSTLReader is a source object that reads ASCII or binary stereo \n lithography files (.stl files). The FileName must be specified to\n vtkSTLReader. The object automatically detects whether the file is\n ASCII or binary.\n\n .stl files are quite inefficient since they duplicate vertex \n definitions. By setting the Merging boolean you can control whether the \n point data is merged after reading. Merg",
  (char*)"ing is performed by default, \n however, merging requires a large amount of temporary storage since a \n 3D hash table must be constructed.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n vtkSTLWriter uses VAX or PC byte ordering and swaps bytes on other systems.\n\n",
  NULL
};

static vtkObjectBase *vtkSTLReaderStaticNew()
{
  return vtkSTLReader::New();
}

PyObject *PyVTKClass_vtkSTLReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkSTLReaderStaticNew,
                        PyvtkSTLReaderMethods,
                        (char*)"vtkSTLReader",modulename,
                        (char**)vtkSTLReaderDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

