// python wrapper for vtkShaderCodeLibrary object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkShaderCodeLibrary.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkShaderCodeLibraryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkShaderCodeLibraryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkShaderCodeLibrary_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderCodeLibrary *op;

  const char    *temp20;
  op = (vtkShaderCodeLibrary *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderCodeLibrary::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderCodeLibrary_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderCodeLibrary *op;

  char    *temp0;
  int      temp20;
  op = (vtkShaderCodeLibrary *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderCodeLibrary::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderCodeLibrary_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderCodeLibrary *op;

  vtkShaderCodeLibrary  *temp20;
  op = (vtkShaderCodeLibrary *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderCodeLibrary::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderCodeLibrary_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkShaderCodeLibrary  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkShaderCodeLibrary::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkShaderCodeLibrary_GetShaderCode(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkShaderCodeLibrary::GetShaderCode(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderCodeLibrary_RegisterShaderCode(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  char    *temp1;
  if ((PyArg_ParseTuple(args, (char*)"zz", &temp0, &temp1)))
    {
      {
      vtkShaderCodeLibrary::RegisterShaderCode(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkShaderCodeLibraryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkShaderCodeLibrary_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkShaderCodeLibrary_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkShaderCodeLibrary_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkShaderCodeLibrary\nC++: vtkShaderCodeLibrary *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkShaderCodeLibrary_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkShaderCodeLibrary\nC++: vtkShaderCodeLibrary *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetShaderCode",                (PyCFunction)PyvtkShaderCodeLibrary_GetShaderCode, 1,
   (char*)"V.GetShaderCode(string) -> string\nC++: static char *GetShaderCode (const char *name);\n\n Obtain the code for the shader with given name.\n Note that Cg shader names are prefixed with CG and\n GLSL shader names are prefixed with GLSL.\n This method allocates memory. It's the responsibility\n of the caller to free this memory.\n"},
  {(char*)"RegisterShaderCode",                (PyCFunction)PyvtkShaderCodeLibrary_RegisterShaderCode, 1,
   (char*)"V.RegisterShaderCode(string, string)\nC++: static void RegisterShaderCode (const char *name, const char *code);\n\n Provides for registering shader code. This overrides the compiled in shader\n codes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkShaderCodeLibraryDoc[] = {
  (char*)"vtkShaderCodeLibrary - Library for Hardware Shaders.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class provides the hardware shader code.\n .SECTION Thanks\n Shader support in VTK includes key contributions by Gary Templet at \n Sandia National Labs.\n\n",
  NULL
};

static vtkObjectBase *vtkShaderCodeLibraryStaticNew()
{
  return vtkShaderCodeLibrary::New();
}

PyObject *PyVTKClass_vtkShaderCodeLibraryNew(char *modulename)
{
  return PyVTKClass_New(&vtkShaderCodeLibraryStaticNew,
                        PyvtkShaderCodeLibraryMethods,
                        (char*)"vtkShaderCodeLibrary",modulename,
                        (char**)vtkShaderCodeLibraryDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

