// python wrapper for vtkSortFileNames object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSortFileNames.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSortFileNamesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSortFileNamesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkSortFileNames_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  const char    *temp20;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortFileNames::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  char    *temp0;
  int      temp20;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortFileNames::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  vtkSortFileNames  *temp20;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortFileNames::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSortFileNames  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSortFileNames::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSortFileNames_SetGrouping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  int      temp0;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::SetGrouping(temp0);
      }
    else
      {
      op->SetGrouping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_GetGrouping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  int      temp20;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortFileNames::GetGrouping();
      }
    else
      {
      temp20 = op->GetGrouping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_GroupingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::GroupingOn();
      }
    else
      {
      op->GroupingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_GroupingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::GroupingOff();
      }
    else
      {
      op->GroupingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_SetNumericSort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  int      temp0;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::SetNumericSort(temp0);
      }
    else
      {
      op->SetNumericSort(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_GetNumericSort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  int      temp20;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortFileNames::GetNumericSort();
      }
    else
      {
      temp20 = op->GetNumericSort();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_NumericSortOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::NumericSortOn();
      }
    else
      {
      op->NumericSortOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_NumericSortOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::NumericSortOff();
      }
    else
      {
      op->NumericSortOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_SetIgnoreCase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  int      temp0;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::SetIgnoreCase(temp0);
      }
    else
      {
      op->SetIgnoreCase(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_GetIgnoreCase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  int      temp20;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortFileNames::GetIgnoreCase();
      }
    else
      {
      temp20 = op->GetIgnoreCase();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_IgnoreCaseOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::IgnoreCaseOn();
      }
    else
      {
      op->IgnoreCaseOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_IgnoreCaseOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::IgnoreCaseOff();
      }
    else
      {
      op->IgnoreCaseOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_SetSkipDirectories(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  int      temp0;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::SetSkipDirectories(temp0);
      }
    else
      {
      op->SetSkipDirectories(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_GetSkipDirectories(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  int      temp20;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortFileNames::GetSkipDirectories();
      }
    else
      {
      temp20 = op->GetSkipDirectories();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_SkipDirectoriesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::SkipDirectoriesOn();
      }
    else
      {
      op->SkipDirectoriesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_SkipDirectoriesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::SkipDirectoriesOff();
      }
    else
      {
      op->SkipDirectoriesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_SetInputFileNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::SetInputFileNames(temp0);
      }
    else
      {
      op->SetInputFileNames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkSortFileNames_GetInputFileNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  vtkStringArray  *temp20;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortFileNames::GetInputFileNames();
      }
    else
      {
      temp20 = op->GetInputFileNames();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_GetFileNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  vtkStringArray  *temp20;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortFileNames::GetFileNames();
      }
    else
      {
      temp20 = op->GetFileNames();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_GetNumberOfGroups(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  int      temp20;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortFileNames::GetNumberOfGroups();
      }
    else
      {
      temp20 = op->GetNumberOfGroups();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_GetNthGroup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  int      temp0;
  vtkStringArray  *temp20;
  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortFileNames::GetNthGroup(temp0);
      }
    else
      {
      temp20 = op->GetNthGroup(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortFileNames_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSortFileNames::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSortFileNamesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSortFileNames_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSortFileNames_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSortFileNames_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSortFileNames\nC++: vtkSortFileNames *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSortFileNames_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSortFileNames\nC++: vtkSortFileNames *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGrouping",                (PyCFunction)PyvtkSortFileNames_SetGrouping, 1,
   (char*)"V.SetGrouping(int)\nC++: void SetGrouping (int );\n\n Sort the file names into groups, according to similarity in\n filename name and path.  Files in different directories,\n or with different extensions, or which do not fit into the same\n numbered series will be placed into different groups.  This is\n off by default.\n"},
  {(char*)"GetGrouping",                (PyCFunction)PyvtkSortFileNames_GetGrouping, 1,
   (char*)"V.GetGrouping() -> int\nC++: int GetGrouping ();\n\n Sort the file names into groups, according to similarity in\n filename name and path.  Files in different directories,\n or with different extensions, or which do not fit into the same\n numbered series will be placed into different groups.  This is\n off by default.\n"},
  {(char*)"GroupingOn",                (PyCFunction)PyvtkSortFileNames_GroupingOn, 1,
   (char*)"V.GroupingOn()\nC++: void GroupingOn ();\n\n Sort the file names into groups, according to similarity in\n filename name and path.  Files in different directories,\n or with different extensions, or which do not fit into the same\n numbered series will be placed into different groups.  This is\n off by default.\n"},
  {(char*)"GroupingOff",                (PyCFunction)PyvtkSortFileNames_GroupingOff, 1,
   (char*)"V.GroupingOff()\nC++: void GroupingOff ();\n\n Sort the file names into groups, according to similarity in\n filename name and path.  Files in different directories,\n or with different extensions, or which do not fit into the same\n numbered series will be placed into different groups.  This is\n off by default.\n"},
  {(char*)"SetNumericSort",                (PyCFunction)PyvtkSortFileNames_SetNumericSort, 1,
   (char*)"V.SetNumericSort(int)\nC++: void SetNumericSort (int );\n\n Sort the files numerically, rather than lexicographically.\n For filenames that contain numbers, this means the order will be\n [\"file8.dat\", \"file9.dat\", \"file10.dat\"]\n instead of the usual alphabetic sorting order\n [\"file10.dat\" \"file8.dat\", \"file9.dat\"].\n NumericSort is off by default.\n"},
  {(char*)"GetNumericSort",                (PyCFunction)PyvtkSortFileNames_GetNumericSort, 1,
   (char*)"V.GetNumericSort() -> int\nC++: int GetNumericSort ();\n\n Sort the files numerically, rather than lexicographically.\n For filenames that contain numbers, this means the order will be\n [\"file8.dat\", \"file9.dat\", \"file10.dat\"]\n instead of the usual alphabetic sorting order\n [\"file10.dat\" \"file8.dat\", \"file9.dat\"].\n NumericSort is off by default.\n"},
  {(char*)"NumericSortOn",                (PyCFunction)PyvtkSortFileNames_NumericSortOn, 1,
   (char*)"V.NumericSortOn()\nC++: void NumericSortOn ();\n\n Sort the files numerically, rather than lexicographically.\n For filenames that contain numbers, this means the order will be\n [\"file8.dat\", \"file9.dat\", \"file10.dat\"]\n instead of the usual alphabetic sorting order\n [\"file10.dat\" \"file8.dat\", \"file9.dat\"].\n NumericSort is off by default.\n"},
  {(char*)"NumericSortOff",                (PyCFunction)PyvtkSortFileNames_NumericSortOff, 1,
   (char*)"V.NumericSortOff()\nC++: void NumericSortOff ();\n\n Sort the files numerically, rather than lexicographically.\n For filenames that contain numbers, this means the order will be\n [\"file8.dat\", \"file9.dat\", \"file10.dat\"]\n instead of the usual alphabetic sorting order\n [\"file10.dat\" \"file8.dat\", \"file9.dat\"].\n NumericSort is off by default.\n"},
  {(char*)"SetIgnoreCase",                (PyCFunction)PyvtkSortFileNames_SetIgnoreCase, 1,
   (char*)"V.SetIgnoreCase(int)\nC++: void SetIgnoreCase (int );\n\n Ignore case when sorting.  This flag is honored by both\n the sorting and the grouping. This is off by default.\n"},
  {(char*)"GetIgnoreCase",                (PyCFunction)PyvtkSortFileNames_GetIgnoreCase, 1,
   (char*)"V.GetIgnoreCase() -> int\nC++: int GetIgnoreCase ();\n\n Ignore case when sorting.  This flag is honored by both\n the sorting and the grouping. This is off by default.\n"},
  {(char*)"IgnoreCaseOn",                (PyCFunction)PyvtkSortFileNames_IgnoreCaseOn, 1,
   (char*)"V.IgnoreCaseOn()\nC++: void IgnoreCaseOn ();\n\n Ignore case when sorting.  This flag is honored by both\n the sorting and the grouping. This is off by default.\n"},
  {(char*)"IgnoreCaseOff",                (PyCFunction)PyvtkSortFileNames_IgnoreCaseOff, 1,
   (char*)"V.IgnoreCaseOff()\nC++: void IgnoreCaseOff ();\n\n Ignore case when sorting.  This flag is honored by both\n the sorting and the grouping. This is off by default.\n"},
  {(char*)"SetSkipDirectories",                (PyCFunction)PyvtkSortFileNames_SetSkipDirectories, 1,
   (char*)"V.SetSkipDirectories(int)\nC++: void SetSkipDirectories (int );\n\n Skip directories. If this flag is set, any input item that\n is a directory rather than a file will not be included in\n the output.  This is off by default.\n"},
  {(char*)"GetSkipDirectories",                (PyCFunction)PyvtkSortFileNames_GetSkipDirectories, 1,
   (char*)"V.GetSkipDirectories() -> int\nC++: int GetSkipDirectories ();\n\n Skip directories. If this flag is set, any input item that\n is a directory rather than a file will not be included in\n the output.  This is off by default.\n"},
  {(char*)"SkipDirectoriesOn",                (PyCFunction)PyvtkSortFileNames_SkipDirectoriesOn, 1,
   (char*)"V.SkipDirectoriesOn()\nC++: void SkipDirectoriesOn ();\n\n Skip directories. If this flag is set, any input item that\n is a directory rather than a file will not be included in\n the output.  This is off by default.\n"},
  {(char*)"SkipDirectoriesOff",                (PyCFunction)PyvtkSortFileNames_SkipDirectoriesOff, 1,
   (char*)"V.SkipDirectoriesOff()\nC++: void SkipDirectoriesOff ();\n\n Skip directories. If this flag is set, any input item that\n is a directory rather than a file will not be included in\n the output.  This is off by default.\n"},
  {(char*)"SetInputFileNames",                (PyCFunction)PyvtkSortFileNames_SetInputFileNames, 1,
   (char*)"V.SetInputFileNames(vtkStringArray)\nC++: void SetInputFileNames (vtkStringArray *input);\n\n Set a list of file names to group and sort.\n"},
  {(char*)"GetInputFileNames",                (PyCFunction)PyvtkSortFileNames_GetInputFileNames, 1,
   (char*)"V.GetInputFileNames() -> vtkStringArray\nC++: vtkStringArray *GetInputFileNames ();\n\n Set a list of file names to group and sort.\n"},
  {(char*)"GetFileNames",                (PyCFunction)PyvtkSortFileNames_GetFileNames, 1,
   (char*)"V.GetFileNames() -> vtkStringArray\nC++: virtual vtkStringArray *GetFileNames ();\n\n Get the full list of sorted filenames.\n"},
  {(char*)"GetNumberOfGroups",                (PyCFunction)PyvtkSortFileNames_GetNumberOfGroups, 1,
   (char*)"V.GetNumberOfGroups() -> int\nC++: virtual int GetNumberOfGroups ();\n\n Get the number of groups that the names were split into, if\n grouping is on.  The filenames are automatically split into\n groups, where the filenames in each group will be identical\n except for their series numbers.  If grouping is not on, this\n method will return zero.\n"},
  {(char*)"GetNthGroup",                (PyCFunction)PyvtkSortFileNames_GetNthGroup, 1,
   (char*)"V.GetNthGroup(int) -> vtkStringArray\nC++: virtual vtkStringArray *GetNthGroup (int i);\n\n Get the Nth group of file names.  This method should only\n be used if grouping is on.  If grouping is off, it will always\n return null.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSortFileNames_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Update the output filenames from the input filenames.\n This method is called automatically by GetFileNames()\n and GetNumberOfGroups() if the input names have changed.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSortFileNamesDoc[] = {
  (char*)"vtkSortFileNames - Group and sort a set of filenames\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkSortFileNames will take a list of filenames (e.g. from\n a file load dialog) and sort them into one or more series.  If\n the input list of filenames contains any directories, these can\n be removed before sorting using the SkipDirectories flag.  This\n class should be used where information about the series groupings\n can be determined by the filenames, but it might not be successful\n in cases wh",
  (char*)"ere the information about the series groupings is\n stored in the files themselves (e.g DICOM).\n\n",
  "See Also:\n\n vtkImageReader2\n\n",
  NULL
};

static vtkObjectBase *vtkSortFileNamesStaticNew()
{
  return vtkSortFileNames::New();
}

PyObject *PyVTKClass_vtkSortFileNamesNew(char *modulename)
{
  return PyVTKClass_New(&vtkSortFileNamesStaticNew,
                        PyvtkSortFileNamesMethods,
                        (char*)"vtkSortFileNames",modulename,
                        (char**)vtkSortFileNamesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

