// python wrapper for vtkStructuredGridReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStructuredGridReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredGridReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredGridReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataReaderNew(char *); }

static PyObject *PyvtkStructuredGridReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridReader *op;

  const char    *temp20;
  op = (vtkStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridReader *op;

  vtkStructuredGridReader  *temp20;
  op = (vtkStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStructuredGridReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStructuredGridReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredGridReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridReader *op;

  vtkStructuredGrid  *temp20;
  op = (vtkStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkStructuredGridReader *op;

  int      temp0;
  vtkStructuredGrid  *temp20;
  PyErr_Clear();
  op = (vtkStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridReader *op;

  vtkStructuredGrid  *temp0;
  PyObject *tempH0;
  op = (vtkStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGridReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkStructuredGridReader_ReadMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridReader::ReadMetaData(temp0);
      }
    else
      {
      temp20 = op->ReadMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkStructuredGridReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredGridReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredGridReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredGridReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredGridReader\nC++: vtkStructuredGridReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStructuredGridReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStructuredGridReader\nC++: vtkStructuredGridReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkStructuredGridReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetOutput ();\nV.GetOutput(int) -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetOutput (int idx);\n\n Get the output of this reader.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkStructuredGridReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkStructuredGrid)\nC++: void SetOutput (vtkStructuredGrid *output);\n\n Get the output of this reader.\n"},
  {(char*)"ReadMetaData",                (PyCFunction)PyvtkStructuredGridReader_ReadMetaData, 1,
   (char*)"V.ReadMetaData(vtkInformation) -> int\nC++: virtual int ReadMetaData (vtkInformation *outInfo);\n\n Read the meta information from the file.  This needs to be public to it\n can be accessed by vtkDataSetReader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredGridReaderDoc[] = {
  (char*)"vtkStructuredGridReader - read vtk structured grid data file\n\n",
  "Super Class:\n\n vtkDataReader\n\n",
  (char*)" vtkStructuredGridReader is a source object that reads ASCII or binary \n structured grid data files in vtk format. (see text for format details).\n The output of this reader is a single vtkStructuredGrid data object.\n The superclass of this class, vtkDataReader, provides many methods for\n controlling the reading of the data file, see vtkDataReader for more\n information.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  "See Also:\n\n vtkStructuredGrid vtkDataReader\n\n",
  NULL
};

static vtkObjectBase *vtkStructuredGridReaderStaticNew()
{
  return vtkStructuredGridReader::New();
}

PyObject *PyVTKClass_vtkStructuredGridReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkStructuredGridReaderStaticNew,
                        PyvtkStructuredGridReaderMethods,
                        (char*)"vtkStructuredGridReader",modulename,
                        (char**)vtkStructuredGridReaderDoc,
                        PyVTKClass_vtkDataReaderNew(modulename));
}

