// python wrapper for vtkStructuredPointsWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStructuredPointsWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredPointsWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredPointsWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataWriterNew(char *); }

static PyObject *PyvtkStructuredPointsWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsWriter *op;

  const char    *temp20;
  op = (vtkStructuredPointsWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkStructuredPointsWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsWriter *op;

  vtkStructuredPointsWriter  *temp20;
  op = (vtkStructuredPointsWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStructuredPointsWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStructuredPointsWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredPointsWriter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsWriter *op;

  vtkImageData  *temp20;
  op = (vtkStructuredPointsWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsWriter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkStructuredPointsWriter *op;

  int      temp0;
  vtkImageData  *temp20;
  PyErr_Clear();
  op = (vtkStructuredPointsWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsWriter::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredPointsWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredPointsWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredPointsWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredPointsWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredPointsWriter\nC++: vtkStructuredPointsWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStructuredPointsWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStructuredPointsWriter\nC++: vtkStructuredPointsWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkStructuredPointsWriter_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();\nV.GetInput(int) -> vtkImageData\nC++: vtkImageData *GetInput (int port);\n\n Get the input to this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredPointsWriterDoc[] = {
  (char*)"vtkStructuredPointsWriter - write vtk structured points data file\n\n",
  "Super Class:\n\n vtkDataWriter\n\n",
  (char*)" vtkStructuredPointsWriter is a source object that writes ASCII or binary \n structured points data in vtk file format. See text for format details.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  NULL
};

static vtkObjectBase *vtkStructuredPointsWriterStaticNew()
{
  return vtkStructuredPointsWriter::New();
}

PyObject *PyVTKClass_vtkStructuredPointsWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkStructuredPointsWriterStaticNew,
                        PyvtkStructuredPointsWriterMethods,
                        (char*)"vtkStructuredPointsWriter",modulename,
                        (char**)vtkStructuredPointsWriterDoc,
                        PyVTKClass_vtkDataWriterNew(modulename));
}

