// python wrapper for vtkTIFFReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTIFFReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTIFFReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTIFFReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReader2New(char *); }

static PyObject *PyvtkTIFFReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  const char    *temp20;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  vtkTIFFReader  *temp20;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTIFFReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTIFFReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTIFFReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  const char    *temp20;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  const char    *temp20;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_InitializeColors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFReader::InitializeColors();
      }
    else
      {
      op->InitializeColors();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_ReadVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  void    *temp0;
  int      size0;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReadVolume in vtkTIFFReader was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReadVolume in vtkTIFFReader was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFReader::ReadVolume(temp0);
      }
    else
      {
      op->ReadVolume(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_ReadTiles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  void    *temp0;
  int      size0;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReadTiles in vtkTIFFReader was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReadTiles in vtkTIFFReader was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFReader::ReadTiles(temp0);
      }
    else
      {
      op->ReadTiles(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_SetOrientationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  unsigned int      temp0;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFReader::SetOrientationType(temp0);
      }
    else
      {
      op->SetOrientationType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_GetOrientationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  unsigned int      temp20;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::GetOrientationType();
      }
    else
      {
      temp20 = op->GetOrientationType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_GetOrientationTypeSpecifiedFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  bool   temp20;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::GetOrientationTypeSpecifiedFlag();
      }
    else
      {
      temp20 = op->GetOrientationTypeSpecifiedFlag();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_SetOriginSpecifiedFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  bool   temp0;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFReader::SetOriginSpecifiedFlag(temp0);
      }
    else
      {
      op->SetOriginSpecifiedFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_GetOriginSpecifiedFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  bool   temp20;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::GetOriginSpecifiedFlag();
      }
    else
      {
      temp20 = op->GetOriginSpecifiedFlag();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_OriginSpecifiedFlagOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFReader::OriginSpecifiedFlagOn();
      }
    else
      {
      op->OriginSpecifiedFlagOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_OriginSpecifiedFlagOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFReader::OriginSpecifiedFlagOff();
      }
    else
      {
      op->OriginSpecifiedFlagOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_SetSpacingSpecifiedFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  bool   temp0;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFReader::SetSpacingSpecifiedFlag(temp0);
      }
    else
      {
      op->SetSpacingSpecifiedFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_GetSpacingSpecifiedFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  bool   temp20;
  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::GetSpacingSpecifiedFlag();
      }
    else
      {
      temp20 = op->GetSpacingSpecifiedFlag();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_SpacingSpecifiedFlagOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFReader::SpacingSpecifiedFlagOn();
      }
    else
      {
      op->SpacingSpecifiedFlagOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_SpacingSpecifiedFlagOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFReader::SpacingSpecifiedFlagOff();
      }
    else
      {
      op->SpacingSpecifiedFlagOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTIFFReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTIFFReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTIFFReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTIFFReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTIFFReader\nC++: vtkTIFFReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTIFFReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTIFFReader\nC++: vtkTIFFReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkTIFFReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *fname);\n\n Is the given file name a tiff file file?\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkTIFFReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n Return a descriptive name for the file format that might be useful\n in a GUI.\n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkTIFFReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n Auxilary methods used by the reader internally.\n"},
  {(char*)"InitializeColors",                (PyCFunction)PyvtkTIFFReader_InitializeColors, 1,
   (char*)"V.InitializeColors()\nC++: void InitializeColors ();\n\n Auxilary methods used by the reader internally.\n"},
  {(char*)"ReadVolume",                (PyCFunction)PyvtkTIFFReader_ReadVolume, 1,
   (char*)"V.ReadVolume(string)\nC++: virtual void ReadVolume (void *buffer);\n\n Reads 3D data from multi-pages tiff. \n"},
  {(char*)"ReadTiles",                (PyCFunction)PyvtkTIFFReader_ReadTiles, 1,
   (char*)"V.ReadTiles(string)\nC++: virtual void ReadTiles (void *buffer);\n\n Reads 3D data from tiled tiff\n"},
  {(char*)"SetOrientationType",                (PyCFunction)PyvtkTIFFReader_SetOrientationType, 1,
   (char*)"V.SetOrientationType(int)\nC++: void SetOrientationType (unsigned int orientationType);\n\n Set orientation type \n ORIENTATION_TOPLEFT         1       (row 0 top, col 0 lhs)\n ORIENTATION_TOPRIGHT        2       (row 0 top, col 0 rhs)\n ORIENTATION_BOTRIGHT        3       (row 0 bottom, col 0 rhs)\n ORIENTATION_BOTLEFT         4       (row 0 bottom, col 0 lhs)\n ORIENTATION_LEFTTOP         5       (row 0 lhs, col 0 top)\n ORIENTATION_RIGHTTOP        6       (row 0 rhs, col 0 top)\n ORIENTATION_RIGHTBOT        7       (row 0 rhs, col 0 bottom)\n ORIENTATION_LEFTBOT         8       (row 0 lhs, col 0 bottom)\n User need to explicitely include vtk_tiff.h header to have access to those #define\n"},
  {(char*)"GetOrientationType",                (PyCFunction)PyvtkTIFFReader_GetOrientationType, 1,
   (char*)"V.GetOrientationType() -> int\nC++: int unsigned GetOrientationType ();\n\n Set orientation type \n ORIENTATION_TOPLEFT         1       (row 0 top, col 0 lhs)\n ORIENTATION_TOPRIGHT        2       (row 0 top, col 0 rhs)\n ORIENTATION_BOTRIGHT        3       (row 0 bottom, col 0 rhs)\n ORIENTATION_BOTLEFT         4       (row 0 bottom, col 0 lhs)\n ORIENTATION_LEFTTOP         5       (row 0 lhs, col 0 top)\n ORIENTATION_RIGHTTOP        6       (row 0 rhs, col 0 top)\n ORIENTATION_RIGHTBOT        7       (row 0 rhs, col 0 bottom)\n ORIENTATION_LEFTBOT         8       (row 0 lhs, col 0 bottom)\n User need to explicitely include vtk_tiff.h header to have access to those #define\n"},
  {(char*)"GetOrientationTypeSpecifiedFlag",                (PyCFunction)PyvtkTIFFReader_GetOrientationTypeSpecifiedFlag, 1,
   (char*)"V.GetOrientationTypeSpecifiedFlag() -> bool\nC++: bool GetOrientationTypeSpecifiedFlag ();\n\n Get method to check if orientation type is specified\n"},
  {(char*)"SetOriginSpecifiedFlag",                (PyCFunction)PyvtkTIFFReader_SetOriginSpecifiedFlag, 1,
   (char*)"V.SetOriginSpecifiedFlag(bool)\nC++: void SetOriginSpecifiedFlag (bool );\n\n Set/get methods to see if manual Origin/Spacing have\n been set.\n"},
  {(char*)"GetOriginSpecifiedFlag",                (PyCFunction)PyvtkTIFFReader_GetOriginSpecifiedFlag, 1,
   (char*)"V.GetOriginSpecifiedFlag() -> bool\nC++: bool GetOriginSpecifiedFlag ();\n\n Set/get methods to see if manual Origin/Spacing have\n been set.\n"},
  {(char*)"OriginSpecifiedFlagOn",                (PyCFunction)PyvtkTIFFReader_OriginSpecifiedFlagOn, 1,
   (char*)"V.OriginSpecifiedFlagOn()\nC++: void OriginSpecifiedFlagOn ();\n\n Set/get methods to see if manual Origin/Spacing have\n been set.\n"},
  {(char*)"OriginSpecifiedFlagOff",                (PyCFunction)PyvtkTIFFReader_OriginSpecifiedFlagOff, 1,
   (char*)"V.OriginSpecifiedFlagOff()\nC++: void OriginSpecifiedFlagOff ();\n\n Set/get methods to see if manual Origin/Spacing have\n been set.\n"},
  {(char*)"SetSpacingSpecifiedFlag",                (PyCFunction)PyvtkTIFFReader_SetSpacingSpecifiedFlag, 1,
   (char*)"V.SetSpacingSpecifiedFlag(bool)\nC++: void SetSpacingSpecifiedFlag (bool );\n\n \n"},
  {(char*)"GetSpacingSpecifiedFlag",                (PyCFunction)PyvtkTIFFReader_GetSpacingSpecifiedFlag, 1,
   (char*)"V.GetSpacingSpecifiedFlag() -> bool\nC++: bool GetSpacingSpecifiedFlag ();\n\n \n"},
  {(char*)"SpacingSpecifiedFlagOn",                (PyCFunction)PyvtkTIFFReader_SpacingSpecifiedFlagOn, 1,
   (char*)"V.SpacingSpecifiedFlagOn()\nC++: void SpacingSpecifiedFlagOn ();\n\n \n"},
  {(char*)"SpacingSpecifiedFlagOff",                (PyCFunction)PyvtkTIFFReader_SpacingSpecifiedFlagOff, 1,
   (char*)"V.SpacingSpecifiedFlagOff()\nC++: void SpacingSpecifiedFlagOff ();\n\n \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTIFFReaderDoc[] = {
  (char*)"vtkTIFFReader - read TIFF files\n\n",
  "Super Class:\n\n vtkImageReader2\n\n",
  (char*)" vtkTIFFReader is a source object that reads TIFF files.\n It should be able to read almost any TIFF file\n\n\n",
  "See Also:\n\n vtkTIFFWriter\n\n",
  NULL
};

static vtkObjectBase *vtkTIFFReaderStaticNew()
{
  return vtkTIFFReader::New();
}

PyObject *PyVTKClass_vtkTIFFReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkTIFFReaderStaticNew,
                        PyvtkTIFFReaderMethods,
                        (char*)"vtkTIFFReader",modulename,
                        (char**)vtkTIFFReaderDoc,
                        PyVTKClass_vtkImageReader2New(modulename));
}

