// tcl wrapper for vtkTIFFWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTIFFWriter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTIFFWriterNewCommand()
{
  vtkTIFFWriter *temp = vtkTIFFWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkImageWriterCppCommand(vtkImageWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTIFFWriterCppCommand(vtkTIFFWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTIFFWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTIFFWriterCppCommand(static_cast<vtkTIFFWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTIFFWriterCppCommand(vtkTIFFWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTIFFWriter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageWriterCppCommand(static_cast<vtkImageWriter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageWriter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTIFFWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTIFFWriter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTIFFWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTIFFWriter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTIFFWriter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTIFFWriter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCompression",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCompression(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompressionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCompressionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCompressionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCompressionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCompression",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCompression();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCompressionToNoCompression",argv[1]))&&(argc == 2))
    {
    op->SetCompressionToNoCompression();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCompressionToPackBits",argv[1]))&&(argc == 2))
    {
    op->SetCompressionToPackBits();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCompressionToJPEG",argv[1]))&&(argc == 2))
    {
    op->SetCompressionToJPEG();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCompressionToDeflate",argv[1]))&&(argc == 2))
    {
    op->SetCompressionToDeflate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCompressionToLZW",argv[1]))&&(argc == 2))
    {
    op->SetCompressionToLZW();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTIFFWriterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTIFFWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCompression\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompressionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCompressionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCompression\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressionToNoCompression\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressionToPackBits\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressionToJPEG\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressionToDeflate\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressionToLZW\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageWriterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetCompression" );
    Tcl_DStringAppendElement ( &dString, "GetCompressionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCompressionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCompression" );
    Tcl_DStringAppendElement ( &dString, "SetCompressionToNoCompression" );
    Tcl_DStringAppendElement ( &dString, "SetCompressionToPackBits" );
    Tcl_DStringAppendElement ( &dString, "SetCompressionToJPEG" );
    Tcl_DStringAppendElement ( &dString, "SetCompressionToDeflate" );
    Tcl_DStringAppendElement ( &dString, "SetCompressionToLZW" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageWriterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTIFFWriter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompression */
    if ( strcmp ( argv[2], "SetCompression" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompression" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompression */
    Tcl_DStringAppendElement ( &dString, " Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompression (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for SetCompression */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompressionMinValue */
    if ( strcmp ( argv[2], "GetCompressionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompressionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompressionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCompressionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for GetCompressionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompressionMaxValue */
    if ( strcmp ( argv[2], "GetCompressionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompressionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompressionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCompressionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for GetCompressionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompression */
    if ( strcmp ( argv[2], "GetCompression" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompression" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompression */
    Tcl_DStringAppendElement ( &dString, " Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCompression ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for GetCompression */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompressionToNoCompression */
    if ( strcmp ( argv[2], "SetCompressionToNoCompression" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompressionToNoCompression" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompressionToNoCompression */
    Tcl_DStringAppendElement ( &dString, " Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompressionToNoCompression ();this SetCompression NoCompression " );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for SetCompressionToNoCompression */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompressionToPackBits */
    if ( strcmp ( argv[2], "SetCompressionToPackBits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompressionToPackBits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompressionToPackBits */
    Tcl_DStringAppendElement ( &dString, " Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompressionToPackBits ();this SetCompression PackBits " );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for SetCompressionToPackBits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompressionToJPEG */
    if ( strcmp ( argv[2], "SetCompressionToJPEG" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompressionToJPEG" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompressionToJPEG */
    Tcl_DStringAppendElement ( &dString, " Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompressionToJPEG ();this SetCompression JPEG " );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for SetCompressionToJPEG */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompressionToDeflate */
    if ( strcmp ( argv[2], "SetCompressionToDeflate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompressionToDeflate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompressionToDeflate */
    Tcl_DStringAppendElement ( &dString, " Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompressionToDeflate ();this SetCompression Deflate " );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for SetCompressionToDeflate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompressionToLZW */
    if ( strcmp ( argv[2], "SetCompressionToLZW" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompressionToLZW" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompressionToLZW */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCompressionToLZW ();this SetCompression LZW " );
    Tcl_DStringAppendElement ( &dString, "vtkTIFFWriter" );
    /* Closing for SetCompressionToLZW */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageWriterCppCommand(static_cast<vtkImageWriter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
