// python wrapper for vtkTableWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTableWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataWriterNew(char *); }

static PyObject *PyvtkTableWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableWriter *op;

  const char    *temp20;
  op = (vtkTableWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTableWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableWriter *op;

  vtkTableWriter  *temp20;
  op = (vtkTableWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTableWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTableWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTableWriter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableWriter *op;

  vtkTable  *temp20;
  op = (vtkTableWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableWriter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkTableWriter *op;

  int      temp0;
  vtkTable  *temp20;
  PyErr_Clear();
  op = (vtkTableWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableWriter::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTableWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTableWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTableWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTableWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTableWriter\nC++: vtkTableWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTableWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTableWriter\nC++: vtkTableWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkTableWriter_GetInput, 1,
   (char*)"V.GetInput() -> vtkTable\nC++: vtkTable *GetInput ();\nV.GetInput(int) -> vtkTable\nC++: vtkTable *GetInput (int port);\n\n Get the input to this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTableWriterDoc[] = {
  (char*)"vtkTableWriter - write vtkTable to a file\n\n",
  "Super Class:\n\n vtkDataWriter\n\n",
  (char*)" vtkTableWriter is a sink object that writes ASCII or binary \n vtkTable data files in vtk format. See text for format details.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  NULL
};

static vtkObjectBase *vtkTableWriterStaticNew()
{
  return vtkTableWriter::New();
}

PyObject *PyVTKClass_vtkTableWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTableWriterStaticNew,
                        PyvtkTableWriterMethods,
                        (char*)"vtkTableWriter",modulename,
                        (char**)vtkTableWriterDoc,
                        PyVTKClass_vtkDataWriterNew(modulename));
}

