// python wrapper for vtkTreeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataReaderNew(char *); }

static PyObject *PyvtkTreeReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeReader *op;

  const char    *temp20;
  op = (vtkTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeReader *op;

  vtkTreeReader  *temp20;
  op = (vtkTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeReader *op;

  vtkTree  *temp20;
  op = (vtkTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkTreeReader *op;

  int      temp0;
  vtkTree  *temp20;
  PyErr_Clear();
  op = (vtkTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeReader *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  op = (vtkTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkTreeReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeReader\nC++: vtkTreeReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeReader\nC++: vtkTreeReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkTreeReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkTree\nC++: vtkTree *GetOutput ();\nV.GetOutput(int) -> vtkTree\nC++: vtkTree *GetOutput (int idx);\n\n Get the output of this reader.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkTreeReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkTree)\nC++: void SetOutput (vtkTree *output);\n\n Get the output of this reader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeReaderDoc[] = {
  (char*)"vtkTreeReader - read vtkTree data file\n\n",
  "Super Class:\n\n vtkDataReader\n\n",
  (char*)" vtkTreeReader is a source object that reads ASCII or binary \n vtkTree data files in vtk format. (see text for format details).\n The output of this reader is a single vtkTree data object.\n The superclass of this class, vtkDataReader, provides many methods for\n controlling the reading of the data file, see vtkDataReader for more\n information.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  "See Also:\n\n vtkTree vtkDataReader vtkTreeWriter\n\n",
  NULL
};

static vtkObjectBase *vtkTreeReaderStaticNew()
{
  return vtkTreeReader::New();
}

PyObject *PyVTKClass_vtkTreeReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeReaderStaticNew,
                        PyvtkTreeReaderMethods,
                        (char*)"vtkTreeReader",modulename,
                        (char**)vtkTreeReaderDoc,
                        PyVTKClass_vtkDataReaderNew(modulename));
}

