// python wrapper for vtkTreeWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataWriterNew(char *); }

static PyObject *PyvtkTreeWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeWriter *op;

  const char    *temp20;
  op = (vtkTreeWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeWriter *op;

  vtkTreeWriter  *temp20;
  op = (vtkTreeWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeWriter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeWriter *op;

  vtkTree  *temp20;
  op = (vtkTreeWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeWriter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkTreeWriter *op;

  int      temp0;
  vtkTree  *temp20;
  PyErr_Clear();
  op = (vtkTreeWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeWriter::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTreeWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeWriter\nC++: vtkTreeWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeWriter\nC++: vtkTreeWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkTreeWriter_GetInput, 1,
   (char*)"V.GetInput() -> vtkTree\nC++: vtkTree *GetInput ();\nV.GetInput(int) -> vtkTree\nC++: vtkTree *GetInput (int port);\n\n Get the input to this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeWriterDoc[] = {
  (char*)"vtkTreeWriter - write vtkTree data to a file\n\n",
  "Super Class:\n\n vtkDataWriter\n\n",
  (char*)" vtkTreeWriter is a sink object that writes ASCII or binary \n vtkTree data files in vtk format. See text for format details.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  NULL
};

static vtkObjectBase *vtkTreeWriterStaticNew()
{
  return vtkTreeWriter::New();
}

PyObject *PyVTKClass_vtkTreeWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeWriterStaticNew,
                        PyvtkTreeWriterMethods,
                        (char*)"vtkTreeWriter",modulename,
                        (char**)vtkTreeWriterDoc,
                        PyVTKClass_vtkDataWriterNew(modulename));
}

