// python wrapper for vtkUnstructuredGridReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnstructuredGridReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataReaderNew(char *); }

static PyObject *PyvtkUnstructuredGridReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridReader *op;

  const char    *temp20;
  op = (vtkUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridReader *op;

  vtkUnstructuredGridReader  *temp20;
  op = (vtkUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnstructuredGridReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnstructuredGridReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridReader *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkUnstructuredGridReader *op;

  int      temp0;
  vtkUnstructuredGrid  *temp20;
  PyErr_Clear();
  op = (vtkUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridReader *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  op = (vtkUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridReader\nC++: vtkUnstructuredGridReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnstructuredGridReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnstructuredGridReader\nC++: vtkUnstructuredGridReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkUnstructuredGridReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetOutput ();\nV.GetOutput(int) -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetOutput (int idx);\n\n Get the output of this reader.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkUnstructuredGridReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkUnstructuredGrid)\nC++: void SetOutput (vtkUnstructuredGrid *output);\n\n Get the output of this reader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridReaderDoc[] = {
  (char*)"vtkUnstructuredGridReader - read vtk unstructured grid data file\n\n",
  "Super Class:\n\n vtkDataReader\n\n",
  (char*)" vtkUnstructuredGridReader is a source object that reads ASCII or binary \n unstructured grid data files in vtk format. (see text for format details).\n The output of this reader is a single vtkUnstructuredGrid data object.\n The superclass of this class, vtkDataReader, provides many methods for\n controlling the reading of the data file, see vtkDataReader for more\n information.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  "See Also:\n\n vtkUnstructuredGrid vtkDataReader\n\n",
  NULL
};

static vtkObjectBase *vtkUnstructuredGridReaderStaticNew()
{
  return vtkUnstructuredGridReader::New();
}

PyObject *PyVTKClass_vtkUnstructuredGridReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnstructuredGridReaderStaticNew,
                        PyvtkUnstructuredGridReaderMethods,
                        (char*)"vtkUnstructuredGridReader",modulename,
                        (char**)vtkUnstructuredGridReaderDoc,
                        PyVTKClass_vtkDataReaderNew(modulename));
}

