// tcl wrapper for vtkVolume16Reader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolume16Reader.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVolume16ReaderNewCommand()
{
  vtkVolume16Reader *temp = vtkVolume16Reader::New();
  return static_cast<ClientData>(temp);
}

int vtkVolumeReaderCppCommand(vtkVolumeReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVolume16ReaderCppCommand(vtkVolume16Reader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVolume16ReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVolume16ReaderCppCommand(static_cast<vtkVolume16Reader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVolume16ReaderCppCommand(vtkVolume16Reader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVolume16Reader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkVolumeReaderCppCommand(static_cast<vtkVolumeReader *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkVolumeReader"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVolume16Reader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolume16Reader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVolume16Reader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolume16Reader");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVolume16Reader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolume16Reader");
    return TCL_OK;
    }
  if ((!strcmp("SetDataDimensions",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetDataDimensions(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataDimensions",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetDataDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataDimensions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetDataDimensions();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataMask",argv[1]))&&(argc == 3))
    {
    unsigned short    temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned short>(tempi);
    if (!error)
    {
    op->SetDataMask(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataMask",argv[1]))&&(argc == 2))
    {
    unsigned short    temp20;
    temp20 = (op)->GetDataMask();
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHeaderSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHeaderSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeaderSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHeaderSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrderToBigEndian",argv[1]))&&(argc == 2))
    {
    op->SetDataByteOrderToBigEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrderToLittleEndian",argv[1]))&&(argc == 2))
    {
    op->SetDataByteOrderToLittleEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataByteOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataByteOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataByteOrder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataByteOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataByteOrderAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataByteOrderAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSwapBytes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSwapBytes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSwapBytes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSwapBytes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SwapBytesOn",argv[1]))&&(argc == 2))
    {
    op->SwapBytesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SwapBytesOff",argv[1]))&&(argc == 2))
    {
    op->SwapBytesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTransform",argv[1]))&&(argc == 3))
    {
    vtkTransform  *temp0;
    error = 0;

    temp0 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTransform"),interp,error));
    if (!error)
    {
    op->SetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 2))
    {
    vtkTransform  *temp20;
    temp20 = (op)->GetTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransform");
    return TCL_OK;
    }
  if ((!strcmp("GetImage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkImageData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetImage(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVolume16ReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkVolumeReaderCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVolume16Reader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetDataDimensions\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDataDimensions\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetDataMask\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataMask\n",NULL);
    Tcl_AppendResult(interp,"  SetHeaderSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeaderSize\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrderToBigEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrderToLittleEndian\n",NULL);
    Tcl_AppendResult(interp,"  GetDataByteOrder\n",NULL);
    Tcl_AppendResult(interp,"  SetDataByteOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataByteOrderAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetSwapBytes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSwapBytes\n",NULL);
    Tcl_AppendResult(interp,"  SwapBytesOn\n",NULL);
    Tcl_AppendResult(interp,"  SwapBytesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTransform\n",NULL);
    Tcl_AppendResult(interp,"  GetImage\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkVolumeReaderCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetDataDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetDataDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetDataDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetDataMask" );
    Tcl_DStringAppendElement ( &dString, "GetDataMask" );
    Tcl_DStringAppendElement ( &dString, "SetHeaderSize" );
    Tcl_DStringAppendElement ( &dString, "GetHeaderSize" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToBigEndian" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToLittleEndian" );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrder" );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrder" );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderAsString" );
    Tcl_DStringAppendElement ( &dString, "SetSwapBytes" );
    Tcl_DStringAppendElement ( &dString, "GetSwapBytes" );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOn" );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOff" );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    Tcl_DStringAppendElement ( &dString, "GetImage" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkVolumeReaderCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with NULL file prefix; file pattern \"%s.%d\"; image range \n set to (1,1); data origin (0,0,0); data spacing (1,1,1); no data mask;\n header size 0; and byte swapping turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkVolume16Reader *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataDimensions */
    if ( strcmp ( argv[2], "SetDataDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataDimensions */
    Tcl_DStringAppendElement ( &dString, " Specify the dimensions for the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataDimensions (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SetDataDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataDimensions */
    if ( strcmp ( argv[2], "SetDataDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataDimensions */
    Tcl_DStringAppendElement ( &dString, " Specify the dimensions for the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataDimensions (int  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SetDataDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataDimensions */
    if ( strcmp ( argv[2], "GetDataDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataDimensions */
    Tcl_DStringAppendElement ( &dString, " Specify the dimensions for the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetDataDimensions ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for GetDataDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataMask */
    if ( strcmp ( argv[2], "SetDataMask" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataMask" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataMask */
    Tcl_DStringAppendElement ( &dString, " Specify a mask used to eliminate data in the data file (e.g.,\n connectivity bits).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataMask (unsigned short );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SetDataMask */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataMask */
    if ( strcmp ( argv[2], "GetDataMask" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataMask" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataMask */
    Tcl_DStringAppendElement ( &dString, " Specify a mask used to eliminate data in the data file (e.g.,\n connectivity bits).\n" );
    Tcl_DStringAppendElement ( &dString, "short unsigned GetDataMask ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for GetDataMask */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeaderSize */
    if ( strcmp ( argv[2], "SetHeaderSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeaderSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeaderSize */
    Tcl_DStringAppendElement ( &dString, " Specify the number of bytes to seek over at start of image.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeaderSize (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SetHeaderSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeaderSize */
    if ( strcmp ( argv[2], "GetHeaderSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeaderSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeaderSize */
    Tcl_DStringAppendElement ( &dString, " Specify the number of bytes to seek over at start of image.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHeaderSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for GetHeaderSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrderToBigEndian */
    if ( strcmp ( argv[2], "SetDataByteOrderToBigEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToBigEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrderToBigEndian */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrderToBigEndian ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SetDataByteOrderToBigEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrderToLittleEndian */
    if ( strcmp ( argv[2], "SetDataByteOrderToLittleEndian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrderToLittleEndian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrderToLittleEndian */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrderToLittleEndian ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SetDataByteOrderToLittleEndian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataByteOrder */
    if ( strcmp ( argv[2], "GetDataByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataByteOrder */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataByteOrder ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for GetDataByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataByteOrder */
    if ( strcmp ( argv[2], "SetDataByteOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataByteOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataByteOrder */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataByteOrder (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SetDataByteOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataByteOrderAsString */
    if ( strcmp ( argv[2], "GetDataByteOrderAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataByteOrderAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataByteOrderAsString */
    Tcl_DStringAppendElement ( &dString, " These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDataByteOrderAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for GetDataByteOrderAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSwapBytes */
    if ( strcmp ( argv[2], "SetSwapBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSwapBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSwapBytes */
    Tcl_DStringAppendElement ( &dString, " Turn on/off byte swapping.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSwapBytes (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SetSwapBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSwapBytes */
    if ( strcmp ( argv[2], "GetSwapBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSwapBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSwapBytes */
    Tcl_DStringAppendElement ( &dString, " Turn on/off byte swapping.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSwapBytes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for GetSwapBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwapBytesOn */
    if ( strcmp ( argv[2], "SwapBytesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwapBytesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off byte swapping.\n" );
    Tcl_DStringAppendElement ( &dString, "void SwapBytesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SwapBytesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwapBytesOff */
    if ( strcmp ( argv[2], "SwapBytesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwapBytesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwapBytesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off byte swapping.\n" );
    Tcl_DStringAppendElement ( &dString, "void SwapBytesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SwapBytesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransform */
    if ( strcmp ( argv[2], "SetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransform */
    Tcl_DStringAppendElement ( &dString, " Set/Get transformation matrix to transform the data from slice space\n into world space. This matrix must be a permutation matrix. To qualify,\n the sums of the rows must be + or - 1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTransform (vtkTransform *);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for SetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " Set/Get transformation matrix to transform the data from slice space\n into world space. This matrix must be a permutation matrix. To qualify,\n the sums of the rows must be + or - 1.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform *GetTransform ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImage */
    if ( strcmp ( argv[2], "GetImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImage */
    Tcl_DStringAppendElement ( &dString, " Other objects make use of these methods\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetImage (int ImageNumber);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume16Reader" );
    /* Closing for GetImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkVolumeReaderCppCommand(static_cast<vtkVolumeReader *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
