// python wrapper for vtkXMLCompositeDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLCompositeDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLCompositeDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLCompositeDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLReaderNew(char *); }

static PyObject *PyvtkXMLCompositeDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataReader *op;

  const char    *temp20;
  op = (vtkXMLCompositeDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLCompositeDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataReader *op;

  vtkXMLCompositeDataReader  *temp20;
  op = (vtkXMLCompositeDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataReader *op;

  vtkCompositeDataSet  *temp20;
  op = (vtkXMLCompositeDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLCompositeDataReader *op;

  int      temp0;
  vtkCompositeDataSet  *temp20;
  PyErr_Clear();
  op = (vtkXMLCompositeDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLCompositeDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLCompositeDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLCompositeDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLCompositeDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLCompositeDataReader\nC++: vtkXMLCompositeDataReader *NewInstance ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkXMLCompositeDataReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkCompositeDataSet\nC++: vtkCompositeDataSet *GetOutput ();\nV.GetOutput(int) -> vtkCompositeDataSet\nC++: vtkCompositeDataSet *GetOutput (int );\n\n Get the output data object for a port on this algorithm.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLCompositeDataReaderDoc[] = {
  (char*)"vtkXMLCompositeDataReader - Reader for multi-group datasets\n\n",
  "Super Class:\n\n vtkXMLReader\n\n",
  (char*)" vtkXMLCompositeDataReader reads the VTK XML multi-group data file\n format. XML multi-group data files are meta-files that point to a list\n of serial VTK XML files. When reading in parallel, it will distribute\n sub-blocks among processor. If the number of sub-blocks is less than\n the number of processors, some processors will not have any sub-blocks\n for that group. If the number of sub-blocks is ",
  (char*)"larger than the\n number of processors, each processor will possibly have more than\n 1 sub-block.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLCompositeDataReaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLCompositeDataReaderMethods,
                        (char*)"vtkXMLCompositeDataReader",modulename,
                        (char**)vtkXMLCompositeDataReaderDoc,
                        PyVTKClass_vtkXMLReaderNew(modulename));
}

