// python wrapper for vtkXMLCompositeDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLCompositeDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLCompositeDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLCompositeDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLWriterNew(char *); }

static PyObject *PyvtkXMLCompositeDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  const char    *temp20;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  vtkXMLCompositeDataWriter  *temp20;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  const char    *temp20;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataWriter_GetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  int      temp20;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataWriter::GetPiece();
      }
    else
      {
      temp20 = op->GetPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataWriter_SetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  int      temp0;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLCompositeDataWriter::SetPiece(temp0);
      }
    else
      {
      op->SetPiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataWriter_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  int      temp20;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataWriter::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataWriter_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  int      temp0;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLCompositeDataWriter::SetNumberOfPieces(temp0);
      }
    else
      {
      op->SetNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataWriter_GetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  int      temp20;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataWriter::GetGhostLevel();
      }
    else
      {
      temp20 = op->GetGhostLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataWriter_SetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  int      temp0;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLCompositeDataWriter::SetGhostLevel(temp0);
      }
    else
      {
      op->SetGhostLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataWriter_GetWriteMetaFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  int      temp20;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLCompositeDataWriter::GetWriteMetaFile();
      }
    else
      {
      temp20 = op->GetWriteMetaFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLCompositeDataWriter_SetWriteMetaFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLCompositeDataWriter *op;

  int      temp0;
  op = (vtkXMLCompositeDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLCompositeDataWriter::SetWriteMetaFile(temp0);
      }
    else
      {
      op->SetWriteMetaFile(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLCompositeDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLCompositeDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLCompositeDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLCompositeDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLCompositeDataWriter\nC++: vtkXMLCompositeDataWriter *NewInstance ();\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLCompositeDataWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: virtual const char *GetDefaultFileExtension ();\n\n Get the default file extension for files written by this writer.\n"},
  {(char*)"GetPiece",                (PyCFunction)PyvtkXMLCompositeDataWriter_GetPiece, 1,
   (char*)"V.GetPiece() -> int\nC++: int GetPiece ();\n\n Get/Set the piece number to write.  The same piece number is used\n for all inputs.\n"},
  {(char*)"SetPiece",                (PyCFunction)PyvtkXMLCompositeDataWriter_SetPiece, 1,
   (char*)"V.SetPiece(int)\nC++: void SetPiece (int );\n\n Get/Set the piece number to write.  The same piece number is used\n for all inputs.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkXMLCompositeDataWriter_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces ();\n\n Get/Set the number of pieces into which the inputs are split.\n"},
  {(char*)"SetNumberOfPieces",                (PyCFunction)PyvtkXMLCompositeDataWriter_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces (int );\n\n Get/Set the number of pieces into which the inputs are split.\n"},
  {(char*)"GetGhostLevel",                (PyCFunction)PyvtkXMLCompositeDataWriter_GetGhostLevel, 1,
   (char*)"V.GetGhostLevel() -> int\nC++: int GetGhostLevel ();\n\n Get/Set the number of ghost levels to be written.\n"},
  {(char*)"SetGhostLevel",                (PyCFunction)PyvtkXMLCompositeDataWriter_SetGhostLevel, 1,
   (char*)"V.SetGhostLevel(int)\nC++: void SetGhostLevel (int );\n\n Get/Set the number of ghost levels to be written.\n"},
  {(char*)"GetWriteMetaFile",                (PyCFunction)PyvtkXMLCompositeDataWriter_GetWriteMetaFile, 1,
   (char*)"V.GetWriteMetaFile() -> int\nC++: int GetWriteMetaFile ();\n\n Get/Set whether this instance will write the meta-file. \n"},
  {(char*)"SetWriteMetaFile",                (PyCFunction)PyvtkXMLCompositeDataWriter_SetWriteMetaFile, 1,
   (char*)"V.SetWriteMetaFile(int)\nC++: virtual void SetWriteMetaFile (int flag);\n\n Get/Set whether this instance will write the meta-file. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLCompositeDataWriterDoc[] = {
  (char*)"vtkXMLCompositeDataWriter - Writer for multi-group datasets\n\n",
  "Super Class:\n\n vtkXMLWriter\n\n",
  (char*)" vtkXMLCompositeDataWriter writes (serially) the VTK XML multi-group,\n multi-block hierarchical and hierarchical box files. XML multi-group\n data files are meta-files that point to a list of serial VTK XML files.\n\n",
  "See Also:\n\n vtkXMLPCompositeDataWriter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLCompositeDataWriterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLCompositeDataWriterMethods,
                        (char*)"vtkXMLCompositeDataWriter",modulename,
                        (char**)vtkXMLCompositeDataWriterDoc,
                        PyVTKClass_vtkXMLWriterNew(modulename));
}

