// python wrapper for vtkXMLDataParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLDataParser.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLDataParserNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLDataParserNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLParserNew(char *); }

static PyObject *PyvtkXMLDataParser_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  const char    *temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  vtkXMLDataParser  *temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLDataParser  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLDataParser::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLDataParser_GetRootElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  vtkXMLDataElement  *temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::GetRootElement();
      }
    else
      {
      temp20 = op->GetRootElement();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_SetCompressor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  vtkDataCompressor  *temp0;
  PyObject *tempH0;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataCompressor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataCompressor");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataParser::SetCompressor(temp0);
      }
    else
      {
      op->SetCompressor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkXMLDataParser_GetCompressor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  vtkDataCompressor  *temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::GetCompressor();
      }
    else
      {
      temp20 = op->GetCompressor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_GetWordTypeSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  int      temp0;
  unsigned long     temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::GetWordTypeSize(temp0);
      }
    else
      {
      temp20 = op->GetWordTypeSize(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_Parse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  int      temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::Parse();
      }
    else
      {
      temp20 = op->Parse();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_GetAbort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  int      temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::GetAbort();
      }
    else
      {
      temp20 = op->GetAbort();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_SetAbort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  int      temp0;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataParser::SetAbort(temp0);
      }
    else
      {
      op->SetAbort(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_GetProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  float    temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::GetProgress();
      }
    else
      {
      temp20 = op->GetProgress();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_SetProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  float    temp0;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataParser::SetProgress(temp0);
      }
    else
      {
      op->SetProgress(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_SetAttributesEncoding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  int      temp0;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataParser::SetAttributesEncoding(temp0);
      }
    else
      {
      op->SetAttributesEncoding(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_GetAttributesEncodingMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  int      temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::GetAttributesEncodingMinValue();
      }
    else
      {
      temp20 = op->GetAttributesEncodingMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_GetAttributesEncodingMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  int      temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::GetAttributesEncodingMaxValue();
      }
    else
      {
      temp20 = op->GetAttributesEncodingMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_GetAttributesEncoding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  int      temp20;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataParser::GetAttributesEncoding();
      }
    else
      {
      temp20 = op->GetAttributesEncoding();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataParser_CharacterDataHandler(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataParser *op;

  char    *temp0;
  int      temp1;
  op = (vtkXMLDataParser *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataParser::CharacterDataHandler(temp0,temp1);
      }
    else
      {
      op->CharacterDataHandler(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLDataParserMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLDataParser_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLDataParser_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLDataParser_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLDataParser\nC++: vtkXMLDataParser *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLDataParser_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLDataParser\nC++: vtkXMLDataParser *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetRootElement",                (PyCFunction)PyvtkXMLDataParser_GetRootElement, 1,
   (char*)"V.GetRootElement() -> vtkXMLDataElement\nC++: vtkXMLDataElement *GetRootElement ();\n\n Get the root element from the XML document.\n"},
  {(char*)"SetCompressor",                (PyCFunction)PyvtkXMLDataParser_SetCompressor, 1,
   (char*)"V.SetCompressor(vtkDataCompressor)\nC++: virtual void SetCompressor (vtkDataCompressor *);\n\n Get/Set the compressor used to decompress binary and appended data\n after reading from the file.\n"},
  {(char*)"GetCompressor",                (PyCFunction)PyvtkXMLDataParser_GetCompressor, 1,
   (char*)"V.GetCompressor() -> vtkDataCompressor\nC++: vtkDataCompressor *GetCompressor ();\n\n Get/Set the compressor used to decompress binary and appended data\n after reading from the file.\n"},
  {(char*)"GetWordTypeSize",                (PyCFunction)PyvtkXMLDataParser_GetWordTypeSize, 1,
   (char*)"V.GetWordTypeSize(int) -> int\nC++: unsigned long GetWordTypeSize (int wordType);\n\n Get the size of a word of the given type.\n"},
  {(char*)"Parse",                (PyCFunction)PyvtkXMLDataParser_Parse, 1,
   (char*)"V.Parse() -> int\nC++: virtual int Parse ();\n\n Parse the XML input and check that the file is safe to read.\n Returns 1 for okay, 0 for error.\n"},
  {(char*)"GetAbort",                (PyCFunction)PyvtkXMLDataParser_GetAbort, 1,
   (char*)"V.GetAbort() -> int\nC++: int GetAbort ();\n\n Get/Set flag to abort reading of data.  This may be set by a\n progress event observer.\n"},
  {(char*)"SetAbort",                (PyCFunction)PyvtkXMLDataParser_SetAbort, 1,
   (char*)"V.SetAbort(int)\nC++: void SetAbort (int );\n\n Get/Set flag to abort reading of data.  This may be set by a\n progress event observer.\n"},
  {(char*)"GetProgress",                (PyCFunction)PyvtkXMLDataParser_GetProgress, 1,
   (char*)"V.GetProgress() -> float\nC++: float GetProgress ();\n\n Get/Set progress of reading data.  This may be checked by a\n progress event observer.\n"},
  {(char*)"SetProgress",                (PyCFunction)PyvtkXMLDataParser_SetProgress, 1,
   (char*)"V.SetProgress(float)\nC++: void SetProgress (float );\n\n Get/Set progress of reading data.  This may be checked by a\n progress event observer.\n"},
  {(char*)"SetAttributesEncoding",                (PyCFunction)PyvtkXMLDataParser_SetAttributesEncoding, 1,
   (char*)"V.SetAttributesEncoding(int)\nC++: void SetAttributesEncoding (int );\n\n Get/Set the character encoding that will be used to set the attributes's\n encoding type of each vtkXMLDataElement created by this parser (i.e.,\n the data element attributes will use that encoding internally).\n If set to VTK_ENCODING_NONE (default), the attribute encoding type will\n not be changed and will default to the vtkXMLDataElement default encoding\n type (see vtkXMLDataElement::AttributeEncoding).\n"},
  {(char*)"GetAttributesEncodingMinValue",                (PyCFunction)PyvtkXMLDataParser_GetAttributesEncodingMinValue, 1,
   (char*)"V.GetAttributesEncodingMinValue() -> int\nC++: int GetAttributesEncodingMinValue ();\n\n Get/Set the character encoding that will be used to set the attributes's\n encoding type of each vtkXMLDataElement created by this parser (i.e.,\n the data element attributes will use that encoding internally).\n If set to VTK_ENCODING_NONE (default), the attribute encoding type will\n not be changed and will default to the vtkXMLDataElement default encoding\n type (see vtkXMLDataElement::AttributeEncoding).\n"},
  {(char*)"GetAttributesEncodingMaxValue",                (PyCFunction)PyvtkXMLDataParser_GetAttributesEncodingMaxValue, 1,
   (char*)"V.GetAttributesEncodingMaxValue() -> int\nC++: int GetAttributesEncodingMaxValue ();\n\n Get/Set the character encoding that will be used to set the attributes's\n encoding type of each vtkXMLDataElement created by this parser (i.e.,\n the data element attributes will use that encoding internally).\n If set to VTK_ENCODING_NONE (default), the attribute encoding type will\n not be changed and will default to the vtkXMLDataElement default encoding\n type (see vtkXMLDataElement::AttributeEncoding).\n"},
  {(char*)"GetAttributesEncoding",                (PyCFunction)PyvtkXMLDataParser_GetAttributesEncoding, 1,
   (char*)"V.GetAttributesEncoding() -> int\nC++: int GetAttributesEncoding ();\n\n Get/Set the character encoding that will be used to set the attributes's\n encoding type of each vtkXMLDataElement created by this parser (i.e.,\n the data element attributes will use that encoding internally).\n If set to VTK_ENCODING_NONE (default), the attribute encoding type will\n not be changed and will default to the vtkXMLDataElement default encoding\n type (see vtkXMLDataElement::AttributeEncoding).\n"},
  {(char*)"CharacterDataHandler",                (PyCFunction)PyvtkXMLDataParser_CharacterDataHandler, 1,
   (char*)"V.CharacterDataHandler(string, int)\nC++: virtual void CharacterDataHandler (const char *data, int length);\n\n If you need the text inside XMLElements, turn IgnoreCharacterData off.\n This method will then be called when the file is parsed, and the text\n will be stored in each XMLDataElement. VTK XML Readers store the \n information elsewhere, so the default is to ignore it.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLDataParserDoc[] = {
  (char*)"vtkXMLDataParser - Used by vtkXMLReader to parse VTK XML files.\n\n",
  "Super Class:\n\n vtkXMLParser\n\n",
  (char*)" vtkXMLDataParser provides a subclass of vtkXMLParser that\n constructs a representation of an XML data format's file using\n vtkXMLDataElement to represent each XML element.  This\n representation is then used by vtkXMLReader and its subclasses to\n traverse the structure of the file and extract data.\n\n",
  "See Also:\n\n vtkXMLDataElement\n\n",
  NULL
};

static vtkObjectBase *vtkXMLDataParserStaticNew()
{
  return vtkXMLDataParser::New();
}

PyObject *PyVTKClass_vtkXMLDataParserNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLDataParserStaticNew,
                        PyvtkXMLDataParserMethods,
                        (char*)"vtkXMLDataParser",modulename,
                        (char**)vtkXMLDataParserDoc,
                        PyVTKClass_vtkXMLParserNew(modulename));
}

