// tcl wrapper for vtkXMLDataParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLDataParser.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkXMLDataParserNewCommand()
{
  vtkXMLDataParser *temp = vtkXMLDataParser::New();
  return static_cast<ClientData>(temp);
}

int vtkXMLParserCppCommand(vtkXMLParser *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXMLDataParserCppCommand(vtkXMLDataParser *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXMLDataParserCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXMLDataParserCppCommand(static_cast<vtkXMLDataParser *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXMLDataParserCppCommand(vtkXMLDataParser *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXMLDataParser",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkXMLParserCppCommand(static_cast<vtkXMLParser *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkXMLParser"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXMLDataParser  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataParser");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkXMLDataParser  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataParser");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkXMLDataParser  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataParser");
    return TCL_OK;
    }
  if ((!strcmp("GetRootElement",argv[1]))&&(argc == 2))
    {
    vtkXMLDataElement  *temp20;
    temp20 = (op)->GetRootElement();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
  if ((!strcmp("SetCompressor",argv[1]))&&(argc == 3))
    {
    vtkDataCompressor  *temp0;
    error = 0;

    temp0 = (vtkDataCompressor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataCompressor"),interp,error));
    if (!error)
    {
    op->SetCompressor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompressor",argv[1]))&&(argc == 2))
    {
    vtkDataCompressor  *temp20;
    temp20 = (op)->GetCompressor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataCompressor");
    return TCL_OK;
    }
  if ((!strcmp("GetWordTypeSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    unsigned long     temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetWordTypeSize(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Parse",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Parse();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAbort",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAbort();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAbort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAbort(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProgress",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetProgress();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProgress",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetProgress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttributesEncoding",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributesEncoding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributesEncodingMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributesEncodingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributesEncodingMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributesEncodingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributesEncoding",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributesEncoding();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CharacterDataHandler",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->CharacterDataHandler(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkXMLDataParserCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkXMLParserCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXMLDataParser:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetRootElement\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompressor\n",NULL);
    Tcl_AppendResult(interp,"  GetWordTypeSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Parse\n",NULL);
    Tcl_AppendResult(interp,"  GetAbort\n",NULL);
    Tcl_AppendResult(interp,"  SetAbort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProgress\n",NULL);
    Tcl_AppendResult(interp,"  SetProgress\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributesEncoding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributesEncodingMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributesEncodingMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributesEncoding\n",NULL);
    Tcl_AppendResult(interp,"  CharacterDataHandler\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkXMLParserCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetRootElement" );
    Tcl_DStringAppendElement ( &dString, "SetCompressor" );
    Tcl_DStringAppendElement ( &dString, "GetCompressor" );
    Tcl_DStringAppendElement ( &dString, "GetWordTypeSize" );
    Tcl_DStringAppendElement ( &dString, "Parse" );
    Tcl_DStringAppendElement ( &dString, "GetAbort" );
    Tcl_DStringAppendElement ( &dString, "SetAbort" );
    Tcl_DStringAppendElement ( &dString, "GetProgress" );
    Tcl_DStringAppendElement ( &dString, "SetProgress" );
    Tcl_DStringAppendElement ( &dString, "SetAttributesEncoding" );
    Tcl_DStringAppendElement ( &dString, "GetAttributesEncodingMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAttributesEncodingMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAttributesEncoding" );
    Tcl_DStringAppendElement ( &dString, "CharacterDataHandler" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkXMLParserCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkXMLDataParser *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRootElement */
    if ( strcmp ( argv[2], "GetRootElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRootElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRootElement */
    Tcl_DStringAppendElement ( &dString, " Get the root element from the XML document.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *GetRootElement ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for GetRootElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompressor */
    if ( strcmp ( argv[2], "SetCompressor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompressor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataCompressor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompressor */
    Tcl_DStringAppendElement ( &dString, " Get/Set the compressor used to decompress binary and appended data\n after reading from the file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCompressor (vtkDataCompressor *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for SetCompressor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompressor */
    if ( strcmp ( argv[2], "GetCompressor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompressor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompressor */
    Tcl_DStringAppendElement ( &dString, " Get/Set the compressor used to decompress binary and appended data\n after reading from the file.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataCompressor *GetCompressor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for GetCompressor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWordTypeSize */
    if ( strcmp ( argv[2], "GetWordTypeSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWordTypeSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWordTypeSize */
    Tcl_DStringAppendElement ( &dString, " Get the size of a word of the given type.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetWordTypeSize (int wordType);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for GetWordTypeSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Parse */
    if ( strcmp ( argv[2], "Parse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Parse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Parse */
    Tcl_DStringAppendElement ( &dString, " Parse the XML input and check that the file is safe to read.\n Returns 1 for okay, 0 for error.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Parse ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for Parse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbort */
    if ( strcmp ( argv[2], "GetAbort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbort */
    Tcl_DStringAppendElement ( &dString, " Get/Set flag to abort reading of data.  This may be set by a\n progress event observer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAbort ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for GetAbort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAbort */
    if ( strcmp ( argv[2], "SetAbort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAbort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAbort */
    Tcl_DStringAppendElement ( &dString, " Get/Set flag to abort reading of data.  This may be set by a\n progress event observer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAbort (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for SetAbort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProgress */
    if ( strcmp ( argv[2], "GetProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProgress */
    Tcl_DStringAppendElement ( &dString, " Get/Set progress of reading data.  This may be checked by a\n progress event observer.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetProgress ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for GetProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProgress */
    if ( strcmp ( argv[2], "SetProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProgress */
    Tcl_DStringAppendElement ( &dString, " Get/Set progress of reading data.  This may be checked by a\n progress event observer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProgress (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for SetProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributesEncoding */
    if ( strcmp ( argv[2], "SetAttributesEncoding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributesEncoding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributesEncoding */
    Tcl_DStringAppendElement ( &dString, " Get/Set the character encoding that will be used to set the attributes's\n encoding type of each vtkXMLDataElement created by this parser (i.e.,\n the data element attributes will use that encoding internally).\n If set to VTK_ENCODING_NONE (default), the attribute encoding type will\n not be changed and will default to the vtkXMLDataElement default encoding\n type (see vtkXMLDataElement::AttributeEncoding).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributesEncoding (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for SetAttributesEncoding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributesEncodingMinValue */
    if ( strcmp ( argv[2], "GetAttributesEncodingMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributesEncodingMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributesEncodingMinValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the character encoding that will be used to set the attributes's\n encoding type of each vtkXMLDataElement created by this parser (i.e.,\n the data element attributes will use that encoding internally).\n If set to VTK_ENCODING_NONE (default), the attribute encoding type will\n not be changed and will default to the vtkXMLDataElement default encoding\n type (see vtkXMLDataElement::AttributeEncoding).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributesEncodingMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for GetAttributesEncodingMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributesEncodingMaxValue */
    if ( strcmp ( argv[2], "GetAttributesEncodingMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributesEncodingMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributesEncodingMaxValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the character encoding that will be used to set the attributes's\n encoding type of each vtkXMLDataElement created by this parser (i.e.,\n the data element attributes will use that encoding internally).\n If set to VTK_ENCODING_NONE (default), the attribute encoding type will\n not be changed and will default to the vtkXMLDataElement default encoding\n type (see vtkXMLDataElement::AttributeEncoding).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributesEncodingMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for GetAttributesEncodingMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributesEncoding */
    if ( strcmp ( argv[2], "GetAttributesEncoding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributesEncoding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributesEncoding */
    Tcl_DStringAppendElement ( &dString, " Get/Set the character encoding that will be used to set the attributes's\n encoding type of each vtkXMLDataElement created by this parser (i.e.,\n the data element attributes will use that encoding internally).\n If set to VTK_ENCODING_NONE (default), the attribute encoding type will\n not be changed and will default to the vtkXMLDataElement default encoding\n type (see vtkXMLDataElement::AttributeEncoding).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributesEncoding ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for GetAttributesEncoding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CharacterDataHandler */
    if ( strcmp ( argv[2], "CharacterDataHandler" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CharacterDataHandler" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CharacterDataHandler */
    Tcl_DStringAppendElement ( &dString, " If you need the text inside XMLElements, turn IgnoreCharacterData off.\n This method will then be called when the file is parsed, and the text\n will be stored in each XMLDataElement. VTK XML Readers store the \n information elsewhere, so the default is to ignore it.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CharacterDataHandler (const char *data, int length);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataParser" );
    /* Closing for CharacterDataHandler */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkXMLParserCppCommand(static_cast<vtkXMLParser *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
