// python wrapper for vtkXMLDataSetWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLDataSetWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLDataSetWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLDataSetWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLWriterNew(char *); }

static PyObject *PyvtkXMLDataSetWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataSetWriter *op;

  const char    *temp20;
  op = (vtkXMLDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataSetWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataSetWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataSetWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataSetWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataSetWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataSetWriter *op;

  vtkXMLDataSetWriter  *temp20;
  op = (vtkXMLDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataSetWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataSetWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLDataSetWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLDataSetWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkXMLDataSetWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLDataSetWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLDataSetWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLDataSetWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLDataSetWriter\nC++: vtkXMLDataSetWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLDataSetWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLDataSetWriter\nC++: vtkXMLDataSetWriter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLDataSetWriterDoc[] = {
  (char*)"vtkXMLDataSetWriter - Write any type of VTK XML file.\n\n",
  "Super Class:\n\n vtkXMLWriter\n\n",
  (char*)" vtkXMLDataSetWriter is a wrapper around the VTK XML file format\n writers.  Given an input vtkDataSet, the correct writer is\n automatically selected based on the type of input.\n\n",
  "See Also:\n\n vtkXMLImageDataWriter vtkXMLStructuredGridWriter\n vtkXMLRectilinearGridWriter vtkXMLPolyDataWriter\n vtkXMLUnstructuredGridWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLDataSetWriterStaticNew()
{
  return vtkXMLDataSetWriter::New();
}

PyObject *PyVTKClass_vtkXMLDataSetWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLDataSetWriterStaticNew,
                        PyvtkXMLDataSetWriterMethods,
                        (char*)"vtkXMLDataSetWriter",modulename,
                        (char**)vtkXMLDataSetWriterDoc,
                        PyVTKClass_vtkXMLWriterNew(modulename));
}

