// python wrapper for vtkXMLHierarchicalBoxDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLHierarchicalBoxDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLHierarchicalBoxDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLHierarchicalBoxDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLCompositeDataReaderNew(char *); }

static PyObject *PyvtkXMLHierarchicalBoxDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHierarchicalBoxDataReader *op;

  const char    *temp20;
  op = (vtkXMLHierarchicalBoxDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHierarchicalBoxDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHierarchicalBoxDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHierarchicalBoxDataReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLHierarchicalBoxDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHierarchicalBoxDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHierarchicalBoxDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHierarchicalBoxDataReader *op;

  vtkXMLHierarchicalBoxDataReader  *temp20;
  op = (vtkXMLHierarchicalBoxDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHierarchicalBoxDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHierarchicalBoxDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLHierarchicalBoxDataReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLHierarchicalBoxDataReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkXMLHierarchicalBoxDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLHierarchicalBoxDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLHierarchicalBoxDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLHierarchicalBoxDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLHierarchicalBoxDataReader\nC++: vtkXMLHierarchicalBoxDataReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLHierarchicalBoxDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLHierarchicalBoxDataReader\nC++: vtkXMLHierarchicalBoxDataReader *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLHierarchicalBoxDataReaderDoc[] = {
  (char*)"vtkXMLHierarchicalBoxDataReader - Reader for hierarchical datasets\n\n",
  "Super Class:\n\n vtkXMLCompositeDataReader\n\n",
  (char*)" vtkXMLHierarchicalBoxDataReader reads the VTK XML hierarchical data file\n format. XML hierarchical data files are meta-files that point to a list\n of serial VTK XML files. When reading in parallel, it will distribute\n sub-blocks among processor. If the number of sub-blocks is less than\n the number of processors, some processors will not have any sub-blocks\n for that level. If the number of sub-bl",
  (char*)"ocks is larger than the\n number of processors, each processor will possibly have more than\n 1 sub-block.\n\n",
  NULL
};

static vtkObjectBase *vtkXMLHierarchicalBoxDataReaderStaticNew()
{
  return vtkXMLHierarchicalBoxDataReader::New();
}

PyObject *PyVTKClass_vtkXMLHierarchicalBoxDataReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLHierarchicalBoxDataReaderStaticNew,
                        PyvtkXMLHierarchicalBoxDataReaderMethods,
                        (char*)"vtkXMLHierarchicalBoxDataReader",modulename,
                        (char**)vtkXMLHierarchicalBoxDataReaderDoc,
                        PyVTKClass_vtkXMLCompositeDataReaderNew(modulename));
}

