// python wrapper for vtkXMLHierarchicalBoxDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLHierarchicalBoxDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLHierarchicalBoxDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLHierarchicalBoxDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLCompositeDataWriterNew(char *); }

static PyObject *PyvtkXMLHierarchicalBoxDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHierarchicalBoxDataWriter *op;

  const char    *temp20;
  op = (vtkXMLHierarchicalBoxDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHierarchicalBoxDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHierarchicalBoxDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHierarchicalBoxDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLHierarchicalBoxDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHierarchicalBoxDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHierarchicalBoxDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHierarchicalBoxDataWriter *op;

  vtkXMLHierarchicalBoxDataWriter  *temp20;
  op = (vtkXMLHierarchicalBoxDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHierarchicalBoxDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHierarchicalBoxDataWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLHierarchicalBoxDataWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLHierarchicalBoxDataWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLHierarchicalBoxDataWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHierarchicalBoxDataWriter *op;

  const char    *temp20;
  op = (vtkXMLHierarchicalBoxDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHierarchicalBoxDataWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLHierarchicalBoxDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLHierarchicalBoxDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLHierarchicalBoxDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLHierarchicalBoxDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLHierarchicalBoxDataWriter\nC++: vtkXMLHierarchicalBoxDataWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLHierarchicalBoxDataWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLHierarchicalBoxDataWriter\nC++: vtkXMLHierarchicalBoxDataWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLHierarchicalBoxDataWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: virtual const char *GetDefaultFileExtension ();return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLHierarchicalBoxDataWriterDoc[] = {
  (char*)"vtkXMLHierarchicalBoxDataWriter  - writer for\n\n",
  "Super Class:\n\n vtkXMLCompositeDataWriter\n\n",
  (char*)" vtkXMLHierarchicalBoxDataWriter is a vtkXMLCompositeDataWriter subclass to\n handle vtkHierarchicalBoxDataSet.\n\n",
  NULL
};

static vtkObjectBase *vtkXMLHierarchicalBoxDataWriterStaticNew()
{
  return vtkXMLHierarchicalBoxDataWriter::New();
}

PyObject *PyVTKClass_vtkXMLHierarchicalBoxDataWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLHierarchicalBoxDataWriterStaticNew,
                        PyvtkXMLHierarchicalBoxDataWriterMethods,
                        (char*)"vtkXMLHierarchicalBoxDataWriter",modulename,
                        (char**)vtkXMLHierarchicalBoxDataWriterDoc,
                        PyVTKClass_vtkXMLCompositeDataWriterNew(modulename));
}

