// python wrapper for vtkXMLHyperOctreeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLHyperOctreeReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLHyperOctreeReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLHyperOctreeReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLDataReaderNew(char *); }

static PyObject *PyvtkXMLHyperOctreeReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHyperOctreeReader *op;

  const char    *temp20;
  op = (vtkXMLHyperOctreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHyperOctreeReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHyperOctreeReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHyperOctreeReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLHyperOctreeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHyperOctreeReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHyperOctreeReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHyperOctreeReader *op;

  vtkXMLHyperOctreeReader  *temp20;
  op = (vtkXMLHyperOctreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHyperOctreeReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHyperOctreeReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLHyperOctreeReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLHyperOctreeReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLHyperOctreeReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHyperOctreeReader *op;

  vtkHyperOctree  *temp0;
  PyObject *tempH0;
  op = (vtkXMLHyperOctreeReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHyperOctree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHyperOctree");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLHyperOctreeReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkXMLHyperOctreeReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHyperOctreeReader *op;

  vtkHyperOctree  *temp20;
  op = (vtkXMLHyperOctreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHyperOctreeReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLHyperOctreeReader *op;

  int      temp0;
  vtkHyperOctree  *temp20;
  PyErr_Clear();
  op = (vtkXMLHyperOctreeReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHyperOctreeReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLHyperOctreeReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLHyperOctreeReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLHyperOctreeReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLHyperOctreeReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLHyperOctreeReader\nC++: vtkXMLHyperOctreeReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLHyperOctreeReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLHyperOctreeReader\nC++: vtkXMLHyperOctreeReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkXMLHyperOctreeReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkHyperOctree)\nC++: void SetOutput (vtkHyperOctree *output);\n\n Get/Set the reader's output.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkXMLHyperOctreeReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkHyperOctree\nC++: vtkHyperOctree *GetOutput ();\nV.GetOutput(int) -> vtkHyperOctree\nC++: vtkHyperOctree *GetOutput (int idx);\n\n Get/Set the reader's output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLHyperOctreeReaderDoc[] = {
  (char*)"vtkXMLHyperOctreeReader - Read VTK XML HyperOctree files.\n\n",
  "Super Class:\n\n vtkXMLDataReader\n\n",
  (char*)" vtkXMLHyperOctreeReader reads the VTK XML HyperOctree file\n format.  One rectilinear grid file can be read to produce one\n output.  Streaming is supported.  The standard extension for this\n reader's file format is \"vto\".  This reader is also used to read a\n single piece of the parallel file format.\n\n",
  "See Also:\n\n vtkXMLPHyperOctreeReader\n\n",
  NULL
};

static vtkObjectBase *vtkXMLHyperOctreeReaderStaticNew()
{
  return vtkXMLHyperOctreeReader::New();
}

PyObject *PyVTKClass_vtkXMLHyperOctreeReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLHyperOctreeReaderStaticNew,
                        PyvtkXMLHyperOctreeReaderMethods,
                        (char*)"vtkXMLHyperOctreeReader",modulename,
                        (char**)vtkXMLHyperOctreeReaderDoc,
                        PyVTKClass_vtkXMLDataReaderNew(modulename));
}

