// python wrapper for vtkXMLHyperOctreeWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLHyperOctreeWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLHyperOctreeWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLHyperOctreeWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLWriterNew(char *); }

static PyObject *PyvtkXMLHyperOctreeWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHyperOctreeWriter *op;

  const char    *temp20;
  op = (vtkXMLHyperOctreeWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHyperOctreeWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHyperOctreeWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHyperOctreeWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLHyperOctreeWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHyperOctreeWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHyperOctreeWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHyperOctreeWriter *op;

  vtkXMLHyperOctreeWriter  *temp20;
  op = (vtkXMLHyperOctreeWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHyperOctreeWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLHyperOctreeWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLHyperOctreeWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLHyperOctreeWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLHyperOctreeWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLHyperOctreeWriter *op;

  const char    *temp20;
  op = (vtkXMLHyperOctreeWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLHyperOctreeWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLHyperOctreeWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLHyperOctreeWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLHyperOctreeWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLHyperOctreeWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLHyperOctreeWriter\nC++: vtkXMLHyperOctreeWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLHyperOctreeWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLHyperOctreeWriter\nC++: vtkXMLHyperOctreeWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLHyperOctreeWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: const char *GetDefaultFileExtension ();\n\n Get the default file extension for files written by this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLHyperOctreeWriterDoc[] = {
  (char*)"vtkXMLHyperOctreeWriter - Write VTK XML HyperOctree files.\n\n",
  "Super Class:\n\n vtkXMLWriter\n\n",
  (char*)" vtkXMLHyperOctreeWriter writes the VTK XML HyperOctree file\n format.  One HyperOctree input can be written into one file in\n any number of streamed pieces.  The standard extension for this\n writer's file format is \"vto\".  This writer is also used to write a\n single piece of the parallel file format.\n\n",
  "See Also:\n\n vtkXMLPHyperOctreeWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLHyperOctreeWriterStaticNew()
{
  return vtkXMLHyperOctreeWriter::New();
}

PyObject *PyVTKClass_vtkXMLHyperOctreeWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLHyperOctreeWriterStaticNew,
                        PyvtkXMLHyperOctreeWriterMethods,
                        (char*)"vtkXMLHyperOctreeWriter",modulename,
                        (char**)vtkXMLHyperOctreeWriterDoc,
                        PyVTKClass_vtkXMLWriterNew(modulename));
}

