// python wrapper for vtkXMLMaterialParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLMaterialParser.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLMaterialParserNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLMaterialParserNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLParserNew(char *); }

static PyObject *PyvtkXMLMaterialParser_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialParser *op;

  const char    *temp20;
  op = (vtkXMLMaterialParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialParser::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterialParser_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialParser *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLMaterialParser *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialParser::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterialParser_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialParser *op;

  vtkXMLMaterialParser  *temp20;
  op = (vtkXMLMaterialParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialParser::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterialParser_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLMaterialParser  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLMaterialParser::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLMaterialParser_GetMaterial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialParser *op;

  vtkXMLMaterial  *temp20;
  op = (vtkXMLMaterialParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialParser::GetMaterial();
      }
    else
      {
      temp20 = op->GetMaterial();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterialParser_SetMaterial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialParser *op;

  vtkXMLMaterial  *temp0;
  PyObject *tempH0;
  op = (vtkXMLMaterialParser *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkXMLMaterial *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLMaterial");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLMaterialParser::SetMaterial(temp0);
      }
    else
      {
      op->SetMaterial(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkXMLMaterialParser_Parse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialParser *op;

  int      temp20;
  op = (vtkXMLMaterialParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialParser::Parse();
      }
    else
      {
      temp20 = op->Parse();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLMaterialParser *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkXMLMaterialParser *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialParser::Parse(temp0);
      }
    else
      {
      temp20 = op->Parse(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLMaterialParser *op;

  char    *temp0;
  unsigned int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkXMLMaterialParser *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialParser::Parse(temp0,temp1);
      }
    else
      {
      temp20 = op->Parse(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterialParser_InitializeParser(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialParser *op;

  int      temp20;
  op = (vtkXMLMaterialParser *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialParser::InitializeParser();
      }
    else
      {
      temp20 = op->InitializeParser();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLMaterialParserMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLMaterialParser_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLMaterialParser_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLMaterialParser_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLMaterialParser\nC++: vtkXMLMaterialParser *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLMaterialParser_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLMaterialParser\nC++: vtkXMLMaterialParser *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMaterial",                (PyCFunction)PyvtkXMLMaterialParser_GetMaterial, 1,
   (char*)"V.GetMaterial() -> vtkXMLMaterial\nC++: vtkXMLMaterial *GetMaterial ();\n\n Set/Get the vtkXMLMaterial representation of the parsed material.\n"},
  {(char*)"SetMaterial",                (PyCFunction)PyvtkXMLMaterialParser_SetMaterial, 1,
   (char*)"V.SetMaterial(vtkXMLMaterial)\nC++: void SetMaterial (vtkXMLMaterial *);\n\n Set/Get the vtkXMLMaterial representation of the parsed material.\n"},
  {(char*)"Parse",                (PyCFunction)PyvtkXMLMaterialParser_Parse, 1,
   (char*)"V.Parse() -> int\nC++: virtual int Parse ();\nV.Parse(string) -> int\nC++: virtual int Parse (const char *inputString);\nV.Parse(string, int) -> int\nC++: virtual int Parse (const char *inputString, unsigned int length);\n\n Overridden to initialize the internal structures before\n the parsing begins.\n"},
  {(char*)"InitializeParser",                (PyCFunction)PyvtkXMLMaterialParser_InitializeParser, 1,
   (char*)"V.InitializeParser() -> int\nC++: virtual int InitializeParser ();\n\n Overridden to clean up internal structures before the chunk-parsing\n begins.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLMaterialParserDoc[] = {
  (char*)"vtkXMLMaterialParser - Parses VTK Material file\n\n",
  "Super Class:\n\n vtkXMLParser\n\n",
  (char*)" vtkXMLMaterialParser parses a VTK Material file and provides that file's\n description of a number of vertex and fragment shaders along with data\n values specified for data members of vtkProperty. This material is to be\n applied to an actor through it's vtkProperty and augments VTK's concept\n of a vtkProperty to include explicitly include vertex and fragment shaders\n and parameter settings for tho",
  (char*)"se shaders. This effectively makes reflectance\n models and other shaders  a material property. If no shaders are specified\n VTK should default to standard rendering.\n\n .SECTION Design\n vtkXMLMaterialParser provides access to 3 distinct types of first-level\n vtkXMLDataElements that describe a VTK material. These elements are as\n follows:\n\n vtkProperty - describe values for vtkProperty data members\n",
  (char*)"\n vtkVertexShader - a vertex shader and enough information to\n install it into the hardware rendering pipeline including values for\n specific shader parameters and structures.\n\n vtkFragmentShader - a fragment shader and enough information to\n install it into the hardware rendering pipeline including values for\n specific shader parameters and structures.\n\n The design of the material file closely fo",
  (char*)"llows that of vtk's xml\n descriptions of it's data sets. This allows use of the very handy\n vtkXMLDataElement which provides easy access to an xml element's \n attribute values. Inlined data is currently not handled.\n\n Ideally this class would be a Facade to a DOM parser, but VTK only\n provides access to expat, a SAX parser. Other vtk classes that parse\n xml files are tuned to read vtkDataSets and ",
  (char*)"don't provide the functionality\n to handle generic xml data. As such they are of little use here.\n\n This class may be extended for better data  handling or may become a\n Facade to a DOM parser should on become part of the VTK code base.\n .SECTION Thanks\n Shader support in VTK includes key contributions by Gary Templet at \n Sandia National Labs.\n\n",
  NULL
};

static vtkObjectBase *vtkXMLMaterialParserStaticNew()
{
  return vtkXMLMaterialParser::New();
}

PyObject *PyVTKClass_vtkXMLMaterialParserNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLMaterialParserStaticNew,
                        PyvtkXMLMaterialParserMethods,
                        (char*)"vtkXMLMaterialParser",modulename,
                        (char**)vtkXMLMaterialParserDoc,
                        PyVTKClass_vtkXMLParserNew(modulename));
}

