// python wrapper for vtkXMLMaterial object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLMaterial.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLMaterialNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLMaterialNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkXMLMaterial_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  const char    *temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  vtkXMLMaterial  *temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLMaterial  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLMaterial::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLMaterial_CreateInstance(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkXMLMaterial  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkXMLMaterial::CreateInstance(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_GetNumberOfProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  int      temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::GetNumberOfProperties();
      }
    else
      {
      temp20 = op->GetNumberOfProperties();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_GetNumberOfTextures(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  int      temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::GetNumberOfTextures();
      }
    else
      {
      temp20 = op->GetNumberOfTextures();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_GetNumberOfVertexShaders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  int      temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::GetNumberOfVertexShaders();
      }
    else
      {
      temp20 = op->GetNumberOfVertexShaders();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_GetNumberOfFragmentShaders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  int      temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::GetNumberOfFragmentShaders();
      }
    else
      {
      temp20 = op->GetNumberOfFragmentShaders();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  int      temp0;
  vtkXMLDataElement  *temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::GetProperty(temp0);
      }
    else
      {
      temp20 = op->GetProperty(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_GetTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  int      temp0;
  vtkXMLDataElement  *temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::GetTexture(temp0);
      }
    else
      {
      temp20 = op->GetTexture(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_GetVertexShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  int      temp0;
  vtkXMLShader  *temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::GetVertexShader(temp0);
      }
    else
      {
      temp20 = op->GetVertexShader(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_GetFragmentShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  int      temp0;
  vtkXMLShader  *temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::GetFragmentShader(temp0);
      }
    else
      {
      temp20 = op->GetFragmentShader(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_GetRootElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  vtkXMLDataElement  *temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::GetRootElement();
      }
    else
      {
      temp20 = op->GetRootElement();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterial_SetRootElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  vtkXMLDataElement  *temp0;
  PyObject *tempH0;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLDataElement");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLMaterial::SetRootElement(temp0);
      }
    else
      {
      op->SetRootElement(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkXMLMaterial_GetShaderLanguage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterial *op;

  int      temp20;
  op = (vtkXMLMaterial *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterial::GetShaderLanguage();
      }
    else
      {
      temp20 = op->GetShaderLanguage();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLMaterialMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLMaterial_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLMaterial_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLMaterial_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLMaterial\nC++: vtkXMLMaterial *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLMaterial_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLMaterial\nC++: vtkXMLMaterial *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CreateInstance",                (PyCFunction)PyvtkXMLMaterial_CreateInstance, 1,
   (char*)"V.CreateInstance(string) -> vtkXMLMaterial\nC++: static vtkXMLMaterial *CreateInstance (const char *name);\n\n Create a new instance. It searches for the material\n using the following order: first, check the MaterialLibrary; second,\n treat the name as an absolute path and try to locate it; third,\n search the Material repository. Returns null is it fails to\n locate the material.\n"},
  {(char*)"GetNumberOfProperties",                (PyCFunction)PyvtkXMLMaterial_GetNumberOfProperties, 1,
   (char*)"V.GetNumberOfProperties() -> int\nC++: int GetNumberOfProperties ();\n\n Get number of elements of type Property.\n"},
  {(char*)"GetNumberOfTextures",                (PyCFunction)PyvtkXMLMaterial_GetNumberOfTextures, 1,
   (char*)"V.GetNumberOfTextures() -> int\nC++: int GetNumberOfTextures ();\n\n Get number of elements of type Texture.\n"},
  {(char*)"GetNumberOfVertexShaders",                (PyCFunction)PyvtkXMLMaterial_GetNumberOfVertexShaders, 1,
   (char*)"V.GetNumberOfVertexShaders() -> int\nC++: int GetNumberOfVertexShaders ();\n\n Get number of Vertex shaders.\n"},
  {(char*)"GetNumberOfFragmentShaders",                (PyCFunction)PyvtkXMLMaterial_GetNumberOfFragmentShaders, 1,
   (char*)"V.GetNumberOfFragmentShaders() -> int\nC++: int GetNumberOfFragmentShaders ();\n\n Get number of fragment shaders.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkXMLMaterial_GetProperty, 1,
   (char*)"V.GetProperty(int) -> vtkXMLDataElement\nC++: vtkXMLDataElement *GetProperty (int id);\n\n Get the ith vtkXMLDataElement of type <Property />.\n"},
  {(char*)"GetTexture",                (PyCFunction)PyvtkXMLMaterial_GetTexture, 1,
   (char*)"V.GetTexture(int) -> vtkXMLDataElement\nC++: vtkXMLDataElement *GetTexture (int id);\n\n Get the ith vtkXMLDataElement of type <Texture />.\n"},
  {(char*)"GetVertexShader",                (PyCFunction)PyvtkXMLMaterial_GetVertexShader, 1,
   (char*)"V.GetVertexShader(int) -> vtkXMLShader\nC++: vtkXMLShader *GetVertexShader (int id);\n\n Get the ith vtkXMLDataElement of type <VertexShader />.\n"},
  {(char*)"GetFragmentShader",                (PyCFunction)PyvtkXMLMaterial_GetFragmentShader, 1,
   (char*)"V.GetFragmentShader(int) -> vtkXMLShader\nC++: vtkXMLShader *GetFragmentShader (int id);\n\n Get the ith vtkXMLDataElement of type <FragmentShader />.\n"},
  {(char*)"GetRootElement",                (PyCFunction)PyvtkXMLMaterial_GetRootElement, 1,
   (char*)"V.GetRootElement() -> vtkXMLDataElement\nC++: vtkXMLDataElement *GetRootElement ();\n\n Get/Set the XML root element that describes this material.\n"},
  {(char*)"SetRootElement",                (PyCFunction)PyvtkXMLMaterial_SetRootElement, 1,
   (char*)"V.SetRootElement(vtkXMLDataElement)\nC++: void SetRootElement (vtkXMLDataElement *);\n\n Get/Set the XML root element that describes this material.\n"},
  {(char*)"GetShaderLanguage",                (PyCFunction)PyvtkXMLMaterial_GetShaderLanguage, 1,
   (char*)"V.GetShaderLanguage() -> int\nC++: int GetShaderLanguage ();\n\n Get the Language used by the shaders in this Material.\n The Language of a vtkXMLMaterial is based on the Language of it's\n shaders. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLMaterialDoc[] = {
  (char*)"vtkXMLMaterial - encapsulates a VTK Material description.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkXMLMaterial encapsulates VTK Material description. It keeps a pointer\n to vtkXMLDataElement that defines the material and provides \n access to Shaders/Properties defined in it.\n .SECTION Thanks\n Shader support in VTK includes key contributions by Gary Templet at \n Sandia National Labs.\n\n",
  NULL
};

static vtkObjectBase *vtkXMLMaterialStaticNew()
{
  return vtkXMLMaterial::New();
}

PyObject *PyVTKClass_vtkXMLMaterialNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLMaterialStaticNew,
                        PyvtkXMLMaterialMethods,
                        (char*)"vtkXMLMaterial",modulename,
                        (char**)vtkXMLMaterialDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

