// python wrapper for vtkXMLMaterialReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLMaterialReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLMaterialReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLMaterialReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkXMLMaterialReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialReader *op;

  const char    *temp20;
  op = (vtkXMLMaterialReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterialReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLMaterialReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterialReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialReader *op;

  vtkXMLMaterialReader  *temp20;
  op = (vtkXMLMaterialReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterialReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLMaterialReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLMaterialReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLMaterialReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialReader *op;

  char    *temp0;
  op = (vtkXMLMaterialReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLMaterialReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterialReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialReader *op;

  char    *temp20;
  op = (vtkXMLMaterialReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterialReader_ReadMaterial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialReader *op;

  op = (vtkXMLMaterialReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLMaterialReader::ReadMaterial();
      }
    else
      {
      op->ReadMaterial();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMaterialReader_GetMaterial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMaterialReader *op;

  vtkXMLMaterial  *temp20;
  op = (vtkXMLMaterialReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMaterialReader::GetMaterial();
      }
    else
      {
      temp20 = op->GetMaterial();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLMaterialReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLMaterialReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLMaterialReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLMaterialReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLMaterialReader\nC++: vtkXMLMaterialReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLMaterialReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLMaterialReader\nC++: vtkXMLMaterialReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkXMLMaterialReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set and get file name.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkXMLMaterialReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set and get file name.\n"},
  {(char*)"ReadMaterial",                (PyCFunction)PyvtkXMLMaterialReader_ReadMaterial, 1,
   (char*)"V.ReadMaterial()\nC++: void ReadMaterial ();\n\n Read the material file refered to in FileName.\n If the Reader hasn't changed since the last ReadMaterial(),\n it does not read the file again.\n"},
  {(char*)"GetMaterial",                (PyCFunction)PyvtkXMLMaterialReader_GetMaterial, 1,
   (char*)"V.GetMaterial() -> vtkXMLMaterial\nC++: vtkXMLMaterial *GetMaterial ();\n\n Get the Material representation read by the reader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLMaterialReaderDoc[] = {
  (char*)"vtkXMLMaterialReader - Provide access to elements in Material files\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkXMLMaterialReader provides access to three types of vtkXMLDataElement\n found in XML Material Files. This class sorts them by type and integer\n id from 0-N for N elements of a specific type starting with the first\n instance found.\n\n .SECTION Design\n This class is basically a Facade for vtkXMLMaterialParser. Currently\n functionality is to only provide access to vtkXMLDataElements but further\n ex",
  (char*)"tensions may return higher level data structures.\n\n Having both an vtkXMLMaterialParser and a vtkXMLMaterialReader is consistent with\n VTK's design for handling xml file and provides for future flexibility, that is\n better data handlers and interfacing with a DOM xml parser.\n\n vtkProperty - defines values for some or all data members of vtkProperty\n\n vtkVertexShader - defines vertex shaders\n\n vtkF",
  (char*)"ragmentShader - defines fragment shaders\n .SECTION Thanks\n Shader support in VTK includes key contributions by Gary Templet at \n Sandia National Labs.\n\n",
  NULL
};

static vtkObjectBase *vtkXMLMaterialReaderStaticNew()
{
  return vtkXMLMaterialReader::New();
}

PyObject *PyVTKClass_vtkXMLMaterialReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLMaterialReaderStaticNew,
                        PyvtkXMLMaterialReaderMethods,
                        (char*)"vtkXMLMaterialReader",modulename,
                        (char**)vtkXMLMaterialReaderDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

