// tcl wrapper for vtkXMLMaterial object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLMaterial.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkXMLMaterialNewCommand()
{
  vtkXMLMaterial *temp = vtkXMLMaterial::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXMLMaterialCppCommand(vtkXMLMaterial *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXMLMaterialCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXMLMaterialCppCommand(static_cast<vtkXMLMaterial *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXMLMaterialCppCommand(vtkXMLMaterial *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXMLMaterial",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkXMLMaterial  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLMaterial");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXMLMaterial  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLMaterial");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkXMLMaterial  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLMaterial");
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateInstance",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkXMLMaterial  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CreateInstance(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLMaterial");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfProperties",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfProperties();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTextures",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTextures();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVertexShaders",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVertexShaders();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFragmentShaders",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFragmentShaders();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProperty",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetProperty(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTexture",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTexture(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexShader",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkXMLShader  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVertexShader(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLShader");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFragmentShader",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkXMLShader  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFragmentShader(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLShader");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRootElement",argv[1]))&&(argc == 2))
    {
    vtkXMLDataElement  *temp20;
    temp20 = (op)->GetRootElement();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
  if ((!strcmp("SetRootElement",argv[1]))&&(argc == 3))
    {
    vtkXMLDataElement  *temp0;
    error = 0;

    temp0 = (vtkXMLDataElement *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkXMLDataElement"),interp,error));
    if (!error)
    {
    op->SetRootElement(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShaderLanguage",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShaderLanguage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkXMLMaterialCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXMLMaterial:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateInstance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfProperties\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTextures\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVertexShaders\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFragmentShaders\n",NULL);
    Tcl_AppendResult(interp,"  GetProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTexture\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexShader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFragmentShader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRootElement\n",NULL);
    Tcl_AppendResult(interp,"  SetRootElement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShaderLanguage\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "CreateInstance" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfProperties" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTextures" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertexShaders" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFragmentShaders" );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTexture" );
    Tcl_DStringAppendElement ( &dString, "GetVertexShader" );
    Tcl_DStringAppendElement ( &dString, "GetFragmentShader" );
    Tcl_DStringAppendElement ( &dString, "GetRootElement" );
    Tcl_DStringAppendElement ( &dString, "SetRootElement" );
    Tcl_DStringAppendElement ( &dString, "GetShaderLanguage" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkXMLMaterial *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateInstance */
    if ( strcmp ( argv[2], "CreateInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateInstance */
    Tcl_DStringAppendElement ( &dString, " Create a new instance. It searches for the material\n using the following order: first, check the MaterialLibrary; second,\n treat the name as an absolute path and try to locate it; third,\n search the Material repository. Returns null is it fails to\n locate the material.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkXMLMaterial *CreateInstance (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for CreateInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfProperties */
    if ( strcmp ( argv[2], "GetNumberOfProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfProperties */
    Tcl_DStringAppendElement ( &dString, " Get number of elements of type Property.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfProperties ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for GetNumberOfProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTextures */
    if ( strcmp ( argv[2], "GetNumberOfTextures" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTextures" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTextures */
    Tcl_DStringAppendElement ( &dString, " Get number of elements of type Texture.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTextures ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for GetNumberOfTextures */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVertexShaders */
    if ( strcmp ( argv[2], "GetNumberOfVertexShaders" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertexShaders" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVertexShaders */
    Tcl_DStringAppendElement ( &dString, " Get number of Vertex shaders.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVertexShaders ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for GetNumberOfVertexShaders */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFragmentShaders */
    if ( strcmp ( argv[2], "GetNumberOfFragmentShaders" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFragmentShaders" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFragmentShaders */
    Tcl_DStringAppendElement ( &dString, " Get number of fragment shaders.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFragmentShaders ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for GetNumberOfFragmentShaders */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProperty */
    if ( strcmp ( argv[2], "GetProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProperty */
    Tcl_DStringAppendElement ( &dString, " Get the ith vtkXMLDataElement of type <Property />.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *GetProperty (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for GetProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTexture */
    if ( strcmp ( argv[2], "GetTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTexture */
    Tcl_DStringAppendElement ( &dString, " Get the ith vtkXMLDataElement of type <Texture />.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *GetTexture (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for GetTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexShader */
    if ( strcmp ( argv[2], "GetVertexShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexShader */
    Tcl_DStringAppendElement ( &dString, " Get the ith vtkXMLDataElement of type <VertexShader />.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLShader *GetVertexShader (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for GetVertexShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFragmentShader */
    if ( strcmp ( argv[2], "GetFragmentShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFragmentShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFragmentShader */
    Tcl_DStringAppendElement ( &dString, " Get the ith vtkXMLDataElement of type <FragmentShader />.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLShader *GetFragmentShader (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for GetFragmentShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRootElement */
    if ( strcmp ( argv[2], "GetRootElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRootElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRootElement */
    Tcl_DStringAppendElement ( &dString, " Get/Set the XML root element that describes this material.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *GetRootElement ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for GetRootElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRootElement */
    if ( strcmp ( argv[2], "SetRootElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRootElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRootElement */
    Tcl_DStringAppendElement ( &dString, " Get/Set the XML root element that describes this material.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRootElement (vtkXMLDataElement *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for SetRootElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaderLanguage */
    if ( strcmp ( argv[2], "GetShaderLanguage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaderLanguage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaderLanguage */
    Tcl_DStringAppendElement ( &dString, " Get the Language used by the shaders in this Material.\n The Language of a vtkXMLMaterial is based on the Language of it's\n shaders. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetShaderLanguage ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    /* Closing for GetShaderLanguage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
