// python wrapper for vtkXMLMultiBlockDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLMultiBlockDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLMultiBlockDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLMultiBlockDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLCompositeDataReaderNew(char *); }

static PyObject *PyvtkXMLMultiBlockDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMultiBlockDataReader *op;

  const char    *temp20;
  op = (vtkXMLMultiBlockDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMultiBlockDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMultiBlockDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMultiBlockDataReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLMultiBlockDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMultiBlockDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMultiBlockDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMultiBlockDataReader *op;

  vtkXMLMultiBlockDataReader  *temp20;
  op = (vtkXMLMultiBlockDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMultiBlockDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMultiBlockDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLMultiBlockDataReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLMultiBlockDataReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkXMLMultiBlockDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLMultiBlockDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLMultiBlockDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLMultiBlockDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLMultiBlockDataReader\nC++: vtkXMLMultiBlockDataReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLMultiBlockDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLMultiBlockDataReader\nC++: vtkXMLMultiBlockDataReader *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLMultiBlockDataReaderDoc[] = {
  (char*)"vtkXMLMultiBlockDataReader - Reader for multi-block datasets\n\n",
  "Super Class:\n\n vtkXMLCompositeDataReader\n\n",
  (char*)" vtkXMLMultiBlockDataReader reads the VTK XML multi-block data file\n format. XML multi-block data files are meta-files that point to a list\n of serial VTK XML files. When reading in parallel, it will distribute\n sub-blocks among processor. If the number of sub-blocks is less than\n the number of processors, some processors will not have any sub-blocks\n for that block. If the number of sub-blocks is",
  (char*)" larger than the\n number of processors, each processor will possibly have more than\n 1 sub-block.\n\n",
  NULL
};

static vtkObjectBase *vtkXMLMultiBlockDataReaderStaticNew()
{
  return vtkXMLMultiBlockDataReader::New();
}

PyObject *PyVTKClass_vtkXMLMultiBlockDataReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLMultiBlockDataReaderStaticNew,
                        PyvtkXMLMultiBlockDataReaderMethods,
                        (char*)"vtkXMLMultiBlockDataReader",modulename,
                        (char**)vtkXMLMultiBlockDataReaderDoc,
                        PyVTKClass_vtkXMLCompositeDataReaderNew(modulename));
}

