// python wrapper for vtkXMLMultiBlockDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLMultiBlockDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLMultiBlockDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLMultiBlockDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLCompositeDataWriterNew(char *); }

static PyObject *PyvtkXMLMultiBlockDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMultiBlockDataWriter *op;

  const char    *temp20;
  op = (vtkXMLMultiBlockDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMultiBlockDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMultiBlockDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMultiBlockDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLMultiBlockDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMultiBlockDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMultiBlockDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMultiBlockDataWriter *op;

  vtkXMLMultiBlockDataWriter  *temp20;
  op = (vtkXMLMultiBlockDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMultiBlockDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMultiBlockDataWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLMultiBlockDataWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLMultiBlockDataWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLMultiBlockDataWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMultiBlockDataWriter *op;

  const char    *temp20;
  op = (vtkXMLMultiBlockDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMultiBlockDataWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLMultiBlockDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLMultiBlockDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLMultiBlockDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLMultiBlockDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLMultiBlockDataWriter\nC++: vtkXMLMultiBlockDataWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLMultiBlockDataWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLMultiBlockDataWriter\nC++: vtkXMLMultiBlockDataWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLMultiBlockDataWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: virtual const char *GetDefaultFileExtension ();return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLMultiBlockDataWriterDoc[] = {
  (char*)"vtkXMLMultiBlockDataWriter - writer for vtkMultiBlockDataSet.\n\n",
  "Super Class:\n\n vtkXMLCompositeDataWriter\n\n",
  (char*)" vtkXMLMultiBlockDataWriter is a vtkXMLCompositeDataWriter subclass to handle\n vtkMultiBlockDataSet.\n\n",
  NULL
};

static vtkObjectBase *vtkXMLMultiBlockDataWriterStaticNew()
{
  return vtkXMLMultiBlockDataWriter::New();
}

PyObject *PyVTKClass_vtkXMLMultiBlockDataWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLMultiBlockDataWriterStaticNew,
                        PyvtkXMLMultiBlockDataWriterMethods,
                        (char*)"vtkXMLMultiBlockDataWriter",modulename,
                        (char**)vtkXMLMultiBlockDataWriterDoc,
                        PyVTKClass_vtkXMLCompositeDataWriterNew(modulename));
}

