// python wrapper for vtkXMLMultiGroupDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLMultiGroupDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLMultiGroupDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLMultiGroupDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLMultiBlockDataReaderNew(char *); }

static PyObject *PyvtkXMLMultiGroupDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMultiGroupDataReader *op;

  const char    *temp20;
  op = (vtkXMLMultiGroupDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMultiGroupDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMultiGroupDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMultiGroupDataReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLMultiGroupDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMultiGroupDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMultiGroupDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLMultiGroupDataReader *op;

  vtkXMLMultiGroupDataReader  *temp20;
  op = (vtkXMLMultiGroupDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLMultiGroupDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLMultiGroupDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLMultiGroupDataReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLMultiGroupDataReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkXMLMultiGroupDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLMultiGroupDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLMultiGroupDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLMultiGroupDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLMultiGroupDataReader\nC++: vtkXMLMultiGroupDataReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLMultiGroupDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLMultiGroupDataReader\nC++: vtkXMLMultiGroupDataReader *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLMultiGroupDataReaderDoc[] = {
  (char*)"vtkXMLMultiGroupDataReader - Reader for multi-block datasets\n\n",
  "Super Class:\n\n vtkXMLMultiBlockDataReader\n\n",
  (char*)" vtkXMLMultiGroupDataReader is a legacy reader that reads multi group files\n into multiblock datasets.\n\n",
  NULL
};

static vtkObjectBase *vtkXMLMultiGroupDataReaderStaticNew()
{
  return vtkXMLMultiGroupDataReader::New();
}

PyObject *PyVTKClass_vtkXMLMultiGroupDataReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLMultiGroupDataReaderStaticNew,
                        PyvtkXMLMultiGroupDataReaderMethods,
                        (char*)"vtkXMLMultiGroupDataReader",modulename,
                        (char**)vtkXMLMultiGroupDataReaderDoc,
                        PyVTKClass_vtkXMLMultiBlockDataReaderNew(modulename));
}

