// python wrapper for vtkXMLPDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLPDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLWriterNew(char *); }

static PyObject *PyvtkXMLPDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  const char    *temp20;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  vtkXMLPDataWriter  *temp20;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  int      temp0;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPDataWriter::SetNumberOfPieces(temp0);
      }
    else
      {
      op->SetNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  int      temp20;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataWriter::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_SetStartPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  int      temp0;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPDataWriter::SetStartPiece(temp0);
      }
    else
      {
      op->SetStartPiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_GetStartPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  int      temp20;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataWriter::GetStartPiece();
      }
    else
      {
      temp20 = op->GetStartPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_SetEndPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  int      temp0;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPDataWriter::SetEndPiece(temp0);
      }
    else
      {
      op->SetEndPiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_GetEndPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  int      temp20;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataWriter::GetEndPiece();
      }
    else
      {
      temp20 = op->GetEndPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_SetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  int      temp0;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPDataWriter::SetGhostLevel(temp0);
      }
    else
      {
      op->SetGhostLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_GetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  int      temp20;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataWriter::GetGhostLevel();
      }
    else
      {
      temp20 = op->GetGhostLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_SetWriteSummaryFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  int      temp0;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPDataWriter::SetWriteSummaryFile(temp0);
      }
    else
      {
      op->SetWriteSummaryFile(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_GetWriteSummaryFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  int      temp20;
  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataWriter::GetWriteSummaryFile();
      }
    else
      {
      temp20 = op->GetWriteSummaryFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_WriteSummaryFileOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPDataWriter::WriteSummaryFileOn();
      }
    else
      {
      op->WriteSummaryFileOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataWriter_WriteSummaryFileOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataWriter *op;

  op = (vtkXMLPDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPDataWriter::WriteSummaryFileOff();
      }
    else
      {
      op->WriteSummaryFileOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPDataWriter\nC++: vtkXMLPDataWriter *NewInstance ();\n\n"},
  {(char*)"SetNumberOfPieces",                (PyCFunction)PyvtkXMLPDataWriter_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces (int );\n\n Get/Set the number of pieces that are being written in parallel.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkXMLPDataWriter_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces ();\n\n Get/Set the number of pieces that are being written in parallel.\n"},
  {(char*)"SetStartPiece",                (PyCFunction)PyvtkXMLPDataWriter_SetStartPiece, 1,
   (char*)"V.SetStartPiece(int)\nC++: void SetStartPiece (int );\n\n Get/Set the range of pieces assigned to this writer.\n"},
  {(char*)"GetStartPiece",                (PyCFunction)PyvtkXMLPDataWriter_GetStartPiece, 1,
   (char*)"V.GetStartPiece() -> int\nC++: int GetStartPiece ();\n\n Get/Set the range of pieces assigned to this writer.\n"},
  {(char*)"SetEndPiece",                (PyCFunction)PyvtkXMLPDataWriter_SetEndPiece, 1,
   (char*)"V.SetEndPiece(int)\nC++: void SetEndPiece (int );\n\n Get/Set the range of pieces assigned to this writer.\n"},
  {(char*)"GetEndPiece",                (PyCFunction)PyvtkXMLPDataWriter_GetEndPiece, 1,
   (char*)"V.GetEndPiece() -> int\nC++: int GetEndPiece ();\n\n Get/Set the range of pieces assigned to this writer.\n"},
  {(char*)"SetGhostLevel",                (PyCFunction)PyvtkXMLPDataWriter_SetGhostLevel, 1,
   (char*)"V.SetGhostLevel(int)\nC++: void SetGhostLevel (int );\n\n Get/Set the ghost level used for this writer's piece.\n"},
  {(char*)"GetGhostLevel",                (PyCFunction)PyvtkXMLPDataWriter_GetGhostLevel, 1,
   (char*)"V.GetGhostLevel() -> int\nC++: int GetGhostLevel ();\n\n Get/Set the ghost level used for this writer's piece.\n"},
  {(char*)"SetWriteSummaryFile",                (PyCFunction)PyvtkXMLPDataWriter_SetWriteSummaryFile, 1,
   (char*)"V.SetWriteSummaryFile(int)\nC++: virtual void SetWriteSummaryFile (int flag);\n\n Get/Set whether this instance of the writer should write the\n summary file that refers to all of the pieces' individual files.\n Default is yes only for piece 0 writer.\n"},
  {(char*)"GetWriteSummaryFile",                (PyCFunction)PyvtkXMLPDataWriter_GetWriteSummaryFile, 1,
   (char*)"V.GetWriteSummaryFile() -> int\nC++: int GetWriteSummaryFile ();\n\n Get/Set whether this instance of the writer should write the\n summary file that refers to all of the pieces' individual files.\n Default is yes only for piece 0 writer.\n"},
  {(char*)"WriteSummaryFileOn",                (PyCFunction)PyvtkXMLPDataWriter_WriteSummaryFileOn, 1,
   (char*)"V.WriteSummaryFileOn()\nC++: void WriteSummaryFileOn ();\n\n Get/Set whether this instance of the writer should write the\n summary file that refers to all of the pieces' individual files.\n Default is yes only for piece 0 writer.\n"},
  {(char*)"WriteSummaryFileOff",                (PyCFunction)PyvtkXMLPDataWriter_WriteSummaryFileOff, 1,
   (char*)"V.WriteSummaryFileOff()\nC++: void WriteSummaryFileOff ();\n\n Get/Set whether this instance of the writer should write the\n summary file that refers to all of the pieces' individual files.\n Default is yes only for piece 0 writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPDataWriterDoc[] = {
  (char*)"vtkXMLPDataWriter - Write data in a parallel XML format.\n\n",
  "Super Class:\n\n vtkXMLWriter\n\n",
  (char*)" vtkXMLPDataWriter is the superclass for all XML parallel data set\n writers.  It provides functionality needed for writing parallel\n formats, such as the selection of which writer writes the summary\n file and what range of pieces are assigned to each serial writer.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLPDataWriterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLPDataWriterMethods,
                        (char*)"vtkXMLPDataWriter",modulename,
                        (char**)vtkXMLPDataWriterDoc,
                        PyVTKClass_vtkXMLWriterNew(modulename));
}

