// python wrapper for vtkXMLPPolyDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLPPolyDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPPolyDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPPolyDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPUnstructuredDataWriterNew(char *); }

static PyObject *PyvtkXMLPPolyDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPPolyDataWriter *op;

  const char    *temp20;
  op = (vtkXMLPPolyDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPPolyDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPPolyDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPPolyDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLPPolyDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPPolyDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPPolyDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPPolyDataWriter *op;

  vtkXMLPPolyDataWriter  *temp20;
  op = (vtkXMLPPolyDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPPolyDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPPolyDataWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPPolyDataWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPPolyDataWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPPolyDataWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPPolyDataWriter *op;

  const char    *temp20;
  op = (vtkXMLPPolyDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPPolyDataWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPPolyDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPPolyDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPPolyDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPPolyDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPPolyDataWriter\nC++: vtkXMLPPolyDataWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPPolyDataWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPPolyDataWriter\nC++: vtkXMLPPolyDataWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLPPolyDataWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: const char *GetDefaultFileExtension ();\n\n Get the default file extension for files written by this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPPolyDataWriterDoc[] = {
  (char*)"vtkXMLPPolyDataWriter - Write PVTK XML PolyData files.\n\n",
  "Super Class:\n\n vtkXMLPUnstructuredDataWriter\n\n",
  (char*)" vtkXMLPPolyDataWriter writes the PVTK XML PolyData file format.\n One poly data input can be written into a parallel file format with\n any number of pieces spread across files.  The standard extension\n for this writer's file format is \"pvtp\".  This writer uses\n vtkXMLPolyDataWriter to write the individual piece files.\n\n",
  "See Also:\n\n vtkXMLPolyDataWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPPolyDataWriterStaticNew()
{
  return vtkXMLPPolyDataWriter::New();
}

PyObject *PyVTKClass_vtkXMLPPolyDataWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPPolyDataWriterStaticNew,
                        PyvtkXMLPPolyDataWriterMethods,
                        (char*)"vtkXMLPPolyDataWriter",modulename,
                        (char**)vtkXMLPPolyDataWriterDoc,
                        PyVTKClass_vtkXMLPUnstructuredDataWriterNew(modulename));
}

