// python wrapper for vtkXMLPStructuredDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLPStructuredDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPStructuredDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPStructuredDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPDataReaderNew(char *); }

static PyObject *PyvtkXMLPStructuredDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredDataReader *op;

  const char    *temp20;
  op = (vtkXMLPStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredDataReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLPStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredDataReader *op;

  vtkXMLPStructuredDataReader  *temp20;
  op = (vtkXMLPStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredDataReader_GetExtentTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredDataReader *op;

  vtkExtentTranslator  *temp20;
  op = (vtkXMLPStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredDataReader::GetExtentTranslator();
      }
    else
      {
      temp20 = op->GetExtentTranslator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredDataReader_CopyOutputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredDataReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkXMLPStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPStructuredDataReader::CopyOutputInformation(temp0,temp1);
      }
    else
      {
      op->CopyOutputInformation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkXMLPStructuredDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPStructuredDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPStructuredDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPStructuredDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPStructuredDataReader\nC++: vtkXMLPStructuredDataReader *NewInstance ();\n\n"},
  {(char*)"GetExtentTranslator",                (PyCFunction)PyvtkXMLPStructuredDataReader_GetExtentTranslator, 1,
   (char*)"V.GetExtentTranslator() -> vtkExtentTranslator\nC++: virtual vtkExtentTranslator *GetExtentTranslator ();\n\n Get an extent translator that will create pieces matching the\n input file's piece breakdown.  This can be used further down the\n pipeline to prevent reading from outside this process's piece.\n The translator is only valid after an UpdateInformation has been\n called.\n"},
  {(char*)"CopyOutputInformation",                (PyCFunction)PyvtkXMLPStructuredDataReader_CopyOutputInformation, 1,
   (char*)"V.CopyOutputInformation(vtkInformation, int)\nC++: virtual void CopyOutputInformation (vtkInformation *outInfo, int port);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPStructuredDataReaderDoc[] = {
  (char*)"vtkXMLPStructuredDataReader - Superclass for parallel structured data XML readers.\n\n",
  "Super Class:\n\n vtkXMLPDataReader\n\n",
  (char*)" vtkXMLPStructuredDataReader provides functionality common to all\n parallel structured data format readers.\n\n",
  "See Also:\n\n vtkXMLPImageDataReader vtkXMLPStructuredGridReader\n vtkXMLPRectilinearGridReader\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLPStructuredDataReaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLPStructuredDataReaderMethods,
                        (char*)"vtkXMLPStructuredDataReader",modulename,
                        (char**)vtkXMLPStructuredDataReaderDoc,
                        PyVTKClass_vtkXMLPDataReaderNew(modulename));
}

