// python wrapper for vtkXMLPStructuredDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLPStructuredDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPStructuredDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPStructuredDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPDataWriterNew(char *); }

static PyObject *PyvtkXMLPStructuredDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredDataWriter *op;

  const char    *temp20;
  op = (vtkXMLPStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLPStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredDataWriter *op;

  vtkXMLPStructuredDataWriter  *temp20;
  op = (vtkXMLPStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredDataWriter_SetExtentTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredDataWriter *op;

  vtkExtentTranslator  *temp0;
  PyObject *tempH0;
  op = (vtkXMLPStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkExtentTranslator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkExtentTranslator");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPStructuredDataWriter::SetExtentTranslator(temp0);
      }
    else
      {
      op->SetExtentTranslator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPStructuredDataWriter_GetExtentTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredDataWriter *op;

  vtkExtentTranslator  *temp20;
  op = (vtkXMLPStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredDataWriter::GetExtentTranslator();
      }
    else
      {
      temp20 = op->GetExtentTranslator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPStructuredDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPStructuredDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPStructuredDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPStructuredDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPStructuredDataWriter\nC++: vtkXMLPStructuredDataWriter *NewInstance ();\n\n"},
  {(char*)"SetExtentTranslator",                (PyCFunction)PyvtkXMLPStructuredDataWriter_SetExtentTranslator, 1,
   (char*)"V.SetExtentTranslator(vtkExtentTranslator)\nC++: virtual void SetExtentTranslator (vtkExtentTranslator *);\n\n Get/Set the extent translator used for creating pieces.\n"},
  {(char*)"GetExtentTranslator",                (PyCFunction)PyvtkXMLPStructuredDataWriter_GetExtentTranslator, 1,
   (char*)"V.GetExtentTranslator() -> vtkExtentTranslator\nC++: vtkExtentTranslator *GetExtentTranslator ();\n\n Get/Set the extent translator used for creating pieces.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPStructuredDataWriterDoc[] = {
  (char*)"vtkXMLPStructuredDataWriter - Superclass for PVTK XML structured data writers.\n\n",
  "Super Class:\n\n vtkXMLPDataWriter\n\n",
  (char*)" vtkXMLPStructuredDataWriter provides PVTK XML writing functionality\n that is common among all the parallel structured data formats.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLPStructuredDataWriterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLPStructuredDataWriterMethods,
                        (char*)"vtkXMLPStructuredDataWriter",modulename,
                        (char**)vtkXMLPStructuredDataWriterDoc,
                        PyVTKClass_vtkXMLPDataWriterNew(modulename));
}

