// python wrapper for vtkXMLPStructuredGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLPStructuredGridWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPStructuredGridWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPStructuredGridWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPStructuredDataWriterNew(char *); }

static PyObject *PyvtkXMLPStructuredGridWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredGridWriter *op;

  const char    *temp20;
  op = (vtkXMLPStructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredGridWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredGridWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredGridWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLPStructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredGridWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredGridWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredGridWriter *op;

  vtkXMLPStructuredGridWriter  *temp20;
  op = (vtkXMLPStructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredGridWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredGridWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPStructuredGridWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPStructuredGridWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkXMLPStructuredGridWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPStructuredGridWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPStructuredGridWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPStructuredGridWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPStructuredGridWriter\nC++: vtkXMLPStructuredGridWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPStructuredGridWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPStructuredGridWriter\nC++: vtkXMLPStructuredGridWriter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPStructuredGridWriterDoc[] = {
  (char*)"vtkXMLPStructuredGridWriter - Write PVTK XML StructuredGrid files.\n\n",
  "Super Class:\n\n vtkXMLPStructuredDataWriter\n\n",
  (char*)" vtkXMLPStructuredGridWriter writes the PVTK XML StructuredGrid\n file format.  One structured grid input can be written into a\n parallel file format with any number of pieces spread across files.\n The standard extension for this writer's file format is \"pvts\".\n This writer uses vtkXMLStructuredGridWriter to write the individual\n piece files.\n\n",
  "See Also:\n\n vtkXMLStructuredGridWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPStructuredGridWriterStaticNew()
{
  return vtkXMLPStructuredGridWriter::New();
}

PyObject *PyVTKClass_vtkXMLPStructuredGridWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPStructuredGridWriterStaticNew,
                        PyvtkXMLPStructuredGridWriterMethods,
                        (char*)"vtkXMLPStructuredGridWriter",modulename,
                        (char**)vtkXMLPStructuredGridWriterDoc,
                        PyVTKClass_vtkXMLPStructuredDataWriterNew(modulename));
}

