// python wrapper for vtkXMLPUnstructuredDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLPUnstructuredDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPUnstructuredDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPUnstructuredDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPDataReaderNew(char *); }

static PyObject *PyvtkXMLPUnstructuredDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredDataReader *op;

  const char    *temp20;
  op = (vtkXMLPUnstructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredDataReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLPUnstructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredDataReader *op;

  vtkXMLPUnstructuredDataReader  *temp20;
  op = (vtkXMLPUnstructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredDataReader_CopyOutputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredDataReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkXMLPUnstructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPUnstructuredDataReader::CopyOutputInformation(temp0,temp1);
      }
    else
      {
      op->CopyOutputInformation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkXMLPUnstructuredDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPUnstructuredDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPUnstructuredDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPUnstructuredDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPUnstructuredDataReader\nC++: vtkXMLPUnstructuredDataReader *NewInstance ();\n\n"},
  {(char*)"CopyOutputInformation",                (PyCFunction)PyvtkXMLPUnstructuredDataReader_CopyOutputInformation, 1,
   (char*)"V.CopyOutputInformation(vtkInformation, int)\nC++: virtual void CopyOutputInformation (vtkInformation *outInfo, int port);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPUnstructuredDataReaderDoc[] = {
  (char*)"vtkXMLPUnstructuredDataReader - Superclass for parallel unstructured data XML readers.\n\n",
  "Super Class:\n\n vtkXMLPDataReader\n\n",
  (char*)" vtkXMLPUnstructuredDataReader provides functionality common to all\n parallel unstructured data format readers.\n\n",
  "See Also:\n\n vtkXMLPPolyDataReader vtkXMLPUnstructuredGridReader\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLPUnstructuredDataReaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLPUnstructuredDataReaderMethods,
                        (char*)"vtkXMLPUnstructuredDataReader",modulename,
                        (char**)vtkXMLPUnstructuredDataReaderDoc,
                        PyVTKClass_vtkXMLPDataReaderNew(modulename));
}

