// python wrapper for vtkXMLPUnstructuredGridReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLPUnstructuredGridReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPUnstructuredGridReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPUnstructuredGridReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPUnstructuredDataReaderNew(char *); }

static PyObject *PyvtkXMLPUnstructuredGridReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredGridReader *op;

  const char    *temp20;
  op = (vtkXMLPUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredGridReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredGridReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredGridReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLPUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredGridReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredGridReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredGridReader *op;

  vtkXMLPUnstructuredGridReader  *temp20;
  op = (vtkXMLPUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredGridReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredGridReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPUnstructuredGridReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPUnstructuredGridReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredGridReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredGridReader *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  op = (vtkXMLPUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPUnstructuredGridReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredGridReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredGridReader *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkXMLPUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredGridReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredGridReader *op;

  int      temp0;
  vtkUnstructuredGrid  *temp20;
  PyErr_Clear();
  op = (vtkXMLPUnstructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredGridReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPUnstructuredGridReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPUnstructuredGridReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPUnstructuredGridReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPUnstructuredGridReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPUnstructuredGridReader\nC++: vtkXMLPUnstructuredGridReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPUnstructuredGridReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPUnstructuredGridReader\nC++: vtkXMLPUnstructuredGridReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkXMLPUnstructuredGridReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkUnstructuredGrid)\nC++: void SetOutput (vtkUnstructuredGrid *output);\n\n Get/Set the reader's output.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkXMLPUnstructuredGridReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetOutput ();\nV.GetOutput(int) -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetOutput (int idx);\n\n Get/Set the reader's output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPUnstructuredGridReaderDoc[] = {
  (char*)"vtkXMLPUnstructuredGridReader - Read PVTK XML UnstructuredGrid files.\n\n",
  "Super Class:\n\n vtkXMLPUnstructuredDataReader\n\n",
  (char*)" vtkXMLPUnstructuredGridReader reads the PVTK XML UnstructuredGrid\n file format.  This reads the parallel format's summary file and\n then uses vtkXMLUnstructuredGridReader to read data from the\n individual UnstructuredGrid piece files.  Streaming is supported.\n The standard extension for this reader's file format is \"pvtu\".\n\n",
  "See Also:\n\n vtkXMLUnstructuredGridReader\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPUnstructuredGridReaderStaticNew()
{
  return vtkXMLPUnstructuredGridReader::New();
}

PyObject *PyVTKClass_vtkXMLPUnstructuredGridReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPUnstructuredGridReaderStaticNew,
                        PyvtkXMLPUnstructuredGridReaderMethods,
                        (char*)"vtkXMLPUnstructuredGridReader",modulename,
                        (char**)vtkXMLPUnstructuredGridReaderDoc,
                        PyVTKClass_vtkXMLPUnstructuredDataReaderNew(modulename));
}

