// python wrapper for vtkXMLPUnstructuredGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLPUnstructuredGridWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPUnstructuredGridWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPUnstructuredGridWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPUnstructuredDataWriterNew(char *); }

static PyObject *PyvtkXMLPUnstructuredGridWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredGridWriter *op;

  const char    *temp20;
  op = (vtkXMLPUnstructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredGridWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredGridWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredGridWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLPUnstructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredGridWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredGridWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredGridWriter *op;

  vtkXMLPUnstructuredGridWriter  *temp20;
  op = (vtkXMLPUnstructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredGridWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredGridWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPUnstructuredGridWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPUnstructuredGridWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredGridWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredGridWriter *op;

  const char    *temp20;
  op = (vtkXMLPUnstructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredGridWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPUnstructuredGridWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPUnstructuredGridWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPUnstructuredGridWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPUnstructuredGridWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPUnstructuredGridWriter\nC++: vtkXMLPUnstructuredGridWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPUnstructuredGridWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPUnstructuredGridWriter\nC++: vtkXMLPUnstructuredGridWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLPUnstructuredGridWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: const char *GetDefaultFileExtension ();\n\n Get the default file extension for files written by this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPUnstructuredGridWriterDoc[] = {
  (char*)"vtkXMLPUnstructuredGridWriter - Write PVTK XML UnstructuredGrid files.\n\n",
  "Super Class:\n\n vtkXMLPUnstructuredDataWriter\n\n",
  (char*)" vtkXMLPUnstructuredGridWriter writes the PVTK XML UnstructuredGrid\n file format.  One unstructured grid input can be written into a\n parallel file format with any number of pieces spread across files.\n The standard extension for this writer's file format is \"pvtu\".\n This writer uses vtkXMLUnstructuredGridWriter to write the\n individual piece files.\n\n",
  "See Also:\n\n vtkXMLUnstructuredGridWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPUnstructuredGridWriterStaticNew()
{
  return vtkXMLPUnstructuredGridWriter::New();
}

PyObject *PyVTKClass_vtkXMLPUnstructuredGridWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPUnstructuredGridWriterStaticNew,
                        PyvtkXMLPUnstructuredGridWriterMethods,
                        (char*)"vtkXMLPUnstructuredGridWriter",modulename,
                        (char**)vtkXMLPUnstructuredGridWriterDoc,
                        PyVTKClass_vtkXMLPUnstructuredDataWriterNew(modulename));
}

