// python wrapper for vtkXMLPolyDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLPolyDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPolyDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPolyDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLUnstructuredDataWriterNew(char *); }

static PyObject *PyvtkXMLPolyDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataWriter *op;

  const char    *temp20;
  op = (vtkXMLPolyDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPolyDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLPolyDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPolyDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataWriter *op;

  vtkXMLPolyDataWriter  *temp20;
  op = (vtkXMLPolyDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPolyDataWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPolyDataWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPolyDataWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPolyDataWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataWriter *op;

  const char    *temp20;
  op = (vtkXMLPolyDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPolyDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPolyDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPolyDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPolyDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPolyDataWriter\nC++: vtkXMLPolyDataWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPolyDataWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPolyDataWriter\nC++: vtkXMLPolyDataWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLPolyDataWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: const char *GetDefaultFileExtension ();\n\n Get the default file extension for files written by this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPolyDataWriterDoc[] = {
  (char*)"vtkXMLPolyDataWriter - Write VTK XML PolyData files.\n\n",
  "Super Class:\n\n vtkXMLUnstructuredDataWriter\n\n",
  (char*)" vtkXMLPolyDataWriter writes the VTK XML PolyData file format.  One\n polygonal data input can be written into one file in any number of\n streamed pieces (if supported by the rest of the pipeline).  The\n standard extension for this writer's file format is \"vtp\".  This\n writer is also used to write a single piece of the parallel file\n format.\n\n",
  "See Also:\n\n vtkXMLPPolyDataWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPolyDataWriterStaticNew()
{
  return vtkXMLPolyDataWriter::New();
}

PyObject *PyVTKClass_vtkXMLPolyDataWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPolyDataWriterStaticNew,
                        PyvtkXMLPolyDataWriterMethods,
                        (char*)"vtkXMLPolyDataWriter",modulename,
                        (char**)vtkXMLPolyDataWriterDoc,
                        PyVTKClass_vtkXMLUnstructuredDataWriterNew(modulename));
}

