// python wrapper for vtkXMLShader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLShader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLShaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLShaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkXMLShader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLShader *op;

  const char    *temp20;
  op = (vtkXMLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLShader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLShader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLShader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLShader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLShader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLShader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLShader *op;

  vtkXMLShader  *temp20;
  op = (vtkXMLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLShader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLShader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLShader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLShader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLShader_GetRootElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLShader *op;

  vtkXMLDataElement  *temp20;
  op = (vtkXMLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLShader::GetRootElement();
      }
    else
      {
      temp20 = op->GetRootElement();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLShader_SetRootElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLShader *op;

  vtkXMLDataElement  *temp0;
  PyObject *tempH0;
  op = (vtkXMLShader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLDataElement");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLShader::SetRootElement(temp0);
      }
    else
      {
      op->SetRootElement(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkXMLShader_GetLanguage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLShader *op;

  int      temp20;
  op = (vtkXMLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLShader::GetLanguage();
      }
    else
      {
      temp20 = op->GetLanguage();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLShader_GetScope(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLShader *op;

  int      temp20;
  op = (vtkXMLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLShader::GetScope();
      }
    else
      {
      temp20 = op->GetScope();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLShader_GetLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLShader *op;

  int      temp20;
  op = (vtkXMLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLShader::GetLocation();
      }
    else
      {
      temp20 = op->GetLocation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLShader_GetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLShader *op;

  const char    *temp20;
  op = (vtkXMLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLShader::GetName();
      }
    else
      {
      temp20 = op->GetName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLShader_GetEntry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLShader *op;

  const char    *temp20;
  op = (vtkXMLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLShader::GetEntry();
      }
    else
      {
      temp20 = op->GetEntry();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLShader_GetCode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLShader *op;

  const char    *temp20;
  op = (vtkXMLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLShader::GetCode();
      }
    else
      {
      temp20 = op->GetCode();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLShader_LocateFile(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkXMLShader::LocateFile(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLShaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLShader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLShader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLShader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLShader\nC++: vtkXMLShader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLShader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLShader\nC++: vtkXMLShader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetRootElement",                (PyCFunction)PyvtkXMLShader_GetRootElement, 1,
   (char*)"V.GetRootElement() -> vtkXMLDataElement\nC++: vtkXMLDataElement *GetRootElement ();\n\n Get/Set the XML root element that describes this shader.\n"},
  {(char*)"SetRootElement",                (PyCFunction)PyvtkXMLShader_SetRootElement, 1,
   (char*)"V.SetRootElement(vtkXMLDataElement)\nC++: void SetRootElement (vtkXMLDataElement *);\n\n Get/Set the XML root element that describes this shader.\n"},
  {(char*)"GetLanguage",                (PyCFunction)PyvtkXMLShader_GetLanguage, 1,
   (char*)"V.GetLanguage() -> int\nC++: int GetLanguage ();\n\n Returns the shader's language as defined in the XML description.\n"},
  {(char*)"GetScope",                (PyCFunction)PyvtkXMLShader_GetScope, 1,
   (char*)"V.GetScope() -> int\nC++: int GetScope ();\n\n Returns the type of the shader as defined in the XML description.\n"},
  {(char*)"GetLocation",                (PyCFunction)PyvtkXMLShader_GetLocation, 1,
   (char*)"V.GetLocation() -> int\nC++: int GetLocation ();\n\n Returns the location of the shader as defined in the XML description.\n"},
  {(char*)"GetName",                (PyCFunction)PyvtkXMLShader_GetName, 1,
   (char*)"V.GetName() -> string\nC++: const char *GetName ();\n\n Get the name of the Shader.\n"},
  {(char*)"GetEntry",                (PyCFunction)PyvtkXMLShader_GetEntry, 1,
   (char*)"V.GetEntry() -> string\nC++: const char *GetEntry ();\n\n Get the entry point to the shader code as defined in the XML.\n"},
  {(char*)"GetCode",                (PyCFunction)PyvtkXMLShader_GetCode, 1,
   (char*)"V.GetCode() -> string\nC++: const char *GetCode ();\n\n Get the shader code.\n"},
  {(char*)"LocateFile",                (PyCFunction)PyvtkXMLShader_LocateFile, 1,
   (char*)"V.LocateFile(string) -> string\nC++: static char *LocateFile (const char *filename);\n\n Searches the file in the VTK_MATERIALS_DIRS.\n Note that this allocates new memory for the string.\n The caller must delete it.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLShaderDoc[] = {
  (char*)"vtkXMLShader - encapsulates a Shader XML description.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkXMLShader encapsulates the XML description for a Shader.\n It provides convenient access to various attributes/properties\n of a shader.\n .SECTION Thanks\n Shader support in VTK includes key contributions by Gary Templet at \n Sandia National Labs.\n\n",
  NULL
};

static vtkObjectBase *vtkXMLShaderStaticNew()
{
  return vtkXMLShader::New();
}

PyObject *PyVTKClass_vtkXMLShaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLShaderStaticNew,
                        PyvtkXMLShaderMethods,
                        (char*)"vtkXMLShader",modulename,
                        (char**)vtkXMLShaderDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

