// python wrapper for vtkXMLStructuredDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLStructuredDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLStructuredDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLStructuredDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLDataReaderNew(char *); }

static PyObject *PyvtkXMLStructuredDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataReader *op;

  const char    *temp20;
  op = (vtkXMLStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataReader *op;

  vtkXMLStructuredDataReader  *temp20;
  op = (vtkXMLStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataReader_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataReader *op;

  vtkIdType   temp20;
  op = (vtkXMLStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataReader::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataReader_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataReader *op;

  vtkIdType   temp20;
  op = (vtkXMLStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataReader::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataReader_SetWholeSlices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataReader *op;

  int      temp0;
  op = (vtkXMLStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLStructuredDataReader::SetWholeSlices(temp0);
      }
    else
      {
      op->SetWholeSlices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataReader_GetWholeSlices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataReader *op;

  int      temp20;
  op = (vtkXMLStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataReader::GetWholeSlices();
      }
    else
      {
      temp20 = op->GetWholeSlices();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataReader_WholeSlicesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataReader *op;

  op = (vtkXMLStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLStructuredDataReader::WholeSlicesOn();
      }
    else
      {
      op->WholeSlicesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataReader_WholeSlicesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataReader *op;

  op = (vtkXMLStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLStructuredDataReader::WholeSlicesOff();
      }
    else
      {
      op->WholeSlicesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataReader_CopyOutputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkXMLStructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLStructuredDataReader::CopyOutputInformation(temp0,temp1);
      }
    else
      {
      op->CopyOutputInformation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}

static PyMethodDef PyvtkXMLStructuredDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLStructuredDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLStructuredDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLStructuredDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLStructuredDataReader\nC++: vtkXMLStructuredDataReader *NewInstance ();\n\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkXMLStructuredDataReader_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: virtual vtkIdType GetNumberOfPoints ();\n\n Get the number of points in the output.\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkXMLStructuredDataReader_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: virtual vtkIdType GetNumberOfCells ();\n\n Get the number of cells in the output.\n"},
  {(char*)"SetWholeSlices",                (PyCFunction)PyvtkXMLStructuredDataReader_SetWholeSlices, 1,
   (char*)"V.SetWholeSlices(int)\nC++: void SetWholeSlices (int );\n\n Get/Set whether the reader gets a whole slice from disk when only\n a rectangle inside it is needed.  This mode reads more data than\n necessary, but prevents many short reads from interacting poorly\n with the compression and encoding schemes.\n"},
  {(char*)"GetWholeSlices",                (PyCFunction)PyvtkXMLStructuredDataReader_GetWholeSlices, 1,
   (char*)"V.GetWholeSlices() -> int\nC++: int GetWholeSlices ();\n\n Get/Set whether the reader gets a whole slice from disk when only\n a rectangle inside it is needed.  This mode reads more data than\n necessary, but prevents many short reads from interacting poorly\n with the compression and encoding schemes.\n"},
  {(char*)"WholeSlicesOn",                (PyCFunction)PyvtkXMLStructuredDataReader_WholeSlicesOn, 1,
   (char*)"V.WholeSlicesOn()\nC++: void WholeSlicesOn ();\n\n Get/Set whether the reader gets a whole slice from disk when only\n a rectangle inside it is needed.  This mode reads more data than\n necessary, but prevents many short reads from interacting poorly\n with the compression and encoding schemes.\n"},
  {(char*)"WholeSlicesOff",                (PyCFunction)PyvtkXMLStructuredDataReader_WholeSlicesOff, 1,
   (char*)"V.WholeSlicesOff()\nC++: void WholeSlicesOff ();\n\n Get/Set whether the reader gets a whole slice from disk when only\n a rectangle inside it is needed.  This mode reads more data than\n necessary, but prevents many short reads from interacting poorly\n with the compression and encoding schemes.\n"},
  {(char*)"CopyOutputInformation",                (PyCFunction)PyvtkXMLStructuredDataReader_CopyOutputInformation, 1,
   (char*)"V.CopyOutputInformation(vtkInformation, int)\nC++: virtual void CopyOutputInformation (vtkInformation *outInfo, int port);\n\n For the specified port, copy the information this reader sets up in\n SetupOutputInformation to outInfo\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLStructuredDataReaderDoc[] = {
  (char*)"vtkXMLStructuredDataReader - Superclass for structured data XML readers.\n\n",
  "Super Class:\n\n vtkXMLDataReader\n\n",
  (char*)" vtkXMLStructuredDataReader provides functionality common to all\n structured data format readers.\n\n",
  "See Also:\n\n vtkXMLImageDataReader vtkXMLStructuredGridReader\n vtkXMLRectilinearGridReader\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLStructuredDataReaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLStructuredDataReaderMethods,
                        (char*)"vtkXMLStructuredDataReader",modulename,
                        (char**)vtkXMLStructuredDataReaderDoc,
                        PyVTKClass_vtkXMLDataReaderNew(modulename));
}

