// python wrapper for vtkXMLStructuredDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLStructuredDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLStructuredDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLStructuredDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLWriterNew(char *); }

static PyObject *PyvtkXMLStructuredDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataWriter *op;

  const char    *temp20;
  op = (vtkXMLStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataWriter *op;

  vtkXMLStructuredDataWriter  *temp20;
  op = (vtkXMLStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataWriter_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataWriter *op;

  int      temp0;
  op = (vtkXMLStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLStructuredDataWriter::SetNumberOfPieces(temp0);
      }
    else
      {
      op->SetNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataWriter_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataWriter *op;

  int      temp20;
  op = (vtkXMLStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataWriter::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataWriter_SetWriteExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataWriter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkXMLStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLStructuredDataWriter::SetWriteExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWriteExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXMLStructuredDataWriter *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkXMLStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLStructuredDataWriter::SetWriteExtent(temp0);
      }
    else
      {
      op->SetWriteExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataWriter_GetWriteExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataWriter *op;

  int     *temp20;
  op = (vtkXMLStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataWriter::GetWriteExtent();
      }
    else
      {
      temp20 = op->GetWriteExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataWriter_SetExtentTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataWriter *op;

  vtkExtentTranslator  *temp0;
  PyObject *tempH0;
  op = (vtkXMLStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkExtentTranslator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkExtentTranslator");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLStructuredDataWriter::SetExtentTranslator(temp0);
      }
    else
      {
      op->SetExtentTranslator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkXMLStructuredDataWriter_GetExtentTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredDataWriter *op;

  vtkExtentTranslator  *temp20;
  op = (vtkXMLStructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredDataWriter::GetExtentTranslator();
      }
    else
      {
      temp20 = op->GetExtentTranslator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLStructuredDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLStructuredDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLStructuredDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLStructuredDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLStructuredDataWriter\nC++: vtkXMLStructuredDataWriter *NewInstance ();\n\n"},
  {(char*)"SetNumberOfPieces",                (PyCFunction)PyvtkXMLStructuredDataWriter_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces (int );\n\n Get/Set the number of pieces used to stream the image through the\n pipeline while writing to the file.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkXMLStructuredDataWriter_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces ();\n\n Get/Set the number of pieces used to stream the image through the\n pipeline while writing to the file.\n"},
  {(char*)"SetWriteExtent",                (PyCFunction)PyvtkXMLStructuredDataWriter_SetWriteExtent, 1,
   (char*)"V.SetWriteExtent(int, int, int, int, int, int)\nC++: void SetWriteExtent (int , int , int , int , int , int );\nV.SetWriteExtent((int, int, int, int, int, int))\nC++: void SetWriteExtent (int  a[6]);\n\n Get/Set the extent of the input that should be treated as the\n WholeExtent in the output file.  The default is the WholeExtent\n of the input.\n"},
  {(char*)"GetWriteExtent",                (PyCFunction)PyvtkXMLStructuredDataWriter_GetWriteExtent, 1,
   (char*)"V.GetWriteExtent() -> (int, int, int, int, int, int)\nC++: int  *GetWriteExtent ();\n\n Get/Set the extent of the input that should be treated as the\n WholeExtent in the output file.  The default is the WholeExtent\n of the input.\n"},
  {(char*)"SetExtentTranslator",                (PyCFunction)PyvtkXMLStructuredDataWriter_SetExtentTranslator, 1,
   (char*)"V.SetExtentTranslator(vtkExtentTranslator)\nC++: virtual void SetExtentTranslator (vtkExtentTranslator *);\n\n Get/Set the extent translator used for streaming.\n"},
  {(char*)"GetExtentTranslator",                (PyCFunction)PyvtkXMLStructuredDataWriter_GetExtentTranslator, 1,
   (char*)"V.GetExtentTranslator() -> vtkExtentTranslator\nC++: vtkExtentTranslator *GetExtentTranslator ();\n\n Get/Set the extent translator used for streaming.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLStructuredDataWriterDoc[] = {
  (char*)"vtkXMLStructuredDataWriter - Superclass for VTK XML structured data writers.\n\n",
  "Super Class:\n\n vtkXMLWriter\n\n",
  (char*)" vtkXMLStructuredDataWriter provides VTK XML writing functionality that\n is common among all the structured data formats.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLStructuredDataWriterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLStructuredDataWriterMethods,
                        (char*)"vtkXMLStructuredDataWriter",modulename,
                        (char**)vtkXMLStructuredDataWriterDoc,
                        PyVTKClass_vtkXMLWriterNew(modulename));
}

