// python wrapper for vtkXMLStructuredGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLStructuredGridWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLStructuredGridWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLStructuredGridWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLStructuredDataWriterNew(char *); }

static PyObject *PyvtkXMLStructuredGridWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredGridWriter *op;

  const char    *temp20;
  op = (vtkXMLStructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredGridWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredGridWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredGridWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLStructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredGridWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredGridWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredGridWriter *op;

  vtkXMLStructuredGridWriter  *temp20;
  op = (vtkXMLStructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredGridWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLStructuredGridWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLStructuredGridWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLStructuredGridWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLStructuredGridWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLStructuredGridWriter *op;

  const char    *temp20;
  op = (vtkXMLStructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLStructuredGridWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLStructuredGridWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLStructuredGridWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLStructuredGridWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLStructuredGridWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLStructuredGridWriter\nC++: vtkXMLStructuredGridWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLStructuredGridWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLStructuredGridWriter\nC++: vtkXMLStructuredGridWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLStructuredGridWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: const char *GetDefaultFileExtension ();\n\n Get the default file extension for files written by this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLStructuredGridWriterDoc[] = {
  (char*)"vtkXMLStructuredGridWriter - Write VTK XML StructuredGrid files.\n\n",
  "Super Class:\n\n vtkXMLStructuredDataWriter\n\n",
  (char*)" vtkXMLStructuredGridWriter writes the VTK XML StructuredGrid file\n format.  One structured grid input can be written into one file in\n any number of streamed pieces.  The standard extension for this\n writer's file format is \"vts\".  This writer is also used to write a\n single piece of the parallel file format.\n\n",
  "See Also:\n\n vtkXMLPStructuredGridWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLStructuredGridWriterStaticNew()
{
  return vtkXMLStructuredGridWriter::New();
}

PyObject *PyVTKClass_vtkXMLStructuredGridWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLStructuredGridWriterStaticNew,
                        PyvtkXMLStructuredGridWriterMethods,
                        (char*)"vtkXMLStructuredGridWriter",modulename,
                        (char**)vtkXMLStructuredGridWriterDoc,
                        PyVTKClass_vtkXMLStructuredDataWriterNew(modulename));
}

