// python wrapper for vtkZLibDataCompressor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkZLibDataCompressor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkZLibDataCompressorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkZLibDataCompressorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataCompressorNew(char *); }

static PyObject *PyvtkZLibDataCompressor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkZLibDataCompressor *op;

  const char    *temp20;
  op = (vtkZLibDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkZLibDataCompressor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkZLibDataCompressor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkZLibDataCompressor *op;

  char    *temp0;
  int      temp20;
  op = (vtkZLibDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkZLibDataCompressor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkZLibDataCompressor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkZLibDataCompressor *op;

  vtkZLibDataCompressor  *temp20;
  op = (vtkZLibDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkZLibDataCompressor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkZLibDataCompressor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkZLibDataCompressor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkZLibDataCompressor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkZLibDataCompressor_GetMaximumCompressionSpace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkZLibDataCompressor *op;

  unsigned long     temp0;
  unsigned long     temp20;
  op = (vtkZLibDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkZLibDataCompressor::GetMaximumCompressionSpace(temp0);
      }
    else
      {
      temp20 = op->GetMaximumCompressionSpace(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkZLibDataCompressor_SetCompressionLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkZLibDataCompressor *op;

  int      temp0;
  op = (vtkZLibDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkZLibDataCompressor::SetCompressionLevel(temp0);
      }
    else
      {
      op->SetCompressionLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkZLibDataCompressor_GetCompressionLevelMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkZLibDataCompressor *op;

  int      temp20;
  op = (vtkZLibDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkZLibDataCompressor::GetCompressionLevelMinValue();
      }
    else
      {
      temp20 = op->GetCompressionLevelMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkZLibDataCompressor_GetCompressionLevelMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkZLibDataCompressor *op;

  int      temp20;
  op = (vtkZLibDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkZLibDataCompressor::GetCompressionLevelMaxValue();
      }
    else
      {
      temp20 = op->GetCompressionLevelMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkZLibDataCompressor_GetCompressionLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkZLibDataCompressor *op;

  int      temp20;
  op = (vtkZLibDataCompressor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkZLibDataCompressor::GetCompressionLevel();
      }
    else
      {
      temp20 = op->GetCompressionLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkZLibDataCompressorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkZLibDataCompressor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkZLibDataCompressor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkZLibDataCompressor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkZLibDataCompressor\nC++: vtkZLibDataCompressor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkZLibDataCompressor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkZLibDataCompressor\nC++: vtkZLibDataCompressor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMaximumCompressionSpace",                (PyCFunction)PyvtkZLibDataCompressor_GetMaximumCompressionSpace, 1,
   (char*)"V.GetMaximumCompressionSpace(int) -> int\nC++: unsigned long GetMaximumCompressionSpace (unsigned long size);\n\n Get the maximum space that may be needed to store data of the\n given uncompressed size after compression.  This is the minimum\n size of the output buffer that can be passed to the four-argument\n Compress method.\n"},
  {(char*)"SetCompressionLevel",                (PyCFunction)PyvtkZLibDataCompressor_SetCompressionLevel, 1,
   (char*)"V.SetCompressionLevel(int)\nC++: void SetCompressionLevel (int );\n\n Get/Set the compression level.\n"},
  {(char*)"GetCompressionLevelMinValue",                (PyCFunction)PyvtkZLibDataCompressor_GetCompressionLevelMinValue, 1,
   (char*)"V.GetCompressionLevelMinValue() -> int\nC++: int GetCompressionLevelMinValue ();\n\n Get/Set the compression level.\n"},
  {(char*)"GetCompressionLevelMaxValue",                (PyCFunction)PyvtkZLibDataCompressor_GetCompressionLevelMaxValue, 1,
   (char*)"V.GetCompressionLevelMaxValue() -> int\nC++: int GetCompressionLevelMaxValue ();\n\n Get/Set the compression level.\n"},
  {(char*)"GetCompressionLevel",                (PyCFunction)PyvtkZLibDataCompressor_GetCompressionLevel, 1,
   (char*)"V.GetCompressionLevel() -> int\nC++: int GetCompressionLevel ();\n\n Get/Set the compression level.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkZLibDataCompressorDoc[] = {
  (char*)"vtkZLibDataCompressor - Data compression using zlib.\n\n",
  "Super Class:\n\n vtkDataCompressor\n\n",
  (char*)" vtkZLibDataCompressor provides a concrete vtkDataCompressor class\n using zlib for compressing and uncompressing data.\n\n",
  NULL
};

static vtkObjectBase *vtkZLibDataCompressorStaticNew()
{
  return vtkZLibDataCompressor::New();
}

PyObject *PyVTKClass_vtkZLibDataCompressorNew(char *modulename)
{
  return PyVTKClass_New(&vtkZLibDataCompressorStaticNew,
                        PyvtkZLibDataCompressorMethods,
                        (char*)"vtkZLibDataCompressor",modulename,
                        (char**)vtkZLibDataCompressorDoc,
                        PyVTKClass_vtkDataCompressorNew(modulename));
}

