// python wrapper for vtkFastSplatter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFastSplatter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFastSplatterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFastSplatterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkFastSplatter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  const char    *temp20;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastSplatter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  char    *temp0;
  int      temp20;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastSplatter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  vtkFastSplatter  *temp20;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastSplatter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFastSplatter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFastSplatter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFastSplatter_SetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetModelBounds(temp0);
      }
    else
      {
      op->SetModelBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_GetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  double  *temp20;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastSplatter::GetModelBounds();
      }
    else
      {
      temp20 = op->GetModelBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_SetOutputDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetOutputDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutputDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetOutputDimensions(temp0);
      }
    else
      {
      op->SetOutputDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_GetOutputDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  int     *temp20;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastSplatter::GetOutputDimensions();
      }
    else
      {
      temp20 = op->GetOutputDimensions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_SetLimitMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  int      temp0;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetLimitMode(temp0);
      }
    else
      {
      op->SetLimitMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_GetLimitMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  int      temp20;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastSplatter::GetLimitMode();
      }
    else
      {
      temp20 = op->GetLimitMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_SetLimitModeToNone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetLimitModeToNone();
      }
    else
      {
      op->SetLimitModeToNone();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_SetLimitModeToClamp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetLimitModeToClamp();
      }
    else
      {
      op->SetLimitModeToClamp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_SetLimitModeToScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetLimitModeToScale();
      }
    else
      {
      op->SetLimitModeToScale();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_SetLimitModeToFreezeScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetLimitModeToFreezeScale();
      }
    else
      {
      op->SetLimitModeToFreezeScale();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_SetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  double   temp0;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetMinValue(temp0);
      }
    else
      {
      op->SetMinValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_GetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  double   temp20;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastSplatter::GetMinValue();
      }
    else
      {
      temp20 = op->GetMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_SetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  double   temp0;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetMaxValue(temp0);
      }
    else
      {
      op->SetMaxValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_GetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  double   temp20;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastSplatter::GetMaxValue();
      }
    else
      {
      temp20 = op->GetMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_GetNumberOfPointsSplatted(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  int      temp20;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastSplatter::GetNumberOfPointsSplatted();
      }
    else
      {
      temp20 = op->GetNumberOfPointsSplatted();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastSplatter_SetSplatConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastSplatter *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkFastSplatter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkFastSplatter::SetSplatConnection(temp0);
      }
    else
      {
      op->SetSplatConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}

static PyMethodDef PyvtkFastSplatterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFastSplatter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFastSplatter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFastSplatter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFastSplatter\nC++: vtkFastSplatter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFastSplatter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFastSplatter\nC++: vtkFastSplatter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetModelBounds",                (PyCFunction)PyvtkFastSplatter_SetModelBounds, 1,
   (char*)"V.SetModelBounds(float, float, float, float, float, float)\nC++: void SetModelBounds (double , double , double , double , double , double );\nV.SetModelBounds((float, float, float, float, float, float))\nC++: void SetModelBounds (double  a[6]);\n\n Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which\n the sampling is performed. If any of the (min,max) bounds values are\n min >= max, then the bounds will be computed automatically from the input\n data. Otherwise, the user-specified bounds will be used.\n"},
  {(char*)"GetModelBounds",                (PyCFunction)PyvtkFastSplatter_GetModelBounds, 1,
   (char*)"V.GetModelBounds() -> (float, float, float, float, float, float)\nC++: double  *GetModelBounds ();\n\n Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which\n the sampling is performed. If any of the (min,max) bounds values are\n min >= max, then the bounds will be computed automatically from the input\n data. Otherwise, the user-specified bounds will be used.\n"},
  {(char*)"SetOutputDimensions",                (PyCFunction)PyvtkFastSplatter_SetOutputDimensions, 1,
   (char*)"V.SetOutputDimensions(int, int, int)\nC++: void SetOutputDimensions (int , int , int );\nV.SetOutputDimensions((int, int, int))\nC++: void SetOutputDimensions (int  a[3]);\n\n Set/get the dimensions of the output image\n"},
  {(char*)"GetOutputDimensions",                (PyCFunction)PyvtkFastSplatter_GetOutputDimensions, 1,
   (char*)"V.GetOutputDimensions() -> (int, int, int)\nC++: int  *GetOutputDimensions ();\n\n Set/get the dimensions of the output image\n"},
  {(char*)"SetLimitMode",                (PyCFunction)PyvtkFastSplatter_SetLimitMode, 1,
   (char*)"V.SetLimitMode(int)\nC++: void SetLimitMode (int );\n\n Set/get the way voxel values will be limited.  If this is set to None (the\n default), the output can have arbitrarily large values.  If set to clamp,\n the output will be clamped to [MinValue,MaxValue].  If set to scale, the\n output will be linearly scaled between MinValue and MaxValue.\n"},
  {(char*)"GetLimitMode",                (PyCFunction)PyvtkFastSplatter_GetLimitMode, 1,
   (char*)"V.GetLimitMode() -> int\nC++: int GetLimitMode ();\n\n Set/get the way voxel values will be limited.  If this is set to None (the\n default), the output can have arbitrarily large values.  If set to clamp,\n the output will be clamped to [MinValue,MaxValue].  If set to scale, the\n output will be linearly scaled between MinValue and MaxValue.\n"},
  {(char*)"SetLimitModeToNone",                (PyCFunction)PyvtkFastSplatter_SetLimitModeToNone, 1,
   (char*)"V.SetLimitModeToNone()\nC++: void SetLimitModeToNone ();this SetLimitMode NoneLimit \n\n Set/get the way voxel values will be limited.  If this is set to None (the\n default), the output can have arbitrarily large values.  If set to clamp,\n the output will be clamped to [MinValue,MaxValue].  If set to scale, the\n output will be linearly scaled between MinValue and MaxValue.\n"},
  {(char*)"SetLimitModeToClamp",                (PyCFunction)PyvtkFastSplatter_SetLimitModeToClamp, 1,
   (char*)"V.SetLimitModeToClamp()\nC++: void SetLimitModeToClamp ();this SetLimitMode ClampLimit \n\n Set/get the way voxel values will be limited.  If this is set to None (the\n default), the output can have arbitrarily large values.  If set to clamp,\n the output will be clamped to [MinValue,MaxValue].  If set to scale, the\n output will be linearly scaled between MinValue and MaxValue.\n"},
  {(char*)"SetLimitModeToScale",                (PyCFunction)PyvtkFastSplatter_SetLimitModeToScale, 1,
   (char*)"V.SetLimitModeToScale()\nC++: void SetLimitModeToScale ();this SetLimitMode ScaleLimit \n\n Set/get the way voxel values will be limited.  If this is set to None (the\n default), the output can have arbitrarily large values.  If set to clamp,\n the output will be clamped to [MinValue,MaxValue].  If set to scale, the\n output will be linearly scaled between MinValue and MaxValue.\n"},
  {(char*)"SetLimitModeToFreezeScale",                (PyCFunction)PyvtkFastSplatter_SetLimitModeToFreezeScale, 1,
   (char*)"V.SetLimitModeToFreezeScale()\nC++: void SetLimitModeToFreezeScale ();this SetLimitMode FreezeScaleLimit \n\n See the LimitMode method.\n"},
  {(char*)"SetMinValue",                (PyCFunction)PyvtkFastSplatter_SetMinValue, 1,
   (char*)"V.SetMinValue(float)\nC++: void SetMinValue (double );\n\n See the LimitMode method.\n"},
  {(char*)"GetMinValue",                (PyCFunction)PyvtkFastSplatter_GetMinValue, 1,
   (char*)"V.GetMinValue() -> float\nC++: double GetMinValue ();\n\n See the LimitMode method.\n"},
  {(char*)"SetMaxValue",                (PyCFunction)PyvtkFastSplatter_SetMaxValue, 1,
   (char*)"V.SetMaxValue(float)\nC++: void SetMaxValue (double );\n\n See the LimitMode method.\n"},
  {(char*)"GetMaxValue",                (PyCFunction)PyvtkFastSplatter_GetMaxValue, 1,
   (char*)"V.GetMaxValue() -> float\nC++: double GetMaxValue ();\n\n See the LimitMode method.\n"},
  {(char*)"GetNumberOfPointsSplatted",                (PyCFunction)PyvtkFastSplatter_GetNumberOfPointsSplatted, 1,
   (char*)"V.GetNumberOfPointsSplatted() -> int\nC++: int GetNumberOfPointsSplatted ();\n\n This returns the number of points splatted (as opposed to\n discarded for being outside the image) during the previous pass.\n"},
  {(char*)"SetSplatConnection",                (PyCFunction)PyvtkFastSplatter_SetSplatConnection, 1,
   (char*)"V.SetSplatConnection(vtkAlgorithmOutput)\nC++: void SetSplatConnection (vtkAlgorithmOutput *);\n\n Convenience function for connecting the splat algorithm source.\n This is provided mainly for convenience using the filter with\n ParaView, VTK users should prefer SetInputConnection(1, splat) instead.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFastSplatterDoc[] = {
  (char*)"vtkFastSplatter - A splatter optimized for splatting single kernels.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)"\n vtkFastSplatter takes any vtkPointSet as input (of which vtkPolyData and\n vtkUnstructuredGrid inherit).  Each point in the data set is considered to be\n an impulse.  These impulses are convolved with a given splat image.  In other\n words, the splat image is added to the final image at every place where there\n is an input point.\n\n Note that point and cell data are thrown away.  If you want a samp",
  (char*)"ling\n of unstructured points consider vtkGaussianSplatter or vtkShepardMethod.\n\n Use input port 0 for the impulse data (vtkPointSet), and input port 1 for\n the splat image (vtkImageData)\n\n .SECTION Bugs\n\n Any point outside of the extents of the image is thrown away, even if it is\n close enough such that it's convolution with the splat image would overlap\n the extents.\n\n\n",
  NULL
};

static vtkObjectBase *vtkFastSplatterStaticNew()
{
  return vtkFastSplatter::New();
}

PyObject *PyVTKClass_vtkFastSplatterNew(char *modulename)
{
  return PyVTKClass_New(&vtkFastSplatterStaticNew,
                        PyvtkFastSplatterMethods,
                        (char*)"vtkFastSplatter",modulename,
                        (char**)vtkFastSplatterDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

