// tcl wrapper for vtkGaussianSplatter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGaussianSplatter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGaussianSplatterNewCommand()
{
  vtkGaussianSplatter *temp = vtkGaussianSplatter::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGaussianSplatterCppCommand(vtkGaussianSplatter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGaussianSplatterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGaussianSplatterCppCommand(static_cast<vtkGaussianSplatter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGaussianSplatterCppCommand(vtkGaussianSplatter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGaussianSplatter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGaussianSplatter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGaussianSplatter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGaussianSplatter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGaussianSplatter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGaussianSplatter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGaussianSplatter");
    return TCL_OK;
    }
  if ((!strcmp("SetSampleDimensions",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetSampleDimensions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSampleDimensions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetSampleDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSampleDimensions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSampleDimensions();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetModelBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetModelBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetModelBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModelBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetModelBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleFactorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScaleFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScaleFactorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScaleFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetExponentFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetExponentFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExponentFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetExponentFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalWarping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalWarping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalWarping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalWarping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalWarpingOn",argv[1]))&&(argc == 2))
    {
    op->NormalWarpingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalWarpingOff",argv[1]))&&(argc == 2))
    {
    op->NormalWarpingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEccentricity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEccentricity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEccentricityMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEccentricityMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEccentricityMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEccentricityMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEccentricity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEccentricity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarWarping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarWarping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarWarping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarWarping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalarWarpingOn",argv[1]))&&(argc == 2))
    {
    op->ScalarWarpingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarWarpingOff",argv[1]))&&(argc == 2))
    {
    op->ScalarWarpingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCapping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCapping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCapping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCapping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CappingOn",argv[1]))&&(argc == 2))
    {
    op->CappingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CappingOff",argv[1]))&&(argc == 2))
    {
    op->CappingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCapValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCapValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCapValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCapValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAccumulationMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAccumulationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAccumulationModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAccumulationModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAccumulationModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAccumulationModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAccumulationMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAccumulationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAccumulationModeToMin",argv[1]))&&(argc == 2))
    {
    op->SetAccumulationModeToMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAccumulationModeToMax",argv[1]))&&(argc == 2))
    {
    op->SetAccumulationModeToMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAccumulationModeToSum",argv[1]))&&(argc == 2))
    {
    op->SetAccumulationModeToSum();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAccumulationModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAccumulationModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNullValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetNullValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNullValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNullValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeModelBounds",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    vtkImageData  *temp1;
    vtkInformation  *temp2;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    temp1 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkImageData"),interp,error));
    temp2 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->ComputeModelBounds(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGaussianSplatterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGaussianSplatter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSampleDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetModelBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetModelBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetModelBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetExponentFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExponentFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalWarping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalWarping\n",NULL);
    Tcl_AppendResult(interp,"  NormalWarpingOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalWarpingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEccentricity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEccentricityMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEccentricityMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEccentricity\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarWarping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarWarping\n",NULL);
    Tcl_AppendResult(interp,"  ScalarWarpingOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalarWarpingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCapping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCapping\n",NULL);
    Tcl_AppendResult(interp,"  CappingOn\n",NULL);
    Tcl_AppendResult(interp,"  CappingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCapValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCapValue\n",NULL);
    Tcl_AppendResult(interp,"  SetAccumulationMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAccumulationModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAccumulationModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAccumulationMode\n",NULL);
    Tcl_AppendResult(interp,"  SetAccumulationModeToMin\n",NULL);
    Tcl_AppendResult(interp,"  SetAccumulationModeToMax\n",NULL);
    Tcl_AppendResult(interp,"  SetAccumulationModeToSum\n",NULL);
    Tcl_AppendResult(interp,"  GetAccumulationModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetNullValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNullValue\n",NULL);
    Tcl_AppendResult(interp,"  ComputeModelBounds\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetSampleDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetSampleDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetSampleDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    Tcl_DStringAppendElement ( &dString, "GetModelBounds" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetExponentFactor" );
    Tcl_DStringAppendElement ( &dString, "GetExponentFactor" );
    Tcl_DStringAppendElement ( &dString, "SetNormalWarping" );
    Tcl_DStringAppendElement ( &dString, "GetNormalWarping" );
    Tcl_DStringAppendElement ( &dString, "NormalWarpingOn" );
    Tcl_DStringAppendElement ( &dString, "NormalWarpingOff" );
    Tcl_DStringAppendElement ( &dString, "SetEccentricity" );
    Tcl_DStringAppendElement ( &dString, "GetEccentricityMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetEccentricityMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetEccentricity" );
    Tcl_DStringAppendElement ( &dString, "SetScalarWarping" );
    Tcl_DStringAppendElement ( &dString, "GetScalarWarping" );
    Tcl_DStringAppendElement ( &dString, "ScalarWarpingOn" );
    Tcl_DStringAppendElement ( &dString, "ScalarWarpingOff" );
    Tcl_DStringAppendElement ( &dString, "SetCapping" );
    Tcl_DStringAppendElement ( &dString, "GetCapping" );
    Tcl_DStringAppendElement ( &dString, "CappingOn" );
    Tcl_DStringAppendElement ( &dString, "CappingOff" );
    Tcl_DStringAppendElement ( &dString, "SetCapValue" );
    Tcl_DStringAppendElement ( &dString, "GetCapValue" );
    Tcl_DStringAppendElement ( &dString, "SetAccumulationMode" );
    Tcl_DStringAppendElement ( &dString, "GetAccumulationModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAccumulationModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAccumulationMode" );
    Tcl_DStringAppendElement ( &dString, "SetAccumulationModeToMin" );
    Tcl_DStringAppendElement ( &dString, "SetAccumulationModeToMax" );
    Tcl_DStringAppendElement ( &dString, "SetAccumulationModeToSum" );
    Tcl_DStringAppendElement ( &dString, "GetAccumulationModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetNullValue" );
    Tcl_DStringAppendElement ( &dString, "GetNullValue" );
    Tcl_DStringAppendElement ( &dString, "ComputeModelBounds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with dimensions=(50,50,50); automatic computation of \n bounds; a splat radius of 0.1; an exponent factor of -5; and normal and \n scalar warping turned on.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGaussianSplatter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSampleDimensions */
    if ( strcmp ( argv[2], "SetSampleDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSampleDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSampleDimensions */
    Tcl_DStringAppendElement ( &dString, " Set / get the dimensions of the sampling structured point set. Higher\n values produce better results but are much slower.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSampleDimensions (int i, int j, int k);" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetSampleDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSampleDimensions */
    if ( strcmp ( argv[2], "SetSampleDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSampleDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSampleDimensions */
    Tcl_DStringAppendElement ( &dString, " Set / get the dimensions of the sampling structured point set. Higher\n values produce better results but are much slower.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSampleDimensions (int dim\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetSampleDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSampleDimensions */
    if ( strcmp ( argv[2], "GetSampleDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSampleDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSampleDimensions */
    Tcl_DStringAppendElement ( &dString, " Set / get the dimensions of the sampling structured point set. Higher\n values produce better results but are much slower.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetSampleDimensions ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetSampleDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModelBounds */
    if ( strcmp ( argv[2], "SetModelBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModelBounds */
    Tcl_DStringAppendElement ( &dString, " Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which\n the sampling is performed. If any of the (min,max) bounds values are\n min >= max, then the bounds will be computed automatically from the input\n data. Otherwise, the user-specified bounds will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModelBounds (double , double , double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetModelBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModelBounds */
    if ( strcmp ( argv[2], "SetModelBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModelBounds */
    Tcl_DStringAppendElement ( &dString, " Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which\n the sampling is performed. If any of the (min,max) bounds values are\n min >= max, then the bounds will be computed automatically from the input\n data. Otherwise, the user-specified bounds will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModelBounds (double  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetModelBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetModelBounds */
    if ( strcmp ( argv[2], "GetModelBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetModelBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetModelBounds */
    Tcl_DStringAppendElement ( &dString, " Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which\n the sampling is performed. If any of the (min,max) bounds values are\n min >= max, then the bounds will be computed automatically from the input\n data. Otherwise, the user-specified bounds will be used.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetModelBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetModelBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " Set / get the radius of propagation of the splat. This value is expressed\n as a percentage of the length of the longest side of the sampling\n volume. Smaller numbers greatly reduce execution time.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadius (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMinValue */
    if ( strcmp ( argv[2], "GetRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the radius of propagation of the splat. This value is expressed\n as a percentage of the length of the longest side of the sampling\n volume. Smaller numbers greatly reduce execution time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMaxValue */
    if ( strcmp ( argv[2], "GetRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the radius of propagation of the splat. This value is expressed\n as a percentage of the length of the longest side of the sampling\n volume. Smaller numbers greatly reduce execution time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " Set / get the radius of propagation of the splat. This value is expressed\n as a percentage of the length of the longest side of the sampling\n volume. Smaller numbers greatly reduce execution time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadius ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleFactor */
    if ( strcmp ( argv[2], "SetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Multiply Gaussian splat distribution by this value. If ScalarWarping\n is on, then the Scalar value will be multiplied by the ScaleFactor\n times the Gaussian function.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleFactorMinValue */
    if ( strcmp ( argv[2], "GetScaleFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Multiply Gaussian splat distribution by this value. If ScalarWarping\n is on, then the Scalar value will be multiplied by the ScaleFactor\n times the Gaussian function.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScaleFactorMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetScaleFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleFactorMaxValue */
    if ( strcmp ( argv[2], "GetScaleFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Multiply Gaussian splat distribution by this value. If ScalarWarping\n is on, then the Scalar value will be multiplied by the ScaleFactor\n times the Gaussian function.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScaleFactorMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetScaleFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleFactor */
    if ( strcmp ( argv[2], "GetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Multiply Gaussian splat distribution by this value. If ScalarWarping\n is on, then the Scalar value will be multiplied by the ScaleFactor\n times the Gaussian function.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScaleFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExponentFactor */
    if ( strcmp ( argv[2], "SetExponentFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExponentFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExponentFactor */
    Tcl_DStringAppendElement ( &dString, " Set / get the sharpness of decay of the splats. This is the\n exponent constant in the Gaussian equation. Normally this is\n a negative value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExponentFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetExponentFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExponentFactor */
    if ( strcmp ( argv[2], "GetExponentFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExponentFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExponentFactor */
    Tcl_DStringAppendElement ( &dString, " Set / get the sharpness of decay of the splats. This is the\n exponent constant in the Gaussian equation. Normally this is\n a negative value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetExponentFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetExponentFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalWarping */
    if ( strcmp ( argv[2], "SetNormalWarping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalWarping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalWarping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of elliptical splats. If normal warping is\n on, then the input normals affect the distribution of the splat. This\n boolean is used in combination with the Eccentricity ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalWarping (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetNormalWarping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalWarping */
    if ( strcmp ( argv[2], "GetNormalWarping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalWarping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalWarping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of elliptical splats. If normal warping is\n on, then the input normals affect the distribution of the splat. This\n boolean is used in combination with the Eccentricity ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalWarping ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetNormalWarping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalWarpingOn */
    if ( strcmp ( argv[2], "NormalWarpingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalWarpingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalWarpingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of elliptical splats. If normal warping is\n on, then the input normals affect the distribution of the splat. This\n boolean is used in combination with the Eccentricity ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalWarpingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for NormalWarpingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalWarpingOff */
    if ( strcmp ( argv[2], "NormalWarpingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalWarpingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalWarpingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of elliptical splats. If normal warping is\n on, then the input normals affect the distribution of the splat. This\n boolean is used in combination with the Eccentricity ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalWarpingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for NormalWarpingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEccentricity */
    if ( strcmp ( argv[2], "SetEccentricity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEccentricity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEccentricity */
    Tcl_DStringAppendElement ( &dString, " Control the shape of elliptical splatting. Eccentricity is the ratio\n of the major axis (aligned along normal) to the minor (axes) aligned\n along other two axes. So Eccentricity > 1 creates needles with the\n long axis in the direction of the normal; Eccentricity<1 creates\n pancakes perpendicular to the normal vector.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEccentricity (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetEccentricity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEccentricityMinValue */
    if ( strcmp ( argv[2], "GetEccentricityMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEccentricityMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEccentricityMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the shape of elliptical splatting. Eccentricity is the ratio\n of the major axis (aligned along normal) to the minor (axes) aligned\n along other two axes. So Eccentricity > 1 creates needles with the\n long axis in the direction of the normal; Eccentricity<1 creates\n pancakes perpendicular to the normal vector.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEccentricityMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetEccentricityMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEccentricityMaxValue */
    if ( strcmp ( argv[2], "GetEccentricityMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEccentricityMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEccentricityMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the shape of elliptical splatting. Eccentricity is the ratio\n of the major axis (aligned along normal) to the minor (axes) aligned\n along other two axes. So Eccentricity > 1 creates needles with the\n long axis in the direction of the normal; Eccentricity<1 creates\n pancakes perpendicular to the normal vector.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEccentricityMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetEccentricityMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEccentricity */
    if ( strcmp ( argv[2], "GetEccentricity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEccentricity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEccentricity */
    Tcl_DStringAppendElement ( &dString, " Control the shape of elliptical splatting. Eccentricity is the ratio\n of the major axis (aligned along normal) to the minor (axes) aligned\n along other two axes. So Eccentricity > 1 creates needles with the\n long axis in the direction of the normal; Eccentricity<1 creates\n pancakes perpendicular to the normal vector.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEccentricity ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetEccentricity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarWarping */
    if ( strcmp ( argv[2], "SetScalarWarping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarWarping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarWarping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the scaling of splats by scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarWarping (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetScalarWarping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarWarping */
    if ( strcmp ( argv[2], "GetScalarWarping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarWarping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarWarping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the scaling of splats by scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarWarping ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetScalarWarping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarWarpingOn */
    if ( strcmp ( argv[2], "ScalarWarpingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarWarpingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarWarpingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the scaling of splats by scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarWarpingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for ScalarWarpingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarWarpingOff */
    if ( strcmp ( argv[2], "ScalarWarpingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarWarpingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarWarpingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the scaling of splats by scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarWarpingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for ScalarWarpingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCapping */
    if ( strcmp ( argv[2], "SetCapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCapping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the outer boundary of the volume\n to a specified cap value. This can be used to close surfaces\n (after iso-surfacing) and create other effects.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCapping (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetCapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCapping */
    if ( strcmp ( argv[2], "GetCapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCapping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the outer boundary of the volume\n to a specified cap value. This can be used to close surfaces\n (after iso-surfacing) and create other effects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCapping ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetCapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CappingOn */
    if ( strcmp ( argv[2], "CappingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CappingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CappingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the outer boundary of the volume\n to a specified cap value. This can be used to close surfaces\n (after iso-surfacing) and create other effects.\n" );
    Tcl_DStringAppendElement ( &dString, "void CappingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for CappingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CappingOff */
    if ( strcmp ( argv[2], "CappingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CappingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CappingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the outer boundary of the volume\n to a specified cap value. This can be used to close surfaces\n (after iso-surfacing) and create other effects.\n" );
    Tcl_DStringAppendElement ( &dString, "void CappingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for CappingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCapValue */
    if ( strcmp ( argv[2], "SetCapValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCapValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCapValue */
    Tcl_DStringAppendElement ( &dString, " Specify the cap value to use. (This instance variable only has effect \n if the ivar Capping is on.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCapValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetCapValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCapValue */
    if ( strcmp ( argv[2], "GetCapValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCapValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCapValue */
    Tcl_DStringAppendElement ( &dString, " Specify the cap value to use. (This instance variable only has effect \n if the ivar Capping is on.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCapValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetCapValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAccumulationMode */
    if ( strcmp ( argv[2], "SetAccumulationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAccumulationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAccumulationMode */
    Tcl_DStringAppendElement ( &dString, " Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAccumulationMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetAccumulationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAccumulationModeMinValue */
    if ( strcmp ( argv[2], "GetAccumulationModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAccumulationModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAccumulationModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAccumulationModeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetAccumulationModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAccumulationModeMaxValue */
    if ( strcmp ( argv[2], "GetAccumulationModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAccumulationModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAccumulationModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAccumulationModeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetAccumulationModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAccumulationMode */
    if ( strcmp ( argv[2], "GetAccumulationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAccumulationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAccumulationMode */
    Tcl_DStringAppendElement ( &dString, " Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAccumulationMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetAccumulationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAccumulationModeToMin */
    if ( strcmp ( argv[2], "SetAccumulationModeToMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAccumulationModeToMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAccumulationModeToMin */
    Tcl_DStringAppendElement ( &dString, " Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAccumulationModeToMin ();this SetAccumulationMode VTK_ACCUMULATION_MODE_MIN " );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetAccumulationModeToMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAccumulationModeToMax */
    if ( strcmp ( argv[2], "SetAccumulationModeToMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAccumulationModeToMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAccumulationModeToMax */
    Tcl_DStringAppendElement ( &dString, " Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAccumulationModeToMax ();this SetAccumulationMode VTK_ACCUMULATION_MODE_MAX " );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetAccumulationModeToMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAccumulationModeToSum */
    if ( strcmp ( argv[2], "SetAccumulationModeToSum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAccumulationModeToSum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAccumulationModeToSum */
    Tcl_DStringAppendElement ( &dString, " Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAccumulationModeToSum ();this SetAccumulationMode VTK_ACCUMULATION_MODE_SUM " );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetAccumulationModeToSum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAccumulationModeAsString */
    if ( strcmp ( argv[2], "GetAccumulationModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAccumulationModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAccumulationModeAsString */
    Tcl_DStringAppendElement ( &dString, " Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAccumulationModeAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetAccumulationModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNullValue */
    if ( strcmp ( argv[2], "SetNullValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNullValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNullValue */
    Tcl_DStringAppendElement ( &dString, " Set the Null value for output points not receiving a contribution from the\n input points. (This is the initial value of the voxel samples.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNullValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for SetNullValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNullValue */
    if ( strcmp ( argv[2], "GetNullValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNullValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNullValue */
    Tcl_DStringAppendElement ( &dString, " Set the Null value for output points not receiving a contribution from the\n input points. (This is the initial value of the voxel samples.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetNullValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for GetNullValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeModelBounds */
    if ( strcmp ( argv[2], "ComputeModelBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeModelBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeModelBounds */
    Tcl_DStringAppendElement ( &dString, " Compute the size of the sample bounding box automatically from the\n input data. This is an internal helper function.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeModelBounds (vtkDataSet *input, vtkImageData *output, vtkInformation *outInfo);" );
    Tcl_DStringAppendElement ( &dString, "vtkGaussianSplatter" );
    /* Closing for ComputeModelBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
