// python wrapper for vtkImageAccumulate object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageAccumulate.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageAccumulateNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageAccumulateNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageAccumulate_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  const char    *temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  vtkImageAccumulate  *temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageAccumulate  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageAccumulate::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageAccumulate_SetComponentSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::SetComponentSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetComponentSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::SetComponentSpacing(temp0);
      }
    else
      {
      op->SetComponentSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetComponentSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  double  *temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetComponentSpacing();
      }
    else
      {
      temp20 = op->GetComponentSpacing();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_SetComponentOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::SetComponentOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetComponentOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::SetComponentOrigin(temp0);
      }
    else
      {
      op->SetComponentOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetComponentOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  double  *temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetComponentOrigin();
      }
    else
      {
      temp20 = op->GetComponentOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_SetComponentExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int    temp0[6];
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::SetComponentExtent(temp0);
      }
    else
      {
      op->SetComponentExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::SetComponentExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetComponentExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetComponentExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int    temp0[6];
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::GetComponentExtent(temp0);
      }
    else
      {
      op->GetComponentExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int     *temp20;
  PyErr_Clear();
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetComponentExtent();
      }
    else
      {
      temp20 = op->GetComponentExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_SetStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  vtkImageStencilData  *temp0;
  PyObject *tempH0;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageStencilData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageStencilData");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::SetStencil(temp0);
      }
    else
      {
      op->SetStencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  vtkImageStencilData  *temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetStencil();
      }
    else
      {
      temp20 = op->GetStencil();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_SetReverseStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int      temp0;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::SetReverseStencil(temp0);
      }
    else
      {
      op->SetReverseStencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetReverseStencilMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int      temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetReverseStencilMinValue();
      }
    else
      {
      temp20 = op->GetReverseStencilMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetReverseStencilMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int      temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetReverseStencilMaxValue();
      }
    else
      {
      temp20 = op->GetReverseStencilMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_ReverseStencilOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::ReverseStencilOn();
      }
    else
      {
      op->ReverseStencilOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_ReverseStencilOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::ReverseStencilOff();
      }
    else
      {
      op->ReverseStencilOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetReverseStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int      temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetReverseStencil();
      }
    else
      {
      temp20 = op->GetReverseStencil();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  double  *temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetMin();
      }
    else
      {
      temp20 = op->GetMin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  double  *temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetMax();
      }
    else
      {
      temp20 = op->GetMax();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetMean(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  double  *temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetMean();
      }
    else
      {
      temp20 = op->GetMean();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  double  *temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetStandardDeviation();
      }
    else
      {
      temp20 = op->GetStandardDeviation();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetVoxelCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  long     temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetVoxelCount();
      }
    else
      {
      temp20 = op->GetVoxelCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_SetIgnoreZero(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int      temp0;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::SetIgnoreZero(temp0);
      }
    else
      {
      op->SetIgnoreZero(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetIgnoreZeroMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int      temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetIgnoreZeroMinValue();
      }
    else
      {
      temp20 = op->GetIgnoreZeroMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetIgnoreZeroMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int      temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetIgnoreZeroMaxValue();
      }
    else
      {
      temp20 = op->GetIgnoreZeroMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_GetIgnoreZero(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  int      temp20;
  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAccumulate::GetIgnoreZero();
      }
    else
      {
      temp20 = op->GetIgnoreZero();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_IgnoreZeroOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::IgnoreZeroOn();
      }
    else
      {
      op->IgnoreZeroOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAccumulate_IgnoreZeroOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAccumulate *op;

  op = (vtkImageAccumulate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAccumulate::IgnoreZeroOff();
      }
    else
      {
      op->IgnoreZeroOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageAccumulateMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageAccumulate_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageAccumulate_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageAccumulate_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageAccumulate\nC++: vtkImageAccumulate *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageAccumulate_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageAccumulate\nC++: vtkImageAccumulate *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetComponentSpacing",                (PyCFunction)PyvtkImageAccumulate_SetComponentSpacing, 1,
   (char*)"V.SetComponentSpacing(float, float, float)\nC++: void SetComponentSpacing (double , double , double );\nV.SetComponentSpacing((float, float, float))\nC++: void SetComponentSpacing (double  a[3]);\n\n Set/Get - The component spacing is the dimension of each bin.\n This ends up being the spacing of the output \"image\".\n If the number of input scalar components are less than three,\n then some of these spacing values are ignored.\n For a 1D histogram with 10 bins spanning the values 1000 to 2000,\n this spacing should be set to 100, 0, 0\n"},
  {(char*)"GetComponentSpacing",                (PyCFunction)PyvtkImageAccumulate_GetComponentSpacing, 1,
   (char*)"V.GetComponentSpacing() -> (float, float, float)\nC++: double  *GetComponentSpacing ();\n\n Set/Get - The component spacing is the dimension of each bin.\n This ends up being the spacing of the output \"image\".\n If the number of input scalar components are less than three,\n then some of these spacing values are ignored.\n For a 1D histogram with 10 bins spanning the values 1000 to 2000,\n this spacing should be set to 100, 0, 0\n"},
  {(char*)"SetComponentOrigin",                (PyCFunction)PyvtkImageAccumulate_SetComponentOrigin, 1,
   (char*)"V.SetComponentOrigin(float, float, float)\nC++: void SetComponentOrigin (double , double , double );\nV.SetComponentOrigin((float, float, float))\nC++: void SetComponentOrigin (double  a[3]);\n\n Set/Get - The component origin is the location of bin (0, 0, 0).\n Note that if the Component extent does not include the value (0,0,0),\n then this origin bin will not actually be in the output.\n The origin of the output ends up being the same as the componenet origin.\n For a 1D histogram with 10 bins spanning the values 1000 to 2000,\n this origin should be set to 1000, 0, 0\n"},
  {(char*)"GetComponentOrigin",                (PyCFunction)PyvtkImageAccumulate_GetComponentOrigin, 1,
   (char*)"V.GetComponentOrigin() -> (float, float, float)\nC++: double  *GetComponentOrigin ();\n\n Set/Get - The component origin is the location of bin (0, 0, 0).\n Note that if the Component extent does not include the value (0,0,0),\n then this origin bin will not actually be in the output.\n The origin of the output ends up being the same as the componenet origin.\n For a 1D histogram with 10 bins spanning the values 1000 to 2000,\n this origin should be set to 1000, 0, 0\n"},
  {(char*)"SetComponentExtent",                (PyCFunction)PyvtkImageAccumulate_SetComponentExtent, 1,
   (char*)"V.SetComponentExtent((int, int, int, int, int, int))\nC++: void SetComponentExtent (int extent[6]);\nV.SetComponentExtent(int, int, int, int, int, int)\nC++: void SetComponentExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ);\n\n Set/Get - The component extent sets the number/extent of the bins.\n For a 1D histogram with 10 bins spanning the values 1000 to 2000,\n this extent should be set to 0, 9, 0, 0, 0, 0.\n The extent specifies inclusive min/max values.\n This implies that the top extent should be set to the number of bins - 1.\n"},
  {(char*)"GetComponentExtent",                (PyCFunction)PyvtkImageAccumulate_GetComponentExtent, 1,
   (char*)"V.GetComponentExtent((int, int, int, int, int, int))\nC++: void GetComponentExtent (int extent[6]);\nV.GetComponentExtent() -> (int, int, int, int, int, int)\nC++: int *GetComponentExtent ();return this ComponentExtent \n\n Set/Get - The component extent sets the number/extent of the bins.\n For a 1D histogram with 10 bins spanning the values 1000 to 2000,\n this extent should be set to 0, 9, 0, 0, 0, 0.\n The extent specifies inclusive min/max values.\n This implies that the top extent should be set to the number of bins - 1.\n"},
  {(char*)"SetStencil",                (PyCFunction)PyvtkImageAccumulate_SetStencil, 1,
   (char*)"V.SetStencil(vtkImageStencilData)\nC++: void SetStencil (vtkImageStencilData *stencil);\n\n Use a stencil to specify which voxels to accumulate.\n"},
  {(char*)"GetStencil",                (PyCFunction)PyvtkImageAccumulate_GetStencil, 1,
   (char*)"V.GetStencil() -> vtkImageStencilData\nC++: vtkImageStencilData *GetStencil ();\n\n Use a stencil to specify which voxels to accumulate.\n"},
  {(char*)"SetReverseStencil",                (PyCFunction)PyvtkImageAccumulate_SetReverseStencil, 1,
   (char*)"V.SetReverseStencil(int)\nC++: void SetReverseStencil (int );\n\n Reverse the stencil.\n"},
  {(char*)"GetReverseStencilMinValue",                (PyCFunction)PyvtkImageAccumulate_GetReverseStencilMinValue, 1,
   (char*)"V.GetReverseStencilMinValue() -> int\nC++: int GetReverseStencilMinValue ();\n\n Reverse the stencil.\n"},
  {(char*)"GetReverseStencilMaxValue",                (PyCFunction)PyvtkImageAccumulate_GetReverseStencilMaxValue, 1,
   (char*)"V.GetReverseStencilMaxValue() -> int\nC++: int GetReverseStencilMaxValue ();\n\n Reverse the stencil.\n"},
  {(char*)"ReverseStencilOn",                (PyCFunction)PyvtkImageAccumulate_ReverseStencilOn, 1,
   (char*)"V.ReverseStencilOn()\nC++: void ReverseStencilOn ();\n\n Reverse the stencil.\n"},
  {(char*)"ReverseStencilOff",                (PyCFunction)PyvtkImageAccumulate_ReverseStencilOff, 1,
   (char*)"V.ReverseStencilOff()\nC++: void ReverseStencilOff ();\n\n Reverse the stencil.\n"},
  {(char*)"GetReverseStencil",                (PyCFunction)PyvtkImageAccumulate_GetReverseStencil, 1,
   (char*)"V.GetReverseStencil() -> int\nC++: int GetReverseStencil ();\n\n Reverse the stencil.\n"},
  {(char*)"GetMin",                (PyCFunction)PyvtkImageAccumulate_GetMin, 1,
   (char*)"V.GetMin() -> (float, float, float)\nC++: double  *GetMin ();\n\n Get the statistics information for the data.\n"},
  {(char*)"GetMax",                (PyCFunction)PyvtkImageAccumulate_GetMax, 1,
   (char*)"V.GetMax() -> (float, float, float)\nC++: double  *GetMax ();\n\n Get the statistics information for the data.\n"},
  {(char*)"GetMean",                (PyCFunction)PyvtkImageAccumulate_GetMean, 1,
   (char*)"V.GetMean() -> (float, float, float)\nC++: double  *GetMean ();\n\n Get the statistics information for the data.\n"},
  {(char*)"GetStandardDeviation",                (PyCFunction)PyvtkImageAccumulate_GetStandardDeviation, 1,
   (char*)"V.GetStandardDeviation() -> (float, float, float)\nC++: double  *GetStandardDeviation ();\n\n Get the statistics information for the data.\n"},
  {(char*)"GetVoxelCount",                (PyCFunction)PyvtkImageAccumulate_GetVoxelCount, 1,
   (char*)"V.GetVoxelCount() -> int\nC++: long GetVoxelCount ();\n\n Get the statistics information for the data.\n"},
  {(char*)"SetIgnoreZero",                (PyCFunction)PyvtkImageAccumulate_SetIgnoreZero, 1,
   (char*)"V.SetIgnoreZero(int)\nC++: void SetIgnoreZero (int );\n\n Should the data with value 0 be ignored?\n"},
  {(char*)"GetIgnoreZeroMinValue",                (PyCFunction)PyvtkImageAccumulate_GetIgnoreZeroMinValue, 1,
   (char*)"V.GetIgnoreZeroMinValue() -> int\nC++: int GetIgnoreZeroMinValue ();\n\n Should the data with value 0 be ignored?\n"},
  {(char*)"GetIgnoreZeroMaxValue",                (PyCFunction)PyvtkImageAccumulate_GetIgnoreZeroMaxValue, 1,
   (char*)"V.GetIgnoreZeroMaxValue() -> int\nC++: int GetIgnoreZeroMaxValue ();\n\n Should the data with value 0 be ignored?\n"},
  {(char*)"GetIgnoreZero",                (PyCFunction)PyvtkImageAccumulate_GetIgnoreZero, 1,
   (char*)"V.GetIgnoreZero() -> int\nC++: int GetIgnoreZero ();\n\n Should the data with value 0 be ignored?\n"},
  {(char*)"IgnoreZeroOn",                (PyCFunction)PyvtkImageAccumulate_IgnoreZeroOn, 1,
   (char*)"V.IgnoreZeroOn()\nC++: void IgnoreZeroOn ();\n\n Should the data with value 0 be ignored?\n"},
  {(char*)"IgnoreZeroOff",                (PyCFunction)PyvtkImageAccumulate_IgnoreZeroOff, 1,
   (char*)"V.IgnoreZeroOff()\nC++: void IgnoreZeroOff ();\n\n Should the data with value 0 be ignored?\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageAccumulateDoc[] = {
  (char*)"vtkImageAccumulate - Generalized histograms up to 4 dimensions.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageAccumulate - This filter divides component space into\n discrete bins.  It then counts the number of pixels associated\n with each bin.  The output is this \"scatter plot\" (histogram values for 1D).\n The dimensionality of the output depends on how many components the\n input pixels have.  Input pixels with one component generate a 1D histogram.\n This filter can only handle images with 1 to 3 ",
  (char*)"scalar components.\n The input can be any type, but the output is always int.\n Some statistics are computed on the pixel values at the same time.\n The SetStencil and ReverseStencil\n functions allow the statistics to be computed on an arbitrary\n portion of the input data.\n See the documentation for vtkImageStencilData for more information.\n\n This filter also support ignoring pixel with value equal t",
  (char*)"o 0. Using this\n option with vtkImageMask may result in results being slightly off since 0\n could be a valid value from your input.\n\n\n",
  "See Also:\n\n\n",
  NULL
};

static vtkObjectBase *vtkImageAccumulateStaticNew()
{
  return vtkImageAccumulate::New();
}

PyObject *PyVTKClass_vtkImageAccumulateNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageAccumulateStaticNew,
                        PyvtkImageAccumulateMethods,
                        (char*)"vtkImageAccumulate",modulename,
                        (char**)vtkImageAccumulateDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

