// python wrapper for vtkImageAnisotropicDiffusion3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageAnisotropicDiffusion3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageAnisotropicDiffusion3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageAnisotropicDiffusion3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSpatialAlgorithmNew(char *); }

static PyObject *PyvtkImageAnisotropicDiffusion3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  const char    *temp20;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAnisotropicDiffusion3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAnisotropicDiffusion3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  vtkImageAnisotropicDiffusion3D  *temp20;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAnisotropicDiffusion3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageAnisotropicDiffusion3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageAnisotropicDiffusion3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  int      temp0;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  int      temp20;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAnisotropicDiffusion3D::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_SetDiffusionThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  double   temp0;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::SetDiffusionThreshold(temp0);
      }
    else
      {
      op->SetDiffusionThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_GetDiffusionThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  double   temp20;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAnisotropicDiffusion3D::GetDiffusionThreshold();
      }
    else
      {
      temp20 = op->GetDiffusionThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_SetDiffusionFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  double   temp0;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::SetDiffusionFactor(temp0);
      }
    else
      {
      op->SetDiffusionFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_GetDiffusionFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  double   temp20;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAnisotropicDiffusion3D::GetDiffusionFactor();
      }
    else
      {
      temp20 = op->GetDiffusionFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_SetFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  int      temp0;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::SetFaces(temp0);
      }
    else
      {
      op->SetFaces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_GetFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  int      temp20;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAnisotropicDiffusion3D::GetFaces();
      }
    else
      {
      temp20 = op->GetFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_FacesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::FacesOn();
      }
    else
      {
      op->FacesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_FacesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::FacesOff();
      }
    else
      {
      op->FacesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_SetEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  int      temp0;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::SetEdges(temp0);
      }
    else
      {
      op->SetEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_GetEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  int      temp20;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAnisotropicDiffusion3D::GetEdges();
      }
    else
      {
      temp20 = op->GetEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_EdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::EdgesOn();
      }
    else
      {
      op->EdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_EdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::EdgesOff();
      }
    else
      {
      op->EdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_SetCorners(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  int      temp0;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::SetCorners(temp0);
      }
    else
      {
      op->SetCorners(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_GetCorners(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  int      temp20;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAnisotropicDiffusion3D::GetCorners();
      }
    else
      {
      temp20 = op->GetCorners();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_CornersOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::CornersOn();
      }
    else
      {
      op->CornersOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_CornersOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::CornersOff();
      }
    else
      {
      op->CornersOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_SetGradientMagnitudeThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  int      temp0;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::SetGradientMagnitudeThreshold(temp0);
      }
    else
      {
      op->SetGradientMagnitudeThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_GetGradientMagnitudeThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  int      temp20;
  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAnisotropicDiffusion3D::GetGradientMagnitudeThreshold();
      }
    else
      {
      temp20 = op->GetGradientMagnitudeThreshold();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_GradientMagnitudeThresholdOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::GradientMagnitudeThresholdOn();
      }
    else
      {
      op->GradientMagnitudeThresholdOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAnisotropicDiffusion3D_GradientMagnitudeThresholdOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAnisotropicDiffusion3D *op;

  op = (vtkImageAnisotropicDiffusion3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAnisotropicDiffusion3D::GradientMagnitudeThresholdOff();
      }
    else
      {
      op->GradientMagnitudeThresholdOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageAnisotropicDiffusion3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageAnisotropicDiffusion3D\nC++: vtkImageAnisotropicDiffusion3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageAnisotropicDiffusion3D\nC++: vtkImageAnisotropicDiffusion3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (int num);\n\n This method sets the number of interations which also affects the\n input neighborhood needed to compute one output pixel.  Each iterations\n requires an extra pixel layer on the neighborhood.  This is only relavent\n when you are trying to stream or are requesting a sub extent of the \"wholeExtent\".\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: int GetNumberOfIterations ();\n\n Get the number of iterations.\n"},
  {(char*)"SetDiffusionThreshold",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_SetDiffusionThreshold, 1,
   (char*)"V.SetDiffusionThreshold(float)\nC++: void SetDiffusionThreshold (double );\n\n Set/Get the difference threshold that stops diffusion. \n when the difference between two pixel is greater than this threshold,\n the pixels are not diffused.  This causes diffusion to avoid sharp edges.\n If the GradientMagnitudeThreshold is set, then gradient magnitude is used \n for comparison instead of pixel differences.\n"},
  {(char*)"GetDiffusionThreshold",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_GetDiffusionThreshold, 1,
   (char*)"V.GetDiffusionThreshold() -> float\nC++: double GetDiffusionThreshold ();\n\n Set/Get the difference threshold that stops diffusion. \n when the difference between two pixel is greater than this threshold,\n the pixels are not diffused.  This causes diffusion to avoid sharp edges.\n If the GradientMagnitudeThreshold is set, then gradient magnitude is used \n for comparison instead of pixel differences.\n"},
  {(char*)"SetDiffusionFactor",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_SetDiffusionFactor, 1,
   (char*)"V.SetDiffusionFactor(float)\nC++: void SetDiffusionFactor (double );\n\n Set/Get the difference factor\n"},
  {(char*)"GetDiffusionFactor",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_GetDiffusionFactor, 1,
   (char*)"V.GetDiffusionFactor() -> float\nC++: double GetDiffusionFactor ();\n\n Set/Get the difference factor\n"},
  {(char*)"SetFaces",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_SetFaces, 1,
   (char*)"V.SetFaces(int)\nC++: void SetFaces (int );\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"GetFaces",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_GetFaces, 1,
   (char*)"V.GetFaces() -> int\nC++: int GetFaces ();\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"FacesOn",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_FacesOn, 1,
   (char*)"V.FacesOn()\nC++: void FacesOn ();\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"FacesOff",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_FacesOff, 1,
   (char*)"V.FacesOff()\nC++: void FacesOff ();\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"SetEdges",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_SetEdges, 1,
   (char*)"V.SetEdges(int)\nC++: void SetEdges (int );\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"GetEdges",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_GetEdges, 1,
   (char*)"V.GetEdges() -> int\nC++: int GetEdges ();\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"EdgesOn",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_EdgesOn, 1,
   (char*)"V.EdgesOn()\nC++: void EdgesOn ();\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"EdgesOff",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_EdgesOff, 1,
   (char*)"V.EdgesOff()\nC++: void EdgesOff ();\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"SetCorners",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_SetCorners, 1,
   (char*)"V.SetCorners(int)\nC++: void SetCorners (int );\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"GetCorners",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_GetCorners, 1,
   (char*)"V.GetCorners() -> int\nC++: int GetCorners ();\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"CornersOn",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_CornersOn, 1,
   (char*)"V.CornersOn()\nC++: void CornersOn ();\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"CornersOff",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_CornersOff, 1,
   (char*)"V.CornersOff()\nC++: void CornersOff ();\n\n Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).\n"},
  {(char*)"SetGradientMagnitudeThreshold",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_SetGradientMagnitudeThreshold, 1,
   (char*)"V.SetGradientMagnitudeThreshold(int)\nC++: void SetGradientMagnitudeThreshold (int );\n\n Switch between gradient magnitude threshold and pixel gradient threshold.\n"},
  {(char*)"GetGradientMagnitudeThreshold",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_GetGradientMagnitudeThreshold, 1,
   (char*)"V.GetGradientMagnitudeThreshold() -> int\nC++: int GetGradientMagnitudeThreshold ();\n\n Switch between gradient magnitude threshold and pixel gradient threshold.\n"},
  {(char*)"GradientMagnitudeThresholdOn",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_GradientMagnitudeThresholdOn, 1,
   (char*)"V.GradientMagnitudeThresholdOn()\nC++: void GradientMagnitudeThresholdOn ();\n\n Switch between gradient magnitude threshold and pixel gradient threshold.\n"},
  {(char*)"GradientMagnitudeThresholdOff",                (PyCFunction)PyvtkImageAnisotropicDiffusion3D_GradientMagnitudeThresholdOff, 1,
   (char*)"V.GradientMagnitudeThresholdOff()\nC++: void GradientMagnitudeThresholdOff ();\n\n Switch between gradient magnitude threshold and pixel gradient threshold.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageAnisotropicDiffusion3DDoc[] = {
  (char*)"vtkImageAnisotropicDiffusion3D - edge preserving smoothing.\n\n",
  "Super Class:\n\n vtkImageSpatialAlgorithm\n\n",
  (char*)" vtkImageAnisotropicDiffusion3D  diffuses an volume iteratively.\n The neighborhood of the diffusion is determined by the instance\n flags. if \"Faces\" is on, the 6 voxels adjoined by faces are included\n in the neighborhood.  If \"Edges\" is on the 12 edge connected voxels\n are included, and if \"Corners\" is on, the 8 corner connected voxels\n are included.  \"DiffusionFactor\" determines how far a pixel v",
  (char*)"alue\n moves toward its neighbors, and is insensitive to the number of \n neighbors chosen.  The diffusion is anisotropic because it only occurs\n when a gradient measure is below \"GradientThreshold\".  Two gradient measures\n exist and are toggled by the \"GradientMagnitudeThreshold\" flag.\n When \"GradientMagnitudeThreshold\" is on, the magnitude of the gradient,\n computed by central differences, above \"",
  (char*)"DiffusionThreshold\"\n a voxel is not modified.  The alternative measure examines each\n neighbor independently.  The gradient between the voxel and the neighbor\n must be below the \"DiffusionThreshold\" for diffusion to occur with\n THAT neighbor.\n\n",
  "See Also:\n\n vtkImageAnisotropicDiffusion2D\n\n",
  NULL
};

static vtkObjectBase *vtkImageAnisotropicDiffusion3DStaticNew()
{
  return vtkImageAnisotropicDiffusion3D::New();
}

PyObject *PyVTKClass_vtkImageAnisotropicDiffusion3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageAnisotropicDiffusion3DStaticNew,
                        PyvtkImageAnisotropicDiffusion3DMethods,
                        (char*)"vtkImageAnisotropicDiffusion3D",modulename,
                        (char**)vtkImageAnisotropicDiffusion3DDoc,
                        PyVTKClass_vtkImageSpatialAlgorithmNew(modulename));
}

