// python wrapper for vtkImageCanvasSource2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageCanvasSource2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageCanvasSource2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageCanvasSource2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageCanvasSource2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  const char    *temp20;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCanvasSource2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCanvasSource2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  vtkImageCanvasSource2D  *temp20;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCanvasSource2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageCanvasSource2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageCanvasSource2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetDrawColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetDrawColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetDrawColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetDrawColor(temp0);
      }
    else
      {
      op->SetDrawColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  double   temp0;
  PyErr_Clear();
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetDrawColor(temp0);
      }
    else
      {
      op->SetDrawColor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  double   temp0;
  double   temp1;
  PyErr_Clear();
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetDrawColor(temp0,temp1);
      }
    else
      {
      op->SetDrawColor(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetDrawColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetDrawColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_GetDrawColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  double  *temp20;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCanvasSource2D::GetDrawColor();
      }
    else
      {
      temp20 = op->GetDrawColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_FillBox(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::FillBox(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->FillBox(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_FillTube(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  double   temp4;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"iiiid", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::FillTube(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->FillTube(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_FillTriangle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::FillTriangle(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->FillTriangle(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_DrawCircle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  int      temp1;
  double   temp2;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::DrawCircle(temp0,temp1,temp2);
      }
    else
      {
      op->DrawCircle(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_DrawPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  int      temp1;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::DrawPoint(temp0,temp1);
      }
    else
      {
      op->DrawPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_DrawSegment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::DrawSegment(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->DrawSegment(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_DrawSegment3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::DrawSegment3D(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->DrawSegment3D(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_DrawImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  int      temp1;
  vtkImageData  *temp2;
  PyObject *tempH2;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkImageData");
    if (!temp2 && tempH2 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::DrawImage(temp0,temp1,temp2);
      }
    else
      {
      op->DrawImage(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  int      temp1;
  vtkImageData  *temp2;
  PyObject *tempH2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  PyErr_Clear();
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"iiOiiii", &temp0, &temp1, &tempH2, &temp3, &temp4, &temp5, &temp6);
  if (op)
    {
    temp2 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkImageData");
    if (!temp2 && tempH2 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::DrawImage(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      op->DrawImage(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_FillPixel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  int      temp1;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::FillPixel(temp0,temp1);
      }
    else
      {
      op->FillPixel(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetDefaultZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetDefaultZ(temp0);
      }
    else
      {
      op->SetDefaultZ(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_GetDefaultZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp20;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCanvasSource2D::GetDefaultZ();
      }
    else
      {
      temp20 = op->GetDefaultZ();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetRatio(temp0,temp1,temp2);
      }
    else
      {
      op->SetRatio(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetRatio(temp0);
      }
    else
      {
      op->SetRatio(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_GetRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  double  *temp20;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCanvasSource2D::GetRatio();
      }
    else
      {
      temp20 = op->GetRatio();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetNumberOfScalarComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetNumberOfScalarComponents(temp0);
      }
    else
      {
      op->SetNumberOfScalarComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_GetNumberOfScalarComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp20;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCanvasSource2D::GetNumberOfScalarComponents();
      }
    else
      {
      temp20 = op->GetNumberOfScalarComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetScalarTypeToFloat();
      }
    else
      {
      op->SetScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetScalarTypeToDouble();
      }
    else
      {
      op->SetScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetScalarTypeToInt();
      }
    else
      {
      op->SetScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetScalarTypeToLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetScalarTypeToLong();
      }
    else
      {
      op->SetScalarTypeToLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetScalarTypeToShort();
      }
    else
      {
      op->SetScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetScalarTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetScalarTypeToChar();
      }
    else
      {
      op->SetScalarTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_SetScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp0;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCanvasSource2D::SetScalarType(temp0);
      }
    else
      {
      op->SetScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCanvasSource2D_GetScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCanvasSource2D *op;

  int      temp20;
  op = (vtkImageCanvasSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCanvasSource2D::GetScalarType();
      }
    else
      {
      temp20 = op->GetScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageCanvasSource2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageCanvasSource2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageCanvasSource2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageCanvasSource2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageCanvasSource2D\nC++: vtkImageCanvasSource2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageCanvasSource2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageCanvasSource2D\nC++: vtkImageCanvasSource2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDrawColor",                (PyCFunction)PyvtkImageCanvasSource2D_SetDrawColor, 1,
   (char*)"V.SetDrawColor(float, float, float, float)\nC++: void SetDrawColor (double , double , double , double );\nV.SetDrawColor((float, float, float, float))\nC++: void SetDrawColor (double  a[4]);\nV.SetDrawColor(float)\nC++: void SetDrawColor (double a);this SetDrawColor a \nV.SetDrawColor(float, float)\nC++: void SetDrawColor (double a, double b);this SetDrawColor a b \nV.SetDrawColor(float, float, float)\nC++: void SetDrawColor (double a, double b, double c);this SetDrawColor a b c \n\n Set/Get DrawValue.  This is the value that is used when filling data\n or drawing lines.\n"},
  {(char*)"GetDrawColor",                (PyCFunction)PyvtkImageCanvasSource2D_GetDrawColor, 1,
   (char*)"V.GetDrawColor() -> (float, float, float, float)\nC++: double  *GetDrawColor ();\n\n Set/Get DrawValue.  This is the value that is used when filling data\n or drawing lines.\n"},
  {(char*)"FillBox",                (PyCFunction)PyvtkImageCanvasSource2D_FillBox, 1,
   (char*)"V.FillBox(int, int, int, int)\nC++: void FillBox (int min0, int max0, int min1, int max1);\n\n"},
  {(char*)"FillTube",                (PyCFunction)PyvtkImageCanvasSource2D_FillTube, 1,
   (char*)"V.FillTube(int, int, int, int, float)\nC++: void FillTube (int x0, int y0, int x1, int y1, double radius);\n\n"},
  {(char*)"FillTriangle",                (PyCFunction)PyvtkImageCanvasSource2D_FillTriangle, 1,
   (char*)"V.FillTriangle(int, int, int, int, int, int)\nC++: void FillTriangle (int x0, int y0, int x1, int y1, int x2, int y2);\n\n"},
  {(char*)"DrawCircle",                (PyCFunction)PyvtkImageCanvasSource2D_DrawCircle, 1,
   (char*)"V.DrawCircle(int, int, float)\nC++: void DrawCircle (int c0, int c1, double radius);\n\n"},
  {(char*)"DrawPoint",                (PyCFunction)PyvtkImageCanvasSource2D_DrawPoint, 1,
   (char*)"V.DrawPoint(int, int)\nC++: void DrawPoint (int p0, int p1);\n\n"},
  {(char*)"DrawSegment",                (PyCFunction)PyvtkImageCanvasSource2D_DrawSegment, 1,
   (char*)"V.DrawSegment(int, int, int, int)\nC++: void DrawSegment (int x0, int y0, int x1, int y1);\n\n"},
  {(char*)"DrawSegment3D",                (PyCFunction)PyvtkImageCanvasSource2D_DrawSegment3D, 1,
   (char*)"V.DrawSegment3D(float, float, float, float, float, float)\nC++: void DrawSegment3D (double x1, double y1, double z1, double x2, double y2, double z2);double p1 p2 p1 x1 p1 y1 p1 z1 p2 x2 p2 y2 p2 z2 this DrawSegment3D p1 p2 \n\n Draw subimage of the input image in the canvas at position x0 and\n y0. The subimage is defined with sx, sy, width, and height.\n"},
  {(char*)"DrawImage",                (PyCFunction)PyvtkImageCanvasSource2D_DrawImage, 1,
   (char*)"V.DrawImage(int, int, vtkImageData)\nC++: void DrawImage (int x0, int y0, vtkImageData *i);this DrawImage x0 y0 i \nV.DrawImage(int, int, vtkImageData, int, int, int, int)\nC++: void DrawImage (int x0, int y0, vtkImageData *, int sx, int sy, int width, int height);\n\n Draw subimage of the input image in the canvas at position x0 and\n y0. The subimage is defined with sx, sy, width, and height.\n"},
  {(char*)"FillPixel",                (PyCFunction)PyvtkImageCanvasSource2D_FillPixel, 1,
   (char*)"V.FillPixel(int, int)\nC++: void FillPixel (int x, int y);\n\n Fill a colored area with another color. (like connectivity)\n All pixels connected (and with the same value) to pixel (x, y)\n get replaced by the current \"DrawColor\".\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkImageCanvasSource2D_SetExtent, 1,
   (char*)"V.SetExtent(int, int, int, int, int, int)\nC++: void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2);\n\n These methods set the WholeExtent of the output\n It sets the size of the canvas.\n Extent is a min max 3D box.  Minimums and maximums are inclusive.\n"},
  {(char*)"SetDefaultZ",                (PyCFunction)PyvtkImageCanvasSource2D_SetDefaultZ, 1,
   (char*)"V.SetDefaultZ(int)\nC++: void SetDefaultZ (int );\n\n The drawing operations can only draw into one 2D XY plane at a time.\n If the canvas is a 3D volume, then this z value is used\n as the default for 2D operations.\n"},
  {(char*)"GetDefaultZ",                (PyCFunction)PyvtkImageCanvasSource2D_GetDefaultZ, 1,
   (char*)"V.GetDefaultZ() -> int\nC++: int GetDefaultZ ();\n\n The drawing operations can only draw into one 2D XY plane at a time.\n If the canvas is a 3D volume, then this z value is used\n as the default for 2D operations.\n"},
  {(char*)"SetRatio",                (PyCFunction)PyvtkImageCanvasSource2D_SetRatio, 1,
   (char*)"V.SetRatio(float, float, float)\nC++: void SetRatio (double , double , double );\nV.SetRatio((float, float, float))\nC++: void SetRatio (double  a[3]);\n\n Set/Get Ratio. This is the value that is used to pre-multiply each\n (x, y, z) drawing coordinates (including DefaultZ).\n"},
  {(char*)"GetRatio",                (PyCFunction)PyvtkImageCanvasSource2D_GetRatio, 1,
   (char*)"V.GetRatio() -> (float, float, float)\nC++: double  *GetRatio ();\n\n Set/Get Ratio. This is the value that is used to pre-multiply each\n (x, y, z) drawing coordinates (including DefaultZ).\n"},
  {(char*)"SetNumberOfScalarComponents",                (PyCFunction)PyvtkImageCanvasSource2D_SetNumberOfScalarComponents, 1,
   (char*)"V.SetNumberOfScalarComponents(int)\nC++: virtual void SetNumberOfScalarComponents (int i);\n\n Set the number of scalar components\n"},
  {(char*)"GetNumberOfScalarComponents",                (PyCFunction)PyvtkImageCanvasSource2D_GetNumberOfScalarComponents, 1,
   (char*)"V.GetNumberOfScalarComponents() -> int\nC++: virtual int GetNumberOfScalarComponents () const;\n\n Set the number of scalar components\n"},
  {(char*)"SetScalarTypeToFloat",                (PyCFunction)PyvtkImageCanvasSource2D_SetScalarTypeToFloat, 1,
   (char*)"V.SetScalarTypeToFloat()\nC++: void SetScalarTypeToFloat ();this SetScalarType VTK_FLOAT \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToDouble",                (PyCFunction)PyvtkImageCanvasSource2D_SetScalarTypeToDouble, 1,
   (char*)"V.SetScalarTypeToDouble()\nC++: void SetScalarTypeToDouble ();this SetScalarType VTK_DOUBLE \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToInt",                (PyCFunction)PyvtkImageCanvasSource2D_SetScalarTypeToInt, 1,
   (char*)"V.SetScalarTypeToInt()\nC++: void SetScalarTypeToInt ();this SetScalarType VTK_INT \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToUnsignedInt",                (PyCFunction)PyvtkImageCanvasSource2D_SetScalarTypeToUnsignedInt, 1,
   (char*)"V.SetScalarTypeToUnsignedInt()\nC++: void SetScalarTypeToUnsignedInt ();this SetScalarType VTK_UNSIGNED_INT \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToLong",                (PyCFunction)PyvtkImageCanvasSource2D_SetScalarTypeToLong, 1,
   (char*)"V.SetScalarTypeToLong()\nC++: void SetScalarTypeToLong ();this SetScalarType VTK_LONG \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToUnsignedLong",                (PyCFunction)PyvtkImageCanvasSource2D_SetScalarTypeToUnsignedLong, 1,
   (char*)"V.SetScalarTypeToUnsignedLong()\nC++: void SetScalarTypeToUnsignedLong ();this SetScalarType VTK_UNSIGNED_LONG \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToShort",                (PyCFunction)PyvtkImageCanvasSource2D_SetScalarTypeToShort, 1,
   (char*)"V.SetScalarTypeToShort()\nC++: void SetScalarTypeToShort ();this SetScalarType VTK_SHORT \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToUnsignedShort",                (PyCFunction)PyvtkImageCanvasSource2D_SetScalarTypeToUnsignedShort, 1,
   (char*)"V.SetScalarTypeToUnsignedShort()\nC++: void SetScalarTypeToUnsignedShort ();this SetScalarType VTK_UNSIGNED_SHORT \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToUnsignedChar",                (PyCFunction)PyvtkImageCanvasSource2D_SetScalarTypeToUnsignedChar, 1,
   (char*)"V.SetScalarTypeToUnsignedChar()\nC++: void SetScalarTypeToUnsignedChar ();this SetScalarType VTK_UNSIGNED_CHAR \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToChar",                (PyCFunction)PyvtkImageCanvasSource2D_SetScalarTypeToChar, 1,
   (char*)"V.SetScalarTypeToChar()\nC++: void SetScalarTypeToChar ();this SetScalarType VTK_CHAR \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarType",                (PyCFunction)PyvtkImageCanvasSource2D_SetScalarType, 1,
   (char*)"V.SetScalarType(int)\nC++: void SetScalarType (int );\n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"GetScalarType",                (PyCFunction)PyvtkImageCanvasSource2D_GetScalarType, 1,
   (char*)"V.GetScalarType() -> int\nC++: int GetScalarType () const;\n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageCanvasSource2DDoc[] = {
  (char*)"vtkImageCanvasSource2D - Paints on a canvas\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageCanvasSource2D is a source that starts as a blank image.\n you may add to the image with two-dimensional drawing routines.\n It can paint multi-spectral images.\n\n",
  NULL
};

static vtkObjectBase *vtkImageCanvasSource2DStaticNew()
{
  return vtkImageCanvasSource2D::New();
}

PyObject *PyVTKClass_vtkImageCanvasSource2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageCanvasSource2DStaticNew,
                        PyvtkImageCanvasSource2DMethods,
                        (char*)"vtkImageCanvasSource2D",modulename,
                        (char**)vtkImageCanvasSource2DDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

