// python wrapper for vtkImageCheckerboard object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageCheckerboard.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageCheckerboardNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageCheckerboardNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageCheckerboard_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCheckerboard *op;

  const char    *temp20;
  op = (vtkImageCheckerboard *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCheckerboard::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCheckerboard_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCheckerboard *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageCheckerboard *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCheckerboard::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCheckerboard_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCheckerboard *op;

  vtkImageCheckerboard  *temp20;
  op = (vtkImageCheckerboard *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCheckerboard::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCheckerboard_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageCheckerboard  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageCheckerboard::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageCheckerboard_SetNumberOfDivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCheckerboard *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkImageCheckerboard *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCheckerboard::SetNumberOfDivisions(temp0,temp1,temp2);
      }
    else
      {
      op->SetNumberOfDivisions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageCheckerboard *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkImageCheckerboard *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCheckerboard::SetNumberOfDivisions(temp0);
      }
    else
      {
      op->SetNumberOfDivisions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCheckerboard_GetNumberOfDivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCheckerboard *op;

  int     *temp20;
  op = (vtkImageCheckerboard *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCheckerboard::GetNumberOfDivisions();
      }
    else
      {
      temp20 = op->GetNumberOfDivisions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCheckerboard_SetInput1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCheckerboard *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkImageCheckerboard *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCheckerboard::SetInput1(temp0);
      }
    else
      {
      op->SetInput1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkImageCheckerboard_SetInput2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCheckerboard *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkImageCheckerboard *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCheckerboard::SetInput2(temp0);
      }
    else
      {
      op->SetInput2(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkImageCheckerboardMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageCheckerboard_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageCheckerboard_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageCheckerboard_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageCheckerboard\nC++: vtkImageCheckerboard *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageCheckerboard_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageCheckerboard\nC++: vtkImageCheckerboard *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfDivisions",                (PyCFunction)PyvtkImageCheckerboard_SetNumberOfDivisions, 1,
   (char*)"V.SetNumberOfDivisions(int, int, int)\nC++: void SetNumberOfDivisions (int , int , int );\nV.SetNumberOfDivisions((int, int, int))\nC++: void SetNumberOfDivisions (int  a[3]);\n\n Set/Get the number of divisions along each axis.\n"},
  {(char*)"GetNumberOfDivisions",                (PyCFunction)PyvtkImageCheckerboard_GetNumberOfDivisions, 1,
   (char*)"V.GetNumberOfDivisions() -> (int, int, int)\nC++: int  *GetNumberOfDivisions ();\n\n Set/Get the number of divisions along each axis.\n"},
  {(char*)"SetInput1",                (PyCFunction)PyvtkImageCheckerboard_SetInput1, 1,
   (char*)"V.SetInput1(vtkDataObject)\nC++: virtual void SetInput1 (vtkDataObject *in);this SetInput in \n\n Set the two inputs to this filter\n"},
  {(char*)"SetInput2",                (PyCFunction)PyvtkImageCheckerboard_SetInput2, 1,
   (char*)"V.SetInput2(vtkDataObject)\nC++: virtual void SetInput2 (vtkDataObject *in);this SetInput in \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageCheckerboardDoc[] = {
  (char*)"vtkImageCheckerboard - show two images at once using a checkboard pattern\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)"  vtkImageCheckerboard displays two images as one using a checkerboard\n  pattern. This filter can be used to compare two images. The\n  checkerboard pattern is controlled by the NumberOfDivisions\n  ivar. This controls the number of checkerboard divisions in the whole\n  extent of the image.\n\n",
  NULL
};

static vtkObjectBase *vtkImageCheckerboardStaticNew()
{
  return vtkImageCheckerboard::New();
}

PyObject *PyVTKClass_vtkImageCheckerboardNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageCheckerboardStaticNew,
                        PyvtkImageCheckerboardMethods,
                        (char*)"vtkImageCheckerboard",modulename,
                        (char**)vtkImageCheckerboardDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

