// python wrapper for vtkImageCityBlockDistance object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageCityBlockDistance.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageCityBlockDistanceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageCityBlockDistanceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageDecomposeFilterNew(char *); }

static PyObject *PyvtkImageCityBlockDistance_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCityBlockDistance *op;

  const char    *temp20;
  op = (vtkImageCityBlockDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCityBlockDistance::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCityBlockDistance_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCityBlockDistance *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageCityBlockDistance *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCityBlockDistance::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCityBlockDistance_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCityBlockDistance *op;

  vtkImageCityBlockDistance  *temp20;
  op = (vtkImageCityBlockDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCityBlockDistance::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCityBlockDistance_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageCityBlockDistance  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageCityBlockDistance::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageCityBlockDistanceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageCityBlockDistance_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageCityBlockDistance_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageCityBlockDistance_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageCityBlockDistance\nC++: vtkImageCityBlockDistance *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageCityBlockDistance_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageCityBlockDistance\nC++: vtkImageCityBlockDistance *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageCityBlockDistanceDoc[] = {
  (char*)"vtkImageCityBlockDistance - 1,2 or 3D distance map.\n\n",
  "Super Class:\n\n vtkImageDecomposeFilter\n\n",
  (char*)" vtkImageCityBlockDistance creates a distance map using the city block\n (Manhatten) distance measure.  The input is a mask.  Zero values are\n considered boundaries.  The output pixel is the minimum of the input pixel\n and the distance to a boundary (or neighbor value + 1 unit).\n distance values are calculated in pixels.\n The filter works by taking 6 passes (for 3d distance map): 2 along each \n axi",
  (char*)"s (forward and backward). Each pass keeps a running minimum distance.\n For some reason, I preserve the sign if the distance.  If the input \n mask is initially negative, the output distances will be negative.\n Distances maps can have inside (negative regions) \n and outsides (positive regions).\n\n",
  NULL
};

static vtkObjectBase *vtkImageCityBlockDistanceStaticNew()
{
  return vtkImageCityBlockDistance::New();
}

PyObject *PyVTKClass_vtkImageCityBlockDistanceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageCityBlockDistanceStaticNew,
                        PyvtkImageCityBlockDistanceMethods,
                        (char*)"vtkImageCityBlockDistance",modulename,
                        (char**)vtkImageCityBlockDistanceDoc,
                        PyVTKClass_vtkImageDecomposeFilterNew(modulename));
}

