// tcl wrapper for vtkImageColocalizationFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageColocalizationFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageColocalizationFilterNewCommand()
{
  vtkImageColocalizationFilter *temp = vtkImageColocalizationFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageColocalizationFilterCppCommand(vtkImageColocalizationFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageColocalizationFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageColocalizationFilterCppCommand(static_cast<vtkImageColocalizationFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageColocalizationFilterCppCommand(vtkImageColocalizationFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageColocalizationFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageColocalizationFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageColocalizationFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageColocalizationFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageColocalizationFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageColocalizationFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageColocalizationFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputDepth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputDepth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputDepth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputDepth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputDepthTo24Bit",argv[1]))&&(argc == 2))
    {
    op->SetOutputDepthTo24Bit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputDepthTo8Bit",argv[1]))&&(argc == 2))
    {
    op->SetOutputDepthTo8Bit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputDepthTo1Bit",argv[1]))&&(argc == 2))
    {
    op->SetOutputDepthTo1Bit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColocalizationLowerThreshold",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetColocalizationLowerThreshold(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColocalizationLowerThreshold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColocalizationLowerThreshold(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColocalizationUpperThreshold",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetColocalizationUpperThreshold(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColocalizationUpperThreshold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColocalizationUpperThreshold(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputScalarValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOutputScalarValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOutputScalarValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageColocalizationFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageColocalizationFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputDepth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputDepth\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputDepthTo24Bit\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputDepthTo8Bit\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputDepthTo1Bit\n",NULL);
    Tcl_AppendResult(interp,"  SetColocalizationLowerThreshold\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColocalizationLowerThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColocalizationUpperThreshold\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColocalizationUpperThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarValue\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarValue\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetOutputDepth" );
    Tcl_DStringAppendElement ( &dString, "GetOutputDepth" );
    Tcl_DStringAppendElement ( &dString, "SetOutputDepthTo24Bit" );
    Tcl_DStringAppendElement ( &dString, "SetOutputDepthTo8Bit" );
    Tcl_DStringAppendElement ( &dString, "SetOutputDepthTo1Bit" );
    Tcl_DStringAppendElement ( &dString, "SetColocalizationLowerThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetColocalizationLowerThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetColocalizationUpperThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetColocalizationUpperThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarValue" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageColocalizationFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputDepth */
    if ( strcmp ( argv[2], "SetOutputDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputDepth */
    Tcl_DStringAppendElement ( &dString, " Set the bit depth of the generated colocalization map. Can be one of \n 24 - produce unsigned char dataset with 4 components (RGBA)\n 8 - produce 8-bit (unsigned char) dataset\n 1 - produce a 8-bit dataset that is conceptually 1-bit, that is, set to the specified scalar value\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputDepth (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for SetOutputDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputDepth */
    if ( strcmp ( argv[2], "GetOutputDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputDepth */
    Tcl_DStringAppendElement ( &dString, " Set the bit depth of the generated colocalization map. Can be one of \n 24 - produce unsigned char dataset with 4 components (RGBA)\n 8 - produce 8-bit (unsigned char) dataset\n 1 - produce a 8-bit dataset that is conceptually 1-bit, that is, set to the specified scalar value\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputDepth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for GetOutputDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputDepthTo24Bit */
    if ( strcmp ( argv[2], "SetOutputDepthTo24Bit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputDepthTo24Bit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputDepthTo24Bit */
    Tcl_DStringAppendElement ( &dString, " Set the bit depth of the generated colocalization map. Can be one of \n 24 - produce unsigned char dataset with 4 components (RGBA)\n 8 - produce 8-bit (unsigned char) dataset\n 1 - produce a 8-bit dataset that is conceptually 1-bit, that is, set to the specified scalar value\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputDepthTo24Bit ();this OutputDepth this Modified " );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for SetOutputDepthTo24Bit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputDepthTo8Bit */
    if ( strcmp ( argv[2], "SetOutputDepthTo8Bit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputDepthTo8Bit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputDepthTo8Bit */
    Tcl_DStringAppendElement ( &dString, " Set the bit depth of the generated colocalization map. Can be one of \n 24 - produce unsigned char dataset with 4 components (RGBA)\n 8 - produce 8-bit (unsigned char) dataset\n 1 - produce a 8-bit dataset that is conceptually 1-bit, that is, set to the specified scalar value\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputDepthTo8Bit ();this OutputDepth this Modified " );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for SetOutputDepthTo8Bit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputDepthTo1Bit */
    if ( strcmp ( argv[2], "SetOutputDepthTo1Bit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputDepthTo1Bit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputDepthTo1Bit */
    Tcl_DStringAppendElement ( &dString, " Voxels in the specified dataset that have a scalar value above\n this threshold and below the upper threshold are considered to be colocalizing\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputDepthTo1Bit ();this OutputDepth this Modified " );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for SetOutputDepthTo1Bit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColocalizationLowerThreshold */
    if ( strcmp ( argv[2], "SetColocalizationLowerThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColocalizationLowerThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColocalizationLowerThreshold */
    Tcl_DStringAppendElement ( &dString, " Voxels in the specified dataset that have a scalar value above\n this threshold and below the upper threshold are considered to be colocalizing\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColocalizationLowerThreshold (int dataset, int threshold);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for SetColocalizationLowerThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColocalizationLowerThreshold */
    if ( strcmp ( argv[2], "GetColocalizationLowerThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColocalizationLowerThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColocalizationLowerThreshold */
    Tcl_DStringAppendElement ( &dString, " Voxels in the specified dataset that have a scalar value below\n this threshold and above the lower threshold are considered to be colocalizing\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColocalizationLowerThreshold (int dataset);if dataset this NumberOfDatasets return ColocalizationLowerThresholds dataset return " );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for GetColocalizationLowerThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColocalizationUpperThreshold */
    if ( strcmp ( argv[2], "SetColocalizationUpperThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColocalizationUpperThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColocalizationUpperThreshold */
    Tcl_DStringAppendElement ( &dString, " Voxels in the specified dataset that have a scalar value below\n this threshold and above the lower threshold are considered to be colocalizing\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColocalizationUpperThreshold (int dataset, int threshold);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for SetColocalizationUpperThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColocalizationUpperThreshold */
    if ( strcmp ( argv[2], "GetColocalizationUpperThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColocalizationUpperThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColocalizationUpperThreshold */
    Tcl_DStringAppendElement ( &dString, " Voxels in the specified dataset that have a scalar value below\n this threshold and above the lower threshold are considered to be colocalizing\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColocalizationUpperThreshold (int dataset);if dataset this NumberOfDatasets return ColocalizationUpperThresholds dataset return " );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for GetColocalizationUpperThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputScalarValue */
    if ( strcmp ( argv[2], "GetOutputScalarValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputScalarValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the constant scalar used for colocalized voxels.\n Defaults to 2**sizeof(datatype)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOutputScalarValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for GetOutputScalarValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarValue */
    if ( strcmp ( argv[2], "SetOutputScalarValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the constant scalar used for colocalized voxels.\n Defaults to 2**sizeof(datatype)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationFilter" );
    /* Closing for SetOutputScalarValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
