// tcl wrapper for vtkImageColocalizationTest object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageColocalizationTest.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageColocalizationTestNewCommand()
{
  vtkImageColocalizationTest *temp = vtkImageColocalizationTest::New();
  return static_cast<ClientData>(temp);
}

int vtkImageMultipleInputFilterCppCommand(vtkImageMultipleInputFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageColocalizationTestCppCommand(vtkImageColocalizationTest *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageColocalizationTestCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageColocalizationTestCppCommand(static_cast<vtkImageColocalizationTest *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageColocalizationTestCppCommand(vtkImageColocalizationTest *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageColocalizationTest",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageMultipleInputFilterCppCommand(static_cast<vtkImageMultipleInputFilter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageMultipleInputFilter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageColocalizationTest  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageColocalizationTest");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageColocalizationTest  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageColocalizationTest");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageColocalizationTest  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageColocalizationTest");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIgnoreZeroPixels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIgnoreZeroPixels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIgnoreZeroPixels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIgnoreZeroPixels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRandomizeZ",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRandomizeZ();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRandomizeZ",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRandomizeZ(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetManualPSFSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetManualPSFSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetManualPSFSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetManualPSFSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumIterations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMethod",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMethod();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMethod",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMethod(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentSlice",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentSlice();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentSlice",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCurrentSlice(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumericalAperture",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNumericalAperture();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumericalAperture",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetNumericalAperture(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPixelSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPixelSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPixelSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPixelSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCh2Lambda",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCh2Lambda();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCh2Lambda",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCh2Lambda(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRObserved",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRObserved();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRObserved",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRObserved(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRRandMean",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRRandMean();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRRandMean",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRRandMean(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRRandSD",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRRandSD();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRRandSD",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRRandSD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColocCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColocCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColocCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColocCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPSF",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPSF();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPSF",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPSF(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageColocalizationTestCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageMultipleInputFilterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageColocalizationTest:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIgnoreZeroPixels\n",NULL);
    Tcl_AppendResult(interp,"  SetIgnoreZeroPixels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRandomizeZ\n",NULL);
    Tcl_AppendResult(interp,"  SetRandomizeZ\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetManualPSFSize\n",NULL);
    Tcl_AppendResult(interp,"  SetManualPSFSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumIterations\n",NULL);
    Tcl_AppendResult(interp,"  SetNumIterations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMethod\n",NULL);
    Tcl_AppendResult(interp,"  SetMethod\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentSlice\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentSlice\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumericalAperture\n",NULL);
    Tcl_AppendResult(interp,"  SetNumericalAperture\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelSize\n",NULL);
    Tcl_AppendResult(interp,"  SetPixelSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCh2Lambda\n",NULL);
    Tcl_AppendResult(interp,"  SetCh2Lambda\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPValue\n",NULL);
    Tcl_AppendResult(interp,"  SetPValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRObserved\n",NULL);
    Tcl_AppendResult(interp,"  SetRObserved\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRRandMean\n",NULL);
    Tcl_AppendResult(interp,"  SetRRandMean\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRRandSD\n",NULL);
    Tcl_AppendResult(interp,"  SetRRandSD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColocCount\n",NULL);
    Tcl_AppendResult(interp,"  SetColocCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPSF\n",NULL);
    Tcl_AppendResult(interp,"  SetPSF\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageMultipleInputFilterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreZeroPixels" );
    Tcl_DStringAppendElement ( &dString, "SetIgnoreZeroPixels" );
    Tcl_DStringAppendElement ( &dString, "GetRandomizeZ" );
    Tcl_DStringAppendElement ( &dString, "SetRandomizeZ" );
    Tcl_DStringAppendElement ( &dString, "GetManualPSFSize" );
    Tcl_DStringAppendElement ( &dString, "SetManualPSFSize" );
    Tcl_DStringAppendElement ( &dString, "GetNumIterations" );
    Tcl_DStringAppendElement ( &dString, "SetNumIterations" );
    Tcl_DStringAppendElement ( &dString, "GetMethod" );
    Tcl_DStringAppendElement ( &dString, "SetMethod" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentSlice" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentSlice" );
    Tcl_DStringAppendElement ( &dString, "GetNumericalAperture" );
    Tcl_DStringAppendElement ( &dString, "SetNumericalAperture" );
    Tcl_DStringAppendElement ( &dString, "GetPixelSize" );
    Tcl_DStringAppendElement ( &dString, "SetPixelSize" );
    Tcl_DStringAppendElement ( &dString, "GetCh2Lambda" );
    Tcl_DStringAppendElement ( &dString, "SetCh2Lambda" );
    Tcl_DStringAppendElement ( &dString, "GetPValue" );
    Tcl_DStringAppendElement ( &dString, "SetPValue" );
    Tcl_DStringAppendElement ( &dString, "GetRObserved" );
    Tcl_DStringAppendElement ( &dString, "SetRObserved" );
    Tcl_DStringAppendElement ( &dString, "GetRRandMean" );
    Tcl_DStringAppendElement ( &dString, "SetRRandMean" );
    Tcl_DStringAppendElement ( &dString, "GetRRandSD" );
    Tcl_DStringAppendElement ( &dString, "SetRRandSD" );
    Tcl_DStringAppendElement ( &dString, "GetColocCount" );
    Tcl_DStringAppendElement ( &dString, "SetColocCount" );
    Tcl_DStringAppendElement ( &dString, "GetPSF" );
    Tcl_DStringAppendElement ( &dString, "SetPSF" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageMultipleInputFilterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float makeKernel double radius static vtkImageColocalizationTest *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIgnoreZeroPixels */
    if ( strcmp ( argv[2], "GetIgnoreZeroPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreZeroPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIgnoreZeroPixels */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetIgnoreZeroPixels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetIgnoreZeroPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIgnoreZeroPixels */
    if ( strcmp ( argv[2], "SetIgnoreZeroPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIgnoreZeroPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIgnoreZeroPixels */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetIgnoreZeroPixels (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetIgnoreZeroPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRandomizeZ */
    if ( strcmp ( argv[2], "GetRandomizeZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRandomizeZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRandomizeZ */
    Tcl_DStringAppendElement ( &dString, " Randomize in Z direction also\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRandomizeZ ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetRandomizeZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRandomizeZ */
    if ( strcmp ( argv[2], "SetRandomizeZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRandomizeZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRandomizeZ */
    Tcl_DStringAppendElement ( &dString, " Randomize in Z direction also\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRandomizeZ (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetRandomizeZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetManualPSFSize */
    if ( strcmp ( argv[2], "GetManualPSFSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetManualPSFSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetManualPSFSize */
    Tcl_DStringAppendElement ( &dString, " Set the size of the PSF (in pixels) manually\n" );
    Tcl_DStringAppendElement ( &dString, "double GetManualPSFSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetManualPSFSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetManualPSFSize */
    if ( strcmp ( argv[2], "SetManualPSFSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetManualPSFSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetManualPSFSize */
    Tcl_DStringAppendElement ( &dString, " Set the size of the PSF (in pixels) manually\n" );
    Tcl_DStringAppendElement ( &dString, "void SetManualPSFSize (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetManualPSFSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumIterations */
    if ( strcmp ( argv[2], "GetNumIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumIterations */
    Tcl_DStringAppendElement ( &dString, " Set the number of iterations\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumIterations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetNumIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumIterations */
    if ( strcmp ( argv[2], "SetNumIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumIterations */
    Tcl_DStringAppendElement ( &dString, " Set the number of iterations\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumIterations (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetNumIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMethod */
    if ( strcmp ( argv[2], "GetMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMethod */
    Tcl_DStringAppendElement ( &dString, " Set the randomization method\n 0 = Fay\n 1 = Costes X, Y\n 2 = van Steensel\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMethod ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMethod */
    if ( strcmp ( argv[2], "SetMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMethod */
    Tcl_DStringAppendElement ( &dString, " Set the randomization method\n 0 = Fay\n 1 = Costes X, Y\n 2 = van Steensel\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMethod (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentSlice */
    if ( strcmp ( argv[2], "GetCurrentSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentSlice */
    Tcl_DStringAppendElement ( &dString, " Do the thang only on given slice\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCurrentSlice ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetCurrentSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurrentSlice */
    if ( strcmp ( argv[2], "SetCurrentSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentSlice */
    Tcl_DStringAppendElement ( &dString, " Do the thang only on given slice\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentSlice (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetCurrentSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumericalAperture */
    if ( strcmp ( argv[2], "GetNumericalAperture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumericalAperture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumericalAperture */
    Tcl_DStringAppendElement ( &dString, " Set the numerical aperture\n" );
    Tcl_DStringAppendElement ( &dString, "double GetNumericalAperture ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetNumericalAperture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumericalAperture */
    if ( strcmp ( argv[2], "SetNumericalAperture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumericalAperture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumericalAperture */
    Tcl_DStringAppendElement ( &dString, " Set the numerical aperture\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumericalAperture (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetNumericalAperture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPixelSize */
    if ( strcmp ( argv[2], "GetPixelSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixelSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixelSize */
    Tcl_DStringAppendElement ( &dString, " Set the pixel size\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPixelSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetPixelSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPixelSize */
    if ( strcmp ( argv[2], "SetPixelSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPixelSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPixelSize */
    Tcl_DStringAppendElement ( &dString, " Set the pixel size\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPixelSize (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetPixelSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCh2Lambda */
    if ( strcmp ( argv[2], "GetCh2Lambda" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCh2Lambda" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCh2Lambda */
    Tcl_DStringAppendElement ( &dString, " Set the lambda for channel 2\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCh2Lambda ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetCh2Lambda */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCh2Lambda */
    if ( strcmp ( argv[2], "SetCh2Lambda" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCh2Lambda" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCh2Lambda */
    Tcl_DStringAppendElement ( &dString, " Set the lambda for channel 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCh2Lambda (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetCh2Lambda */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPValue */
    if ( strcmp ( argv[2], "GetPValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPValue */
    Tcl_DStringAppendElement ( &dString, " Set the P value\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetPValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPValue */
    if ( strcmp ( argv[2], "SetPValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPValue */
    Tcl_DStringAppendElement ( &dString, " Set the P value\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetPValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRObserved */
    if ( strcmp ( argv[2], "GetRObserved" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRObserved" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRObserved */
    Tcl_DStringAppendElement ( &dString, " Set the R(obs)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRObserved ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetRObserved */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRObserved */
    if ( strcmp ( argv[2], "SetRObserved" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRObserved" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRObserved */
    Tcl_DStringAppendElement ( &dString, " Set the R(obs)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRObserved (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetRObserved */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRRandMean */
    if ( strcmp ( argv[2], "GetRRandMean" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRRandMean" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRRandMean */
    Tcl_DStringAppendElement ( &dString, " Set the R(rand) mean\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRRandMean ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetRRandMean */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRRandMean */
    if ( strcmp ( argv[2], "SetRRandMean" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRRandMean" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRRandMean */
    Tcl_DStringAppendElement ( &dString, " Set the R(rand) mean\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRRandMean (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetRRandMean */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRRandSD */
    if ( strcmp ( argv[2], "GetRRandSD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRRandSD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRRandSD */
    Tcl_DStringAppendElement ( &dString, " Set the R(rand) sd\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRRandSD ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetRRandSD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRRandSD */
    if ( strcmp ( argv[2], "SetRRandSD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRRandSD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRRandSD */
    Tcl_DStringAppendElement ( &dString, " Set the R(rand) sd\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRRandSD (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetRRandSD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColocCount */
    if ( strcmp ( argv[2], "GetColocCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColocCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColocCount */
    Tcl_DStringAppendElement ( &dString, " Set the coloc count\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColocCount ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetColocCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColocCount */
    if ( strcmp ( argv[2], "SetColocCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColocCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColocCount */
    Tcl_DStringAppendElement ( &dString, " Set the coloc count\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColocCount (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetColocCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPSF */
    if ( strcmp ( argv[2], "GetPSF" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPSF" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPSF */
    Tcl_DStringAppendElement ( &dString, " Set the PSF\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPSF ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for GetPSF */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPSF */
    if ( strcmp ( argv[2], "SetPSF" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPSF" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPSF */
    Tcl_DStringAppendElement ( &dString, " Set the PSF\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPSF (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColocalizationTest" );
    /* Closing for SetPSF */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageMultipleInputFilterCppCommand(static_cast<vtkImageMultipleInputFilter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
