// tcl wrapper for vtkImageColorMerge object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageColorMerge.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageColorMergeNewCommand()
{
  vtkImageColorMerge *temp = vtkImageColorMerge::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageColorMergeCppCommand(vtkImageColorMerge *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageColorMergeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageColorMergeCppCommand(static_cast<vtkImageColorMerge *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageColorMergeCppCommand(vtkImageColorMerge *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageColorMerge",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageColorMerge  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageColorMerge");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageColorMerge  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageColorMerge");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageColorMerge  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageColorMerge");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorTransferFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkColorTransferFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColorTransferFunction(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkColorTransferFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntensityTransferFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIntensityTransferFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetIntensityTransferFunction(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntensityTransferFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLookupTable",argv[1]))&&(argc == 3))
    {
    vtkColorTransferFunction  *temp0;
    error = 0;

    temp0 = (vtkColorTransferFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkColorTransferFunction"),interp,error));
    if (!error)
    {
    op->AddLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddIntensityTransferFunction",argv[1]))&&(argc == 3))
    {
    vtkIntensityTransferFunction  *temp0;
    error = 0;

    temp0 = (vtkIntensityTransferFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIntensityTransferFunction"),interp,error));
    if (!error)
    {
    op->AddIntensityTransferFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveLookupTables",argv[1]))&&(argc == 2))
    {
    op->RemoveLookupTables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetITFCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetITFCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCTFCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCTFCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BuildAlphaOn",argv[1]))&&(argc == 2))
    {
    op->BuildAlphaOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildAlphaOff",argv[1]))&&(argc == 2))
    {
    op->BuildAlphaOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBuildAlpha",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBuildAlpha(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBuildAlpha",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBuildAlpha();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MaximumModeOn",argv[1]))&&(argc == 2))
    {
    op->MaximumModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaximumModeOff",argv[1]))&&(argc == 2))
    {
    op->MaximumModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LuminanceModeOn",argv[1]))&&(argc == 2))
    {
    op->LuminanceModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LuminanceModeOff",argv[1]))&&(argc == 2))
    {
    op->LuminanceModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLuminanceMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLuminanceMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLuminanceMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLuminanceMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AverageModeOn",argv[1]))&&(argc == 2))
    {
    op->AverageModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AverageModeOff",argv[1]))&&(argc == 2))
    {
    op->AverageModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAverageMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAverageMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAverageMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAverageMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAverageThreshold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAverageThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAverageThreshold",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAverageThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageColorMergeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageColorMerge:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntensityTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddIntensityTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveLookupTables\n",NULL);
    Tcl_AppendResult(interp,"  GetITFCount\n",NULL);
    Tcl_AppendResult(interp,"  GetCTFCount\n",NULL);
    Tcl_AppendResult(interp,"  BuildAlphaOn\n",NULL);
    Tcl_AppendResult(interp,"  BuildAlphaOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBuildAlpha\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBuildAlpha\n",NULL);
    Tcl_AppendResult(interp,"  MaximumModeOn\n",NULL);
    Tcl_AppendResult(interp,"  MaximumModeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumMode\n",NULL);
    Tcl_AppendResult(interp,"  LuminanceModeOn\n",NULL);
    Tcl_AppendResult(interp,"  LuminanceModeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLuminanceMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLuminanceMode\n",NULL);
    Tcl_AppendResult(interp,"  AverageModeOn\n",NULL);
    Tcl_AppendResult(interp,"  AverageModeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAverageMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAverageMode\n",NULL);
    Tcl_AppendResult(interp,"  SetAverageThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAverageThreshold\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetColorTransferFunction" );
    Tcl_DStringAppendElement ( &dString, "GetIntensityTransferFunction" );
    Tcl_DStringAppendElement ( &dString, "AddLookupTable" );
    Tcl_DStringAppendElement ( &dString, "AddIntensityTransferFunction" );
    Tcl_DStringAppendElement ( &dString, "RemoveLookupTables" );
    Tcl_DStringAppendElement ( &dString, "GetITFCount" );
    Tcl_DStringAppendElement ( &dString, "GetCTFCount" );
    Tcl_DStringAppendElement ( &dString, "BuildAlphaOn" );
    Tcl_DStringAppendElement ( &dString, "BuildAlphaOff" );
    Tcl_DStringAppendElement ( &dString, "SetBuildAlpha" );
    Tcl_DStringAppendElement ( &dString, "GetBuildAlpha" );
    Tcl_DStringAppendElement ( &dString, "MaximumModeOn" );
    Tcl_DStringAppendElement ( &dString, "MaximumModeOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumMode" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumMode" );
    Tcl_DStringAppendElement ( &dString, "LuminanceModeOn" );
    Tcl_DStringAppendElement ( &dString, "LuminanceModeOff" );
    Tcl_DStringAppendElement ( &dString, "SetLuminanceMode" );
    Tcl_DStringAppendElement ( &dString, "GetLuminanceMode" );
    Tcl_DStringAppendElement ( &dString, "AverageModeOn" );
    Tcl_DStringAppendElement ( &dString, "AverageModeOff" );
    Tcl_DStringAppendElement ( &dString, "SetAverageMode" );
    Tcl_DStringAppendElement ( &dString, "GetAverageMode" );
    Tcl_DStringAppendElement ( &dString, "SetAverageThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetAverageThreshold" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageColorMerge *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorTransferFunction */
    if ( strcmp ( argv[2], "GetColorTransferFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorTransferFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorTransferFunction */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction *GetColorTransferFunction (int i);return ColorTransferFunctions i " );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for GetColorTransferFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntensityTransferFunction */
    if ( strcmp ( argv[2], "GetIntensityTransferFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntensityTransferFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntensityTransferFunction */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction *GetIntensityTransferFunction (int i);return IntensityTransferFunctions i " );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for GetIntensityTransferFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLookupTable */
    if ( strcmp ( argv[2], "AddLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLookupTable */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddLookupTable (vtkColorTransferFunction *ctf);ColorTransferFunctions this CTFCount ctf this Modified " );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for AddLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddIntensityTransferFunction */
    if ( strcmp ( argv[2], "AddIntensityTransferFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIntensityTransferFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIntensityTransferFunction */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddIntensityTransferFunction (vtkIntensityTransferFunction *itf);IntensityTransferFunctions this ITFCount itf this Modified " );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for AddIntensityTransferFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveLookupTables */
    if ( strcmp ( argv[2], "RemoveLookupTables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveLookupTables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveLookupTables */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RemoveLookupTables ();this ClearCtfs " );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for RemoveLookupTables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetITFCount */
    if ( strcmp ( argv[2], "GetITFCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetITFCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetITFCount */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetITFCount ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for GetITFCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCTFCount */
    if ( strcmp ( argv[2], "GetCTFCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCTFCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCTFCount */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetCTFCount ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for GetCTFCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildAlphaOn */
    if ( strcmp ( argv[2], "BuildAlphaOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildAlphaOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildAlphaOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void BuildAlphaOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for BuildAlphaOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildAlphaOff */
    if ( strcmp ( argv[2], "BuildAlphaOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildAlphaOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildAlphaOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void BuildAlphaOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for BuildAlphaOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBuildAlpha */
    if ( strcmp ( argv[2], "SetBuildAlpha" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBuildAlpha" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBuildAlpha */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBuildAlpha (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for SetBuildAlpha */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBuildAlpha */
    if ( strcmp ( argv[2], "GetBuildAlpha" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBuildAlpha" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBuildAlpha */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetBuildAlpha ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for GetBuildAlpha */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaximumModeOn */
    if ( strcmp ( argv[2], "MaximumModeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaximumModeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaximumModeOn */
    Tcl_DStringAppendElement ( &dString, " In the maximum mode, the alpha channel value will be the \n largest scalar value in a particular voxel\n" );
    Tcl_DStringAppendElement ( &dString, "void MaximumModeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for MaximumModeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaximumModeOff */
    if ( strcmp ( argv[2], "MaximumModeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaximumModeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaximumModeOff */
    Tcl_DStringAppendElement ( &dString, " In the maximum mode, the alpha channel value will be the \n largest scalar value in a particular voxel\n" );
    Tcl_DStringAppendElement ( &dString, "void MaximumModeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for MaximumModeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumMode */
    if ( strcmp ( argv[2], "SetMaximumMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumMode */
    Tcl_DStringAppendElement ( &dString, " In the maximum mode, the alpha channel value will be the \n largest scalar value in a particular voxel\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for SetMaximumMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumMode */
    if ( strcmp ( argv[2], "GetMaximumMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumMode */
    Tcl_DStringAppendElement ( &dString, " In the maximum mode, the alpha channel value will be the \n largest scalar value in a particular voxel\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for GetMaximumMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LuminanceModeOn */
    if ( strcmp ( argv[2], "LuminanceModeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LuminanceModeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LuminanceModeOn */
    Tcl_DStringAppendElement ( &dString, " In the luminance mode, the alpha channel value will be the \n weighted sum of the intensities of R, G and B\n" );
    Tcl_DStringAppendElement ( &dString, "void LuminanceModeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for LuminanceModeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LuminanceModeOff */
    if ( strcmp ( argv[2], "LuminanceModeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LuminanceModeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LuminanceModeOff */
    Tcl_DStringAppendElement ( &dString, " In the luminance mode, the alpha channel value will be the \n weighted sum of the intensities of R, G and B\n" );
    Tcl_DStringAppendElement ( &dString, "void LuminanceModeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for LuminanceModeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLuminanceMode */
    if ( strcmp ( argv[2], "SetLuminanceMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLuminanceMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLuminanceMode */
    Tcl_DStringAppendElement ( &dString, " In the luminance mode, the alpha channel value will be the \n weighted sum of the intensities of R, G and B\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLuminanceMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for SetLuminanceMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLuminanceMode */
    if ( strcmp ( argv[2], "GetLuminanceMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLuminanceMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLuminanceMode */
    Tcl_DStringAppendElement ( &dString, " In the luminance mode, the alpha channel value will be the \n weighted sum of the intensities of R, G and B\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLuminanceMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for GetLuminanceMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AverageModeOn */
    if ( strcmp ( argv[2], "AverageModeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AverageModeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AverageModeOn */
    Tcl_DStringAppendElement ( &dString, " In the average mode, the alpha channel value will be the\n average of all scalar values that are larger than AverageThreshold\n" );
    Tcl_DStringAppendElement ( &dString, "void AverageModeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for AverageModeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AverageModeOff */
    if ( strcmp ( argv[2], "AverageModeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AverageModeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AverageModeOff */
    Tcl_DStringAppendElement ( &dString, " In the average mode, the alpha channel value will be the\n average of all scalar values that are larger than AverageThreshold\n" );
    Tcl_DStringAppendElement ( &dString, "void AverageModeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for AverageModeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAverageMode */
    if ( strcmp ( argv[2], "SetAverageMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAverageMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAverageMode */
    Tcl_DStringAppendElement ( &dString, " In the average mode, the alpha channel value will be the\n average of all scalar values that are larger than AverageThreshold\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAverageMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for SetAverageMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAverageMode */
    if ( strcmp ( argv[2], "GetAverageMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAverageMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAverageMode */
    Tcl_DStringAppendElement ( &dString, " In the average mode, the alpha channel value will be the\n average of all scalar values that are larger than AverageThreshold\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAverageMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for GetAverageMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAverageThreshold */
    if ( strcmp ( argv[2], "SetAverageThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAverageThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAverageThreshold */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAverageThreshold (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for SetAverageThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAverageThreshold */
    if ( strcmp ( argv[2], "GetAverageThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAverageThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAverageThreshold */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetAverageThreshold ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageColorMerge" );
    /* Closing for GetAverageThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
