// python wrapper for vtkImageContinuousErode3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageContinuousErode3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageContinuousErode3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageContinuousErode3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSpatialAlgorithmNew(char *); }

static PyObject *PyvtkImageContinuousErode3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageContinuousErode3D *op;

  const char    *temp20;
  op = (vtkImageContinuousErode3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageContinuousErode3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageContinuousErode3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageContinuousErode3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageContinuousErode3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageContinuousErode3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageContinuousErode3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageContinuousErode3D *op;

  vtkImageContinuousErode3D  *temp20;
  op = (vtkImageContinuousErode3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageContinuousErode3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageContinuousErode3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageContinuousErode3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageContinuousErode3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageContinuousErode3D_SetKernelSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageContinuousErode3D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkImageContinuousErode3D *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageContinuousErode3D::SetKernelSize(temp0,temp1,temp2);
      }
    else
      {
      op->SetKernelSize(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageContinuousErode3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageContinuousErode3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Construct an instance of vtkImageContinuousErode3D filter.\n By default zero values are eroded.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageContinuousErode3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Construct an instance of vtkImageContinuousErode3D filter.\n By default zero values are eroded.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageContinuousErode3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageContinuousErode3D\nC++: vtkImageContinuousErode3D *NewInstance ();\n\n Construct an instance of vtkImageContinuousErode3D filter.\n By default zero values are eroded.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageContinuousErode3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageContinuousErode3D\nC++: vtkImageContinuousErode3D *SafeDownCast (vtkObject* o);\n\n Construct an instance of vtkImageContinuousErode3D filter.\n By default zero values are eroded.\n"},
  {(char*)"SetKernelSize",                (PyCFunction)PyvtkImageContinuousErode3D_SetKernelSize, 1,
   (char*)"V.SetKernelSize(int, int, int)\nC++: void SetKernelSize (int size0, int size1, int size2);\n\n This method sets the size of the neighborhood.  It also sets the \n default middle of the neighborhood and computes the elliptical foot print.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageContinuousErode3DDoc[] = {
  (char*)"vtkImageContinuousErode3D - Erosion implemented as a minimum.\n\n",
  "Super Class:\n\n vtkImageSpatialAlgorithm\n\n",
  (char*)" vtkImageContinuousErode3D replaces a pixel with the minimum over\n an ellipsoidal neighborhood.  If KernelSize of an axis is 1, no processing\n is done on that axis.\n\n",
  NULL
};

static vtkObjectBase *vtkImageContinuousErode3DStaticNew()
{
  return vtkImageContinuousErode3D::New();
}

PyObject *PyVTKClass_vtkImageContinuousErode3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageContinuousErode3DStaticNew,
                        PyvtkImageContinuousErode3DMethods,
                        (char*)"vtkImageContinuousErode3D",modulename,
                        (char**)vtkImageContinuousErode3DDoc,
                        PyVTKClass_vtkImageSpatialAlgorithmNew(modulename));
}

