// python wrapper for vtkImageCorrelation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageCorrelation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageCorrelationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageCorrelationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageCorrelation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCorrelation *op;

  const char    *temp20;
  op = (vtkImageCorrelation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCorrelation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCorrelation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCorrelation *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageCorrelation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCorrelation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCorrelation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCorrelation *op;

  vtkImageCorrelation  *temp20;
  op = (vtkImageCorrelation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCorrelation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCorrelation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageCorrelation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageCorrelation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageCorrelation_SetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCorrelation *op;

  int      temp0;
  op = (vtkImageCorrelation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCorrelation::SetDimensionality(temp0);
      }
    else
      {
      op->SetDimensionality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCorrelation_GetDimensionalityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCorrelation *op;

  int      temp20;
  op = (vtkImageCorrelation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCorrelation::GetDimensionalityMinValue();
      }
    else
      {
      temp20 = op->GetDimensionalityMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCorrelation_GetDimensionalityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCorrelation *op;

  int      temp20;
  op = (vtkImageCorrelation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCorrelation::GetDimensionalityMaxValue();
      }
    else
      {
      temp20 = op->GetDimensionalityMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCorrelation_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCorrelation *op;

  int      temp20;
  op = (vtkImageCorrelation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCorrelation::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCorrelation_SetInput1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCorrelation *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkImageCorrelation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCorrelation::SetInput1(temp0);
      }
    else
      {
      op->SetInput1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkImageCorrelation_SetInput2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCorrelation *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkImageCorrelation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCorrelation::SetInput2(temp0);
      }
    else
      {
      op->SetInput2(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}

static PyMethodDef PyvtkImageCorrelationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageCorrelation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageCorrelation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageCorrelation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageCorrelation\nC++: vtkImageCorrelation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageCorrelation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageCorrelation\nC++: vtkImageCorrelation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDimensionality",                (PyCFunction)PyvtkImageCorrelation_SetDimensionality, 1,
   (char*)"V.SetDimensionality(int)\nC++: void SetDimensionality (int );\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionalityMinValue",                (PyCFunction)PyvtkImageCorrelation_GetDimensionalityMinValue, 1,
   (char*)"V.GetDimensionalityMinValue() -> int\nC++: int GetDimensionalityMinValue ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionalityMaxValue",                (PyCFunction)PyvtkImageCorrelation_GetDimensionalityMaxValue, 1,
   (char*)"V.GetDimensionalityMaxValue() -> int\nC++: int GetDimensionalityMaxValue ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkImageCorrelation_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"SetInput1",                (PyCFunction)PyvtkImageCorrelation_SetInput1, 1,
   (char*)"V.SetInput1(vtkDataObject)\nC++: virtual void SetInput1 (vtkDataObject *in);this SetInput in \n\n Set the two inputs to this filter\n"},
  {(char*)"SetInput2",                (PyCFunction)PyvtkImageCorrelation_SetInput2, 1,
   (char*)"V.SetInput2(vtkDataObject)\nC++: virtual void SetInput2 (vtkDataObject *in);this SetInput in \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageCorrelationDoc[] = {
  (char*)"vtkImageCorrelation - Correlation imageof the two inputs.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageCorrelation finds the correlation between two data sets. \n SetDimensionality determines\n whether the Correlation will be 3D, 2D or 1D.  \n The default is a 2D Correlation.  The Output type will be double.\n The output size will match the size of the first input.\n The second input is considered the correlation kernel.\n\n",
  NULL
};

static vtkObjectBase *vtkImageCorrelationStaticNew()
{
  return vtkImageCorrelation::New();
}

PyObject *PyVTKClass_vtkImageCorrelationNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageCorrelationStaticNew,
                        PyvtkImageCorrelationMethods,
                        (char*)"vtkImageCorrelation",modulename,
                        (char**)vtkImageCorrelationDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

