// python wrapper for vtkImageDifference object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageDifference.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageDifferenceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageDifferenceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageDifference_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  const char    *temp20;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDifference::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDifference::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  vtkImageDifference  *temp20;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDifference::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageDifference  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageDifference::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageDifference_SetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDifference::SetImage(temp0);
      }
    else
      {
      op->SetImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageDifference_GetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  vtkImageData  *temp20;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDifference::GetImage();
      }
    else
      {
      temp20 = op->GetImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_GetError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  double   temp20;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDifference::GetError();
      }
    else
      {
      temp20 = op->GetError();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_GetThresholdedError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  double   temp20;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDifference::GetThresholdedError();
      }
    else
      {
      temp20 = op->GetThresholdedError();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_SetThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  int      temp0;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDifference::SetThreshold(temp0);
      }
    else
      {
      op->SetThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_GetThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  int      temp20;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDifference::GetThreshold();
      }
    else
      {
      temp20 = op->GetThreshold();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_SetAllowShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  int      temp0;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDifference::SetAllowShift(temp0);
      }
    else
      {
      op->SetAllowShift(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_GetAllowShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  int      temp20;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDifference::GetAllowShift();
      }
    else
      {
      temp20 = op->GetAllowShift();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_AllowShiftOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDifference::AllowShiftOn();
      }
    else
      {
      op->AllowShiftOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_AllowShiftOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDifference::AllowShiftOff();
      }
    else
      {
      op->AllowShiftOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_SetAveraging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  int      temp0;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDifference::SetAveraging(temp0);
      }
    else
      {
      op->SetAveraging(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_GetAveraging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  int      temp20;
  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDifference::GetAveraging();
      }
    else
      {
      temp20 = op->GetAveraging();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_AveragingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDifference::AveragingOn();
      }
    else
      {
      op->AveragingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDifference_AveragingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDifference *op;

  op = (vtkImageDifference *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDifference::AveragingOff();
      }
    else
      {
      op->AveragingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageDifferenceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageDifference_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageDifference_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageDifference_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageDifference\nC++: vtkImageDifference *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageDifference_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageDifference\nC++: vtkImageDifference *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetImage",                (PyCFunction)PyvtkImageDifference_SetImage, 1,
   (char*)"V.SetImage(vtkDataObject)\nC++: void SetImage (vtkDataObject *image);this SetInput image \n\n Specify the Image to compare the input to.\n"},
  {(char*)"GetImage",                (PyCFunction)PyvtkImageDifference_GetImage, 1,
   (char*)"V.GetImage() -> vtkImageData\nC++: vtkImageData *GetImage ();\n\n Specify the Image to compare the input to.\n"},
  {(char*)"GetError",                (PyCFunction)PyvtkImageDifference_GetError, 1,
   (char*)"V.GetError() -> float\nC++: double GetError (void );\n\n Return the total error in comparing the two images.\n"},
  {(char*)"GetThresholdedError",                (PyCFunction)PyvtkImageDifference_GetThresholdedError, 1,
   (char*)"V.GetThresholdedError() -> float\nC++: double GetThresholdedError (void );\n\n Return the total thresholded error in comparing the two images.\n The thresholded error is the error for a given pixel minus the\n threshold and clamped at a minimum of zero. \n"},
  {(char*)"SetThreshold",                (PyCFunction)PyvtkImageDifference_SetThreshold, 1,
   (char*)"V.SetThreshold(int)\nC++: void SetThreshold (int );\n\n Specify a threshold tolerance for pixel differences.\n"},
  {(char*)"GetThreshold",                (PyCFunction)PyvtkImageDifference_GetThreshold, 1,
   (char*)"V.GetThreshold() -> int\nC++: int GetThreshold ();\n\n Specify a threshold tolerance for pixel differences.\n"},
  {(char*)"SetAllowShift",                (PyCFunction)PyvtkImageDifference_SetAllowShift, 1,
   (char*)"V.SetAllowShift(int)\nC++: void SetAllowShift (int );\n\n Specify whether the comparison will allow a shift of one\n pixel between the images.  If set, then the minimum difference\n between input images will be used to determine the difference.\n Otherwise, the difference is computed directly between pixels\n of identical row/column values.\n"},
  {(char*)"GetAllowShift",                (PyCFunction)PyvtkImageDifference_GetAllowShift, 1,
   (char*)"V.GetAllowShift() -> int\nC++: int GetAllowShift ();\n\n Specify whether the comparison will allow a shift of one\n pixel between the images.  If set, then the minimum difference\n between input images will be used to determine the difference.\n Otherwise, the difference is computed directly between pixels\n of identical row/column values.\n"},
  {(char*)"AllowShiftOn",                (PyCFunction)PyvtkImageDifference_AllowShiftOn, 1,
   (char*)"V.AllowShiftOn()\nC++: void AllowShiftOn ();\n\n Specify whether the comparison will allow a shift of one\n pixel between the images.  If set, then the minimum difference\n between input images will be used to determine the difference.\n Otherwise, the difference is computed directly between pixels\n of identical row/column values.\n"},
  {(char*)"AllowShiftOff",                (PyCFunction)PyvtkImageDifference_AllowShiftOff, 1,
   (char*)"V.AllowShiftOff()\nC++: void AllowShiftOff ();\n\n Specify whether the comparison will allow a shift of one\n pixel between the images.  If set, then the minimum difference\n between input images will be used to determine the difference.\n Otherwise, the difference is computed directly between pixels\n of identical row/column values.\n"},
  {(char*)"SetAveraging",                (PyCFunction)PyvtkImageDifference_SetAveraging, 1,
   (char*)"V.SetAveraging(int)\nC++: void SetAveraging (int );\n\n Specify whether the comparison will include comparison of\n averaged 3x3 data between the images. For graphics renderings\n you normally would leave this on. For imaging operations it\n should be off.\n"},
  {(char*)"GetAveraging",                (PyCFunction)PyvtkImageDifference_GetAveraging, 1,
   (char*)"V.GetAveraging() -> int\nC++: int GetAveraging ();\n\n Specify whether the comparison will include comparison of\n averaged 3x3 data between the images. For graphics renderings\n you normally would leave this on. For imaging operations it\n should be off.\n"},
  {(char*)"AveragingOn",                (PyCFunction)PyvtkImageDifference_AveragingOn, 1,
   (char*)"V.AveragingOn()\nC++: void AveragingOn ();\n\n Specify whether the comparison will include comparison of\n averaged 3x3 data between the images. For graphics renderings\n you normally would leave this on. For imaging operations it\n should be off.\n"},
  {(char*)"AveragingOff",                (PyCFunction)PyvtkImageDifference_AveragingOff, 1,
   (char*)"V.AveragingOff()\nC++: void AveragingOff ();\n\n Specify whether the comparison will include comparison of\n averaged 3x3 data between the images. For graphics renderings\n you normally would leave this on. For imaging operations it\n should be off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageDifferenceDoc[] = {
  (char*)"vtkImageDifference - Compares images for regression tests.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageDifference takes two rgb unsigned char images and compares them.\n It allows the images to be slightly different.  If AllowShift is on,\n then each pixel can be shifted by one pixel. Threshold is the allowable\n error for each pixel.\n\n This is not a symetric filter and the difference computed is not symetric\n when AllowShift is on. Specifically in that case a pixel in SetImage input\n will be",
  (char*)" compared to the matching pixel in the input as well as to the\n input's eight connected neighbors. BUT... the opposite is not true. So for\n example if a valid image (SetImage) has a single white pixel in it, it\n will not find a match in the input image if the input image is black\n (because none of the nine suspect pixels are white). In contrast, if there\n is a single white pixel in the input image",
  (char*)" and the valid image (SetImage)\n is all black it will match with no error because all it has to do is find\n black pixels and even though the input image has a white pixel, its\n neighbors are not white.\n\n",
  NULL
};

static vtkObjectBase *vtkImageDifferenceStaticNew()
{
  return vtkImageDifference::New();
}

PyObject *PyVTKClass_vtkImageDifferenceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageDifferenceStaticNew,
                        PyvtkImageDifferenceMethods,
                        (char*)"vtkImageDifference",modulename,
                        (char**)vtkImageDifferenceDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

