// python wrapper for vtkImageEuclideanDistance object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageEuclideanDistance.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageEuclideanDistanceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageEuclideanDistanceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageDecomposeFilterNew(char *); }

static PyObject *PyvtkImageEuclideanDistance_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  const char    *temp20;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanDistance::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanDistance::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  vtkImageEuclideanDistance  *temp20;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanDistance::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageEuclideanDistance  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageEuclideanDistance::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_SplitExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  int    temp0[6];
  int    temp1[6];
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)(iiiiii)ii", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanDistance::SplitExtent(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->SplitExtent(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_SetInitialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  int      temp0;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEuclideanDistance::SetInitialize(temp0);
      }
    else
      {
      op->SetInitialize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_GetInitialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  int      temp20;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanDistance::GetInitialize();
      }
    else
      {
      temp20 = op->GetInitialize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_InitializeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEuclideanDistance::InitializeOn();
      }
    else
      {
      op->InitializeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_InitializeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEuclideanDistance::InitializeOff();
      }
    else
      {
      op->InitializeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_SetConsiderAnisotropy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  int      temp0;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEuclideanDistance::SetConsiderAnisotropy(temp0);
      }
    else
      {
      op->SetConsiderAnisotropy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_GetConsiderAnisotropy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  int      temp20;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanDistance::GetConsiderAnisotropy();
      }
    else
      {
      temp20 = op->GetConsiderAnisotropy();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_ConsiderAnisotropyOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEuclideanDistance::ConsiderAnisotropyOn();
      }
    else
      {
      op->ConsiderAnisotropyOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_ConsiderAnisotropyOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEuclideanDistance::ConsiderAnisotropyOff();
      }
    else
      {
      op->ConsiderAnisotropyOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_SetMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  double   temp0;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEuclideanDistance::SetMaximumDistance(temp0);
      }
    else
      {
      op->SetMaximumDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_GetMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  double   temp20;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanDistance::GetMaximumDistance();
      }
    else
      {
      temp20 = op->GetMaximumDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_SetAlgorithm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  int      temp0;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEuclideanDistance::SetAlgorithm(temp0);
      }
    else
      {
      op->SetAlgorithm(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_GetAlgorithm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  int      temp20;
  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanDistance::GetAlgorithm();
      }
    else
      {
      temp20 = op->GetAlgorithm();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_SetAlgorithmToSaito(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEuclideanDistance::SetAlgorithmToSaito();
      }
    else
      {
      op->SetAlgorithmToSaito();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanDistance_SetAlgorithmToSaitoCached(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanDistance *op;

  op = (vtkImageEuclideanDistance *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEuclideanDistance::SetAlgorithmToSaitoCached();
      }
    else
      {
      op->SetAlgorithmToSaitoCached();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageEuclideanDistanceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageEuclideanDistance_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageEuclideanDistance_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageEuclideanDistance_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageEuclideanDistance\nC++: vtkImageEuclideanDistance *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageEuclideanDistance_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageEuclideanDistance\nC++: vtkImageEuclideanDistance *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SplitExtent",                (PyCFunction)PyvtkImageEuclideanDistance_SplitExtent, 1,
   (char*)"V.SplitExtent((int, int, int, int, int, int), (int, int, int, int, int, int), int, int) -> int\nC++: int SplitExtent (int splitExt[6], int startExt[6], int num, int total);\n\n Used internally for streaming and threads.  \n Splits output update extent into num pieces.\n This method needs to be called num times.  Results must not overlap for\n consistent starting extent.  Subclass can override this method.\n This method returns the number of peices resulting from a\n successful split.  This can be from 1 to \"total\".  \n If 1 is returned, the extent cannot be split.\n"},
  {(char*)"SetInitialize",                (PyCFunction)PyvtkImageEuclideanDistance_SetInitialize, 1,
   (char*)"V.SetInitialize(int)\nC++: void SetInitialize (int );\n\n Used to set all non-zero voxels to MaximumDistance before starting\n the distance transformation. Setting Initialize off keeps the current \n value in the input image as starting point. This allows to superimpose \n several distance maps. \n"},
  {(char*)"GetInitialize",                (PyCFunction)PyvtkImageEuclideanDistance_GetInitialize, 1,
   (char*)"V.GetInitialize() -> int\nC++: int GetInitialize ();\n\n Used to set all non-zero voxels to MaximumDistance before starting\n the distance transformation. Setting Initialize off keeps the current \n value in the input image as starting point. This allows to superimpose \n several distance maps. \n"},
  {(char*)"InitializeOn",                (PyCFunction)PyvtkImageEuclideanDistance_InitializeOn, 1,
   (char*)"V.InitializeOn()\nC++: void InitializeOn ();\n\n Used to set all non-zero voxels to MaximumDistance before starting\n the distance transformation. Setting Initialize off keeps the current \n value in the input image as starting point. This allows to superimpose \n several distance maps. \n"},
  {(char*)"InitializeOff",                (PyCFunction)PyvtkImageEuclideanDistance_InitializeOff, 1,
   (char*)"V.InitializeOff()\nC++: void InitializeOff ();\n\n Used to set all non-zero voxels to MaximumDistance before starting\n the distance transformation. Setting Initialize off keeps the current \n value in the input image as starting point. This allows to superimpose \n several distance maps. \n"},
  {(char*)"SetConsiderAnisotropy",                (PyCFunction)PyvtkImageEuclideanDistance_SetConsiderAnisotropy, 1,
   (char*)"V.SetConsiderAnisotropy(int)\nC++: void SetConsiderAnisotropy (int );\n\n Used to define whether Spacing should be used in the computation of the\n distances \n"},
  {(char*)"GetConsiderAnisotropy",                (PyCFunction)PyvtkImageEuclideanDistance_GetConsiderAnisotropy, 1,
   (char*)"V.GetConsiderAnisotropy() -> int\nC++: int GetConsiderAnisotropy ();\n\n Used to define whether Spacing should be used in the computation of the\n distances \n"},
  {(char*)"ConsiderAnisotropyOn",                (PyCFunction)PyvtkImageEuclideanDistance_ConsiderAnisotropyOn, 1,
   (char*)"V.ConsiderAnisotropyOn()\nC++: void ConsiderAnisotropyOn ();\n\n Used to define whether Spacing should be used in the computation of the\n distances \n"},
  {(char*)"ConsiderAnisotropyOff",                (PyCFunction)PyvtkImageEuclideanDistance_ConsiderAnisotropyOff, 1,
   (char*)"V.ConsiderAnisotropyOff()\nC++: void ConsiderAnisotropyOff ();\n\n Used to define whether Spacing should be used in the computation of the\n distances \n"},
  {(char*)"SetMaximumDistance",                (PyCFunction)PyvtkImageEuclideanDistance_SetMaximumDistance, 1,
   (char*)"V.SetMaximumDistance(float)\nC++: void SetMaximumDistance (double );\n\n Any distance bigger than this->MaximumDistance will not ne computed but\n set to this->MaximumDistance instead. \n"},
  {(char*)"GetMaximumDistance",                (PyCFunction)PyvtkImageEuclideanDistance_GetMaximumDistance, 1,
   (char*)"V.GetMaximumDistance() -> float\nC++: double GetMaximumDistance ();\n\n Any distance bigger than this->MaximumDistance will not ne computed but\n set to this->MaximumDistance instead. \n"},
  {(char*)"SetAlgorithm",                (PyCFunction)PyvtkImageEuclideanDistance_SetAlgorithm, 1,
   (char*)"V.SetAlgorithm(int)\nC++: void SetAlgorithm (int );\n\n Selects a Euclidean DT algorithm. \n 1. Saito\n 2. Saito-cached \n More algorithms will be added later on. \n"},
  {(char*)"GetAlgorithm",                (PyCFunction)PyvtkImageEuclideanDistance_GetAlgorithm, 1,
   (char*)"V.GetAlgorithm() -> int\nC++: int GetAlgorithm ();\n\n Selects a Euclidean DT algorithm. \n 1. Saito\n 2. Saito-cached \n More algorithms will be added later on. \n"},
  {(char*)"SetAlgorithmToSaito",                (PyCFunction)PyvtkImageEuclideanDistance_SetAlgorithmToSaito, 1,
   (char*)"V.SetAlgorithmToSaito()\nC++: void SetAlgorithmToSaito ();this SetAlgorithm VTK_EDT_SAITO \n\n Selects a Euclidean DT algorithm. \n 1. Saito\n 2. Saito-cached \n More algorithms will be added later on. \n"},
  {(char*)"SetAlgorithmToSaitoCached",                (PyCFunction)PyvtkImageEuclideanDistance_SetAlgorithmToSaitoCached, 1,
   (char*)"V.SetAlgorithmToSaitoCached()\nC++: void SetAlgorithmToSaitoCached ();this SetAlgorithm VTK_EDT_SAITO_CACHED \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageEuclideanDistanceDoc[] = {
  (char*)"vtkImageEuclideanDistance - computes 3D Euclidean DT \n\n",
  "Super Class:\n\n vtkImageDecomposeFilter\n\n",
  (char*)" vtkImageEuclideanDistance implements the Euclidean DT using\n Saito's algorithm. The distance map produced contains the square of the\n Euclidean distance values. \n\n The algorithm has a o(n^(D+1)) complexity over nxnx...xn images in D \n dimensions. It is very efficient on relatively small images. Cuisenaire's\n algorithms should be used instead if n >> 500. These are not implemented\n yet.\n\n For the ",
  (char*)"special case of images where the slice-size is a multiple of \n 2^N with a large N (typically for 256x256 slices), Saito's algorithm \n encounters a lot of cache conflicts during the 3rd iteration which can \n slow it very significantly. In that case, one should use \n ::SetAlgorithmToSaitoCached() instead for better performance. \n\n References:\n\n T. Saito and J.I. Toriwaki. New algorithms for Euclidea",
  (char*)"n distance \n transformations of an n-dimensional digitised picture with applications.\n Pattern Recognition, 27(11). pp. 1551--1565, 1994. \n \n O. Cuisenaire. Distance Transformation: fast algorithms and applications\n to medical image processing. PhD Thesis, Universite catholique de Louvain,\n October 1999. http://ltswww.epfl.ch/~cuisenai/papers/oc_thesis.pdf \n\n",
  NULL
};

static vtkObjectBase *vtkImageEuclideanDistanceStaticNew()
{
  return vtkImageEuclideanDistance::New();
}

PyObject *PyVTKClass_vtkImageEuclideanDistanceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageEuclideanDistanceStaticNew,
                        PyvtkImageEuclideanDistanceMethods,
                        (char*)"vtkImageEuclideanDistance",modulename,
                        (char**)vtkImageEuclideanDistanceDoc,
                        PyVTKClass_vtkImageDecomposeFilterNew(modulename));
}

