// tcl wrapper for vtkImageEuclideanDistance object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageEuclideanDistance.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageEuclideanDistanceNewCommand()
{
  vtkImageEuclideanDistance *temp = vtkImageEuclideanDistance::New();
  return static_cast<ClientData>(temp);
}

int vtkImageDecomposeFilterCppCommand(vtkImageDecomposeFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageEuclideanDistanceCppCommand(vtkImageEuclideanDistance *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageEuclideanDistanceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageEuclideanDistanceCppCommand(static_cast<vtkImageEuclideanDistance *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageEuclideanDistanceCppCommand(vtkImageEuclideanDistance *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageEuclideanDistance",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageDecomposeFilterCppCommand(static_cast<vtkImageDecomposeFilter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageDecomposeFilter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageEuclideanDistance  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageEuclideanDistance");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageEuclideanDistance  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageEuclideanDistance");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageEuclideanDistance  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageEuclideanDistance");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInitialize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInitialize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInitialize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInitialize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InitializeOn",argv[1]))&&(argc == 2))
    {
    op->InitializeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializeOff",argv[1]))&&(argc == 2))
    {
    op->InitializeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConsiderAnisotropy",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetConsiderAnisotropy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConsiderAnisotropy",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetConsiderAnisotropy();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConsiderAnisotropyOn",argv[1]))&&(argc == 2))
    {
    op->ConsiderAnisotropyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConsiderAnisotropyOff",argv[1]))&&(argc == 2))
    {
    op->ConsiderAnisotropyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAlgorithm",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAlgorithm(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAlgorithm",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAlgorithm();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAlgorithmToSaito",argv[1]))&&(argc == 2))
    {
    op->SetAlgorithmToSaito();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAlgorithmToSaitoCached",argv[1]))&&(argc == 2))
    {
    op->SetAlgorithmToSaitoCached();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageEuclideanDistanceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageDecomposeFilterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageEuclideanDistance:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialize\n",NULL);
    Tcl_AppendResult(interp,"  InitializeOn\n",NULL);
    Tcl_AppendResult(interp,"  InitializeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConsiderAnisotropy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConsiderAnisotropy\n",NULL);
    Tcl_AppendResult(interp,"  ConsiderAnisotropyOn\n",NULL);
    Tcl_AppendResult(interp,"  ConsiderAnisotropyOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetAlgorithm\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  SetAlgorithmToSaito\n",NULL);
    Tcl_AppendResult(interp,"  SetAlgorithmToSaitoCached\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageDecomposeFilterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetInitialize" );
    Tcl_DStringAppendElement ( &dString, "GetInitialize" );
    Tcl_DStringAppendElement ( &dString, "InitializeOn" );
    Tcl_DStringAppendElement ( &dString, "InitializeOff" );
    Tcl_DStringAppendElement ( &dString, "SetConsiderAnisotropy" );
    Tcl_DStringAppendElement ( &dString, "GetConsiderAnisotropy" );
    Tcl_DStringAppendElement ( &dString, "ConsiderAnisotropyOn" );
    Tcl_DStringAppendElement ( &dString, "ConsiderAnisotropyOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDistance" );
    Tcl_DStringAppendElement ( &dString, "SetAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "GetAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "SetAlgorithmToSaito" );
    Tcl_DStringAppendElement ( &dString, "SetAlgorithmToSaitoCached" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageDecomposeFilterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageEuclideanDistance *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInitialize */
    if ( strcmp ( argv[2], "SetInitialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInitialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInitialize */
    Tcl_DStringAppendElement ( &dString, " Used to set all non-zero voxels to MaximumDistance before starting\n the distance transformation. Setting Initialize off keeps the current \n value in the input image as starting point. This allows to superimpose \n several distance maps. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetInitialize (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for SetInitialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInitialize */
    if ( strcmp ( argv[2], "GetInitialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInitialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInitialize */
    Tcl_DStringAppendElement ( &dString, " Used to set all non-zero voxels to MaximumDistance before starting\n the distance transformation. Setting Initialize off keeps the current \n value in the input image as starting point. This allows to superimpose \n several distance maps. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetInitialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for GetInitialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeOn */
    if ( strcmp ( argv[2], "InitializeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeOn */
    Tcl_DStringAppendElement ( &dString, " Used to set all non-zero voxels to MaximumDistance before starting\n the distance transformation. Setting Initialize off keeps the current \n value in the input image as starting point. This allows to superimpose \n several distance maps. \n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for InitializeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeOff */
    if ( strcmp ( argv[2], "InitializeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeOff */
    Tcl_DStringAppendElement ( &dString, " Used to set all non-zero voxels to MaximumDistance before starting\n the distance transformation. Setting Initialize off keeps the current \n value in the input image as starting point. This allows to superimpose \n several distance maps. \n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for InitializeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConsiderAnisotropy */
    if ( strcmp ( argv[2], "SetConsiderAnisotropy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConsiderAnisotropy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConsiderAnisotropy */
    Tcl_DStringAppendElement ( &dString, " Used to define whether Spacing should be used in the computation of the\n distances \n" );
    Tcl_DStringAppendElement ( &dString, "void SetConsiderAnisotropy (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for SetConsiderAnisotropy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConsiderAnisotropy */
    if ( strcmp ( argv[2], "GetConsiderAnisotropy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConsiderAnisotropy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConsiderAnisotropy */
    Tcl_DStringAppendElement ( &dString, " Used to define whether Spacing should be used in the computation of the\n distances \n" );
    Tcl_DStringAppendElement ( &dString, "int GetConsiderAnisotropy ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for GetConsiderAnisotropy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConsiderAnisotropyOn */
    if ( strcmp ( argv[2], "ConsiderAnisotropyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConsiderAnisotropyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConsiderAnisotropyOn */
    Tcl_DStringAppendElement ( &dString, " Used to define whether Spacing should be used in the computation of the\n distances \n" );
    Tcl_DStringAppendElement ( &dString, "void ConsiderAnisotropyOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for ConsiderAnisotropyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConsiderAnisotropyOff */
    if ( strcmp ( argv[2], "ConsiderAnisotropyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConsiderAnisotropyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConsiderAnisotropyOff */
    Tcl_DStringAppendElement ( &dString, " Used to define whether Spacing should be used in the computation of the\n distances \n" );
    Tcl_DStringAppendElement ( &dString, "void ConsiderAnisotropyOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for ConsiderAnisotropyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumDistance */
    if ( strcmp ( argv[2], "SetMaximumDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumDistance */
    Tcl_DStringAppendElement ( &dString, " Any distance bigger than this->MaximumDistance will not ne computed but\n set to this->MaximumDistance instead. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumDistance (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for SetMaximumDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumDistance */
    if ( strcmp ( argv[2], "GetMaximumDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumDistance */
    Tcl_DStringAppendElement ( &dString, " Any distance bigger than this->MaximumDistance will not ne computed but\n set to this->MaximumDistance instead. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumDistance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for GetMaximumDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAlgorithm */
    if ( strcmp ( argv[2], "SetAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Selects a Euclidean DT algorithm. \n 1. Saito\n 2. Saito-cached \n More algorithms will be added later on. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetAlgorithm (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for SetAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAlgorithm */
    if ( strcmp ( argv[2], "GetAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Selects a Euclidean DT algorithm. \n 1. Saito\n 2. Saito-cached \n More algorithms will be added later on. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetAlgorithm ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for GetAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAlgorithmToSaito */
    if ( strcmp ( argv[2], "SetAlgorithmToSaito" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAlgorithmToSaito" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAlgorithmToSaito */
    Tcl_DStringAppendElement ( &dString, " Selects a Euclidean DT algorithm. \n 1. Saito\n 2. Saito-cached \n More algorithms will be added later on. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetAlgorithmToSaito ();this SetAlgorithm VTK_EDT_SAITO " );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for SetAlgorithmToSaito */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAlgorithmToSaitoCached */
    if ( strcmp ( argv[2], "SetAlgorithmToSaitoCached" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAlgorithmToSaitoCached" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAlgorithmToSaitoCached */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAlgorithmToSaitoCached ();this SetAlgorithm VTK_EDT_SAITO_CACHED " );
    Tcl_DStringAppendElement ( &dString, "vtkImageEuclideanDistance" );
    /* Closing for SetAlgorithmToSaitoCached */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageDecomposeFilterCppCommand(static_cast<vtkImageDecomposeFilter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
