// tcl wrapper for vtkImageExport object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageExport.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageExportNewCommand()
{
  vtkImageExport *temp = vtkImageExport::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageExportCppCommand(vtkImageExport *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageExportCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageExportCppCommand(static_cast<vtkImageExport *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageExportCppCommand(vtkImageExport *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageExport",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageExport  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageExport");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageExport  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageExport");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageExport  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageExport");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataMemorySize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataDimensions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetDataDimensions();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDataNumberOfScalarComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataNumberOfScalarComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataScalarTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataScalarTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDataExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetDataExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDataSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDataSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDataOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDataOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("ImageLowerLeftOn",argv[1]))&&(argc == 2))
    {
    op->ImageLowerLeftOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ImageLowerLeftOff",argv[1]))&&(argc == 2))
    {
    op->ImageLowerLeftOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetImageLowerLeft",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageLowerLeft();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImageLowerLeft",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetImageLowerLeft(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Export",argv[1]))&&(argc == 2))
    {
    op->Export();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageExportCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageExport:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  GetDataDimensions\n",NULL);
    Tcl_AppendResult(interp,"  GetDataNumberOfScalarComponents\n",NULL);
    Tcl_AppendResult(interp,"  GetDataScalarType\n",NULL);
    Tcl_AppendResult(interp,"  GetDataScalarTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  GetDataExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSpacing\n",NULL);
    Tcl_AppendResult(interp,"  GetDataOrigin\n",NULL);
    Tcl_AppendResult(interp,"  ImageLowerLeftOn\n",NULL);
    Tcl_AppendResult(interp,"  ImageLowerLeftOff\n",NULL);
    Tcl_AppendResult(interp,"  GetImageLowerLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetImageLowerLeft\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Export\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetDataMemorySize" );
    Tcl_DStringAppendElement ( &dString, "GetDataDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetDataNumberOfScalarComponents" );
    Tcl_DStringAppendElement ( &dString, "GetDataScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetDataScalarTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "GetDataExtent" );
    Tcl_DStringAppendElement ( &dString, "GetDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "ImageLowerLeftOn" );
    Tcl_DStringAppendElement ( &dString, "ImageLowerLeftOff" );
    Tcl_DStringAppendElement ( &dString, "GetImageLowerLeft" );
    Tcl_DStringAppendElement ( &dString, "SetImageLowerLeft" );
    Tcl_DStringAppendElement ( &dString, "Export" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageExport *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataMemorySize */
    if ( strcmp ( argv[2], "GetDataMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataMemorySize */
    Tcl_DStringAppendElement ( &dString, " Get the number of bytes required for the output C array.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataMemorySize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for GetDataMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataDimensions */
    if ( strcmp ( argv[2], "GetDataDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataDimensions */
    Tcl_DStringAppendElement ( &dString, " Get the number of scalar components of the data.  Please note that\n when you index into a C array, the scalar component index comes\n last, i.e. array\\[z\\]\\[y\\]\\[x\\]\\[c\\].\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetDataDimensions ();this GetDataDimensions this DataDimensions return this DataDimensions " );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for GetDataDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataNumberOfScalarComponents */
    if ( strcmp ( argv[2], "GetDataNumberOfScalarComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataNumberOfScalarComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataNumberOfScalarComponents */
    Tcl_DStringAppendElement ( &dString, " Get the number of scalar components of the data.  Please note that\n when you index into a C array, the scalar component index comes\n last, i.e. array\\[z\\]\\[y\\]\\[x\\]\\[c\\].\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataNumberOfScalarComponents ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for GetDataNumberOfScalarComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataScalarType */
    if ( strcmp ( argv[2], "GetDataScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataScalarType */
    Tcl_DStringAppendElement ( &dString, " Get the scalar type of the data.  The scalar type of the C array\n must match the scalar type of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataScalarType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for GetDataScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataScalarTypeAsString */
    if ( strcmp ( argv[2], "GetDataScalarTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataScalarTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataScalarTypeAsString */
    Tcl_DStringAppendElement ( &dString, " Get miscellaneous additional information about the data.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDataScalarTypeAsString ();return vtkImageScalarTypeNameMacro this GetDataScalarType " );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for GetDataScalarTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataExtent */
    if ( strcmp ( argv[2], "GetDataExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataExtent */
    Tcl_DStringAppendElement ( &dString, " Get miscellaneous additional information about the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetDataExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for GetDataExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSpacing */
    if ( strcmp ( argv[2], "GetDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Get miscellaneous additional information about the data.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetDataSpacing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for GetDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataOrigin */
    if ( strcmp ( argv[2], "GetDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Get miscellaneous additional information about the data.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetDataOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for GetDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ImageLowerLeftOn */
    if ( strcmp ( argv[2], "ImageLowerLeftOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ImageLowerLeftOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ImageLowerLeftOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the data goes to the exported memory starting \n in the lower left corner or upper left corner.  Default: On.\n When this flag is Off, the image will be flipped vertically\n before it is exported.\n WARNING: this flag is used only with the Export() method,\n it is ignored by GetPointerToData().\n" );
    Tcl_DStringAppendElement ( &dString, "void ImageLowerLeftOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for ImageLowerLeftOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ImageLowerLeftOff */
    if ( strcmp ( argv[2], "ImageLowerLeftOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ImageLowerLeftOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ImageLowerLeftOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the data goes to the exported memory starting \n in the lower left corner or upper left corner.  Default: On.\n When this flag is Off, the image will be flipped vertically\n before it is exported.\n WARNING: this flag is used only with the Export() method,\n it is ignored by GetPointerToData().\n" );
    Tcl_DStringAppendElement ( &dString, "void ImageLowerLeftOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for ImageLowerLeftOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageLowerLeft */
    if ( strcmp ( argv[2], "GetImageLowerLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageLowerLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageLowerLeft */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the data goes to the exported memory starting \n in the lower left corner or upper left corner.  Default: On.\n When this flag is Off, the image will be flipped vertically\n before it is exported.\n WARNING: this flag is used only with the Export() method,\n it is ignored by GetPointerToData().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetImageLowerLeft ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for GetImageLowerLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageLowerLeft */
    if ( strcmp ( argv[2], "SetImageLowerLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageLowerLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageLowerLeft */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the data goes to the exported memory starting \n in the lower left corner or upper left corner.  Default: On.\n When this flag is Off, the image will be flipped vertically\n before it is exported.\n WARNING: this flag is used only with the Export() method,\n it is ignored by GetPointerToData().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageLowerLeft (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for SetImageLowerLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Export */
    if ( strcmp ( argv[2], "Export" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Export" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Export */
    Tcl_DStringAppendElement ( &dString, " The main interface: update the pipeline and export the image\n to the memory pointed to by SetExportVoidPointer().  You can\n also specify a void pointer when you call Export().\n" );
    Tcl_DStringAppendElement ( &dString, "void Export ();this Export this ExportVoidPointer " );
    Tcl_DStringAppendElement ( &dString, "vtkImageExport" );
    /* Closing for Export */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
