// python wrapper for vtkImageFFT object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageFFT.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageFFTNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageFFTNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageFourierFilterNew(char *); }

static PyObject *PyvtkImageFFT_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFFT *op;

  const char    *temp20;
  op = (vtkImageFFT *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFFT::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFFT_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFFT *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageFFT *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFFT::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFFT_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFFT *op;

  vtkImageFFT  *temp20;
  op = (vtkImageFFT *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFFT::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFFT_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageFFT  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageFFT::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageFFT_SplitExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFFT *op;

  int    temp0[6];
  int    temp1[6];
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkImageFFT *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)(iiiiii)ii", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFFT::SplitExtent(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->SplitExtent(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageFFTMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageFFT_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageFFT_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageFFT_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageFFT\nC++: vtkImageFFT *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageFFT_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageFFT\nC++: vtkImageFFT *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SplitExtent",                (PyCFunction)PyvtkImageFFT_SplitExtent, 1,
   (char*)"V.SplitExtent((int, int, int, int, int, int), (int, int, int, int, int, int), int, int) -> int\nC++: int SplitExtent (int splitExt[6], int startExt[6], int num, int total);\n\n Used internally for streaming and threads.  \n Splits output update extent into num pieces.\n This method needs to be called num times.  Results must not overlap for\n consistent starting extent.  Subclass can override this method.\n This method returns the number of pieces resulting from a\n successful split.  This can be from 1 to \"total\".  \n If 1 is returned, the extent cannot be split.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageFFTDoc[] = {
  (char*)"vtkImageFFT -  Fast Fourier Transform.\n\n",
  "Super Class:\n\n vtkImageFourierFilter\n\n",
  (char*)" vtkImageFFT implements a  fast Fourier transform.  The input\n can have real or complex data in any components and data types, but\n the output is always complex doubles with real values in component0, and\n imaginary values in component1.  The filter is fastest for images that\n have power of two sizes.  The filter uses a butterfly fitlers for each\n prime factor of the dimension.  This makes images ",
  (char*)"with prime number dimensions \n (i.e. 17x17) much slower to compute.  Multi dimensional (i.e volumes) \n FFT's are decomposed so that each axis executes in series.\n\n",
  NULL
};

static vtkObjectBase *vtkImageFFTStaticNew()
{
  return vtkImageFFT::New();
}

PyObject *PyVTKClass_vtkImageFFTNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageFFTStaticNew,
                        PyvtkImageFFTMethods,
                        (char*)"vtkImageFFT",modulename,
                        (char**)vtkImageFFTDoc,
                        PyVTKClass_vtkImageFourierFilterNew(modulename));
}

