// tcl wrapper for vtkImageFlip object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageFlip.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageFlipNewCommand()
{
  vtkImageFlip *temp = vtkImageFlip::New();
  return static_cast<ClientData>(temp);
}

int vtkImageResliceCppCommand(vtkImageReslice *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageFlipCppCommand(vtkImageFlip *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageFlipCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageFlipCppCommand(static_cast<vtkImageFlip *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageFlipCppCommand(vtkImageFlip *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageFlip",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageResliceCppCommand(static_cast<vtkImageReslice *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageReslice"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageFlip  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageFlip");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageFlip  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageFlip");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageFlip  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageFlip");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFilteredAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFilteredAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilteredAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFilteredAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFlipAboutOrigin",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFlipAboutOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFlipAboutOrigin",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFlipAboutOrigin();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FlipAboutOriginOn",argv[1]))&&(argc == 2))
    {
    op->FlipAboutOriginOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FlipAboutOriginOff",argv[1]))&&(argc == 2))
    {
    op->FlipAboutOriginOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFilteredAxes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFilteredAxes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilteredAxes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFilteredAxes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPreserveImageExtent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPreserveImageExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreserveImageExtent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPreserveImageExtent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PreserveImageExtentOn",argv[1]))&&(argc == 2))
    {
    op->PreserveImageExtentOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreserveImageExtentOff",argv[1]))&&(argc == 2))
    {
    op->PreserveImageExtentOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageFlipCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageResliceCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageFlip:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFilteredAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilteredAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetFlipAboutOrigin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFlipAboutOrigin\n",NULL);
    Tcl_AppendResult(interp,"  FlipAboutOriginOn\n",NULL);
    Tcl_AppendResult(interp,"  FlipAboutOriginOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFilteredAxes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilteredAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetPreserveImageExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreserveImageExtent\n",NULL);
    Tcl_AppendResult(interp,"  PreserveImageExtentOn\n",NULL);
    Tcl_AppendResult(interp,"  PreserveImageExtentOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageResliceCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFilteredAxis" );
    Tcl_DStringAppendElement ( &dString, "GetFilteredAxis" );
    Tcl_DStringAppendElement ( &dString, "SetFlipAboutOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetFlipAboutOrigin" );
    Tcl_DStringAppendElement ( &dString, "FlipAboutOriginOn" );
    Tcl_DStringAppendElement ( &dString, "FlipAboutOriginOff" );
    Tcl_DStringAppendElement ( &dString, "SetFilteredAxes" );
    Tcl_DStringAppendElement ( &dString, "GetFilteredAxes" );
    Tcl_DStringAppendElement ( &dString, "SetPreserveImageExtent" );
    Tcl_DStringAppendElement ( &dString, "GetPreserveImageExtent" );
    Tcl_DStringAppendElement ( &dString, "PreserveImageExtentOn" );
    Tcl_DStringAppendElement ( &dString, "PreserveImageExtentOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageResliceCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageFlip *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFilteredAxis */
    if ( strcmp ( argv[2], "SetFilteredAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFilteredAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFilteredAxis */
    Tcl_DStringAppendElement ( &dString, " Specify which axis will be flipped.  This must be an integer\n between 0 (for x) and 2 (for z).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFilteredAxis (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for SetFilteredAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilteredAxis */
    if ( strcmp ( argv[2], "GetFilteredAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilteredAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilteredAxis */
    Tcl_DStringAppendElement ( &dString, " Specify which axis will be flipped.  This must be an integer\n between 0 (for x) and 2 (for z).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFilteredAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for GetFilteredAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFlipAboutOrigin */
    if ( strcmp ( argv[2], "SetFlipAboutOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlipAboutOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlipAboutOrigin */
    Tcl_DStringAppendElement ( &dString, " By default the image will be flipped about its center, and the\n Origin, Spacing and Extent of the output will be identical to\n the input.  However, if you have a coordinate system associated\n with the image and you want to use the flip to convert +ve values\n along one axis to -ve values (and vice versa) then you actually\n want to flip the image about coordinate (0,0,0) instead of about\n the center of the image.  This method will adjust the Origin of\n the output such  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFlipAboutOrigin (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for SetFlipAboutOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFlipAboutOrigin */
    if ( strcmp ( argv[2], "GetFlipAboutOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFlipAboutOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFlipAboutOrigin */
    Tcl_DStringAppendElement ( &dString, " By default the image will be flipped about its center, and the\n Origin, Spacing and Extent of the output will be identical to\n the input.  However, if you have a coordinate system associated\n with the image and you want to use the flip to convert +ve values\n along one axis to -ve values (and vice versa) then you actually\n want to flip the image about coordinate (0,0,0) instead of about\n the center of the image.  This method will adjust the Origin of\n the output such  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFlipAboutOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for GetFlipAboutOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FlipAboutOriginOn */
    if ( strcmp ( argv[2], "FlipAboutOriginOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FlipAboutOriginOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FlipAboutOriginOn */
    Tcl_DStringAppendElement ( &dString, " By default the image will be flipped about its center, and the\n Origin, Spacing and Extent of the output will be identical to\n the input.  However, if you have a coordinate system associated\n with the image and you want to use the flip to convert +ve values\n along one axis to -ve values (and vice versa) then you actually\n want to flip the image about coordinate (0,0,0) instead of about\n the center of the image.  This method will adjust the Origin of\n the output such  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void FlipAboutOriginOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for FlipAboutOriginOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FlipAboutOriginOff */
    if ( strcmp ( argv[2], "FlipAboutOriginOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FlipAboutOriginOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FlipAboutOriginOff */
    Tcl_DStringAppendElement ( &dString, " By default the image will be flipped about its center, and the\n Origin, Spacing and Extent of the output will be identical to\n the input.  However, if you have a coordinate system associated\n with the image and you want to use the flip to convert +ve values\n along one axis to -ve values (and vice versa) then you actually\n want to flip the image about coordinate (0,0,0) instead of about\n the center of the image.  This method will adjust the Origin of\n the output such  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void FlipAboutOriginOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for FlipAboutOriginOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFilteredAxes */
    if ( strcmp ( argv[2], "SetFilteredAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFilteredAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFilteredAxes */
    Tcl_DStringAppendElement ( &dString, " Keep the mis-named Axes variations around for compatibility with old\n scripts. Axis is singular, not plural...\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFilteredAxes (int axis);this SetFilteredAxis axis " );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for SetFilteredAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilteredAxes */
    if ( strcmp ( argv[2], "GetFilteredAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilteredAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilteredAxes */
    Tcl_DStringAppendElement ( &dString, " PreserveImageExtentOff wasn't covered by test scripts and its\n implementation was broken.  It is deprecated now and it has\n no effect (i.e. the ImageExtent is always preserved).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFilteredAxes ();return this GetFilteredAxis " );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for GetFilteredAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPreserveImageExtent */
    if ( strcmp ( argv[2], "SetPreserveImageExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPreserveImageExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPreserveImageExtent */
    Tcl_DStringAppendElement ( &dString, " PreserveImageExtentOff wasn't covered by test scripts and its\n implementation was broken.  It is deprecated now and it has\n no effect (i.e. the ImageExtent is always preserved).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPreserveImageExtent (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for SetPreserveImageExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreserveImageExtent */
    if ( strcmp ( argv[2], "GetPreserveImageExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreserveImageExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreserveImageExtent */
    Tcl_DStringAppendElement ( &dString, " PreserveImageExtentOff wasn't covered by test scripts and its\n implementation was broken.  It is deprecated now and it has\n no effect (i.e. the ImageExtent is always preserved).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPreserveImageExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for GetPreserveImageExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreserveImageExtentOn */
    if ( strcmp ( argv[2], "PreserveImageExtentOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreserveImageExtentOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreserveImageExtentOn */
    Tcl_DStringAppendElement ( &dString, " PreserveImageExtentOff wasn't covered by test scripts and its\n implementation was broken.  It is deprecated now and it has\n no effect (i.e. the ImageExtent is always preserved).\n" );
    Tcl_DStringAppendElement ( &dString, "void PreserveImageExtentOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for PreserveImageExtentOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreserveImageExtentOff */
    if ( strcmp ( argv[2], "PreserveImageExtentOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreserveImageExtentOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreserveImageExtentOff */
    Tcl_DStringAppendElement ( &dString, " PreserveImageExtentOff wasn't covered by test scripts and its\n implementation was broken.  It is deprecated now and it has\n no effect (i.e. the ImageExtent is always preserved).\n" );
    Tcl_DStringAppendElement ( &dString, "void PreserveImageExtentOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageFlip" );
    /* Closing for PreserveImageExtentOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageResliceCppCommand(static_cast<vtkImageReslice *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
