// python wrapper for vtkImageFourierCenter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageFourierCenter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageFourierCenterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageFourierCenterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageDecomposeFilterNew(char *); }

static PyObject *PyvtkImageFourierCenter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFourierCenter *op;

  const char    *temp20;
  op = (vtkImageFourierCenter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFourierCenter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFourierCenter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFourierCenter *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageFourierCenter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFourierCenter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFourierCenter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFourierCenter *op;

  vtkImageFourierCenter  *temp20;
  op = (vtkImageFourierCenter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFourierCenter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFourierCenter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageFourierCenter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageFourierCenter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageFourierCenterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageFourierCenter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageFourierCenter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageFourierCenter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageFourierCenter\nC++: vtkImageFourierCenter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageFourierCenter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageFourierCenter\nC++: vtkImageFourierCenter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageFourierCenterDoc[] = {
  (char*)"vtkImageFourierCenter - Shifts constant frequency to center for\n\n",
  "Super Class:\n\n vtkImageDecomposeFilter\n\n",
  (char*)" Is used for dispaying images in frequency space.  FFT converts spatial\n images into frequency space, but puts the zero frequency at the origin.\n This filter shifts the zero frequency to the center of the image.\n Input and output are assumed to be doubles.\n\n",
  NULL
};

static vtkObjectBase *vtkImageFourierCenterStaticNew()
{
  return vtkImageFourierCenter::New();
}

PyObject *PyVTKClass_vtkImageFourierCenterNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageFourierCenterStaticNew,
                        PyvtkImageFourierCenterMethods,
                        (char*)"vtkImageFourierCenter",modulename,
                        (char**)vtkImageFourierCenterDoc,
                        PyVTKClass_vtkImageDecomposeFilterNew(modulename));
}

