// python wrapper for vtkImageFourierFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageFourierFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageFourierFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageFourierFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageDecomposeFilterNew(char *); }

static PyObject *PyvtkImageFourierFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFourierFilter *op;

  const char    *temp20;
  op = (vtkImageFourierFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFourierFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFourierFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFourierFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageFourierFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFourierFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFourierFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFourierFilter *op;

  vtkImageFourierFilter  *temp20;
  op = (vtkImageFourierFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFourierFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageFourierFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageFourierFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageFourierFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageFourierFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageFourierFilter\nC++: vtkImageFourierFilter *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageFourierFilterDoc[] = {
  (char*)"vtkImageFourierFilter - Superclass that implements complex numbers.\n\n",
  "Super Class:\n\n vtkImageDecomposeFilter\n\n",
  (char*)" vtkImageFourierFilter is a class of filters that use complex numbers\n this superclass is a container for methods that manipulate these structure\n including fast Fourier transforms.  Complex numbers may become a class.\n This should really be a helper class.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImageFourierFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImageFourierFilterMethods,
                        (char*)"vtkImageFourierFilter",modulename,
                        (char**)vtkImageFourierFilterDoc,
                        PyVTKClass_vtkImageDecomposeFilterNew(modulename));
}

