// python wrapper for vtkImageGaussianSmooth object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageGaussianSmooth.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageGaussianSmoothNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageGaussianSmoothNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageGaussianSmooth_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  const char    *temp20;
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSmooth::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSmooth_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSmooth::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSmooth_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  vtkImageGaussianSmooth  *temp20;
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSmooth::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSmooth_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageGaussianSmooth  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageGaussianSmooth::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageGaussianSmooth_SetStandardDeviations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSmooth::SetStandardDeviations(temp0,temp1,temp2);
      }
    else
      {
      op->SetStandardDeviations(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSmooth::SetStandardDeviations(temp0);
      }
    else
      {
      op->SetStandardDeviations(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double   temp0;
  double   temp1;
  PyErr_Clear();
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSmooth::SetStandardDeviations(temp0,temp1);
      }
    else
      {
      op->SetStandardDeviations(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSmooth_SetStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double   temp0;
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSmooth::SetStandardDeviation(temp0);
      }
    else
      {
      op->SetStandardDeviation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double   temp0;
  double   temp1;
  PyErr_Clear();
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSmooth::SetStandardDeviation(temp0,temp1);
      }
    else
      {
      op->SetStandardDeviation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSmooth::SetStandardDeviation(temp0,temp1,temp2);
      }
    else
      {
      op->SetStandardDeviation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSmooth_GetStandardDeviations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double  *temp20;
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSmooth::GetStandardDeviations();
      }
    else
      {
      temp20 = op->GetStandardDeviations();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSmooth_SetRadiusFactors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSmooth::SetRadiusFactors(temp0,temp1,temp2);
      }
    else
      {
      op->SetRadiusFactors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSmooth::SetRadiusFactors(temp0);
      }
    else
      {
      op->SetRadiusFactors(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double   temp0;
  double   temp1;
  PyErr_Clear();
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSmooth::SetRadiusFactors(temp0,temp1);
      }
    else
      {
      op->SetRadiusFactors(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSmooth_SetRadiusFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double   temp0;
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSmooth::SetRadiusFactor(temp0);
      }
    else
      {
      op->SetRadiusFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSmooth_GetRadiusFactors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  double  *temp20;
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSmooth::GetRadiusFactors();
      }
    else
      {
      temp20 = op->GetRadiusFactors();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSmooth_SetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  int      temp0;
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSmooth::SetDimensionality(temp0);
      }
    else
      {
      op->SetDimensionality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSmooth_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSmooth *op;

  int      temp20;
  op = (vtkImageGaussianSmooth *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSmooth::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageGaussianSmoothMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageGaussianSmooth_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageGaussianSmooth_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageGaussianSmooth_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageGaussianSmooth\nC++: vtkImageGaussianSmooth *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageGaussianSmooth_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageGaussianSmooth\nC++: vtkImageGaussianSmooth *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetStandardDeviations",                (PyCFunction)PyvtkImageGaussianSmooth_SetStandardDeviations, 1,
   (char*)"V.SetStandardDeviations(float, float, float)\nC++: void SetStandardDeviations (double , double , double );\nV.SetStandardDeviations((float, float, float))\nC++: void SetStandardDeviations (double  a[3]);\nV.SetStandardDeviations(float, float)\nC++: void SetStandardDeviations (double a, double b);this SetStandardDeviations a b \n\n Sets/Gets the Standard deviation of the gaussian in pixel units.\n"},
  {(char*)"SetStandardDeviation",                (PyCFunction)PyvtkImageGaussianSmooth_SetStandardDeviation, 1,
   (char*)"V.SetStandardDeviation(float)\nC++: void SetStandardDeviation (double std);this SetStandardDeviations std std std \nV.SetStandardDeviation(float, float)\nC++: void SetStandardDeviation (double a, double b);this SetStandardDeviations a b \nV.SetStandardDeviation(float, float, float)\nC++: void SetStandardDeviation (double a, double b, double c);this SetStandardDeviations a b c \n\n Sets/Gets the Standard deviation of the gaussian in pixel units.\n"},
  {(char*)"GetStandardDeviations",                (PyCFunction)PyvtkImageGaussianSmooth_GetStandardDeviations, 1,
   (char*)"V.GetStandardDeviations() -> (float, float, float)\nC++: double  *GetStandardDeviations ();\n\n Sets/Gets the Standard deviation of the gaussian in pixel units.\n"},
  {(char*)"SetRadiusFactors",                (PyCFunction)PyvtkImageGaussianSmooth_SetRadiusFactors, 1,
   (char*)"V.SetRadiusFactors(float, float, float)\nC++: void SetRadiusFactors (double , double , double );\nV.SetRadiusFactors((float, float, float))\nC++: void SetRadiusFactors (double  a[3]);\nV.SetRadiusFactors(float, float)\nC++: void SetRadiusFactors (double f, double f2);this SetRadiusFactors f f2 \n\n Sets/Gets the Radius Factors of the gaussian (no unit).\n The radius factors determine how far out the gaussian kernel will \n go before being clamped to zero.\n"},
  {(char*)"SetRadiusFactor",                (PyCFunction)PyvtkImageGaussianSmooth_SetRadiusFactor, 1,
   (char*)"V.SetRadiusFactor(float)\nC++: void SetRadiusFactor (double f);this SetRadiusFactors f f f \n\n Sets/Gets the Radius Factors of the gaussian (no unit).\n The radius factors determine how far out the gaussian kernel will \n go before being clamped to zero.\n"},
  {(char*)"GetRadiusFactors",                (PyCFunction)PyvtkImageGaussianSmooth_GetRadiusFactors, 1,
   (char*)"V.GetRadiusFactors() -> (float, float, float)\nC++: double  *GetRadiusFactors ();\n\n Sets/Gets the Radius Factors of the gaussian (no unit).\n The radius factors determine how far out the gaussian kernel will \n go before being clamped to zero.\n"},
  {(char*)"SetDimensionality",                (PyCFunction)PyvtkImageGaussianSmooth_SetDimensionality, 1,
   (char*)"V.SetDimensionality(int)\nC++: void SetDimensionality (int );\n\n Set/Get the dimensionality of this filter. This determines whether\n a one, two, or three dimensional gaussian is performed.\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkImageGaussianSmooth_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Set/Get the dimensionality of this filter. This determines whether\n a one, two, or three dimensional gaussian is performed.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageGaussianSmoothDoc[] = {
  (char*)"vtkImageGaussianSmooth - Performs a gaussian convolution.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageGaussianSmooth implements a convolution of the input image\n with a gaussian. Supports from one to three dimensional convolutions.\n\n",
  NULL
};

static vtkObjectBase *vtkImageGaussianSmoothStaticNew()
{
  return vtkImageGaussianSmooth::New();
}

PyObject *PyVTKClass_vtkImageGaussianSmoothNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageGaussianSmoothStaticNew,
                        PyvtkImageGaussianSmoothMethods,
                        (char*)"vtkImageGaussianSmooth",modulename,
                        (char**)vtkImageGaussianSmoothDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

