// python wrapper for vtkImageGaussianSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageGaussianSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageGaussianSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageGaussianSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageGaussianSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSource *op;

  const char    *temp20;
  op = (vtkImageGaussianSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageGaussianSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSource *op;

  vtkImageGaussianSource  *temp20;
  op = (vtkImageGaussianSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageGaussianSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageGaussianSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageGaussianSource_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkImageGaussianSource *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSource::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageGaussianSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGaussianSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageGaussianSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSource *op;

  double  *temp20;
  op = (vtkImageGaussianSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSource_SetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSource *op;

  double   temp0;
  op = (vtkImageGaussianSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSource::SetMaximum(temp0);
      }
    else
      {
      op->SetMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSource_GetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSource *op;

  double   temp20;
  op = (vtkImageGaussianSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSource::GetMaximum();
      }
    else
      {
      temp20 = op->GetMaximum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSource_SetStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSource *op;

  double   temp0;
  op = (vtkImageGaussianSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGaussianSource::SetStandardDeviation(temp0);
      }
    else
      {
      op->SetStandardDeviation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGaussianSource_GetStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGaussianSource *op;

  double   temp20;
  op = (vtkImageGaussianSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGaussianSource::GetStandardDeviation();
      }
    else
      {
      temp20 = op->GetStandardDeviation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageGaussianSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageGaussianSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageGaussianSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageGaussianSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageGaussianSource\nC++: vtkImageGaussianSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageGaussianSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageGaussianSource\nC++: vtkImageGaussianSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkImageGaussianSource_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax);\n\n Set/Get the extent of the whole output image.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkImageGaussianSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set/Get the center of the Gaussian.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkImageGaussianSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set/Get the center of the Gaussian.\n"},
  {(char*)"SetMaximum",                (PyCFunction)PyvtkImageGaussianSource_SetMaximum, 1,
   (char*)"V.SetMaximum(float)\nC++: void SetMaximum (double );\n\n Set/Get the Maximum value of the gaussian\n"},
  {(char*)"GetMaximum",                (PyCFunction)PyvtkImageGaussianSource_GetMaximum, 1,
   (char*)"V.GetMaximum() -> float\nC++: double GetMaximum ();\n\n Set/Get the Maximum value of the gaussian\n"},
  {(char*)"SetStandardDeviation",                (PyCFunction)PyvtkImageGaussianSource_SetStandardDeviation, 1,
   (char*)"V.SetStandardDeviation(float)\nC++: void SetStandardDeviation (double );\n\n Set/Get the standard deviation of the gaussian\n"},
  {(char*)"GetStandardDeviation",                (PyCFunction)PyvtkImageGaussianSource_GetStandardDeviation, 1,
   (char*)"V.GetStandardDeviation() -> float\nC++: double GetStandardDeviation ();\n\n Set/Get the standard deviation of the gaussian\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageGaussianSourceDoc[] = {
  (char*)"vtkImageGaussianSource - Create an image with Gaussian pixel values.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageGaussianSource just produces images with pixel values determined \n by a Gaussian.\n\n",
  NULL
};

static vtkObjectBase *vtkImageGaussianSourceStaticNew()
{
  return vtkImageGaussianSource::New();
}

PyObject *PyVTKClass_vtkImageGaussianSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageGaussianSourceStaticNew,
                        PyvtkImageGaussianSourceMethods,
                        (char*)"vtkImageGaussianSource",modulename,
                        (char**)vtkImageGaussianSourceDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

