// python wrapper for vtkImageGradient object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageGradient.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageGradientNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageGradientNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageGradient_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradient *op;

  const char    *temp20;
  op = (vtkImageGradient *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradient::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradient_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradient *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageGradient *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradient::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradient_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradient *op;

  vtkImageGradient  *temp20;
  op = (vtkImageGradient *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradient::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradient_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageGradient  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageGradient::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageGradient_SetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradient *op;

  int      temp0;
  op = (vtkImageGradient *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGradient::SetDimensionality(temp0);
      }
    else
      {
      op->SetDimensionality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradient_GetDimensionalityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradient *op;

  int      temp20;
  op = (vtkImageGradient *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradient::GetDimensionalityMinValue();
      }
    else
      {
      temp20 = op->GetDimensionalityMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradient_GetDimensionalityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradient *op;

  int      temp20;
  op = (vtkImageGradient *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradient::GetDimensionalityMaxValue();
      }
    else
      {
      temp20 = op->GetDimensionalityMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradient_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradient *op;

  int      temp20;
  op = (vtkImageGradient *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradient::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradient_SetHandleBoundaries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradient *op;

  int      temp0;
  op = (vtkImageGradient *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGradient::SetHandleBoundaries(temp0);
      }
    else
      {
      op->SetHandleBoundaries(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradient_GetHandleBoundaries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradient *op;

  int      temp20;
  op = (vtkImageGradient *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradient::GetHandleBoundaries();
      }
    else
      {
      temp20 = op->GetHandleBoundaries();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradient_HandleBoundariesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradient *op;

  op = (vtkImageGradient *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGradient::HandleBoundariesOn();
      }
    else
      {
      op->HandleBoundariesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradient_HandleBoundariesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradient *op;

  op = (vtkImageGradient *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGradient::HandleBoundariesOff();
      }
    else
      {
      op->HandleBoundariesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageGradientMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageGradient_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageGradient_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageGradient_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageGradient\nC++: vtkImageGradient *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageGradient_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageGradient\nC++: vtkImageGradient *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDimensionality",                (PyCFunction)PyvtkImageGradient_SetDimensionality, 1,
   (char*)"V.SetDimensionality(int)\nC++: void SetDimensionality (int );\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionalityMinValue",                (PyCFunction)PyvtkImageGradient_GetDimensionalityMinValue, 1,
   (char*)"V.GetDimensionalityMinValue() -> int\nC++: int GetDimensionalityMinValue ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionalityMaxValue",                (PyCFunction)PyvtkImageGradient_GetDimensionalityMaxValue, 1,
   (char*)"V.GetDimensionalityMaxValue() -> int\nC++: int GetDimensionalityMaxValue ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkImageGradient_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"SetHandleBoundaries",                (PyCFunction)PyvtkImageGradient_SetHandleBoundaries, 1,
   (char*)"V.SetHandleBoundaries(int)\nC++: void SetHandleBoundaries (int );\n\n Get/Set whether to handle boundaries.  If enabled, boundary\n pixels are treated as duplicated so that central differencing\n works for the boundary pixels.  If disabled, the output whole\n extent of the image is reduced by one pixel.\n"},
  {(char*)"GetHandleBoundaries",                (PyCFunction)PyvtkImageGradient_GetHandleBoundaries, 1,
   (char*)"V.GetHandleBoundaries() -> int\nC++: int GetHandleBoundaries ();\n\n Get/Set whether to handle boundaries.  If enabled, boundary\n pixels are treated as duplicated so that central differencing\n works for the boundary pixels.  If disabled, the output whole\n extent of the image is reduced by one pixel.\n"},
  {(char*)"HandleBoundariesOn",                (PyCFunction)PyvtkImageGradient_HandleBoundariesOn, 1,
   (char*)"V.HandleBoundariesOn()\nC++: void HandleBoundariesOn ();\n\n Get/Set whether to handle boundaries.  If enabled, boundary\n pixels are treated as duplicated so that central differencing\n works for the boundary pixels.  If disabled, the output whole\n extent of the image is reduced by one pixel.\n"},
  {(char*)"HandleBoundariesOff",                (PyCFunction)PyvtkImageGradient_HandleBoundariesOff, 1,
   (char*)"V.HandleBoundariesOff()\nC++: void HandleBoundariesOff ();\n\n Get/Set whether to handle boundaries.  If enabled, boundary\n pixels are treated as duplicated so that central differencing\n works for the boundary pixels.  If disabled, the output whole\n extent of the image is reduced by one pixel.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageGradientDoc[] = {
  (char*)"vtkImageGradient - Computes the gradient vector.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageGradient computes the gradient vector of an image.  The\n vector results are stored as scalar components. The Dimensionality\n determines whether to perform a 2d or 3d gradient. The default is\n two dimensional XY gradient.  OutputScalarType is always\n double. Gradient is computed using central differences.\n\n",
  NULL
};

static vtkObjectBase *vtkImageGradientStaticNew()
{
  return vtkImageGradient::New();
}

PyObject *PyVTKClass_vtkImageGradientNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageGradientStaticNew,
                        PyvtkImageGradientMethods,
                        (char*)"vtkImageGradient",modulename,
                        (char**)vtkImageGradientDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

