// python wrapper for vtkImageGridSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageGridSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageGridSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageGridSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageGridSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  const char    *temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  vtkImageGridSource  *temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageGridSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageGridSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetGridSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetGridSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetGridSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetGridSpacing(temp0);
      }
    else
      {
      op->SetGridSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_GetGridSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  int     *temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::GetGridSpacing();
      }
    else
      {
      temp20 = op->GetGridSpacing();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetGridOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetGridOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetGridOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetGridOrigin(temp0);
      }
    else
      {
      op->SetGridOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_GetGridOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  int     *temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::GetGridOrigin();
      }
    else
      {
      temp20 = op->GetGridOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetLineValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  double   temp0;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetLineValue(temp0);
      }
    else
      {
      op->SetLineValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_GetLineValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  double   temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::GetLineValue();
      }
    else
      {
      temp20 = op->GetLineValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetFillValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  double   temp0;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetFillValue(temp0);
      }
    else
      {
      op->SetFillValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_GetFillValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  double   temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::GetFillValue();
      }
    else
      {
      temp20 = op->GetFillValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetDataScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  int      temp0;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataScalarType(temp0);
      }
    else
      {
      op->SetDataScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetDataScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataScalarTypeToDouble();
      }
    else
      {
      op->SetDataScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetDataScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataScalarTypeToInt();
      }
    else
      {
      op->SetDataScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetDataScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataScalarTypeToShort();
      }
    else
      {
      op->SetDataScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetDataScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetDataScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetDataScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetDataScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_GetDataScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  int      temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::GetDataScalarType();
      }
    else
      {
      temp20 = op->GetDataScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_GetDataScalarTypeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  const char    *temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::GetDataScalarTypeAsString();
      }
    else
      {
      temp20 = op->GetDataScalarTypeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetDataExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetDataExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataExtent(temp0);
      }
    else
      {
      op->SetDataExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_GetDataExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  int     *temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::GetDataExtent();
      }
    else
      {
      temp20 = op->GetDataExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetDataSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetDataSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataSpacing(temp0);
      }
    else
      {
      op->SetDataSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_GetDataSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  double  *temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::GetDataSpacing();
      }
    else
      {
      temp20 = op->GetDataSpacing();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_SetDataOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetDataOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGridSource::SetDataOrigin(temp0);
      }
    else
      {
      op->SetDataOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGridSource_GetDataOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGridSource *op;

  double  *temp20;
  op = (vtkImageGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGridSource::GetDataOrigin();
      }
    else
      {
      temp20 = op->GetDataOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageGridSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageGridSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageGridSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageGridSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageGridSource\nC++: vtkImageGridSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageGridSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageGridSource\nC++: vtkImageGridSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGridSpacing",                (PyCFunction)PyvtkImageGridSource_SetGridSpacing, 1,
   (char*)"V.SetGridSpacing(int, int, int)\nC++: void SetGridSpacing (int , int , int );\nV.SetGridSpacing((int, int, int))\nC++: void SetGridSpacing (int  a[3]);\n\n Set/Get the grid spacing in pixel units.  Default (10,10,0).\n A value of zero means no grid.\n"},
  {(char*)"GetGridSpacing",                (PyCFunction)PyvtkImageGridSource_GetGridSpacing, 1,
   (char*)"V.GetGridSpacing() -> (int, int, int)\nC++: int  *GetGridSpacing ();\n\n Set/Get the grid spacing in pixel units.  Default (10,10,0).\n A value of zero means no grid.\n"},
  {(char*)"SetGridOrigin",                (PyCFunction)PyvtkImageGridSource_SetGridOrigin, 1,
   (char*)"V.SetGridOrigin(int, int, int)\nC++: void SetGridOrigin (int , int , int );\nV.SetGridOrigin((int, int, int))\nC++: void SetGridOrigin (int  a[3]);\n\n Set/Get the grid origin, in ijk integer values.  Default (0,0,0).\n"},
  {(char*)"GetGridOrigin",                (PyCFunction)PyvtkImageGridSource_GetGridOrigin, 1,
   (char*)"V.GetGridOrigin() -> (int, int, int)\nC++: int  *GetGridOrigin ();\n\n Set/Get the grid origin, in ijk integer values.  Default (0,0,0).\n"},
  {(char*)"SetLineValue",                (PyCFunction)PyvtkImageGridSource_SetLineValue, 1,
   (char*)"V.SetLineValue(float)\nC++: void SetLineValue (double );\n\n Set the grey level of the lines. Default 1.0.\n"},
  {(char*)"GetLineValue",                (PyCFunction)PyvtkImageGridSource_GetLineValue, 1,
   (char*)"V.GetLineValue() -> float\nC++: double GetLineValue ();\n\n Set the grey level of the lines. Default 1.0.\n"},
  {(char*)"SetFillValue",                (PyCFunction)PyvtkImageGridSource_SetFillValue, 1,
   (char*)"V.SetFillValue(float)\nC++: void SetFillValue (double );\n\n Set the grey level of the fill. Default 0.0.\n"},
  {(char*)"GetFillValue",                (PyCFunction)PyvtkImageGridSource_GetFillValue, 1,
   (char*)"V.GetFillValue() -> float\nC++: double GetFillValue ();\n\n Set the grey level of the fill. Default 0.0.\n"},
  {(char*)"SetDataScalarType",                (PyCFunction)PyvtkImageGridSource_SetDataScalarType, 1,
   (char*)"V.SetDataScalarType(int)\nC++: void SetDataScalarType (int );\n\n Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n"},
  {(char*)"SetDataScalarTypeToDouble",                (PyCFunction)PyvtkImageGridSource_SetDataScalarTypeToDouble, 1,
   (char*)"V.SetDataScalarTypeToDouble()\nC++: void SetDataScalarTypeToDouble ();this SetDataScalarType VTK_DOUBLE \n\n Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n"},
  {(char*)"SetDataScalarTypeToInt",                (PyCFunction)PyvtkImageGridSource_SetDataScalarTypeToInt, 1,
   (char*)"V.SetDataScalarTypeToInt()\nC++: void SetDataScalarTypeToInt ();this SetDataScalarType VTK_INT \n\n Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n"},
  {(char*)"SetDataScalarTypeToShort",                (PyCFunction)PyvtkImageGridSource_SetDataScalarTypeToShort, 1,
   (char*)"V.SetDataScalarTypeToShort()\nC++: void SetDataScalarTypeToShort ();this SetDataScalarType VTK_SHORT \n\n Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n"},
  {(char*)"SetDataScalarTypeToUnsignedShort",                (PyCFunction)PyvtkImageGridSource_SetDataScalarTypeToUnsignedShort, 1,
   (char*)"V.SetDataScalarTypeToUnsignedShort()\nC++: void SetDataScalarTypeToUnsignedShort ();this SetDataScalarType VTK_UNSIGNED_SHORT \n\n Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n"},
  {(char*)"SetDataScalarTypeToUnsignedChar",                (PyCFunction)PyvtkImageGridSource_SetDataScalarTypeToUnsignedChar, 1,
   (char*)"V.SetDataScalarTypeToUnsignedChar()\nC++: void SetDataScalarTypeToUnsignedChar ();this SetDataScalarType VTK_UNSIGNED_CHAR \n\n Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n"},
  {(char*)"GetDataScalarType",                (PyCFunction)PyvtkImageGridSource_GetDataScalarType, 1,
   (char*)"V.GetDataScalarType() -> int\nC++: int GetDataScalarType ();\n\n Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n"},
  {(char*)"GetDataScalarTypeAsString",                (PyCFunction)PyvtkImageGridSource_GetDataScalarTypeAsString, 1,
   (char*)"V.GetDataScalarTypeAsString() -> string\nC++: const char *GetDataScalarTypeAsString ();return vtkImageScalarTypeNameMacro this DataScalarType \n\n Set/Get the extent of the whole output image,\n Default: (0,255,0,255,0,0)\n"},
  {(char*)"SetDataExtent",                (PyCFunction)PyvtkImageGridSource_SetDataExtent, 1,
   (char*)"V.SetDataExtent(int, int, int, int, int, int)\nC++: void SetDataExtent (int , int , int , int , int , int );\nV.SetDataExtent((int, int, int, int, int, int))\nC++: void SetDataExtent (int  a[6]);\n\n Set/Get the extent of the whole output image,\n Default: (0,255,0,255,0,0)\n"},
  {(char*)"GetDataExtent",                (PyCFunction)PyvtkImageGridSource_GetDataExtent, 1,
   (char*)"V.GetDataExtent() -> (int, int, int, int, int, int)\nC++: int  *GetDataExtent ();\n\n Set/Get the extent of the whole output image,\n Default: (0,255,0,255,0,0)\n"},
  {(char*)"SetDataSpacing",                (PyCFunction)PyvtkImageGridSource_SetDataSpacing, 1,
   (char*)"V.SetDataSpacing(float, float, float)\nC++: void SetDataSpacing (double , double , double );\nV.SetDataSpacing((float, float, float))\nC++: void SetDataSpacing (double  a[3]);\n\n Set/Get the pixel spacing.\n"},
  {(char*)"GetDataSpacing",                (PyCFunction)PyvtkImageGridSource_GetDataSpacing, 1,
   (char*)"V.GetDataSpacing() -> (float, float, float)\nC++: double  *GetDataSpacing ();\n\n Set/Get the pixel spacing.\n"},
  {(char*)"SetDataOrigin",                (PyCFunction)PyvtkImageGridSource_SetDataOrigin, 1,
   (char*)"V.SetDataOrigin(float, float, float)\nC++: void SetDataOrigin (double , double , double );\nV.SetDataOrigin((float, float, float))\nC++: void SetDataOrigin (double  a[3]);\n\n Set/Get the origin of the data.\n"},
  {(char*)"GetDataOrigin",                (PyCFunction)PyvtkImageGridSource_GetDataOrigin, 1,
   (char*)"V.GetDataOrigin() -> (float, float, float)\nC++: double  *GetDataOrigin ();\n\n Set/Get the origin of the data.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageGridSourceDoc[] = {
  (char*)"vtkImageGridSource - Create an image of a grid.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageGridSource produces an image of a grid.  The\n default output type is double.\n\n",
  NULL
};

static vtkObjectBase *vtkImageGridSourceStaticNew()
{
  return vtkImageGridSource::New();
}

PyObject *PyVTKClass_vtkImageGridSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageGridSourceStaticNew,
                        PyvtkImageGridSourceMethods,
                        (char*)"vtkImageGridSource",modulename,
                        (char**)vtkImageGridSourceDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

