// tcl wrapper for vtkImageGridSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageGridSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageGridSourceNewCommand()
{
  vtkImageGridSource *temp = vtkImageGridSource::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageGridSourceCppCommand(vtkImageGridSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageGridSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageGridSourceCppCommand(static_cast<vtkImageGridSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageGridSourceCppCommand(vtkImageGridSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageGridSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageGridSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageGridSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageGridSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageGridSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageGridSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageGridSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGridSpacing",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetGridSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGridSpacing",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetGridSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridSpacing",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetGridSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGridOrigin",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetGridOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGridOrigin",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetGridOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridOrigin",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetGridOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLineValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLineValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLineValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFillValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFillValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFillValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFillValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetDataScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataScalarTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetDataScalarTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataScalarTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetDataScalarTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetDataScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetDataScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataScalarTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataScalarTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetDataExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetDataExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetDataExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataSpacing",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDataSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataSpacing",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDataSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDataSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDataOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDataOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDataOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageGridSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageGridSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGridSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGridSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGridSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetGridOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGridOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGridOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetLineValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineValue\n",NULL);
    Tcl_AppendResult(interp,"  SetFillValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFillValue\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetDataScalarTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  GetDataScalarType\n",NULL);
    Tcl_AppendResult(interp,"  GetDataScalarTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetDataExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDataExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataExtent\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetDataOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDataOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataOrigin\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetGridSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetGridSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetGridSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetGridOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetGridOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetGridOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetLineValue" );
    Tcl_DStringAppendElement ( &dString, "GetLineValue" );
    Tcl_DStringAppendElement ( &dString, "SetFillValue" );
    Tcl_DStringAppendElement ( &dString, "GetFillValue" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarType" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToInt" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToShort" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToUnsignedChar" );
    Tcl_DStringAppendElement ( &dString, "GetDataScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetDataScalarTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetDataExtent" );
    Tcl_DStringAppendElement ( &dString, "SetDataExtent" );
    Tcl_DStringAppendElement ( &dString, "GetDataExtent" );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetDataOrigin" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageGridSource *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridSpacing */
    if ( strcmp ( argv[2], "SetGridSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the grid spacing in pixel units.  Default (10,10,0).\n A value of zero means no grid.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridSpacing (int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetGridSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridSpacing */
    if ( strcmp ( argv[2], "SetGridSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the grid spacing in pixel units.  Default (10,10,0).\n A value of zero means no grid.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridSpacing (int  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetGridSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridSpacing */
    if ( strcmp ( argv[2], "GetGridSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the grid spacing in pixel units.  Default (10,10,0).\n A value of zero means no grid.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetGridSpacing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for GetGridSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridOrigin */
    if ( strcmp ( argv[2], "SetGridOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the grid origin, in ijk integer values.  Default (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridOrigin (int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetGridOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridOrigin */
    if ( strcmp ( argv[2], "SetGridOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the grid origin, in ijk integer values.  Default (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridOrigin (int  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetGridOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridOrigin */
    if ( strcmp ( argv[2], "GetGridOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the grid origin, in ijk integer values.  Default (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetGridOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for GetGridOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineValue */
    if ( strcmp ( argv[2], "SetLineValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineValue */
    Tcl_DStringAppendElement ( &dString, " Set the grey level of the lines. Default 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetLineValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineValue */
    if ( strcmp ( argv[2], "GetLineValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineValue */
    Tcl_DStringAppendElement ( &dString, " Set the grey level of the lines. Default 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLineValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for GetLineValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFillValue */
    if ( strcmp ( argv[2], "SetFillValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFillValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFillValue */
    Tcl_DStringAppendElement ( &dString, " Set the grey level of the fill. Default 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFillValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetFillValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFillValue */
    if ( strcmp ( argv[2], "GetFillValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFillValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFillValue */
    Tcl_DStringAppendElement ( &dString, " Set the grey level of the fill. Default 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFillValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for GetFillValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarType */
    if ( strcmp ( argv[2], "SetDataScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataScalarType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarTypeToDouble */
    if ( strcmp ( argv[2], "SetDataScalarTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataScalarTypeToDouble ();this SetDataScalarType VTK_DOUBLE " );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataScalarTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarTypeToInt */
    if ( strcmp ( argv[2], "SetDataScalarTypeToInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarTypeToInt */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataScalarTypeToInt ();this SetDataScalarType VTK_INT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataScalarTypeToInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarTypeToShort */
    if ( strcmp ( argv[2], "SetDataScalarTypeToShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarTypeToShort */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataScalarTypeToShort ();this SetDataScalarType VTK_SHORT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataScalarTypeToShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetDataScalarTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataScalarTypeToUnsignedShort ();this SetDataScalarType VTK_UNSIGNED_SHORT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataScalarTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataScalarTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetDataScalarTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataScalarTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataScalarTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataScalarTypeToUnsignedChar ();this SetDataScalarType VTK_UNSIGNED_CHAR " );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataScalarTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataScalarType */
    if ( strcmp ( argv[2], "GetDataScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataScalarType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data type of pixels in the imported data.\n As a convenience, the OutputScalarType is set to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataScalarType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for GetDataScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataScalarTypeAsString */
    if ( strcmp ( argv[2], "GetDataScalarTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataScalarTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataScalarTypeAsString */
    Tcl_DStringAppendElement ( &dString, " Set/Get the extent of the whole output image,\n Default: (0,255,0,255,0,0)\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDataScalarTypeAsString ();return vtkImageScalarTypeNameMacro this DataScalarType " );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for GetDataScalarTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataExtent */
    if ( strcmp ( argv[2], "SetDataExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the extent of the whole output image,\n Default: (0,255,0,255,0,0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataExtent (int , int , int , int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataExtent */
    if ( strcmp ( argv[2], "SetDataExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the extent of the whole output image,\n Default: (0,255,0,255,0,0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataExtent (int  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataExtent */
    if ( strcmp ( argv[2], "GetDataExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the extent of the whole output image,\n Default: (0,255,0,255,0,0)\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetDataExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for GetDataExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSpacing */
    if ( strcmp ( argv[2], "SetDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel spacing.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSpacing (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSpacing */
    if ( strcmp ( argv[2], "SetDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel spacing.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSpacing (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSpacing */
    if ( strcmp ( argv[2], "GetDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel spacing.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDataSpacing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for GetDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataOrigin */
    if ( strcmp ( argv[2], "SetDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataOrigin (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataOrigin */
    if ( strcmp ( argv[2], "SetDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataOrigin (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for SetDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataOrigin */
    if ( strcmp ( argv[2], "GetDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDataOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageGridSource" );
    /* Closing for GetDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
