// python wrapper for vtkImageHSIToRGB object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageHSIToRGB.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageHSIToRGBNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageHSIToRGBNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageHSIToRGB_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageHSIToRGB *op;

  const char    *temp20;
  op = (vtkImageHSIToRGB *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageHSIToRGB::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageHSIToRGB_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageHSIToRGB *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageHSIToRGB *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageHSIToRGB::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageHSIToRGB_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageHSIToRGB *op;

  vtkImageHSIToRGB  *temp20;
  op = (vtkImageHSIToRGB *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageHSIToRGB::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageHSIToRGB_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageHSIToRGB  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageHSIToRGB::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageHSIToRGB_SetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageHSIToRGB *op;

  double   temp0;
  op = (vtkImageHSIToRGB *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageHSIToRGB::SetMaximum(temp0);
      }
    else
      {
      op->SetMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageHSIToRGB_GetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageHSIToRGB *op;

  double   temp20;
  op = (vtkImageHSIToRGB *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageHSIToRGB::GetMaximum();
      }
    else
      {
      temp20 = op->GetMaximum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageHSIToRGBMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageHSIToRGB_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageHSIToRGB_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageHSIToRGB_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageHSIToRGB\nC++: vtkImageHSIToRGB *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageHSIToRGB_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageHSIToRGB\nC++: vtkImageHSIToRGB *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMaximum",                (PyCFunction)PyvtkImageHSIToRGB_SetMaximum, 1,
   (char*)"V.SetMaximum(float)\nC++: void SetMaximum (double );\n\n Hue is an angle. Maximum specifies when it maps back to 0.\n HueMaximum defaults to 255 instead of 2PI, because unsigned char\n is expected as input.\n Maximum also specifies the maximum of the Saturation, and R, G, B.\n"},
  {(char*)"GetMaximum",                (PyCFunction)PyvtkImageHSIToRGB_GetMaximum, 1,
   (char*)"V.GetMaximum() -> float\nC++: double GetMaximum ();\n\n Hue is an angle. Maximum specifies when it maps back to 0.\n HueMaximum defaults to 255 instead of 2PI, because unsigned char\n is expected as input.\n Maximum also specifies the maximum of the Saturation, and R, G, B.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageHSIToRGBDoc[] = {
  (char*)"vtkImageHSIToRGB - Converts HSI components to RGB.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" For each pixel with hue, saturation and intensity components this filter\n outputs the color coded as red, green, blue.  Output type must be the same\n as input type.\n\n",
  "See Also:\n\n vtkImageRGBToHSI\n\n",
  NULL
};

static vtkObjectBase *vtkImageHSIToRGBStaticNew()
{
  return vtkImageHSIToRGB::New();
}

PyObject *PyVTKClass_vtkImageHSIToRGBNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageHSIToRGBStaticNew,
                        PyvtkImageHSIToRGBMethods,
                        (char*)"vtkImageHSIToRGB",modulename,
                        (char**)vtkImageHSIToRGBDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

