// python wrapper for vtkImageIdealHighPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageIdealHighPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageIdealHighPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageIdealHighPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageIdealHighPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  const char    *temp20;
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealHighPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealHighPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealHighPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealHighPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  vtkImageIdealHighPass  *temp20;
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealHighPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealHighPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageIdealHighPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageIdealHighPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageIdealHighPass_SetCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealHighPass::SetCutOff(temp0,temp1,temp2);
      }
    else
      {
      op->SetCutOff(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealHighPass::SetCutOff(temp0);
      }
    else
      {
      op->SetCutOff(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  double   temp0;
  PyErr_Clear();
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealHighPass::SetCutOff(temp0);
      }
    else
      {
      op->SetCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealHighPass_SetXCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  double   temp0;
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealHighPass::SetXCutOff(temp0);
      }
    else
      {
      op->SetXCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealHighPass_SetYCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  double   temp0;
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealHighPass::SetYCutOff(temp0);
      }
    else
      {
      op->SetYCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealHighPass_SetZCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  double   temp0;
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealHighPass::SetZCutOff(temp0);
      }
    else
      {
      op->SetZCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealHighPass_GetCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  double  *temp20;
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealHighPass::GetCutOff();
      }
    else
      {
      temp20 = op->GetCutOff();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealHighPass_GetXCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  double   temp20;
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealHighPass::GetXCutOff();
      }
    else
      {
      temp20 = op->GetXCutOff();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealHighPass_GetYCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  double   temp20;
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealHighPass::GetYCutOff();
      }
    else
      {
      temp20 = op->GetYCutOff();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealHighPass_GetZCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealHighPass *op;

  double   temp20;
  op = (vtkImageIdealHighPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealHighPass::GetZCutOff();
      }
    else
      {
      temp20 = op->GetZCutOff();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageIdealHighPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageIdealHighPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageIdealHighPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageIdealHighPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageIdealHighPass\nC++: vtkImageIdealHighPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageIdealHighPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageIdealHighPass\nC++: vtkImageIdealHighPass *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCutOff",                (PyCFunction)PyvtkImageIdealHighPass_SetCutOff, 1,
   (char*)"V.SetCutOff(float, float, float)\nC++: void SetCutOff (double , double , double );\nV.SetCutOff((float, float, float))\nC++: void SetCutOff (double  a[3]);\nV.SetCutOff(float)\nC++: void SetCutOff (double v);this SetCutOff v v v \n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"SetXCutOff",                (PyCFunction)PyvtkImageIdealHighPass_SetXCutOff, 1,
   (char*)"V.SetXCutOff(float)\nC++: void SetXCutOff (double v);\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"SetYCutOff",                (PyCFunction)PyvtkImageIdealHighPass_SetYCutOff, 1,
   (char*)"V.SetYCutOff(float)\nC++: void SetYCutOff (double v);\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"SetZCutOff",                (PyCFunction)PyvtkImageIdealHighPass_SetZCutOff, 1,
   (char*)"V.SetZCutOff(float)\nC++: void SetZCutOff (double v);\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetCutOff",                (PyCFunction)PyvtkImageIdealHighPass_GetCutOff, 1,
   (char*)"V.GetCutOff() -> (float, float, float)\nC++: double  *GetCutOff ();\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetXCutOff",                (PyCFunction)PyvtkImageIdealHighPass_GetXCutOff, 1,
   (char*)"V.GetXCutOff() -> float\nC++: double GetXCutOff ();return this CutOff \n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetYCutOff",                (PyCFunction)PyvtkImageIdealHighPass_GetYCutOff, 1,
   (char*)"V.GetYCutOff() -> float\nC++: double GetYCutOff ();return this CutOff \n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetZCutOff",                (PyCFunction)PyvtkImageIdealHighPass_GetZCutOff, 1,
   (char*)"V.GetZCutOff() -> float\nC++: double GetZCutOff ();return this CutOff \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageIdealHighPassDoc[] = {
  (char*)"vtkImageIdealHighPass - Simple frequency domain band pass.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" This filter only works on an image after it has been converted to\n frequency domain by a vtkImageFFT filter.  A vtkImageRFFT filter\n can be used to convert the output back into the spatial domain.\n vtkImageIdealHighPass just sets a portion of the image to zero.  The sharp\n cutoff in the frequence domain produces ringing in the spatial domain.\n Input and Output must be doubles.  Dimensionality is ",
  (char*)"set when the axes are\n set.  Defaults to 2D on X and Y axes.\n\n",
  "See Also:\n\n vtkImageButterworthHighPass vtkImageIdealLowPass vtkImageFFT vtkImageRFFT\n\n",
  NULL
};

static vtkObjectBase *vtkImageIdealHighPassStaticNew()
{
  return vtkImageIdealHighPass::New();
}

PyObject *PyVTKClass_vtkImageIdealHighPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageIdealHighPassStaticNew,
                        PyvtkImageIdealHighPassMethods,
                        (char*)"vtkImageIdealHighPass",modulename,
                        (char**)vtkImageIdealHighPassDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

