// python wrapper for vtkImageImportExecutive object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageImportExecutive.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageImportExecutiveNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageImportExecutiveNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStreamingDemandDrivenPipelineNew(char *); }

static PyObject *PyvtkImageImportExecutive_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImportExecutive *op;

  const char    *temp20;
  op = (vtkImageImportExecutive *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImportExecutive::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImportExecutive_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImportExecutive *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageImportExecutive *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImportExecutive::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImportExecutive_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImportExecutive *op;

  vtkImageImportExecutive  *temp20;
  op = (vtkImageImportExecutive *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImportExecutive::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImportExecutive_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageImportExecutive  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageImportExecutive::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageImportExecutiveMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageImportExecutive_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageImportExecutive_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageImportExecutive_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageImportExecutive\nC++: vtkImageImportExecutive *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageImportExecutive_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageImportExecutive\nC++: vtkImageImportExecutive *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageImportExecutiveDoc[] = {
  (char*)"vtkImageImportExecutive -\n\n",
  "Super Class:\n\n vtkStreamingDemandDrivenPipeline\n\n",
  (char*)" vtkImageImportExecutive\n\n",
  NULL
};

static vtkObjectBase *vtkImageImportExecutiveStaticNew()
{
  return vtkImageImportExecutive::New();
}

PyObject *PyVTKClass_vtkImageImportExecutiveNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageImportExecutiveStaticNew,
                        PyvtkImageImportExecutiveMethods,
                        (char*)"vtkImageImportExecutive",modulename,
                        (char**)vtkImageImportExecutiveDoc,
                        PyVTKClass_vtkStreamingDemandDrivenPipelineNew(modulename));
}

