// tcl wrapper for vtkImageLabelAverage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageLabelAverage.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageLabelAverageNewCommand()
{
  vtkImageLabelAverage *temp = vtkImageLabelAverage::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageLabelAverageCppCommand(vtkImageLabelAverage *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageLabelAverageCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageLabelAverageCppCommand(static_cast<vtkImageLabelAverage *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageLabelAverageCppCommand(vtkImageLabelAverage *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageLabelAverage",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageLabelAverage  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageLabelAverage");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageLabelAverage  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageLabelAverage");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageLabelAverage  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageLabelAverage");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAverage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAverage(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAverageArray",argv[1]))&&(argc == 2))
    {
    vtkDoubleArray  *temp20;
    temp20 = (op)->GetAverageArray();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDoubleArray");
    return TCL_OK;
    }
  if ((!strcmp("GetAverageInsideLabels",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAverageInsideLabels();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAverageOutsideLabels",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAverageOutsideLabels();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVoxelsInsideLabels",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetVoxelsInsideLabels();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVoxelsOutsideLabels",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetVoxelsOutsideLabels();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInsideLabelsStdDev",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInsideLabelsStdDev();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutsideLabelsStdDev",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOutsideLabelsStdDev();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBackgroundLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBackgroundLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBackgroundLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNonZeroVoxels",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNonZeroVoxels();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAverage",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetAverage(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVoxelsInsideLabels",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetVoxelsInsideLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVoxelsOutsideLabels",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetVoxelsOutsideLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInsideLabelsStdDev",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInsideLabelsStdDev(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutsideLabelsStdDev",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOutsideLabelsStdDev(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAverageInsideLabels",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAverageInsideLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAverageOutsideLabels",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAverageOutsideLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNonZeroVoxels",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetNonZeroVoxels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageLabelAverageCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageLabelAverage:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabels\n",NULL);
    Tcl_AppendResult(interp,"  GetAverage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAverageArray\n",NULL);
    Tcl_AppendResult(interp,"  GetAverageInsideLabels\n",NULL);
    Tcl_AppendResult(interp,"  GetAverageOutsideLabels\n",NULL);
    Tcl_AppendResult(interp,"  GetVoxelsInsideLabels\n",NULL);
    Tcl_AppendResult(interp,"  GetVoxelsOutsideLabels\n",NULL);
    Tcl_AppendResult(interp,"  GetInsideLabelsStdDev\n",NULL);
    Tcl_AppendResult(interp,"  GetOutsideLabelsStdDev\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNonZeroVoxels\n",NULL);
    Tcl_AppendResult(interp,"  SetAverage\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVoxelsInsideLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVoxelsOutsideLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInsideLabelsStdDev\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOutsideLabelsStdDev\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAverageInsideLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAverageOutsideLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNonZeroVoxels\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "GetAverage" );
    Tcl_DStringAppendElement ( &dString, "GetAverageArray" );
    Tcl_DStringAppendElement ( &dString, "GetAverageInsideLabels" );
    Tcl_DStringAppendElement ( &dString, "GetAverageOutsideLabels" );
    Tcl_DStringAppendElement ( &dString, "GetVoxelsInsideLabels" );
    Tcl_DStringAppendElement ( &dString, "GetVoxelsOutsideLabels" );
    Tcl_DStringAppendElement ( &dString, "GetInsideLabelsStdDev" );
    Tcl_DStringAppendElement ( &dString, "GetOutsideLabelsStdDev" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundLevel" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundLevel" );
    Tcl_DStringAppendElement ( &dString, "GetNonZeroVoxels" );
    Tcl_DStringAppendElement ( &dString, "SetAverage" );
    Tcl_DStringAppendElement ( &dString, "SetVoxelsInsideLabels" );
    Tcl_DStringAppendElement ( &dString, "SetVoxelsOutsideLabels" );
    Tcl_DStringAppendElement ( &dString, "SetInsideLabelsStdDev" );
    Tcl_DStringAppendElement ( &dString, "SetOutsideLabelsStdDev" );
    Tcl_DStringAppendElement ( &dString, "SetAverageInsideLabels" );
    Tcl_DStringAppendElement ( &dString, "SetAverageOutsideLabels" );
    Tcl_DStringAppendElement ( &dString, "SetNonZeroVoxels" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object to extract all of the input data.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageLabelAverage *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabels */
    if ( strcmp ( argv[2], "GetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabels ();return NumberOfItems " );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAverage */
    if ( strcmp ( argv[2], "GetAverage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAverage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAverage */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetAverage (int label);return AverageArray GetValue label " );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetAverage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAverageArray */
    if ( strcmp ( argv[2], "GetAverageArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAverageArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAverageArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray *GetAverageArray ();return AverageArray " );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetAverageArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAverageInsideLabels */
    if ( strcmp ( argv[2], "GetAverageInsideLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAverageInsideLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAverageInsideLabels */
    Tcl_DStringAppendElement ( &dString, " Get the total average of non-zero voxels inside and outside\n the labels.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAverageInsideLabels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetAverageInsideLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAverageOutsideLabels */
    if ( strcmp ( argv[2], "GetAverageOutsideLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAverageOutsideLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAverageOutsideLabels */
    Tcl_DStringAppendElement ( &dString, " Get the total average of non-zero voxels inside and outside\n the labels.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAverageOutsideLabels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetAverageOutsideLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVoxelsInsideLabels */
    if ( strcmp ( argv[2], "GetVoxelsInsideLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVoxelsInsideLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVoxelsInsideLabels */
    Tcl_DStringAppendElement ( &dString, " Get the total voxels inside and outside the labels.\n" );
    Tcl_DStringAppendElement ( &dString, "int unsigned GetVoxelsInsideLabels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetVoxelsInsideLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVoxelsOutsideLabels */
    if ( strcmp ( argv[2], "GetVoxelsOutsideLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVoxelsOutsideLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVoxelsOutsideLabels */
    Tcl_DStringAppendElement ( &dString, " Get the total voxels inside and outside the labels.\n" );
    Tcl_DStringAppendElement ( &dString, "int unsigned GetVoxelsOutsideLabels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetVoxelsOutsideLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInsideLabelsStdDev */
    if ( strcmp ( argv[2], "GetInsideLabelsStdDev" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInsideLabelsStdDev" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInsideLabelsStdDev */
    Tcl_DStringAppendElement ( &dString, " Get the standard deviation of average inside / outside labels\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInsideLabelsStdDev ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetInsideLabelsStdDev */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutsideLabelsStdDev */
    if ( strcmp ( argv[2], "GetOutsideLabelsStdDev" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutsideLabelsStdDev" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutsideLabelsStdDev */
    Tcl_DStringAppendElement ( &dString, " Get the standard deviation of average inside / outside labels\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOutsideLabelsStdDev ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetOutsideLabelsStdDev */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundLevel */
    if ( strcmp ( argv[2], "GetBackgroundLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundLevel */
    Tcl_DStringAppendElement ( &dString, " Set / Get the background level (number of objects in the label image to\n ignore in calculating the inside and outside totals)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBackgroundLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetBackgroundLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundLevel */
    if ( strcmp ( argv[2], "SetBackgroundLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundLevel */
    Tcl_DStringAppendElement ( &dString, " Set / Get the background level (number of objects in the label image to\n ignore in calculating the inside and outside totals)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundLevel (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for SetBackgroundLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNonZeroVoxels */
    if ( strcmp ( argv[2], "GetNonZeroVoxels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNonZeroVoxels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNonZeroVoxels */
    Tcl_DStringAppendElement ( &dString, " Get the number of non-zero voxels\n" );
    Tcl_DStringAppendElement ( &dString, "int unsigned GetNonZeroVoxels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for GetNonZeroVoxels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAverage */
    if ( strcmp ( argv[2], "SetAverage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAverage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAverage */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAverage (int label, int value);AverageArray SetValue label value " );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for SetAverage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVoxelsInsideLabels */
    if ( strcmp ( argv[2], "SetVoxelsInsideLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVoxelsInsideLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVoxelsInsideLabels */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetVoxelsInsideLabels (unsigned int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for SetVoxelsInsideLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVoxelsOutsideLabels */
    if ( strcmp ( argv[2], "SetVoxelsOutsideLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVoxelsOutsideLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVoxelsOutsideLabels */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetVoxelsOutsideLabels (unsigned int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for SetVoxelsOutsideLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInsideLabelsStdDev */
    if ( strcmp ( argv[2], "SetInsideLabelsStdDev" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInsideLabelsStdDev" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInsideLabelsStdDev */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInsideLabelsStdDev (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for SetInsideLabelsStdDev */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutsideLabelsStdDev */
    if ( strcmp ( argv[2], "SetOutsideLabelsStdDev" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutsideLabelsStdDev" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutsideLabelsStdDev */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOutsideLabelsStdDev (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for SetOutsideLabelsStdDev */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAverageInsideLabels */
    if ( strcmp ( argv[2], "SetAverageInsideLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAverageInsideLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAverageInsideLabels */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAverageInsideLabels (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for SetAverageInsideLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAverageOutsideLabels */
    if ( strcmp ( argv[2], "SetAverageOutsideLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAverageOutsideLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAverageOutsideLabels */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAverageOutsideLabels (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for SetAverageOutsideLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNonZeroVoxels */
    if ( strcmp ( argv[2], "SetNonZeroVoxels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNonZeroVoxels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNonZeroVoxels */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNonZeroVoxels (unsigned int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageLabelAverage" );
    /* Closing for SetNonZeroVoxels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
