// python wrapper for vtkImageLaplacian object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageLaplacian.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageLaplacianNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageLaplacianNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageLaplacian_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLaplacian *op;

  const char    *temp20;
  op = (vtkImageLaplacian *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLaplacian::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLaplacian_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLaplacian *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageLaplacian *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLaplacian::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLaplacian_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLaplacian *op;

  vtkImageLaplacian  *temp20;
  op = (vtkImageLaplacian *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLaplacian::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLaplacian_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageLaplacian  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageLaplacian::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageLaplacian_SetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLaplacian *op;

  int      temp0;
  op = (vtkImageLaplacian *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLaplacian::SetDimensionality(temp0);
      }
    else
      {
      op->SetDimensionality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLaplacian_GetDimensionalityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLaplacian *op;

  int      temp20;
  op = (vtkImageLaplacian *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLaplacian::GetDimensionalityMinValue();
      }
    else
      {
      temp20 = op->GetDimensionalityMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLaplacian_GetDimensionalityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLaplacian *op;

  int      temp20;
  op = (vtkImageLaplacian *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLaplacian::GetDimensionalityMaxValue();
      }
    else
      {
      temp20 = op->GetDimensionalityMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLaplacian_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLaplacian *op;

  int      temp20;
  op = (vtkImageLaplacian *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLaplacian::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageLaplacianMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageLaplacian_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageLaplacian_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageLaplacian_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageLaplacian\nC++: vtkImageLaplacian *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageLaplacian_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageLaplacian\nC++: vtkImageLaplacian *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDimensionality",                (PyCFunction)PyvtkImageLaplacian_SetDimensionality, 1,
   (char*)"V.SetDimensionality(int)\nC++: void SetDimensionality (int );\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionalityMinValue",                (PyCFunction)PyvtkImageLaplacian_GetDimensionalityMinValue, 1,
   (char*)"V.GetDimensionalityMinValue() -> int\nC++: int GetDimensionalityMinValue ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionalityMaxValue",                (PyCFunction)PyvtkImageLaplacian_GetDimensionalityMaxValue, 1,
   (char*)"V.GetDimensionalityMaxValue() -> int\nC++: int GetDimensionalityMaxValue ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkImageLaplacian_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageLaplacianDoc[] = {
  (char*)"vtkImageLaplacian - Computes divergence of gradient.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageLaplacian computes the Laplacian (like a second derivative)\n of a scalar image.  The operation is the same as taking the\n divergence after a gradient.  Boundaries are handled, so the input\n is the same as the output.\n Dimensionality determines how the input regions are interpreted.\n (images, or volumes). The Dimensionality defaults to two.\n\n",
  NULL
};

static vtkObjectBase *vtkImageLaplacianStaticNew()
{
  return vtkImageLaplacian::New();
}

PyObject *PyVTKClass_vtkImageLaplacianNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageLaplacianStaticNew,
                        PyvtkImageLaplacianMethods,
                        (char*)"vtkImageLaplacian",modulename,
                        (char**)vtkImageLaplacianDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

