// python wrapper for vtkImageLogic object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageLogic.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageLogicNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageLogicNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageLogic_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  const char    *temp20;
  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLogic::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLogic::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  vtkImageLogic  *temp20;
  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLogic::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageLogic  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageLogic::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageLogic_SetOperation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  int      temp0;
  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLogic::SetOperation(temp0);
      }
    else
      {
      op->SetOperation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_GetOperation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  int      temp20;
  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLogic::GetOperation();
      }
    else
      {
      temp20 = op->GetOperation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_SetOperationToAnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLogic::SetOperationToAnd();
      }
    else
      {
      op->SetOperationToAnd();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_SetOperationToOr(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLogic::SetOperationToOr();
      }
    else
      {
      op->SetOperationToOr();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_SetOperationToXor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLogic::SetOperationToXor();
      }
    else
      {
      op->SetOperationToXor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_SetOperationToNand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLogic::SetOperationToNand();
      }
    else
      {
      op->SetOperationToNand();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_SetOperationToNor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLogic::SetOperationToNor();
      }
    else
      {
      op->SetOperationToNor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_SetOperationToNot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLogic::SetOperationToNot();
      }
    else
      {
      op->SetOperationToNot();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_SetOutputTrueValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  double   temp0;
  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLogic::SetOutputTrueValue(temp0);
      }
    else
      {
      op->SetOutputTrueValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_GetOutputTrueValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  double   temp20;
  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLogic::GetOutputTrueValue();
      }
    else
      {
      temp20 = op->GetOutputTrueValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogic_SetInput1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLogic::SetInput1(temp0);
      }
    else
      {
      op->SetInput1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkImageLogic_SetInput2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogic *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkImageLogic *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLogic::SetInput2(temp0);
      }
    else
      {
      op->SetInput2(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}

static PyMethodDef PyvtkImageLogicMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageLogic_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageLogic_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageLogic_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageLogic\nC++: vtkImageLogic *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageLogic_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageLogic\nC++: vtkImageLogic *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOperation",                (PyCFunction)PyvtkImageLogic_SetOperation, 1,
   (char*)"V.SetOperation(int)\nC++: void SetOperation (int );\n\n Set/Get the Operation to perform.\n"},
  {(char*)"GetOperation",                (PyCFunction)PyvtkImageLogic_GetOperation, 1,
   (char*)"V.GetOperation() -> int\nC++: int GetOperation ();\n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToAnd",                (PyCFunction)PyvtkImageLogic_SetOperationToAnd, 1,
   (char*)"V.SetOperationToAnd()\nC++: void SetOperationToAnd ();this SetOperation VTK_AND \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToOr",                (PyCFunction)PyvtkImageLogic_SetOperationToOr, 1,
   (char*)"V.SetOperationToOr()\nC++: void SetOperationToOr ();this SetOperation VTK_OR \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToXor",                (PyCFunction)PyvtkImageLogic_SetOperationToXor, 1,
   (char*)"V.SetOperationToXor()\nC++: void SetOperationToXor ();this SetOperation VTK_XOR \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToNand",                (PyCFunction)PyvtkImageLogic_SetOperationToNand, 1,
   (char*)"V.SetOperationToNand()\nC++: void SetOperationToNand ();this SetOperation VTK_NAND \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToNor",                (PyCFunction)PyvtkImageLogic_SetOperationToNor, 1,
   (char*)"V.SetOperationToNor()\nC++: void SetOperationToNor ();this SetOperation VTK_NOR \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToNot",                (PyCFunction)PyvtkImageLogic_SetOperationToNot, 1,
   (char*)"V.SetOperationToNot()\nC++: void SetOperationToNot ();this SetOperation VTK_NOT \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOutputTrueValue",                (PyCFunction)PyvtkImageLogic_SetOutputTrueValue, 1,
   (char*)"V.SetOutputTrueValue(float)\nC++: void SetOutputTrueValue (double );\n\n Set the value to use for true in the output.\n"},
  {(char*)"GetOutputTrueValue",                (PyCFunction)PyvtkImageLogic_GetOutputTrueValue, 1,
   (char*)"V.GetOutputTrueValue() -> float\nC++: double GetOutputTrueValue ();\n\n Set the value to use for true in the output.\n"},
  {(char*)"SetInput1",                (PyCFunction)PyvtkImageLogic_SetInput1, 1,
   (char*)"V.SetInput1(vtkDataObject)\nC++: virtual void SetInput1 (vtkDataObject *input);this SetInput input \n\n Set the Input1 of this filter. \n"},
  {(char*)"SetInput2",                (PyCFunction)PyvtkImageLogic_SetInput2, 1,
   (char*)"V.SetInput2(vtkDataObject)\nC++: virtual void SetInput2 (vtkDataObject *input);this SetInput input \n\n Set the Input2 of this filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageLogicDoc[] = {
  (char*)"vtkImageLogic - And, or, xor, nand, nor, not.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageLogic implements basic logic operations.\n SetOperation is used to select the filter's behavior.\n The filter can take two or one input. Inputs must have the same type.\n\n",
  NULL
};

static vtkObjectBase *vtkImageLogicStaticNew()
{
  return vtkImageLogic::New();
}

PyObject *PyVTKClass_vtkImageLogicNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageLogicStaticNew,
                        PyvtkImageLogicMethods,
                        (char*)"vtkImageLogic",modulename,
                        (char**)vtkImageLogicDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

