// python wrapper for vtkImageMagnify object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageMagnify.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMagnifyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMagnifyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageMagnify_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnify *op;

  const char    *temp20;
  op = (vtkImageMagnify *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMagnify::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMagnify_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnify *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageMagnify *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMagnify::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMagnify_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnify *op;

  vtkImageMagnify  *temp20;
  op = (vtkImageMagnify *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMagnify::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMagnify_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMagnify  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMagnify::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageMagnify_SetMagnificationFactors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnify *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkImageMagnify *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMagnify::SetMagnificationFactors(temp0,temp1,temp2);
      }
    else
      {
      op->SetMagnificationFactors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageMagnify *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkImageMagnify *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMagnify::SetMagnificationFactors(temp0);
      }
    else
      {
      op->SetMagnificationFactors(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMagnify_GetMagnificationFactors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnify *op;

  int     *temp20;
  op = (vtkImageMagnify *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMagnify::GetMagnificationFactors();
      }
    else
      {
      temp20 = op->GetMagnificationFactors();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMagnify_SetInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnify *op;

  int      temp0;
  op = (vtkImageMagnify *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMagnify::SetInterpolate(temp0);
      }
    else
      {
      op->SetInterpolate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMagnify_GetInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnify *op;

  int      temp20;
  op = (vtkImageMagnify *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMagnify::GetInterpolate();
      }
    else
      {
      temp20 = op->GetInterpolate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMagnify_InterpolateOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnify *op;

  op = (vtkImageMagnify *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMagnify::InterpolateOn();
      }
    else
      {
      op->InterpolateOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMagnify_InterpolateOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnify *op;

  op = (vtkImageMagnify *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMagnify::InterpolateOff();
      }
    else
      {
      op->InterpolateOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageMagnifyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMagnify_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMagnify_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMagnify_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMagnify\nC++: vtkImageMagnify *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMagnify_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMagnify\nC++: vtkImageMagnify *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMagnificationFactors",                (PyCFunction)PyvtkImageMagnify_SetMagnificationFactors, 1,
   (char*)"V.SetMagnificationFactors(int, int, int)\nC++: void SetMagnificationFactors (int , int , int );\nV.SetMagnificationFactors((int, int, int))\nC++: void SetMagnificationFactors (int  a[3]);\n\n Set/Get the integer magnification factors in the i-j-k directions.\n Initially, factors are set to 1 in all directions.\n"},
  {(char*)"GetMagnificationFactors",                (PyCFunction)PyvtkImageMagnify_GetMagnificationFactors, 1,
   (char*)"V.GetMagnificationFactors() -> (int, int, int)\nC++: int  *GetMagnificationFactors ();\n\n Set/Get the integer magnification factors in the i-j-k directions.\n Initially, factors are set to 1 in all directions.\n"},
  {(char*)"SetInterpolate",                (PyCFunction)PyvtkImageMagnify_SetInterpolate, 1,
   (char*)"V.SetInterpolate(int)\nC++: void SetInterpolate (int );\n\n Turn interpolation on and off (pixel replication is used when off).\n Initially, interpolation is off.\n"},
  {(char*)"GetInterpolate",                (PyCFunction)PyvtkImageMagnify_GetInterpolate, 1,
   (char*)"V.GetInterpolate() -> int\nC++: int GetInterpolate ();\n\n Turn interpolation on and off (pixel replication is used when off).\n Initially, interpolation is off.\n"},
  {(char*)"InterpolateOn",                (PyCFunction)PyvtkImageMagnify_InterpolateOn, 1,
   (char*)"V.InterpolateOn()\nC++: void InterpolateOn ();\n\n Turn interpolation on and off (pixel replication is used when off).\n Initially, interpolation is off.\n"},
  {(char*)"InterpolateOff",                (PyCFunction)PyvtkImageMagnify_InterpolateOff, 1,
   (char*)"V.InterpolateOff()\nC++: void InterpolateOff ();\n\n Turn interpolation on and off (pixel replication is used when off).\n Initially, interpolation is off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMagnifyDoc[] = {
  (char*)"vtkImageMagnify - magnify an image by an integer value\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageMagnify maps each pixel of the input onto a nxmx... region\n of the output.  Location (0,0,...) remains in the same place. The\n magnification occurs via pixel replication, or if Interpolate is on,\n by bilinear interpolation. Initially, interpolation is off and magnification\n factors are set to 1 in all directions.\n\n",
  NULL
};

static vtkObjectBase *vtkImageMagnifyStaticNew()
{
  return vtkImageMagnify::New();
}

PyObject *PyVTKClass_vtkImageMagnifyNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMagnifyStaticNew,
                        PyvtkImageMagnifyMethods,
                        (char*)"vtkImageMagnify",modulename,
                        (char**)vtkImageMagnifyDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

