// python wrapper for vtkImageMandelbrotSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageMandelbrotSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMandelbrotSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMandelbrotSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageMandelbrotSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  const char    *temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  vtkImageMandelbrotSource  *temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMandelbrotSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMandelbrotSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int    temp0[6];
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetWholeExtent(temp0);
      }
    else
      {
      op->SetWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int     *temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetWholeExtent();
      }
    else
      {
      temp20 = op->GetWholeExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_SetConstantSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int      temp0;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetConstantSize(temp0);
      }
    else
      {
      op->SetConstantSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetConstantSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int      temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetConstantSize();
      }
    else
      {
      temp20 = op->GetConstantSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_ConstantSizeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::ConstantSizeOn();
      }
    else
      {
      op->ConstantSizeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_ConstantSizeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::ConstantSizeOff();
      }
    else
      {
      op->ConstantSizeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_SetProjectionAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetProjectionAxes(temp0,temp1,temp2);
      }
    else
      {
      op->SetProjectionAxes(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetProjectionAxes(temp0);
      }
    else
      {
      op->SetProjectionAxes(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetProjectionAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int     *temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetProjectionAxes();
      }
    else
      {
      temp20 = op->GetProjectionAxes();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_SetOriginCX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetOriginCX(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetOriginCX(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetOriginCX(temp0);
      }
    else
      {
      op->SetOriginCX(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetOriginCX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  double  *temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetOriginCX();
      }
    else
      {
      temp20 = op->GetOriginCX();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_SetSampleCX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetSampleCX(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetSampleCX(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetSampleCX(temp0);
      }
    else
      {
      op->SetSampleCX(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetSampleCX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  double  *temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetSampleCX();
      }
    else
      {
      temp20 = op->GetSampleCX();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_SetSizeCX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetSizeCX(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetSizeCX(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetSizeCX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  double  *temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetSizeCX();
      }
    else
      {
      temp20 = op->GetSizeCX();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::GetSizeCX(temp0);
      }
    else
      {
      op->GetSizeCX(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_SetMaximumNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  unsigned short    temp0;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"h", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetMaximumNumberOfIterations(temp0);
      }
    else
      {
      op->SetMaximumNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetMaximumNumberOfIterationsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  unsigned short    temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetMaximumNumberOfIterationsMinValue();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfIterationsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetMaximumNumberOfIterationsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  unsigned short    temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetMaximumNumberOfIterationsMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfIterationsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetMaximumNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  unsigned short    temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetMaximumNumberOfIterations();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_Zoom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  double   temp0;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::Zoom(temp0);
      }
    else
      {
      op->Zoom(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_Pan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::Pan(temp0,temp1,temp2);
      }
    else
      {
      op->Pan(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_CopyOriginAndSample(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  vtkImageMandelbrotSource  *temp0;
  PyObject *tempH0;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageMandelbrotSource *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageMandelbrotSource");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::CopyOriginAndSample(temp0);
      }
    else
      {
      op->CopyOriginAndSample(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_SetSubsampleRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int      temp0;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMandelbrotSource::SetSubsampleRate(temp0);
      }
    else
      {
      op->SetSubsampleRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetSubsampleRateMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int      temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetSubsampleRateMinValue();
      }
    else
      {
      temp20 = op->GetSubsampleRateMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetSubsampleRateMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int      temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetSubsampleRateMaxValue();
      }
    else
      {
      temp20 = op->GetSubsampleRateMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMandelbrotSource_GetSubsampleRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMandelbrotSource *op;

  int      temp20;
  op = (vtkImageMandelbrotSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMandelbrotSource::GetSubsampleRate();
      }
    else
      {
      temp20 = op->GetSubsampleRate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageMandelbrotSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMandelbrotSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMandelbrotSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMandelbrotSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMandelbrotSource\nC++: vtkImageMandelbrotSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMandelbrotSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMandelbrotSource\nC++: vtkImageMandelbrotSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkImageMandelbrotSource_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent((int, int, int, int, int, int))\nC++: void SetWholeExtent (int extent[6]);\nV.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ);\n\n Set/Get the extent of the whole output Volume.\n"},
  {(char*)"GetWholeExtent",                (PyCFunction)PyvtkImageMandelbrotSource_GetWholeExtent, 1,
   (char*)"V.GetWholeExtent() -> (int, int, int, int, int, int)\nC++: int  *GetWholeExtent ();\n\n Set/Get the extent of the whole output Volume.\n"},
  {(char*)"SetConstantSize",                (PyCFunction)PyvtkImageMandelbrotSource_SetConstantSize, 1,
   (char*)"V.SetConstantSize(int)\nC++: void SetConstantSize (int );\n\n This flag determines whether the Size or spacing of \n a data set remain constant (when extent is changed).  \n By default, size remains constant.\n"},
  {(char*)"GetConstantSize",                (PyCFunction)PyvtkImageMandelbrotSource_GetConstantSize, 1,
   (char*)"V.GetConstantSize() -> int\nC++: int GetConstantSize ();\n\n This flag determines whether the Size or spacing of \n a data set remain constant (when extent is changed).  \n By default, size remains constant.\n"},
  {(char*)"ConstantSizeOn",                (PyCFunction)PyvtkImageMandelbrotSource_ConstantSizeOn, 1,
   (char*)"V.ConstantSizeOn()\nC++: void ConstantSizeOn ();\n\n This flag determines whether the Size or spacing of \n a data set remain constant (when extent is changed).  \n By default, size remains constant.\n"},
  {(char*)"ConstantSizeOff",                (PyCFunction)PyvtkImageMandelbrotSource_ConstantSizeOff, 1,
   (char*)"V.ConstantSizeOff()\nC++: void ConstantSizeOff ();\n\n This flag determines whether the Size or spacing of \n a data set remain constant (when extent is changed).  \n By default, size remains constant.\n"},
  {(char*)"SetProjectionAxes",                (PyCFunction)PyvtkImageMandelbrotSource_SetProjectionAxes, 1,
   (char*)"V.SetProjectionAxes(int, int, int)\nC++: void SetProjectionAxes (int x, int y, int z);\nV.SetProjectionAxes((int, int, int))\nC++: void SetProjectionAxes (int a[3]);this SetProjectionAxes a a a \n\n Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)\n to the axes of the 3D Volume. \n 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary\n"},
  {(char*)"GetProjectionAxes",                (PyCFunction)PyvtkImageMandelbrotSource_GetProjectionAxes, 1,
   (char*)"V.GetProjectionAxes() -> (int, int, int)\nC++: int  *GetProjectionAxes ();\n\n Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)\n to the axes of the 3D Volume. \n 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary\n"},
  {(char*)"SetOriginCX",                (PyCFunction)PyvtkImageMandelbrotSource_SetOriginCX, 1,
   (char*)"V.SetOriginCX(float, float, float, float)\nC++: void SetOriginCX (double , double , double , double );\nV.SetOriginCX((float, float, float, float))\nC++: void SetOriginCX (double  a[4]);\n\n Imaginary and real value for C (constant in equation) \n and X (initial value).\n"},
  {(char*)"GetOriginCX",                (PyCFunction)PyvtkImageMandelbrotSource_GetOriginCX, 1,
   (char*)"V.GetOriginCX() -> (float, float, float, float)\nC++: double  *GetOriginCX ();\n\n Imaginary and real value for C (constant in equation) \n and X (initial value).\nvoid SetOriginCX(double cReal, double cImag, double xReal, double xImag);\n"},
  {(char*)"SetSampleCX",                (PyCFunction)PyvtkImageMandelbrotSource_SetSampleCX, 1,
   (char*)"V.SetSampleCX(float, float, float, float)\nC++: void SetSampleCX (double , double , double , double );\nV.SetSampleCX((float, float, float, float))\nC++: void SetSampleCX (double  a[4]);\n\n Imaginary and real value for C (constant in equation) \n and X (initial value).\n"},
  {(char*)"GetSampleCX",                (PyCFunction)PyvtkImageMandelbrotSource_GetSampleCX, 1,
   (char*)"V.GetSampleCX() -> (float, float, float, float)\nC++: double  *GetSampleCX ();\n\n Imaginary and real value for C (constant in equation) \n and X (initial value).\nvoid SetOriginCX(double cReal, double cImag, double xReal, double xImag);\n"},
  {(char*)"SetSizeCX",                (PyCFunction)PyvtkImageMandelbrotSource_SetSizeCX, 1,
   (char*)"V.SetSizeCX(float, float, float, float)\nC++: void SetSizeCX (double cReal, double cImag, double xReal, double xImag);\n\n Just a different way of setting the sample.  \n This sets the size of the 4D volume. \n SampleCX is computed from size and extent.\n Size is ignored when a dimension i 0 (collapsed).\n"},
  {(char*)"GetSizeCX",                (PyCFunction)PyvtkImageMandelbrotSource_GetSizeCX, 1,
   (char*)"V.GetSizeCX() -> (float, float, float, float)\nC++: double *GetSizeCX ();\nV.GetSizeCX((float, float, float, float))\nC++: void GetSizeCX (double s[4]);\n\n Just a different way of setting the sample.  \n This sets the size of the 4D volume. \n SampleCX is computed from size and extent.\n Size is ignored when a dimension i 0 (collapsed).\n"},
  {(char*)"SetMaximumNumberOfIterations",                (PyCFunction)PyvtkImageMandelbrotSource_SetMaximumNumberOfIterations, 1,
   (char*)"V.SetMaximumNumberOfIterations(int)\nC++: void SetMaximumNumberOfIterations (unsigned short );\n\n The maximum number of cycles run to see if the value goes over 2\n"},
  {(char*)"GetMaximumNumberOfIterationsMinValue",                (PyCFunction)PyvtkImageMandelbrotSource_GetMaximumNumberOfIterationsMinValue, 1,
   (char*)"V.GetMaximumNumberOfIterationsMinValue() -> int\nC++: unsigned GetMaximumNumberOfIterationsMinValue ();\n\n The maximum number of cycles run to see if the value goes over 2\n"},
  {(char*)"GetMaximumNumberOfIterationsMaxValue",                (PyCFunction)PyvtkImageMandelbrotSource_GetMaximumNumberOfIterationsMaxValue, 1,
   (char*)"V.GetMaximumNumberOfIterationsMaxValue() -> int\nC++: unsigned GetMaximumNumberOfIterationsMaxValue ();\n\n The maximum number of cycles run to see if the value goes over 2\n"},
  {(char*)"GetMaximumNumberOfIterations",                (PyCFunction)PyvtkImageMandelbrotSource_GetMaximumNumberOfIterations, 1,
   (char*)"V.GetMaximumNumberOfIterations() -> int\nC++: short unsigned GetMaximumNumberOfIterations ();\n\n The maximum number of cycles run to see if the value goes over 2\n"},
  {(char*)"Zoom",                (PyCFunction)PyvtkImageMandelbrotSource_Zoom, 1,
   (char*)"V.Zoom(float)\nC++: void Zoom (double factor);\n\n Convienence for Viewer.  Pan 3D volume relative to spacing. \n Zoom constant factor.\n"},
  {(char*)"Pan",                (PyCFunction)PyvtkImageMandelbrotSource_Pan, 1,
   (char*)"V.Pan(float, float, float)\nC++: void Pan (double x, double y, double z);\n\n Convienence for Viewer.  Pan 3D volume relative to spacing. \n Zoom constant factor.\n"},
  {(char*)"CopyOriginAndSample",                (PyCFunction)PyvtkImageMandelbrotSource_CopyOriginAndSample, 1,
   (char*)"V.CopyOriginAndSample(vtkImageMandelbrotSource)\nC++: void CopyOriginAndSample (vtkImageMandelbrotSource *source);\n\n Convienence for Viewer.  Copy the OriginCX and the SpacingCX.\n What about other parameters ???\n"},
  {(char*)"SetSubsampleRate",                (PyCFunction)PyvtkImageMandelbrotSource_SetSubsampleRate, 1,
   (char*)"V.SetSubsampleRate(int)\nC++: void SetSubsampleRate (int );\n\n Set/Get a subsample rate.\n"},
  {(char*)"GetSubsampleRateMinValue",                (PyCFunction)PyvtkImageMandelbrotSource_GetSubsampleRateMinValue, 1,
   (char*)"V.GetSubsampleRateMinValue() -> int\nC++: int GetSubsampleRateMinValue ();\n\n Set/Get a subsample rate.\n"},
  {(char*)"GetSubsampleRateMaxValue",                (PyCFunction)PyvtkImageMandelbrotSource_GetSubsampleRateMaxValue, 1,
   (char*)"V.GetSubsampleRateMaxValue() -> int\nC++: int GetSubsampleRateMaxValue ();\n\n Set/Get a subsample rate.\n"},
  {(char*)"GetSubsampleRate",                (PyCFunction)PyvtkImageMandelbrotSource_GetSubsampleRate, 1,
   (char*)"V.GetSubsampleRate() -> int\nC++: int GetSubsampleRate ();\n\n Set/Get a subsample rate.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMandelbrotSourceDoc[] = {
  (char*)"vtkImageMandelbrotSource - Mandelbrot image.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageMandelbrotSource creates an unsigned char image of the Mandelbrot\n set.  The values in the image are the number of iterations it takes for\n the magnitude of the value to get over 2.  The equation repeated is\n z = z^2 + C (z and C are complex).  Initial value of z is zero, and the \n real value of C is mapped onto the x axis, and the imaginary value of C\n is mapped onto the Y Axis.  I was t",
  (char*)"hinking of extending this source\n to generate Julia Sets (initial value of Z varies).  This would be 4\n possible parameters to vary, but there are no more 4d images :(\n The third dimension (z axis) is the imaginary value of the initial value.\n\n",
  NULL
};

static vtkObjectBase *vtkImageMandelbrotSourceStaticNew()
{
  return vtkImageMandelbrotSource::New();
}

PyObject *PyVTKClass_vtkImageMandelbrotSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMandelbrotSourceStaticNew,
                        PyvtkImageMandelbrotSourceMethods,
                        (char*)"vtkImageMandelbrotSource",modulename,
                        (char**)vtkImageMandelbrotSourceDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

