// tcl wrapper for vtkImageMandelbrotSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMandelbrotSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageMandelbrotSourceNewCommand()
{
  vtkImageMandelbrotSource *temp = vtkImageMandelbrotSource::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageMandelbrotSourceCppCommand(vtkImageMandelbrotSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageMandelbrotSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageMandelbrotSourceCppCommand(static_cast<vtkImageMandelbrotSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageMandelbrotSourceCppCommand(vtkImageMandelbrotSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageMandelbrotSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageMandelbrotSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMandelbrotSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageMandelbrotSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMandelbrotSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageMandelbrotSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMandelbrotSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetWholeExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetWholeExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetConstantSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetConstantSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConstantSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetConstantSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConstantSizeOn",argv[1]))&&(argc == 2))
    {
    op->ConstantSizeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConstantSizeOff",argv[1]))&&(argc == 2))
    {
    op->ConstantSizeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionAxes",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetProjectionAxes(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProjectionAxes",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetProjectionAxes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionAxes",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetProjectionAxes();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOriginCX",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetOriginCX(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOriginCX",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetOriginCX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOriginCX",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOriginCX();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSampleCX",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetSampleCX(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSampleCX",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetSampleCX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSampleCX",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSampleCX();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSizeCX",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetSizeCX(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSizeCX",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSizeCX();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetSizeCX",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->GetSizeCX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumNumberOfIterations",argv[1]))&&(argc == 3))
    {
    unsigned short    temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned short>(tempi);
    if (!error)
    {
    op->SetMaximumNumberOfIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfIterationsMinValue",argv[1]))&&(argc == 2))
    {
    unsigned short    temp20;
    temp20 = (op)->GetMaximumNumberOfIterationsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfIterationsMaxValue",argv[1]))&&(argc == 2))
    {
    unsigned short    temp20;
    temp20 = (op)->GetMaximumNumberOfIterationsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfIterations",argv[1]))&&(argc == 2))
    {
    unsigned short    temp20;
    temp20 = (op)->GetMaximumNumberOfIterations();
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Zoom",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Zoom(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Pan",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->Pan(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyOriginAndSample",argv[1]))&&(argc == 3))
    {
    vtkImageMandelbrotSource  *temp0;
    error = 0;

    temp0 = (vtkImageMandelbrotSource *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageMandelbrotSource"),interp,error));
    if (!error)
    {
    op->CopyOriginAndSample(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSubsampleRate",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSubsampleRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubsampleRateMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubsampleRateMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSubsampleRateMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubsampleRateMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSubsampleRate",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubsampleRate();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageMandelbrotSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageMandelbrotSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  SetConstantSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConstantSize\n",NULL);
    Tcl_AppendResult(interp,"  ConstantSizeOn\n",NULL);
    Tcl_AppendResult(interp,"  ConstantSizeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionAxes\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionAxes\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginCX\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginCX\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOriginCX\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleCX\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleCX\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSampleCX\n",NULL);
    Tcl_AppendResult(interp,"  SetSizeCX\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSizeCX\n",NULL);
    Tcl_AppendResult(interp,"  GetSizeCX\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfIterations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfIterationsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfIterationsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfIterations\n",NULL);
    Tcl_AppendResult(interp,"  Zoom\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Pan\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyOriginAndSample\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSubsampleRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSubsampleRateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSubsampleRateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSubsampleRate\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "GetWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetConstantSize" );
    Tcl_DStringAppendElement ( &dString, "GetConstantSize" );
    Tcl_DStringAppendElement ( &dString, "ConstantSizeOn" );
    Tcl_DStringAppendElement ( &dString, "ConstantSizeOff" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionAxes" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionAxes" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionAxes" );
    Tcl_DStringAppendElement ( &dString, "SetOriginCX" );
    Tcl_DStringAppendElement ( &dString, "SetOriginCX" );
    Tcl_DStringAppendElement ( &dString, "GetOriginCX" );
    Tcl_DStringAppendElement ( &dString, "SetSampleCX" );
    Tcl_DStringAppendElement ( &dString, "SetSampleCX" );
    Tcl_DStringAppendElement ( &dString, "GetSampleCX" );
    Tcl_DStringAppendElement ( &dString, "SetSizeCX" );
    Tcl_DStringAppendElement ( &dString, "GetSizeCX" );
    Tcl_DStringAppendElement ( &dString, "GetSizeCX" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterationsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterationsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "Zoom" );
    Tcl_DStringAppendElement ( &dString, "Pan" );
    Tcl_DStringAppendElement ( &dString, "CopyOriginAndSample" );
    Tcl_DStringAppendElement ( &dString, "SetSubsampleRate" );
    Tcl_DStringAppendElement ( &dString, "GetSubsampleRateMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSubsampleRateMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSubsampleRate" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageMandelbrotSource *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWholeExtent */
    if ( strcmp ( argv[2], "SetWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the extent of the whole output Volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWholeExtent (int extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWholeExtent */
    if ( strcmp ( argv[2], "SetWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the extent of the whole output Volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWholeExtent */
    if ( strcmp ( argv[2], "GetWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the extent of the whole output Volume.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetWholeExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConstantSize */
    if ( strcmp ( argv[2], "SetConstantSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConstantSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConstantSize */
    Tcl_DStringAppendElement ( &dString, " This flag determines whether the Size or spacing of \n a data set remain constant (when extent is changed).  \n By default, size remains constant.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConstantSize (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetConstantSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConstantSize */
    if ( strcmp ( argv[2], "GetConstantSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConstantSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConstantSize */
    Tcl_DStringAppendElement ( &dString, " This flag determines whether the Size or spacing of \n a data set remain constant (when extent is changed).  \n By default, size remains constant.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetConstantSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetConstantSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConstantSizeOn */
    if ( strcmp ( argv[2], "ConstantSizeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConstantSizeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConstantSizeOn */
    Tcl_DStringAppendElement ( &dString, " This flag determines whether the Size or spacing of \n a data set remain constant (when extent is changed).  \n By default, size remains constant.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConstantSizeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for ConstantSizeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConstantSizeOff */
    if ( strcmp ( argv[2], "ConstantSizeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConstantSizeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConstantSizeOff */
    Tcl_DStringAppendElement ( &dString, " This flag determines whether the Size or spacing of \n a data set remain constant (when extent is changed).  \n By default, size remains constant.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConstantSizeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for ConstantSizeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionAxes */
    if ( strcmp ( argv[2], "SetProjectionAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionAxes */
    Tcl_DStringAppendElement ( &dString, " Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)\n to the axes of the 3D Volume. \n 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionAxes (int x, int y, int z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetProjectionAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionAxes */
    if ( strcmp ( argv[2], "SetProjectionAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionAxes */
    Tcl_DStringAppendElement ( &dString, " Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)\n to the axes of the 3D Volume. \n 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionAxes (int a\\[3\\]);this SetProjectionAxes a a a " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetProjectionAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionAxes */
    if ( strcmp ( argv[2], "GetProjectionAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionAxes */
    Tcl_DStringAppendElement ( &dString, " Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)\n to the axes of the 3D Volume. \n 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetProjectionAxes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetProjectionAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginCX */
    if ( strcmp ( argv[2], "SetOriginCX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginCX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginCX */
    Tcl_DStringAppendElement ( &dString, " Imaginary and real value for C (constant in equation) \n and X (initial value).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginCX (double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetOriginCX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginCX */
    if ( strcmp ( argv[2], "SetOriginCX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginCX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginCX */
    Tcl_DStringAppendElement ( &dString, " Imaginary and real value for C (constant in equation) \n and X (initial value).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginCX (double  a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetOriginCX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOriginCX */
    if ( strcmp ( argv[2], "GetOriginCX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOriginCX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOriginCX */
    Tcl_DStringAppendElement ( &dString, " Imaginary and real value for C (constant in equation) \n and X (initial value).\nvoid SetOriginCX(double cReal, double cImag, double xReal, double xImag);\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetOriginCX ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetOriginCX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSampleCX */
    if ( strcmp ( argv[2], "SetSampleCX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSampleCX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSampleCX */
    Tcl_DStringAppendElement ( &dString, " Imaginary and real value for C (constant in equation) \n and X (initial value).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSampleCX (double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetSampleCX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSampleCX */
    if ( strcmp ( argv[2], "SetSampleCX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSampleCX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSampleCX */
    Tcl_DStringAppendElement ( &dString, " Imaginary and real value for C (constant in equation) \n and X (initial value).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSampleCX (double  a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetSampleCX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSampleCX */
    if ( strcmp ( argv[2], "GetSampleCX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSampleCX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSampleCX */
    Tcl_DStringAppendElement ( &dString, " Imaginary and real value for C (constant in equation) \n and X (initial value).\nvoid SetOriginCX(double cReal, double cImag, double xReal, double xImag);\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetSampleCX ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetSampleCX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSizeCX */
    if ( strcmp ( argv[2], "SetSizeCX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSizeCX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSizeCX */
    Tcl_DStringAppendElement ( &dString, " Just a different way of setting the sample.  \n This sets the size of the 4D volume. \n SampleCX is computed from size and extent.\n Size is ignored when a dimension i 0 (collapsed).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSizeCX (double cReal, double cImag, double xReal, double xImag);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetSizeCX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSizeCX */
    if ( strcmp ( argv[2], "GetSizeCX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSizeCX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSizeCX */
    Tcl_DStringAppendElement ( &dString, " Just a different way of setting the sample.  \n This sets the size of the 4D volume. \n SampleCX is computed from size and extent.\n Size is ignored when a dimension i 0 (collapsed).\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetSizeCX ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetSizeCX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSizeCX */
    if ( strcmp ( argv[2], "GetSizeCX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSizeCX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSizeCX */
    Tcl_DStringAppendElement ( &dString, " Just a different way of setting the sample.  \n This sets the size of the 4D volume. \n SampleCX is computed from size and extent.\n Size is ignored when a dimension i 0 (collapsed).\n" );
    Tcl_DStringAppendElement ( &dString, "void GetSizeCX (double s\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetSizeCX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfIterations */
    if ( strcmp ( argv[2], "SetMaximumNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " The maximum number of cycles run to see if the value goes over 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfIterations (unsigned short );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetMaximumNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfIterationsMinValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfIterationsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterationsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfIterationsMinValue */
    Tcl_DStringAppendElement ( &dString, " The maximum number of cycles run to see if the value goes over 2\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned GetMaximumNumberOfIterationsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetMaximumNumberOfIterationsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfIterationsMaxValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfIterationsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterationsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfIterationsMaxValue */
    Tcl_DStringAppendElement ( &dString, " The maximum number of cycles run to see if the value goes over 2\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned GetMaximumNumberOfIterationsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetMaximumNumberOfIterationsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfIterations */
    if ( strcmp ( argv[2], "GetMaximumNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " The maximum number of cycles run to see if the value goes over 2\n" );
    Tcl_DStringAppendElement ( &dString, "short unsigned GetMaximumNumberOfIterations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetMaximumNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Zoom */
    if ( strcmp ( argv[2], "Zoom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Zoom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Zoom */
    Tcl_DStringAppendElement ( &dString, " Convienence for Viewer.  Pan 3D volume relative to spacing. \n Zoom constant factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void Zoom (double factor);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for Zoom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pan */
    if ( strcmp ( argv[2], "Pan" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pan" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pan */
    Tcl_DStringAppendElement ( &dString, " Convienence for Viewer.  Pan 3D volume relative to spacing. \n Zoom constant factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void Pan (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for Pan */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyOriginAndSample */
    if ( strcmp ( argv[2], "CopyOriginAndSample" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyOriginAndSample" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyOriginAndSample */
    Tcl_DStringAppendElement ( &dString, " Convienence for Viewer.  Copy the OriginCX and the SpacingCX.\n What about other parameters ???\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyOriginAndSample (vtkImageMandelbrotSource *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for CopyOriginAndSample */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubsampleRate */
    if ( strcmp ( argv[2], "SetSubsampleRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubsampleRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubsampleRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get a subsample rate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSubsampleRate (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for SetSubsampleRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubsampleRateMinValue */
    if ( strcmp ( argv[2], "GetSubsampleRateMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubsampleRateMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubsampleRateMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get a subsample rate.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubsampleRateMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetSubsampleRateMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubsampleRateMaxValue */
    if ( strcmp ( argv[2], "GetSubsampleRateMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubsampleRateMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubsampleRateMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get a subsample rate.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubsampleRateMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetSubsampleRateMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubsampleRate */
    if ( strcmp ( argv[2], "GetSubsampleRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubsampleRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubsampleRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get a subsample rate.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubsampleRate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMandelbrotSource" );
    /* Closing for GetSubsampleRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
