// tcl wrapper for vtkImageMaskBits object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMaskBits.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageMaskBitsNewCommand()
{
  vtkImageMaskBits *temp = vtkImageMaskBits::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageMaskBitsCppCommand(vtkImageMaskBits *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageMaskBitsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageMaskBitsCppCommand(static_cast<vtkImageMaskBits *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageMaskBitsCppCommand(vtkImageMaskBits *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageMaskBits",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageMaskBits  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMaskBits");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageMaskBits  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMaskBits");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageMaskBits  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMaskBits");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMasks",argv[1]))&&(argc == 6))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    unsigned int      temp2;
    unsigned int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetMasks(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMask",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetMask(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMasks",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetMasks(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMasks",argv[1]))&&(argc == 5))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    unsigned int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetMasks(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMasks",argv[1]))&&(argc == 2))
    {
    unsigned int     *temp20;
    temp20 = (op)->GetMasks();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%u %u %u %u ",temp20[0],temp20[1],temp20[2],temp20[3]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOperation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOperation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOperation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOperation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToAnd",argv[1]))&&(argc == 2))
    {
    op->SetOperationToAnd();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToOr",argv[1]))&&(argc == 2))
    {
    op->SetOperationToOr();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToXor",argv[1]))&&(argc == 2))
    {
    op->SetOperationToXor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToNand",argv[1]))&&(argc == 2))
    {
    op->SetOperationToNand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToNor",argv[1]))&&(argc == 2))
    {
    op->SetOperationToNor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageMaskBitsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageMaskBits:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMasks\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMask\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMasks\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMasks\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMasks\n",NULL);
    Tcl_AppendResult(interp,"  SetOperation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOperation\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToAnd\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToOr\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToXor\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToNand\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToNor\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetMasks" );
    Tcl_DStringAppendElement ( &dString, "SetMask" );
    Tcl_DStringAppendElement ( &dString, "SetMasks" );
    Tcl_DStringAppendElement ( &dString, "SetMasks" );
    Tcl_DStringAppendElement ( &dString, "GetMasks" );
    Tcl_DStringAppendElement ( &dString, "SetOperation" );
    Tcl_DStringAppendElement ( &dString, "GetOperation" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToAnd" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToOr" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToXor" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToNand" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToNor" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageMaskBits *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMasks */
    if ( strcmp ( argv[2], "SetMasks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMasks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMasks */
    Tcl_DStringAppendElement ( &dString, " Set/Get the bit-masks. Default is 0xffffffff.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMasks (unsigned int , unsigned int , unsigned int , unsigned int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for SetMasks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMask */
    if ( strcmp ( argv[2], "SetMask" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMask" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMask */
    Tcl_DStringAppendElement ( &dString, " Set/Get the bit-masks. Default is 0xffffffff.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMask (unsigned int mask);this SetMasks mask mask mask mask " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for SetMask */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMasks */
    if ( strcmp ( argv[2], "SetMasks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMasks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMasks */
    Tcl_DStringAppendElement ( &dString, " Set/Get the bit-masks. Default is 0xffffffff.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMasks (unsigned int mask1, unsigned int mask2);this SetMasks mask1 mask2 xffffffff xffffffff " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for SetMasks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMasks */
    if ( strcmp ( argv[2], "SetMasks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMasks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMasks */
    Tcl_DStringAppendElement ( &dString, " Set/Get the bit-masks. Default is 0xffffffff.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMasks (unsigned int mask1, unsigned int mask2, unsigned int mask3);this SetMasks mask1 mask2 mask3 xffffffff " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for SetMasks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMasks */
    if ( strcmp ( argv[2], "GetMasks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMasks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMasks */
    Tcl_DStringAppendElement ( &dString, " Set/Get the bit-masks. Default is 0xffffffff.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int  *GetMasks ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for GetMasks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperation */
    if ( strcmp ( argv[2], "SetOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the boolean operator. Default is AND.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for SetOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOperation */
    if ( strcmp ( argv[2], "GetOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the boolean operator. Default is AND.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOperation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for GetOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToAnd */
    if ( strcmp ( argv[2], "SetOperationToAnd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToAnd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToAnd */
    Tcl_DStringAppendElement ( &dString, " Set/Get the boolean operator. Default is AND.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToAnd ();this SetOperation VTK_AND " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for SetOperationToAnd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToOr */
    if ( strcmp ( argv[2], "SetOperationToOr" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToOr" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToOr */
    Tcl_DStringAppendElement ( &dString, " Set/Get the boolean operator. Default is AND.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToOr ();this SetOperation VTK_OR " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for SetOperationToOr */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToXor */
    if ( strcmp ( argv[2], "SetOperationToXor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToXor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToXor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the boolean operator. Default is AND.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToXor ();this SetOperation VTK_XOR " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for SetOperationToXor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToNand */
    if ( strcmp ( argv[2], "SetOperationToNand" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToNand" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToNand */
    Tcl_DStringAppendElement ( &dString, " Set/Get the boolean operator. Default is AND.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToNand ();this SetOperation VTK_NAND " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for SetOperationToNand */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToNor */
    if ( strcmp ( argv[2], "SetOperationToNor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToNor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToNor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the boolean operator. Default is AND.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToNor ();this SetOperation VTK_NOR " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMaskBits" );
    /* Closing for SetOperationToNor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
