// tcl wrapper for vtkImageMathematics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMathematics.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageMathematicsNewCommand()
{
  vtkImageMathematics *temp = vtkImageMathematics::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageMathematicsCppCommand(vtkImageMathematics *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageMathematicsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageMathematicsCppCommand(static_cast<vtkImageMathematics *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageMathematicsCppCommand(vtkImageMathematics *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageMathematics",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageMathematics  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMathematics");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageMathematics  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMathematics");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageMathematics  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMathematics");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOperation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOperation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOperation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOperation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToAdd",argv[1]))&&(argc == 2))
    {
    op->SetOperationToAdd();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToSubtract",argv[1]))&&(argc == 2))
    {
    op->SetOperationToSubtract();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToMultiply",argv[1]))&&(argc == 2))
    {
    op->SetOperationToMultiply();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToDivide",argv[1]))&&(argc == 2))
    {
    op->SetOperationToDivide();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToConjugate",argv[1]))&&(argc == 2))
    {
    op->SetOperationToConjugate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToComplexMultiply",argv[1]))&&(argc == 2))
    {
    op->SetOperationToComplexMultiply();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToInvert",argv[1]))&&(argc == 2))
    {
    op->SetOperationToInvert();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToSin",argv[1]))&&(argc == 2))
    {
    op->SetOperationToSin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToCos",argv[1]))&&(argc == 2))
    {
    op->SetOperationToCos();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToExp",argv[1]))&&(argc == 2))
    {
    op->SetOperationToExp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToLog",argv[1]))&&(argc == 2))
    {
    op->SetOperationToLog();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToAbsoluteValue",argv[1]))&&(argc == 2))
    {
    op->SetOperationToAbsoluteValue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToSquare",argv[1]))&&(argc == 2))
    {
    op->SetOperationToSquare();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToSquareRoot",argv[1]))&&(argc == 2))
    {
    op->SetOperationToSquareRoot();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToMin",argv[1]))&&(argc == 2))
    {
    op->SetOperationToMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToMax",argv[1]))&&(argc == 2))
    {
    op->SetOperationToMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToATAN",argv[1]))&&(argc == 2))
    {
    op->SetOperationToATAN();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToATAN2",argv[1]))&&(argc == 2))
    {
    op->SetOperationToATAN2();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToMultiplyByK",argv[1]))&&(argc == 2))
    {
    op->SetOperationToMultiplyByK();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToAddConstant",argv[1]))&&(argc == 2))
    {
    op->SetOperationToAddConstant();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToReplaceCByK",argv[1]))&&(argc == 2))
    {
    op->SetOperationToReplaceCByK();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConstantK",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetConstantK(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConstantK",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetConstantK();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetConstantC",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetConstantC(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConstantC",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetConstantC();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDivideByZeroToC",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDivideByZeroToC(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDivideByZeroToC",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDivideByZeroToC();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DivideByZeroToCOn",argv[1]))&&(argc == 2))
    {
    op->DivideByZeroToCOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DivideByZeroToCOff",argv[1]))&&(argc == 2))
    {
    op->DivideByZeroToCOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInput1",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput2",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageMathematicsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageMathematics:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOperation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOperation\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToAdd\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToSubtract\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToMultiply\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToDivide\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToConjugate\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToComplexMultiply\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToInvert\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToSin\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToCos\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToExp\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToLog\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToAbsoluteValue\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToSquare\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToSquareRoot\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToMin\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToMax\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToATAN\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToATAN2\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToMultiplyByK\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToAddConstant\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToReplaceCByK\n",NULL);
    Tcl_AppendResult(interp,"  SetConstantK\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConstantK\n",NULL);
    Tcl_AppendResult(interp,"  SetConstantC\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConstantC\n",NULL);
    Tcl_AppendResult(interp,"  SetDivideByZeroToC\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDivideByZeroToC\n",NULL);
    Tcl_AppendResult(interp,"  DivideByZeroToCOn\n",NULL);
    Tcl_AppendResult(interp,"  DivideByZeroToCOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInput1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput2\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetOperation" );
    Tcl_DStringAppendElement ( &dString, "GetOperation" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToAdd" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToSubtract" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMultiply" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToDivide" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToConjugate" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToComplexMultiply" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToInvert" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToSin" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToCos" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToExp" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToLog" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToAbsoluteValue" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToSquare" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToSquareRoot" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMin" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMax" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToATAN" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToATAN2" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMultiplyByK" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToAddConstant" );
    Tcl_DStringAppendElement ( &dString, "SetOperationToReplaceCByK" );
    Tcl_DStringAppendElement ( &dString, "SetConstantK" );
    Tcl_DStringAppendElement ( &dString, "GetConstantK" );
    Tcl_DStringAppendElement ( &dString, "SetConstantC" );
    Tcl_DStringAppendElement ( &dString, "GetConstantC" );
    Tcl_DStringAppendElement ( &dString, "SetDivideByZeroToC" );
    Tcl_DStringAppendElement ( &dString, "GetDivideByZeroToC" );
    Tcl_DStringAppendElement ( &dString, "DivideByZeroToCOn" );
    Tcl_DStringAppendElement ( &dString, "DivideByZeroToCOff" );
    Tcl_DStringAppendElement ( &dString, "SetInput1" );
    Tcl_DStringAppendElement ( &dString, "SetInput2" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageMathematics *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperation */
    if ( strcmp ( argv[2], "SetOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Operation to perform.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOperation */
    if ( strcmp ( argv[2], "GetOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOperation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Operation to perform.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOperation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for GetOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToAdd */
    if ( strcmp ( argv[2], "SetOperationToAdd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToAdd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToAdd */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Operation to perform.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToAdd ();this SetOperation VTK_ADD " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToAdd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToSubtract */
    if ( strcmp ( argv[2], "SetOperationToSubtract" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToSubtract" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToSubtract */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Operation to perform.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToSubtract ();this SetOperation VTK_SUBTRACT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToSubtract */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToMultiply */
    if ( strcmp ( argv[2], "SetOperationToMultiply" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMultiply" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToMultiply */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Operation to perform.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToMultiply ();this SetOperation VTK_MULTIPLY " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToMultiply */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToDivide */
    if ( strcmp ( argv[2], "SetOperationToDivide" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToDivide" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToDivide */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Operation to perform.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToDivide ();this SetOperation VTK_DIVIDE " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToDivide */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToConjugate */
    if ( strcmp ( argv[2], "SetOperationToConjugate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToConjugate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToConjugate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Operation to perform.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToConjugate ();this SetOperation VTK_CONJUGATE " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToConjugate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToComplexMultiply */
    if ( strcmp ( argv[2], "SetOperationToComplexMultiply" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToComplexMultiply" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToComplexMultiply */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Operation to perform.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToComplexMultiply ();this SetOperation VTK_COMPLEX_MULTIPLY " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToComplexMultiply */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToInvert */
    if ( strcmp ( argv[2], "SetOperationToInvert" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToInvert" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToInvert */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToInvert ();this SetOperation VTK_INVERT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToInvert */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToSin */
    if ( strcmp ( argv[2], "SetOperationToSin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToSin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToSin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToSin ();this SetOperation VTK_SIN " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToSin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToCos */
    if ( strcmp ( argv[2], "SetOperationToCos" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToCos" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToCos */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToCos ();this SetOperation VTK_COS " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToCos */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToExp */
    if ( strcmp ( argv[2], "SetOperationToExp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToExp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToExp */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToExp ();this SetOperation VTK_EXP " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToExp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToLog */
    if ( strcmp ( argv[2], "SetOperationToLog" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToLog" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToLog */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToLog ();this SetOperation VTK_LOG " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToLog */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToAbsoluteValue */
    if ( strcmp ( argv[2], "SetOperationToAbsoluteValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToAbsoluteValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToAbsoluteValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToAbsoluteValue ();this SetOperation VTK_ABS " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToAbsoluteValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToSquare */
    if ( strcmp ( argv[2], "SetOperationToSquare" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToSquare" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToSquare */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToSquare ();this SetOperation VTK_SQR " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToSquare */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToSquareRoot */
    if ( strcmp ( argv[2], "SetOperationToSquareRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToSquareRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToSquareRoot */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToSquareRoot ();this SetOperation VTK_SQRT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToSquareRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToMin */
    if ( strcmp ( argv[2], "SetOperationToMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToMin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToMin ();this SetOperation VTK_MIN " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToMax */
    if ( strcmp ( argv[2], "SetOperationToMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToMax */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToMax ();this SetOperation VTK_MAX " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToATAN */
    if ( strcmp ( argv[2], "SetOperationToATAN" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToATAN" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToATAN */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToATAN ();this SetOperation VTK_ATAN " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToATAN */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToATAN2 */
    if ( strcmp ( argv[2], "SetOperationToATAN2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToATAN2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToATAN2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToATAN2 ();this SetOperation VTK_ATAN2 " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToATAN2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToMultiplyByK */
    if ( strcmp ( argv[2], "SetOperationToMultiplyByK" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToMultiplyByK" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToMultiplyByK */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToMultiplyByK ();this SetOperation VTK_MULTIPLYBYK " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToMultiplyByK */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToAddConstant */
    if ( strcmp ( argv[2], "SetOperationToAddConstant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToAddConstant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToAddConstant */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToAddConstant ();this SetOperation VTK_ADDC " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToAddConstant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOperationToReplaceCByK */
    if ( strcmp ( argv[2], "SetOperationToReplaceCByK" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOperationToReplaceCByK" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOperationToReplaceCByK */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOperationToReplaceCByK ();this SetOperation VTK_REPLACECBYK " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetOperationToReplaceCByK */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConstantK */
    if ( strcmp ( argv[2], "SetConstantK" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConstantK" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConstantK */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetConstantK (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetConstantK */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConstantK */
    if ( strcmp ( argv[2], "GetConstantK" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConstantK" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConstantK */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetConstantK ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for GetConstantK */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConstantC */
    if ( strcmp ( argv[2], "SetConstantC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConstantC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConstantC */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetConstantC (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetConstantC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConstantC */
    if ( strcmp ( argv[2], "GetConstantC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConstantC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConstantC */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetConstantC ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for GetConstantC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDivideByZeroToC */
    if ( strcmp ( argv[2], "SetDivideByZeroToC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDivideByZeroToC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDivideByZeroToC */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDivideByZeroToC (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetDivideByZeroToC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDivideByZeroToC */
    if ( strcmp ( argv[2], "GetDivideByZeroToC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDivideByZeroToC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDivideByZeroToC */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetDivideByZeroToC ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for GetDivideByZeroToC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DivideByZeroToCOn */
    if ( strcmp ( argv[2], "DivideByZeroToCOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DivideByZeroToCOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DivideByZeroToCOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DivideByZeroToCOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for DivideByZeroToCOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DivideByZeroToCOff */
    if ( strcmp ( argv[2], "DivideByZeroToCOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DivideByZeroToCOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DivideByZeroToCOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DivideByZeroToCOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for DivideByZeroToCOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput1 */
    if ( strcmp ( argv[2], "SetInput1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput1 */
    Tcl_DStringAppendElement ( &dString, " Set the two inputs to this filter\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput1 (vtkDataObject *in);this SetInput in " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetInput1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput2 */
    if ( strcmp ( argv[2], "SetInput2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput2 (vtkDataObject *in);this SetInput in " );
    Tcl_DStringAppendElement ( &dString, "vtkImageMathematics" );
    /* Closing for SetInput2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
