// python wrapper for vtkImageMirrorPad object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageMirrorPad.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMirrorPadNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMirrorPadNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImagePadFilterNew(char *); }

static PyObject *PyvtkImageMirrorPad_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMirrorPad *op;

  const char    *temp20;
  op = (vtkImageMirrorPad *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMirrorPad::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMirrorPad_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMirrorPad *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageMirrorPad *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMirrorPad::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMirrorPad_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMirrorPad *op;

  vtkImageMirrorPad  *temp20;
  op = (vtkImageMirrorPad *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMirrorPad::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMirrorPad_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMirrorPad  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMirrorPad::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageMirrorPadMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMirrorPad_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMirrorPad_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMirrorPad_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMirrorPad\nC++: vtkImageMirrorPad *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMirrorPad_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMirrorPad\nC++: vtkImageMirrorPad *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMirrorPadDoc[] = {
  (char*)"vtkImageMirrorPad - Extra pixels are filled by mirror images.\n\n",
  "Super Class:\n\n vtkImagePadFilter\n\n",
  (char*)" vtkImageMirrorPad makes an image larger by filling extra pixels with\n a mirror image of the original image (mirror at image boundaries).  \n\n",
  NULL
};

static vtkObjectBase *vtkImageMirrorPadStaticNew()
{
  return vtkImageMirrorPad::New();
}

PyObject *PyVTKClass_vtkImageMirrorPadNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMirrorPadStaticNew,
                        PyvtkImageMirrorPadMethods,
                        (char*)"vtkImageMirrorPad",modulename,
                        (char**)vtkImageMirrorPadDoc,
                        PyVTKClass_vtkImagePadFilterNew(modulename));
}

