// python wrapper for vtkImageNoiseSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageNoiseSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageNoiseSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageNoiseSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageNoiseSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNoiseSource *op;

  const char    *temp20;
  op = (vtkImageNoiseSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNoiseSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNoiseSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNoiseSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageNoiseSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNoiseSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNoiseSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNoiseSource *op;

  vtkImageNoiseSource  *temp20;
  op = (vtkImageNoiseSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNoiseSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNoiseSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageNoiseSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageNoiseSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageNoiseSource_SetMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNoiseSource *op;

  double   temp0;
  op = (vtkImageNoiseSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageNoiseSource::SetMinimum(temp0);
      }
    else
      {
      op->SetMinimum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNoiseSource_GetMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNoiseSource *op;

  double   temp20;
  op = (vtkImageNoiseSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNoiseSource::GetMinimum();
      }
    else
      {
      temp20 = op->GetMinimum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNoiseSource_SetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNoiseSource *op;

  double   temp0;
  op = (vtkImageNoiseSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageNoiseSource::SetMaximum(temp0);
      }
    else
      {
      op->SetMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNoiseSource_GetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNoiseSource *op;

  double   temp20;
  op = (vtkImageNoiseSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNoiseSource::GetMaximum();
      }
    else
      {
      temp20 = op->GetMaximum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNoiseSource_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNoiseSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkImageNoiseSource *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageNoiseSource::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageNoiseSource *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkImageNoiseSource *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageNoiseSource::SetWholeExtent(temp0);
      }
    else
      {
      op->SetWholeExtent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageNoiseSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageNoiseSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageNoiseSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageNoiseSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageNoiseSource\nC++: vtkImageNoiseSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageNoiseSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageNoiseSource\nC++: vtkImageNoiseSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMinimum",                (PyCFunction)PyvtkImageNoiseSource_SetMinimum, 1,
   (char*)"V.SetMinimum(float)\nC++: void SetMinimum (double );\n\n Set/Get the minimum and maximum values for the generated noise.\n"},
  {(char*)"GetMinimum",                (PyCFunction)PyvtkImageNoiseSource_GetMinimum, 1,
   (char*)"V.GetMinimum() -> float\nC++: double GetMinimum ();\n\n Set/Get the minimum and maximum values for the generated noise.\n"},
  {(char*)"SetMaximum",                (PyCFunction)PyvtkImageNoiseSource_SetMaximum, 1,
   (char*)"V.SetMaximum(float)\nC++: void SetMaximum (double );\n\n Set/Get the minimum and maximum values for the generated noise.\n"},
  {(char*)"GetMaximum",                (PyCFunction)PyvtkImageNoiseSource_GetMaximum, 1,
   (char*)"V.GetMaximum() -> float\nC++: double GetMaximum ();\n\n Set/Get the minimum and maximum values for the generated noise.\n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkImageNoiseSource_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax);\nV.SetWholeExtent((int, int, int, int, int, int))\nC++: void SetWholeExtent (const int ext[6]);this SetWholeExtent ext ext ext ext ext ext \n\n Set how large of an image to generate.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageNoiseSourceDoc[] = {
  (char*)"vtkImageNoiseSource - Create an image filled with noise.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageNoiseSource just produces images filled with noise.  The only\n option now is uniform noise specified by a min and a max.  There is one\n major problem with this source. Every time it executes, it will output\n different pixel values.  This has important implications when a stream\n requests overlapping regions.  The same pixels will have different values\n on different updates.\n\n",
  NULL
};

static vtkObjectBase *vtkImageNoiseSourceStaticNew()
{
  return vtkImageNoiseSource::New();
}

PyObject *PyVTKClass_vtkImageNoiseSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageNoiseSourceStaticNew,
                        PyvtkImageNoiseSourceMethods,
                        (char*)"vtkImageNoiseSource",modulename,
                        (char**)vtkImageNoiseSourceDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

