// python wrapper for vtkImagePadFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImagePadFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImagePadFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImagePadFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImagePadFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePadFilter *op;

  const char    *temp20;
  op = (vtkImagePadFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePadFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePadFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePadFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkImagePadFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePadFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePadFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePadFilter *op;

  vtkImagePadFilter  *temp20;
  op = (vtkImagePadFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePadFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePadFilter_SetOutputWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePadFilter *op;

  int    temp0[6];
  op = (vtkImagePadFilter *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePadFilter::SetOutputWholeExtent(temp0);
      }
    else
      {
      op->SetOutputWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImagePadFilter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  op = (vtkImagePadFilter *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePadFilter::SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePadFilter_GetOutputWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePadFilter *op;

  int    temp0[6];
  op = (vtkImagePadFilter *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePadFilter::GetOutputWholeExtent(temp0);
      }
    else
      {
      op->GetOutputWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImagePadFilter *op;

  int     *temp20;
  PyErr_Clear();
  op = (vtkImagePadFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePadFilter::GetOutputWholeExtent();
      }
    else
      {
      temp20 = op->GetOutputWholeExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePadFilter_SetOutputNumberOfScalarComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePadFilter *op;

  int      temp0;
  op = (vtkImagePadFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePadFilter::SetOutputNumberOfScalarComponents(temp0);
      }
    else
      {
      op->SetOutputNumberOfScalarComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePadFilter_GetOutputNumberOfScalarComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePadFilter *op;

  int      temp20;
  op = (vtkImagePadFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePadFilter::GetOutputNumberOfScalarComponents();
      }
    else
      {
      temp20 = op->GetOutputNumberOfScalarComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImagePadFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImagePadFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImagePadFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImagePadFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImagePadFilter\nC++: vtkImagePadFilter *NewInstance ();\n\n"},
  {(char*)"SetOutputWholeExtent",                (PyCFunction)PyvtkImagePadFilter_SetOutputWholeExtent, 1,
   (char*)"V.SetOutputWholeExtent((int, int, int, int, int, int))\nC++: void SetOutputWholeExtent (int extent[6]);\nV.SetOutputWholeExtent(int, int, int, int, int, int)\nC++: void SetOutputWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ);\n\n The image extent of the output has to be set explicitly.\n"},
  {(char*)"GetOutputWholeExtent",                (PyCFunction)PyvtkImagePadFilter_GetOutputWholeExtent, 1,
   (char*)"V.GetOutputWholeExtent((int, int, int, int, int, int))\nC++: void GetOutputWholeExtent (int extent[6]);\nV.GetOutputWholeExtent() -> (int, int, int, int, int, int)\nC++: int *GetOutputWholeExtent ();return this OutputWholeExtent \n\n The image extent of the output has to be set explicitly.\n"},
  {(char*)"SetOutputNumberOfScalarComponents",                (PyCFunction)PyvtkImagePadFilter_SetOutputNumberOfScalarComponents, 1,
   (char*)"V.SetOutputNumberOfScalarComponents(int)\nC++: void SetOutputNumberOfScalarComponents (int );\n\n Set/Get the number of output scalar components.\n"},
  {(char*)"GetOutputNumberOfScalarComponents",                (PyCFunction)PyvtkImagePadFilter_GetOutputNumberOfScalarComponents, 1,
   (char*)"V.GetOutputNumberOfScalarComponents() -> int\nC++: int GetOutputNumberOfScalarComponents ();\n\n Set/Get the number of output scalar components.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImagePadFilterDoc[] = {
  (char*)"vtkImagePadFilter - Super class for filters that fill in extra pixels.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImagePadFilter Changes the image extent of an image.  If the image\n extent is larger than the input image extent, the extra pixels are\n filled by an algorithm determined by the subclass.\n The image extent of the output has to be specified.\n\n",
  NULL
};

static vtkObjectBase *vtkImagePadFilterStaticNew()
{
  return vtkImagePadFilter::New();
}

PyObject *PyVTKClass_vtkImagePadFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkImagePadFilterStaticNew,
                        PyvtkImagePadFilterMethods,
                        (char*)"vtkImagePadFilter",modulename,
                        (char**)vtkImagePadFilterDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

