// python wrapper for vtkImagePermute object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImagePermute.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImagePermuteNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImagePermuteNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageResliceNew(char *); }

static PyObject *PyvtkImagePermute_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePermute *op;

  const char    *temp20;
  op = (vtkImagePermute *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePermute::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePermute_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePermute *op;

  char    *temp0;
  int      temp20;
  op = (vtkImagePermute *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePermute::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePermute_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePermute *op;

  vtkImagePermute  *temp20;
  op = (vtkImagePermute *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePermute::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePermute_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImagePermute  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImagePermute::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImagePermute_SetFilteredAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePermute *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkImagePermute *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePermute::SetFilteredAxes(temp0,temp1,temp2);
      }
    else
      {
      op->SetFilteredAxes(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImagePermute *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkImagePermute *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePermute::SetFilteredAxes(temp0);
      }
    else
      {
      op->SetFilteredAxes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePermute_GetFilteredAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePermute *op;

  int     *temp20;
  op = (vtkImagePermute *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePermute::GetFilteredAxes();
      }
    else
      {
      temp20 = op->GetFilteredAxes();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImagePermuteMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImagePermute_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImagePermute_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImagePermute_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImagePermute\nC++: vtkImagePermute *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImagePermute_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImagePermute\nC++: vtkImagePermute *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFilteredAxes",                (PyCFunction)PyvtkImagePermute_SetFilteredAxes, 1,
   (char*)"V.SetFilteredAxes(int, int, int)\nC++: void SetFilteredAxes (int x, int y, int z);\nV.SetFilteredAxes((int, int, int))\nC++: void SetFilteredAxes (const int xyz[3]);this SetFilteredAxes xyz xyz xyz \n\n The filtered axes are the input axes that get relabeled to X,Y,Z.\n"},
  {(char*)"GetFilteredAxes",                (PyCFunction)PyvtkImagePermute_GetFilteredAxes, 1,
   (char*)"V.GetFilteredAxes() -> (int, int, int)\nC++: int  *GetFilteredAxes ();\n\n The filtered axes are the input axes that get relabeled to X,Y,Z.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImagePermuteDoc[] = {
  (char*)"vtkImagePermute -  Permutes axes of input.\n\n",
  "Super Class:\n\n vtkImageReslice\n\n",
  (char*)" vtkImagePermute reorders the axes of the input. Filtered axes specify\n the input axes which become X, Y, Z.  The input has to have the\n same scalar type of the output. The filter does copy the \n data when it executes. This filter is actually a very thin wrapper\n around vtkImageReslice.\n\n",
  NULL
};

static vtkObjectBase *vtkImagePermuteStaticNew()
{
  return vtkImagePermute::New();
}

PyObject *PyVTKClass_vtkImagePermuteNew(char *modulename)
{
  return PyVTKClass_New(&vtkImagePermuteStaticNew,
                        PyvtkImagePermuteMethods,
                        (char*)"vtkImagePermute",modulename,
                        (char**)vtkImagePermuteDoc,
                        PyVTKClass_vtkImageResliceNew(modulename));
}

