// python wrapper for vtkImageRGBToHSV object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageRGBToHSV.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageRGBToHSVNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageRGBToHSVNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageRGBToHSV_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRGBToHSV *op;

  const char    *temp20;
  op = (vtkImageRGBToHSV *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageRGBToHSV::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageRGBToHSV_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRGBToHSV *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageRGBToHSV *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageRGBToHSV::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageRGBToHSV_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRGBToHSV *op;

  vtkImageRGBToHSV  *temp20;
  op = (vtkImageRGBToHSV *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageRGBToHSV::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageRGBToHSV_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageRGBToHSV  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageRGBToHSV::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageRGBToHSV_SetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRGBToHSV *op;

  double   temp0;
  op = (vtkImageRGBToHSV *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageRGBToHSV::SetMaximum(temp0);
      }
    else
      {
      op->SetMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageRGBToHSV_GetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRGBToHSV *op;

  double   temp20;
  op = (vtkImageRGBToHSV *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageRGBToHSV::GetMaximum();
      }
    else
      {
      temp20 = op->GetMaximum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageRGBToHSVMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageRGBToHSV_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageRGBToHSV_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageRGBToHSV_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageRGBToHSV\nC++: vtkImageRGBToHSV *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageRGBToHSV_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageRGBToHSV\nC++: vtkImageRGBToHSV *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMaximum",                (PyCFunction)PyvtkImageRGBToHSV_SetMaximum, 1,
   (char*)"V.SetMaximum(float)\nC++: void SetMaximum (double );\n\n"},
  {(char*)"GetMaximum",                (PyCFunction)PyvtkImageRGBToHSV_GetMaximum, 1,
   (char*)"V.GetMaximum() -> float\nC++: double GetMaximum ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageRGBToHSVDoc[] = {
  (char*)"vtkImageRGBToHSV - Converts RGB components to HSV.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" For each pixel with red, blue, and green components this\n filter output the color coded as hue, saturation and value.\n Output type must be the same as input type.\n\n",
  NULL
};

static vtkObjectBase *vtkImageRGBToHSVStaticNew()
{
  return vtkImageRGBToHSV::New();
}

PyObject *PyVTKClass_vtkImageRGBToHSVNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageRGBToHSVStaticNew,
                        PyvtkImageRGBToHSVMethods,
                        (char*)"vtkImageRGBToHSV",modulename,
                        (char**)vtkImageRGBToHSVDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

