// python wrapper for vtkImageReslice object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageReslice.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageResliceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageResliceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageReslice_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  const char    *temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  vtkImageReslice  *temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageReslice  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageReslice::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageReslice_SetResliceAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetResliceAxes(temp0);
      }
    else
      {
      op->SetResliceAxes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageReslice_GetResliceAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  vtkMatrix4x4  *temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetResliceAxes();
      }
    else
      {
      temp20 = op->GetResliceAxes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetResliceAxesDirectionCosines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"ddddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7, &temp8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetResliceAxesDirectionCosines(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->SetResliceAxesDirectionCosines(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double temp0[3];
  double temp1[3];
  double temp2[3];
  PyErr_Clear();
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetResliceAxesDirectionCosines(temp0,temp1,temp2);
      }
    else
      {
      op->SetResliceAxesDirectionCosines(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double temp0[9];
  PyErr_Clear();
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetResliceAxesDirectionCosines(temp0);
      }
    else
      {
      op->SetResliceAxesDirectionCosines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetResliceAxesDirectionCosines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double temp0[3];
  double temp1[3];
  double temp2[3];
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::GetResliceAxesDirectionCosines(temp0,temp1,temp2);
      }
    else
      {
      op->GetResliceAxesDirectionCosines(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double temp0[9];
  PyErr_Clear();
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::GetResliceAxesDirectionCosines(temp0);
      }
    else
      {
      op->GetResliceAxesDirectionCosines(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,9)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetResliceAxesDirectionCosines();
      }
    else
      {
      temp20 = op->GetResliceAxesDirectionCosines();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddddddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5],temp20[6],temp20[7],temp20[8]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetResliceAxesOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetResliceAxesOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetResliceAxesOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetResliceAxesOrigin(temp0);
      }
    else
      {
      op->SetResliceAxesOrigin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetResliceAxesOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double temp0[3];
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::GetResliceAxesOrigin(temp0);
      }
    else
      {
      op->GetResliceAxesOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetResliceAxesOrigin();
      }
    else
      {
      temp20 = op->GetResliceAxesOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetResliceTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetResliceTransform(temp0);
      }
    else
      {
      op->SetResliceTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkImageReslice_GetResliceTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  vtkAbstractTransform  *temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetResliceTransform();
      }
    else
      {
      temp20 = op->GetResliceTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetInformationInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetInformationInput(temp0);
      }
    else
      {
      op->SetInformationInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkImageReslice_GetInformationInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  vtkImageData  *temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetInformationInput();
      }
    else
      {
      temp20 = op->GetInformationInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetTransformInputSampling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetTransformInputSampling(temp0);
      }
    else
      {
      op->SetTransformInputSampling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_TransformInputSamplingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::TransformInputSamplingOn();
      }
    else
      {
      op->TransformInputSamplingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_TransformInputSamplingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::TransformInputSamplingOff();
      }
    else
      {
      op->TransformInputSamplingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetTransformInputSampling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetTransformInputSampling();
      }
    else
      {
      temp20 = op->GetTransformInputSampling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetAutoCropOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetAutoCropOutput(temp0);
      }
    else
      {
      op->SetAutoCropOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_AutoCropOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::AutoCropOutputOn();
      }
    else
      {
      op->AutoCropOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_AutoCropOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::AutoCropOutputOff();
      }
    else
      {
      op->AutoCropOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetAutoCropOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetAutoCropOutput();
      }
    else
      {
      temp20 = op->GetAutoCropOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetWrap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetWrap(temp0);
      }
    else
      {
      op->SetWrap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetWrap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetWrap();
      }
    else
      {
      temp20 = op->GetWrap();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_WrapOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::WrapOn();
      }
    else
      {
      op->WrapOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_WrapOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::WrapOff();
      }
    else
      {
      op->WrapOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetMirror(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetMirror(temp0);
      }
    else
      {
      op->SetMirror(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetMirror(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetMirror();
      }
    else
      {
      temp20 = op->GetMirror();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_MirrorOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::MirrorOn();
      }
    else
      {
      op->MirrorOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_MirrorOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::MirrorOff();
      }
    else
      {
      op->MirrorOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetBorder(temp0);
      }
    else
      {
      op->SetBorder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetBorder();
      }
    else
      {
      temp20 = op->GetBorder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_BorderOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::BorderOn();
      }
    else
      {
      op->BorderOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_BorderOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::BorderOff();
      }
    else
      {
      op->BorderOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetInterpolationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetInterpolationMode(temp0);
      }
    else
      {
      op->SetInterpolationMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetInterpolationModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetInterpolationModeMinValue();
      }
    else
      {
      temp20 = op->GetInterpolationModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetInterpolationModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetInterpolationModeMaxValue();
      }
    else
      {
      temp20 = op->GetInterpolationModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetInterpolationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetInterpolationMode();
      }
    else
      {
      temp20 = op->GetInterpolationMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetInterpolationModeToNearestNeighbor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetInterpolationModeToNearestNeighbor();
      }
    else
      {
      op->SetInterpolationModeToNearestNeighbor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetInterpolationModeToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetInterpolationModeToLinear();
      }
    else
      {
      op->SetInterpolationModeToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetInterpolationModeToCubic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetInterpolationModeToCubic();
      }
    else
      {
      op->SetInterpolationModeToCubic();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetInterpolationModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  const char    *temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetInterpolationModeAsString();
      }
    else
      {
      temp20 = op->GetInterpolationModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetOptimization(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetOptimization(temp0);
      }
    else
      {
      op->SetOptimization(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetOptimization(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetOptimization();
      }
    else
      {
      temp20 = op->GetOptimization();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_OptimizationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::OptimizationOn();
      }
    else
      {
      op->OptimizationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_OptimizationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::OptimizationOff();
      }
    else
      {
      op->OptimizationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetBackgroundColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetBackgroundColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetBackgroundColor(temp0);
      }
    else
      {
      op->SetBackgroundColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double  *temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetBackgroundColor();
      }
    else
      {
      temp20 = op->GetBackgroundColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetBackgroundLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double   temp0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetBackgroundLevel(temp0);
      }
    else
      {
      op->SetBackgroundLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetBackgroundLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double   temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetBackgroundLevel();
      }
    else
      {
      temp20 = op->GetBackgroundLevel();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetOutputSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetOutputSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutputSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetOutputSpacing(temp0);
      }
    else
      {
      op->SetOutputSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetOutputSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double  *temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetOutputSpacing();
      }
    else
      {
      temp20 = op->GetOutputSpacing();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetOutputSpacingToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetOutputSpacingToDefault();
      }
    else
      {
      op->SetOutputSpacingToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetOutputOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetOutputOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutputOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetOutputOrigin(temp0);
      }
    else
      {
      op->SetOutputOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetOutputOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  double  *temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetOutputOrigin();
      }
    else
      {
      temp20 = op->GetOutputOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetOutputOriginToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetOutputOriginToDefault();
      }
    else
      {
      op->SetOutputOriginToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetOutputExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetOutputExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetOutputExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetOutputExtent(temp0);
      }
    else
      {
      op->SetOutputExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetOutputExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int     *temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetOutputExtent();
      }
    else
      {
      temp20 = op->GetOutputExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetOutputExtentToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetOutputExtentToDefault();
      }
    else
      {
      op->SetOutputExtentToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetOutputDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetOutputDimensionality(temp0);
      }
    else
      {
      op->SetOutputDimensionality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetOutputDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetOutputDimensionality();
      }
    else
      {
      temp20 = op->GetOutputDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  unsigned long     temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_ReportReferences(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  vtkGarbageCollector  *temp0;
  PyObject *tempH0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGarbageCollector *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGarbageCollector");
    if (!temp0 && tempH0 != Py_None) goto break72;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::ReportReferences(temp0);
      }
    else
      {
      op->ReportReferences(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break72:
  return NULL;
}


static PyObject *PyvtkImageReslice_SetInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetInterpolate(temp0);
      }
    else
      {
      op->SetInterpolate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_InterpolateOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::InterpolateOn();
      }
    else
      {
      op->InterpolateOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_InterpolateOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::InterpolateOff();
      }
    else
      {
      op->InterpolateOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_GetInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  int      temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetInterpolate();
      }
    else
      {
      temp20 = op->GetInterpolate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageReslice_SetStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  vtkImageStencilData  *temp0;
  PyObject *tempH0;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageStencilData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageStencilData");
    if (!temp0 && tempH0 != Py_None) goto break77;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageReslice::SetStencil(temp0);
      }
    else
      {
      op->SetStencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break77:
  return NULL;
}


static PyObject *PyvtkImageReslice_GetStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageReslice *op;

  vtkImageStencilData  *temp20;
  op = (vtkImageReslice *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageReslice::GetStencil();
      }
    else
      {
      temp20 = op->GetStencil();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageResliceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageReslice_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageReslice_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageReslice_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageReslice\nC++: vtkImageReslice *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageReslice_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageReslice\nC++: vtkImageReslice *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetResliceAxes",                (PyCFunction)PyvtkImageReslice_SetResliceAxes, 1,
   (char*)"V.SetResliceAxes(vtkMatrix4x4)\nC++: virtual void SetResliceAxes (vtkMatrix4x4 *);\n\n This method is used to set up the axes for the output voxels.\n The output Spacing, Origin, and Extent specify the locations\n of the voxels within the coordinate system defined by the axes.\n The ResliceAxes are used most often to permute the data, e.g.\n to extract ZY or XZ slices of a volume as 2D XY images.\n <p>The first column of the matrix specifies the x-axis \n vector (the fourth element must be set to zero), the second\n column specifies the y-axis, and the third column the\n z-axis.  The fourth column is the origin of the\n axes (the fourth element must be set to one).  \n <p>An alternative to SetResliceAxes() is to use \n SetResliceAxesDirectionCosines() to set the directions of the\n axes and SetResliceAxesOrigin() to set the origin of the axes.\n"},
  {(char*)"GetResliceAxes",                (PyCFunction)PyvtkImageReslice_GetResliceAxes, 1,
   (char*)"V.GetResliceAxes() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetResliceAxes ();\n\n This method is used to set up the axes for the output voxels.\n The output Spacing, Origin, and Extent specify the locations\n of the voxels within the coordinate system defined by the axes.\n The ResliceAxes are used most often to permute the data, e.g.\n to extract ZY or XZ slices of a volume as 2D XY images.\n <p>The first column of the matrix specifies the x-axis \n vector (the fourth element must be set to zero), the second\n column specifies the y-axis, and the third column the\n z-axis.  The fourth column is the origin of the\n axes (the fourth element must be set to one).  \n <p>An alternative to SetResliceAxes() is to use \n SetResliceAxesDirectionCosines() to set the directions of the\n axes and SetResliceAxesOrigin() to set the origin of the axes.\n"},
  {(char*)"SetResliceAxesDirectionCosines",                (PyCFunction)PyvtkImageReslice_SetResliceAxesDirectionCosines, 1,
   (char*)"V.SetResliceAxesDirectionCosines(float, float, float, float, float, float, float, float, float)\nC++: void SetResliceAxesDirectionCosines (double x0, double x1, double x2, double y0, double y1, double y2, double z0, double z1, double z2);\nV.SetResliceAxesDirectionCosines((float, float, float), (float, float, float), (float, float, float))\nC++: void SetResliceAxesDirectionCosines (const double x[3], const double y[3], const double z[3]);this SetResliceAxesDirectionCosines x x x y y y z z z \nV.SetResliceAxesDirectionCosines((float, float, float, float, float, float, float, float, float))\nC++: void SetResliceAxesDirectionCosines (const double xyz[9]);this SetResliceAxesDirectionCosines xyz xyz xyz xyz xyz xyz xyz xyz xyz \n\n Specify the direction cosines for the ResliceAxes (i.e. the\n first three elements of each of the first three columns of \n the ResliceAxes matrix).  This will modify the current\n ResliceAxes matrix, or create a new matrix if none exists.\n"},
  {(char*)"GetResliceAxesDirectionCosines",                (PyCFunction)PyvtkImageReslice_GetResliceAxesDirectionCosines, 1,
   (char*)"V.GetResliceAxesDirectionCosines((float, float, float), (float, float, float), (float, float, float))\nC++: void GetResliceAxesDirectionCosines (double x[3], double y[3], double z[3]);\nV.GetResliceAxesDirectionCosines((float, float, float, float, float, float, float, float, float))\nC++: void GetResliceAxesDirectionCosines (double xyz[9]);this GetResliceAxesDirectionCosines xyz xyz xyz \nV.GetResliceAxesDirectionCosines() -> (float, float, float, float, float, float, float, float, float)\nC++: double *GetResliceAxesDirectionCosines ();this GetResliceAxesDirectionCosines this ResliceAxesDirectionCosines return this ResliceAxesDirectionCosines \n\n Specify the direction cosines for the ResliceAxes (i.e. the\n first three elements of each of the first three columns of \n the ResliceAxes matrix).  This will modify the current\n ResliceAxes matrix, or create a new matrix if none exists.\n"},
  {(char*)"SetResliceAxesOrigin",                (PyCFunction)PyvtkImageReslice_SetResliceAxesOrigin, 1,
   (char*)"V.SetResliceAxesOrigin(float, float, float)\nC++: void SetResliceAxesOrigin (double x, double y, double z);\nV.SetResliceAxesOrigin((float, float, float))\nC++: void SetResliceAxesOrigin (const double xyz[3]);this SetResliceAxesOrigin xyz xyz xyz \n\n Specify the origin for the ResliceAxes (i.e. the first three\n elements of the final column of the ResliceAxes matrix).\n This will modify the current ResliceAxes matrix, or create\n new matrix if none exists.\n"},
  {(char*)"GetResliceAxesOrigin",                (PyCFunction)PyvtkImageReslice_GetResliceAxesOrigin, 1,
   (char*)"V.GetResliceAxesOrigin((float, float, float))\nC++: void GetResliceAxesOrigin (double xyz[3]);\nV.GetResliceAxesOrigin() -> (float, float, float)\nC++: double *GetResliceAxesOrigin ();this GetResliceAxesOrigin this ResliceAxesOrigin return this ResliceAxesOrigin \n\n Specify the origin for the ResliceAxes (i.e. the first three\n elements of the final column of the ResliceAxes matrix).\n This will modify the current ResliceAxes matrix, or create\n new matrix if none exists.\n"},
  {(char*)"SetResliceTransform",                (PyCFunction)PyvtkImageReslice_SetResliceTransform, 1,
   (char*)"V.SetResliceTransform(vtkAbstractTransform)\nC++: virtual void SetResliceTransform (vtkAbstractTransform *);\n\n Set a transform to be applied to the resampling grid that has\n been defined via the ResliceAxes and the output Origin, Spacing\n and Extent.  Note that applying a transform to the resampling\n grid (which lies in the output coordinate system) is\n equivalent to applying the inverse of that transform to\n the input volume.  Nonlinear transforms such as vtkGridTransform\n and vtkThinPlateSplineTransform can be used here.\n"},
  {(char*)"GetResliceTransform",                (PyCFunction)PyvtkImageReslice_GetResliceTransform, 1,
   (char*)"V.GetResliceTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetResliceTransform ();\n\n Set a transform to be applied to the resampling grid that has\n been defined via the ResliceAxes and the output Origin, Spacing\n and Extent.  Note that applying a transform to the resampling\n grid (which lies in the output coordinate system) is\n equivalent to applying the inverse of that transform to\n the input volume.  Nonlinear transforms such as vtkGridTransform\n and vtkThinPlateSplineTransform can be used here.\n"},
  {(char*)"SetInformationInput",                (PyCFunction)PyvtkImageReslice_SetInformationInput, 1,
   (char*)"V.SetInformationInput(vtkImageData)\nC++: virtual void SetInformationInput (vtkImageData *);\n\n Set a vtkImageData from which the default Spacing, Origin,\n and WholeExtent of the output will be copied.  The spacing,\n origin, and extent will be permuted according to the \n ResliceAxes.  Any values set via SetOutputSpacing, \n SetOutputOrigin, and SetOutputExtent will override these\n values.  By default, the Spacing, Origin, and WholeExtent\n of the Input are used.\n"},
  {(char*)"GetInformationInput",                (PyCFunction)PyvtkImageReslice_GetInformationInput, 1,
   (char*)"V.GetInformationInput() -> vtkImageData\nC++: vtkImageData *GetInformationInput ();\n\n Set a vtkImageData from which the default Spacing, Origin,\n and WholeExtent of the output will be copied.  The spacing,\n origin, and extent will be permuted according to the \n ResliceAxes.  Any values set via SetOutputSpacing, \n SetOutputOrigin, and SetOutputExtent will override these\n values.  By default, the Spacing, Origin, and WholeExtent\n of the Input are used.\n"},
  {(char*)"SetTransformInputSampling",                (PyCFunction)PyvtkImageReslice_SetTransformInputSampling, 1,
   (char*)"V.SetTransformInputSampling(int)\nC++: void SetTransformInputSampling (int );\n\n Specify whether to transform the spacing, origin and extent\n of the Input (or the InformationInput) according to the\n direction cosines and origin of the ResliceAxes before applying\n them as the default output spacing, origin and extent \n (default: On).\n"},
  {(char*)"TransformInputSamplingOn",                (PyCFunction)PyvtkImageReslice_TransformInputSamplingOn, 1,
   (char*)"V.TransformInputSamplingOn()\nC++: void TransformInputSamplingOn ();\n\n Specify whether to transform the spacing, origin and extent\n of the Input (or the InformationInput) according to the\n direction cosines and origin of the ResliceAxes before applying\n them as the default output spacing, origin and extent \n (default: On).\n"},
  {(char*)"TransformInputSamplingOff",                (PyCFunction)PyvtkImageReslice_TransformInputSamplingOff, 1,
   (char*)"V.TransformInputSamplingOff()\nC++: void TransformInputSamplingOff ();\n\n Specify whether to transform the spacing, origin and extent\n of the Input (or the InformationInput) according to the\n direction cosines and origin of the ResliceAxes before applying\n them as the default output spacing, origin and extent \n (default: On).\n"},
  {(char*)"GetTransformInputSampling",                (PyCFunction)PyvtkImageReslice_GetTransformInputSampling, 1,
   (char*)"V.GetTransformInputSampling() -> int\nC++: int GetTransformInputSampling ();\n\n Specify whether to transform the spacing, origin and extent\n of the Input (or the InformationInput) according to the\n direction cosines and origin of the ResliceAxes before applying\n them as the default output spacing, origin and extent \n (default: On).\n"},
  {(char*)"SetAutoCropOutput",                (PyCFunction)PyvtkImageReslice_SetAutoCropOutput, 1,
   (char*)"V.SetAutoCropOutput(int)\nC++: void SetAutoCropOutput (int );\n\n Turn this on if you want to guarantee that the extent of the\n output will be large enough to ensure that none of the \n data will be cropped (default: Off).\n"},
  {(char*)"AutoCropOutputOn",                (PyCFunction)PyvtkImageReslice_AutoCropOutputOn, 1,
   (char*)"V.AutoCropOutputOn()\nC++: void AutoCropOutputOn ();\n\n Turn this on if you want to guarantee that the extent of the\n output will be large enough to ensure that none of the \n data will be cropped (default: Off).\n"},
  {(char*)"AutoCropOutputOff",                (PyCFunction)PyvtkImageReslice_AutoCropOutputOff, 1,
   (char*)"V.AutoCropOutputOff()\nC++: void AutoCropOutputOff ();\n\n Turn this on if you want to guarantee that the extent of the\n output will be large enough to ensure that none of the \n data will be cropped (default: Off).\n"},
  {(char*)"GetAutoCropOutput",                (PyCFunction)PyvtkImageReslice_GetAutoCropOutput, 1,
   (char*)"V.GetAutoCropOutput() -> int\nC++: int GetAutoCropOutput ();\n\n Turn this on if you want to guarantee that the extent of the\n output will be large enough to ensure that none of the \n data will be cropped (default: Off).\n"},
  {(char*)"SetWrap",                (PyCFunction)PyvtkImageReslice_SetWrap, 1,
   (char*)"V.SetWrap(int)\nC++: void SetWrap (int );\n\n Turn on wrap-pad feature (default: Off).\n"},
  {(char*)"GetWrap",                (PyCFunction)PyvtkImageReslice_GetWrap, 1,
   (char*)"V.GetWrap() -> int\nC++: int GetWrap ();\n\n Turn on wrap-pad feature (default: Off).\n"},
  {(char*)"WrapOn",                (PyCFunction)PyvtkImageReslice_WrapOn, 1,
   (char*)"V.WrapOn()\nC++: void WrapOn ();\n\n Turn on wrap-pad feature (default: Off).\n"},
  {(char*)"WrapOff",                (PyCFunction)PyvtkImageReslice_WrapOff, 1,
   (char*)"V.WrapOff()\nC++: void WrapOff ();\n\n Turn on wrap-pad feature (default: Off).\n"},
  {(char*)"SetMirror",                (PyCFunction)PyvtkImageReslice_SetMirror, 1,
   (char*)"V.SetMirror(int)\nC++: void SetMirror (int );\n\n Turn on mirror-pad feature (default: Off).\n This will override the wrap-pad. \n"},
  {(char*)"GetMirror",                (PyCFunction)PyvtkImageReslice_GetMirror, 1,
   (char*)"V.GetMirror() -> int\nC++: int GetMirror ();\n\n Turn on mirror-pad feature (default: Off).\n This will override the wrap-pad. \n"},
  {(char*)"MirrorOn",                (PyCFunction)PyvtkImageReslice_MirrorOn, 1,
   (char*)"V.MirrorOn()\nC++: void MirrorOn ();\n\n Turn on mirror-pad feature (default: Off).\n This will override the wrap-pad. \n"},
  {(char*)"MirrorOff",                (PyCFunction)PyvtkImageReslice_MirrorOff, 1,
   (char*)"V.MirrorOff()\nC++: void MirrorOff ();\n\n Turn on mirror-pad feature (default: Off).\n This will override the wrap-pad. \n"},
  {(char*)"SetBorder",                (PyCFunction)PyvtkImageReslice_SetBorder, 1,
   (char*)"V.SetBorder(int)\nC++: void SetBorder (int );\n\n Extend the apparent input border by a half voxel (default: On).\n This changes how interpolation is handled at the borders of the\n input image: if the center of an output voxel is beyond the edge\n of the input image, but is within a half voxel width of the edge\n (using the input voxel width), then the value of the output voxel\n is calculated as if the input's edge voxels were duplicated past\n the edges of the input.\n This has no effect if Mirror or Wrap are on.\n"},
  {(char*)"GetBorder",                (PyCFunction)PyvtkImageReslice_GetBorder, 1,
   (char*)"V.GetBorder() -> int\nC++: int GetBorder ();\n\n Extend the apparent input border by a half voxel (default: On).\n This changes how interpolation is handled at the borders of the\n input image: if the center of an output voxel is beyond the edge\n of the input image, but is within a half voxel width of the edge\n (using the input voxel width), then the value of the output voxel\n is calculated as if the input's edge voxels were duplicated past\n the edges of the input.\n This has no effect if Mirror or Wrap are on.\n"},
  {(char*)"BorderOn",                (PyCFunction)PyvtkImageReslice_BorderOn, 1,
   (char*)"V.BorderOn()\nC++: void BorderOn ();\n\n Extend the apparent input border by a half voxel (default: On).\n This changes how interpolation is handled at the borders of the\n input image: if the center of an output voxel is beyond the edge\n of the input image, but is within a half voxel width of the edge\n (using the input voxel width), then the value of the output voxel\n is calculated as if the input's edge voxels were duplicated past\n the edges of the input.\n This has no effect if Mirror or Wrap are on.\n"},
  {(char*)"BorderOff",                (PyCFunction)PyvtkImageReslice_BorderOff, 1,
   (char*)"V.BorderOff()\nC++: void BorderOff ();\n\n Extend the apparent input border by a half voxel (default: On).\n This changes how interpolation is handled at the borders of the\n input image: if the center of an output voxel is beyond the edge\n of the input image, but is within a half voxel width of the edge\n (using the input voxel width), then the value of the output voxel\n is calculated as if the input's edge voxels were duplicated past\n the edges of the input.\n This has no effect if Mirror or Wrap are on.\n"},
  {(char*)"SetInterpolationMode",                (PyCFunction)PyvtkImageReslice_SetInterpolationMode, 1,
   (char*)"V.SetInterpolationMode(int)\nC++: void SetInterpolationMode (int );\n\n Set interpolation mode (default: nearest neighbor). \n"},
  {(char*)"GetInterpolationModeMinValue",                (PyCFunction)PyvtkImageReslice_GetInterpolationModeMinValue, 1,
   (char*)"V.GetInterpolationModeMinValue() -> int\nC++: int GetInterpolationModeMinValue ();\n\n Set interpolation mode (default: nearest neighbor). \n"},
  {(char*)"GetInterpolationModeMaxValue",                (PyCFunction)PyvtkImageReslice_GetInterpolationModeMaxValue, 1,
   (char*)"V.GetInterpolationModeMaxValue() -> int\nC++: int GetInterpolationModeMaxValue ();\n\n Set interpolation mode (default: nearest neighbor). \n"},
  {(char*)"GetInterpolationMode",                (PyCFunction)PyvtkImageReslice_GetInterpolationMode, 1,
   (char*)"V.GetInterpolationMode() -> int\nC++: int GetInterpolationMode ();\n\n Set interpolation mode (default: nearest neighbor). \n"},
  {(char*)"SetInterpolationModeToNearestNeighbor",                (PyCFunction)PyvtkImageReslice_SetInterpolationModeToNearestNeighbor, 1,
   (char*)"V.SetInterpolationModeToNearestNeighbor()\nC++: void SetInterpolationModeToNearestNeighbor ();this SetInterpolationMode VTK_RESLICE_NEAREST \n\n Set interpolation mode (default: nearest neighbor). \n"},
  {(char*)"SetInterpolationModeToLinear",                (PyCFunction)PyvtkImageReslice_SetInterpolationModeToLinear, 1,
   (char*)"V.SetInterpolationModeToLinear()\nC++: void SetInterpolationModeToLinear ();this SetInterpolationMode VTK_RESLICE_LINEAR \n\n Set interpolation mode (default: nearest neighbor). \n"},
  {(char*)"SetInterpolationModeToCubic",                (PyCFunction)PyvtkImageReslice_SetInterpolationModeToCubic, 1,
   (char*)"V.SetInterpolationModeToCubic()\nC++: void SetInterpolationModeToCubic ();this SetInterpolationMode VTK_RESLICE_CUBIC \n\n Set interpolation mode (default: nearest neighbor). \n"},
  {(char*)"GetInterpolationModeAsString",                (PyCFunction)PyvtkImageReslice_GetInterpolationModeAsString, 1,
   (char*)"V.GetInterpolationModeAsString() -> string\nC++: const char *GetInterpolationModeAsString ();\n\n Set interpolation mode (default: nearest neighbor). \n"},
  {(char*)"SetOptimization",                (PyCFunction)PyvtkImageReslice_SetOptimization, 1,
   (char*)"V.SetOptimization(int)\nC++: void SetOptimization (int );\n\n Turn on and off optimizations (default on, they should only be\n turned off for testing purposes). \n"},
  {(char*)"GetOptimization",                (PyCFunction)PyvtkImageReslice_GetOptimization, 1,
   (char*)"V.GetOptimization() -> int\nC++: int GetOptimization ();\n\n Turn on and off optimizations (default on, they should only be\n turned off for testing purposes). \n"},
  {(char*)"OptimizationOn",                (PyCFunction)PyvtkImageReslice_OptimizationOn, 1,
   (char*)"V.OptimizationOn()\nC++: void OptimizationOn ();\n\n Turn on and off optimizations (default on, they should only be\n turned off for testing purposes). \n"},
  {(char*)"OptimizationOff",                (PyCFunction)PyvtkImageReslice_OptimizationOff, 1,
   (char*)"V.OptimizationOff()\nC++: void OptimizationOff ();\n\n Turn on and off optimizations (default on, they should only be\n turned off for testing purposes). \n"},
  {(char*)"SetBackgroundColor",                (PyCFunction)PyvtkImageReslice_SetBackgroundColor, 1,
   (char*)"V.SetBackgroundColor(float, float, float, float)\nC++: void SetBackgroundColor (double , double , double , double );\nV.SetBackgroundColor((float, float, float, float))\nC++: void SetBackgroundColor (double  a[4]);\n\n Set the background color (for multi-component images).\n"},
  {(char*)"GetBackgroundColor",                (PyCFunction)PyvtkImageReslice_GetBackgroundColor, 1,
   (char*)"V.GetBackgroundColor() -> (float, float, float, float)\nC++: double  *GetBackgroundColor ();\n\n Set the background color (for multi-component images).\n"},
  {(char*)"SetBackgroundLevel",                (PyCFunction)PyvtkImageReslice_SetBackgroundLevel, 1,
   (char*)"V.SetBackgroundLevel(float)\nC++: void SetBackgroundLevel (double v);this SetBackgroundColor v v v v \n\n Set background grey level (for single-component images).\n"},
  {(char*)"GetBackgroundLevel",                (PyCFunction)PyvtkImageReslice_GetBackgroundLevel, 1,
   (char*)"V.GetBackgroundLevel() -> float\nC++: double GetBackgroundLevel ();return this GetBackgroundColor \n\n Set background grey level (for single-component images).\n"},
  {(char*)"SetOutputSpacing",                (PyCFunction)PyvtkImageReslice_SetOutputSpacing, 1,
   (char*)"V.SetOutputSpacing(float, float, float)\nC++: void SetOutputSpacing (double , double , double );\nV.SetOutputSpacing((float, float, float))\nC++: void SetOutputSpacing (double  a[3]);\n\n Set the voxel spacing for the output data.  The default output\n spacing is the input spacing permuted through the ResliceAxes.\n"},
  {(char*)"GetOutputSpacing",                (PyCFunction)PyvtkImageReslice_GetOutputSpacing, 1,
   (char*)"V.GetOutputSpacing() -> (float, float, float)\nC++: double  *GetOutputSpacing ();\n\n Set the voxel spacing for the output data.  The default output\n spacing is the input spacing permuted through the ResliceAxes.\n"},
  {(char*)"SetOutputSpacingToDefault",                (PyCFunction)PyvtkImageReslice_SetOutputSpacingToDefault, 1,
   (char*)"V.SetOutputSpacingToDefault()\nC++: void SetOutputSpacingToDefault ();this SetOutputSpacing VTK_DOUBLE_MAX VTK_DOUBLE_MAX VTK_DOUBLE_MAX \n\n Set the voxel spacing for the output data.  The default output\n spacing is the input spacing permuted through the ResliceAxes.\n"},
  {(char*)"SetOutputOrigin",                (PyCFunction)PyvtkImageReslice_SetOutputOrigin, 1,
   (char*)"V.SetOutputOrigin(float, float, float)\nC++: void SetOutputOrigin (double , double , double );\nV.SetOutputOrigin((float, float, float))\nC++: void SetOutputOrigin (double  a[3]);\n\n Set the origin for the output data.  The default output origin\n is the input origin permuted through the ResliceAxes.\n"},
  {(char*)"GetOutputOrigin",                (PyCFunction)PyvtkImageReslice_GetOutputOrigin, 1,
   (char*)"V.GetOutputOrigin() -> (float, float, float)\nC++: double  *GetOutputOrigin ();\n\n Set the origin for the output data.  The default output origin\n is the input origin permuted through the ResliceAxes.\n"},
  {(char*)"SetOutputOriginToDefault",                (PyCFunction)PyvtkImageReslice_SetOutputOriginToDefault, 1,
   (char*)"V.SetOutputOriginToDefault()\nC++: void SetOutputOriginToDefault ();this SetOutputOrigin VTK_DOUBLE_MAX VTK_DOUBLE_MAX VTK_DOUBLE_MAX \n\n Set the origin for the output data.  The default output origin\n is the input origin permuted through the ResliceAxes.\n"},
  {(char*)"SetOutputExtent",                (PyCFunction)PyvtkImageReslice_SetOutputExtent, 1,
   (char*)"V.SetOutputExtent(int, int, int, int, int, int)\nC++: void SetOutputExtent (int , int , int , int , int , int );\nV.SetOutputExtent((int, int, int, int, int, int))\nC++: void SetOutputExtent (int  a[6]);\n\n Set the extent for the output data.  The default output extent\n is the input extent permuted through the ResliceAxes.\n"},
  {(char*)"GetOutputExtent",                (PyCFunction)PyvtkImageReslice_GetOutputExtent, 1,
   (char*)"V.GetOutputExtent() -> (int, int, int, int, int, int)\nC++: int  *GetOutputExtent ();\n\n Set the extent for the output data.  The default output extent\n is the input extent permuted through the ResliceAxes.\n"},
  {(char*)"SetOutputExtentToDefault",                (PyCFunction)PyvtkImageReslice_SetOutputExtentToDefault, 1,
   (char*)"V.SetOutputExtentToDefault()\nC++: void SetOutputExtentToDefault ();this SetOutputExtent VTK_INT_MIN VTK_INT_MAX VTK_INT_MIN VTK_INT_MAX VTK_INT_MIN VTK_INT_MAX \n\n Set the extent for the output data.  The default output extent\n is the input extent permuted through the ResliceAxes.\n"},
  {(char*)"SetOutputDimensionality",                (PyCFunction)PyvtkImageReslice_SetOutputDimensionality, 1,
   (char*)"V.SetOutputDimensionality(int)\nC++: void SetOutputDimensionality (int );\n\n Force the dimensionality of the output to either 1, 2,\n 3 or 0 (default: 3).  If the dimensionality is 2D, then\n the Z extent of the output is forced to (0,0) and the Z\n origin of the output is forced to 0.0 (i.e. the output\n extent is confined to the xy plane).  If the dimensionality\n is 1D, the output extent is confined to the x axis.  \n For 0D, the output extent consists of a single voxel at \n (0,0,0).\n"},
  {(char*)"GetOutputDimensionality",                (PyCFunction)PyvtkImageReslice_GetOutputDimensionality, 1,
   (char*)"V.GetOutputDimensionality() -> int\nC++: int GetOutputDimensionality ();\n\n Force the dimensionality of the output to either 1, 2,\n 3 or 0 (default: 3).  If the dimensionality is 2D, then\n the Z extent of the output is forced to (0,0) and the Z\n origin of the output is forced to 0.0 (i.e. the output\n extent is confined to the xy plane).  If the dimensionality\n is 1D, the output extent is confined to the x axis.  \n For 0D, the output extent consists of a single voxel at \n (0,0,0).\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkImageReslice_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n When determining the modified time of the filter, \n this check the modified time of the transform and matrix.\n"},
  {(char*)"ReportReferences",                (PyCFunction)PyvtkImageReslice_ReportReferences, 1,
   (char*)"V.ReportReferences(vtkGarbageCollector)\nC++: virtual void ReportReferences (vtkGarbageCollector *);\n\n Report object referenced by instances of this class.\n"},
  {(char*)"SetInterpolate",                (PyCFunction)PyvtkImageReslice_SetInterpolate, 1,
   (char*)"V.SetInterpolate(int)\nC++: void SetInterpolate (int t);if t this GetInterpolate this SetInterpolationModeToLinear else if t this GetInterpolate this SetInterpolationModeToNearestNeighbor \n\n Convenient methods for switching between nearest-neighbor and linear\n interpolation.  \n InterpolateOn() is equivalent to SetInterpolationModeToLinear() and\n InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().\n You should not use these methods if you use the SetInterpolationMode\n methods.\n"},
  {(char*)"InterpolateOn",                (PyCFunction)PyvtkImageReslice_InterpolateOn, 1,
   (char*)"V.InterpolateOn()\nC++: void InterpolateOn ();this SetInterpolate \n\n Convenient methods for switching between nearest-neighbor and linear\n interpolation.  \n InterpolateOn() is equivalent to SetInterpolationModeToLinear() and\n InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().\n You should not use these methods if you use the SetInterpolationMode\n methods.\n"},
  {(char*)"InterpolateOff",                (PyCFunction)PyvtkImageReslice_InterpolateOff, 1,
   (char*)"V.InterpolateOff()\nC++: void InterpolateOff ();this SetInterpolate \n\n Convenient methods for switching between nearest-neighbor and linear\n interpolation.  \n InterpolateOn() is equivalent to SetInterpolationModeToLinear() and\n InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().\n You should not use these methods if you use the SetInterpolationMode\n methods.\n"},
  {(char*)"GetInterpolate",                (PyCFunction)PyvtkImageReslice_GetInterpolate, 1,
   (char*)"V.GetInterpolate() -> int\nC++: int GetInterpolate ();return this GetInterpolationMode VTK_RESLICE_NEAREST \n\n Convenient methods for switching between nearest-neighbor and linear\n interpolation.  \n InterpolateOn() is equivalent to SetInterpolationModeToLinear() and\n InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().\n You should not use these methods if you use the SetInterpolationMode\n methods.\n"},
  {(char*)"SetStencil",                (PyCFunction)PyvtkImageReslice_SetStencil, 1,
   (char*)"V.SetStencil(vtkImageStencilData)\nC++: void SetStencil (vtkImageStencilData *stencil);\n\n Use a stencil to limit the calculations to a specific region of\n the output.  Portions of the output that are 'outside' the stencil\n will be cleared to the background color.  \n"},
  {(char*)"GetStencil",                (PyCFunction)PyvtkImageReslice_GetStencil, 1,
   (char*)"V.GetStencil() -> vtkImageStencilData\nC++: vtkImageStencilData *GetStencil ();\n\n Use a stencil to limit the calculations to a specific region of\n the output.  Portions of the output that are 'outside' the stencil\n will be cleared to the background color.  \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageResliceDoc[] = {
  (char*)"vtkImageReslice - Reslices a volume along a new set of axes.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageReslice is the swiss-army-knife of image geometry filters:  \n It can permute, rotate, flip, scale, resample, deform, and pad image\n data in any combination with reasonably high efficiency.  Simple\n operations such as permutation, resampling and padding are done\n with similar efficiently to the specialized vtkImagePermute,\n vtkImageResample, and vtkImagePad filters.  There are a number of\n",
  (char*)" tasks that vtkImageReslice is well suited for:\n <p>1) Application of simple rotations, scales, and translations to\n an image. It is often a good idea to use vtkImageChangeInformation\n to center the image first, so that scales and rotations occur around\n the center rather than around the lower-left corner of the image.\n <p>2) Resampling of one data set to match the voxel sampling of \n a second dat",
  (char*)"a set via the SetInformationInput() method, e.g. for\n the purpose of comparing two images or combining two images.\n A transformation, either linear or nonlinear, can be applied \n at the same time via the SetResliceTransform method if the two\n images are not in the same coordinate space.\n <p>3) Extraction of slices from an image volume.  The most convenient\n way to do this is to use SetResliceAxesD",
  (char*)"irectionCosines() to\n specify the orientation of the slice.  The direction cosines give\n the x, y, and z axes for the output volume.  The method \n SetOutputDimensionality(2) is used to specify that want to output a\n slice rather than a volume.  The SetResliceAxesOrigin() command is\n used to provide an (x,y,z) point that the slice will pass through.\n You can use both the ResliceAxes and the Reslice",
  (char*)"Transform at the\n same time, in order to extract slices from a volume that you have\n applied a transformation to.\n\n",
  "Caveats:\n\n This filter is very inefficient if the output X dimension is 1.\n\n",
  "See Also:\n\n vtkAbstractTransform vtkMatrix4x4\n\n",
  NULL
};

static vtkObjectBase *vtkImageResliceStaticNew()
{
  return vtkImageReslice::New();
}

PyObject *PyVTKClass_vtkImageResliceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageResliceStaticNew,
                        PyvtkImageResliceMethods,
                        (char*)"vtkImageReslice",modulename,
                        (char**)vtkImageResliceDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

