// tcl wrapper for vtkImageReslice object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageReslice.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageResliceNewCommand()
{
  vtkImageReslice *temp = vtkImageReslice::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageResliceCppCommand(vtkImageReslice *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageResliceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageResliceCppCommand(static_cast<vtkImageReslice *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageResliceCppCommand(vtkImageReslice *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageReslice",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageReslice  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageReslice");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageReslice  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageReslice");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageReslice  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageReslice");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResliceAxes",argv[1]))&&(argc == 3))
    {
    vtkMatrix4x4  *temp0;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->SetResliceAxes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResliceAxes",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetResliceAxes();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("SetResliceAxesDirectionCosines",argv[1]))&&(argc == 11))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    double   temp6;
    double   temp7;
    double   temp8;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp7 = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp8 = tempd;
    if (!error)
    {
    op->SetResliceAxesDirectionCosines(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResliceAxesDirectionCosines",argv[1]))&&(argc == 11))
    {
    double temp0[9];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (!error)
    {
    op->SetResliceAxesDirectionCosines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResliceAxesDirectionCosines",argv[1]))&&(argc == 11))
    {
    double temp0[9];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (!error)
    {
    op->GetResliceAxesDirectionCosines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResliceAxesDirectionCosines",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetResliceAxesDirectionCosines();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[6], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[7], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[8], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetResliceAxesOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetResliceAxesOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResliceAxesOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetResliceAxesOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResliceAxesOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetResliceAxesOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResliceAxesOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetResliceAxesOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetResliceTransform",argv[1]))&&(argc == 3))
    {
    vtkAbstractTransform  *temp0;
    error = 0;

    temp0 = (vtkAbstractTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractTransform"),interp,error));
    if (!error)
    {
    op->SetResliceTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResliceTransform",argv[1]))&&(argc == 2))
    {
    vtkAbstractTransform  *temp20;
    temp20 = (op)->GetResliceTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractTransform");
    return TCL_OK;
    }
  if ((!strcmp("SetInformationInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetInformationInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInformationInput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetInformationInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetTransformInputSampling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTransformInputSampling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TransformInputSamplingOn",argv[1]))&&(argc == 2))
    {
    op->TransformInputSamplingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TransformInputSamplingOff",argv[1]))&&(argc == 2))
    {
    op->TransformInputSamplingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTransformInputSampling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTransformInputSampling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoCropOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoCropOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AutoCropOutputOn",argv[1]))&&(argc == 2))
    {
    op->AutoCropOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoCropOutputOff",argv[1]))&&(argc == 2))
    {
    op->AutoCropOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoCropOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoCropOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWrap",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWrap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWrap",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWrap();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WrapOn",argv[1]))&&(argc == 2))
    {
    op->WrapOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WrapOff",argv[1]))&&(argc == 2))
    {
    op->WrapOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMirror",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMirror(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMirror",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMirror();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MirrorOn",argv[1]))&&(argc == 2))
    {
    op->MirrorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MirrorOff",argv[1]))&&(argc == 2))
    {
    op->MirrorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBorder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BorderOn",argv[1]))&&(argc == 2))
    {
    op->BorderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BorderOff",argv[1]))&&(argc == 2))
    {
    op->BorderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationModeToNearestNeighbor",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationModeToNearestNeighbor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationModeToLinear",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationModeToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationModeToCubic",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationModeToCubic();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetInterpolationModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOptimization",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOptimization(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOptimization",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOptimization();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OptimizationOn",argv[1]))&&(argc == 2))
    {
    op->OptimizationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OptimizationOff",argv[1]))&&(argc == 2))
    {
    op->OptimizationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundColor",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetBackgroundColor(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackgroundColor",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetBackgroundColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBackgroundColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundLevel",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBackgroundLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundLevel",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBackgroundLevel();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputSpacing",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOutputSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputSpacing",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOutputSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOutputSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutputSpacingToDefault",argv[1]))&&(argc == 2))
    {
    op->SetOutputSpacingToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOutputOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOutputOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOutputOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutputOriginToDefault",argv[1]))&&(argc == 2))
    {
    op->SetOutputOriginToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetOutputExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetOutputExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetOutputExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutputExtentToDefault",argv[1]))&&(argc == 2))
    {
    op->SetOutputExtentToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputDimensionality",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputDimensionality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputDimensionality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputDimensionality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReportReferences",argv[1]))&&(argc == 3))
    {
    vtkGarbageCollector  *temp0;
    error = 0;

    temp0 = (vtkGarbageCollector *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGarbageCollector"),interp,error));
    if (!error)
    {
    op->ReportReferences(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInterpolate",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateOn",argv[1]))&&(argc == 2))
    {
    op->InterpolateOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InterpolateOff",argv[1]))&&(argc == 2))
    {
    op->InterpolateOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolate",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolate();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStencil",argv[1]))&&(argc == 3))
    {
    vtkImageStencilData  *temp0;
    error = 0;

    temp0 = (vtkImageStencilData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageStencilData"),interp,error));
    if (!error)
    {
    op->SetStencil(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStencil",argv[1]))&&(argc == 2))
    {
    vtkImageStencilData  *temp20;
    temp20 = (op)->GetStencil();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageStencilData");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageResliceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageReslice:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceAxes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceAxesDirectionCosines\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceAxesDirectionCosines\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceAxesDirectionCosines\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceAxesDirectionCosines\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceAxesOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceAxesOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceAxesOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceAxesOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceTransform\n",NULL);
    Tcl_AppendResult(interp,"  SetInformationInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInformationInput\n",NULL);
    Tcl_AppendResult(interp,"  SetTransformInputSampling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TransformInputSamplingOn\n",NULL);
    Tcl_AppendResult(interp,"  TransformInputSamplingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTransformInputSampling\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoCropOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AutoCropOutputOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoCropOutputOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoCropOutput\n",NULL);
    Tcl_AppendResult(interp,"  SetWrap\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWrap\n",NULL);
    Tcl_AppendResult(interp,"  WrapOn\n",NULL);
    Tcl_AppendResult(interp,"  WrapOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMirror\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMirror\n",NULL);
    Tcl_AppendResult(interp,"  MirrorOn\n",NULL);
    Tcl_AppendResult(interp,"  MirrorOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBorder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorder\n",NULL);
    Tcl_AppendResult(interp,"  BorderOn\n",NULL);
    Tcl_AppendResult(interp,"  BorderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationMode\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationModeToNearestNeighbor\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationModeToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationModeToCubic\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetOptimization\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOptimization\n",NULL);
    Tcl_AppendResult(interp,"  OptimizationOn\n",NULL);
    Tcl_AppendResult(interp,"  OptimizationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundColor\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputSpacingToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputOriginToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputExtent\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputExtentToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputDimensionality\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputDimensionality\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  ReportReferences\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateOn\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateOff\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolate\n",NULL);
    Tcl_AppendResult(interp,"  SetStencil\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStencil\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetResliceAxes" );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxes" );
    Tcl_DStringAppendElement ( &dString, "SetResliceAxesDirectionCosines" );
    Tcl_DStringAppendElement ( &dString, "SetResliceAxesDirectionCosines" );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxesDirectionCosines" );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxesDirectionCosines" );
    Tcl_DStringAppendElement ( &dString, "SetResliceAxesOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetResliceAxesOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxesOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxesOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetResliceTransform" );
    Tcl_DStringAppendElement ( &dString, "GetResliceTransform" );
    Tcl_DStringAppendElement ( &dString, "SetInformationInput" );
    Tcl_DStringAppendElement ( &dString, "GetInformationInput" );
    Tcl_DStringAppendElement ( &dString, "SetTransformInputSampling" );
    Tcl_DStringAppendElement ( &dString, "TransformInputSamplingOn" );
    Tcl_DStringAppendElement ( &dString, "TransformInputSamplingOff" );
    Tcl_DStringAppendElement ( &dString, "GetTransformInputSampling" );
    Tcl_DStringAppendElement ( &dString, "SetAutoCropOutput" );
    Tcl_DStringAppendElement ( &dString, "AutoCropOutputOn" );
    Tcl_DStringAppendElement ( &dString, "AutoCropOutputOff" );
    Tcl_DStringAppendElement ( &dString, "GetAutoCropOutput" );
    Tcl_DStringAppendElement ( &dString, "SetWrap" );
    Tcl_DStringAppendElement ( &dString, "GetWrap" );
    Tcl_DStringAppendElement ( &dString, "WrapOn" );
    Tcl_DStringAppendElement ( &dString, "WrapOff" );
    Tcl_DStringAppendElement ( &dString, "SetMirror" );
    Tcl_DStringAppendElement ( &dString, "GetMirror" );
    Tcl_DStringAppendElement ( &dString, "MirrorOn" );
    Tcl_DStringAppendElement ( &dString, "MirrorOff" );
    Tcl_DStringAppendElement ( &dString, "SetBorder" );
    Tcl_DStringAppendElement ( &dString, "GetBorder" );
    Tcl_DStringAppendElement ( &dString, "BorderOn" );
    Tcl_DStringAppendElement ( &dString, "BorderOff" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationMode" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationMode" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToNearestNeighbor" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToCubic" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetOptimization" );
    Tcl_DStringAppendElement ( &dString, "GetOptimization" );
    Tcl_DStringAppendElement ( &dString, "OptimizationOn" );
    Tcl_DStringAppendElement ( &dString, "OptimizationOff" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundColor" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundLevel" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundLevel" );
    Tcl_DStringAppendElement ( &dString, "SetOutputSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetOutputSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetOutputSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetOutputSpacingToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetOutputOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOutputOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOutputOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOutputOriginToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetOutputExtent" );
    Tcl_DStringAppendElement ( &dString, "SetOutputExtent" );
    Tcl_DStringAppendElement ( &dString, "GetOutputExtent" );
    Tcl_DStringAppendElement ( &dString, "SetOutputExtentToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetOutputDimensionality" );
    Tcl_DStringAppendElement ( &dString, "GetOutputDimensionality" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "ReportReferences" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolate" );
    Tcl_DStringAppendElement ( &dString, "InterpolateOn" );
    Tcl_DStringAppendElement ( &dString, "InterpolateOff" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolate" );
    Tcl_DStringAppendElement ( &dString, "SetStencil" );
    Tcl_DStringAppendElement ( &dString, "GetStencil" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageReslice *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceAxes */
    if ( strcmp ( argv[2], "SetResliceAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceAxes */
    Tcl_DStringAppendElement ( &dString, " This method is used to set up the axes for the output voxels.\n The output Spacing, Origin, and Extent specify the locations\n of the voxels within the coordinate system defined by the axes.\n The ResliceAxes are used most often to permute the data, e.g.\n to extract ZY or XZ slices of a volume as 2D XY images.\n <p>The first column of the matrix specifies the x-axis \n vector (the fourth element must be set to zero), the second\n column specifies the y-axis, and the third  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetResliceAxes (vtkMatrix4x4 *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetResliceAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceAxes */
    if ( strcmp ( argv[2], "GetResliceAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceAxes */
    Tcl_DStringAppendElement ( &dString, " This method is used to set up the axes for the output voxels.\n The output Spacing, Origin, and Extent specify the locations\n of the voxels within the coordinate system defined by the axes.\n The ResliceAxes are used most often to permute the data, e.g.\n to extract ZY or XZ slices of a volume as 2D XY images.\n <p>The first column of the matrix specifies the x-axis \n vector (the fourth element must be set to zero), the second\n column specifies the y-axis, and the third  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4 *GetResliceAxes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetResliceAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceAxesDirectionCosines */
    if ( strcmp ( argv[2], "SetResliceAxesDirectionCosines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceAxesDirectionCosines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceAxesDirectionCosines */
    Tcl_DStringAppendElement ( &dString, " Specify the direction cosines for the ResliceAxes (i.e. the\n first three elements of each of the first three columns of \n the ResliceAxes matrix).  This will modify the current\n ResliceAxes matrix, or create a new matrix if none exists.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResliceAxesDirectionCosines (double x0, double x1, double x2, double y0, double y1, double y2, double z0, double z1, double z2);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetResliceAxesDirectionCosines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceAxesDirectionCosines */
    if ( strcmp ( argv[2], "SetResliceAxesDirectionCosines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceAxesDirectionCosines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceAxesDirectionCosines */
    Tcl_DStringAppendElement ( &dString, " Specify the direction cosines for the ResliceAxes (i.e. the\n first three elements of each of the first three columns of \n the ResliceAxes matrix).  This will modify the current\n ResliceAxes matrix, or create a new matrix if none exists.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResliceAxesDirectionCosines (const double xyz\\[9\\]);this SetResliceAxesDirectionCosines xyz xyz xyz xyz xyz xyz xyz xyz xyz " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetResliceAxesDirectionCosines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceAxesDirectionCosines */
    if ( strcmp ( argv[2], "GetResliceAxesDirectionCosines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxesDirectionCosines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceAxesDirectionCosines */
    Tcl_DStringAppendElement ( &dString, " Specify the direction cosines for the ResliceAxes (i.e. the\n first three elements of each of the first three columns of \n the ResliceAxes matrix).  This will modify the current\n ResliceAxes matrix, or create a new matrix if none exists.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetResliceAxesDirectionCosines (double xyz\\[9\\]);this GetResliceAxesDirectionCosines xyz xyz xyz " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetResliceAxesDirectionCosines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceAxesDirectionCosines */
    if ( strcmp ( argv[2], "GetResliceAxesDirectionCosines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxesDirectionCosines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceAxesDirectionCosines */
    Tcl_DStringAppendElement ( &dString, " Specify the direction cosines for the ResliceAxes (i.e. the\n first three elements of each of the first three columns of \n the ResliceAxes matrix).  This will modify the current\n ResliceAxes matrix, or create a new matrix if none exists.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetResliceAxesDirectionCosines ();this GetResliceAxesDirectionCosines this ResliceAxesDirectionCosines return this ResliceAxesDirectionCosines " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetResliceAxesDirectionCosines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceAxesOrigin */
    if ( strcmp ( argv[2], "SetResliceAxesOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceAxesOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceAxesOrigin */
    Tcl_DStringAppendElement ( &dString, " Specify the origin for the ResliceAxes (i.e. the first three\n elements of the final column of the ResliceAxes matrix).\n This will modify the current ResliceAxes matrix, or create\n new matrix if none exists.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResliceAxesOrigin (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetResliceAxesOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceAxesOrigin */
    if ( strcmp ( argv[2], "SetResliceAxesOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceAxesOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceAxesOrigin */
    Tcl_DStringAppendElement ( &dString, " Specify the origin for the ResliceAxes (i.e. the first three\n elements of the final column of the ResliceAxes matrix).\n This will modify the current ResliceAxes matrix, or create\n new matrix if none exists.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResliceAxesOrigin (const double xyz\\[3\\]);this SetResliceAxesOrigin xyz xyz xyz " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetResliceAxesOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceAxesOrigin */
    if ( strcmp ( argv[2], "GetResliceAxesOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxesOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceAxesOrigin */
    Tcl_DStringAppendElement ( &dString, " Specify the origin for the ResliceAxes (i.e. the first three\n elements of the final column of the ResliceAxes matrix).\n This will modify the current ResliceAxes matrix, or create\n new matrix if none exists.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetResliceAxesOrigin (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetResliceAxesOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceAxesOrigin */
    if ( strcmp ( argv[2], "GetResliceAxesOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxesOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceAxesOrigin */
    Tcl_DStringAppendElement ( &dString, " Specify the origin for the ResliceAxes (i.e. the first three\n elements of the final column of the ResliceAxes matrix).\n This will modify the current ResliceAxes matrix, or create\n new matrix if none exists.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetResliceAxesOrigin ();this GetResliceAxesOrigin this ResliceAxesOrigin return this ResliceAxesOrigin " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetResliceAxesOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceTransform */
    if ( strcmp ( argv[2], "SetResliceTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceTransform */
    Tcl_DStringAppendElement ( &dString, " Set a transform to be applied to the resampling grid that has\n been defined via the ResliceAxes and the output Origin, Spacing\n and Extent.  Note that applying a transform to the resampling\n grid (which lies in the output coordinate system) is\n equivalent to applying the inverse of that transform to\n the input volume.  Nonlinear transforms such as vtkGridTransform\n and vtkThinPlateSplineTransform can be used here.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetResliceTransform (vtkAbstractTransform *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetResliceTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceTransform */
    if ( strcmp ( argv[2], "GetResliceTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceTransform */
    Tcl_DStringAppendElement ( &dString, " Set a transform to be applied to the resampling grid that has\n been defined via the ResliceAxes and the output Origin, Spacing\n and Extent.  Note that applying a transform to the resampling\n grid (which lies in the output coordinate system) is\n equivalent to applying the inverse of that transform to\n the input volume.  Nonlinear transforms such as vtkGridTransform\n and vtkThinPlateSplineTransform can be used here.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform *GetResliceTransform ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetResliceTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInformationInput */
    if ( strcmp ( argv[2], "SetInformationInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInformationInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInformationInput */
    Tcl_DStringAppendElement ( &dString, " Set a vtkImageData from which the default Spacing, Origin,\n and WholeExtent of the output will be copied.  The spacing,\n origin, and extent will be permuted according to the \n ResliceAxes.  Any values set via SetOutputSpacing, \n SetOutputOrigin, and SetOutputExtent will override these\n values.  By default, the Spacing, Origin, and WholeExtent\n of the Input are used.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInformationInput (vtkImageData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetInformationInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInformationInput */
    if ( strcmp ( argv[2], "GetInformationInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInformationInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInformationInput */
    Tcl_DStringAppendElement ( &dString, " Set a vtkImageData from which the default Spacing, Origin,\n and WholeExtent of the output will be copied.  The spacing,\n origin, and extent will be permuted according to the \n ResliceAxes.  Any values set via SetOutputSpacing, \n SetOutputOrigin, and SetOutputExtent will override these\n values.  By default, the Spacing, Origin, and WholeExtent\n of the Input are used.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetInformationInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetInformationInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransformInputSampling */
    if ( strcmp ( argv[2], "SetTransformInputSampling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransformInputSampling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransformInputSampling */
    Tcl_DStringAppendElement ( &dString, " Specify whether to transform the spacing, origin and extent\n of the Input (or the InformationInput) according to the\n direction cosines and origin of the ResliceAxes before applying\n them as the default output spacing, origin and extent \n (default: On).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTransformInputSampling (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetTransformInputSampling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TransformInputSamplingOn */
    if ( strcmp ( argv[2], "TransformInputSamplingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TransformInputSamplingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TransformInputSamplingOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether to transform the spacing, origin and extent\n of the Input (or the InformationInput) according to the\n direction cosines and origin of the ResliceAxes before applying\n them as the default output spacing, origin and extent \n (default: On).\n" );
    Tcl_DStringAppendElement ( &dString, "void TransformInputSamplingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for TransformInputSamplingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TransformInputSamplingOff */
    if ( strcmp ( argv[2], "TransformInputSamplingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TransformInputSamplingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TransformInputSamplingOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether to transform the spacing, origin and extent\n of the Input (or the InformationInput) according to the\n direction cosines and origin of the ResliceAxes before applying\n them as the default output spacing, origin and extent \n (default: On).\n" );
    Tcl_DStringAppendElement ( &dString, "void TransformInputSamplingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for TransformInputSamplingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransformInputSampling */
    if ( strcmp ( argv[2], "GetTransformInputSampling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransformInputSampling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransformInputSampling */
    Tcl_DStringAppendElement ( &dString, " Specify whether to transform the spacing, origin and extent\n of the Input (or the InformationInput) according to the\n direction cosines and origin of the ResliceAxes before applying\n them as the default output spacing, origin and extent \n (default: On).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTransformInputSampling ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetTransformInputSampling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoCropOutput */
    if ( strcmp ( argv[2], "SetAutoCropOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoCropOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoCropOutput */
    Tcl_DStringAppendElement ( &dString, " Turn this on if you want to guarantee that the extent of the\n output will be large enough to ensure that none of the \n data will be cropped (default: Off).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoCropOutput (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetAutoCropOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoCropOutputOn */
    if ( strcmp ( argv[2], "AutoCropOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoCropOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoCropOutputOn */
    Tcl_DStringAppendElement ( &dString, " Turn this on if you want to guarantee that the extent of the\n output will be large enough to ensure that none of the \n data will be cropped (default: Off).\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoCropOutputOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for AutoCropOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoCropOutputOff */
    if ( strcmp ( argv[2], "AutoCropOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoCropOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoCropOutputOff */
    Tcl_DStringAppendElement ( &dString, " Turn this on if you want to guarantee that the extent of the\n output will be large enough to ensure that none of the \n data will be cropped (default: Off).\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoCropOutputOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for AutoCropOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoCropOutput */
    if ( strcmp ( argv[2], "GetAutoCropOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoCropOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoCropOutput */
    Tcl_DStringAppendElement ( &dString, " Turn this on if you want to guarantee that the extent of the\n output will be large enough to ensure that none of the \n data will be cropped (default: Off).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoCropOutput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetAutoCropOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWrap */
    if ( strcmp ( argv[2], "SetWrap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWrap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWrap */
    Tcl_DStringAppendElement ( &dString, " Turn on wrap-pad feature (default: Off).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWrap (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetWrap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWrap */
    if ( strcmp ( argv[2], "GetWrap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWrap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWrap */
    Tcl_DStringAppendElement ( &dString, " Turn on wrap-pad feature (default: Off).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWrap ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetWrap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WrapOn */
    if ( strcmp ( argv[2], "WrapOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WrapOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WrapOn */
    Tcl_DStringAppendElement ( &dString, " Turn on wrap-pad feature (default: Off).\n" );
    Tcl_DStringAppendElement ( &dString, "void WrapOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for WrapOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WrapOff */
    if ( strcmp ( argv[2], "WrapOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WrapOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WrapOff */
    Tcl_DStringAppendElement ( &dString, " Turn on wrap-pad feature (default: Off).\n" );
    Tcl_DStringAppendElement ( &dString, "void WrapOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for WrapOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMirror */
    if ( strcmp ( argv[2], "SetMirror" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMirror" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMirror */
    Tcl_DStringAppendElement ( &dString, " Turn on mirror-pad feature (default: Off).\n This will override the wrap-pad. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetMirror (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetMirror */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMirror */
    if ( strcmp ( argv[2], "GetMirror" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMirror" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMirror */
    Tcl_DStringAppendElement ( &dString, " Turn on mirror-pad feature (default: Off).\n This will override the wrap-pad. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetMirror ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetMirror */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MirrorOn */
    if ( strcmp ( argv[2], "MirrorOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MirrorOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MirrorOn */
    Tcl_DStringAppendElement ( &dString, " Turn on mirror-pad feature (default: Off).\n This will override the wrap-pad. \n" );
    Tcl_DStringAppendElement ( &dString, "void MirrorOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for MirrorOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MirrorOff */
    if ( strcmp ( argv[2], "MirrorOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MirrorOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MirrorOff */
    Tcl_DStringAppendElement ( &dString, " Turn on mirror-pad feature (default: Off).\n This will override the wrap-pad. \n" );
    Tcl_DStringAppendElement ( &dString, "void MirrorOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for MirrorOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorder */
    if ( strcmp ( argv[2], "SetBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorder */
    Tcl_DStringAppendElement ( &dString, " Extend the apparent input border by a half voxel (default: On).\n This changes how interpolation is handled at the borders of the\n input image: if the center of an output voxel is beyond the edge\n of the input image, but is within a half voxel width of the edge\n (using the input voxel width), then the value of the output voxel\n is calculated as if the input's edge voxels were duplicated past\n the edges of the input.\n This has no effect if Mirror or Wrap are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorder (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorder */
    if ( strcmp ( argv[2], "GetBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorder */
    Tcl_DStringAppendElement ( &dString, " Extend the apparent input border by a half voxel (default: On).\n This changes how interpolation is handled at the borders of the\n input image: if the center of an output voxel is beyond the edge\n of the input image, but is within a half voxel width of the edge\n (using the input voxel width), then the value of the output voxel\n is calculated as if the input's edge voxels were duplicated past\n the edges of the input.\n This has no effect if Mirror or Wrap are on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorder ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BorderOn */
    if ( strcmp ( argv[2], "BorderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BorderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BorderOn */
    Tcl_DStringAppendElement ( &dString, " Extend the apparent input border by a half voxel (default: On).\n This changes how interpolation is handled at the borders of the\n input image: if the center of an output voxel is beyond the edge\n of the input image, but is within a half voxel width of the edge\n (using the input voxel width), then the value of the output voxel\n is calculated as if the input's edge voxels were duplicated past\n the edges of the input.\n This has no effect if Mirror or Wrap are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void BorderOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for BorderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BorderOff */
    if ( strcmp ( argv[2], "BorderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BorderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BorderOff */
    Tcl_DStringAppendElement ( &dString, " Extend the apparent input border by a half voxel (default: On).\n This changes how interpolation is handled at the borders of the\n input image: if the center of an output voxel is beyond the edge\n of the input image, but is within a half voxel width of the edge\n (using the input voxel width), then the value of the output voxel\n is calculated as if the input's edge voxels were duplicated past\n the edges of the input.\n This has no effect if Mirror or Wrap are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void BorderOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for BorderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationMode */
    if ( strcmp ( argv[2], "SetInterpolationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationMode */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode (default: nearest neighbor). \n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetInterpolationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationModeMinValue */
    if ( strcmp ( argv[2], "GetInterpolationModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode (default: nearest neighbor). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationModeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetInterpolationModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationModeMaxValue */
    if ( strcmp ( argv[2], "GetInterpolationModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode (default: nearest neighbor). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationModeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetInterpolationModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationMode */
    if ( strcmp ( argv[2], "GetInterpolationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationMode */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode (default: nearest neighbor). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetInterpolationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationModeToNearestNeighbor */
    if ( strcmp ( argv[2], "SetInterpolationModeToNearestNeighbor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToNearestNeighbor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationModeToNearestNeighbor */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode (default: nearest neighbor). \n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationModeToNearestNeighbor ();this SetInterpolationMode VTK_RESLICE_NEAREST " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetInterpolationModeToNearestNeighbor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationModeToLinear */
    if ( strcmp ( argv[2], "SetInterpolationModeToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationModeToLinear */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode (default: nearest neighbor). \n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationModeToLinear ();this SetInterpolationMode VTK_RESLICE_LINEAR " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetInterpolationModeToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationModeToCubic */
    if ( strcmp ( argv[2], "SetInterpolationModeToCubic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToCubic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationModeToCubic */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode (default: nearest neighbor). \n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationModeToCubic ();this SetInterpolationMode VTK_RESLICE_CUBIC " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetInterpolationModeToCubic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationModeAsString */
    if ( strcmp ( argv[2], "GetInterpolationModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationModeAsString */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode (default: nearest neighbor). \n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetInterpolationModeAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetInterpolationModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOptimization */
    if ( strcmp ( argv[2], "SetOptimization" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOptimization" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOptimization */
    Tcl_DStringAppendElement ( &dString, " Turn on and off optimizations (default on, they should only be\n turned off for testing purposes). \n" );
    Tcl_DStringAppendElement ( &dString, "void SetOptimization (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetOptimization */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOptimization */
    if ( strcmp ( argv[2], "GetOptimization" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOptimization" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOptimization */
    Tcl_DStringAppendElement ( &dString, " Turn on and off optimizations (default on, they should only be\n turned off for testing purposes). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetOptimization ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetOptimization */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OptimizationOn */
    if ( strcmp ( argv[2], "OptimizationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OptimizationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OptimizationOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off optimizations (default on, they should only be\n turned off for testing purposes). \n" );
    Tcl_DStringAppendElement ( &dString, "void OptimizationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for OptimizationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OptimizationOff */
    if ( strcmp ( argv[2], "OptimizationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OptimizationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OptimizationOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off optimizations (default on, they should only be\n turned off for testing purposes). \n" );
    Tcl_DStringAppendElement ( &dString, "void OptimizationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for OptimizationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundColor */
    if ( strcmp ( argv[2], "SetBackgroundColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundColor */
    Tcl_DStringAppendElement ( &dString, " Set the background color (for multi-component images).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundColor (double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetBackgroundColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundColor */
    if ( strcmp ( argv[2], "SetBackgroundColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundColor */
    Tcl_DStringAppendElement ( &dString, " Set the background color (for multi-component images).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundColor (double  a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetBackgroundColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundColor */
    if ( strcmp ( argv[2], "GetBackgroundColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundColor */
    Tcl_DStringAppendElement ( &dString, " Set the background color (for multi-component images).\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetBackgroundColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetBackgroundColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundLevel */
    if ( strcmp ( argv[2], "SetBackgroundLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundLevel */
    Tcl_DStringAppendElement ( &dString, " Set background grey level (for single-component images).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundLevel (double v);this SetBackgroundColor v v v v " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetBackgroundLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundLevel */
    if ( strcmp ( argv[2], "GetBackgroundLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundLevel */
    Tcl_DStringAppendElement ( &dString, " Set background grey level (for single-component images).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBackgroundLevel ();return this GetBackgroundColor " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetBackgroundLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputSpacing */
    if ( strcmp ( argv[2], "SetOutputSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputSpacing */
    Tcl_DStringAppendElement ( &dString, " Set the voxel spacing for the output data.  The default output\n spacing is the input spacing permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputSpacing (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetOutputSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputSpacing */
    if ( strcmp ( argv[2], "SetOutputSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputSpacing */
    Tcl_DStringAppendElement ( &dString, " Set the voxel spacing for the output data.  The default output\n spacing is the input spacing permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputSpacing (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetOutputSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputSpacing */
    if ( strcmp ( argv[2], "GetOutputSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputSpacing */
    Tcl_DStringAppendElement ( &dString, " Set the voxel spacing for the output data.  The default output\n spacing is the input spacing permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetOutputSpacing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetOutputSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputSpacingToDefault */
    if ( strcmp ( argv[2], "SetOutputSpacingToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputSpacingToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputSpacingToDefault */
    Tcl_DStringAppendElement ( &dString, " Set the voxel spacing for the output data.  The default output\n spacing is the input spacing permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputSpacingToDefault ();this SetOutputSpacing VTK_DOUBLE_MAX VTK_DOUBLE_MAX VTK_DOUBLE_MAX " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetOutputSpacingToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputOrigin */
    if ( strcmp ( argv[2], "SetOutputOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputOrigin */
    Tcl_DStringAppendElement ( &dString, " Set the origin for the output data.  The default output origin\n is the input origin permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputOrigin (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetOutputOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputOrigin */
    if ( strcmp ( argv[2], "SetOutputOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputOrigin */
    Tcl_DStringAppendElement ( &dString, " Set the origin for the output data.  The default output origin\n is the input origin permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputOrigin (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetOutputOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputOrigin */
    if ( strcmp ( argv[2], "GetOutputOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputOrigin */
    Tcl_DStringAppendElement ( &dString, " Set the origin for the output data.  The default output origin\n is the input origin permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetOutputOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetOutputOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputOriginToDefault */
    if ( strcmp ( argv[2], "SetOutputOriginToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputOriginToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputOriginToDefault */
    Tcl_DStringAppendElement ( &dString, " Set the origin for the output data.  The default output origin\n is the input origin permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputOriginToDefault ();this SetOutputOrigin VTK_DOUBLE_MAX VTK_DOUBLE_MAX VTK_DOUBLE_MAX " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetOutputOriginToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputExtent */
    if ( strcmp ( argv[2], "SetOutputExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputExtent */
    Tcl_DStringAppendElement ( &dString, " Set the extent for the output data.  The default output extent\n is the input extent permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputExtent (int , int , int , int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetOutputExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputExtent */
    if ( strcmp ( argv[2], "SetOutputExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputExtent */
    Tcl_DStringAppendElement ( &dString, " Set the extent for the output data.  The default output extent\n is the input extent permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputExtent (int  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetOutputExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputExtent */
    if ( strcmp ( argv[2], "GetOutputExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputExtent */
    Tcl_DStringAppendElement ( &dString, " Set the extent for the output data.  The default output extent\n is the input extent permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetOutputExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetOutputExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputExtentToDefault */
    if ( strcmp ( argv[2], "SetOutputExtentToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputExtentToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputExtentToDefault */
    Tcl_DStringAppendElement ( &dString, " Set the extent for the output data.  The default output extent\n is the input extent permuted through the ResliceAxes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputExtentToDefault ();this SetOutputExtent VTK_INT_MIN VTK_INT_MAX VTK_INT_MIN VTK_INT_MAX VTK_INT_MIN VTK_INT_MAX " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetOutputExtentToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputDimensionality */
    if ( strcmp ( argv[2], "SetOutputDimensionality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputDimensionality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputDimensionality */
    Tcl_DStringAppendElement ( &dString, " Force the dimensionality of the output to either 1, 2,\n 3 or 0 (default: 3).  If the dimensionality is 2D, then\n the Z extent of the output is forced to (0,0) and the Z\n origin of the output is forced to 0.0 (i.e. the output\n extent is confined to the xy plane).  If the dimensionality\n is 1D, the output extent is confined to the x axis.  \n For 0D, the output extent consists of a single voxel at \n (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputDimensionality (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetOutputDimensionality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputDimensionality */
    if ( strcmp ( argv[2], "GetOutputDimensionality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputDimensionality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputDimensionality */
    Tcl_DStringAppendElement ( &dString, " Force the dimensionality of the output to either 1, 2,\n 3 or 0 (default: 3).  If the dimensionality is 2D, then\n the Z extent of the output is forced to (0,0) and the Z\n origin of the output is forced to 0.0 (i.e. the output\n extent is confined to the xy plane).  If the dimensionality\n is 1D, the output extent is confined to the x axis.  \n For 0D, the output extent consists of a single voxel at \n (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputDimensionality ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetOutputDimensionality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " When determining the modified time of the filter, \n this check the modified time of the transform and matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReportReferences */
    if ( strcmp ( argv[2], "ReportReferences" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReportReferences" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGarbageCollector" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReportReferences */
    Tcl_DStringAppendElement ( &dString, " Report object referenced by instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReportReferences (vtkGarbageCollector *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for ReportReferences */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolate */
    if ( strcmp ( argv[2], "SetInterpolate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolate */
    Tcl_DStringAppendElement ( &dString, " Convenient methods for switching between nearest-neighbor and linear\n interpolation.  \n InterpolateOn() is equivalent to SetInterpolationModeToLinear() and\n InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().\n You should not use these methods if you use the SetInterpolationMode\n methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolate (int t);if t this GetInterpolate this SetInterpolationModeToLinear else if t this GetInterpolate this SetInterpolationModeToNearestNeighbor " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetInterpolate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateOn */
    if ( strcmp ( argv[2], "InterpolateOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateOn */
    Tcl_DStringAppendElement ( &dString, " Convenient methods for switching between nearest-neighbor and linear\n interpolation.  \n InterpolateOn() is equivalent to SetInterpolationModeToLinear() and\n InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().\n You should not use these methods if you use the SetInterpolationMode\n methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateOn ();this SetInterpolate " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for InterpolateOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateOff */
    if ( strcmp ( argv[2], "InterpolateOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateOff */
    Tcl_DStringAppendElement ( &dString, " Convenient methods for switching between nearest-neighbor and linear\n interpolation.  \n InterpolateOn() is equivalent to SetInterpolationModeToLinear() and\n InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().\n You should not use these methods if you use the SetInterpolationMode\n methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateOff ();this SetInterpolate " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for InterpolateOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolate */
    if ( strcmp ( argv[2], "GetInterpolate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolate */
    Tcl_DStringAppendElement ( &dString, " Convenient methods for switching between nearest-neighbor and linear\n interpolation.  \n InterpolateOn() is equivalent to SetInterpolationModeToLinear() and\n InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().\n You should not use these methods if you use the SetInterpolationMode\n methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolate ();return this GetInterpolationMode VTK_RESLICE_NEAREST " );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetInterpolate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStencil */
    if ( strcmp ( argv[2], "SetStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageStencilData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStencil */
    Tcl_DStringAppendElement ( &dString, " Use a stencil to limit the calculations to a specific region of\n the output.  Portions of the output that are 'outside' the stencil\n will be cleared to the background color.  \n" );
    Tcl_DStringAppendElement ( &dString, "void SetStencil (vtkImageStencilData *stencil);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for SetStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStencil */
    if ( strcmp ( argv[2], "GetStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStencil */
    Tcl_DStringAppendElement ( &dString, " Use a stencil to limit the calculations to a specific region of\n the output.  Portions of the output that are 'outside' the stencil\n will be cleared to the background color.  \n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageStencilData *GetStencil ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageReslice" );
    /* Closing for GetStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
