// python wrapper for vtkImageShiftScale object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageShiftScale.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageShiftScaleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageShiftScaleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageShiftScale_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  const char    *temp20;
  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShiftScale::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShiftScale::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  vtkImageShiftScale  *temp20;
  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShiftScale::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageShiftScale  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageShiftScale::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  double   temp0;
  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetShift(temp0);
      }
    else
      {
      op->SetShift(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_GetShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  double   temp20;
  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShiftScale::GetShift();
      }
    else
      {
      temp20 = op->GetShift();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  double   temp0;
  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  double   temp20;
  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShiftScale::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  int      temp0;
  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetOutputScalarType(temp0);
      }
    else
      {
      op->SetOutputScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_GetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  int      temp20;
  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShiftScale::GetOutputScalarType();
      }
    else
      {
      temp20 = op->GetOutputScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetOutputScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetOutputScalarTypeToDouble();
      }
    else
      {
      op->SetOutputScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetOutputScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetOutputScalarTypeToFloat();
      }
    else
      {
      op->SetOutputScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetOutputScalarTypeToLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetOutputScalarTypeToLong();
      }
    else
      {
      op->SetOutputScalarTypeToLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetOutputScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetOutputScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetOutputScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetOutputScalarTypeToInt();
      }
    else
      {
      op->SetOutputScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetOutputScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetOutputScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetOutputScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetOutputScalarTypeToShort();
      }
    else
      {
      op->SetOutputScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetOutputScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetOutputScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetOutputScalarTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetOutputScalarTypeToChar();
      }
    else
      {
      op->SetOutputScalarTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetOutputScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetOutputScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_SetClampOverflow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  int      temp0;
  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::SetClampOverflow(temp0);
      }
    else
      {
      op->SetClampOverflow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_GetClampOverflow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  int      temp20;
  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShiftScale::GetClampOverflow();
      }
    else
      {
      temp20 = op->GetClampOverflow();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_ClampOverflowOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::ClampOverflowOn();
      }
    else
      {
      op->ClampOverflowOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShiftScale_ClampOverflowOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShiftScale::ClampOverflowOff();
      }
    else
      {
      op->ClampOverflowOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageShiftScaleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageShiftScale_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageShiftScale_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageShiftScale_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageShiftScale\nC++: vtkImageShiftScale *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageShiftScale_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageShiftScale\nC++: vtkImageShiftScale *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetShift",                (PyCFunction)PyvtkImageShiftScale_SetShift, 1,
   (char*)"V.SetShift(float)\nC++: void SetShift (double );\n\n Set/Get the shift value.\n"},
  {(char*)"GetShift",                (PyCFunction)PyvtkImageShiftScale_GetShift, 1,
   (char*)"V.GetShift() -> float\nC++: double GetShift ();\n\n Set/Get the shift value.\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkImageShiftScale_SetScale, 1,
   (char*)"V.SetScale(float)\nC++: void SetScale (double );\n\n Set/Get the scale value.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkImageShiftScale_GetScale, 1,
   (char*)"V.GetScale() -> float\nC++: double GetScale ();\n\n Set/Get the scale value.\n"},
  {(char*)"SetOutputScalarType",                (PyCFunction)PyvtkImageShiftScale_SetOutputScalarType, 1,
   (char*)"V.SetOutputScalarType(int)\nC++: void SetOutputScalarType (int );\n\n Set the desired output scalar type. The result of the shift \n and scale operations is cast to the type specified.\n"},
  {(char*)"GetOutputScalarType",                (PyCFunction)PyvtkImageShiftScale_GetOutputScalarType, 1,
   (char*)"V.GetOutputScalarType() -> int\nC++: int GetOutputScalarType ();\n\n Set the desired output scalar type. The result of the shift \n and scale operations is cast to the type specified.\n"},
  {(char*)"SetOutputScalarTypeToDouble",                (PyCFunction)PyvtkImageShiftScale_SetOutputScalarTypeToDouble, 1,
   (char*)"V.SetOutputScalarTypeToDouble()\nC++: void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE \n\n Set the desired output scalar type. The result of the shift \n and scale operations is cast to the type specified.\n"},
  {(char*)"SetOutputScalarTypeToFloat",                (PyCFunction)PyvtkImageShiftScale_SetOutputScalarTypeToFloat, 1,
   (char*)"V.SetOutputScalarTypeToFloat()\nC++: void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT \n\n Set the desired output scalar type. The result of the shift \n and scale operations is cast to the type specified.\n"},
  {(char*)"SetOutputScalarTypeToLong",                (PyCFunction)PyvtkImageShiftScale_SetOutputScalarTypeToLong, 1,
   (char*)"V.SetOutputScalarTypeToLong()\nC++: void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG \n\n Set the desired output scalar type. The result of the shift \n and scale operations is cast to the type specified.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedLong",                (PyCFunction)PyvtkImageShiftScale_SetOutputScalarTypeToUnsignedLong, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedLong()\nC++: void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG \n\n Set the desired output scalar type. The result of the shift \n and scale operations is cast to the type specified.\n"},
  {(char*)"SetOutputScalarTypeToInt",                (PyCFunction)PyvtkImageShiftScale_SetOutputScalarTypeToInt, 1,
   (char*)"V.SetOutputScalarTypeToInt()\nC++: void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT \n\n Set the desired output scalar type. The result of the shift \n and scale operations is cast to the type specified.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedInt",                (PyCFunction)PyvtkImageShiftScale_SetOutputScalarTypeToUnsignedInt, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedInt()\nC++: void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT \n\n Set the desired output scalar type. The result of the shift \n and scale operations is cast to the type specified.\n"},
  {(char*)"SetOutputScalarTypeToShort",                (PyCFunction)PyvtkImageShiftScale_SetOutputScalarTypeToShort, 1,
   (char*)"V.SetOutputScalarTypeToShort()\nC++: void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT \n\n Set the desired output scalar type. The result of the shift \n and scale operations is cast to the type specified.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedShort",                (PyCFunction)PyvtkImageShiftScale_SetOutputScalarTypeToUnsignedShort, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedShort()\nC++: void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT \n\n Set the desired output scalar type. The result of the shift \n and scale operations is cast to the type specified.\n"},
  {(char*)"SetOutputScalarTypeToChar",                (PyCFunction)PyvtkImageShiftScale_SetOutputScalarTypeToChar, 1,
   (char*)"V.SetOutputScalarTypeToChar()\nC++: void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR \n\n Set the desired output scalar type. The result of the shift \n and scale operations is cast to the type specified.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedChar",                (PyCFunction)PyvtkImageShiftScale_SetOutputScalarTypeToUnsignedChar, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedChar()\nC++: void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR \n\n When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default, ClampOverflow is off.\n"},
  {(char*)"SetClampOverflow",                (PyCFunction)PyvtkImageShiftScale_SetClampOverflow, 1,
   (char*)"V.SetClampOverflow(int)\nC++: void SetClampOverflow (int );\n\n When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default, ClampOverflow is off.\n"},
  {(char*)"GetClampOverflow",                (PyCFunction)PyvtkImageShiftScale_GetClampOverflow, 1,
   (char*)"V.GetClampOverflow() -> int\nC++: int GetClampOverflow ();\n\n When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default, ClampOverflow is off.\n"},
  {(char*)"ClampOverflowOn",                (PyCFunction)PyvtkImageShiftScale_ClampOverflowOn, 1,
   (char*)"V.ClampOverflowOn()\nC++: void ClampOverflowOn ();\n\n When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default, ClampOverflow is off.\n"},
  {(char*)"ClampOverflowOff",                (PyCFunction)PyvtkImageShiftScale_ClampOverflowOff, 1,
   (char*)"V.ClampOverflowOff()\nC++: void ClampOverflowOff ();\n\n When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default, ClampOverflow is off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageShiftScaleDoc[] = {
  (char*)"vtkImageShiftScale - shift and scale an input image\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" With vtkImageShiftScale Pixels are shifted and then scaled. As\n a convenience, this class allows you to set the output scalar type\n similar to vtkImageCast. This is because shift scale operations\n frequently convert data types.\n\n",
  NULL
};

static vtkObjectBase *vtkImageShiftScaleStaticNew()
{
  return vtkImageShiftScale::New();
}

PyObject *PyVTKClass_vtkImageShiftScaleNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageShiftScaleStaticNew,
                        PyvtkImageShiftScaleMethods,
                        (char*)"vtkImageShiftScale",modulename,
                        (char**)vtkImageShiftScaleDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

