// tcl wrapper for vtkImageShrink3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageShrink3D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageShrink3DNewCommand()
{
  vtkImageShrink3D *temp = vtkImageShrink3D::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageShrink3DCppCommand(vtkImageShrink3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageShrink3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageShrink3DCppCommand(static_cast<vtkImageShrink3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageShrink3DCppCommand(vtkImageShrink3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageShrink3D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageShrink3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageShrink3D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageShrink3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageShrink3D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageShrink3D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageShrink3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShrinkFactors",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetShrinkFactors(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShrinkFactors",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetShrinkFactors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShrinkFactors",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetShrinkFactors();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetShift",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetShift(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShift",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetShift(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShift",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetShift();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAveraging",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAveraging(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAveraging",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAveraging();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AveragingOn",argv[1]))&&(argc == 2))
    {
    op->AveragingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AveragingOff",argv[1]))&&(argc == 2))
    {
    op->AveragingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMean",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMean(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMean",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMean();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MeanOn",argv[1]))&&(argc == 2))
    {
    op->MeanOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MeanOff",argv[1]))&&(argc == 2))
    {
    op->MeanOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimum",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinimum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimum",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinimum();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MinimumOn",argv[1]))&&(argc == 2))
    {
    op->MinimumOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MinimumOff",argv[1]))&&(argc == 2))
    {
    op->MinimumOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximum",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximum",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximum();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MaximumOn",argv[1]))&&(argc == 2))
    {
    op->MaximumOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaximumOff",argv[1]))&&(argc == 2))
    {
    op->MaximumOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMedian",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMedian(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMedian",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMedian();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MedianOn",argv[1]))&&(argc == 2))
    {
    op->MedianOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MedianOff",argv[1]))&&(argc == 2))
    {
    op->MedianOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageShrink3DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageShrink3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetShrinkFactors\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetShrinkFactors\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetShrinkFactors\n",NULL);
    Tcl_AppendResult(interp,"  SetShift\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetShift\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetShift\n",NULL);
    Tcl_AppendResult(interp,"  SetAveraging\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAveraging\n",NULL);
    Tcl_AppendResult(interp,"  AveragingOn\n",NULL);
    Tcl_AppendResult(interp,"  AveragingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMean\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMean\n",NULL);
    Tcl_AppendResult(interp,"  MeanOn\n",NULL);
    Tcl_AppendResult(interp,"  MeanOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimum\n",NULL);
    Tcl_AppendResult(interp,"  MinimumOn\n",NULL);
    Tcl_AppendResult(interp,"  MinimumOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximum\n",NULL);
    Tcl_AppendResult(interp,"  MaximumOn\n",NULL);
    Tcl_AppendResult(interp,"  MaximumOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMedian\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMedian\n",NULL);
    Tcl_AppendResult(interp,"  MedianOn\n",NULL);
    Tcl_AppendResult(interp,"  MedianOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetShrinkFactors" );
    Tcl_DStringAppendElement ( &dString, "SetShrinkFactors" );
    Tcl_DStringAppendElement ( &dString, "GetShrinkFactors" );
    Tcl_DStringAppendElement ( &dString, "SetShift" );
    Tcl_DStringAppendElement ( &dString, "SetShift" );
    Tcl_DStringAppendElement ( &dString, "GetShift" );
    Tcl_DStringAppendElement ( &dString, "SetAveraging" );
    Tcl_DStringAppendElement ( &dString, "GetAveraging" );
    Tcl_DStringAppendElement ( &dString, "AveragingOn" );
    Tcl_DStringAppendElement ( &dString, "AveragingOff" );
    Tcl_DStringAppendElement ( &dString, "SetMean" );
    Tcl_DStringAppendElement ( &dString, "GetMean" );
    Tcl_DStringAppendElement ( &dString, "MeanOn" );
    Tcl_DStringAppendElement ( &dString, "MeanOff" );
    Tcl_DStringAppendElement ( &dString, "SetMinimum" );
    Tcl_DStringAppendElement ( &dString, "GetMinimum" );
    Tcl_DStringAppendElement ( &dString, "MinimumOn" );
    Tcl_DStringAppendElement ( &dString, "MinimumOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaximum" );
    Tcl_DStringAppendElement ( &dString, "GetMaximum" );
    Tcl_DStringAppendElement ( &dString, "MaximumOn" );
    Tcl_DStringAppendElement ( &dString, "MaximumOff" );
    Tcl_DStringAppendElement ( &dString, "SetMedian" );
    Tcl_DStringAppendElement ( &dString, "GetMedian" );
    Tcl_DStringAppendElement ( &dString, "MedianOn" );
    Tcl_DStringAppendElement ( &dString, "MedianOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageShrink3D *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShrinkFactors */
    if ( strcmp ( argv[2], "SetShrinkFactors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShrinkFactors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShrinkFactors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shrink factors\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShrinkFactors (int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for SetShrinkFactors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShrinkFactors */
    if ( strcmp ( argv[2], "SetShrinkFactors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShrinkFactors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShrinkFactors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shrink factors\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShrinkFactors (int  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for SetShrinkFactors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShrinkFactors */
    if ( strcmp ( argv[2], "GetShrinkFactors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShrinkFactors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShrinkFactors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shrink factors\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetShrinkFactors ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for GetShrinkFactors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShift */
    if ( strcmp ( argv[2], "SetShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShift */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel to use as origin.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShift (int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for SetShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShift */
    if ( strcmp ( argv[2], "SetShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShift */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel to use as origin.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShift (int  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for SetShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShift */
    if ( strcmp ( argv[2], "GetShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShift */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel to use as origin.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetShift ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for GetShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAveraging */
    if ( strcmp ( argv[2], "SetAveraging" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAveraging" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAveraging */
    Tcl_DStringAppendElement ( &dString, " Choose Mean, Minimum, Maximum, Median or sub sampling.\n The neighborhood operations are not centered on the sampled pixel.\n This may cause a half pixel shift in your output image.\n You can changed \"Shift\" to get around this.\n vtkImageGaussianSmooth or vtkImageMean with strides.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAveraging (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for SetAveraging */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAveraging */
    if ( strcmp ( argv[2], "GetAveraging" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAveraging" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAveraging */
    Tcl_DStringAppendElement ( &dString, " Choose Mean, Minimum, Maximum, Median or sub sampling.\n The neighborhood operations are not centered on the sampled pixel.\n This may cause a half pixel shift in your output image.\n You can changed \"Shift\" to get around this.\n vtkImageGaussianSmooth or vtkImageMean with strides.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAveraging ();return this GetMean " );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for GetAveraging */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AveragingOn */
    if ( strcmp ( argv[2], "AveragingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AveragingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AveragingOn */
    Tcl_DStringAppendElement ( &dString, " Choose Mean, Minimum, Maximum, Median or sub sampling.\n The neighborhood operations are not centered on the sampled pixel.\n This may cause a half pixel shift in your output image.\n You can changed \"Shift\" to get around this.\n vtkImageGaussianSmooth or vtkImageMean with strides.\n" );
    Tcl_DStringAppendElement ( &dString, "void AveragingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for AveragingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AveragingOff */
    if ( strcmp ( argv[2], "AveragingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AveragingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AveragingOff */
    Tcl_DStringAppendElement ( &dString, " Choose Mean, Minimum, Maximum, Median or sub sampling.\n The neighborhood operations are not centered on the sampled pixel.\n This may cause a half pixel shift in your output image.\n You can changed \"Shift\" to get around this.\n vtkImageGaussianSmooth or vtkImageMean with strides.\n" );
    Tcl_DStringAppendElement ( &dString, "void AveragingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for AveragingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMean */
    if ( strcmp ( argv[2], "SetMean" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMean" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMean */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMean (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for SetMean */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMean */
    if ( strcmp ( argv[2], "GetMean" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMean" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMean */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetMean ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for GetMean */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MeanOn */
    if ( strcmp ( argv[2], "MeanOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MeanOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MeanOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void MeanOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for MeanOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MeanOff */
    if ( strcmp ( argv[2], "MeanOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MeanOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MeanOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void MeanOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for MeanOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimum */
    if ( strcmp ( argv[2], "SetMinimum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimum */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimum (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for SetMinimum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimum */
    if ( strcmp ( argv[2], "GetMinimum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimum */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetMinimum ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for GetMinimum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MinimumOn */
    if ( strcmp ( argv[2], "MinimumOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MinimumOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MinimumOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void MinimumOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for MinimumOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MinimumOff */
    if ( strcmp ( argv[2], "MinimumOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MinimumOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MinimumOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void MinimumOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for MinimumOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximum */
    if ( strcmp ( argv[2], "SetMaximum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximum */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximum (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for SetMaximum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximum */
    if ( strcmp ( argv[2], "GetMaximum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximum */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximum ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for GetMaximum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaximumOn */
    if ( strcmp ( argv[2], "MaximumOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaximumOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaximumOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void MaximumOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for MaximumOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaximumOff */
    if ( strcmp ( argv[2], "MaximumOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaximumOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaximumOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void MaximumOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for MaximumOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMedian */
    if ( strcmp ( argv[2], "SetMedian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMedian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMedian */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMedian (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for SetMedian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMedian */
    if ( strcmp ( argv[2], "GetMedian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMedian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMedian */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetMedian ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for GetMedian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MedianOn */
    if ( strcmp ( argv[2], "MedianOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MedianOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MedianOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void MedianOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for MedianOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MedianOff */
    if ( strcmp ( argv[2], "MedianOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MedianOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MedianOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void MedianOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageShrink3D" );
    /* Closing for MedianOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
