// python wrapper for vtkImageSinusoidSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageSinusoidSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSinusoidSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSinusoidSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageSinusoidSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  const char    *temp20;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSinusoidSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSinusoidSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  vtkImageSinusoidSource  *temp20;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSinusoidSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageSinusoidSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageSinusoidSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSinusoidSource::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_SetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSinusoidSource::SetDirection(temp0,temp1,temp2);
      }
    else
      {
      op->SetDirection(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSinusoidSource::SetDirection(temp0);
      }
    else
      {
      op->SetDirection(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_GetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  double  *temp20;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSinusoidSource::GetDirection();
      }
    else
      {
      temp20 = op->GetDirection();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_SetPeriod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  double   temp0;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSinusoidSource::SetPeriod(temp0);
      }
    else
      {
      op->SetPeriod(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_GetPeriod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  double   temp20;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSinusoidSource::GetPeriod();
      }
    else
      {
      temp20 = op->GetPeriod();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_SetPhase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  double   temp0;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSinusoidSource::SetPhase(temp0);
      }
    else
      {
      op->SetPhase(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_GetPhase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  double   temp20;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSinusoidSource::GetPhase();
      }
    else
      {
      temp20 = op->GetPhase();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_SetAmplitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  double   temp0;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSinusoidSource::SetAmplitude(temp0);
      }
    else
      {
      op->SetAmplitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSinusoidSource_GetAmplitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSinusoidSource *op;

  double   temp20;
  op = (vtkImageSinusoidSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSinusoidSource::GetAmplitude();
      }
    else
      {
      temp20 = op->GetAmplitude();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageSinusoidSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageSinusoidSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageSinusoidSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageSinusoidSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSinusoidSource\nC++: vtkImageSinusoidSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageSinusoidSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageSinusoidSource\nC++: vtkImageSinusoidSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkImageSinusoidSource_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax);\n\n Set/Get the extent of the whole output image.\n"},
  {(char*)"SetDirection",                (PyCFunction)PyvtkImageSinusoidSource_SetDirection, 1,
   (char*)"V.SetDirection(float, float, float)\nC++: void SetDirection (double , double , double );\nV.SetDirection((float, float, float))\nC++: void SetDirection (double dir[3]);\n\n Set/Get the direction vector which determines the sinusoidal\n orientation. The magnitude is ignored.\n"},
  {(char*)"GetDirection",                (PyCFunction)PyvtkImageSinusoidSource_GetDirection, 1,
   (char*)"V.GetDirection() -> (float, float, float)\nC++: double  *GetDirection ();\n\n Set/Get the direction vector which determines the sinusoidal\n orientation. The magnitude is ignored.\n"},
  {(char*)"SetPeriod",                (PyCFunction)PyvtkImageSinusoidSource_SetPeriod, 1,
   (char*)"V.SetPeriod(float)\nC++: void SetPeriod (double );\n\n Set/Get the period of the sinusoid in pixels.\n"},
  {(char*)"GetPeriod",                (PyCFunction)PyvtkImageSinusoidSource_GetPeriod, 1,
   (char*)"V.GetPeriod() -> float\nC++: double GetPeriod ();\n\n Set/Get the period of the sinusoid in pixels.\n"},
  {(char*)"SetPhase",                (PyCFunction)PyvtkImageSinusoidSource_SetPhase, 1,
   (char*)"V.SetPhase(float)\nC++: void SetPhase (double );\n\n Set/Get the phase: 0->2Pi.  0 => Cosine, pi/2 => Sine.\n"},
  {(char*)"GetPhase",                (PyCFunction)PyvtkImageSinusoidSource_GetPhase, 1,
   (char*)"V.GetPhase() -> float\nC++: double GetPhase ();\n\n Set/Get the phase: 0->2Pi.  0 => Cosine, pi/2 => Sine.\n"},
  {(char*)"SetAmplitude",                (PyCFunction)PyvtkImageSinusoidSource_SetAmplitude, 1,
   (char*)"V.SetAmplitude(float)\nC++: void SetAmplitude (double );\n\n Set/Get the magnitude of the sinusoid.\n"},
  {(char*)"GetAmplitude",                (PyCFunction)PyvtkImageSinusoidSource_GetAmplitude, 1,
   (char*)"V.GetAmplitude() -> float\nC++: double GetAmplitude ();\n\n Set/Get the magnitude of the sinusoid.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageSinusoidSourceDoc[] = {
  (char*)"vtkImageSinusoidSource - Create an image with sinusoidal pixel values.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageSinusoidSource just produces images with pixel values determined \n by a sinusoid.\n\n",
  NULL
};

static vtkObjectBase *vtkImageSinusoidSourceStaticNew()
{
  return vtkImageSinusoidSource::New();
}

PyObject *PyVTKClass_vtkImageSinusoidSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageSinusoidSourceStaticNew,
                        PyvtkImageSinusoidSourceMethods,
                        (char*)"vtkImageSinusoidSource",modulename,
                        (char**)vtkImageSinusoidSourceDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

