// python wrapper for vtkImageSkeleton2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageSkeleton2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSkeleton2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSkeleton2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageIterateFilterNew(char *); }

static PyObject *PyvtkImageSkeleton2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSkeleton2D *op;

  const char    *temp20;
  op = (vtkImageSkeleton2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSkeleton2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSkeleton2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSkeleton2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageSkeleton2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSkeleton2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSkeleton2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSkeleton2D *op;

  vtkImageSkeleton2D  *temp20;
  op = (vtkImageSkeleton2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSkeleton2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSkeleton2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageSkeleton2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageSkeleton2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageSkeleton2D_SetPrune(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSkeleton2D *op;

  int      temp0;
  op = (vtkImageSkeleton2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSkeleton2D::SetPrune(temp0);
      }
    else
      {
      op->SetPrune(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSkeleton2D_GetPrune(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSkeleton2D *op;

  int      temp20;
  op = (vtkImageSkeleton2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSkeleton2D::GetPrune();
      }
    else
      {
      temp20 = op->GetPrune();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSkeleton2D_PruneOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSkeleton2D *op;

  op = (vtkImageSkeleton2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSkeleton2D::PruneOn();
      }
    else
      {
      op->PruneOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSkeleton2D_PruneOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSkeleton2D *op;

  op = (vtkImageSkeleton2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSkeleton2D::PruneOff();
      }
    else
      {
      op->PruneOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSkeleton2D_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSkeleton2D *op;

  int      temp0;
  op = (vtkImageSkeleton2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSkeleton2D::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageSkeleton2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageSkeleton2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageSkeleton2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageSkeleton2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSkeleton2D\nC++: vtkImageSkeleton2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageSkeleton2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageSkeleton2D\nC++: vtkImageSkeleton2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPrune",                (PyCFunction)PyvtkImageSkeleton2D_SetPrune, 1,
   (char*)"V.SetPrune(int)\nC++: void SetPrune (int );\n\n When prune is on, only closed loops are left unchanged.\n"},
  {(char*)"GetPrune",                (PyCFunction)PyvtkImageSkeleton2D_GetPrune, 1,
   (char*)"V.GetPrune() -> int\nC++: int GetPrune ();\n\n When prune is on, only closed loops are left unchanged.\n"},
  {(char*)"PruneOn",                (PyCFunction)PyvtkImageSkeleton2D_PruneOn, 1,
   (char*)"V.PruneOn()\nC++: void PruneOn ();\n\n When prune is on, only closed loops are left unchanged.\n"},
  {(char*)"PruneOff",                (PyCFunction)PyvtkImageSkeleton2D_PruneOff, 1,
   (char*)"V.PruneOff()\nC++: void PruneOff ();\n\n When prune is on, only closed loops are left unchanged.\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkImageSkeleton2D_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (int num);\n\n Sets the number of cycles in the erosion.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageSkeleton2DDoc[] = {
  (char*)"vtkImageSkeleton2D - Skeleton of 2D images.\n\n",
  "Super Class:\n\n vtkImageIterateFilter\n\n",
  (char*)" vtkImageSkeleton2D should leave only single pixel width lines\n of non-zero-valued pixels (values of 1 are not allowed).  \n It works by erosion on a 3x3 neighborhood with special rules.\n The number of iterations determines how far the filter can erode.\n There are three pruning levels:  \n  prune == 0 will leave traces on all angles...\n  prune == 1 will not leave traces on 135 degree angles, but wil",
  (char*)"l on 90.\n  prune == 2 does not leave traces on any angles leaving only closed loops.\n Prune defaults to zero. The output scalar type is the same as the input.\n\n",
  NULL
};

static vtkObjectBase *vtkImageSkeleton2DStaticNew()
{
  return vtkImageSkeleton2D::New();
}

PyObject *PyVTKClass_vtkImageSkeleton2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageSkeleton2DStaticNew,
                        PyvtkImageSkeleton2DMethods,
                        (char*)"vtkImageSkeleton2D",modulename,
                        (char**)vtkImageSkeleton2DDoc,
                        PyVTKClass_vtkImageIterateFilterNew(modulename));
}

