// python wrapper for vtkImageSobel2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageSobel2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSobel2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSobel2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSpatialAlgorithmNew(char *); }

static PyObject *PyvtkImageSobel2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSobel2D *op;

  const char    *temp20;
  op = (vtkImageSobel2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSobel2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSobel2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSobel2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageSobel2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSobel2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSobel2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSobel2D *op;

  vtkImageSobel2D  *temp20;
  op = (vtkImageSobel2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSobel2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSobel2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageSobel2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageSobel2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageSobel2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageSobel2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageSobel2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageSobel2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSobel2D\nC++: vtkImageSobel2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageSobel2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageSobel2D\nC++: vtkImageSobel2D *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageSobel2DDoc[] = {
  (char*)"vtkImageSobel2D - Computes a vector field using sobel functions.\n\n",
  "Super Class:\n\n vtkImageSpatialAlgorithm\n\n",
  (char*)" vtkImageSobel2D computes a vector field from a scalar field by using\n Sobel functions.  The number of vector components is 2 because\n the input is an image.  Output is always doubles.\n\n",
  NULL
};

static vtkObjectBase *vtkImageSobel2DStaticNew()
{
  return vtkImageSobel2D::New();
}

PyObject *PyVTKClass_vtkImageSobel2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageSobel2DStaticNew,
                        PyvtkImageSobel2DMethods,
                        (char*)"vtkImageSobel2D",modulename,
                        (char**)vtkImageSobel2DDoc,
                        PyVTKClass_vtkImageSpatialAlgorithmNew(modulename));
}

