// python wrapper for vtkImageSpatialFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageSpatialFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSpatialFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSpatialFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageToImageFilterNew(char *); }

static PyObject *PyvtkImageSpatialFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSpatialFilter *op;

  const char    *temp20;
  op = (vtkImageSpatialFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSpatialFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSpatialFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSpatialFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageSpatialFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSpatialFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSpatialFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSpatialFilter *op;

  vtkImageSpatialFilter  *temp20;
  op = (vtkImageSpatialFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSpatialFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSpatialFilter_GetKernelSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSpatialFilter *op;

  int     *temp20;
  op = (vtkImageSpatialFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSpatialFilter::GetKernelSize();
      }
    else
      {
      temp20 = op->GetKernelSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSpatialFilter_GetKernelMiddle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSpatialFilter *op;

  int     *temp20;
  op = (vtkImageSpatialFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSpatialFilter::GetKernelMiddle();
      }
    else
      {
      temp20 = op->GetKernelMiddle();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageSpatialFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageSpatialFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageSpatialFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageSpatialFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSpatialFilter\nC++: vtkImageSpatialFilter *NewInstance ();\n\n"},
  {(char*)"GetKernelSize",                (PyCFunction)PyvtkImageSpatialFilter_GetKernelSize, 1,
   (char*)"V.GetKernelSize() -> (int, int, int)\nC++: int  *GetKernelSize ();\n\n Get the Kernel size.\n"},
  {(char*)"GetKernelMiddle",                (PyCFunction)PyvtkImageSpatialFilter_GetKernelMiddle, 1,
   (char*)"V.GetKernelMiddle() -> (int, int, int)\nC++: int  *GetKernelMiddle ();\n\n Get the Kernel middle.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageSpatialFilterDoc[] = {
  (char*)"vtkImageSpatialFilter - Filters that operate on pixel neighborhoods.\n\n",
  "Super Class:\n\n vtkImageToImageFilter\n\n",
  (char*)" vtkImageSpatialFilter is a super class for filters that operate on an\n input neighborhood for each output pixel. It handles even sized\n neighborhoods, but their can be a half pixel shift associated with\n processing.  This superclass has some logic for handling boundaries.  It\n can split regions into boundary and non-boundary pieces and call different\n execute methods.\n .SECTION Warning\n This used",
  (char*)" to be the parent class for most imaging filter in VTK4.x, now \n this role has been replaced by vtkImageSpatialAlgorithm. You should consider\n using vtkImageSpatialAlgorithm instead, when writing filter for VTK5 and above.\n This class was kept to ensure full backward compatibility.\n .SECTION See also\n vtkSimpleImageToImageFilter vtkImageToImageFilter vtkImageSpatialAlgorithm \n\n",
  NULL
};

static vtkObjectBase *vtkImageSpatialFilterStaticNew()
{
  return vtkImageSpatialFilter::New();
}

PyObject *PyVTKClass_vtkImageSpatialFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageSpatialFilterStaticNew,
                        PyvtkImageSpatialFilterMethods,
                        (char*)"vtkImageSpatialFilter",modulename,
                        (char**)vtkImageSpatialFilterDoc,
                        PyVTKClass_vtkImageToImageFilterNew(modulename));
}

