// python wrapper for vtkImageStencilData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageStencilData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageStencilDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageStencilDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkImageStencilData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  const char    *temp20;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkImageStencilData  *temp20;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageStencilData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageStencilData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageStencilData_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkImageStencilData_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkImageStencilData_InternalImageStencilDataCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkImageStencilData  *temp0;
  PyObject *tempH0;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageStencilData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageStencilData");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::InternalImageStencilDataCopy(temp0);
      }
    else
      {
      op->InternalImageStencilDataCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int      temp20;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetExtentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int      temp20;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetExtentType();
      }
    else
      {
      temp20 = op->GetExtentType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_InsertNextExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::InsertNextExtent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->InsertNextExtent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_InsertAndMergeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::InsertAndMergeExtent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->InsertAndMergeExtent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_RemoveExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::RemoveExtent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->RemoveExtent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_SetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetSpacing(temp0);
      }
    else
      {
      op->SetSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double  *temp20;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetSpacing();
      }
    else
      {
      temp20 = op->GetSpacing();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double  *temp20;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int    temp0[6];
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetExtent(temp0);
      }
    else
      {
      op->SetExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int     *temp20;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetExtent();
      }
    else
      {
      temp20 = op->GetExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_AllocateExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::AllocateExtents();
      }
    else
      {
      op->AllocateExtents();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_CopyInformationToPipeline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  vtkInformation  *temp2;
  PyObject *tempH2;
  int      temp3;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"OOOi", &tempH0, &tempH1, &tempH2, &temp3);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break23;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break23;
    temp2 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkInformation");
    if (!temp2 && tempH2 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::CopyInformationToPipeline(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->CopyInformationToPipeline(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkImageStencilData_CopyInformationFromPipeline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::CopyInformationFromPipeline(temp0);
      }
    else
      {
      op->CopyInformationFromPipeline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkImageStencilData_Add(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkImageStencilData  *temp0;
  PyObject *tempH0;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageStencilData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageStencilData");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::Add(temp0);
      }
    else
      {
      op->Add(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkImageStencilData_Subtract(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkImageStencilData  *temp0;
  PyObject *tempH0;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageStencilData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageStencilData");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::Subtract(temp0);
      }
    else
      {
      op->Subtract(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkImageStencilData_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int    temp0[6];
  int      temp20;
  op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::Clip(temp0);
      }
    else
      {
      temp20 = op->Clip(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageStencilDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageStencilData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageStencilData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageStencilData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageStencilData\nC++: vtkImageStencilData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageStencilData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageStencilData\nC++: vtkImageStencilData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkImageStencilData_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkImageStencilData_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: void DeepCopy (vtkDataObject *o);\n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkImageStencilData_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: void ShallowCopy (vtkDataObject *f);\n\n"},
  {(char*)"InternalImageStencilDataCopy",                (PyCFunction)PyvtkImageStencilData_InternalImageStencilDataCopy, 1,
   (char*)"V.InternalImageStencilDataCopy(vtkImageStencilData)\nC++: void InternalImageStencilDataCopy (vtkImageStencilData *s);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkImageStencilData_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();return VTK_DATA_OBJECT \n\n The extent type is 3D, just like vtkImageData.\n"},
  {(char*)"GetExtentType",                (PyCFunction)PyvtkImageStencilData_GetExtentType, 1,
   (char*)"V.GetExtentType() -> int\nC++: int GetExtentType ();return VTK_3D_EXTENT \n\n The extent type is 3D, just like vtkImageData.\n"},
  {(char*)"InsertNextExtent",                (PyCFunction)PyvtkImageStencilData_InsertNextExtent, 1,
   (char*)"V.InsertNextExtent(int, int, int, int)\nC++: void InsertNextExtent (int r1, int r2, int yIdx, int zIdx);\n\n This method is used by vtkImageStencilDataSource to add an x \n sub extent [r1,r2] for the x row (yIdx,zIdx).  The specified sub\n extent must not intersect any other sub extents along the same x row.\n As well, r1 and r2 must both be within the total x extent\n [Extent[0],Extent[1]].\n"},
  {(char*)"InsertAndMergeExtent",                (PyCFunction)PyvtkImageStencilData_InsertAndMergeExtent, 1,
   (char*)"V.InsertAndMergeExtent(int, int, int, int)\nC++: void InsertAndMergeExtent (int r1, int r2, int yIdx, int zIdx);\n\n Similar to InsertNextExtent, except that the extent (r1,r2) at yIdx, \n zIdx is merged with other extents, (if any) on that row. So a \n unique extent may not necessarily be added. For instance, if an extent \n [5,11] already exists adding an extent, [7,9] will not affect the \n stencil. Likewise adding [10, 13] will replace the existing extent \n with [5,13].\n"},
  {(char*)"RemoveExtent",                (PyCFunction)PyvtkImageStencilData_RemoveExtent, 1,
   (char*)"V.RemoveExtent(int, int, int, int)\nC++: void RemoveExtent (int r1, int r2, int yIdx, int zIdx);\n\n Remove the extent from (r1,r2) at yIdx, zIdx\n"},
  {(char*)"SetSpacing",                (PyCFunction)PyvtkImageStencilData_SetSpacing, 1,
   (char*)"V.SetSpacing(float, float, float)\nC++: void SetSpacing (double , double , double );\nV.SetSpacing((float, float, float))\nC++: void SetSpacing (double  a[3]);\n\n Set the desired spacing for the stencil.\n This must be called before the stencil is Updated, ideally \n in the ExecuteInformation method of the imaging filter that\n is using the stencil.\n"},
  {(char*)"GetSpacing",                (PyCFunction)PyvtkImageStencilData_GetSpacing, 1,
   (char*)"V.GetSpacing() -> (float, float, float)\nC++: double  *GetSpacing ();\n\n Set the desired spacing for the stencil.\n This must be called before the stencil is Updated, ideally \n in the ExecuteInformation method of the imaging filter that\n is using the stencil.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkImageStencilData_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n Set the desired origin for the stencil.\n This must be called before the stencil is Updated, ideally \n in the ExecuteInformation method of the imaging filter that\n is using the stencil.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkImageStencilData_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Set the desired origin for the stencil.\n This must be called before the stencil is Updated, ideally \n in the ExecuteInformation method of the imaging filter that\n is using the stencil.\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkImageStencilData_SetExtent, 1,
   (char*)"V.SetExtent((int, int, int, int, int, int))\nC++: void SetExtent (int extent[6]);\nV.SetExtent(int, int, int, int, int, int)\nC++: void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2);\n\n Set the extent of the data.  This is should be called only \n by vtkImageStencilSource, as it is part of the basic pipeline\n functionality.\n"},
  {(char*)"GetExtent",                (PyCFunction)PyvtkImageStencilData_GetExtent, 1,
   (char*)"V.GetExtent() -> (int, int, int, int, int, int)\nC++: int  *GetExtent ();\n\n Set the extent of the data.  This is should be called only \n by vtkImageStencilSource, as it is part of the basic pipeline\n functionality.\n"},
  {(char*)"AllocateExtents",                (PyCFunction)PyvtkImageStencilData_AllocateExtents, 1,
   (char*)"V.AllocateExtents()\nC++: void AllocateExtents ();\n\n Allocate space for the sub-extents.  This is called by\n vtkImageStencilSource.\n"},
  {(char*)"CopyInformationToPipeline",                (PyCFunction)PyvtkImageStencilData_CopyInformationToPipeline, 1,
   (char*)"V.CopyInformationToPipeline(vtkInformation, vtkInformation, vtkInformation, int)\nC++: virtual void CopyInformationToPipeline (vtkInformation *request, vtkInformation *input, vtkInformation *output, int forceCopy);\n\n Override these to handle origin, spacing, scalar type, and scalar\n number of components.  See vtkDataObject for details.\n"},
  {(char*)"CopyInformationFromPipeline",                (PyCFunction)PyvtkImageStencilData_CopyInformationFromPipeline, 1,
   (char*)"V.CopyInformationFromPipeline(vtkInformation)\nC++: virtual void CopyInformationFromPipeline (vtkInformation *request);\n\n Override these to handle origin, spacing, scalar type, and scalar\n number of components.  See vtkDataObject for details.\n"},
  {(char*)"Add",                (PyCFunction)PyvtkImageStencilData_Add, 1,
   (char*)"V.Add(vtkImageStencilData)\nC++: virtual void Add (vtkImageStencilData *);\n\n Add merges the stencil supplied as argument into Self.\n"},
  {(char*)"Subtract",                (PyCFunction)PyvtkImageStencilData_Subtract, 1,
   (char*)"V.Subtract(vtkImageStencilData)\nC++: virtual void Subtract (vtkImageStencilData *);\n\n Subtract removes the portion of the stencil, supplied as argument, \n that lies within Self from Self.   \n"},
  {(char*)"Clip",                (PyCFunction)PyvtkImageStencilData_Clip, 1,
   (char*)"V.Clip((int, int, int, int, int, int)) -> int\nC++: virtual int Clip (int extent[6]);\n\n Clip the stencil with the supplied extents. In other words, discard data\n outside the specified extents. Return 1 if something changed.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageStencilDataDoc[] = {
  (char*)"vtkImageStencilData - efficient description of an image stencil\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" vtkImageStencilData describes an image stencil in a manner which is\n efficient both in terms of speed and storage space.  The stencil extents\n are stored for each x-row across the image (multiple extents per row if\n necessary) and can be retrieved via the GetNextExtent() method.\n\n",
  "See Also:\n\n vtkImageStencilSource vtkImageStencil\n\n",
  NULL
};

static vtkObjectBase *vtkImageStencilDataStaticNew()
{
  return vtkImageStencilData::New();
}

PyObject *PyVTKClass_vtkImageStencilDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageStencilDataStaticNew,
                        PyvtkImageStencilDataMethods,
                        (char*)"vtkImageStencilData",modulename,
                        (char**)vtkImageStencilDataDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

