// python wrapper for vtkImageStencil object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageStencil.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageStencilNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageStencilNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageStencil_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  const char    *temp20;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencil::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencil::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  vtkImageStencil  *temp20;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencil::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageStencil  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageStencil::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageStencil_SetStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  vtkImageStencilData  *temp0;
  PyObject *tempH0;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageStencilData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageStencilData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencil::SetStencil(temp0);
      }
    else
      {
      op->SetStencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageStencil_GetStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  vtkImageStencilData  *temp20;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencil::GetStencil();
      }
    else
      {
      temp20 = op->GetStencil();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_SetReverseStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  int      temp0;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencil::SetReverseStencil(temp0);
      }
    else
      {
      op->SetReverseStencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_ReverseStencilOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencil::ReverseStencilOn();
      }
    else
      {
      op->ReverseStencilOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_ReverseStencilOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencil::ReverseStencilOff();
      }
    else
      {
      op->ReverseStencilOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_GetReverseStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  int      temp20;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencil::GetReverseStencil();
      }
    else
      {
      temp20 = op->GetReverseStencil();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_SetBackgroundInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencil::SetBackgroundInput(temp0);
      }
    else
      {
      op->SetBackgroundInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkImageStencil_GetBackgroundInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  vtkImageData  *temp20;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencil::GetBackgroundInput();
      }
    else
      {
      temp20 = op->GetBackgroundInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_SetBackgroundValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  double   temp0;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencil::SetBackgroundValue(temp0);
      }
    else
      {
      op->SetBackgroundValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_GetBackgroundValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  double   temp20;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencil::GetBackgroundValue();
      }
    else
      {
      temp20 = op->GetBackgroundValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_SetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencil::SetBackgroundColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetBackgroundColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencil::SetBackgroundColor(temp0);
      }
    else
      {
      op->SetBackgroundColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencil_GetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencil *op;

  double  *temp20;
  op = (vtkImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencil::GetBackgroundColor();
      }
    else
      {
      temp20 = op->GetBackgroundColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageStencilMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageStencil_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageStencil_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageStencil_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageStencil\nC++: vtkImageStencil *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageStencil_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageStencil\nC++: vtkImageStencil *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetStencil",                (PyCFunction)PyvtkImageStencil_SetStencil, 1,
   (char*)"V.SetStencil(vtkImageStencilData)\nC++: virtual void SetStencil (vtkImageStencilData *stencil);\n\n Specify the stencil to use.  The stencil can be created\n from a vtkImplicitFunction or a vtkPolyData.\n"},
  {(char*)"GetStencil",                (PyCFunction)PyvtkImageStencil_GetStencil, 1,
   (char*)"V.GetStencil() -> vtkImageStencilData\nC++: vtkImageStencilData *GetStencil ();\n\n Specify the stencil to use.  The stencil can be created\n from a vtkImplicitFunction or a vtkPolyData.\n"},
  {(char*)"SetReverseStencil",                (PyCFunction)PyvtkImageStencil_SetReverseStencil, 1,
   (char*)"V.SetReverseStencil(int)\nC++: void SetReverseStencil (int );\n\n Reverse the stencil.\n"},
  {(char*)"ReverseStencilOn",                (PyCFunction)PyvtkImageStencil_ReverseStencilOn, 1,
   (char*)"V.ReverseStencilOn()\nC++: void ReverseStencilOn ();\n\n Reverse the stencil.\n"},
  {(char*)"ReverseStencilOff",                (PyCFunction)PyvtkImageStencil_ReverseStencilOff, 1,
   (char*)"V.ReverseStencilOff()\nC++: void ReverseStencilOff ();\n\n Reverse the stencil.\n"},
  {(char*)"GetReverseStencil",                (PyCFunction)PyvtkImageStencil_GetReverseStencil, 1,
   (char*)"V.GetReverseStencil() -> int\nC++: int GetReverseStencil ();\n\n Reverse the stencil.\n"},
  {(char*)"SetBackgroundInput",                (PyCFunction)PyvtkImageStencil_SetBackgroundInput, 1,
   (char*)"V.SetBackgroundInput(vtkImageData)\nC++: virtual void SetBackgroundInput (vtkImageData *input);\n\n NOTE: Not yet implemented, use SetBackgroundValue instead.\n Set the second input.  This image will be used for the 'outside' of the\n stencil.  If not set, the output voxels will be filled with\n BackgroundValue instead.\n"},
  {(char*)"GetBackgroundInput",                (PyCFunction)PyvtkImageStencil_GetBackgroundInput, 1,
   (char*)"V.GetBackgroundInput() -> vtkImageData\nC++: vtkImageData *GetBackgroundInput ();\n\n NOTE: Not yet implemented, use SetBackgroundValue instead.\n Set the second input.  This image will be used for the 'outside' of the\n stencil.  If not set, the output voxels will be filled with\n BackgroundValue instead.\n"},
  {(char*)"SetBackgroundValue",                (PyCFunction)PyvtkImageStencil_SetBackgroundValue, 1,
   (char*)"V.SetBackgroundValue(float)\nC++: void SetBackgroundValue (double val);this SetBackgroundColor val val val val \n\n Set the default output value to use when the second input is not set.\n"},
  {(char*)"GetBackgroundValue",                (PyCFunction)PyvtkImageStencil_GetBackgroundValue, 1,
   (char*)"V.GetBackgroundValue() -> float\nC++: double GetBackgroundValue ();return this BackgroundColor \n\n Set the default output value to use when the second input is not set.\n"},
  {(char*)"SetBackgroundColor",                (PyCFunction)PyvtkImageStencil_SetBackgroundColor, 1,
   (char*)"V.SetBackgroundColor(float, float, float, float)\nC++: void SetBackgroundColor (double , double , double , double );\nV.SetBackgroundColor((float, float, float, float))\nC++: void SetBackgroundColor (double  a[4]);\n\n Set the default color to use when the second input is not set.\n This is like SetBackgroundValue, but for multi-component images.\n"},
  {(char*)"GetBackgroundColor",                (PyCFunction)PyvtkImageStencil_GetBackgroundColor, 1,
   (char*)"V.GetBackgroundColor() -> (float, float, float, float)\nC++: double  *GetBackgroundColor ();\n\n Set the default color to use when the second input is not set.\n This is like SetBackgroundValue, but for multi-component images.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageStencilDoc[] = {
  (char*)"vtkImageStencil - combine images via a cookie-cutter operation\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageStencil will combine two images together using a stencil.\n The stencil should be provided in the form of a vtkImageStencilData,\n\n",
  NULL
};

static vtkObjectBase *vtkImageStencilStaticNew()
{
  return vtkImageStencil::New();
}

PyObject *PyVTKClass_vtkImageStencilNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageStencilStaticNew,
                        PyvtkImageStencilMethods,
                        (char*)"vtkImageStencil",modulename,
                        (char**)vtkImageStencilDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

