// tcl wrapper for vtkImageThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageThreshold.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageThresholdNewCommand()
{
  vtkImageThreshold *temp = vtkImageThreshold::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageThresholdCppCommand(vtkImageThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageThresholdCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageThresholdCppCommand(static_cast<vtkImageThreshold *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageThresholdCppCommand(vtkImageThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageThreshold",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageThreshold  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageThreshold");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageThreshold  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageThreshold");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageThreshold  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageThreshold");
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdByUpper",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ThresholdByUpper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdByLower",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ThresholdByLower(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdBetween",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->ThresholdBetween(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetReplaceIn",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReplaceIn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplaceIn",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReplaceIn();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInOn",argv[1]))&&(argc == 2))
    {
    op->ReplaceInOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInOff",argv[1]))&&(argc == 2))
    {
    op->ReplaceInOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReplaceOut",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReplaceOut(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplaceOut",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReplaceOut();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceOutOn",argv[1]))&&(argc == 2))
    {
    op->ReplaceOutOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceOutOff",argv[1]))&&(argc == 2))
    {
    op->ReplaceOutOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOutValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOutValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUpperThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetUpperThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLowerThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLowerThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToSignedChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToSignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageThresholdCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageThreshold:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdByUpper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdByLower\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdBetween\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceIn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceIn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInOn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInValue\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceOut\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceOut\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceOutOn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceOutOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutValue\n",NULL);
    Tcl_AppendResult(interp,"  GetUpperThreshold\n",NULL);
    Tcl_AppendResult(interp,"  GetLowerThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarType\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToChar\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToSignedChar\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedChar\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "ThresholdByUpper" );
    Tcl_DStringAppendElement ( &dString, "ThresholdByLower" );
    Tcl_DStringAppendElement ( &dString, "ThresholdBetween" );
    Tcl_DStringAppendElement ( &dString, "SetReplaceIn" );
    Tcl_DStringAppendElement ( &dString, "GetReplaceIn" );
    Tcl_DStringAppendElement ( &dString, "ReplaceInOn" );
    Tcl_DStringAppendElement ( &dString, "ReplaceInOff" );
    Tcl_DStringAppendElement ( &dString, "SetInValue" );
    Tcl_DStringAppendElement ( &dString, "GetInValue" );
    Tcl_DStringAppendElement ( &dString, "SetReplaceOut" );
    Tcl_DStringAppendElement ( &dString, "GetReplaceOut" );
    Tcl_DStringAppendElement ( &dString, "ReplaceOutOn" );
    Tcl_DStringAppendElement ( &dString, "ReplaceOutOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutValue" );
    Tcl_DStringAppendElement ( &dString, "GetUpperThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetLowerThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToLong" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedLong" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToInt" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedInt" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToShort" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToChar" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToSignedChar" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedChar" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageThreshold *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdByUpper */
    if ( strcmp ( argv[2], "ThresholdByUpper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdByUpper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdByUpper */
    Tcl_DStringAppendElement ( &dString, " The values greater than or equal to the value match.\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdByUpper (double thresh);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for ThresholdByUpper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdByLower */
    if ( strcmp ( argv[2], "ThresholdByLower" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdByLower" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdByLower */
    Tcl_DStringAppendElement ( &dString, " The values less than or equal to the value match.\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdByLower (double thresh);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for ThresholdByLower */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdBetween */
    if ( strcmp ( argv[2], "ThresholdBetween" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdBetween" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdBetween */
    Tcl_DStringAppendElement ( &dString, " The values in a range (inclusive) match\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdBetween (double lower, double upper);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for ThresholdBetween */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReplaceIn */
    if ( strcmp ( argv[2], "SetReplaceIn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReplaceIn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReplaceIn */
    Tcl_DStringAppendElement ( &dString, " Determines whether to replace the pixel in range with InValue\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReplaceIn (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetReplaceIn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReplaceIn */
    if ( strcmp ( argv[2], "GetReplaceIn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReplaceIn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReplaceIn */
    Tcl_DStringAppendElement ( &dString, " Determines whether to replace the pixel in range with InValue\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReplaceIn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for GetReplaceIn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceInOn */
    if ( strcmp ( argv[2], "ReplaceInOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceInOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceInOn */
    Tcl_DStringAppendElement ( &dString, " Determines whether to replace the pixel in range with InValue\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceInOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for ReplaceInOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceInOff */
    if ( strcmp ( argv[2], "ReplaceInOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceInOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceInOff */
    Tcl_DStringAppendElement ( &dString, " Determines whether to replace the pixel in range with InValue\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceInOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for ReplaceInOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInValue */
    if ( strcmp ( argv[2], "SetInValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInValue */
    Tcl_DStringAppendElement ( &dString, " Replace the in range pixels with this value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInValue (double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetInValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInValue */
    if ( strcmp ( argv[2], "GetInValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInValue */
    Tcl_DStringAppendElement ( &dString, " Replace the in range pixels with this value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for GetInValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReplaceOut */
    if ( strcmp ( argv[2], "SetReplaceOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReplaceOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReplaceOut */
    Tcl_DStringAppendElement ( &dString, " Determines whether to replace the pixel out of range with OutValue\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReplaceOut (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetReplaceOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReplaceOut */
    if ( strcmp ( argv[2], "GetReplaceOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReplaceOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReplaceOut */
    Tcl_DStringAppendElement ( &dString, " Determines whether to replace the pixel out of range with OutValue\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReplaceOut ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for GetReplaceOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceOutOn */
    if ( strcmp ( argv[2], "ReplaceOutOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceOutOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceOutOn */
    Tcl_DStringAppendElement ( &dString, " Determines whether to replace the pixel out of range with OutValue\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceOutOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for ReplaceOutOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceOutOff */
    if ( strcmp ( argv[2], "ReplaceOutOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceOutOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceOutOff */
    Tcl_DStringAppendElement ( &dString, " Determines whether to replace the pixel out of range with OutValue\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceOutOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for ReplaceOutOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutValue */
    if ( strcmp ( argv[2], "SetOutValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutValue */
    Tcl_DStringAppendElement ( &dString, " Replace the in range pixels with this value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutValue (double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutValue */
    if ( strcmp ( argv[2], "GetOutValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutValue */
    Tcl_DStringAppendElement ( &dString, " Replace the in range pixels with this value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOutValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for GetOutValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpperThreshold */
    if ( strcmp ( argv[2], "GetUpperThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpperThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpperThreshold */
    Tcl_DStringAppendElement ( &dString, " Get the Upper and Lower thresholds.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetUpperThreshold ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for GetUpperThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLowerThreshold */
    if ( strcmp ( argv[2], "GetLowerThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLowerThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLowerThreshold */
    Tcl_DStringAppendElement ( &dString, " Get the Upper and Lower thresholds.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLowerThreshold ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for GetLowerThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarType */
    if ( strcmp ( argv[2], "SetOutputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarType */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputScalarType */
    if ( strcmp ( argv[2], "GetOutputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputScalarType */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputScalarType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for GetOutputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToDouble */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE " );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToFloat */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToLong */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToLong */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG " );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarTypeToLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedLong */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedLong */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG " );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarTypeToUnsignedLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToInt */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToInt */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarTypeToInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedInt */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedInt */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarTypeToUnsignedInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToShort */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToShort */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarTypeToShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT " );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToChar */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToChar */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR " );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarTypeToChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToSignedChar */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToSignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToSignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToSignedChar */
    Tcl_DStringAppendElement ( &dString, " Set the desired output scalar type to cast to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToSignedChar ();this SetOutputScalarType VTK_SIGNED_CHAR " );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarTypeToSignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR " );
    Tcl_DStringAppendElement ( &dString, "vtkImageThreshold" );
    /* Closing for SetOutputScalarTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
