// python wrapper for vtkImageTranslateExtent object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageTranslateExtent.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageTranslateExtentNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageTranslateExtentNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageTranslateExtent_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTranslateExtent *op;

  const char    *temp20;
  op = (vtkImageTranslateExtent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTranslateExtent::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTranslateExtent_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTranslateExtent *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageTranslateExtent *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTranslateExtent::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTranslateExtent_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTranslateExtent *op;

  vtkImageTranslateExtent  *temp20;
  op = (vtkImageTranslateExtent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTranslateExtent::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTranslateExtent_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageTranslateExtent  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageTranslateExtent::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageTranslateExtent_SetTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTranslateExtent *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkImageTranslateExtent *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTranslateExtent::SetTranslation(temp0,temp1,temp2);
      }
    else
      {
      op->SetTranslation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageTranslateExtent *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkImageTranslateExtent *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTranslateExtent::SetTranslation(temp0);
      }
    else
      {
      op->SetTranslation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTranslateExtent_GetTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTranslateExtent *op;

  int     *temp20;
  op = (vtkImageTranslateExtent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTranslateExtent::GetTranslation();
      }
    else
      {
      temp20 = op->GetTranslation();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageTranslateExtentMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageTranslateExtent_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageTranslateExtent_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageTranslateExtent_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageTranslateExtent\nC++: vtkImageTranslateExtent *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageTranslateExtent_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageTranslateExtent\nC++: vtkImageTranslateExtent *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTranslation",                (PyCFunction)PyvtkImageTranslateExtent_SetTranslation, 1,
   (char*)"V.SetTranslation(int, int, int)\nC++: void SetTranslation (int , int , int );\nV.SetTranslation((int, int, int))\nC++: void SetTranslation (int  a[3]);\n\n Delta to change \"WholeExtent\". -1 changes 0->10 to -1->9.\n"},
  {(char*)"GetTranslation",                (PyCFunction)PyvtkImageTranslateExtent_GetTranslation, 1,
   (char*)"V.GetTranslation() -> (int, int, int)\nC++: int  *GetTranslation ();\n\n Delta to change \"WholeExtent\". -1 changes 0->10 to -1->9.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageTranslateExtentDoc[] = {
  (char*)"vtkImageTranslateExtent - Changes extent, nothing else.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageTranslateExtent  shift the whole extent, but does not\n change the data.\n\n",
  NULL
};

static vtkObjectBase *vtkImageTranslateExtentStaticNew()
{
  return vtkImageTranslateExtent::New();
}

PyObject *PyVTKClass_vtkImageTranslateExtentNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageTranslateExtentStaticNew,
                        PyvtkImageTranslateExtentMethods,
                        (char*)"vtkImageTranslateExtent",modulename,
                        (char**)vtkImageTranslateExtentDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

