// python wrapper for vtkImageWeightedSum object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageWeightedSum.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageWeightedSumNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageWeightedSumNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageWeightedSum_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  const char    *temp20;
  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWeightedSum::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWeightedSum::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  vtkImageWeightedSum  *temp20;
  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWeightedSum::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageWeightedSum  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageWeightedSum::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_SetWeights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  vtkDoubleArray  *temp0;
  PyObject *tempH0;
  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDoubleArray");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageWeightedSum::SetWeights(temp0);
      }
    else
      {
      op->SetWeights(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_GetWeights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  vtkDoubleArray  *temp20;
  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWeightedSum::GetWeights();
      }
    else
      {
      temp20 = op->GetWeights();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_SetWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  vtkIdType   temp0;
  double   temp1;
  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageWeightedSum::SetWeight(temp0,temp1);
      }
    else
      {
      op->SetWeight(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_GetNormalizeByWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  int      temp20;
  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWeightedSum::GetNormalizeByWeight();
      }
    else
      {
      temp20 = op->GetNormalizeByWeight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_SetNormalizeByWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  int      temp0;
  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageWeightedSum::SetNormalizeByWeight(temp0);
      }
    else
      {
      op->SetNormalizeByWeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_GetNormalizeByWeightMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  int      temp20;
  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWeightedSum::GetNormalizeByWeightMinValue();
      }
    else
      {
      temp20 = op->GetNormalizeByWeightMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_GetNormalizeByWeightMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  int      temp20;
  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWeightedSum::GetNormalizeByWeightMaxValue();
      }
    else
      {
      temp20 = op->GetNormalizeByWeightMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_NormalizeByWeightOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageWeightedSum::NormalizeByWeightOn();
      }
    else
      {
      op->NormalizeByWeightOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_NormalizeByWeightOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageWeightedSum::NormalizeByWeightOff();
      }
    else
      {
      op->NormalizeByWeightOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWeightedSum_CalculateTotalWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWeightedSum *op;

  double   temp20;
  op = (vtkImageWeightedSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWeightedSum::CalculateTotalWeight();
      }
    else
      {
      temp20 = op->CalculateTotalWeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageWeightedSumMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageWeightedSum_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageWeightedSum_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageWeightedSum_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageWeightedSum\nC++: vtkImageWeightedSum *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageWeightedSum_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageWeightedSum\nC++: vtkImageWeightedSum *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetWeights",                (PyCFunction)PyvtkImageWeightedSum_SetWeights, 1,
   (char*)"V.SetWeights(vtkDoubleArray)\nC++: virtual void SetWeights (vtkDoubleArray *);\n\n The weights control the contribution of each input to the sum.\n They will be normalized to sum to 1 before filter execution.\n"},
  {(char*)"GetWeights",                (PyCFunction)PyvtkImageWeightedSum_GetWeights, 1,
   (char*)"V.GetWeights() -> vtkDoubleArray\nC++: vtkDoubleArray *GetWeights ();\n\n The weights control the contribution of each input to the sum.\n They will be normalized to sum to 1 before filter execution.\n"},
  {(char*)"SetWeight",                (PyCFunction)PyvtkImageWeightedSum_SetWeight, 1,
   (char*)"V.SetWeight(int, float)\nC++: virtual void SetWeight (vtkIdType id, double weight);\n\n Change a specific weight. Reallocation is done\n"},
  {(char*)"GetNormalizeByWeight",                (PyCFunction)PyvtkImageWeightedSum_GetNormalizeByWeight, 1,
   (char*)"V.GetNormalizeByWeight() -> int\nC++: int GetNormalizeByWeight ();\n\n Setting NormalizeByWeight on will divide the\n final result by the total weight of the component functions.\n This process does not otherwise normalize the weighted sum\n By default, NormalizeByWeight is on.\n"},
  {(char*)"SetNormalizeByWeight",                (PyCFunction)PyvtkImageWeightedSum_SetNormalizeByWeight, 1,
   (char*)"V.SetNormalizeByWeight(int)\nC++: void SetNormalizeByWeight (int );\n\n Setting NormalizeByWeight on will divide the\n final result by the total weight of the component functions.\n This process does not otherwise normalize the weighted sum\n By default, NormalizeByWeight is on.\n"},
  {(char*)"GetNormalizeByWeightMinValue",                (PyCFunction)PyvtkImageWeightedSum_GetNormalizeByWeightMinValue, 1,
   (char*)"V.GetNormalizeByWeightMinValue() -> int\nC++: int GetNormalizeByWeightMinValue ();\n\n Setting NormalizeByWeight on will divide the\n final result by the total weight of the component functions.\n This process does not otherwise normalize the weighted sum\n By default, NormalizeByWeight is on.\n"},
  {(char*)"GetNormalizeByWeightMaxValue",                (PyCFunction)PyvtkImageWeightedSum_GetNormalizeByWeightMaxValue, 1,
   (char*)"V.GetNormalizeByWeightMaxValue() -> int\nC++: int GetNormalizeByWeightMaxValue ();\n\n Setting NormalizeByWeight on will divide the\n final result by the total weight of the component functions.\n This process does not otherwise normalize the weighted sum\n By default, NormalizeByWeight is on.\n"},
  {(char*)"NormalizeByWeightOn",                (PyCFunction)PyvtkImageWeightedSum_NormalizeByWeightOn, 1,
   (char*)"V.NormalizeByWeightOn()\nC++: void NormalizeByWeightOn ();\n\n Setting NormalizeByWeight on will divide the\n final result by the total weight of the component functions.\n This process does not otherwise normalize the weighted sum\n By default, NormalizeByWeight is on.\n"},
  {(char*)"NormalizeByWeightOff",                (PyCFunction)PyvtkImageWeightedSum_NormalizeByWeightOff, 1,
   (char*)"V.NormalizeByWeightOff()\nC++: void NormalizeByWeightOff ();\n\n Setting NormalizeByWeight on will divide the\n final result by the total weight of the component functions.\n This process does not otherwise normalize the weighted sum\n By default, NormalizeByWeight is on.\n"},
  {(char*)"CalculateTotalWeight",                (PyCFunction)PyvtkImageWeightedSum_CalculateTotalWeight, 1,
   (char*)"V.CalculateTotalWeight() -> float\nC++: double CalculateTotalWeight ();\n\n Compute the total value of all the weight\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageWeightedSumDoc[] = {
  (char*)"vtkImageWeightedSum -  adds any number of images, weighting\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" All weights are normalized so they will sum to 1.\n Images must have the same extents. Output is \n\n .SECTION Thanks\n The original author of this class is Lauren O'Donnell (MIT) for Slicer\n\n",
  NULL
};

static vtkObjectBase *vtkImageWeightedSumStaticNew()
{
  return vtkImageWeightedSum::New();
}

PyObject *PyVTKClass_vtkImageWeightedSumNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageWeightedSumStaticNew,
                        PyvtkImageWeightedSumMethods,
                        (char*)"vtkImageWeightedSum",modulename,
                        (char**)vtkImageWeightedSumDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

