// python wrapper for vtkSampleFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSampleFunction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSampleFunctionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSampleFunctionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkSampleFunction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  const char    *temp20;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSampleFunction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  char    *temp0;
  int      temp20;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSampleFunction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  vtkSampleFunction  *temp20;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSampleFunction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSampleFunction  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSampleFunction::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetImplicitFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetImplicitFunction(temp0);
      }
    else
      {
      op->SetImplicitFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSampleFunction_GetImplicitFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  vtkImplicitFunction  *temp20;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSampleFunction::GetImplicitFunction();
      }
    else
      {
      temp20 = op->GetImplicitFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  int      temp0;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetOutputScalarType(temp0);
      }
    else
      {
      op->SetOutputScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_GetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  int      temp20;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSampleFunction::GetOutputScalarType();
      }
    else
      {
      temp20 = op->GetOutputScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetOutputScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetOutputScalarTypeToDouble();
      }
    else
      {
      op->SetOutputScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetOutputScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetOutputScalarTypeToFloat();
      }
    else
      {
      op->SetOutputScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetOutputScalarTypeToLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetOutputScalarTypeToLong();
      }
    else
      {
      op->SetOutputScalarTypeToLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetOutputScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetOutputScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetOutputScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetOutputScalarTypeToInt();
      }
    else
      {
      op->SetOutputScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetOutputScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetOutputScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetOutputScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetOutputScalarTypeToShort();
      }
    else
      {
      op->SetOutputScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetOutputScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetOutputScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetOutputScalarTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetOutputScalarTypeToChar();
      }
    else
      {
      op->SetOutputScalarTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetOutputScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetOutputScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetScalars(temp0);
      }
    else
      {
      op->SetScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetSampleDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetSampleDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetSampleDimensions(temp0);
      }
    else
      {
      op->SetSampleDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_GetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  int     *temp20;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSampleFunction::GetSampleDimensions();
      }
    else
      {
      temp20 = op->GetSampleDimensions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetModelBounds(temp0);
      }
    else
      {
      op->SetModelBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_GetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  double  *temp20;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSampleFunction::GetModelBounds();
      }
    else
      {
      temp20 = op->GetModelBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  int      temp0;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetCapping(temp0);
      }
    else
      {
      op->SetCapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_GetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  int      temp20;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSampleFunction::GetCapping();
      }
    else
      {
      temp20 = op->GetCapping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_CappingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::CappingOn();
      }
    else
      {
      op->CappingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_CappingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::CappingOff();
      }
    else
      {
      op->CappingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetCapValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  double   temp0;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetCapValue(temp0);
      }
    else
      {
      op->SetCapValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_GetCapValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  double   temp20;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSampleFunction::GetCapValue();
      }
    else
      {
      temp20 = op->GetCapValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_SetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  int      temp0;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::SetComputeNormals(temp0);
      }
    else
      {
      op->SetComputeNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_GetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  int      temp20;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSampleFunction::GetComputeNormals();
      }
    else
      {
      temp20 = op->GetComputeNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_ComputeNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::ComputeNormalsOn();
      }
    else
      {
      op->ComputeNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_ComputeNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSampleFunction::ComputeNormalsOff();
      }
    else
      {
      op->ComputeNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSampleFunction_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSampleFunction *op;

  unsigned long     temp20;
  op = (vtkSampleFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSampleFunction::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSampleFunctionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSampleFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSampleFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSampleFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSampleFunction\nC++: vtkSampleFunction *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSampleFunction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSampleFunction\nC++: vtkSampleFunction *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetImplicitFunction",                (PyCFunction)PyvtkSampleFunction_SetImplicitFunction, 1,
   (char*)"V.SetImplicitFunction(vtkImplicitFunction)\nC++: virtual void SetImplicitFunction (vtkImplicitFunction *);\n\n Specify the implicit function to use to generate data.\n"},
  {(char*)"GetImplicitFunction",                (PyCFunction)PyvtkSampleFunction_GetImplicitFunction, 1,
   (char*)"V.GetImplicitFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetImplicitFunction ();\n\n Specify the implicit function to use to generate data.\n"},
  {(char*)"SetOutputScalarType",                (PyCFunction)PyvtkSampleFunction_SetOutputScalarType, 1,
   (char*)"V.SetOutputScalarType(int)\nC++: void SetOutputScalarType (int );\n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"GetOutputScalarType",                (PyCFunction)PyvtkSampleFunction_GetOutputScalarType, 1,
   (char*)"V.GetOutputScalarType() -> int\nC++: int GetOutputScalarType ();\n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToDouble",                (PyCFunction)PyvtkSampleFunction_SetOutputScalarTypeToDouble, 1,
   (char*)"V.SetOutputScalarTypeToDouble()\nC++: void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToFloat",                (PyCFunction)PyvtkSampleFunction_SetOutputScalarTypeToFloat, 1,
   (char*)"V.SetOutputScalarTypeToFloat()\nC++: void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToLong",                (PyCFunction)PyvtkSampleFunction_SetOutputScalarTypeToLong, 1,
   (char*)"V.SetOutputScalarTypeToLong()\nC++: void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedLong",                (PyCFunction)PyvtkSampleFunction_SetOutputScalarTypeToUnsignedLong, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedLong()\nC++: void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToInt",                (PyCFunction)PyvtkSampleFunction_SetOutputScalarTypeToInt, 1,
   (char*)"V.SetOutputScalarTypeToInt()\nC++: void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedInt",                (PyCFunction)PyvtkSampleFunction_SetOutputScalarTypeToUnsignedInt, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedInt()\nC++: void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToShort",                (PyCFunction)PyvtkSampleFunction_SetOutputScalarTypeToShort, 1,
   (char*)"V.SetOutputScalarTypeToShort()\nC++: void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedShort",                (PyCFunction)PyvtkSampleFunction_SetOutputScalarTypeToUnsignedShort, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedShort()\nC++: void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToChar",                (PyCFunction)PyvtkSampleFunction_SetOutputScalarTypeToChar, 1,
   (char*)"V.SetOutputScalarTypeToChar()\nC++: void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedChar",                (PyCFunction)PyvtkSampleFunction_SetOutputScalarTypeToUnsignedChar, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedChar()\nC++: void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR \n\n Control the type of the scalars object by explicitly providing a scalar\n object.  THIS IS DEPRECATED, although it still works!!! Please use\n SetOutputScalarType instead.\n"},
  {(char*)"SetScalars",                (PyCFunction)PyvtkSampleFunction_SetScalars, 1,
   (char*)"V.SetScalars(vtkDataArray)\nC++: virtual void SetScalars (vtkDataArray *da);\n\n Control the type of the scalars object by explicitly providing a scalar\n object.  THIS IS DEPRECATED, although it still works!!! Please use\n SetOutputScalarType instead.\n"},
  {(char*)"SetSampleDimensions",                (PyCFunction)PyvtkSampleFunction_SetSampleDimensions, 1,
   (char*)"V.SetSampleDimensions(int, int, int)\nC++: void SetSampleDimensions (int i, int j, int k);\nV.SetSampleDimensions((int, int, int))\nC++: void SetSampleDimensions (int dim[3]);\n\n Specify the dimensions of the data on which to sample.\n"},
  {(char*)"GetSampleDimensions",                (PyCFunction)PyvtkSampleFunction_GetSampleDimensions, 1,
   (char*)"V.GetSampleDimensions() -> (int, int, int)\nC++: int  *GetSampleDimensions ();\n\n Specify the dimensions of the data on which to sample.\n"},
  {(char*)"SetModelBounds",                (PyCFunction)PyvtkSampleFunction_SetModelBounds, 1,
   (char*)"V.SetModelBounds(float, float, float, float, float, float)\nC++: void SetModelBounds (double , double , double , double , double , double );\nV.SetModelBounds((float, float, float, float, float, float))\nC++: void SetModelBounds (double  a[6]);\n\n Specify the region in space over which the sampling occurs. The\n bounds is specified as (xMin,xMax, yMin,yMax, zMin,zMax).\n"},
  {(char*)"GetModelBounds",                (PyCFunction)PyvtkSampleFunction_GetModelBounds, 1,
   (char*)"V.GetModelBounds() -> (float, float, float, float, float, float)\nC++: double  *GetModelBounds ();\n\n Specify the region in space over which the sampling occurs. The\n bounds is specified as (xMin,xMax, yMin,yMax, zMin,zMax).\n"},
  {(char*)"SetCapping",                (PyCFunction)PyvtkSampleFunction_SetCapping, 1,
   (char*)"V.SetCapping(int)\nC++: void SetCapping (int );\n\n Turn on/off capping. If capping is on, then the outer boundaries of the\n structured point set are set to cap value. This can be used to insure\n surfaces are closed.\n"},
  {(char*)"GetCapping",                (PyCFunction)PyvtkSampleFunction_GetCapping, 1,
   (char*)"V.GetCapping() -> int\nC++: int GetCapping ();\n\n Turn on/off capping. If capping is on, then the outer boundaries of the\n structured point set are set to cap value. This can be used to insure\n surfaces are closed.\n"},
  {(char*)"CappingOn",                (PyCFunction)PyvtkSampleFunction_CappingOn, 1,
   (char*)"V.CappingOn()\nC++: void CappingOn ();\n\n Turn on/off capping. If capping is on, then the outer boundaries of the\n structured point set are set to cap value. This can be used to insure\n surfaces are closed.\n"},
  {(char*)"CappingOff",                (PyCFunction)PyvtkSampleFunction_CappingOff, 1,
   (char*)"V.CappingOff()\nC++: void CappingOff ();\n\n Turn on/off capping. If capping is on, then the outer boundaries of the\n structured point set are set to cap value. This can be used to insure\n surfaces are closed.\n"},
  {(char*)"SetCapValue",                (PyCFunction)PyvtkSampleFunction_SetCapValue, 1,
   (char*)"V.SetCapValue(float)\nC++: void SetCapValue (double );\n\n Set the cap value.\n"},
  {(char*)"GetCapValue",                (PyCFunction)PyvtkSampleFunction_GetCapValue, 1,
   (char*)"V.GetCapValue() -> float\nC++: double GetCapValue ();\n\n Set the cap value.\n"},
  {(char*)"SetComputeNormals",                (PyCFunction)PyvtkSampleFunction_SetComputeNormals, 1,
   (char*)"V.SetComputeNormals(int)\nC++: void SetComputeNormals (int );\n\n Turn on/off the computation of normals.\n"},
  {(char*)"GetComputeNormals",                (PyCFunction)PyvtkSampleFunction_GetComputeNormals, 1,
   (char*)"V.GetComputeNormals() -> int\nC++: int GetComputeNormals ();\n\n Turn on/off the computation of normals.\n"},
  {(char*)"ComputeNormalsOn",                (PyCFunction)PyvtkSampleFunction_ComputeNormalsOn, 1,
   (char*)"V.ComputeNormalsOn()\nC++: void ComputeNormalsOn ();\n\n Turn on/off the computation of normals.\n"},
  {(char*)"ComputeNormalsOff",                (PyCFunction)PyvtkSampleFunction_ComputeNormalsOff, 1,
   (char*)"V.ComputeNormalsOff()\nC++: void ComputeNormalsOff ();\n\n Turn on/off the computation of normals.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkSampleFunction_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the implicit function.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSampleFunctionDoc[] = {
  (char*)"vtkSampleFunction - sample an implicit function over a structured point set\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkSampleFunction is a source object that evaluates an implicit function\n and normals at each point in a vtkStructuredPoints. The user can specify\n the sample dimensions and location in space to perform the sampling. To\n create closed surfaces (in conjunction with the vtkContourFilter), capping\n can be turned on to set a particular value on the boundaries of the sample\n space.\n\n",
  "See Also:\n\n vtkImplicitModeller\n\n",
  NULL
};

static vtkObjectBase *vtkSampleFunctionStaticNew()
{
  return vtkSampleFunction::New();
}

PyObject *PyVTKClass_vtkSampleFunctionNew(char *modulename)
{
  return PyVTKClass_New(&vtkSampleFunctionStaticNew,
                        PyvtkSampleFunctionMethods,
                        (char*)"vtkSampleFunction",modulename,
                        (char**)vtkSampleFunctionDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

