// python wrapper for vtkShepardMethod object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkShepardMethod.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkShepardMethodNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkShepardMethodNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkShepardMethod_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  const char    *temp20;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShepardMethod::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  char    *temp0;
  int      temp20;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShepardMethod::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  vtkShepardMethod  *temp20;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShepardMethod::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkShepardMethod  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkShepardMethod::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkShepardMethod_ComputeModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  double temp0[3];
  double temp1[3];
  double   temp20;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShepardMethod::ComputeModelBounds(temp0,temp1);
      }
    else
      {
      temp20 = op->ComputeModelBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_GetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  int     *temp20;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShepardMethod::GetSampleDimensions();
      }
    else
      {
      temp20 = op->GetSampleDimensions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_SetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShepardMethod::SetSampleDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetSampleDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShepardMethod::SetSampleDimensions(temp0);
      }
    else
      {
      op->SetSampleDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_SetMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  double   temp0;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShepardMethod::SetMaximumDistance(temp0);
      }
    else
      {
      op->SetMaximumDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_GetMaximumDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  double   temp20;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShepardMethod::GetMaximumDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMaximumDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_GetMaximumDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  double   temp20;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShepardMethod::GetMaximumDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_GetMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  double   temp20;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShepardMethod::GetMaximumDistance();
      }
    else
      {
      temp20 = op->GetMaximumDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_SetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShepardMethod::SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShepardMethod::SetModelBounds(temp0);
      }
    else
      {
      op->SetModelBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_GetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  double  *temp20;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShepardMethod::GetModelBounds();
      }
    else
      {
      temp20 = op->GetModelBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_SetNullValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  double   temp0;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShepardMethod::SetNullValue(temp0);
      }
    else
      {
      op->SetNullValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShepardMethod_GetNullValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShepardMethod *op;

  double   temp20;
  op = (vtkShepardMethod *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShepardMethod::GetNullValue();
      }
    else
      {
      temp20 = op->GetNullValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkShepardMethodMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkShepardMethod_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkShepardMethod_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkShepardMethod_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkShepardMethod\nC++: vtkShepardMethod *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkShepardMethod_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkShepardMethod\nC++: vtkShepardMethod *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ComputeModelBounds",                (PyCFunction)PyvtkShepardMethod_ComputeModelBounds, 1,
   (char*)"V.ComputeModelBounds((float, float, float), (float, float, float)) -> float\nC++: double ComputeModelBounds (double origin[3], double ar[3]);\n\n Compute ModelBounds from input geometry.\n"},
  {(char*)"GetSampleDimensions",                (PyCFunction)PyvtkShepardMethod_GetSampleDimensions, 1,
   (char*)"V.GetSampleDimensions() -> (int, int, int)\nC++: int  *GetSampleDimensions ();\n\n Specify i-j-k dimensions on which to sample input points.\n"},
  {(char*)"SetSampleDimensions",                (PyCFunction)PyvtkShepardMethod_SetSampleDimensions, 1,
   (char*)"V.SetSampleDimensions(int, int, int)\nC++: void SetSampleDimensions (int i, int j, int k);\nV.SetSampleDimensions((int, int, int))\nC++: void SetSampleDimensions (int dim[3]);\n\n Set the i-j-k dimensions on which to sample the distance function.\n"},
  {(char*)"SetMaximumDistance",                (PyCFunction)PyvtkShepardMethod_SetMaximumDistance, 1,
   (char*)"V.SetMaximumDistance(float)\nC++: void SetMaximumDistance (double );\n\n Specify influence distance of each input point. This distance is a \n fraction of the length of the diagonal of the sample space. Thus, values \n of 1.0 will cause each input point to influence all points in the \n structured point dataset. Values less than 1.0 can improve performance\n significantly.\n"},
  {(char*)"GetMaximumDistanceMinValue",                (PyCFunction)PyvtkShepardMethod_GetMaximumDistanceMinValue, 1,
   (char*)"V.GetMaximumDistanceMinValue() -> float\nC++: double GetMaximumDistanceMinValue ();\n\n Specify influence distance of each input point. This distance is a \n fraction of the length of the diagonal of the sample space. Thus, values \n of 1.0 will cause each input point to influence all points in the \n structured point dataset. Values less than 1.0 can improve performance\n significantly.\n"},
  {(char*)"GetMaximumDistanceMaxValue",                (PyCFunction)PyvtkShepardMethod_GetMaximumDistanceMaxValue, 1,
   (char*)"V.GetMaximumDistanceMaxValue() -> float\nC++: double GetMaximumDistanceMaxValue ();\n\n Specify influence distance of each input point. This distance is a \n fraction of the length of the diagonal of the sample space. Thus, values \n of 1.0 will cause each input point to influence all points in the \n structured point dataset. Values less than 1.0 can improve performance\n significantly.\n"},
  {(char*)"GetMaximumDistance",                (PyCFunction)PyvtkShepardMethod_GetMaximumDistance, 1,
   (char*)"V.GetMaximumDistance() -> float\nC++: double GetMaximumDistance ();\n\n Specify influence distance of each input point. This distance is a \n fraction of the length of the diagonal of the sample space. Thus, values \n of 1.0 will cause each input point to influence all points in the \n structured point dataset. Values less than 1.0 can improve performance\n significantly.\n"},
  {(char*)"SetModelBounds",                (PyCFunction)PyvtkShepardMethod_SetModelBounds, 1,
   (char*)"V.SetModelBounds(float, float, float, float, float, float)\nC++: void SetModelBounds (double , double , double , double , double , double );\nV.SetModelBounds((float, float, float, float, float, float))\nC++: void SetModelBounds (double  a[6]);\n\n Specify the position in space to perform the sampling.\n"},
  {(char*)"GetModelBounds",                (PyCFunction)PyvtkShepardMethod_GetModelBounds, 1,
   (char*)"V.GetModelBounds() -> (float, float, float, float, float, float)\nC++: double  *GetModelBounds ();\n\n Specify the position in space to perform the sampling.\n"},
  {(char*)"SetNullValue",                (PyCFunction)PyvtkShepardMethod_SetNullValue, 1,
   (char*)"V.SetNullValue(float)\nC++: void SetNullValue (double );\n\n Set the Null value for output points not receiving a contribution from the\n input points.\n"},
  {(char*)"GetNullValue",                (PyCFunction)PyvtkShepardMethod_GetNullValue, 1,
   (char*)"V.GetNullValue() -> float\nC++: double GetNullValue ();\n\n Set the Null value for output points not receiving a contribution from the\n input points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkShepardMethodDoc[] = {
  (char*)"vtkShepardMethod - sample unstructured points onto structured points using the method of Shepard\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkShepardMethod is a filter used to visualize unstructured point data using\n Shepard's method. The method works by resampling the unstructured points \n onto a structured points set. The influence functions are described as \n \"inverse distance weighted\". Once the structured points are computed, the \n usual visualization techniques (e.g., iso-contouring or volume rendering)\n can be used visualize ",
  (char*)"the structured points.\n\n",
  "Caveats:\n\n The input to this filter is any dataset type. This filter can be used \n to resample any form of data, i.e., the input data need not be \n unstructured. \n\n The bounds of the data (i.e., the sample space) is automatically computed\n if not set by the user.\n\n If you use a maximum distance less than 1.0, some output points may\n never receive a contribution. The final value of these points can be \n specified with the \"NullValue\" instance variable.\n\n",
  NULL
};

static vtkObjectBase *vtkShepardMethodStaticNew()
{
  return vtkShepardMethod::New();
}

PyObject *PyVTKClass_vtkShepardMethodNew(char *modulename)
{
  return PyVTKClass_New(&vtkShepardMethodStaticNew,
                        PyvtkShepardMethodMethods,
                        (char*)"vtkShepardMethod",modulename,
                        (char**)vtkShepardMethodDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

