// python wrapper for vtkSimpleImageFilterExample object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSimpleImageFilterExample.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSimpleImageFilterExampleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSimpleImageFilterExampleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSimpleImageToImageFilterNew(char *); }

static PyObject *PyvtkSimpleImageFilterExample_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleImageFilterExample *op;

  const char    *temp20;
  op = (vtkSimpleImageFilterExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleImageFilterExample::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleImageFilterExample_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleImageFilterExample *op;

  char    *temp0;
  int      temp20;
  op = (vtkSimpleImageFilterExample *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleImageFilterExample::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleImageFilterExample_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleImageFilterExample *op;

  vtkSimpleImageFilterExample  *temp20;
  op = (vtkSimpleImageFilterExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleImageFilterExample::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleImageFilterExample_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSimpleImageFilterExample  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSimpleImageFilterExample::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSimpleImageFilterExampleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSimpleImageFilterExample_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSimpleImageFilterExample_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSimpleImageFilterExample_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSimpleImageFilterExample\nC++: vtkSimpleImageFilterExample *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSimpleImageFilterExample_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSimpleImageFilterExample\nC++: vtkSimpleImageFilterExample *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSimpleImageFilterExampleDoc[] = {
  (char*)"vtkSimpleImageFilterExample - Simple example of an image-image filter.\n\n",
  "Super Class:\n\n vtkSimpleImageToImageFilter\n\n",
  (char*)" This is an example of a simple image-image filter. It copies it's input\n to it's output (point by point). It shows how templates can be used\n to support various data types.\n .SECTION See also\n vtkSimpleImageToImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkSimpleImageFilterExampleStaticNew()
{
  return vtkSimpleImageFilterExample::New();
}

PyObject *PyVTKClass_vtkSimpleImageFilterExampleNew(char *modulename)
{
  return PyVTKClass_New(&vtkSimpleImageFilterExampleStaticNew,
                        PyvtkSimpleImageFilterExampleMethods,
                        (char*)"vtkSimpleImageFilterExample",modulename,
                        (char**)vtkSimpleImageFilterExampleDoc,
                        PyVTKClass_vtkSimpleImageToImageFilterNew(modulename));
}

