// python wrapper for vtkVoxelModeller object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVoxelModeller.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVoxelModellerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVoxelModellerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkVoxelModeller_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  const char    *temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  char    *temp0;
  int      temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  vtkVoxelModeller  *temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVoxelModeller  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVoxelModeller::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVoxelModeller_ComputeModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double temp0[3];
  double temp1[3];
  double   temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::ComputeModelBounds(temp0,temp1);
      }
    else
      {
      temp20 = op->ComputeModelBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetSampleDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetSampleDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetSampleDimensions(temp0);
      }
    else
      {
      op->SetSampleDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  int     *temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetSampleDimensions();
      }
    else
      {
      temp20 = op->GetSampleDimensions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp0;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetMaximumDistance(temp0);
      }
    else
      {
      op->SetMaximumDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetMaximumDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetMaximumDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMaximumDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetMaximumDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetMaximumDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetMaximumDistance();
      }
    else
      {
      temp20 = op->GetMaximumDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double temp0[6];
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetModelBounds(temp0);
      }
    else
      {
      op->SetModelBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double  *temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetModelBounds();
      }
    else
      {
      temp20 = op->GetModelBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVoxelModellerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVoxelModeller_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVoxelModeller_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVoxelModeller_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVoxelModeller\nC++: vtkVoxelModeller *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVoxelModeller_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVoxelModeller\nC++: vtkVoxelModeller *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ComputeModelBounds",                (PyCFunction)PyvtkVoxelModeller_ComputeModelBounds, 1,
   (char*)"V.ComputeModelBounds((float, float, float), (float, float, float)) -> float\nC++: double ComputeModelBounds (double origin[3], double ar[3]);\n\n Compute the ModelBounds based on the input geometry.\n"},
  {(char*)"SetSampleDimensions",                (PyCFunction)PyvtkVoxelModeller_SetSampleDimensions, 1,
   (char*)"V.SetSampleDimensions(int, int, int)\nC++: void SetSampleDimensions (int i, int j, int k);\nV.SetSampleDimensions((int, int, int))\nC++: void SetSampleDimensions (int dim[3]);\n\n Set the i-j-k dimensions on which to sample the distance function.\n"},
  {(char*)"GetSampleDimensions",                (PyCFunction)PyvtkVoxelModeller_GetSampleDimensions, 1,
   (char*)"V.GetSampleDimensions() -> (int, int, int)\nC++: int  *GetSampleDimensions ();\n\n Set the i-j-k dimensions on which to sample the distance function.\n"},
  {(char*)"SetMaximumDistance",                (PyCFunction)PyvtkVoxelModeller_SetMaximumDistance, 1,
   (char*)"V.SetMaximumDistance(float)\nC++: void SetMaximumDistance (double );\n\n Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance.\n"},
  {(char*)"GetMaximumDistanceMinValue",                (PyCFunction)PyvtkVoxelModeller_GetMaximumDistanceMinValue, 1,
   (char*)"V.GetMaximumDistanceMinValue() -> float\nC++: double GetMaximumDistanceMinValue ();\n\n Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance.\n"},
  {(char*)"GetMaximumDistanceMaxValue",                (PyCFunction)PyvtkVoxelModeller_GetMaximumDistanceMaxValue, 1,
   (char*)"V.GetMaximumDistanceMaxValue() -> float\nC++: double GetMaximumDistanceMaxValue ();\n\n Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance.\n"},
  {(char*)"GetMaximumDistance",                (PyCFunction)PyvtkVoxelModeller_GetMaximumDistance, 1,
   (char*)"V.GetMaximumDistance() -> float\nC++: double GetMaximumDistance ();\n\n Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance.\n"},
  {(char*)"SetModelBounds",                (PyCFunction)PyvtkVoxelModeller_SetModelBounds, 1,
   (char*)"V.SetModelBounds((float, float, float, float, float, float))\nC++: void SetModelBounds (double bounds[6]);\nV.SetModelBounds(float, float, float, float, float, float)\nC++: void SetModelBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);\n\n Specify the position in space to perform the voxelization.\n"},
  {(char*)"GetModelBounds",                (PyCFunction)PyvtkVoxelModeller_GetModelBounds, 1,
   (char*)"V.GetModelBounds() -> (float, float, float, float, float, float)\nC++: double  *GetModelBounds ();\n\n Specify the position in space to perform the voxelization.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVoxelModellerDoc[] = {
  (char*)"vtkVoxelModeller - convert an arbitrary dataset to a voxel representation\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkVoxelModeller is a filter that converts an arbitrary data set to a\n structured point (i.e., voxel) representation. It is very similar to \n vtkImplicitModeller, except that it doesn't record distance; instead it\n records occupancy. As such, it stores its results in the more compact\n form of 0/1 bits.\n\n",
  "See Also:\n\n vtkImplicitModeller\n\n",
  NULL
};

static vtkObjectBase *vtkVoxelModellerStaticNew()
{
  return vtkVoxelModeller::New();
}

PyObject *PyVTKClass_vtkVoxelModellerNew(char *modulename)
{
  return PyVTKClass_New(&vtkVoxelModellerStaticNew,
                        PyvtkVoxelModellerMethods,
                        (char*)"vtkVoxelModeller",modulename,
                        (char**)vtkVoxelModellerDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

