// python wrapper for vtkArrayMap object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkArrayMap.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkArrayMapNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkArrayMapNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkArrayMap_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  const char    *temp20;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayMap::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  char    *temp0;
  int      temp20;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayMap::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  vtkArrayMap  *temp20;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayMap::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkArrayMap  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkArrayMap::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkArrayMap_SetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  int      temp0;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::SetFieldType(temp0);
      }
    else
      {
      op->SetFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  int      temp20;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayMap::GetFieldType();
      }
    else
      {
      temp20 = op->GetFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_SetPassArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  int      temp0;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::SetPassArray(temp0);
      }
    else
      {
      op->SetPassArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_GetPassArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  int      temp20;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayMap::GetPassArray();
      }
    else
      {
      temp20 = op->GetPassArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_PassArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::PassArrayOn();
      }
    else
      {
      op->PassArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_PassArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::PassArrayOff();
      }
    else
      {
      op->PassArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_SetFillValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  double   temp0;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::SetFillValue(temp0);
      }
    else
      {
      op->SetFillValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_GetFillValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  double   temp20;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayMap::GetFillValue();
      }
    else
      {
      temp20 = op->GetFillValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_SetInputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  char    *temp0;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::SetInputArrayName(temp0);
      }
    else
      {
      op->SetInputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_GetInputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  char    *temp20;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayMap::GetInputArrayName();
      }
    else
      {
      temp20 = op->GetInputArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_SetOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  char    *temp0;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::SetOutputArrayName(temp0);
      }
    else
      {
      op->SetOutputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_GetOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  char    *temp20;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayMap::GetOutputArrayName();
      }
    else
      {
      temp20 = op->GetOutputArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_GetOutputArrayType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  int      temp20;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayMap::GetOutputArrayType();
      }
    else
      {
      temp20 = op->GetOutputArrayType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_SetOutputArrayType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  int      temp0;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::SetOutputArrayType(temp0);
      }
    else
      {
      op->SetOutputArrayType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_AddToMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  int      temp0;
  int      temp1;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::AddToMap(temp0,temp1);
      }
    else
      {
      op->AddToMap(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  int      temp0;
  char    *temp1;
  PyErr_Clear();
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::AddToMap(temp0,temp1);
      }
    else
      {
      op->AddToMap(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::AddToMap(temp0,temp1);
      }
    else
      {
      op->AddToMap(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  char    *temp0;
  char    *temp1;
  PyErr_Clear();
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::AddToMap(temp0,temp1);
      }
    else
      {
      op->AddToMap(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_ClearMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayMap::ClearMap();
      }
    else
      {
      op->ClearMap();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayMap_GetMapSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayMap *op;

  int      temp20;
  op = (vtkArrayMap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayMap::GetMapSize();
      }
    else
      {
      temp20 = op->GetMapSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkArrayMapMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkArrayMap_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkArrayMap_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkArrayMap_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkArrayMap\nC++: vtkArrayMap *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkArrayMap_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkArrayMap\nC++: vtkArrayMap *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFieldType",                (PyCFunction)PyvtkArrayMap_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType (int );\n\n Set/Get where the data is located that is being mapped.\n See FieldType enumeration for possible values.\n Default is POINT_DATA.\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkArrayMap_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType ();\n\n Set/Get where the data is located that is being mapped.\n See FieldType enumeration for possible values.\n Default is POINT_DATA.\n"},
  {(char*)"SetPassArray",                (PyCFunction)PyvtkArrayMap_SetPassArray, 1,
   (char*)"V.SetPassArray(int)\nC++: void SetPassArray (int );\n\n Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is off.\n"},
  {(char*)"GetPassArray",                (PyCFunction)PyvtkArrayMap_GetPassArray, 1,
   (char*)"V.GetPassArray() -> int\nC++: int GetPassArray ();\n\n Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is off.\n"},
  {(char*)"PassArrayOn",                (PyCFunction)PyvtkArrayMap_PassArrayOn, 1,
   (char*)"V.PassArrayOn()\nC++: void PassArrayOn ();\n\n Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is off.\n"},
  {(char*)"PassArrayOff",                (PyCFunction)PyvtkArrayMap_PassArrayOff, 1,
   (char*)"V.PassArrayOff()\nC++: void PassArrayOff ();\n\n Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is off.\n"},
  {(char*)"SetFillValue",                (PyCFunction)PyvtkArrayMap_SetFillValue, 1,
   (char*)"V.SetFillValue(float)\nC++: void SetFillValue (double );\n\n Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is -1.\n"},
  {(char*)"GetFillValue",                (PyCFunction)PyvtkArrayMap_GetFillValue, 1,
   (char*)"V.GetFillValue() -> float\nC++: double GetFillValue ();\n\n Set/Get whether to copy the data from the input array to the output array\n before the mapping occurs. If turned off, FillValue is used to initialize\n any unmapped array indices. Default is -1.\n"},
  {(char*)"SetInputArrayName",                (PyCFunction)PyvtkArrayMap_SetInputArrayName, 1,
   (char*)"V.SetInputArrayName(string)\nC++: void SetInputArrayName (char *);\n\n Set/Get the name of the input array. This must be set prior to execution.\n"},
  {(char*)"GetInputArrayName",                (PyCFunction)PyvtkArrayMap_GetInputArrayName, 1,
   (char*)"V.GetInputArrayName() -> string\nC++: char *GetInputArrayName ();\n\n Set/Get the name of the input array. This must be set prior to execution.\n"},
  {(char*)"SetOutputArrayName",                (PyCFunction)PyvtkArrayMap_SetOutputArrayName, 1,
   (char*)"V.SetOutputArrayName(string)\nC++: void SetOutputArrayName (char *);\n\n Set/Get the name of the output array. Default is \"ArrayMap\".\n"},
  {(char*)"GetOutputArrayName",                (PyCFunction)PyvtkArrayMap_GetOutputArrayName, 1,
   (char*)"V.GetOutputArrayName() -> string\nC++: char *GetOutputArrayName ();\n\n Set/Get the name of the output array. Default is \"ArrayMap\".\n"},
  {(char*)"GetOutputArrayType",                (PyCFunction)PyvtkArrayMap_GetOutputArrayType, 1,
   (char*)"V.GetOutputArrayType() -> int\nC++: int GetOutputArrayType ();\n\n Set/Get the type of the output array. See vtkSetGet.h for possible values. \n Default is VTK_INT.\n"},
  {(char*)"SetOutputArrayType",                (PyCFunction)PyvtkArrayMap_SetOutputArrayType, 1,
   (char*)"V.SetOutputArrayType(int)\nC++: void SetOutputArrayType (int );\n\n Set/Get the type of the output array. See vtkSetGet.h for possible values. \n Default is VTK_INT.\n"},
  {(char*)"AddToMap",                (PyCFunction)PyvtkArrayMap_AddToMap, 1,
   (char*)"V.AddToMap(int, int)\nC++: void AddToMap (int from, int to);\nV.AddToMap(int, string)\nC++: void AddToMap (int from, char *to);\nV.AddToMap(string, int)\nC++: void AddToMap (char *from, int to);\nV.AddToMap(string, string)\nC++: void AddToMap (char *from, char *to);\n\n Add to the internal STL map. \"from\" should be a value in the input array and\n \"to\" should be the new value it gets assigned in the output array. \n"},
  {(char*)"ClearMap",                (PyCFunction)PyvtkArrayMap_ClearMap, 1,
   (char*)"V.ClearMap()\nC++: void ClearMap ();\n\n Clear the internal map.\n"},
  {(char*)"GetMapSize",                (PyCFunction)PyvtkArrayMap_GetMapSize, 1,
   (char*)"V.GetMapSize() -> int\nC++: int GetMapSize ();\n\n Get the size of the internal map.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkArrayMapDoc[] = {
  (char*)"vtkArrayMap - Map values in an input array to different values in\n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" vtkArrayMap allows you to associate certain values of an attribute array\n (on either a vertex, edge, point, or cell) with different values in a\n newly created attribute array. \n\n vtkArrayMap manages an internal STL map of vtkVariants that can be added to\n or cleared. When this filter executes, each \"key\" is searched for in the\n input array and the indices of the output array at which there were m",
  (char*)"atches\n the set to the mapped \"value\".\n\n You can control whether the input array values are passed to the output\n before the mapping occurs (using PassArray) or, if not, what value to set \n the unmapped indices to (using FillValue). \n\n One application of this filter is to help address the dirty data problem.\n For example, using vtkArrayMap you could associate the vertex values \n \"Foo, John\", \"Foo,",
  (char*)" John.\", and \"John Foo\" with a single entity.\n\n",
  NULL
};

static vtkObjectBase *vtkArrayMapStaticNew()
{
  return vtkArrayMap::New();
}

PyObject *PyVTKClass_vtkArrayMapNew(char *modulename)
{
  return PyVTKClass_New(&vtkArrayMapStaticNew,
                        PyvtkArrayMapMethods,
                        (char*)"vtkArrayMap",modulename,
                        (char**)vtkArrayMapDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

