// python wrapper for vtkAssignCoordinates object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAssignCoordinates.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAssignCoordinatesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAssignCoordinatesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkAssignCoordinates_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinates *op;

  const char    *temp20;
  op = (vtkAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinates::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinates_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinates *op;

  char    *temp0;
  int      temp20;
  op = (vtkAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinates::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinates_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinates *op;

  vtkAssignCoordinates  *temp20;
  op = (vtkAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinates::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinates_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAssignCoordinates  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAssignCoordinates::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAssignCoordinates_SetXCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinates *op;

  char    *temp0;
  op = (vtkAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignCoordinates::SetXCoordArrayName(temp0);
      }
    else
      {
      op->SetXCoordArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinates_GetXCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinates *op;

  char    *temp20;
  op = (vtkAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinates::GetXCoordArrayName();
      }
    else
      {
      temp20 = op->GetXCoordArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinates_SetYCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinates *op;

  char    *temp0;
  op = (vtkAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignCoordinates::SetYCoordArrayName(temp0);
      }
    else
      {
      op->SetYCoordArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinates_GetYCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinates *op;

  char    *temp20;
  op = (vtkAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinates::GetYCoordArrayName();
      }
    else
      {
      temp20 = op->GetYCoordArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinates_SetZCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinates *op;

  char    *temp0;
  op = (vtkAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignCoordinates::SetZCoordArrayName(temp0);
      }
    else
      {
      op->SetZCoordArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinates_GetZCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinates *op;

  char    *temp20;
  op = (vtkAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinates::GetZCoordArrayName();
      }
    else
      {
      temp20 = op->GetZCoordArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinates_SetJitter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinates *op;

  bool   temp0;
  op = (vtkAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignCoordinates::SetJitter(temp0);
      }
    else
      {
      op->SetJitter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAssignCoordinatesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAssignCoordinates_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAssignCoordinates_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAssignCoordinates_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAssignCoordinates\nC++: vtkAssignCoordinates *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAssignCoordinates_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAssignCoordinates\nC++: vtkAssignCoordinates *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetXCoordArrayName",                (PyCFunction)PyvtkAssignCoordinates_SetXCoordArrayName, 1,
   (char*)"V.SetXCoordArrayName(string)\nC++: void SetXCoordArrayName (char *);\n\n Set the x coordinate array name. \n"},
  {(char*)"GetXCoordArrayName",                (PyCFunction)PyvtkAssignCoordinates_GetXCoordArrayName, 1,
   (char*)"V.GetXCoordArrayName() -> string\nC++: char *GetXCoordArrayName ();\n\n Set the x coordinate array name. \n"},
  {(char*)"SetYCoordArrayName",                (PyCFunction)PyvtkAssignCoordinates_SetYCoordArrayName, 1,
   (char*)"V.SetYCoordArrayName(string)\nC++: void SetYCoordArrayName (char *);\n\n Set the y coordinate array name. \n"},
  {(char*)"GetYCoordArrayName",                (PyCFunction)PyvtkAssignCoordinates_GetYCoordArrayName, 1,
   (char*)"V.GetYCoordArrayName() -> string\nC++: char *GetYCoordArrayName ();\n\n Set the y coordinate array name. \n"},
  {(char*)"SetZCoordArrayName",                (PyCFunction)PyvtkAssignCoordinates_SetZCoordArrayName, 1,
   (char*)"V.SetZCoordArrayName(string)\nC++: void SetZCoordArrayName (char *);\n\n Set the z coordinate array name. \n"},
  {(char*)"GetZCoordArrayName",                (PyCFunction)PyvtkAssignCoordinates_GetZCoordArrayName, 1,
   (char*)"V.GetZCoordArrayName() -> string\nC++: char *GetZCoordArrayName ();\n\n Set the z coordinate array name. \n"},
  {(char*)"SetJitter",                (PyCFunction)PyvtkAssignCoordinates_SetJitter, 1,
   (char*)"V.SetJitter(bool)\nC++: void SetJitter (bool );\n\n Set if you want a random jitter\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAssignCoordinatesDoc[] = {
  (char*)"vtkAssignCoordinates - Given two(or three) arrays take the values\n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" Given two(or three) arrays take the values in those arrays and simply assign \n them to the coordinates of the vertices. Yes you could do this with the array \n calculator, but your mom wears army boots so we're not going to.  \n\n",
  NULL
};

static vtkObjectBase *vtkAssignCoordinatesStaticNew()
{
  return vtkAssignCoordinates::New();
}

PyObject *PyVTKClass_vtkAssignCoordinatesNew(char *modulename)
{
  return PyVTKClass_New(&vtkAssignCoordinatesStaticNew,
                        PyvtkAssignCoordinatesMethods,
                        (char*)"vtkAssignCoordinates",modulename,
                        (char**)vtkAssignCoordinatesDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

