// python wrapper for vtkBoxLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoxLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoxLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoxLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeMapLayoutStrategyNew(char *); }

static PyObject *PyvtkBoxLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxLayoutStrategy *op;

  const char    *temp20;
  op = (vtkBoxLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoxLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxLayoutStrategy *op;

  vtkBoxLayoutStrategy  *temp20;
  op = (vtkBoxLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoxLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoxLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoxLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxLayoutStrategy *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  op = (vtkBoxLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxLayoutStrategy::Layout(temp0,temp1);
      }
    else
      {
      op->Layout(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkBoxLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoxLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoxLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoxLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoxLayoutStrategy\nC++: vtkBoxLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoxLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoxLayoutStrategy\nC++: vtkBoxLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkBoxLayoutStrategy_Layout, 1,
   (char*)"V.Layout(vtkTree, vtkDataArray)\nC++: void Layout (vtkTree *inputTree, vtkDataArray *coordsArray);\n\n Perform the layout of a tree and place the results as 4-tuples in\n coordsArray (Xmin, Xmax, Ymin, Ymax).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoxLayoutStrategyDoc[] = {
  (char*)"vtkBoxLayoutStrategy - a tree map layout that puts vertices in square-ish boxes\n\n",
  "Super Class:\n\n vtkTreeMapLayoutStrategy\n\n",
  (char*)" vtkBoxLayoutStrategy recursively partitions the space for children vertices\n in a tree-map into square regions (or regions very close to a square).\n\n .SECTION Thanks\n Thanks to Brian Wylie from Sandia National Laboratories for creating this class.\n\n",
  NULL
};

static vtkObjectBase *vtkBoxLayoutStrategyStaticNew()
{
  return vtkBoxLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkBoxLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoxLayoutStrategyStaticNew,
                        PyvtkBoxLayoutStrategyMethods,
                        (char*)"vtkBoxLayoutStrategy",modulename,
                        (char**)vtkBoxLayoutStrategyDoc,
                        PyVTKClass_vtkTreeMapLayoutStrategyNew(modulename));
}

