// python wrapper for vtkChacoGraphReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkChacoGraphReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkChacoGraphReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkChacoGraphReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUndirectedGraphAlgorithmNew(char *); }

static PyObject *PyvtkChacoGraphReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoGraphReader *op;

  const char    *temp20;
  op = (vtkChacoGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoGraphReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoGraphReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoGraphReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkChacoGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoGraphReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoGraphReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoGraphReader *op;

  vtkChacoGraphReader  *temp20;
  op = (vtkChacoGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoGraphReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoGraphReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkChacoGraphReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkChacoGraphReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkChacoGraphReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoGraphReader *op;

  char    *temp20;
  op = (vtkChacoGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoGraphReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoGraphReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoGraphReader *op;

  char    *temp0;
  op = (vtkChacoGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoGraphReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkChacoGraphReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkChacoGraphReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkChacoGraphReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkChacoGraphReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkChacoGraphReader\nC++: vtkChacoGraphReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkChacoGraphReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkChacoGraphReader\nC++: vtkChacoGraphReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkChacoGraphReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n The Chaco file name.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkChacoGraphReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n The Chaco file name.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkChacoGraphReaderDoc[] = {
  (char*)"vtkChacoGraphReader - Reads chaco graph files.\n\n",
  "Super Class:\n\n vtkUndirectedGraphAlgorithm\n\n",
  (char*)" vtkChacoGraphReader reads in files in the Chaco format into a vtkGraph.\n An example is the following\n <code>\n 10 13\n 2 6 10\n 1 3\n 2 4 8\n 3 5\n 4 6 10\n 1 5 7\n 6 8\n 3 7 9\n 8 10\n 1 5 9\n </code>\n The first line specifies the number of vertices and edges\n in the graph. Each additional line contains the vertices adjacent\n to a particular vertex.  In this example, vertex 1 is adjacent to\n 2, 6 and 10, ve",
  (char*)"rtex 2 is adjacent to 1 and 3, etc.  Since Chaco ids\n start at 1 and VTK ids start at 0, the vertex ids in the vtkGraph\n will be 1 less than the Chaco ids.\n\n",
  NULL
};

static vtkObjectBase *vtkChacoGraphReaderStaticNew()
{
  return vtkChacoGraphReader::New();
}

PyObject *PyVTKClass_vtkChacoGraphReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkChacoGraphReaderStaticNew,
                        PyvtkChacoGraphReaderMethods,
                        (char*)"vtkChacoGraphReader",modulename,
                        (char**)vtkChacoGraphReaderDoc,
                        PyVTKClass_vtkUndirectedGraphAlgorithmNew(modulename));
}

