// python wrapper for vtkCircularLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCircularLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCircularLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCircularLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkCircularLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCircularLayoutStrategy *op;

  const char    *temp20;
  op = (vtkCircularLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCircularLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCircularLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCircularLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkCircularLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCircularLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCircularLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCircularLayoutStrategy *op;

  vtkCircularLayoutStrategy  *temp20;
  op = (vtkCircularLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCircularLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCircularLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCircularLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCircularLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCircularLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCircularLayoutStrategy *op;

  op = (vtkCircularLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCircularLayoutStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCircularLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCircularLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCircularLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCircularLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCircularLayoutStrategy\nC++: vtkCircularLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCircularLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCircularLayoutStrategy\nC++: vtkCircularLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkCircularLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: void Layout ();\n\n Perform the layout.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCircularLayoutStrategyDoc[] = {
  (char*)"vtkCircularLayoutStrategy - Places vertices around a circle\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" Assigns points to the vertices around a circle with unit radius.\n\n",
  NULL
};

static vtkObjectBase *vtkCircularLayoutStrategyStaticNew()
{
  return vtkCircularLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkCircularLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkCircularLayoutStrategyStaticNew,
                        PyvtkCircularLayoutStrategyMethods,
                        (char*)"vtkCircularLayoutStrategy",modulename,
                        (char**)vtkCircularLayoutStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

