// python wrapper for vtkCommunity2DLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCommunity2DLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCommunity2DLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCommunity2DLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkCommunity2DLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  const char    *temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  vtkCommunity2DLayoutStrategy  *temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCommunity2DLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCommunity2DLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_SetRandomSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp0;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCommunity2DLayoutStrategy::SetRandomSeed(temp0);
      }
    else
      {
      op->SetRandomSeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetRandomSeedMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetRandomSeedMinValue();
      }
    else
      {
      temp20 = op->GetRandomSeedMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetRandomSeedMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetRandomSeedMaxValue();
      }
    else
      {
      temp20 = op->GetRandomSeedMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetRandomSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetRandomSeed();
      }
    else
      {
      temp20 = op->GetRandomSeed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_SetMaxNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp0;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCommunity2DLayoutStrategy::SetMaxNumberOfIterations(temp0);
      }
    else
      {
      op->SetMaxNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetMaxNumberOfIterationsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetMaxNumberOfIterationsMinValue();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterationsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetMaxNumberOfIterationsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetMaxNumberOfIterationsMaxValue();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterationsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetMaxNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetMaxNumberOfIterations();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_SetIterationsPerLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp0;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCommunity2DLayoutStrategy::SetIterationsPerLayout(temp0);
      }
    else
      {
      op->SetIterationsPerLayout(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetIterationsPerLayoutMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetIterationsPerLayoutMinValue();
      }
    else
      {
      temp20 = op->GetIterationsPerLayoutMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetIterationsPerLayoutMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetIterationsPerLayoutMaxValue();
      }
    else
      {
      temp20 = op->GetIterationsPerLayoutMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetIterationsPerLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetIterationsPerLayout();
      }
    else
      {
      temp20 = op->GetIterationsPerLayout();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_SetInitialTemperature(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  float    temp0;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCommunity2DLayoutStrategy::SetInitialTemperature(temp0);
      }
    else
      {
      op->SetInitialTemperature(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetInitialTemperatureMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  float    temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetInitialTemperatureMinValue();
      }
    else
      {
      temp20 = op->GetInitialTemperatureMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetInitialTemperatureMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  float    temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetInitialTemperatureMaxValue();
      }
    else
      {
      temp20 = op->GetInitialTemperatureMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetInitialTemperature(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  float    temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetInitialTemperature();
      }
    else
      {
      temp20 = op->GetInitialTemperature();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_SetCoolDownRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  double   temp0;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCommunity2DLayoutStrategy::SetCoolDownRate(temp0);
      }
    else
      {
      op->SetCoolDownRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetCoolDownRateMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  double   temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetCoolDownRateMinValue();
      }
    else
      {
      temp20 = op->GetCoolDownRateMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetCoolDownRateMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  double   temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetCoolDownRateMaxValue();
      }
    else
      {
      temp20 = op->GetCoolDownRateMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetCoolDownRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  double   temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetCoolDownRate();
      }
    else
      {
      temp20 = op->GetCoolDownRate();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_SetRestDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  float    temp0;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCommunity2DLayoutStrategy::SetRestDistance(temp0);
      }
    else
      {
      op->SetRestDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetRestDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  float    temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetRestDistance();
      }
    else
      {
      temp20 = op->GetRestDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCommunity2DLayoutStrategy::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCommunity2DLayoutStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_IsLayoutComplete(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  int      temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::IsLayoutComplete();
      }
    else
      {
      temp20 = op->IsLayoutComplete();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_GetCommunityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  char    *temp20;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunity2DLayoutStrategy::GetCommunityArrayName();
      }
    else
      {
      temp20 = op->GetCommunityArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunity2DLayoutStrategy_SetCommunityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunity2DLayoutStrategy *op;

  char    *temp0;
  op = (vtkCommunity2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCommunity2DLayoutStrategy::SetCommunityArrayName(temp0);
      }
    else
      {
      op->SetCommunityArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCommunity2DLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCommunity2DLayoutStrategy\nC++: vtkCommunity2DLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCommunity2DLayoutStrategy\nC++: vtkCommunity2DLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRandomSeed",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_SetRandomSeed, 1,
   (char*)"V.SetRandomSeed(int)\nC++: void SetRandomSeed (int );\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeedMinValue",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetRandomSeedMinValue, 1,
   (char*)"V.GetRandomSeedMinValue() -> int\nC++: int GetRandomSeedMinValue ();\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeedMaxValue",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetRandomSeedMaxValue, 1,
   (char*)"V.GetRandomSeedMaxValue() -> int\nC++: int GetRandomSeedMaxValue ();\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeed",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetRandomSeed, 1,
   (char*)"V.GetRandomSeed() -> int\nC++: int GetRandomSeed ();\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"SetMaxNumberOfIterations",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_SetMaxNumberOfIterations, 1,
   (char*)"V.SetMaxNumberOfIterations(int)\nC++: void SetMaxNumberOfIterations (int );\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetMaxNumberOfIterationsMinValue",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetMaxNumberOfIterationsMinValue, 1,
   (char*)"V.GetMaxNumberOfIterationsMinValue() -> int\nC++: int GetMaxNumberOfIterationsMinValue ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetMaxNumberOfIterationsMaxValue",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetMaxNumberOfIterationsMaxValue, 1,
   (char*)"V.GetMaxNumberOfIterationsMaxValue() -> int\nC++: int GetMaxNumberOfIterationsMaxValue ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetMaxNumberOfIterations",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetMaxNumberOfIterations, 1,
   (char*)"V.GetMaxNumberOfIterations() -> int\nC++: int GetMaxNumberOfIterations ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"SetIterationsPerLayout",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_SetIterationsPerLayout, 1,
   (char*)"V.SetIterationsPerLayout(int)\nC++: void SetIterationsPerLayout (int );\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n"},
  {(char*)"GetIterationsPerLayoutMinValue",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetIterationsPerLayoutMinValue, 1,
   (char*)"V.GetIterationsPerLayoutMinValue() -> int\nC++: int GetIterationsPerLayoutMinValue ();\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n"},
  {(char*)"GetIterationsPerLayoutMaxValue",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetIterationsPerLayoutMaxValue, 1,
   (char*)"V.GetIterationsPerLayoutMaxValue() -> int\nC++: int GetIterationsPerLayoutMaxValue ();\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n"},
  {(char*)"GetIterationsPerLayout",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetIterationsPerLayout, 1,
   (char*)"V.GetIterationsPerLayout() -> int\nC++: int GetIterationsPerLayout ();\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n"},
  {(char*)"SetInitialTemperature",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_SetInitialTemperature, 1,
   (char*)"V.SetInitialTemperature(float)\nC++: void SetInitialTemperature (float );\n\n Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetInitialTemperatureMinValue",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetInitialTemperatureMinValue, 1,
   (char*)"V.GetInitialTemperatureMinValue() -> float\nC++: float GetInitialTemperatureMinValue ();\n\n Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetInitialTemperatureMaxValue",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetInitialTemperatureMaxValue, 1,
   (char*)"V.GetInitialTemperatureMaxValue() -> float\nC++: float GetInitialTemperatureMaxValue ();\n\n Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetInitialTemperature",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetInitialTemperature, 1,
   (char*)"V.GetInitialTemperature() -> float\nC++: float GetInitialTemperature ();\n\n Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"SetCoolDownRate",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_SetCoolDownRate, 1,
   (char*)"V.SetCoolDownRate(float)\nC++: void SetCoolDownRate (double );\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetCoolDownRateMinValue",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetCoolDownRateMinValue, 1,
   (char*)"V.GetCoolDownRateMinValue() -> float\nC++: double GetCoolDownRateMinValue ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetCoolDownRateMaxValue",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetCoolDownRateMaxValue, 1,
   (char*)"V.GetCoolDownRateMaxValue() -> float\nC++: double GetCoolDownRateMaxValue ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetCoolDownRate",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetCoolDownRate, 1,
   (char*)"V.GetCoolDownRate() -> float\nC++: double GetCoolDownRate ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"SetRestDistance",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_SetRestDistance, 1,
   (char*)"V.SetRestDistance(float)\nC++: void SetRestDistance (float );\n\n Manually set the resting distance. Otherwise the\n distance is computed automatically.\n"},
  {(char*)"GetRestDistance",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetRestDistance, 1,
   (char*)"V.GetRestDistance() -> float\nC++: float GetRestDistance ();\n\n Manually set the resting distance. Otherwise the\n distance is computed automatically.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n This strategy sets up some data structures\n for faster processing of each Layout() call\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: virtual void Layout ();\n\n This is the layout method where the graph that was\n set in SetGraph() is laid out. The method can either\n entirely layout the graph or iteratively lay out the\n graph. If you have an iterative layout please implement\n the IsLayoutComplete() method.\n"},
  {(char*)"IsLayoutComplete",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_IsLayoutComplete, 1,
   (char*)"V.IsLayoutComplete() -> int\nC++: virtual int IsLayoutComplete ();return this LayoutComplete \n\n Get/Set the community array name\n"},
  {(char*)"GetCommunityArrayName",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_GetCommunityArrayName, 1,
   (char*)"V.GetCommunityArrayName() -> string\nC++: char *GetCommunityArrayName ();\n\n Get/Set the community array name\n"},
  {(char*)"SetCommunityArrayName",                (PyCFunction)PyvtkCommunity2DLayoutStrategy_SetCommunityArrayName, 1,
   (char*)"V.SetCommunityArrayName(string)\nC++: void SetCommunityArrayName (char *);\n\n Get/Set the community array name\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCommunity2DLayoutStrategyDoc[] = {
  (char*)"vtkCommunity2DLayoutStrategy - a simple fast 2D graph layout\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" This class is a density grid based force directed layout strategy.\n Also please note that 'fast' is relative to quite slow. :)\n The layout running time is O(V+E) with an extremely high constant.\n .SECTION Thanks\n Thanks to Godzilla for not eating my computer so that this class\n could be written.\n\n",
  NULL
};

static vtkObjectBase *vtkCommunity2DLayoutStrategyStaticNew()
{
  return vtkCommunity2DLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkCommunity2DLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkCommunity2DLayoutStrategyStaticNew,
                        PyvtkCommunity2DLayoutStrategyMethods,
                        (char*)"vtkCommunity2DLayoutStrategy",modulename,
                        (char**)vtkCommunity2DLayoutStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

