// python wrapper for vtkDataObjectToTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataObjectToTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataObjectToTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataObjectToTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkDataObjectToTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToTable *op;

  const char    *temp20;
  op = (vtkDataObjectToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToTable *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataObjectToTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToTable *op;

  vtkDataObjectToTable  *temp20;
  op = (vtkDataObjectToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataObjectToTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataObjectToTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataObjectToTable_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToTable *op;

  int      temp20;
  op = (vtkDataObjectToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToTable::GetFieldType();
      }
    else
      {
      temp20 = op->GetFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToTable_SetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToTable *op;

  int      temp0;
  op = (vtkDataObjectToTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToTable::SetFieldType(temp0);
      }
    else
      {
      op->SetFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToTable_GetFieldTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToTable *op;

  int      temp20;
  op = (vtkDataObjectToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToTable::GetFieldTypeMinValue();
      }
    else
      {
      temp20 = op->GetFieldTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToTable_GetFieldTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToTable *op;

  int      temp20;
  op = (vtkDataObjectToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToTable::GetFieldTypeMaxValue();
      }
    else
      {
      temp20 = op->GetFieldTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataObjectToTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataObjectToTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataObjectToTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataObjectToTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataObjectToTable\nC++: vtkDataObjectToTable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataObjectToTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataObjectToTable\nC++: vtkDataObjectToTable *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkDataObjectToTable_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType ();\n\n The field type to copy into the output table.\n Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {(char*)"SetFieldType",                (PyCFunction)PyvtkDataObjectToTable_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType (int );\n\n The field type to copy into the output table.\n Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {(char*)"GetFieldTypeMinValue",                (PyCFunction)PyvtkDataObjectToTable_GetFieldTypeMinValue, 1,
   (char*)"V.GetFieldTypeMinValue() -> int\nC++: int GetFieldTypeMinValue ();\n\n The field type to copy into the output table.\n Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {(char*)"GetFieldTypeMaxValue",                (PyCFunction)PyvtkDataObjectToTable_GetFieldTypeMaxValue, 1,
   (char*)"V.GetFieldTypeMaxValue() -> int\nC++: int GetFieldTypeMaxValue ();\n\n The field type to copy into the output table.\n Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataObjectToTableDoc[] = {
  (char*)"vtkDataObjectToTable - extract field data as a table\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" This filter cen extrac the field, cell or point data of any data object\n as a table.\n\n",
  NULL
};

static vtkObjectBase *vtkDataObjectToTableStaticNew()
{
  return vtkDataObjectToTable::New();
}

PyObject *PyVTKClass_vtkDataObjectToTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataObjectToTableStaticNew,
                        PyvtkDataObjectToTableMethods,
                        (char*)"vtkDataObjectToTable",modulename,
                        (char**)vtkDataObjectToTableDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

