// python wrapper for vtkDelimitedTextReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDelimitedTextReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDelimitedTextReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDelimitedTextReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkDelimitedTextReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  const char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  vtkDelimitedTextReader  *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDelimitedTextReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDelimitedTextReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetFieldDelimiterCharacters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetFieldDelimiterCharacters(temp0);
      }
    else
      {
      op->SetFieldDelimiterCharacters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetFieldDelimiterCharacters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetFieldDelimiterCharacters();
      }
    else
      {
      temp20 = op->GetFieldDelimiterCharacters();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char     temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetStringDelimiter();
      }
    else
      {
      temp20 = op->GetStringDelimiter();
      }
    return PyString_FromStringAndSize((char *)&temp20,1);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char     temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"c", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetStringDelimiter(temp0);
      }
    else
      {
      op->SetStringDelimiter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetUseStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetUseStringDelimiter(temp0);
      }
    else
      {
      op->SetUseStringDelimiter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetUseStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetUseStringDelimiter();
      }
    else
      {
      temp20 = op->GetUseStringDelimiter();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_UseStringDelimiterOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::UseStringDelimiterOn();
      }
    else
      {
      op->UseStringDelimiterOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_UseStringDelimiterOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::UseStringDelimiterOff();
      }
    else
      {
      op->UseStringDelimiterOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetHaveHeaders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetHaveHeaders();
      }
    else
      {
      temp20 = op->GetHaveHeaders();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetHaveHeaders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetHaveHeaders(temp0);
      }
    else
      {
      op->SetHaveHeaders(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetMergeConsecutiveDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetMergeConsecutiveDelimiters(temp0);
      }
    else
      {
      op->SetMergeConsecutiveDelimiters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetMergeConsecutiveDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetMergeConsecutiveDelimiters();
      }
    else
      {
      temp20 = op->GetMergeConsecutiveDelimiters();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_MergeConsecutiveDelimitersOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::MergeConsecutiveDelimitersOn();
      }
    else
      {
      op->MergeConsecutiveDelimitersOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_MergeConsecutiveDelimitersOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::MergeConsecutiveDelimitersOff();
      }
    else
      {
      op->MergeConsecutiveDelimitersOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetMaxRecords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  int      temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetMaxRecords();
      }
    else
      {
      temp20 = op->GetMaxRecords();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetMaxRecords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  int      temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetMaxRecords(temp0);
      }
    else
      {
      op->SetMaxRecords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDelimitedTextReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDelimitedTextReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDelimitedTextReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDelimitedTextReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDelimitedTextReader\nC++: vtkDelimitedTextReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDelimitedTextReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDelimitedTextReader\nC++: vtkDelimitedTextReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkDelimitedTextReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkDelimitedTextReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n"},
  {(char*)"SetFieldDelimiterCharacters",                (PyCFunction)PyvtkDelimitedTextReader_SetFieldDelimiterCharacters, 1,
   (char*)"V.SetFieldDelimiterCharacters(string)\nC++: void SetFieldDelimiterCharacters (char *);\n\n Get/set the characters that will be used to separate fields.  For\n example, set this to \",\" for a comma-separated value file.  Set\n it to \".:;\" for a file where columns can be separated by a\n period, colon or semicolon.  The order of the characters in the\n string does not matter.  Defaults to a comma.\n"},
  {(char*)"GetFieldDelimiterCharacters",                (PyCFunction)PyvtkDelimitedTextReader_GetFieldDelimiterCharacters, 1,
   (char*)"V.GetFieldDelimiterCharacters() -> string\nC++: char *GetFieldDelimiterCharacters ();\n\n Get/set the characters that will be used to separate fields.  For\n example, set this to \",\" for a comma-separated value file.  Set\n it to \".:;\" for a file where columns can be separated by a\n period, colon or semicolon.  The order of the characters in the\n string does not matter.  Defaults to a comma.\n"},
  {(char*)"GetStringDelimiter",                (PyCFunction)PyvtkDelimitedTextReader_GetStringDelimiter, 1,
   (char*)"V.GetStringDelimiter() -> char\nC++: char GetStringDelimiter ();\n\n Get/set the character that will begin and end strings.  Microsoft\n Excel, for example, will export the following format:\n\n \"First Field\",\"Second Field\",\"Field, With, Commas\",\"Fourth Field\"\n\n The third field has a comma in it.  By using a string delimiter,\n this will be correctly read.  The delimiter defaults to '\"'.\n"},
  {(char*)"SetStringDelimiter",                (PyCFunction)PyvtkDelimitedTextReader_SetStringDelimiter, 1,
   (char*)"V.SetStringDelimiter(char)\nC++: void SetStringDelimiter (char );\n\n Get/set the character that will begin and end strings.  Microsoft\n Excel, for example, will export the following format:\n\n \"First Field\",\"Second Field\",\"Field, With, Commas\",\"Fourth Field\"\n\n The third field has a comma in it.  By using a string delimiter,\n this will be correctly read.  The delimiter defaults to '\"'.\n"},
  {(char*)"SetUseStringDelimiter",                (PyCFunction)PyvtkDelimitedTextReader_SetUseStringDelimiter, 1,
   (char*)"V.SetUseStringDelimiter(bool)\nC++: void SetUseStringDelimiter (bool );\n\n Set/get whether to use the string delimiter.  Defaults to on.\n"},
  {(char*)"GetUseStringDelimiter",                (PyCFunction)PyvtkDelimitedTextReader_GetUseStringDelimiter, 1,
   (char*)"V.GetUseStringDelimiter() -> bool\nC++: bool GetUseStringDelimiter ();\n\n Set/get whether to use the string delimiter.  Defaults to on.\n"},
  {(char*)"UseStringDelimiterOn",                (PyCFunction)PyvtkDelimitedTextReader_UseStringDelimiterOn, 1,
   (char*)"V.UseStringDelimiterOn()\nC++: void UseStringDelimiterOn ();\n\n Set/get whether to use the string delimiter.  Defaults to on.\n"},
  {(char*)"UseStringDelimiterOff",                (PyCFunction)PyvtkDelimitedTextReader_UseStringDelimiterOff, 1,
   (char*)"V.UseStringDelimiterOff()\nC++: void UseStringDelimiterOff ();\n\n Set/get whether to use the string delimiter.  Defaults to on.\n"},
  {(char*)"GetHaveHeaders",                (PyCFunction)PyvtkDelimitedTextReader_GetHaveHeaders, 1,
   (char*)"V.GetHaveHeaders() -> bool\nC++: bool GetHaveHeaders ();\n\n Set/get whether to treat the first line of the file as headers.\n"},
  {(char*)"SetHaveHeaders",                (PyCFunction)PyvtkDelimitedTextReader_SetHaveHeaders, 1,
   (char*)"V.SetHaveHeaders(bool)\nC++: void SetHaveHeaders (bool );\n\n Set/get whether to treat the first line of the file as headers.\n"},
  {(char*)"SetMergeConsecutiveDelimiters",                (PyCFunction)PyvtkDelimitedTextReader_SetMergeConsecutiveDelimiters, 1,
   (char*)"V.SetMergeConsecutiveDelimiters(bool)\nC++: void SetMergeConsecutiveDelimiters (bool );\n\n Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n"},
  {(char*)"GetMergeConsecutiveDelimiters",                (PyCFunction)PyvtkDelimitedTextReader_GetMergeConsecutiveDelimiters, 1,
   (char*)"V.GetMergeConsecutiveDelimiters() -> bool\nC++: bool GetMergeConsecutiveDelimiters ();\n\n Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n"},
  {(char*)"MergeConsecutiveDelimitersOn",                (PyCFunction)PyvtkDelimitedTextReader_MergeConsecutiveDelimitersOn, 1,
   (char*)"V.MergeConsecutiveDelimitersOn()\nC++: void MergeConsecutiveDelimitersOn ();\n\n Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n"},
  {(char*)"MergeConsecutiveDelimitersOff",                (PyCFunction)PyvtkDelimitedTextReader_MergeConsecutiveDelimitersOff, 1,
   (char*)"V.MergeConsecutiveDelimitersOff()\nC++: void MergeConsecutiveDelimitersOff ();\n\n Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n"},
  {(char*)"GetMaxRecords",                (PyCFunction)PyvtkDelimitedTextReader_GetMaxRecords, 1,
   (char*)"V.GetMaxRecords() -> int\nC++: int GetMaxRecords ();\n\n Set/get the maximum number of records to read from the file (zero = unlimited)\n"},
  {(char*)"SetMaxRecords",                (PyCFunction)PyvtkDelimitedTextReader_SetMaxRecords, 1,
   (char*)"V.SetMaxRecords(int)\nC++: void SetMaxRecords (int );\n\n Set/get the maximum number of records to read from the file (zero = unlimited)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDelimitedTextReaderDoc[] = {
  (char*)"vtkDelimitedTextReader - reader for pulling in flat text files\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" vtkDelimitedTextReader is an interface for pulling in data from a\n flat, delimited text file (delimiter can be any character).\n\n This class emits ProgressEvent for every 100 lines it reads.\n\n .SECTION Thanks\n Thanks to Andy Wilson and Brian Wylie from Sandia National Laboratories \n for implementing this class.\n \n\n",
  "Caveats:\n\n\n This reader assumes that the first line in the file (whether that's\n headers or the first document) contains at least as many fields as\n any other line in the file.\n\n",
  NULL
};

static vtkObjectBase *vtkDelimitedTextReaderStaticNew()
{
  return vtkDelimitedTextReader::New();
}

PyObject *PyVTKClass_vtkDelimitedTextReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkDelimitedTextReaderStaticNew,
                        PyvtkDelimitedTextReaderMethods,
                        (char*)"vtkDelimitedTextReader",modulename,
                        (char**)vtkDelimitedTextReaderDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

