// tcl wrapper for vtkDelimitedTextReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDelimitedTextReader.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDelimitedTextReaderNewCommand()
{
  vtkDelimitedTextReader *temp = vtkDelimitedTextReader::New();
  return static_cast<ClientData>(temp);
}

int vtkTableAlgorithmCppCommand(vtkTableAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDelimitedTextReaderCppCommand(vtkDelimitedTextReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDelimitedTextReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDelimitedTextReaderCppCommand(static_cast<vtkDelimitedTextReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDelimitedTextReaderCppCommand(vtkDelimitedTextReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDelimitedTextReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTableAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDelimitedTextReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDelimitedTextReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDelimitedTextReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDelimitedTextReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDelimitedTextReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDelimitedTextReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFieldDelimiterCharacters",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFieldDelimiterCharacters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldDelimiterCharacters",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFieldDelimiterCharacters();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetStringDelimiter",argv[1]))&&(argc == 2))
    {
    char     temp20;
    temp20 = (op)->GetStringDelimiter();
    char tempResult[1024];
    sprintf(tempResult,"%c",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStringDelimiter",argv[1]))&&(argc == 3))
    {
    char     temp0;
    error = 0;

    temp0 = *(argv[2]);
    if (!error)
    {
    op->SetStringDelimiter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseStringDelimiter",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseStringDelimiter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseStringDelimiter",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseStringDelimiter();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseStringDelimiterOn",argv[1]))&&(argc == 2))
    {
    op->UseStringDelimiterOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseStringDelimiterOff",argv[1]))&&(argc == 2))
    {
    op->UseStringDelimiterOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetHaveHeaders",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetHaveHeaders();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHaveHeaders",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetHaveHeaders(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMergeConsecutiveDelimiters",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetMergeConsecutiveDelimiters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMergeConsecutiveDelimiters",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetMergeConsecutiveDelimiters();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MergeConsecutiveDelimitersOn",argv[1]))&&(argc == 2))
    {
    op->MergeConsecutiveDelimitersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MergeConsecutiveDelimitersOff",argv[1]))&&(argc == 2))
    {
    op->MergeConsecutiveDelimitersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxRecords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxRecords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxRecords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxRecords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDelimitedTextReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDelimitedTextReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldDelimiterCharacters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldDelimiterCharacters\n",NULL);
    Tcl_AppendResult(interp,"  GetStringDelimiter\n",NULL);
    Tcl_AppendResult(interp,"  SetStringDelimiter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUseStringDelimiter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseStringDelimiter\n",NULL);
    Tcl_AppendResult(interp,"  UseStringDelimiterOn\n",NULL);
    Tcl_AppendResult(interp,"  UseStringDelimiterOff\n",NULL);
    Tcl_AppendResult(interp,"  GetHaveHeaders\n",NULL);
    Tcl_AppendResult(interp,"  SetHaveHeaders\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMergeConsecutiveDelimiters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMergeConsecutiveDelimiters\n",NULL);
    Tcl_AppendResult(interp,"  MergeConsecutiveDelimitersOn\n",NULL);
    Tcl_AppendResult(interp,"  MergeConsecutiveDelimitersOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxRecords\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxRecords\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetFieldDelimiterCharacters" );
    Tcl_DStringAppendElement ( &dString, "GetFieldDelimiterCharacters" );
    Tcl_DStringAppendElement ( &dString, "GetStringDelimiter" );
    Tcl_DStringAppendElement ( &dString, "SetStringDelimiter" );
    Tcl_DStringAppendElement ( &dString, "SetUseStringDelimiter" );
    Tcl_DStringAppendElement ( &dString, "GetUseStringDelimiter" );
    Tcl_DStringAppendElement ( &dString, "UseStringDelimiterOn" );
    Tcl_DStringAppendElement ( &dString, "UseStringDelimiterOff" );
    Tcl_DStringAppendElement ( &dString, "GetHaveHeaders" );
    Tcl_DStringAppendElement ( &dString, "SetHaveHeaders" );
    Tcl_DStringAppendElement ( &dString, "SetMergeConsecutiveDelimiters" );
    Tcl_DStringAppendElement ( &dString, "GetMergeConsecutiveDelimiters" );
    Tcl_DStringAppendElement ( &dString, "MergeConsecutiveDelimitersOn" );
    Tcl_DStringAppendElement ( &dString, "MergeConsecutiveDelimitersOff" );
    Tcl_DStringAppendElement ( &dString, "GetMaxRecords" );
    Tcl_DStringAppendElement ( &dString, "SetMaxRecords" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDelimitedTextReader *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldDelimiterCharacters */
    if ( strcmp ( argv[2], "SetFieldDelimiterCharacters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldDelimiterCharacters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldDelimiterCharacters */
    Tcl_DStringAppendElement ( &dString, " Get/set the characters that will be used to separate fields.  For\n example, set this to \",\" for a comma-separated value file.  Set\n it to \".:;\" for a file where columns can be separated by a\n period, colon or semicolon.  The order of the characters in the\n string does not matter.  Defaults to a comma.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFieldDelimiterCharacters (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetFieldDelimiterCharacters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldDelimiterCharacters */
    if ( strcmp ( argv[2], "GetFieldDelimiterCharacters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldDelimiterCharacters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldDelimiterCharacters */
    Tcl_DStringAppendElement ( &dString, " Get/set the characters that will be used to separate fields.  For\n example, set this to \",\" for a comma-separated value file.  Set\n it to \".:;\" for a file where columns can be separated by a\n period, colon or semicolon.  The order of the characters in the\n string does not matter.  Defaults to a comma.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFieldDelimiterCharacters ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetFieldDelimiterCharacters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStringDelimiter */
    if ( strcmp ( argv[2], "GetStringDelimiter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStringDelimiter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStringDelimiter */
    Tcl_DStringAppendElement ( &dString, " Get/set the character that will begin and end strings.  Microsoft\n Excel, for example, will export the following format:\n\n \"First Field\",\"Second Field\",\"Field, With, Commas\",\"Fourth Field\"\n\n The third field has a comma in it.  By using a string delimiter,\n this will be correctly read.  The delimiter defaults to '\"'.\n" );
    Tcl_DStringAppendElement ( &dString, "char GetStringDelimiter ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetStringDelimiter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStringDelimiter */
    if ( strcmp ( argv[2], "SetStringDelimiter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStringDelimiter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "char" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStringDelimiter */
    Tcl_DStringAppendElement ( &dString, " Get/set the character that will begin and end strings.  Microsoft\n Excel, for example, will export the following format:\n\n \"First Field\",\"Second Field\",\"Field, With, Commas\",\"Fourth Field\"\n\n The third field has a comma in it.  By using a string delimiter,\n this will be correctly read.  The delimiter defaults to '\"'.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStringDelimiter (char );" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetStringDelimiter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseStringDelimiter */
    if ( strcmp ( argv[2], "SetUseStringDelimiter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseStringDelimiter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseStringDelimiter */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use the string delimiter.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseStringDelimiter (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetUseStringDelimiter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseStringDelimiter */
    if ( strcmp ( argv[2], "GetUseStringDelimiter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseStringDelimiter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseStringDelimiter */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use the string delimiter.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseStringDelimiter ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetUseStringDelimiter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseStringDelimiterOn */
    if ( strcmp ( argv[2], "UseStringDelimiterOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseStringDelimiterOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseStringDelimiterOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use the string delimiter.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseStringDelimiterOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for UseStringDelimiterOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseStringDelimiterOff */
    if ( strcmp ( argv[2], "UseStringDelimiterOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseStringDelimiterOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseStringDelimiterOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use the string delimiter.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseStringDelimiterOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for UseStringDelimiterOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHaveHeaders */
    if ( strcmp ( argv[2], "GetHaveHeaders" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHaveHeaders" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHaveHeaders */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to treat the first line of the file as headers.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetHaveHeaders ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetHaveHeaders */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHaveHeaders */
    if ( strcmp ( argv[2], "SetHaveHeaders" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHaveHeaders" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHaveHeaders */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to treat the first line of the file as headers.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHaveHeaders (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetHaveHeaders */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMergeConsecutiveDelimiters */
    if ( strcmp ( argv[2], "SetMergeConsecutiveDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMergeConsecutiveDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMergeConsecutiveDelimiters */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMergeConsecutiveDelimiters (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetMergeConsecutiveDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMergeConsecutiveDelimiters */
    if ( strcmp ( argv[2], "GetMergeConsecutiveDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMergeConsecutiveDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMergeConsecutiveDelimiters */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetMergeConsecutiveDelimiters ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetMergeConsecutiveDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergeConsecutiveDelimitersOn */
    if ( strcmp ( argv[2], "MergeConsecutiveDelimitersOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergeConsecutiveDelimitersOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergeConsecutiveDelimitersOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n" );
    Tcl_DStringAppendElement ( &dString, "void MergeConsecutiveDelimitersOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for MergeConsecutiveDelimitersOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergeConsecutiveDelimitersOff */
    if ( strcmp ( argv[2], "MergeConsecutiveDelimitersOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergeConsecutiveDelimitersOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergeConsecutiveDelimitersOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n" );
    Tcl_DStringAppendElement ( &dString, "void MergeConsecutiveDelimitersOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for MergeConsecutiveDelimitersOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxRecords */
    if ( strcmp ( argv[2], "GetMaxRecords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxRecords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxRecords */
    Tcl_DStringAppendElement ( &dString, " Set/get the maximum number of records to read from the file (zero = unlimited)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxRecords ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetMaxRecords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxRecords */
    if ( strcmp ( argv[2], "SetMaxRecords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxRecords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxRecords */
    Tcl_DStringAppendElement ( &dString, " Set/get the maximum number of records to read from the file (zero = unlimited)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxRecords (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetMaxRecords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
