// python wrapper for vtkEdgeCenters object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEdgeCenters.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEdgeCentersNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEdgeCentersNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkEdgeCenters_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeCenters *op;

  const char    *temp20;
  op = (vtkEdgeCenters *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeCenters::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeCenters_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeCenters *op;

  char    *temp0;
  int      temp20;
  op = (vtkEdgeCenters *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeCenters::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeCenters_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeCenters *op;

  vtkEdgeCenters  *temp20;
  op = (vtkEdgeCenters *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeCenters::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeCenters_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEdgeCenters  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEdgeCenters::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEdgeCenters_SetVertexCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeCenters *op;

  int      temp0;
  op = (vtkEdgeCenters *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeCenters::SetVertexCells(temp0);
      }
    else
      {
      op->SetVertexCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeCenters_GetVertexCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeCenters *op;

  int      temp20;
  op = (vtkEdgeCenters *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeCenters::GetVertexCells();
      }
    else
      {
      temp20 = op->GetVertexCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeCenters_VertexCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeCenters *op;

  op = (vtkEdgeCenters *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeCenters::VertexCellsOn();
      }
    else
      {
      op->VertexCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeCenters_VertexCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeCenters *op;

  op = (vtkEdgeCenters *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeCenters::VertexCellsOff();
      }
    else
      {
      op->VertexCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEdgeCentersMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEdgeCenters_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEdgeCenters_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEdgeCenters_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEdgeCenters\nC++: vtkEdgeCenters *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEdgeCenters_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEdgeCenters\nC++: vtkEdgeCenters *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVertexCells",                (PyCFunction)PyvtkEdgeCenters_SetVertexCells, 1,
   (char*)"V.SetVertexCells(int)\nC++: void SetVertexCells (int );\n\n Enable/disable the generation of vertex cells.\n"},
  {(char*)"GetVertexCells",                (PyCFunction)PyvtkEdgeCenters_GetVertexCells, 1,
   (char*)"V.GetVertexCells() -> int\nC++: int GetVertexCells ();\n\n Enable/disable the generation of vertex cells.\n"},
  {(char*)"VertexCellsOn",                (PyCFunction)PyvtkEdgeCenters_VertexCellsOn, 1,
   (char*)"V.VertexCellsOn()\nC++: void VertexCellsOn ();\n\n Enable/disable the generation of vertex cells.\n"},
  {(char*)"VertexCellsOff",                (PyCFunction)PyvtkEdgeCenters_VertexCellsOff, 1,
   (char*)"V.VertexCellsOff()\nC++: void VertexCellsOff ();\n\n Enable/disable the generation of vertex cells.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEdgeCentersDoc[] = {
  (char*)"vtkEdgeCenters - generate points at center of edges\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkEdgeCenters is a filter that takes as input any graph and \n generates on output points at the center of the cells in the dataset.\n These points can be used for placing glyphs (vtkGlyph3D) or labeling \n (vtkLabeledDataMapper). (The center is the parametric center of the\n cell, not necessarily the geometric or bounding box center.) The edge\n attributes will be associated with the points on outpu",
  (char*)"t.\n \n\n",
  "Caveats:\n\n You can choose to generate just points or points and vertex cells.\n Vertex cells are drawn during rendering; points are not. Use the ivar\n VertexCells to generate cells.\n\n",
  "See Also:\n\n vtkGlyph3D vtkLabeledDataMapper\n\n",
  NULL
};

static vtkObjectBase *vtkEdgeCentersStaticNew()
{
  return vtkEdgeCenters::New();
}

PyObject *PyVTKClass_vtkEdgeCentersNew(char *modulename)
{
  return PyVTKClass_New(&vtkEdgeCentersStaticNew,
                        PyvtkEdgeCentersMethods,
                        (char*)"vtkEdgeCenters",modulename,
                        (char**)vtkEdgeCentersDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

