// python wrapper for vtkExtractSelectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelectedGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectedGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectedGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkExtractSelectedGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedGraph *op;

  const char    *temp20;
  op = (vtkExtractSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedGraph *op;

  vtkExtractSelectedGraph  *temp20;
  op = (vtkExtractSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractSelectedGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractSelectedGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractSelectedGraph_SetSelectionConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedGraph *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkExtractSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedGraph::SetSelectionConnection(temp0);
      }
    else
      {
      op->SetSelectionConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkExtractSelectedGraph_SetRemoveIsolatedVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedGraph *op;

  bool   temp0;
  op = (vtkExtractSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedGraph::SetRemoveIsolatedVertices(temp0);
      }
    else
      {
      op->SetRemoveIsolatedVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedGraph_GetRemoveIsolatedVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedGraph *op;

  bool   temp20;
  op = (vtkExtractSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedGraph::GetRemoveIsolatedVertices();
      }
    else
      {
      temp20 = op->GetRemoveIsolatedVertices();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedGraph_RemoveIsolatedVerticesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedGraph *op;

  op = (vtkExtractSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedGraph::RemoveIsolatedVerticesOn();
      }
    else
      {
      op->RemoveIsolatedVerticesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedGraph_RemoveIsolatedVerticesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedGraph *op;

  op = (vtkExtractSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedGraph::RemoveIsolatedVerticesOff();
      }
    else
      {
      op->RemoveIsolatedVerticesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedGraph_FillInputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedGraph *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkExtractSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedGraph::FillInputPortInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->FillInputPortInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}

static PyMethodDef PyvtkExtractSelectedGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractSelectedGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractSelectedGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractSelectedGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelectedGraph\nC++: vtkExtractSelectedGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractSelectedGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractSelectedGraph\nC++: vtkExtractSelectedGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSelectionConnection",                (PyCFunction)PyvtkExtractSelectedGraph_SetSelectionConnection, 1,
   (char*)"V.SetSelectionConnection(vtkAlgorithmOutput)\nC++: void SetSelectionConnection (vtkAlgorithmOutput *in);\n\n A convenience method for setting the second input (i.e. the selection).\n"},
  {(char*)"SetRemoveIsolatedVertices",                (PyCFunction)PyvtkExtractSelectedGraph_SetRemoveIsolatedVertices, 1,
   (char*)"V.SetRemoveIsolatedVertices(bool)\nC++: void SetRemoveIsolatedVertices (bool );\n\n If set, removes vertices with no adjacent edges in an edge selection.\n A vertex selection ignores this flag and always returns the full set \n of selected vertices.  Default is on.\n"},
  {(char*)"GetRemoveIsolatedVertices",                (PyCFunction)PyvtkExtractSelectedGraph_GetRemoveIsolatedVertices, 1,
   (char*)"V.GetRemoveIsolatedVertices() -> bool\nC++: bool GetRemoveIsolatedVertices ();\n\n If set, removes vertices with no adjacent edges in an edge selection.\n A vertex selection ignores this flag and always returns the full set \n of selected vertices.  Default is on.\n"},
  {(char*)"RemoveIsolatedVerticesOn",                (PyCFunction)PyvtkExtractSelectedGraph_RemoveIsolatedVerticesOn, 1,
   (char*)"V.RemoveIsolatedVerticesOn()\nC++: void RemoveIsolatedVerticesOn ();\n\n If set, removes vertices with no adjacent edges in an edge selection.\n A vertex selection ignores this flag and always returns the full set \n of selected vertices.  Default is on.\n"},
  {(char*)"RemoveIsolatedVerticesOff",                (PyCFunction)PyvtkExtractSelectedGraph_RemoveIsolatedVerticesOff, 1,
   (char*)"V.RemoveIsolatedVerticesOff()\nC++: void RemoveIsolatedVerticesOff ();\n\n If set, removes vertices with no adjacent edges in an edge selection.\n A vertex selection ignores this flag and always returns the full set \n of selected vertices.  Default is on.\n"},
  {(char*)"FillInputPortInformation",                (PyCFunction)PyvtkExtractSelectedGraph_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation (int port, vtkInformation *info);\n\n Specify the first vtkGraph input and the second vtkSelection input.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractSelectedGraphDoc[] = {
  (char*)"vtkExtractSelectedGraph - return a subgraph of a vtkGraph\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" The first input is a vtkGraph to take a subgraph from.\n The second input is a vtkSelection containing the selected indices.\n The vtkSelection may have FIELD_TYPE set to POINTS (a vertex selection)\n or CELLS (an edge selection).  A vertex selection preserves all edges\n that connect selected vertices.  An edge selection preserves all vertices\n that are adjacent to at least one selected edge.  Alter",
  (char*)"nately, you may\n indicate that an edge selection should maintain the full set of vertices,\n by turning RemoveIsolatedVertices off.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractSelectedGraphStaticNew()
{
  return vtkExtractSelectedGraph::New();
}

PyObject *PyVTKClass_vtkExtractSelectedGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractSelectedGraphStaticNew,
                        PyvtkExtractSelectedGraphMethods,
                        (char*)"vtkExtractSelectedGraph",modulename,
                        (char**)vtkExtractSelectedGraphDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

