// python wrapper for vtkFixedWidthTextReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFixedWidthTextReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFixedWidthTextReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFixedWidthTextReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkFixedWidthTextReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  const char    *temp20;
  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedWidthTextReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedWidthTextReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  vtkFixedWidthTextReader  *temp20;
  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedWidthTextReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFixedWidthTextReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFixedWidthTextReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  char    *temp20;
  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedWidthTextReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  char    *temp0;
  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedWidthTextReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_SetFieldWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  int      temp0;
  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedWidthTextReader::SetFieldWidth(temp0);
      }
    else
      {
      op->SetFieldWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_GetFieldWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  int      temp20;
  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedWidthTextReader::GetFieldWidth();
      }
    else
      {
      temp20 = op->GetFieldWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_SetStripWhiteSpace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  bool   temp0;
  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedWidthTextReader::SetStripWhiteSpace(temp0);
      }
    else
      {
      op->SetStripWhiteSpace(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_GetStripWhiteSpace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  bool   temp20;
  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedWidthTextReader::GetStripWhiteSpace();
      }
    else
      {
      temp20 = op->GetStripWhiteSpace();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_StripWhiteSpaceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedWidthTextReader::StripWhiteSpaceOn();
      }
    else
      {
      op->StripWhiteSpaceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_StripWhiteSpaceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedWidthTextReader::StripWhiteSpaceOff();
      }
    else
      {
      op->StripWhiteSpaceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_GetHaveHeaders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  bool   temp20;
  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedWidthTextReader::GetHaveHeaders();
      }
    else
      {
      temp20 = op->GetHaveHeaders();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_SetHaveHeaders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  bool   temp0;
  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedWidthTextReader::SetHaveHeaders(temp0);
      }
    else
      {
      op->SetHaveHeaders(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_HaveHeadersOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedWidthTextReader::HaveHeadersOn();
      }
    else
      {
      op->HaveHeadersOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedWidthTextReader_HaveHeadersOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedWidthTextReader *op;

  op = (vtkFixedWidthTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedWidthTextReader::HaveHeadersOff();
      }
    else
      {
      op->HaveHeadersOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFixedWidthTextReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFixedWidthTextReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFixedWidthTextReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFixedWidthTextReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFixedWidthTextReader\nC++: vtkFixedWidthTextReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFixedWidthTextReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFixedWidthTextReader\nC++: vtkFixedWidthTextReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkFixedWidthTextReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkFixedWidthTextReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n"},
  {(char*)"SetFieldWidth",                (PyCFunction)PyvtkFixedWidthTextReader_SetFieldWidth, 1,
   (char*)"V.SetFieldWidth(int)\nC++: void SetFieldWidth (int );\n\n Set/get the field width\n"},
  {(char*)"GetFieldWidth",                (PyCFunction)PyvtkFixedWidthTextReader_GetFieldWidth, 1,
   (char*)"V.GetFieldWidth() -> int\nC++: int GetFieldWidth ();\n\n Set/get the field width\n"},
  {(char*)"SetStripWhiteSpace",                (PyCFunction)PyvtkFixedWidthTextReader_SetStripWhiteSpace, 1,
   (char*)"V.SetStripWhiteSpace(bool)\nC++: void SetStripWhiteSpace (bool );\n\n If set, this flag will cause the reader to strip whitespace from\n the beginning and ending of each field.  Defaults to off.\n"},
  {(char*)"GetStripWhiteSpace",                (PyCFunction)PyvtkFixedWidthTextReader_GetStripWhiteSpace, 1,
   (char*)"V.GetStripWhiteSpace() -> bool\nC++: bool GetStripWhiteSpace ();\n\n If set, this flag will cause the reader to strip whitespace from\n the beginning and ending of each field.  Defaults to off.\n"},
  {(char*)"StripWhiteSpaceOn",                (PyCFunction)PyvtkFixedWidthTextReader_StripWhiteSpaceOn, 1,
   (char*)"V.StripWhiteSpaceOn()\nC++: void StripWhiteSpaceOn ();\n\n If set, this flag will cause the reader to strip whitespace from\n the beginning and ending of each field.  Defaults to off.\n"},
  {(char*)"StripWhiteSpaceOff",                (PyCFunction)PyvtkFixedWidthTextReader_StripWhiteSpaceOff, 1,
   (char*)"V.StripWhiteSpaceOff()\nC++: void StripWhiteSpaceOff ();\n\n If set, this flag will cause the reader to strip whitespace from\n the beginning and ending of each field.  Defaults to off.\n"},
  {(char*)"GetHaveHeaders",                (PyCFunction)PyvtkFixedWidthTextReader_GetHaveHeaders, 1,
   (char*)"V.GetHaveHeaders() -> bool\nC++: bool GetHaveHeaders ();\n\n Set/get whether to treat the first line of the file as headers.\n"},
  {(char*)"SetHaveHeaders",                (PyCFunction)PyvtkFixedWidthTextReader_SetHaveHeaders, 1,
   (char*)"V.SetHaveHeaders(bool)\nC++: void SetHaveHeaders (bool );\n\n Set/get whether to treat the first line of the file as headers.\n"},
  {(char*)"HaveHeadersOn",                (PyCFunction)PyvtkFixedWidthTextReader_HaveHeadersOn, 1,
   (char*)"V.HaveHeadersOn()\nC++: void HaveHeadersOn ();\n\n Set/get whether to treat the first line of the file as headers.\n"},
  {(char*)"HaveHeadersOff",                (PyCFunction)PyvtkFixedWidthTextReader_HaveHeadersOff, 1,
   (char*)"V.HaveHeadersOff()\nC++: void HaveHeadersOff ();\n\n Set/get whether to treat the first line of the file as headers.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFixedWidthTextReaderDoc[] = {
  (char*)"vtkFixedWidthTextReader - reader for pulling in text files with fixed-width fields\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)"\n vtkFixedWidthTextReader reads in a table from a text file where\n each column occupies a certain number of characters.\n \n This class emits ProgressEvent for every 100 lines it reads.\n \n\n",
  "Caveats:\n\n\n This first version of the reader will assume that all fields have\n the same width.  It also assumes that the first line in the file\n has at least as many fields (i.e. at least as many characters) as\n any other line in the file.\n\n .SECTION Thanks\n Thanks to Andy Wilson from Sandia National Laboratories for\n implementing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkFixedWidthTextReaderStaticNew()
{
  return vtkFixedWidthTextReader::New();
}

PyObject *PyVTKClass_vtkFixedWidthTextReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkFixedWidthTextReaderStaticNew,
                        PyvtkFixedWidthTextReaderMethods,
                        (char*)"vtkFixedWidthTextReader",modulename,
                        (char**)vtkFixedWidthTextReaderDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

