// python wrapper for vtkForceDirectedLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkForceDirectedLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkForceDirectedLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkForceDirectedLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkForceDirectedLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  const char    *temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  vtkForceDirectedLayoutStrategy  *temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkForceDirectedLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkForceDirectedLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_SetRandomSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp0;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::SetRandomSeed(temp0);
      }
    else
      {
      op->SetRandomSeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetRandomSeedMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetRandomSeedMinValue();
      }
    else
      {
      temp20 = op->GetRandomSeedMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetRandomSeedMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetRandomSeedMaxValue();
      }
    else
      {
      temp20 = op->GetRandomSeedMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetRandomSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetRandomSeed();
      }
    else
      {
      temp20 = op->GetRandomSeed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_SetGraphBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::SetGraphBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetGraphBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::SetGraphBounds(temp0);
      }
    else
      {
      op->SetGraphBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetGraphBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  double  *temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetGraphBounds();
      }
    else
      {
      temp20 = op->GetGraphBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_SetAutomaticBoundsComputation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp0;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::SetAutomaticBoundsComputation(temp0);
      }
    else
      {
      op->SetAutomaticBoundsComputation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetAutomaticBoundsComputation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetAutomaticBoundsComputation();
      }
    else
      {
      temp20 = op->GetAutomaticBoundsComputation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_AutomaticBoundsComputationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::AutomaticBoundsComputationOn();
      }
    else
      {
      op->AutomaticBoundsComputationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_AutomaticBoundsComputationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::AutomaticBoundsComputationOff();
      }
    else
      {
      op->AutomaticBoundsComputationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_SetMaxNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp0;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::SetMaxNumberOfIterations(temp0);
      }
    else
      {
      op->SetMaxNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetMaxNumberOfIterationsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetMaxNumberOfIterationsMinValue();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterationsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetMaxNumberOfIterationsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetMaxNumberOfIterationsMaxValue();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterationsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetMaxNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetMaxNumberOfIterations();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_SetIterationsPerLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp0;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::SetIterationsPerLayout(temp0);
      }
    else
      {
      op->SetIterationsPerLayout(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetIterationsPerLayoutMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetIterationsPerLayoutMinValue();
      }
    else
      {
      temp20 = op->GetIterationsPerLayoutMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetIterationsPerLayoutMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetIterationsPerLayoutMaxValue();
      }
    else
      {
      temp20 = op->GetIterationsPerLayoutMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetIterationsPerLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetIterationsPerLayout();
      }
    else
      {
      temp20 = op->GetIterationsPerLayout();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_SetCoolDownRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  double   temp0;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::SetCoolDownRate(temp0);
      }
    else
      {
      op->SetCoolDownRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetCoolDownRateMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  double   temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetCoolDownRateMinValue();
      }
    else
      {
      temp20 = op->GetCoolDownRateMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetCoolDownRateMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  double   temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetCoolDownRateMaxValue();
      }
    else
      {
      temp20 = op->GetCoolDownRateMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetCoolDownRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  double   temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetCoolDownRate();
      }
    else
      {
      temp20 = op->GetCoolDownRate();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_SetThreeDimensionalLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp0;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::SetThreeDimensionalLayout(temp0);
      }
    else
      {
      op->SetThreeDimensionalLayout(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetThreeDimensionalLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetThreeDimensionalLayout();
      }
    else
      {
      temp20 = op->GetThreeDimensionalLayout();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_ThreeDimensionalLayoutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::ThreeDimensionalLayoutOn();
      }
    else
      {
      op->ThreeDimensionalLayoutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_ThreeDimensionalLayoutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::ThreeDimensionalLayoutOff();
      }
    else
      {
      op->ThreeDimensionalLayoutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_SetRandomInitialPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp0;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::SetRandomInitialPoints(temp0);
      }
    else
      {
      op->SetRandomInitialPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetRandomInitialPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetRandomInitialPoints();
      }
    else
      {
      temp20 = op->GetRandomInitialPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_RandomInitialPointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::RandomInitialPointsOn();
      }
    else
      {
      op->RandomInitialPointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_RandomInitialPointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::RandomInitialPointsOff();
      }
    else
      {
      op->RandomInitialPointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_SetInitialTemperature(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  float    temp0;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::SetInitialTemperature(temp0);
      }
    else
      {
      op->SetInitialTemperature(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetInitialTemperatureMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  float    temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetInitialTemperatureMinValue();
      }
    else
      {
      temp20 = op->GetInitialTemperatureMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetInitialTemperatureMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  float    temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetInitialTemperatureMaxValue();
      }
    else
      {
      temp20 = op->GetInitialTemperatureMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_GetInitialTemperature(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  float    temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::GetInitialTemperature();
      }
    else
      {
      temp20 = op->GetInitialTemperature();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceDirectedLayoutStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkForceDirectedLayoutStrategy_IsLayoutComplete(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceDirectedLayoutStrategy *op;

  int      temp20;
  op = (vtkForceDirectedLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceDirectedLayoutStrategy::IsLayoutComplete();
      }
    else
      {
      temp20 = op->IsLayoutComplete();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkForceDirectedLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkForceDirectedLayoutStrategy\nC++: vtkForceDirectedLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkForceDirectedLayoutStrategy\nC++: vtkForceDirectedLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRandomSeed",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_SetRandomSeed, 1,
   (char*)"V.SetRandomSeed(int)\nC++: void SetRandomSeed (int );\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeedMinValue",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetRandomSeedMinValue, 1,
   (char*)"V.GetRandomSeedMinValue() -> int\nC++: int GetRandomSeedMinValue ();\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeedMaxValue",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetRandomSeedMaxValue, 1,
   (char*)"V.GetRandomSeedMaxValue() -> int\nC++: int GetRandomSeedMaxValue ();\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeed",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetRandomSeed, 1,
   (char*)"V.GetRandomSeed() -> int\nC++: int GetRandomSeed ();\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"SetGraphBounds",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_SetGraphBounds, 1,
   (char*)"V.SetGraphBounds(float, float, float, float, float, float)\nC++: void SetGraphBounds (double , double , double , double , double , double );\nV.SetGraphBounds((float, float, float, float, float, float))\nC++: void SetGraphBounds (double  a[6]);\n\n Set / get the region in space in which to place the final graph.\n The GraphBounds only affects the results if AutomaticBoundsComputation\n is off.\n"},
  {(char*)"GetGraphBounds",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetGraphBounds, 1,
   (char*)"V.GetGraphBounds() -> (float, float, float, float, float, float)\nC++: double  *GetGraphBounds ();\n\n Set / get the region in space in which to place the final graph.\n The GraphBounds only affects the results if AutomaticBoundsComputation\n is off.\n"},
  {(char*)"SetAutomaticBoundsComputation",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_SetAutomaticBoundsComputation, 1,
   (char*)"V.SetAutomaticBoundsComputation(int)\nC++: void SetAutomaticBoundsComputation (int );\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"GetAutomaticBoundsComputation",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetAutomaticBoundsComputation, 1,
   (char*)"V.GetAutomaticBoundsComputation() -> int\nC++: int GetAutomaticBoundsComputation ();\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"AutomaticBoundsComputationOn",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_AutomaticBoundsComputationOn, 1,
   (char*)"V.AutomaticBoundsComputationOn()\nC++: void AutomaticBoundsComputationOn ();\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"AutomaticBoundsComputationOff",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_AutomaticBoundsComputationOff, 1,
   (char*)"V.AutomaticBoundsComputationOff()\nC++: void AutomaticBoundsComputationOff ();\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"SetMaxNumberOfIterations",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_SetMaxNumberOfIterations, 1,
   (char*)"V.SetMaxNumberOfIterations(int)\nC++: void SetMaxNumberOfIterations (int );\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '50' for no particular reason\n"},
  {(char*)"GetMaxNumberOfIterationsMinValue",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetMaxNumberOfIterationsMinValue, 1,
   (char*)"V.GetMaxNumberOfIterationsMinValue() -> int\nC++: int GetMaxNumberOfIterationsMinValue ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '50' for no particular reason\n"},
  {(char*)"GetMaxNumberOfIterationsMaxValue",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetMaxNumberOfIterationsMaxValue, 1,
   (char*)"V.GetMaxNumberOfIterationsMaxValue() -> int\nC++: int GetMaxNumberOfIterationsMaxValue ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '50' for no particular reason\n"},
  {(char*)"GetMaxNumberOfIterations",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetMaxNumberOfIterations, 1,
   (char*)"V.GetMaxNumberOfIterations() -> int\nC++: int GetMaxNumberOfIterations ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '50' for no particular reason\n"},
  {(char*)"SetIterationsPerLayout",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_SetIterationsPerLayout, 1,
   (char*)"V.SetIterationsPerLayout(int)\nC++: void SetIterationsPerLayout (int );\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '50' to match the default 'MaxNumberOfIterations'\n"},
  {(char*)"GetIterationsPerLayoutMinValue",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetIterationsPerLayoutMinValue, 1,
   (char*)"V.GetIterationsPerLayoutMinValue() -> int\nC++: int GetIterationsPerLayoutMinValue ();\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '50' to match the default 'MaxNumberOfIterations'\n"},
  {(char*)"GetIterationsPerLayoutMaxValue",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetIterationsPerLayoutMaxValue, 1,
   (char*)"V.GetIterationsPerLayoutMaxValue() -> int\nC++: int GetIterationsPerLayoutMaxValue ();\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '50' to match the default 'MaxNumberOfIterations'\n"},
  {(char*)"GetIterationsPerLayout",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetIterationsPerLayout, 1,
   (char*)"V.GetIterationsPerLayout() -> int\nC++: int GetIterationsPerLayout ();\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '50' to match the default 'MaxNumberOfIterations'\n"},
  {(char*)"SetCoolDownRate",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_SetCoolDownRate, 1,
   (char*)"V.SetCoolDownRate(float)\nC++: void SetCoolDownRate (double );\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n"},
  {(char*)"GetCoolDownRateMinValue",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetCoolDownRateMinValue, 1,
   (char*)"V.GetCoolDownRateMinValue() -> float\nC++: double GetCoolDownRateMinValue ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n"},
  {(char*)"GetCoolDownRateMaxValue",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetCoolDownRateMaxValue, 1,
   (char*)"V.GetCoolDownRateMaxValue() -> float\nC++: double GetCoolDownRateMaxValue ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n"},
  {(char*)"GetCoolDownRate",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetCoolDownRate, 1,
   (char*)"V.GetCoolDownRate() -> float\nC++: double GetCoolDownRate ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n"},
  {(char*)"SetThreeDimensionalLayout",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_SetThreeDimensionalLayout, 1,
   (char*)"V.SetThreeDimensionalLayout(int)\nC++: void SetThreeDimensionalLayout (int );\n\n Turn on/off layout of graph in three dimensions. If off, graph\n layout occurs in two dimensions. By default, three dimensional\n layout is on.\n"},
  {(char*)"GetThreeDimensionalLayout",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetThreeDimensionalLayout, 1,
   (char*)"V.GetThreeDimensionalLayout() -> int\nC++: int GetThreeDimensionalLayout ();\n\n Turn on/off layout of graph in three dimensions. If off, graph\n layout occurs in two dimensions. By default, three dimensional\n layout is on.\n"},
  {(char*)"ThreeDimensionalLayoutOn",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_ThreeDimensionalLayoutOn, 1,
   (char*)"V.ThreeDimensionalLayoutOn()\nC++: void ThreeDimensionalLayoutOn ();\n\n Turn on/off layout of graph in three dimensions. If off, graph\n layout occurs in two dimensions. By default, three dimensional\n layout is on.\n"},
  {(char*)"ThreeDimensionalLayoutOff",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_ThreeDimensionalLayoutOff, 1,
   (char*)"V.ThreeDimensionalLayoutOff()\nC++: void ThreeDimensionalLayoutOff ();\n\n Turn on/off layout of graph in three dimensions. If off, graph\n layout occurs in two dimensions. By default, three dimensional\n layout is on.\n"},
  {(char*)"SetRandomInitialPoints",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_SetRandomInitialPoints, 1,
   (char*)"V.SetRandomInitialPoints(int)\nC++: void SetRandomInitialPoints (int );\n\n Turn on/off use of random positions within the graph bounds as initial points.\n"},
  {(char*)"GetRandomInitialPoints",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetRandomInitialPoints, 1,
   (char*)"V.GetRandomInitialPoints() -> int\nC++: int GetRandomInitialPoints ();\n\n Turn on/off use of random positions within the graph bounds as initial points.\n"},
  {(char*)"RandomInitialPointsOn",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_RandomInitialPointsOn, 1,
   (char*)"V.RandomInitialPointsOn()\nC++: void RandomInitialPointsOn ();\n\n Turn on/off use of random positions within the graph bounds as initial points.\n"},
  {(char*)"RandomInitialPointsOff",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_RandomInitialPointsOff, 1,
   (char*)"V.RandomInitialPointsOff()\nC++: void RandomInitialPointsOff ();\n\n Turn on/off use of random positions within the graph bounds as initial points.\n"},
  {(char*)"SetInitialTemperature",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_SetInitialTemperature, 1,
   (char*)"V.SetInitialTemperature(float)\nC++: void SetInitialTemperature (float );\n\n Set the initial temperature.  If zero (the default) , the initial temperature\n will be computed automatically.\n"},
  {(char*)"GetInitialTemperatureMinValue",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetInitialTemperatureMinValue, 1,
   (char*)"V.GetInitialTemperatureMinValue() -> float\nC++: float GetInitialTemperatureMinValue ();\n\n Set the initial temperature.  If zero (the default) , the initial temperature\n will be computed automatically.\n"},
  {(char*)"GetInitialTemperatureMaxValue",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetInitialTemperatureMaxValue, 1,
   (char*)"V.GetInitialTemperatureMaxValue() -> float\nC++: float GetInitialTemperatureMaxValue ();\n\n Set the initial temperature.  If zero (the default) , the initial temperature\n will be computed automatically.\n"},
  {(char*)"GetInitialTemperature",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_GetInitialTemperature, 1,
   (char*)"V.GetInitialTemperature() -> float\nC++: float GetInitialTemperature ();\n\n Set the initial temperature.  If zero (the default) , the initial temperature\n will be computed automatically.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n This strategy sets up some data structures\n for faster processing of each Layout() call\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: virtual void Layout ();\n\n This is the layout method where the graph that was\n set in SetGraph() is laid out. The method can either\n entirely layout the graph or iteratively lay out the\n graph. If you have an iterative layout please implement\n the IsLayoutComplete() method.\n"},
  {(char*)"IsLayoutComplete",                (PyCFunction)PyvtkForceDirectedLayoutStrategy_IsLayoutComplete, 1,
   (char*)"V.IsLayoutComplete() -> int\nC++: virtual int IsLayoutComplete ();return this LayoutComplete \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkForceDirectedLayoutStrategyDoc[] = {
  (char*)"vtkForceDirectedLayoutStrategy - a force directed graph layout algorithm\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" Lays out a graph in 2D or 3D using a force-directed algorithm.\n The user may specify whether to layout the graph randomly initially,\n the bounds, the number of dimensions (2 or 3), and the cool-down rate.\n\n .SECTION Thanks\n Thanks to Brian Wylie for adding functionality for allowing this layout\n to be incremental.\n\n",
  NULL
};

static vtkObjectBase *vtkForceDirectedLayoutStrategyStaticNew()
{
  return vtkForceDirectedLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkForceDirectedLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkForceDirectedLayoutStrategyStaticNew,
                        PyvtkForceDirectedLayoutStrategyMethods,
                        (char*)"vtkForceDirectedLayoutStrategy",modulename,
                        (char**)vtkForceDirectedLayoutStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

