// python wrapper for vtkGraphHierarchicalBundle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphHierarchicalBundle.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphHierarchicalBundleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphHierarchicalBundleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGraphHierarchicalBundle_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  const char    *temp20;
  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphHierarchicalBundle::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphHierarchicalBundle::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  vtkGraphHierarchicalBundle  *temp20;
  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphHierarchicalBundle::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGraphHierarchicalBundle  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGraphHierarchicalBundle::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_SetBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  double   temp0;
  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphHierarchicalBundle::SetBundlingStrength(temp0);
      }
    else
      {
      op->SetBundlingStrength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_GetBundlingStrengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  double   temp20;
  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphHierarchicalBundle::GetBundlingStrengthMinValue();
      }
    else
      {
      temp20 = op->GetBundlingStrengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_GetBundlingStrengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  double   temp20;
  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphHierarchicalBundle::GetBundlingStrengthMaxValue();
      }
    else
      {
      temp20 = op->GetBundlingStrengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_GetBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  double   temp20;
  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphHierarchicalBundle::GetBundlingStrength();
      }
    else
      {
      temp20 = op->GetBundlingStrength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_SetDirectMapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  bool   temp0;
  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphHierarchicalBundle::SetDirectMapping(temp0);
      }
    else
      {
      op->SetDirectMapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_GetDirectMapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  bool   temp20;
  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphHierarchicalBundle::GetDirectMapping();
      }
    else
      {
      temp20 = op->GetDirectMapping();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_DirectMappingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphHierarchicalBundle::DirectMappingOn();
      }
    else
      {
      op->DirectMappingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_DirectMappingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphHierarchicalBundle::DirectMappingOff();
      }
    else
      {
      op->DirectMappingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphHierarchicalBundle_FillInputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphHierarchicalBundle *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkGraphHierarchicalBundle *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphHierarchicalBundle::FillInputPortInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->FillInputPortInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkGraphHierarchicalBundleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphHierarchicalBundle_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphHierarchicalBundle_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphHierarchicalBundle_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphHierarchicalBundle\nC++: vtkGraphHierarchicalBundle *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGraphHierarchicalBundle_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphHierarchicalBundle\nC++: vtkGraphHierarchicalBundle *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetBundlingStrength",                (PyCFunction)PyvtkGraphHierarchicalBundle_SetBundlingStrength, 1,
   (char*)"V.SetBundlingStrength(float)\nC++: void SetBundlingStrength (double );\n\n The level of arc bundling in the graph.\n A strength of 0 creates straight lines, while a strength of 1\n forces arcs to pass directly through hierarchy node points.\n The default value is 0.8.\n"},
  {(char*)"GetBundlingStrengthMinValue",                (PyCFunction)PyvtkGraphHierarchicalBundle_GetBundlingStrengthMinValue, 1,
   (char*)"V.GetBundlingStrengthMinValue() -> float\nC++: double GetBundlingStrengthMinValue ();\n\n The level of arc bundling in the graph.\n A strength of 0 creates straight lines, while a strength of 1\n forces arcs to pass directly through hierarchy node points.\n The default value is 0.8.\n"},
  {(char*)"GetBundlingStrengthMaxValue",                (PyCFunction)PyvtkGraphHierarchicalBundle_GetBundlingStrengthMaxValue, 1,
   (char*)"V.GetBundlingStrengthMaxValue() -> float\nC++: double GetBundlingStrengthMaxValue ();\n\n The level of arc bundling in the graph.\n A strength of 0 creates straight lines, while a strength of 1\n forces arcs to pass directly through hierarchy node points.\n The default value is 0.8.\n"},
  {(char*)"GetBundlingStrength",                (PyCFunction)PyvtkGraphHierarchicalBundle_GetBundlingStrength, 1,
   (char*)"V.GetBundlingStrength() -> float\nC++: double GetBundlingStrength ();\n\n The level of arc bundling in the graph.\n A strength of 0 creates straight lines, while a strength of 1\n forces arcs to pass directly through hierarchy node points.\n The default value is 0.8.\n"},
  {(char*)"SetDirectMapping",                (PyCFunction)PyvtkGraphHierarchicalBundle_SetDirectMapping, 1,
   (char*)"V.SetDirectMapping(bool)\nC++: void SetDirectMapping (bool );\n\n If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n"},
  {(char*)"GetDirectMapping",                (PyCFunction)PyvtkGraphHierarchicalBundle_GetDirectMapping, 1,
   (char*)"V.GetDirectMapping() -> bool\nC++: bool GetDirectMapping ();\n\n If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n"},
  {(char*)"DirectMappingOn",                (PyCFunction)PyvtkGraphHierarchicalBundle_DirectMappingOn, 1,
   (char*)"V.DirectMappingOn()\nC++: void DirectMappingOn ();\n\n If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n"},
  {(char*)"DirectMappingOff",                (PyCFunction)PyvtkGraphHierarchicalBundle_DirectMappingOff, 1,
   (char*)"V.DirectMappingOff()\nC++: void DirectMappingOff ();\n\n If on, uses direct mapping from tree to graph vertices.\n If off, both the graph and tree must contain PedigreeId arrays\n which are used to match graph and tree vertices.\n Default is off.\n"},
  {(char*)"FillInputPortInformation",                (PyCFunction)PyvtkGraphHierarchicalBundle_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation (int port, vtkInformation *info);\n\n Set the input type of the algorithm to vtkGraph.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphHierarchicalBundleDoc[] = {
  (char*)"vtkGraphHierarchicalBundle - layout graph arcs in bundles\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" This algorithm creates a vtkPolyData from a vtkGraph.  As opposed to\n vtkGraphToPolyData, which converts each arc into a straight line, each arc\n is converted to a polyline, following a tree structure.  The filter requires\n both a vtkGraph and vtkTree as input.  The tree vertices must be a\n superset of the graph vertices.  A common example is when the graph vertices\n correspond to the leaves of t",
  (char*)"he tree, but the internal vertices of the tree\n represent groupings of graph vertices.  The algorithm matches the vertices\n using the array \"PedigreeId\".  The user may alternately set the\n DirectMapping flag to indicate that the two structures must have directly\n corresponding offsets (i.e. node i in the graph must correspond to node i in\n the tree).\n\n The vtkGraph defines the topology of the outp",
  (char*)"ut vtkPolyData (i.e.\n the connections between nodes) while the vtkTree defines the geometry (i.e.\n the location of nodes and arc routes).  Thus, the tree must have been\n assigned vertex locations, but the graph does not need locations, in fact\n they will be ignored.  The edges approximately follow the path from the\n source to target nodes in the tree.  A bundling parameter controls how\n closely th",
  (char*)"e edges are bundled together along the tree structure.\n \n You may follow this algorithm with vtkSplineFilter in order to make nicely\n curved edges.\n\n",
  NULL
};

static vtkObjectBase *vtkGraphHierarchicalBundleStaticNew()
{
  return vtkGraphHierarchicalBundle::New();
}

PyObject *PyVTKClass_vtkGraphHierarchicalBundleNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphHierarchicalBundleStaticNew,
                        PyvtkGraphHierarchicalBundleMethods,
                        (char*)"vtkGraphHierarchicalBundle",modulename,
                        (char**)vtkGraphHierarchicalBundleDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

