// python wrapper for vtkGraphLayout object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphLayout.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphLayoutNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphLayoutNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkGraphLayout_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayout *op;

  const char    *temp20;
  op = (vtkGraphLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayout::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayout_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayout *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphLayout *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayout::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayout_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayout *op;

  vtkGraphLayout  *temp20;
  op = (vtkGraphLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayout::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayout_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGraphLayout  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGraphLayout::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphLayout_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayout *op;

  vtkGraphLayoutStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkGraphLayout *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraphLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraphLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayout::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGraphLayout_GetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayout *op;

  vtkGraphLayoutStrategy  *temp20;
  op = (vtkGraphLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayout::GetLayoutStrategy();
      }
    else
      {
      temp20 = op->GetLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayout_IsLayoutComplete(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayout *op;

  int      temp20;
  op = (vtkGraphLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayout::IsLayoutComplete();
      }
    else
      {
      temp20 = op->IsLayoutComplete();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayout_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayout *op;

  unsigned long     temp20;
  op = (vtkGraphLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayout::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphLayoutMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphLayout_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphLayout_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphLayout_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphLayout\nC++: vtkGraphLayout *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGraphLayout_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphLayout\nC++: vtkGraphLayout *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLayoutStrategy",                (PyCFunction)PyvtkGraphLayout_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(vtkGraphLayoutStrategy)\nC++: void SetLayoutStrategy (vtkGraphLayoutStrategy *strategy);\n\n The layout strategy to use during graph layout.\n"},
  {(char*)"GetLayoutStrategy",                (PyCFunction)PyvtkGraphLayout_GetLayoutStrategy, 1,
   (char*)"V.GetLayoutStrategy() -> vtkGraphLayoutStrategy\nC++: vtkGraphLayoutStrategy *GetLayoutStrategy ();\n\n The layout strategy to use during graph layout.\n"},
  {(char*)"IsLayoutComplete",                (PyCFunction)PyvtkGraphLayout_IsLayoutComplete, 1,
   (char*)"V.IsLayoutComplete() -> int\nC++: virtual int IsLayoutComplete ();\n\n Ask the layout algorithm if the layout is complete\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGraphLayout_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Get the modification time of the layout algorithm.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphLayoutDoc[] = {
  (char*)"vtkGraphLayout - layout a graph in 2 or 3 dimensions\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" This class is a shell for many graph layout strategies which may be set\n using the SetLayoutStrategy() function.  The layout strategies do the\n actual work.\n\n .SECION Thanks\n Thanks to Brian Wylie from Sandia National Laboratories for adding incremental\n layout capabilities.\n\n",
  NULL
};

static vtkObjectBase *vtkGraphLayoutStaticNew()
{
  return vtkGraphLayout::New();
}

PyObject *PyVTKClass_vtkGraphLayoutNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphLayoutStaticNew,
                        PyvtkGraphLayoutMethods,
                        (char*)"vtkGraphLayout",modulename,
                        (char**)vtkGraphLayoutDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

