// python wrapper for vtkGraphLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGraphLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutStrategy *op;

  const char    *temp20;
  op = (vtkGraphLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutStrategy *op;

  vtkGraphLayoutStrategy  *temp20;
  op = (vtkGraphLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutStrategy_SetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutStrategy *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  op = (vtkGraphLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutStrategy::SetGraph(temp0);
      }
    else
      {
      op->SetGraph(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphLayoutStrategy_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutStrategy *op;

  op = (vtkGraphLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutStrategy::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutStrategy *op;

  op = (vtkGraphLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutStrategy_IsLayoutComplete(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutStrategy *op;

  int      temp20;
  op = (vtkGraphLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutStrategy::IsLayoutComplete();
      }
    else
      {
      temp20 = op->IsLayoutComplete();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutStrategy_SetEdgeWeightField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutStrategy *op;

  char    *temp0;
  op = (vtkGraphLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutStrategy::SetEdgeWeightField(temp0);
      }
    else
      {
      op->SetEdgeWeightField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutStrategy_GetEdgeWeightField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutStrategy *op;

  char    *temp20;
  op = (vtkGraphLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutStrategy::GetEdgeWeightField();
      }
    else
      {
      temp20 = op->GetEdgeWeightField();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphLayoutStrategy\nC++: vtkGraphLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SetGraph",                (PyCFunction)PyvtkGraphLayoutStrategy_SetGraph, 1,
   (char*)"V.SetGraph(vtkGraph)\nC++: virtual void SetGraph (vtkGraph *graph);\n\n Setting the graph for the layout strategy\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkGraphLayoutStrategy_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n This method allows the layout strategy to\n do initialization of data structures\n or whatever else it might want to do. \n"},
  {(char*)"Layout",                (PyCFunction)PyvtkGraphLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: virtual void Layout () = 0;\n\n This is the layout method where the graph that was\n set in SetGraph() is laid out. The method can either\n entirely layout the graph or iteratively lay out the\n graph. If you have an iterative layout please implement\n the IsLayoutComplete() method.\n"},
  {(char*)"IsLayoutComplete",                (PyCFunction)PyvtkGraphLayoutStrategy_IsLayoutComplete, 1,
   (char*)"V.IsLayoutComplete() -> int\nC++: virtual int IsLayoutComplete ();return \n\n Set/Get the field to use for the edge weights.\n"},
  {(char*)"SetEdgeWeightField",                (PyCFunction)PyvtkGraphLayoutStrategy_SetEdgeWeightField, 1,
   (char*)"V.SetEdgeWeightField(string)\nC++: void SetEdgeWeightField (char *);\n\n Set/Get the field to use for the edge weights.\n"},
  {(char*)"GetEdgeWeightField",                (PyCFunction)PyvtkGraphLayoutStrategy_GetEdgeWeightField, 1,
   (char*)"V.GetEdgeWeightField() -> string\nC++: char *GetEdgeWeightField ();\n\n Set/Get the field to use for the edge weights.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphLayoutStrategyDoc[] = {
  (char*)"vtkGraphLayoutStrategy - abstract superclass for all graph layout strategies\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" All graph layouts should subclass from this class.  vtkGraphLayoutStrategy\n works as a plug-in to the vtkGraphLayout algorithm.  The Layout()\n function should perform some reasonable \"chunk\" of the layout.\n This allows the user to be able to see the progress of the layout.\n Use IsLayoutComplete() to tell the user when there is no more layout\n to perform.\n\n .SECTION Thanks\n Thanks to Brian Wylie f",
  (char*)"rom Sandia National Laboratories for adding incremental\n layout capabilities.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGraphLayoutStrategyMethods,
                        (char*)"vtkGraphLayoutStrategy",modulename,
                        (char**)vtkGraphLayoutStrategyDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

