// python wrapper for vtkGraphMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMapperNew(char *); }

static PyObject *PyvtkGraphMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  const char    *temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  vtkGraphMapper  *temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGraphMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGraphMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphMapper_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  char    *temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetVertexColorArrayName(temp0);
      }
    else
      {
      op->SetVertexColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  const char    *temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetVertexColorArrayName();
      }
    else
      {
      temp20 = op->GetVertexColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  bool   temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetColorVertices(temp0);
      }
    else
      {
      op->SetColorVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  bool   temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetColorVertices();
      }
    else
      {
      temp20 = op->GetColorVertices();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_ColorVerticesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::ColorVerticesOn();
      }
    else
      {
      op->ColorVerticesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_ColorVerticesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::ColorVerticesOff();
      }
    else
      {
      op->ColorVerticesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetScaledGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  bool   temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetScaledGlyphs(temp0);
      }
    else
      {
      op->SetScaledGlyphs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetScaledGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  bool   temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetScaledGlyphs();
      }
    else
      {
      temp20 = op->GetScaledGlyphs();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_ScaledGlyphsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::ScaledGlyphsOn();
      }
    else
      {
      op->ScaledGlyphsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_ScaledGlyphsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::ScaledGlyphsOff();
      }
    else
      {
      op->ScaledGlyphsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetScalingArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  char    *temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetScalingArrayName(temp0);
      }
    else
      {
      op->SetScalingArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetScalingArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  char    *temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetScalingArrayName();
      }
    else
      {
      temp20 = op->GetScalingArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetEdgeVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  bool   temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetEdgeVisibility(temp0);
      }
    else
      {
      op->SetEdgeVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetEdgeVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  bool   temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetEdgeVisibility();
      }
    else
      {
      temp20 = op->GetEdgeVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_EdgeVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::EdgeVisibilityOn();
      }
    else
      {
      op->EdgeVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_EdgeVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::EdgeVisibilityOff();
      }
    else
      {
      op->EdgeVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  char    *temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetEdgeColorArrayName(temp0);
      }
    else
      {
      op->SetEdgeColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  const char    *temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetEdgeColorArrayName();
      }
    else
      {
      temp20 = op->GetEdgeColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  bool   temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetColorEdges(temp0);
      }
    else
      {
      op->SetColorEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  bool   temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetColorEdges();
      }
    else
      {
      temp20 = op->GetColorEdges();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_ColorEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::ColorEdgesOn();
      }
    else
      {
      op->ColorEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_ColorEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::ColorEdgesOff();
      }
    else
      {
      op->ColorEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetIconArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  char    *temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetIconArrayName(temp0);
      }
    else
      {
      op->SetIconArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetIconArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  const char    *temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetIconArrayName();
      }
    else
      {
      temp20 = op->GetIconArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_AddIconType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  char    *temp0;
  int      temp1;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::AddIconType(temp0,temp1);
      }
    else
      {
      op->AddIconType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_ClearIconTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::ClearIconTypes();
      }
    else
      {
      op->ClearIconTypes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetIconAlignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  int      temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetIconAlignment(temp0);
      }
    else
      {
      op->SetIconAlignment(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetIconTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  vtkTexture  *temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetIconTexture();
      }
    else
      {
      temp20 = op->GetIconTexture();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetIconTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  vtkTexture  *temp0;
  PyObject *tempH0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTexture *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTexture");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetIconTexture(temp0);
      }
    else
      {
      op->SetIconTexture(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break33:
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetIconVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  bool   temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetIconVisibility(temp0);
      }
    else
      {
      op->SetIconVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetIconVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  bool   temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetIconVisibility();
      }
    else
      {
      temp20 = op->GetIconVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_IconVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::IconVisibilityOn();
      }
    else
      {
      op->IconVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_IconVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::IconVisibilityOff();
      }
    else
      {
      op->IconVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetVertexPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  float    temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetVertexPointSize();
      }
    else
      {
      temp20 = op->GetVertexPointSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetVertexPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  float    temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetVertexPointSize(temp0);
      }
    else
      {
      op->SetVertexPointSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetEdgeLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  float    temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetEdgeLineWidth();
      }
    else
      {
      temp20 = op->GetEdgeLineWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetEdgeLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  float    temp0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetEdgeLineWidth(temp0);
      }
    else
      {
      op->SetEdgeLineWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkGraphMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break43;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break43:
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  unsigned long     temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  vtkGraph  *temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphMapper_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphMapper *op;

  double  *temp20;
  op = (vtkGraphMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphMapper::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphMapper\nC++: vtkGraphMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGraphMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphMapper\nC++: vtkGraphMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkGraphMapper_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkActor)\nC++: void Render (vtkRenderer *ren, vtkActor *act);\n\n"},
  {(char*)"SetVertexColorArrayName",                (PyCFunction)PyvtkGraphMapper_SetVertexColorArrayName, 1,
   (char*)"V.SetVertexColorArrayName(string)\nC++: void SetVertexColorArrayName (const char *name);\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"GetVertexColorArrayName",                (PyCFunction)PyvtkGraphMapper_GetVertexColorArrayName, 1,
   (char*)"V.GetVertexColorArrayName() -> string\nC++: const char *GetVertexColorArrayName ();\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"SetColorVertices",                (PyCFunction)PyvtkGraphMapper_SetColorVertices, 1,
   (char*)"V.SetColorVertices(bool)\nC++: void SetColorVertices (bool vis);\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"GetColorVertices",                (PyCFunction)PyvtkGraphMapper_GetColorVertices, 1,
   (char*)"V.GetColorVertices() -> bool\nC++: bool GetColorVertices ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"ColorVerticesOn",                (PyCFunction)PyvtkGraphMapper_ColorVerticesOn, 1,
   (char*)"V.ColorVerticesOn()\nC++: void ColorVerticesOn ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"ColorVerticesOff",                (PyCFunction)PyvtkGraphMapper_ColorVerticesOff, 1,
   (char*)"V.ColorVerticesOff()\nC++: void ColorVerticesOff ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"SetScaledGlyphs",                (PyCFunction)PyvtkGraphMapper_SetScaledGlyphs, 1,
   (char*)"V.SetScaledGlyphs(bool)\nC++: void SetScaledGlyphs (bool arg);\n\n Whether scaled glyphs are on or not.  Default is off.\n By default this mapper uses vertex glyphs that do not\n scale. If you turn this option on you will get circles\n at each vertex and they will scale as you zoom in/out.\n"},
  {(char*)"GetScaledGlyphs",                (PyCFunction)PyvtkGraphMapper_GetScaledGlyphs, 1,
   (char*)"V.GetScaledGlyphs() -> bool\nC++: bool GetScaledGlyphs ();\n\n Whether scaled glyphs are on or not.  Default is off.\n By default this mapper uses vertex glyphs that do not\n scale. If you turn this option on you will get circles\n at each vertex and they will scale as you zoom in/out.\n"},
  {(char*)"ScaledGlyphsOn",                (PyCFunction)PyvtkGraphMapper_ScaledGlyphsOn, 1,
   (char*)"V.ScaledGlyphsOn()\nC++: void ScaledGlyphsOn ();\n\n Whether scaled glyphs are on or not.  Default is off.\n By default this mapper uses vertex glyphs that do not\n scale. If you turn this option on you will get circles\n at each vertex and they will scale as you zoom in/out.\n"},
  {(char*)"ScaledGlyphsOff",                (PyCFunction)PyvtkGraphMapper_ScaledGlyphsOff, 1,
   (char*)"V.ScaledGlyphsOff()\nC++: void ScaledGlyphsOff ();\n\n Whether scaled glyphs are on or not.  Default is off.\n By default this mapper uses vertex glyphs that do not\n scale. If you turn this option on you will get circles\n at each vertex and they will scale as you zoom in/out.\n"},
  {(char*)"SetScalingArrayName",                (PyCFunction)PyvtkGraphMapper_SetScalingArrayName, 1,
   (char*)"V.SetScalingArrayName(string)\nC++: void SetScalingArrayName (char *);\n\n Glyph scaling array name. Default is \"scale\"\n"},
  {(char*)"GetScalingArrayName",                (PyCFunction)PyvtkGraphMapper_GetScalingArrayName, 1,
   (char*)"V.GetScalingArrayName() -> string\nC++: char *GetScalingArrayName ();\n\n Glyph scaling array name. Default is \"scale\"\n"},
  {(char*)"SetEdgeVisibility",                (PyCFunction)PyvtkGraphMapper_SetEdgeVisibility, 1,
   (char*)"V.SetEdgeVisibility(bool)\nC++: void SetEdgeVisibility (bool vis);\n\n Whether to show edges or not.  Default is on.\n"},
  {(char*)"GetEdgeVisibility",                (PyCFunction)PyvtkGraphMapper_GetEdgeVisibility, 1,
   (char*)"V.GetEdgeVisibility() -> bool\nC++: bool GetEdgeVisibility ();\n\n Whether to show edges or not.  Default is on.\n"},
  {(char*)"EdgeVisibilityOn",                (PyCFunction)PyvtkGraphMapper_EdgeVisibilityOn, 1,
   (char*)"V.EdgeVisibilityOn()\nC++: void EdgeVisibilityOn ();\n\n Whether to show edges or not.  Default is on.\n"},
  {(char*)"EdgeVisibilityOff",                (PyCFunction)PyvtkGraphMapper_EdgeVisibilityOff, 1,
   (char*)"V.EdgeVisibilityOff()\nC++: void EdgeVisibilityOff ();\n\n Whether to show edges or not.  Default is on.\n"},
  {(char*)"SetEdgeColorArrayName",                (PyCFunction)PyvtkGraphMapper_SetEdgeColorArrayName, 1,
   (char*)"V.SetEdgeColorArrayName(string)\nC++: void SetEdgeColorArrayName (const char *name);\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"GetEdgeColorArrayName",                (PyCFunction)PyvtkGraphMapper_GetEdgeColorArrayName, 1,
   (char*)"V.GetEdgeColorArrayName() -> string\nC++: const char *GetEdgeColorArrayName ();\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"SetColorEdges",                (PyCFunction)PyvtkGraphMapper_SetColorEdges, 1,
   (char*)"V.SetColorEdges(bool)\nC++: void SetColorEdges (bool vis);\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"GetColorEdges",                (PyCFunction)PyvtkGraphMapper_GetColorEdges, 1,
   (char*)"V.GetColorEdges() -> bool\nC++: bool GetColorEdges ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorEdgesOn",                (PyCFunction)PyvtkGraphMapper_ColorEdgesOn, 1,
   (char*)"V.ColorEdgesOn()\nC++: void ColorEdgesOn ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorEdgesOff",                (PyCFunction)PyvtkGraphMapper_ColorEdgesOff, 1,
   (char*)"V.ColorEdgesOff()\nC++: void ColorEdgesOff ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"SetIconArrayName",                (PyCFunction)PyvtkGraphMapper_SetIconArrayName, 1,
   (char*)"V.SetIconArrayName(string)\nC++: void SetIconArrayName (const char *name);\n\n The array to use for assigning icons.\n"},
  {(char*)"GetIconArrayName",                (PyCFunction)PyvtkGraphMapper_GetIconArrayName, 1,
   (char*)"V.GetIconArrayName() -> string\nC++: const char *GetIconArrayName ();\n\n The array to use for assigning icons.\n"},
  {(char*)"AddIconType",                (PyCFunction)PyvtkGraphMapper_AddIconType, 1,
   (char*)"V.AddIconType(string, int)\nC++: void AddIconType (char *type, int index);\n\n Associate the icon at index \"index\" in the vtkTexture to all vertices\n containing \"type\" as a value in the vertex attribute array specified by\n IconArrayName.\n"},
  {(char*)"ClearIconTypes",                (PyCFunction)PyvtkGraphMapper_ClearIconTypes, 1,
   (char*)"V.ClearIconTypes()\nC++: void ClearIconTypes ();\n\n Clear all icon mappings.\n"},
  {(char*)"SetIconAlignment",                (PyCFunction)PyvtkGraphMapper_SetIconAlignment, 1,
   (char*)"V.SetIconAlignment(int)\nC++: void SetIconAlignment (int alignment);\n\n Specify where the icons should be placed in relation to the vertex.\n See vtkIconGlyphFilter.h for possible values.\n"},
  {(char*)"GetIconTexture",                (PyCFunction)PyvtkGraphMapper_GetIconTexture, 1,
   (char*)"V.GetIconTexture() -> vtkTexture\nC++: vtkTexture *GetIconTexture ();\n\n The texture containing the icon sheet.\n"},
  {(char*)"SetIconTexture",                (PyCFunction)PyvtkGraphMapper_SetIconTexture, 1,
   (char*)"V.SetIconTexture(vtkTexture)\nC++: void SetIconTexture (vtkTexture *texture);\n\n The texture containing the icon sheet.\n"},
  {(char*)"SetIconVisibility",                (PyCFunction)PyvtkGraphMapper_SetIconVisibility, 1,
   (char*)"V.SetIconVisibility(bool)\nC++: void SetIconVisibility (bool vis);\n\n Whether to show icons.  Default is off.\n"},
  {(char*)"GetIconVisibility",                (PyCFunction)PyvtkGraphMapper_GetIconVisibility, 1,
   (char*)"V.GetIconVisibility() -> bool\nC++: bool GetIconVisibility ();\n\n Whether to show icons.  Default is off.\n"},
  {(char*)"IconVisibilityOn",                (PyCFunction)PyvtkGraphMapper_IconVisibilityOn, 1,
   (char*)"V.IconVisibilityOn()\nC++: void IconVisibilityOn ();\n\n Whether to show icons.  Default is off.\n"},
  {(char*)"IconVisibilityOff",                (PyCFunction)PyvtkGraphMapper_IconVisibilityOff, 1,
   (char*)"V.IconVisibilityOff()\nC++: void IconVisibilityOff ();\n\n Whether to show icons.  Default is off.\n"},
  {(char*)"GetVertexPointSize",                (PyCFunction)PyvtkGraphMapper_GetVertexPointSize, 1,
   (char*)"V.GetVertexPointSize() -> float\nC++: float GetVertexPointSize ();\n\n Get/Set the vertex point size\n"},
  {(char*)"SetVertexPointSize",                (PyCFunction)PyvtkGraphMapper_SetVertexPointSize, 1,
   (char*)"V.SetVertexPointSize(float)\nC++: void SetVertexPointSize (float size);\n\n Get/Set the vertex point size\n"},
  {(char*)"GetEdgeLineWidth",                (PyCFunction)PyvtkGraphMapper_GetEdgeLineWidth, 1,
   (char*)"V.GetEdgeLineWidth() -> float\nC++: float GetEdgeLineWidth ();\n\n Get/Set the edge line width\n"},
  {(char*)"SetEdgeLineWidth",                (PyCFunction)PyvtkGraphMapper_SetEdgeLineWidth, 1,
   (char*)"V.SetEdgeLineWidth(float)\nC++: void SetEdgeLineWidth (float width);\n\n Get/Set the edge line width\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkGraphMapper_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply the theme to this view.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkGraphMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGraphMapper_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the mtime also considering the lookup table.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkGraphMapper_SetInput, 1,
   (char*)"V.SetInput(vtkGraph)\nC++: void SetInput (vtkGraph *input);\n\n Set the Input of this mapper.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkGraphMapper_GetInput, 1,
   (char*)"V.GetInput() -> vtkGraph\nC++: vtkGraph *GetInput ();\n\n Set the Input of this mapper.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkGraphMapper_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();\n\n Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphMapperDoc[] = {
  (char*)"vtkGraphMapper - map vtkGraph and derived \n\n",
  "Super Class:\n\n vtkMapper\n\n",
  (char*)" vtkGraphMapper is a mapper to map vtkGraph \n (and all derived classes) to graphics primitives. \n\n",
  NULL
};

static vtkObjectBase *vtkGraphMapperStaticNew()
{
  return vtkGraphMapper::New();
}

PyObject *PyVTKClass_vtkGraphMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphMapperStaticNew,
                        PyvtkGraphMapperMethods,
                        (char*)"vtkGraphMapper",modulename,
                        (char**)vtkGraphMapperDoc,
                        PyVTKClass_vtkMapperNew(modulename));
}

