// tcl wrapper for vtkGraphMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphMapper.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGraphMapperNewCommand()
{
  vtkGraphMapper *temp = vtkGraphMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkMapperCppCommand(vtkMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGraphMapperCppCommand(vtkGraphMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGraphMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGraphMapperCppCommand(static_cast<vtkGraphMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGraphMapperCppCommand(vtkGraphMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGraphMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMapperCppCommand(static_cast<vtkMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGraphMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGraphMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGraphMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkActor  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkActor *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVertexColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertexColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorVertices",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorVertices",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorVerticesOn",argv[1]))&&(argc == 2))
    {
    op->ColorVerticesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorVerticesOff",argv[1]))&&(argc == 2))
    {
    op->ColorVerticesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaledGlyphs",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetScaledGlyphs(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaledGlyphs",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetScaledGlyphs();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScaledGlyphsOn",argv[1]))&&(argc == 2))
    {
    op->ScaledGlyphsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaledGlyphsOff",argv[1]))&&(argc == 2))
    {
    op->ScaledGlyphsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalingArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalingArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalingArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetScalingArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEdgeVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEdgeVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EdgeVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->EdgeVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EdgeVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->EdgeVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorEdges",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorEdges",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesOn",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesOff",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIconArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetIconArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetIconArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("AddIconType",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddIconType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearIconTypes",argv[1]))&&(argc == 2))
    {
    op->ClearIconTypes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIconAlignment",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIconAlignment(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconTexture",argv[1]))&&(argc == 2))
    {
    vtkTexture  *temp20;
    temp20 = (op)->GetIconTexture();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexture");
    return TCL_OK;
    }
  if ((!strcmp("SetIconTexture",argv[1]))&&(argc == 3))
    {
    vtkTexture  *temp0;
    error = 0;

    temp0 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTexture"),interp,error));
    if (!error)
    {
    op->SetIconTexture(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIconVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetIconVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetIconVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IconVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->IconVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IconVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->IconVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetVertexPointSize",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetVertexPointSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexPointSize",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetVertexPointSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLineWidth",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetEdgeLineWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLineWidth",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEdgeLineWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkGraph  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraph");
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGraphMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGraphMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetColorVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorVertices\n",NULL);
    Tcl_AppendResult(interp,"  ColorVerticesOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorVerticesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScaledGlyphs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaledGlyphs\n",NULL);
    Tcl_AppendResult(interp,"  ScaledGlyphsOn\n",NULL);
    Tcl_AppendResult(interp,"  ScaledGlyphsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalingArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalingArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeVisibility\n",NULL);
    Tcl_AppendResult(interp,"  EdgeVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  EdgeVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetColorEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorEdges\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetIconArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIconArrayName\n",NULL);
    Tcl_AppendResult(interp,"  AddIconType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearIconTypes\n",NULL);
    Tcl_AppendResult(interp,"  SetIconAlignment\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIconTexture\n",NULL);
    Tcl_AppendResult(interp,"  SetIconTexture\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIconVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIconVisibility\n",NULL);
    Tcl_AppendResult(interp,"  IconVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  IconVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexPointSize\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexPointSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLineWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLineWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "SetVertexColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetColorVertices" );
    Tcl_DStringAppendElement ( &dString, "GetColorVertices" );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOn" );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOff" );
    Tcl_DStringAppendElement ( &dString, "SetScaledGlyphs" );
    Tcl_DStringAppendElement ( &dString, "GetScaledGlyphs" );
    Tcl_DStringAppendElement ( &dString, "ScaledGlyphsOn" );
    Tcl_DStringAppendElement ( &dString, "ScaledGlyphsOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalingArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetScalingArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeVisibility" );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetColorEdges" );
    Tcl_DStringAppendElement ( &dString, "GetColorEdges" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "SetIconArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetIconArrayName" );
    Tcl_DStringAppendElement ( &dString, "AddIconType" );
    Tcl_DStringAppendElement ( &dString, "ClearIconTypes" );
    Tcl_DStringAppendElement ( &dString, "SetIconAlignment" );
    Tcl_DStringAppendElement ( &dString, "GetIconTexture" );
    Tcl_DStringAppendElement ( &dString, "SetIconTexture" );
    Tcl_DStringAppendElement ( &dString, "SetIconVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetIconVisibility" );
    Tcl_DStringAppendElement ( &dString, "IconVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "IconVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "GetVertexPointSize" );
    Tcl_DStringAppendElement ( &dString, "SetVertexPointSize" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLineWidth" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLineWidth" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGraphMapper *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Render (vtkRenderer *ren, vtkActor *act);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexColorArrayName */
    if ( strcmp ( argv[2], "SetVertexColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring vertices.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexColorArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetVertexColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexColorArrayName */
    if ( strcmp ( argv[2], "GetVertexColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring vertices.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVertexColorArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetVertexColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorVertices */
    if ( strcmp ( argv[2], "SetColorVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorVertices */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorVertices (bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetColorVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorVertices */
    if ( strcmp ( argv[2], "GetColorVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorVertices */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetColorVertices ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetColorVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorVerticesOn */
    if ( strcmp ( argv[2], "ColorVerticesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorVerticesOn */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorVerticesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for ColorVerticesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorVerticesOff */
    if ( strcmp ( argv[2], "ColorVerticesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorVerticesOff */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorVerticesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for ColorVerticesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaledGlyphs */
    if ( strcmp ( argv[2], "SetScaledGlyphs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaledGlyphs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaledGlyphs */
    Tcl_DStringAppendElement ( &dString, " Whether scaled glyphs are on or not.  Default is off.\n By default this mapper uses vertex glyphs that do not\n scale. If you turn this option on you will get circles\n at each vertex and they will scale as you zoom in/out.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaledGlyphs (bool arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetScaledGlyphs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaledGlyphs */
    if ( strcmp ( argv[2], "GetScaledGlyphs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaledGlyphs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaledGlyphs */
    Tcl_DStringAppendElement ( &dString, " Whether scaled glyphs are on or not.  Default is off.\n By default this mapper uses vertex glyphs that do not\n scale. If you turn this option on you will get circles\n at each vertex and they will scale as you zoom in/out.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetScaledGlyphs ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetScaledGlyphs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaledGlyphsOn */
    if ( strcmp ( argv[2], "ScaledGlyphsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaledGlyphsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaledGlyphsOn */
    Tcl_DStringAppendElement ( &dString, " Whether scaled glyphs are on or not.  Default is off.\n By default this mapper uses vertex glyphs that do not\n scale. If you turn this option on you will get circles\n at each vertex and they will scale as you zoom in/out.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaledGlyphsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for ScaledGlyphsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaledGlyphsOff */
    if ( strcmp ( argv[2], "ScaledGlyphsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaledGlyphsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaledGlyphsOff */
    Tcl_DStringAppendElement ( &dString, " Whether scaled glyphs are on or not.  Default is off.\n By default this mapper uses vertex glyphs that do not\n scale. If you turn this option on you will get circles\n at each vertex and they will scale as you zoom in/out.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaledGlyphsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for ScaledGlyphsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalingArrayName */
    if ( strcmp ( argv[2], "SetScalingArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalingArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalingArrayName */
    Tcl_DStringAppendElement ( &dString, " Glyph scaling array name. Default is \"scale\"\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalingArrayName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetScalingArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalingArrayName */
    if ( strcmp ( argv[2], "GetScalingArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalingArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalingArrayName */
    Tcl_DStringAppendElement ( &dString, " Glyph scaling array name. Default is \"scale\"\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetScalingArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetScalingArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeVisibility */
    if ( strcmp ( argv[2], "SetEdgeVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edges or not.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeVisibility (bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetEdgeVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeVisibility */
    if ( strcmp ( argv[2], "GetEdgeVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edges or not.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetEdgeVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetEdgeVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeVisibilityOn */
    if ( strcmp ( argv[2], "EdgeVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show edges or not.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgeVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for EdgeVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeVisibilityOff */
    if ( strcmp ( argv[2], "EdgeVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show edges or not.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgeVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for EdgeVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeColorArrayName */
    if ( strcmp ( argv[2], "SetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeColorArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeColorArrayName */
    if ( strcmp ( argv[2], "GetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeColorArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorEdges */
    if ( strcmp ( argv[2], "SetColorEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorEdges */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorEdges (bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetColorEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorEdges */
    if ( strcmp ( argv[2], "GetColorEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorEdges */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetColorEdges ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetColorEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesOn */
    if ( strcmp ( argv[2], "ColorEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesOn */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for ColorEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesOff */
    if ( strcmp ( argv[2], "ColorEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesOff */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for ColorEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconArrayName */
    if ( strcmp ( argv[2], "SetIconArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for assigning icons.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetIconArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconArrayName */
    if ( strcmp ( argv[2], "GetIconArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for assigning icons.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetIconArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetIconArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddIconType */
    if ( strcmp ( argv[2], "AddIconType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIconType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIconType */
    Tcl_DStringAppendElement ( &dString, " Associate the icon at index \"index\" in the vtkTexture to all vertices\n containing \"type\" as a value in the vertex attribute array specified by\n IconArrayName.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddIconType (char *type, int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for AddIconType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearIconTypes */
    if ( strcmp ( argv[2], "ClearIconTypes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearIconTypes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearIconTypes */
    Tcl_DStringAppendElement ( &dString, " Clear all icon mappings.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearIconTypes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for ClearIconTypes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconAlignment */
    if ( strcmp ( argv[2], "SetIconAlignment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconAlignment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconAlignment */
    Tcl_DStringAppendElement ( &dString, " Specify where the icons should be placed in relation to the vertex.\n See vtkIconGlyphFilter.h for possible values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconAlignment (int alignment);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetIconAlignment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconTexture */
    if ( strcmp ( argv[2], "GetIconTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconTexture */
    Tcl_DStringAppendElement ( &dString, " The texture containing the icon sheet.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture *GetIconTexture ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetIconTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconTexture */
    if ( strcmp ( argv[2], "SetIconTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconTexture */
    Tcl_DStringAppendElement ( &dString, " The texture containing the icon sheet.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconTexture (vtkTexture *texture);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetIconTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconVisibility */
    if ( strcmp ( argv[2], "SetIconVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show icons.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconVisibility (bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetIconVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconVisibility */
    if ( strcmp ( argv[2], "GetIconVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show icons.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetIconVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetIconVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IconVisibilityOn */
    if ( strcmp ( argv[2], "IconVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IconVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IconVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show icons.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void IconVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for IconVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IconVisibilityOff */
    if ( strcmp ( argv[2], "IconVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IconVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IconVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show icons.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void IconVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for IconVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexPointSize */
    if ( strcmp ( argv[2], "GetVertexPointSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexPointSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexPointSize */
    Tcl_DStringAppendElement ( &dString, " Get/Set the vertex point size\n" );
    Tcl_DStringAppendElement ( &dString, "float GetVertexPointSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetVertexPointSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexPointSize */
    if ( strcmp ( argv[2], "SetVertexPointSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexPointSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexPointSize */
    Tcl_DStringAppendElement ( &dString, " Get/Set the vertex point size\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexPointSize (float size);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetVertexPointSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLineWidth */
    if ( strcmp ( argv[2], "GetEdgeLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLineWidth */
    Tcl_DStringAppendElement ( &dString, " Get/Set the edge line width\n" );
    Tcl_DStringAppendElement ( &dString, "float GetEdgeLineWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetEdgeLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLineWidth */
    if ( strcmp ( argv[2], "SetEdgeLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLineWidth */
    Tcl_DStringAppendElement ( &dString, " Get/Set the edge line width\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeLineWidth (float width);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetEdgeLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Apply the theme to this view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme (vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources (vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the mtime also considering the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the Input of this mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput (vtkGraph *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Set the Input of this mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph *GetInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double *GetBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphMapper" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMapperCppCommand(static_cast<vtkMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
