// python wrapper for vtkGraphToPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphToPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphToPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphToPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGraphToPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToPolyData *op;

  const char    *temp20;
  op = (vtkGraphToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToPolyData *op;

  vtkGraphToPolyData  *temp20;
  op = (vtkGraphToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGraphToPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGraphToPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphToPolyData_SetEdgeGlyphOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToPolyData *op;

  bool   temp0;
  op = (vtkGraphToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphToPolyData::SetEdgeGlyphOutput(temp0);
      }
    else
      {
      op->SetEdgeGlyphOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToPolyData_GetEdgeGlyphOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToPolyData *op;

  bool   temp20;
  op = (vtkGraphToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToPolyData::GetEdgeGlyphOutput();
      }
    else
      {
      temp20 = op->GetEdgeGlyphOutput();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToPolyData_EdgeGlyphOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToPolyData *op;

  op = (vtkGraphToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphToPolyData::EdgeGlyphOutputOn();
      }
    else
      {
      op->EdgeGlyphOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToPolyData_EdgeGlyphOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToPolyData *op;

  op = (vtkGraphToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphToPolyData::EdgeGlyphOutputOff();
      }
    else
      {
      op->EdgeGlyphOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToPolyData_SetEdgeGlyphPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToPolyData *op;

  double   temp0;
  op = (vtkGraphToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphToPolyData::SetEdgeGlyphPosition(temp0);
      }
    else
      {
      op->SetEdgeGlyphPosition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToPolyData_GetEdgeGlyphPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToPolyData *op;

  double   temp20;
  op = (vtkGraphToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToPolyData::GetEdgeGlyphPosition();
      }
    else
      {
      temp20 = op->GetEdgeGlyphPosition();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphToPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphToPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphToPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphToPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphToPolyData\nC++: vtkGraphToPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGraphToPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphToPolyData\nC++: vtkGraphToPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEdgeGlyphOutput",                (PyCFunction)PyvtkGraphToPolyData_SetEdgeGlyphOutput, 1,
   (char*)"V.SetEdgeGlyphOutput(bool)\nC++: void SetEdgeGlyphOutput (bool );\n\n Create a second output containing points and orientation vectors\n for drawing arrows or other glyphs on edges.  This output should be\n set as the first input to vtkGlyph3D to place glyphs on the edges.\n vtkGlyphSource2D's VTK_EDGEARROW_GLYPH provides a good glyph for \n drawing arrows.\n Default value is off.\n"},
  {(char*)"GetEdgeGlyphOutput",                (PyCFunction)PyvtkGraphToPolyData_GetEdgeGlyphOutput, 1,
   (char*)"V.GetEdgeGlyphOutput() -> bool\nC++: bool GetEdgeGlyphOutput ();\n\n Create a second output containing points and orientation vectors\n for drawing arrows or other glyphs on edges.  This output should be\n set as the first input to vtkGlyph3D to place glyphs on the edges.\n vtkGlyphSource2D's VTK_EDGEARROW_GLYPH provides a good glyph for \n drawing arrows.\n Default value is off.\n"},
  {(char*)"EdgeGlyphOutputOn",                (PyCFunction)PyvtkGraphToPolyData_EdgeGlyphOutputOn, 1,
   (char*)"V.EdgeGlyphOutputOn()\nC++: void EdgeGlyphOutputOn ();\n\n Create a second output containing points and orientation vectors\n for drawing arrows or other glyphs on edges.  This output should be\n set as the first input to vtkGlyph3D to place glyphs on the edges.\n vtkGlyphSource2D's VTK_EDGEARROW_GLYPH provides a good glyph for \n drawing arrows.\n Default value is off.\n"},
  {(char*)"EdgeGlyphOutputOff",                (PyCFunction)PyvtkGraphToPolyData_EdgeGlyphOutputOff, 1,
   (char*)"V.EdgeGlyphOutputOff()\nC++: void EdgeGlyphOutputOff ();\n\n Create a second output containing points and orientation vectors\n for drawing arrows or other glyphs on edges.  This output should be\n set as the first input to vtkGlyph3D to place glyphs on the edges.\n vtkGlyphSource2D's VTK_EDGEARROW_GLYPH provides a good glyph for \n drawing arrows.\n Default value is off.\n"},
  {(char*)"SetEdgeGlyphPosition",                (PyCFunction)PyvtkGraphToPolyData_SetEdgeGlyphPosition, 1,
   (char*)"V.SetEdgeGlyphPosition(float)\nC++: void SetEdgeGlyphPosition (double );\n\n The position of the glyph point along the edge.\n 0 puts a glyph point at the source of each edge.\n 1 puts a glyph point at the target of each edge.\n An intermediate value will place the glyph point between the source and target.\n The default value is 1.\n"},
  {(char*)"GetEdgeGlyphPosition",                (PyCFunction)PyvtkGraphToPolyData_GetEdgeGlyphPosition, 1,
   (char*)"V.GetEdgeGlyphPosition() -> float\nC++: double GetEdgeGlyphPosition ();\n\n The position of the glyph point along the edge.\n 0 puts a glyph point at the source of each edge.\n 1 puts a glyph point at the target of each edge.\n An intermediate value will place the glyph point between the source and target.\n The default value is 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphToPolyDataDoc[] = {
  (char*)"vtkGraphToPolyData - convert a vtkGraph to vtkPolyData\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" Converts a vtkGraph to a vtkPolyData.  This assumes that the points\n of the graph have already been filled (perhaps by vtkGraphLayout),\n and coverts all the edge of the graph into lines in the polydata.\n The vertex data is passed along to the point data, and the edge data\n is passed along to the cell data.\n\n Only the owned graph edges (i.e. edges with ghost level 0) are copied\n into the vtkPolyDa",
  (char*)"ta.\n\n",
  NULL
};

static vtkObjectBase *vtkGraphToPolyDataStaticNew()
{
  return vtkGraphToPolyData::New();
}

PyObject *PyVTKClass_vtkGraphToPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphToPolyDataStaticNew,
                        PyvtkGraphToPolyDataMethods,
                        (char*)"vtkGraphToPolyData",modulename,
                        (char**)vtkGraphToPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

