// python wrapper for vtkISIReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkISIReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkISIReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkISIReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkISIReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkISIReader *op;

  const char    *temp20;
  op = (vtkISIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkISIReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkISIReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkISIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkISIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkISIReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkISIReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkISIReader *op;

  vtkISIReader  *temp20;
  op = (vtkISIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkISIReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkISIReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkISIReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkISIReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkISIReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkISIReader *op;

  char    *temp20;
  op = (vtkISIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkISIReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkISIReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkISIReader *op;

  char    *temp0;
  op = (vtkISIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkISIReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkISIReader_GetDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkISIReader *op;

  char    *temp20;
  op = (vtkISIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkISIReader::GetDelimiter();
      }
    else
      {
      temp20 = op->GetDelimiter();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkISIReader_SetDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkISIReader *op;

  char    *temp0;
  op = (vtkISIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkISIReader::SetDelimiter(temp0);
      }
    else
      {
      op->SetDelimiter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkISIReader_GetMaxRecords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkISIReader *op;

  int      temp20;
  op = (vtkISIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkISIReader::GetMaxRecords();
      }
    else
      {
      temp20 = op->GetMaxRecords();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkISIReader_SetMaxRecords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkISIReader *op;

  int      temp0;
  op = (vtkISIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkISIReader::SetMaxRecords(temp0);
      }
    else
      {
      op->SetMaxRecords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkISIReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkISIReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkISIReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkISIReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkISIReader\nC++: vtkISIReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkISIReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkISIReader\nC++: vtkISIReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkISIReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set/get the file to load\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkISIReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set/get the file to load\n"},
  {(char*)"GetDelimiter",                (PyCFunction)PyvtkISIReader_GetDelimiter, 1,
   (char*)"V.GetDelimiter() -> string\nC++: char *GetDelimiter ();\n\n Set/get the delimiter to be used for concatenating field data (default: \";\")\n"},
  {(char*)"SetDelimiter",                (PyCFunction)PyvtkISIReader_SetDelimiter, 1,
   (char*)"V.SetDelimiter(string)\nC++: void SetDelimiter (char *);\n\n Set/get the delimiter to be used for concatenating field data (default: \";\")\n"},
  {(char*)"GetMaxRecords",                (PyCFunction)PyvtkISIReader_GetMaxRecords, 1,
   (char*)"V.GetMaxRecords() -> int\nC++: int GetMaxRecords ();\n\n Set/get the maximum number of records to read from the file (zero = unlimited)\n"},
  {(char*)"SetMaxRecords",                (PyCFunction)PyvtkISIReader_SetMaxRecords, 1,
   (char*)"V.SetMaxRecords(int)\nC++: void SetMaxRecords (int );\n\n Set/get the maximum number of records to read from the file (zero = unlimited)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkISIReaderDoc[] = {
  (char*)"vtkISIReader - reader for ISI files\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" ISI is a tagged format for expressing bibliographic citations.  Data is\n structured as a collection of records with each record composed of\n one-to-many fields.  See\n\n http://isibasic.com/help/helpprn.html#dialog_export_format\n\n for details.  vtkISIReader will convert an ISI file into a vtkTable, with\n the set of table columns determined dynamically from the contents of the\n file.\n\n",
  NULL
};

static vtkObjectBase *vtkISIReaderStaticNew()
{
  return vtkISIReader::New();
}

PyObject *PyVTKClass_vtkISIReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkISIReaderStaticNew,
                        PyvtkISIReaderMethods,
                        (char*)"vtkISIReader",modulename,
                        (char**)vtkISIReaderDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

