// tcl wrapper for vtkInteractorStyleTreeMapHover object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleTreeMapHover.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkInteractorStyleTreeMapHoverNewCommand()
{
  vtkInteractorStyleTreeMapHover *temp = vtkInteractorStyleTreeMapHover::New();
  return static_cast<ClientData>(temp);
}

int vtkInteractorStyleImageCppCommand(vtkInteractorStyleImage *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorStyleTreeMapHoverCppCommand(vtkInteractorStyleTreeMapHover *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInteractorStyleTreeMapHoverCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInteractorStyleTreeMapHoverCppCommand(static_cast<vtkInteractorStyleTreeMapHover *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorStyleTreeMapHoverCppCommand(vtkInteractorStyleTreeMapHover *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInteractorStyleTreeMapHover",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkInteractorStyleImageCppCommand(static_cast<vtkInteractorStyleImage *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorStyleImage"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleTreeMapHover  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleTreeMapHover");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleTreeMapHover  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleTreeMapHover");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInteractorStyleTreeMapHover  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleTreeMapHover");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLayout",argv[1]))&&(argc == 3))
    {
    vtkTreeMapLayout  *temp0;
    error = 0;

    temp0 = (vtkTreeMapLayout *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTreeMapLayout"),interp,error));
    if (!error)
    {
    op->SetLayout(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayout",argv[1]))&&(argc == 2))
    {
    vtkTreeMapLayout  *temp20;
    temp20 = (op)->GetLayout();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeMapLayout");
    return TCL_OK;
    }
  if ((!strcmp("SetTreeMapToPolyData",argv[1]))&&(argc == 3))
    {
    vtkTreeMapToPolyData  *temp0;
    error = 0;

    temp0 = (vtkTreeMapToPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTreeMapToPolyData"),interp,error));
    if (!error)
    {
    op->SetTreeMapToPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTreeMapToPolyData",argv[1]))&&(argc == 2))
    {
    vtkTreeMapToPolyData  *temp20;
    temp20 = (op)->GetTreeMapToPolyData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeMapToPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SetLabelField",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelField(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelField",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelField();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 2))
    {
    op->OnMouseMove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HighLightItem",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->HighLightItem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HighLightCurrentSelectedItem",argv[1]))&&(argc == 2))
    {
    op->HighLightCurrentSelectedItem();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindowInteractor"),interp,error));
    if (!error)
    {
    op->SetInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHighLightColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetHighLightColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectionLightColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSelectionLightColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHighLightWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHighLightWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHighLightWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHighLightWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSelectionWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSelectionWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkInteractorStyleTreeMapHoverCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkInteractorStyleImageCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorStyleTreeMapHover:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLayout\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayout\n",NULL);
    Tcl_AppendResult(interp,"  SetTreeMapToPolyData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTreeMapToPolyData\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelField\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseMove\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  HighLightItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HighLightCurrentSelectedItem\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetHighLightColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionLightColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHighLightWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHighLightWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionWidth\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorStyleImageCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetLayout" );
    Tcl_DStringAppendElement ( &dString, "GetLayout" );
    Tcl_DStringAppendElement ( &dString, "SetTreeMapToPolyData" );
    Tcl_DStringAppendElement ( &dString, "GetTreeMapToPolyData" );
    Tcl_DStringAppendElement ( &dString, "SetLabelField" );
    Tcl_DStringAppendElement ( &dString, "GetLabelField" );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    Tcl_DStringAppendElement ( &dString, "HighLightItem" );
    Tcl_DStringAppendElement ( &dString, "HighLightCurrentSelectedItem" );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    Tcl_DStringAppendElement ( &dString, "SetHighLightColor" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionLightColor" );
    Tcl_DStringAppendElement ( &dString, "SetHighLightWidth" );
    Tcl_DStringAppendElement ( &dString, "GetHighLightWidth" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionWidth" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionWidth" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorStyleImageCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyleTreeMapHover *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayout */
    if ( strcmp ( argv[2], "SetLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapLayout" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayout */
    Tcl_DStringAppendElement ( &dString, " Must be set to the vtkTreeMapLayout used to compute the bounds of each vertex\n for the tree map.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayout (vtkTreeMapLayout *layout);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for SetLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayout */
    if ( strcmp ( argv[2], "GetLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayout */
    Tcl_DStringAppendElement ( &dString, " Must be set to the vtkTreeMapLayout used to compute the bounds of each vertex\n for the tree map.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapLayout *GetLayout ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for GetLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTreeMapToPolyData */
    if ( strcmp ( argv[2], "SetTreeMapToPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTreeMapToPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapToPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTreeMapToPolyData */
    Tcl_DStringAppendElement ( &dString, " Must be set to the vtkTreeMapToPolyData used to convert the tree map\n into polydata.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTreeMapToPolyData (vtkTreeMapToPolyData *filter);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for SetTreeMapToPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTreeMapToPolyData */
    if ( strcmp ( argv[2], "GetTreeMapToPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTreeMapToPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTreeMapToPolyData */
    Tcl_DStringAppendElement ( &dString, " Must be set to the vtkTreeMapToPolyData used to convert the tree map\n into polydata.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapToPolyData *GetTreeMapToPolyData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for GetTreeMapToPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelField */
    if ( strcmp ( argv[2], "SetLabelField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelField */
    Tcl_DStringAppendElement ( &dString, " The name of the field to use when displaying text in the hover balloon.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelField (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for SetLabelField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelField */
    if ( strcmp ( argv[2], "GetLabelField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelField */
    Tcl_DStringAppendElement ( &dString, " The name of the field to use when displaying text in the hover balloon.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabelField ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for GetLabelField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseMove */
    if ( strcmp ( argv[2], "OnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Overridden from vtkInteractorStyleImage to provide the desired\n interaction behavior.\n" );
    Tcl_DStringAppendElement ( &dString, "void OnMouseMove ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for OnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonUp */
    if ( strcmp ( argv[2], "OnLeftButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonUp */
    Tcl_DStringAppendElement ( &dString, " Overridden from vtkInteractorStyleImage to provide the desired\n interaction behavior.\n" );
    Tcl_DStringAppendElement ( &dString, "void OnLeftButtonUp ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for OnLeftButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HighLightItem */
    if ( strcmp ( argv[2], "HighLightItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HighLightItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HighLightItem */
    Tcl_DStringAppendElement ( &dString, " Highlights a specific vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void HighLightItem (vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for HighLightItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HighLightCurrentSelectedItem */
    if ( strcmp ( argv[2], "HighLightCurrentSelectedItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HighLightCurrentSelectedItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HighLightCurrentSelectedItem */
    Tcl_DStringAppendElement ( &dString, " Highlights a specific vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void HighLightCurrentSelectedItem ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for HighLightCurrentSelectedItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractor */
    if ( strcmp ( argv[2], "SetInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteractor (vtkRenderWindowInteractor *rwi);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for SetInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHighLightColor */
    if ( strcmp ( argv[2], "SetHighLightColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHighLightColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHighLightColor */
    Tcl_DStringAppendElement ( &dString, " Set the color used to highlight the hovered vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHighLightColor (double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for SetHighLightColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionLightColor */
    if ( strcmp ( argv[2], "SetSelectionLightColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionLightColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionLightColor */
    Tcl_DStringAppendElement ( &dString, " Set the color used to highlight the selected vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionLightColor (double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for SetSelectionLightColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHighLightWidth */
    if ( strcmp ( argv[2], "SetHighLightWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHighLightWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHighLightWidth */
    Tcl_DStringAppendElement ( &dString, " The width of the line around the hovered vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHighLightWidth (double lw);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for SetHighLightWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHighLightWidth */
    if ( strcmp ( argv[2], "GetHighLightWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHighLightWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHighLightWidth */
    Tcl_DStringAppendElement ( &dString, " The width of the line around the hovered vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHighLightWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for GetHighLightWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionWidth */
    if ( strcmp ( argv[2], "SetSelectionWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionWidth */
    Tcl_DStringAppendElement ( &dString, " The width of the line around the selected vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionWidth (double lw);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for SetSelectionWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionWidth */
    if ( strcmp ( argv[2], "GetSelectionWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionWidth */
    Tcl_DStringAppendElement ( &dString, " The width of the line around the selected vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSelectionWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover" );
    /* Closing for GetSelectionWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkInteractorStyleImageCppCommand(static_cast<vtkInteractorStyleImage *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
