// python wrapper for vtkLabeledTreeMapDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLabeledTreeMapDataMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLabeledTreeMapDataMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLabeledTreeMapDataMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLabeledDataMapperNew(char *); }

static PyObject *PyvtkLabeledTreeMapDataMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  const char    *temp20;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledTreeMapDataMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledTreeMapDataMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  vtkLabeledTreeMapDataMapper  *temp20;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledTreeMapDataMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLabeledTreeMapDataMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLabeledTreeMapDataMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledTreeMapDataMapper::RenderOpaqueGeometry(temp0,temp1);
      }
    else
      {
      op->RenderOpaqueGeometry(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledTreeMapDataMapper::RenderOverlay(temp0,temp1);
      }
    else
      {
      op->RenderOverlay(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_GetInputTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  vtkTree  *temp20;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledTreeMapDataMapper::GetInputTree();
      }
    else
      {
      temp20 = op->GetInputTree();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_GetRectanglesFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  char    *temp20;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledTreeMapDataMapper::GetRectanglesFieldName();
      }
    else
      {
      temp20 = op->GetRectanglesFieldName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_SetRectanglesFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  char    *temp0;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledTreeMapDataMapper::SetRectanglesFieldName(temp0);
      }
    else
      {
      op->SetRectanglesFieldName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_GetClipTextMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  int      temp20;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledTreeMapDataMapper::GetClipTextMode();
      }
    else
      {
      temp20 = op->GetClipTextMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_SetClipTextMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  int      temp0;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledTreeMapDataMapper::SetClipTextMode(temp0);
      }
    else
      {
      op->SetClipTextMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_GetChildMotion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  int      temp20;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledTreeMapDataMapper::GetChildMotion();
      }
    else
      {
      temp20 = op->GetChildMotion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_SetChildMotion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  int      temp0;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledTreeMapDataMapper::SetChildMotion(temp0);
      }
    else
      {
      op->SetChildMotion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_GetDynamicLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  int      temp20;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledTreeMapDataMapper::GetDynamicLevel();
      }
    else
      {
      temp20 = op->GetDynamicLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_SetDynamicLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  int      temp0;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledTreeMapDataMapper::SetDynamicLevel(temp0);
      }
    else
      {
      op->SetDynamicLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledTreeMapDataMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_SetFontSizeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledTreeMapDataMapper::SetFontSizeRange(temp0,temp1,temp2);
      }
    else
      {
      op->SetFontSizeRange(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_GetFontSizeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  int    temp0[3];
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledTreeMapDataMapper::GetFontSizeRange(temp0);
      }
    else
      {
      op->GetFontSizeRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_SetLevelRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  int      temp0;
  int      temp1;
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledTreeMapDataMapper::SetLevelRange(temp0,temp1);
      }
    else
      {
      op->SetLevelRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledTreeMapDataMapper_GetLevelRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledTreeMapDataMapper *op;

  int    temp0[2];
  op = (vtkLabeledTreeMapDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledTreeMapDataMapper::GetLevelRange(temp0);
      }
    else
      {
      op->GetLevelRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLabeledTreeMapDataMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLabeledTreeMapDataMapper\nC++: vtkLabeledTreeMapDataMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLabeledTreeMapDataMapper\nC++: vtkLabeledTreeMapDataMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport, vtkActor2D)\nC++: virtual void RenderOpaqueGeometry (vtkViewport *viewport, vtkActor2D *actor);\n\n Draw the text to the screen at each input point.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport, vtkActor2D)\nC++: virtual void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor);\n\n Draw the text to the screen at each input point.\n"},
  {(char*)"GetInputTree",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_GetInputTree, 1,
   (char*)"V.GetInputTree() -> vtkTree\nC++: virtual vtkTree *GetInputTree ();\n\n The input to this filter.\n"},
  {(char*)"GetRectanglesFieldName",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_GetRectanglesFieldName, 1,
   (char*)"V.GetRectanglesFieldName() -> string\nC++: char *GetRectanglesFieldName ();\n\n The name of the 4-tuple array used for \n"},
  {(char*)"SetRectanglesFieldName",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_SetRectanglesFieldName, 1,
   (char*)"V.SetRectanglesFieldName(string)\nC++: void SetRectanglesFieldName (char *);\n\n The name of the 4-tuple array used for \n"},
  {(char*)"GetClipTextMode",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_GetClipTextMode, 1,
   (char*)"V.GetClipTextMode() -> int\nC++: int GetClipTextMode ();\n\n Indicates if the label can be displayed clipped by the Window\n mode = 0 - ok to clip labels\n 1 - auto center labels w/r to the area of the vertex's clipped region\n"},
  {(char*)"SetClipTextMode",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_SetClipTextMode, 1,
   (char*)"V.SetClipTextMode(int)\nC++: void SetClipTextMode (int );\n\n Indicates if the label can be displayed clipped by the Window\n mode = 0 - ok to clip labels\n 1 - auto center labels w/r to the area of the vertex's clipped region\n"},
  {(char*)"GetChildMotion",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_GetChildMotion, 1,
   (char*)"V.GetChildMotion() -> int\nC++: int GetChildMotion ();\n\n Indicates if the label can be moved by its ancestors\n"},
  {(char*)"SetChildMotion",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_SetChildMotion, 1,
   (char*)"V.SetChildMotion(int)\nC++: void SetChildMotion (int );\n\n Indicates if the label can be moved by its ancestors\n"},
  {(char*)"GetDynamicLevel",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_GetDynamicLevel, 1,
   (char*)"V.GetDynamicLevel() -> int\nC++: int GetDynamicLevel ();\n\n Indicates at which level labeling should be dynamic \n"},
  {(char*)"SetDynamicLevel",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_SetDynamicLevel, 1,
   (char*)"V.SetDynamicLevel(int)\nC++: void SetDynamicLevel (int );\n\n Indicates at which level labeling should be dynamic \n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n"},
  {(char*)"SetFontSizeRange",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_SetFontSizeRange, 1,
   (char*)"V.SetFontSizeRange(int, int, int)\nC++: void SetFontSizeRange (int maxSize, int minSize, int delta);\n\n The range of font sizes to use when rendering the labels.\n"},
  {(char*)"GetFontSizeRange",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_GetFontSizeRange, 1,
   (char*)"V.GetFontSizeRange((int, int, int))\nC++: void GetFontSizeRange (int range[3]);\n\n The range of font sizes to use when rendering the labels.\n"},
  {(char*)"SetLevelRange",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_SetLevelRange, 1,
   (char*)"V.SetLevelRange(int, int)\nC++: void SetLevelRange (int startLevel, int endLevel);\n\n The range of levels to attempt to label.\n The level of a vertex is the length of the path to the root\n (the root has level 0).\n"},
  {(char*)"GetLevelRange",                (PyCFunction)PyvtkLabeledTreeMapDataMapper_GetLevelRange, 1,
   (char*)"V.GetLevelRange((int, int))\nC++: void GetLevelRange (int range[2]);\n\n The range of levels to attempt to label.\n The level of a vertex is the length of the path to the root\n (the root has level 0).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLabeledTreeMapDataMapperDoc[] = {
  (char*)"vtkLabeledTreeMapDataMapper - draw text labels on a tree map\n\n",
  "Super Class:\n\n vtkLabeledDataMapper\n\n",
  (char*)" vtkLabeledTreeMapDataMapper is a mapper that renders text on a tree map.\n A tree map is a vtkTree with an associated 4-tuple array\n used for storing the boundary rectangle for each vertex in the tree.\n The user must specify the array name used for storing the rectangles.\n\n The mapper iterates through the tree and attempts and renders a label\n inside the vertex's rectangle as long as the following",
  (char*)" conditions hold:\n 1. The vertex level is within the range of levels specified for labeling.\n 2. The label can fully fit inside its box.\n 3. The label does not overlap an ancestor's label.\n\n\n",
  "See Also:\n\n vtkLabeledDataMapper\n\n .SECTION Thanks\n Thanks to Patricia Crossno, Ken Moreland, Andrew Wilson and Brian Wylie from\n Sandia National Laboratories for their help in developing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkLabeledTreeMapDataMapperStaticNew()
{
  return vtkLabeledTreeMapDataMapper::New();
}

PyObject *PyVTKClass_vtkLabeledTreeMapDataMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkLabeledTreeMapDataMapperStaticNew,
                        PyvtkLabeledTreeMapDataMapperMethods,
                        (char*)"vtkLabeledTreeMapDataMapper",modulename,
                        (char**)vtkLabeledTreeMapDataMapperDoc,
                        PyVTKClass_vtkLabeledDataMapperNew(modulename));
}

