// python wrapper for vtkMergeColumns object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMergeColumns.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMergeColumnsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMergeColumnsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkMergeColumns_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeColumns *op;

  const char    *temp20;
  op = (vtkMergeColumns *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeColumns::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeColumns_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeColumns *op;

  char    *temp0;
  int      temp20;
  op = (vtkMergeColumns *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeColumns::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeColumns_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeColumns *op;

  vtkMergeColumns  *temp20;
  op = (vtkMergeColumns *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeColumns::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeColumns_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMergeColumns  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMergeColumns::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMergeColumns_SetMergedColumnName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeColumns *op;

  char    *temp0;
  op = (vtkMergeColumns *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeColumns::SetMergedColumnName(temp0);
      }
    else
      {
      op->SetMergedColumnName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeColumns_GetMergedColumnName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeColumns *op;

  char    *temp20;
  op = (vtkMergeColumns *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeColumns::GetMergedColumnName();
      }
    else
      {
      temp20 = op->GetMergedColumnName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMergeColumnsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMergeColumns_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMergeColumns_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMergeColumns_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMergeColumns\nC++: vtkMergeColumns *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMergeColumns_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMergeColumns\nC++: vtkMergeColumns *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMergedColumnName",                (PyCFunction)PyvtkMergeColumns_SetMergedColumnName, 1,
   (char*)"V.SetMergedColumnName(string)\nC++: void SetMergedColumnName (char *);\n\n The name to give the merged column created by this filter.\n"},
  {(char*)"GetMergedColumnName",                (PyCFunction)PyvtkMergeColumns_GetMergedColumnName, 1,
   (char*)"V.GetMergedColumnName() -> string\nC++: char *GetMergedColumnName ();\n\n The name to give the merged column created by this filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMergeColumnsDoc[] = {
  (char*)"vtkMergeColumns - merge two columns into a single column\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" vtkMergeColumns replaces two columns in a table with a single column\n containing data in both columns.  The columns are set using\n\n   SetInputArrayToProcess(0, 0, 0, vtkDataObject::FIELD_ASSOCIATION_NONE, \"col1\")\n\n and\n\n   SetInputArrayToProcess(1, 0, 0, vtkDataObject::FIELD_ASSOCIATION_NONE, \"col2\")\n\n where \"col1\" and \"col2\" are the names of the columns to merge.\n The user may also specify the n",
  (char*)"ame of the merged column.\n The arrays must be of the same type.\n If the arrays are numeric, the values are summed in the merged column.\n If the arrays are strings, the values are concatenated.  The strings are\n separated by a space if they are both nonempty.\n\n",
  NULL
};

static vtkObjectBase *vtkMergeColumnsStaticNew()
{
  return vtkMergeColumns::New();
}

PyObject *PyVTKClass_vtkMergeColumnsNew(char *modulename)
{
  return PyVTKClass_New(&vtkMergeColumnsStaticNew,
                        PyvtkMergeColumnsMethods,
                        (char*)"vtkMergeColumns",modulename,
                        (char**)vtkMergeColumnsDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

