// python wrapper for vtkMergeTables object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMergeTables.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMergeTablesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMergeTablesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkMergeTables_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  const char    *temp20;
  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeTables::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  char    *temp0;
  int      temp20;
  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeTables::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  vtkMergeTables  *temp20;
  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeTables::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMergeTables  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMergeTables::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMergeTables_SetFirstTablePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  char    *temp0;
  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeTables::SetFirstTablePrefix(temp0);
      }
    else
      {
      op->SetFirstTablePrefix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_GetFirstTablePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  char    *temp20;
  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeTables::GetFirstTablePrefix();
      }
    else
      {
      temp20 = op->GetFirstTablePrefix();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_SetSecondTablePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  char    *temp0;
  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeTables::SetSecondTablePrefix(temp0);
      }
    else
      {
      op->SetSecondTablePrefix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_GetSecondTablePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  char    *temp20;
  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeTables::GetSecondTablePrefix();
      }
    else
      {
      temp20 = op->GetSecondTablePrefix();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_SetMergeColumnsByName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  bool   temp0;
  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeTables::SetMergeColumnsByName(temp0);
      }
    else
      {
      op->SetMergeColumnsByName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_GetMergeColumnsByName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  bool   temp20;
  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeTables::GetMergeColumnsByName();
      }
    else
      {
      temp20 = op->GetMergeColumnsByName();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_MergeColumnsByNameOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeTables::MergeColumnsByNameOn();
      }
    else
      {
      op->MergeColumnsByNameOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_MergeColumnsByNameOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeTables::MergeColumnsByNameOff();
      }
    else
      {
      op->MergeColumnsByNameOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_SetPrefixAllButMerged(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  bool   temp0;
  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeTables::SetPrefixAllButMerged(temp0);
      }
    else
      {
      op->SetPrefixAllButMerged(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_GetPrefixAllButMerged(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  bool   temp20;
  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeTables::GetPrefixAllButMerged();
      }
    else
      {
      temp20 = op->GetPrefixAllButMerged();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_PrefixAllButMergedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeTables::PrefixAllButMergedOn();
      }
    else
      {
      op->PrefixAllButMergedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeTables_PrefixAllButMergedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeTables *op;

  op = (vtkMergeTables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeTables::PrefixAllButMergedOff();
      }
    else
      {
      op->PrefixAllButMergedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMergeTablesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMergeTables_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMergeTables_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMergeTables_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMergeTables\nC++: vtkMergeTables *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMergeTables_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMergeTables\nC++: vtkMergeTables *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFirstTablePrefix",                (PyCFunction)PyvtkMergeTables_SetFirstTablePrefix, 1,
   (char*)"V.SetFirstTablePrefix(string)\nC++: void SetFirstTablePrefix (char *);\n\n The prefix to give to same-named fields from the first table.\n Default is \"Table1.\".\n"},
  {(char*)"GetFirstTablePrefix",                (PyCFunction)PyvtkMergeTables_GetFirstTablePrefix, 1,
   (char*)"V.GetFirstTablePrefix() -> string\nC++: char *GetFirstTablePrefix ();\n\n The prefix to give to same-named fields from the first table.\n Default is \"Table1.\".\n"},
  {(char*)"SetSecondTablePrefix",                (PyCFunction)PyvtkMergeTables_SetSecondTablePrefix, 1,
   (char*)"V.SetSecondTablePrefix(string)\nC++: void SetSecondTablePrefix (char *);\n\n The prefix to give to same-named fields from the second table.\n Default is \"Table2.\".\n"},
  {(char*)"GetSecondTablePrefix",                (PyCFunction)PyvtkMergeTables_GetSecondTablePrefix, 1,
   (char*)"V.GetSecondTablePrefix() -> string\nC++: char *GetSecondTablePrefix ();\n\n The prefix to give to same-named fields from the second table.\n Default is \"Table2.\".\n"},
  {(char*)"SetMergeColumnsByName",                (PyCFunction)PyvtkMergeTables_SetMergeColumnsByName, 1,
   (char*)"V.SetMergeColumnsByName(bool)\nC++: void SetMergeColumnsByName (bool );\n\n If on, merges columns with the same name.\n If off, keeps both columns, but calls one\n FirstTablePrefix + name, and the other SecondTablePrefix + name.\n Default is on.\n"},
  {(char*)"GetMergeColumnsByName",                (PyCFunction)PyvtkMergeTables_GetMergeColumnsByName, 1,
   (char*)"V.GetMergeColumnsByName() -> bool\nC++: bool GetMergeColumnsByName ();\n\n If on, merges columns with the same name.\n If off, keeps both columns, but calls one\n FirstTablePrefix + name, and the other SecondTablePrefix + name.\n Default is on.\n"},
  {(char*)"MergeColumnsByNameOn",                (PyCFunction)PyvtkMergeTables_MergeColumnsByNameOn, 1,
   (char*)"V.MergeColumnsByNameOn()\nC++: void MergeColumnsByNameOn ();\n\n If on, merges columns with the same name.\n If off, keeps both columns, but calls one\n FirstTablePrefix + name, and the other SecondTablePrefix + name.\n Default is on.\n"},
  {(char*)"MergeColumnsByNameOff",                (PyCFunction)PyvtkMergeTables_MergeColumnsByNameOff, 1,
   (char*)"V.MergeColumnsByNameOff()\nC++: void MergeColumnsByNameOff ();\n\n If on, merges columns with the same name.\n If off, keeps both columns, but calls one\n FirstTablePrefix + name, and the other SecondTablePrefix + name.\n Default is on.\n"},
  {(char*)"SetPrefixAllButMerged",                (PyCFunction)PyvtkMergeTables_SetPrefixAllButMerged, 1,
   (char*)"V.SetPrefixAllButMerged(bool)\nC++: void SetPrefixAllButMerged (bool );\n\n If on, all columns will have prefixes except merged columns.\n If off, only unmerged columns with the same name will have prefixes.\n Default is off.\n"},
  {(char*)"GetPrefixAllButMerged",                (PyCFunction)PyvtkMergeTables_GetPrefixAllButMerged, 1,
   (char*)"V.GetPrefixAllButMerged() -> bool\nC++: bool GetPrefixAllButMerged ();\n\n If on, all columns will have prefixes except merged columns.\n If off, only unmerged columns with the same name will have prefixes.\n Default is off.\n"},
  {(char*)"PrefixAllButMergedOn",                (PyCFunction)PyvtkMergeTables_PrefixAllButMergedOn, 1,
   (char*)"V.PrefixAllButMergedOn()\nC++: void PrefixAllButMergedOn ();\n\n If on, all columns will have prefixes except merged columns.\n If off, only unmerged columns with the same name will have prefixes.\n Default is off.\n"},
  {(char*)"PrefixAllButMergedOff",                (PyCFunction)PyvtkMergeTables_PrefixAllButMergedOff, 1,
   (char*)"V.PrefixAllButMergedOff()\nC++: void PrefixAllButMergedOff ();\n\n If on, all columns will have prefixes except merged columns.\n If off, only unmerged columns with the same name will have prefixes.\n Default is off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMergeTablesDoc[] = {
  (char*)"vtkMergeTables - combine two tables\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Combines the columns of two tables into one larger table.\n The number of rows in the resulting table is the sum of the number of\n rows in each of the input tables.\n The number of columns in the output is generally the sum of the number\n of columns in each input table, except in the case where column names\n are duplicated in both tables.\n In this case, if MergeColumnsByName is on (the default), th",
  (char*)"e two columns\n will be merged into a single column of the same name.\n If MergeColumnsByName is off, both columns will exist in the output.\n You may set the FirstTablePrefix and SecondTablePrefix to define how\n the columns named are modified.  One of these prefixes may be the empty\n string, but they must be different.\n\n",
  NULL
};

static vtkObjectBase *vtkMergeTablesStaticNew()
{
  return vtkMergeTables::New();
}

PyObject *PyVTKClass_vtkMergeTablesNew(char *modulename)
{
  return PyVTKClass_New(&vtkMergeTablesStaticNew,
                        PyvtkMergeTablesMethods,
                        (char*)"vtkMergeTables",modulename,
                        (char**)vtkMergeTablesDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

