// tcl wrapper for vtkMergeTables object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMergeTables.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMergeTablesNewCommand()
{
  vtkMergeTables *temp = vtkMergeTables::New();
  return static_cast<ClientData>(temp);
}

int vtkTableAlgorithmCppCommand(vtkTableAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMergeTablesCppCommand(vtkMergeTables *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMergeTablesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMergeTablesCppCommand(static_cast<vtkMergeTables *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMergeTablesCppCommand(vtkMergeTables *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMergeTables",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTableAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMergeTables  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMergeTables");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMergeTables  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMergeTables");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMergeTables  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMergeTables");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFirstTablePrefix",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFirstTablePrefix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFirstTablePrefix",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFirstTablePrefix();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSecondTablePrefix",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSecondTablePrefix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSecondTablePrefix",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSecondTablePrefix();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMergeColumnsByName",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetMergeColumnsByName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMergeColumnsByName",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetMergeColumnsByName();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MergeColumnsByNameOn",argv[1]))&&(argc == 2))
    {
    op->MergeColumnsByNameOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MergeColumnsByNameOff",argv[1]))&&(argc == 2))
    {
    op->MergeColumnsByNameOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPrefixAllButMerged",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetPrefixAllButMerged(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPrefixAllButMerged",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetPrefixAllButMerged();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PrefixAllButMergedOn",argv[1]))&&(argc == 2))
    {
    op->PrefixAllButMergedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrefixAllButMergedOff",argv[1]))&&(argc == 2))
    {
    op->PrefixAllButMergedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMergeTablesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMergeTables:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFirstTablePrefix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFirstTablePrefix\n",NULL);
    Tcl_AppendResult(interp,"  SetSecondTablePrefix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSecondTablePrefix\n",NULL);
    Tcl_AppendResult(interp,"  SetMergeColumnsByName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMergeColumnsByName\n",NULL);
    Tcl_AppendResult(interp,"  MergeColumnsByNameOn\n",NULL);
    Tcl_AppendResult(interp,"  MergeColumnsByNameOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPrefixAllButMerged\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPrefixAllButMerged\n",NULL);
    Tcl_AppendResult(interp,"  PrefixAllButMergedOn\n",NULL);
    Tcl_AppendResult(interp,"  PrefixAllButMergedOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFirstTablePrefix" );
    Tcl_DStringAppendElement ( &dString, "GetFirstTablePrefix" );
    Tcl_DStringAppendElement ( &dString, "SetSecondTablePrefix" );
    Tcl_DStringAppendElement ( &dString, "GetSecondTablePrefix" );
    Tcl_DStringAppendElement ( &dString, "SetMergeColumnsByName" );
    Tcl_DStringAppendElement ( &dString, "GetMergeColumnsByName" );
    Tcl_DStringAppendElement ( &dString, "MergeColumnsByNameOn" );
    Tcl_DStringAppendElement ( &dString, "MergeColumnsByNameOff" );
    Tcl_DStringAppendElement ( &dString, "SetPrefixAllButMerged" );
    Tcl_DStringAppendElement ( &dString, "GetPrefixAllButMerged" );
    Tcl_DStringAppendElement ( &dString, "PrefixAllButMergedOn" );
    Tcl_DStringAppendElement ( &dString, "PrefixAllButMergedOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMergeTables *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFirstTablePrefix */
    if ( strcmp ( argv[2], "SetFirstTablePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFirstTablePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFirstTablePrefix */
    Tcl_DStringAppendElement ( &dString, " The prefix to give to same-named fields from the first table.\n Default is \"Table1.\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFirstTablePrefix (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for SetFirstTablePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFirstTablePrefix */
    if ( strcmp ( argv[2], "GetFirstTablePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFirstTablePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFirstTablePrefix */
    Tcl_DStringAppendElement ( &dString, " The prefix to give to same-named fields from the first table.\n Default is \"Table1.\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFirstTablePrefix ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for GetFirstTablePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSecondTablePrefix */
    if ( strcmp ( argv[2], "SetSecondTablePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSecondTablePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSecondTablePrefix */
    Tcl_DStringAppendElement ( &dString, " The prefix to give to same-named fields from the second table.\n Default is \"Table2.\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSecondTablePrefix (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for SetSecondTablePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSecondTablePrefix */
    if ( strcmp ( argv[2], "GetSecondTablePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSecondTablePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSecondTablePrefix */
    Tcl_DStringAppendElement ( &dString, " The prefix to give to same-named fields from the second table.\n Default is \"Table2.\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetSecondTablePrefix ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for GetSecondTablePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMergeColumnsByName */
    if ( strcmp ( argv[2], "SetMergeColumnsByName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMergeColumnsByName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMergeColumnsByName */
    Tcl_DStringAppendElement ( &dString, " If on, merges columns with the same name.\n If off, keeps both columns, but calls one\n FirstTablePrefix + name, and the other SecondTablePrefix + name.\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMergeColumnsByName (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for SetMergeColumnsByName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMergeColumnsByName */
    if ( strcmp ( argv[2], "GetMergeColumnsByName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMergeColumnsByName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMergeColumnsByName */
    Tcl_DStringAppendElement ( &dString, " If on, merges columns with the same name.\n If off, keeps both columns, but calls one\n FirstTablePrefix + name, and the other SecondTablePrefix + name.\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetMergeColumnsByName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for GetMergeColumnsByName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergeColumnsByNameOn */
    if ( strcmp ( argv[2], "MergeColumnsByNameOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergeColumnsByNameOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergeColumnsByNameOn */
    Tcl_DStringAppendElement ( &dString, " If on, merges columns with the same name.\n If off, keeps both columns, but calls one\n FirstTablePrefix + name, and the other SecondTablePrefix + name.\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void MergeColumnsByNameOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for MergeColumnsByNameOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergeColumnsByNameOff */
    if ( strcmp ( argv[2], "MergeColumnsByNameOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergeColumnsByNameOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergeColumnsByNameOff */
    Tcl_DStringAppendElement ( &dString, " If on, merges columns with the same name.\n If off, keeps both columns, but calls one\n FirstTablePrefix + name, and the other SecondTablePrefix + name.\n Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void MergeColumnsByNameOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for MergeColumnsByNameOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPrefixAllButMerged */
    if ( strcmp ( argv[2], "SetPrefixAllButMerged" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPrefixAllButMerged" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPrefixAllButMerged */
    Tcl_DStringAppendElement ( &dString, " If on, all columns will have prefixes except merged columns.\n If off, only unmerged columns with the same name will have prefixes.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPrefixAllButMerged (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for SetPrefixAllButMerged */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPrefixAllButMerged */
    if ( strcmp ( argv[2], "GetPrefixAllButMerged" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPrefixAllButMerged" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPrefixAllButMerged */
    Tcl_DStringAppendElement ( &dString, " If on, all columns will have prefixes except merged columns.\n If off, only unmerged columns with the same name will have prefixes.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPrefixAllButMerged ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for GetPrefixAllButMerged */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrefixAllButMergedOn */
    if ( strcmp ( argv[2], "PrefixAllButMergedOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrefixAllButMergedOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrefixAllButMergedOn */
    Tcl_DStringAppendElement ( &dString, " If on, all columns will have prefixes except merged columns.\n If off, only unmerged columns with the same name will have prefixes.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void PrefixAllButMergedOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for PrefixAllButMergedOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrefixAllButMergedOff */
    if ( strcmp ( argv[2], "PrefixAllButMergedOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrefixAllButMergedOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrefixAllButMergedOff */
    Tcl_DStringAppendElement ( &dString, " If on, all columns will have prefixes except merged columns.\n If off, only unmerged columns with the same name will have prefixes.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void PrefixAllButMergedOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMergeTables" );
    /* Closing for PrefixAllButMergedOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
