// python wrapper for vtkPruneTreeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPruneTreeFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPruneTreeFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPruneTreeFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkPruneTreeFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPruneTreeFilter *op;

  const char    *temp20;
  op = (vtkPruneTreeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPruneTreeFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPruneTreeFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPruneTreeFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPruneTreeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPruneTreeFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPruneTreeFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPruneTreeFilter *op;

  vtkPruneTreeFilter  *temp20;
  op = (vtkPruneTreeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPruneTreeFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPruneTreeFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPruneTreeFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPruneTreeFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPruneTreeFilter_GetParentVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPruneTreeFilter *op;

  vtkIdType   temp20;
  op = (vtkPruneTreeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPruneTreeFilter::GetParentVertex();
      }
    else
      {
      temp20 = op->GetParentVertex();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPruneTreeFilter_SetParentVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPruneTreeFilter *op;

  vtkIdType   temp0;
  op = (vtkPruneTreeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPruneTreeFilter::SetParentVertex(temp0);
      }
    else
      {
      op->SetParentVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPruneTreeFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPruneTreeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPruneTreeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPruneTreeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPruneTreeFilter\nC++: vtkPruneTreeFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPruneTreeFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPruneTreeFilter\nC++: vtkPruneTreeFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetParentVertex",                (PyCFunction)PyvtkPruneTreeFilter_GetParentVertex, 1,
   (char*)"V.GetParentVertex() -> int\nC++: vtkIdType GetParentVertex ();\n\n Set the parent vertex of the subtree to remove.\n"},
  {(char*)"SetParentVertex",                (PyCFunction)PyvtkPruneTreeFilter_SetParentVertex, 1,
   (char*)"V.SetParentVertex(int)\nC++: void SetParentVertex (vtkIdType );\n\n Set the parent vertex of the subtree to remove.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPruneTreeFilterDoc[] = {
  (char*)"vtkPruneTreeFilter - prune a subtree out of a vtkTree\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)" Removes a subtree rooted at a particular vertex in a vtkTree.\n\n\n",
  NULL
};

static vtkObjectBase *vtkPruneTreeFilterStaticNew()
{
  return vtkPruneTreeFilter::New();
}

PyObject *PyVTKClass_vtkPruneTreeFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPruneTreeFilterStaticNew,
                        PyvtkPruneTreeFilterMethods,
                        (char*)"vtkPruneTreeFilter",modulename,
                        (char**)vtkPruneTreeFilterDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

