// python wrapper for vtkRISReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRISReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRISReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRISReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkRISReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRISReader *op;

  const char    *temp20;
  op = (vtkRISReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRISReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRISReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRISReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkRISReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRISReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRISReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRISReader *op;

  vtkRISReader  *temp20;
  op = (vtkRISReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRISReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRISReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRISReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRISReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRISReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRISReader *op;

  char    *temp20;
  op = (vtkRISReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRISReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRISReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRISReader *op;

  char    *temp0;
  op = (vtkRISReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRISReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRISReader_GetDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRISReader *op;

  char    *temp20;
  op = (vtkRISReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRISReader::GetDelimiter();
      }
    else
      {
      temp20 = op->GetDelimiter();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRISReader_SetDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRISReader *op;

  char    *temp0;
  op = (vtkRISReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRISReader::SetDelimiter(temp0);
      }
    else
      {
      op->SetDelimiter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRISReader_GetMaxRecords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRISReader *op;

  int      temp20;
  op = (vtkRISReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRISReader::GetMaxRecords();
      }
    else
      {
      temp20 = op->GetMaxRecords();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRISReader_SetMaxRecords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRISReader *op;

  int      temp0;
  op = (vtkRISReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRISReader::SetMaxRecords(temp0);
      }
    else
      {
      op->SetMaxRecords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRISReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRISReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRISReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRISReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRISReader\nC++: vtkRISReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRISReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRISReader\nC++: vtkRISReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkRISReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set/get the file to load\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkRISReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set/get the file to load\n"},
  {(char*)"GetDelimiter",                (PyCFunction)PyvtkRISReader_GetDelimiter, 1,
   (char*)"V.GetDelimiter() -> string\nC++: char *GetDelimiter ();\n\n Set/get the delimiter to be used for concatenating field data (default: \";\")\n"},
  {(char*)"SetDelimiter",                (PyCFunction)PyvtkRISReader_SetDelimiter, 1,
   (char*)"V.SetDelimiter(string)\nC++: void SetDelimiter (char *);\n\n Set/get the delimiter to be used for concatenating field data (default: \";\")\n"},
  {(char*)"GetMaxRecords",                (PyCFunction)PyvtkRISReader_GetMaxRecords, 1,
   (char*)"V.GetMaxRecords() -> int\nC++: int GetMaxRecords ();\n\n Set/get the maximum number of records to read from the file (zero = unlimited)\n"},
  {(char*)"SetMaxRecords",                (PyCFunction)PyvtkRISReader_SetMaxRecords, 1,
   (char*)"V.SetMaxRecords(int)\nC++: void SetMaxRecords (int );\n\n Set/get the maximum number of records to read from the file (zero = unlimited)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRISReaderDoc[] = {
  (char*)"vtkRISReader - reader for RIS files\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" RIS is a tagged format for expressing bibliographic citations.  Data is\n structured as a collection of records with each record composed of\n one-to-many fields.  See\n\n http://en.wikipedia.org/wiki/RIS_(file_format)\n http://www.refman.com/support/risformat_intro.asp\n http://www.adeptscience.co.uk/kb/article/A626\n\n for details.  vtkRISReader will convert an RIS file into a vtkTable, with\n the set o",
  (char*)"f table columns determined dynamically from the contents of the\n file.\n\n",
  NULL
};

static vtkObjectBase *vtkRISReaderStaticNew()
{
  return vtkRISReader::New();
}

PyObject *PyVTKClass_vtkRISReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkRISReaderStaticNew,
                        PyvtkRISReaderMethods,
                        (char*)"vtkRISReader",modulename,
                        (char**)vtkRISReaderDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

