// python wrapper for vtkRandomGraphSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRandomGraphSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRandomGraphSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRandomGraphSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkRandomGraphSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  const char    *temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  vtkRandomGraphSource  *temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRandomGraphSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRandomGraphSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetNumberOfVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  int      temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetNumberOfVertices();
      }
    else
      {
      temp20 = op->GetNumberOfVertices();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_SetNumberOfVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  int      temp0;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::SetNumberOfVertices(temp0);
      }
    else
      {
      op->SetNumberOfVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetNumberOfVerticesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  int      temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetNumberOfVerticesMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfVerticesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetNumberOfVerticesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  int      temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetNumberOfVerticesMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfVerticesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  int      temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_SetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  int      temp0;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::SetNumberOfEdges(temp0);
      }
    else
      {
      op->SetNumberOfEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetNumberOfEdgesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  int      temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetNumberOfEdgesMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfEdgesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetNumberOfEdgesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  int      temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetNumberOfEdgesMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfEdgesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetEdgeProbability(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  double   temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetEdgeProbability();
      }
    else
      {
      temp20 = op->GetEdgeProbability();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_SetEdgeProbability(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  double   temp0;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::SetEdgeProbability(temp0);
      }
    else
      {
      op->SetEdgeProbability(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetEdgeProbabilityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  double   temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetEdgeProbabilityMinValue();
      }
    else
      {
      temp20 = op->GetEdgeProbabilityMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetEdgeProbabilityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  double   temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetEdgeProbabilityMaxValue();
      }
    else
      {
      temp20 = op->GetEdgeProbabilityMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_SetIncludeEdgeWeights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp0;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::SetIncludeEdgeWeights(temp0);
      }
    else
      {
      op->SetIncludeEdgeWeights(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetIncludeEdgeWeights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetIncludeEdgeWeights();
      }
    else
      {
      temp20 = op->GetIncludeEdgeWeights();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_IncludeEdgeWeightsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::IncludeEdgeWeightsOn();
      }
    else
      {
      op->IncludeEdgeWeightsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_IncludeEdgeWeightsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::IncludeEdgeWeightsOff();
      }
    else
      {
      op->IncludeEdgeWeightsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_SetDirected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp0;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::SetDirected(temp0);
      }
    else
      {
      op->SetDirected(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetDirected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetDirected();
      }
    else
      {
      temp20 = op->GetDirected();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_DirectedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::DirectedOn();
      }
    else
      {
      op->DirectedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_DirectedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::DirectedOff();
      }
    else
      {
      op->DirectedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_SetUseEdgeProbability(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp0;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::SetUseEdgeProbability(temp0);
      }
    else
      {
      op->SetUseEdgeProbability(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetUseEdgeProbability(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetUseEdgeProbability();
      }
    else
      {
      temp20 = op->GetUseEdgeProbability();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_UseEdgeProbabilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::UseEdgeProbabilityOn();
      }
    else
      {
      op->UseEdgeProbabilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_UseEdgeProbabilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::UseEdgeProbabilityOff();
      }
    else
      {
      op->UseEdgeProbabilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_SetStartWithTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp0;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::SetStartWithTree(temp0);
      }
    else
      {
      op->SetStartWithTree(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetStartWithTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetStartWithTree();
      }
    else
      {
      temp20 = op->GetStartWithTree();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_StartWithTreeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::StartWithTreeOn();
      }
    else
      {
      op->StartWithTreeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_StartWithTreeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::StartWithTreeOff();
      }
    else
      {
      op->StartWithTreeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_SetAllowSelfLoops(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp0;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::SetAllowSelfLoops(temp0);
      }
    else
      {
      op->SetAllowSelfLoops(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetAllowSelfLoops(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetAllowSelfLoops();
      }
    else
      {
      temp20 = op->GetAllowSelfLoops();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_AllowSelfLoopsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::AllowSelfLoopsOn();
      }
    else
      {
      op->AllowSelfLoopsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_AllowSelfLoopsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::AllowSelfLoopsOff();
      }
    else
      {
      op->AllowSelfLoopsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_SetAllowParallelEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp0;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::SetAllowParallelEdges(temp0);
      }
    else
      {
      op->SetAllowParallelEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_GetAllowParallelEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  bool   temp20;
  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomGraphSource::GetAllowParallelEdges();
      }
    else
      {
      temp20 = op->GetAllowParallelEdges();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_AllowParallelEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::AllowParallelEdgesOn();
      }
    else
      {
      op->AllowParallelEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomGraphSource_AllowParallelEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomGraphSource::AllowParallelEdgesOff();
      }
    else
      {
      op->AllowParallelEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRandomGraphSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRandomGraphSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRandomGraphSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRandomGraphSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRandomGraphSource\nC++: vtkRandomGraphSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRandomGraphSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRandomGraphSource\nC++: vtkRandomGraphSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfVertices",                (PyCFunction)PyvtkRandomGraphSource_GetNumberOfVertices, 1,
   (char*)"V.GetNumberOfVertices() -> int\nC++: int GetNumberOfVertices ();\n\n The number of vertices in the graph.\n"},
  {(char*)"SetNumberOfVertices",                (PyCFunction)PyvtkRandomGraphSource_SetNumberOfVertices, 1,
   (char*)"V.SetNumberOfVertices(int)\nC++: void SetNumberOfVertices (int );\n\n The number of vertices in the graph.\n"},
  {(char*)"GetNumberOfVerticesMinValue",                (PyCFunction)PyvtkRandomGraphSource_GetNumberOfVerticesMinValue, 1,
   (char*)"V.GetNumberOfVerticesMinValue() -> int\nC++: int GetNumberOfVerticesMinValue ();\n\n The number of vertices in the graph.\n"},
  {(char*)"GetNumberOfVerticesMaxValue",                (PyCFunction)PyvtkRandomGraphSource_GetNumberOfVerticesMaxValue, 1,
   (char*)"V.GetNumberOfVerticesMaxValue() -> int\nC++: int GetNumberOfVerticesMaxValue ();\n\n The number of vertices in the graph.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkRandomGraphSource_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: int GetNumberOfEdges ();\n\n If UseEdgeProbability is off, creates a graph with the specified number\n of edges.  Duplicate (parallel) edges are allowed.\n"},
  {(char*)"SetNumberOfEdges",                (PyCFunction)PyvtkRandomGraphSource_SetNumberOfEdges, 1,
   (char*)"V.SetNumberOfEdges(int)\nC++: void SetNumberOfEdges (int );\n\n If UseEdgeProbability is off, creates a graph with the specified number\n of edges.  Duplicate (parallel) edges are allowed.\n"},
  {(char*)"GetNumberOfEdgesMinValue",                (PyCFunction)PyvtkRandomGraphSource_GetNumberOfEdgesMinValue, 1,
   (char*)"V.GetNumberOfEdgesMinValue() -> int\nC++: int GetNumberOfEdgesMinValue ();\n\n If UseEdgeProbability is off, creates a graph with the specified number\n of edges.  Duplicate (parallel) edges are allowed.\n"},
  {(char*)"GetNumberOfEdgesMaxValue",                (PyCFunction)PyvtkRandomGraphSource_GetNumberOfEdgesMaxValue, 1,
   (char*)"V.GetNumberOfEdgesMaxValue() -> int\nC++: int GetNumberOfEdgesMaxValue ();\n\n If UseEdgeProbability is off, creates a graph with the specified number\n of edges.  Duplicate (parallel) edges are allowed.\n"},
  {(char*)"GetEdgeProbability",                (PyCFunction)PyvtkRandomGraphSource_GetEdgeProbability, 1,
   (char*)"V.GetEdgeProbability() -> float\nC++: double GetEdgeProbability ();\n\n If UseEdgeProbability is on, adds an edge with this probability between 0 and 1\n for each pair of vertices in the graph.\n"},
  {(char*)"SetEdgeProbability",                (PyCFunction)PyvtkRandomGraphSource_SetEdgeProbability, 1,
   (char*)"V.SetEdgeProbability(float)\nC++: void SetEdgeProbability (double );\n\n If UseEdgeProbability is on, adds an edge with this probability between 0 and 1\n for each pair of vertices in the graph.\n"},
  {(char*)"GetEdgeProbabilityMinValue",                (PyCFunction)PyvtkRandomGraphSource_GetEdgeProbabilityMinValue, 1,
   (char*)"V.GetEdgeProbabilityMinValue() -> float\nC++: double GetEdgeProbabilityMinValue ();\n\n If UseEdgeProbability is on, adds an edge with this probability between 0 and 1\n for each pair of vertices in the graph.\n"},
  {(char*)"GetEdgeProbabilityMaxValue",                (PyCFunction)PyvtkRandomGraphSource_GetEdgeProbabilityMaxValue, 1,
   (char*)"V.GetEdgeProbabilityMaxValue() -> float\nC++: double GetEdgeProbabilityMaxValue ();\n\n If UseEdgeProbability is on, adds an edge with this probability between 0 and 1\n for each pair of vertices in the graph.\n"},
  {(char*)"SetIncludeEdgeWeights",                (PyCFunction)PyvtkRandomGraphSource_SetIncludeEdgeWeights, 1,
   (char*)"V.SetIncludeEdgeWeights(bool)\nC++: void SetIncludeEdgeWeights (bool );\n\n When set, includes edge weights in an array named \"edge_weights\".\n Defaults to off.  Weights are random between 0 and 1.\n"},
  {(char*)"GetIncludeEdgeWeights",                (PyCFunction)PyvtkRandomGraphSource_GetIncludeEdgeWeights, 1,
   (char*)"V.GetIncludeEdgeWeights() -> bool\nC++: bool GetIncludeEdgeWeights ();\n\n When set, includes edge weights in an array named \"edge_weights\".\n Defaults to off.  Weights are random between 0 and 1.\n"},
  {(char*)"IncludeEdgeWeightsOn",                (PyCFunction)PyvtkRandomGraphSource_IncludeEdgeWeightsOn, 1,
   (char*)"V.IncludeEdgeWeightsOn()\nC++: void IncludeEdgeWeightsOn ();\n\n When set, includes edge weights in an array named \"edge_weights\".\n Defaults to off.  Weights are random between 0 and 1.\n"},
  {(char*)"IncludeEdgeWeightsOff",                (PyCFunction)PyvtkRandomGraphSource_IncludeEdgeWeightsOff, 1,
   (char*)"V.IncludeEdgeWeightsOff()\nC++: void IncludeEdgeWeightsOff ();\n\n When set, includes edge weights in an array named \"edge_weights\".\n Defaults to off.  Weights are random between 0 and 1.\n"},
  {(char*)"SetDirected",                (PyCFunction)PyvtkRandomGraphSource_SetDirected, 1,
   (char*)"V.SetDirected(bool)\nC++: void SetDirected (bool );\n\n When set, creates a directed graph, as opposed to an undirected graph.\n"},
  {(char*)"GetDirected",                (PyCFunction)PyvtkRandomGraphSource_GetDirected, 1,
   (char*)"V.GetDirected() -> bool\nC++: bool GetDirected ();\n\n When set, creates a directed graph, as opposed to an undirected graph.\n"},
  {(char*)"DirectedOn",                (PyCFunction)PyvtkRandomGraphSource_DirectedOn, 1,
   (char*)"V.DirectedOn()\nC++: void DirectedOn ();\n\n When set, creates a directed graph, as opposed to an undirected graph.\n"},
  {(char*)"DirectedOff",                (PyCFunction)PyvtkRandomGraphSource_DirectedOff, 1,
   (char*)"V.DirectedOff()\nC++: void DirectedOff ();\n\n When set, creates a directed graph, as opposed to an undirected graph.\n"},
  {(char*)"SetUseEdgeProbability",                (PyCFunction)PyvtkRandomGraphSource_SetUseEdgeProbability, 1,
   (char*)"V.SetUseEdgeProbability(bool)\nC++: void SetUseEdgeProbability (bool );\n\n When set, uses the EdgeProbability parameter to determine the density\n of edges.  Otherwise, NumberOfEdges is used.\n"},
  {(char*)"GetUseEdgeProbability",                (PyCFunction)PyvtkRandomGraphSource_GetUseEdgeProbability, 1,
   (char*)"V.GetUseEdgeProbability() -> bool\nC++: bool GetUseEdgeProbability ();\n\n When set, uses the EdgeProbability parameter to determine the density\n of edges.  Otherwise, NumberOfEdges is used.\n"},
  {(char*)"UseEdgeProbabilityOn",                (PyCFunction)PyvtkRandomGraphSource_UseEdgeProbabilityOn, 1,
   (char*)"V.UseEdgeProbabilityOn()\nC++: void UseEdgeProbabilityOn ();\n\n When set, uses the EdgeProbability parameter to determine the density\n of edges.  Otherwise, NumberOfEdges is used.\n"},
  {(char*)"UseEdgeProbabilityOff",                (PyCFunction)PyvtkRandomGraphSource_UseEdgeProbabilityOff, 1,
   (char*)"V.UseEdgeProbabilityOff()\nC++: void UseEdgeProbabilityOff ();\n\n When set, uses the EdgeProbability parameter to determine the density\n of edges.  Otherwise, NumberOfEdges is used.\n"},
  {(char*)"SetStartWithTree",                (PyCFunction)PyvtkRandomGraphSource_SetStartWithTree, 1,
   (char*)"V.SetStartWithTree(bool)\nC++: void SetStartWithTree (bool );\n\n When set, builds a random tree structure first, then adds additional\n random edges.\n"},
  {(char*)"GetStartWithTree",                (PyCFunction)PyvtkRandomGraphSource_GetStartWithTree, 1,
   (char*)"V.GetStartWithTree() -> bool\nC++: bool GetStartWithTree ();\n\n When set, builds a random tree structure first, then adds additional\n random edges.\n"},
  {(char*)"StartWithTreeOn",                (PyCFunction)PyvtkRandomGraphSource_StartWithTreeOn, 1,
   (char*)"V.StartWithTreeOn()\nC++: void StartWithTreeOn ();\n\n When set, builds a random tree structure first, then adds additional\n random edges.\n"},
  {(char*)"StartWithTreeOff",                (PyCFunction)PyvtkRandomGraphSource_StartWithTreeOff, 1,
   (char*)"V.StartWithTreeOff()\nC++: void StartWithTreeOff ();\n\n When set, builds a random tree structure first, then adds additional\n random edges.\n"},
  {(char*)"SetAllowSelfLoops",                (PyCFunction)PyvtkRandomGraphSource_SetAllowSelfLoops, 1,
   (char*)"V.SetAllowSelfLoops(bool)\nC++: void SetAllowSelfLoops (bool );\n\n If this flag is set to true, edges where the source and target\n vertex are the same can be generated.  The default is to forbid\n such loops.\n"},
  {(char*)"GetAllowSelfLoops",                (PyCFunction)PyvtkRandomGraphSource_GetAllowSelfLoops, 1,
   (char*)"V.GetAllowSelfLoops() -> bool\nC++: bool GetAllowSelfLoops ();\n\n If this flag is set to true, edges where the source and target\n vertex are the same can be generated.  The default is to forbid\n such loops.\n"},
  {(char*)"AllowSelfLoopsOn",                (PyCFunction)PyvtkRandomGraphSource_AllowSelfLoopsOn, 1,
   (char*)"V.AllowSelfLoopsOn()\nC++: void AllowSelfLoopsOn ();\n\n If this flag is set to true, edges where the source and target\n vertex are the same can be generated.  The default is to forbid\n such loops.\n"},
  {(char*)"AllowSelfLoopsOff",                (PyCFunction)PyvtkRandomGraphSource_AllowSelfLoopsOff, 1,
   (char*)"V.AllowSelfLoopsOff()\nC++: void AllowSelfLoopsOff ();\n\n If this flag is set to true, edges where the source and target\n vertex are the same can be generated.  The default is to forbid\n such loops.\n"},
  {(char*)"SetAllowParallelEdges",                (PyCFunction)PyvtkRandomGraphSource_SetAllowParallelEdges, 1,
   (char*)"V.SetAllowParallelEdges(bool)\nC++: void SetAllowParallelEdges (bool );\n\n When set, multiple edges from a source to a target vertex are\n allowed. The default is to forbid such loops.\n"},
  {(char*)"GetAllowParallelEdges",                (PyCFunction)PyvtkRandomGraphSource_GetAllowParallelEdges, 1,
   (char*)"V.GetAllowParallelEdges() -> bool\nC++: bool GetAllowParallelEdges ();\n\n When set, multiple edges from a source to a target vertex are\n allowed. The default is to forbid such loops.\n"},
  {(char*)"AllowParallelEdgesOn",                (PyCFunction)PyvtkRandomGraphSource_AllowParallelEdgesOn, 1,
   (char*)"V.AllowParallelEdgesOn()\nC++: void AllowParallelEdgesOn ();\n\n When set, multiple edges from a source to a target vertex are\n allowed. The default is to forbid such loops.\n"},
  {(char*)"AllowParallelEdgesOff",                (PyCFunction)PyvtkRandomGraphSource_AllowParallelEdgesOff, 1,
   (char*)"V.AllowParallelEdgesOff()\nC++: void AllowParallelEdgesOff ();\n\n When set, multiple edges from a source to a target vertex are\n allowed. The default is to forbid such loops.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRandomGraphSourceDoc[] = {
  (char*)"vtkRandomGraphSource - a graph with random edges\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" Generates a graph with a specified number of vertices, with the density of\n edges specified by either an exact number of edges or the probability of\n an edge.  You may additionally specify whether to begin with a random\n tree (which enforces graph connectivity).\n\n\n",
  NULL
};

static vtkObjectBase *vtkRandomGraphSourceStaticNew()
{
  return vtkRandomGraphSource::New();
}

PyObject *PyVTKClass_vtkRandomGraphSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkRandomGraphSourceStaticNew,
                        PyvtkRandomGraphSourceMethods,
                        (char*)"vtkRandomGraphSource",modulename,
                        (char**)vtkRandomGraphSourceDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

