// tcl wrapper for vtkRandomGraphSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRandomGraphSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRandomGraphSourceNewCommand()
{
  vtkRandomGraphSource *temp = vtkRandomGraphSource::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphAlgorithmCppCommand(vtkGraphAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRandomGraphSourceCppCommand(vtkRandomGraphSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRandomGraphSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRandomGraphSourceCppCommand(static_cast<vtkRandomGraphSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRandomGraphSourceCppCommand(vtkRandomGraphSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRandomGraphSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRandomGraphSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRandomGraphSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRandomGraphSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRandomGraphSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRandomGraphSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRandomGraphSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfVertices",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfVertices",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfVerticesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVerticesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVerticesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVerticesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfEdges",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfEdges",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEdgesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdgesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfEdgesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdgesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeProbability",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEdgeProbability();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeProbability",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEdgeProbability(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeProbabilityMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEdgeProbabilityMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeProbabilityMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEdgeProbabilityMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIncludeEdgeWeights",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetIncludeEdgeWeights(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIncludeEdgeWeights",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetIncludeEdgeWeights();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IncludeEdgeWeightsOn",argv[1]))&&(argc == 2))
    {
    op->IncludeEdgeWeightsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IncludeEdgeWeightsOff",argv[1]))&&(argc == 2))
    {
    op->IncludeEdgeWeightsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDirected",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDirected(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirected",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDirected();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DirectedOn",argv[1]))&&(argc == 2))
    {
    op->DirectedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DirectedOff",argv[1]))&&(argc == 2))
    {
    op->DirectedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseEdgeProbability",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseEdgeProbability(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseEdgeProbability",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseEdgeProbability();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseEdgeProbabilityOn",argv[1]))&&(argc == 2))
    {
    op->UseEdgeProbabilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseEdgeProbabilityOff",argv[1]))&&(argc == 2))
    {
    op->UseEdgeProbabilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStartWithTree",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetStartWithTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartWithTree",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetStartWithTree();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StartWithTreeOn",argv[1]))&&(argc == 2))
    {
    op->StartWithTreeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartWithTreeOff",argv[1]))&&(argc == 2))
    {
    op->StartWithTreeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAllowSelfLoops",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAllowSelfLoops(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllowSelfLoops",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAllowSelfLoops();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllowSelfLoopsOn",argv[1]))&&(argc == 2))
    {
    op->AllowSelfLoopsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllowSelfLoopsOff",argv[1]))&&(argc == 2))
    {
    op->AllowSelfLoopsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAllowParallelEdges",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAllowParallelEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllowParallelEdges",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAllowParallelEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllowParallelEdgesOn",argv[1]))&&(argc == 2))
    {
    op->AllowParallelEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllowParallelEdgesOff",argv[1]))&&(argc == 2))
    {
    op->AllowParallelEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRandomGraphSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRandomGraphSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVertices\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVerticesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVerticesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdges\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdgesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdgesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeProbability\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeProbability\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeProbabilityMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeProbabilityMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetIncludeEdgeWeights\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIncludeEdgeWeights\n",NULL);
    Tcl_AppendResult(interp,"  IncludeEdgeWeightsOn\n",NULL);
    Tcl_AppendResult(interp,"  IncludeEdgeWeightsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDirected\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDirected\n",NULL);
    Tcl_AppendResult(interp,"  DirectedOn\n",NULL);
    Tcl_AppendResult(interp,"  DirectedOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseEdgeProbability\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseEdgeProbability\n",NULL);
    Tcl_AppendResult(interp,"  UseEdgeProbabilityOn\n",NULL);
    Tcl_AppendResult(interp,"  UseEdgeProbabilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetStartWithTree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStartWithTree\n",NULL);
    Tcl_AppendResult(interp,"  StartWithTreeOn\n",NULL);
    Tcl_AppendResult(interp,"  StartWithTreeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAllowSelfLoops\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllowSelfLoops\n",NULL);
    Tcl_AppendResult(interp,"  AllowSelfLoopsOn\n",NULL);
    Tcl_AppendResult(interp,"  AllowSelfLoopsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAllowParallelEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllowParallelEdges\n",NULL);
    Tcl_AppendResult(interp,"  AllowParallelEdgesOn\n",NULL);
    Tcl_AppendResult(interp,"  AllowParallelEdgesOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertices" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfVertices" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVerticesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVerticesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfEdges" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeProbability" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeProbability" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeProbabilityMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeProbabilityMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetIncludeEdgeWeights" );
    Tcl_DStringAppendElement ( &dString, "GetIncludeEdgeWeights" );
    Tcl_DStringAppendElement ( &dString, "IncludeEdgeWeightsOn" );
    Tcl_DStringAppendElement ( &dString, "IncludeEdgeWeightsOff" );
    Tcl_DStringAppendElement ( &dString, "SetDirected" );
    Tcl_DStringAppendElement ( &dString, "GetDirected" );
    Tcl_DStringAppendElement ( &dString, "DirectedOn" );
    Tcl_DStringAppendElement ( &dString, "DirectedOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseEdgeProbability" );
    Tcl_DStringAppendElement ( &dString, "GetUseEdgeProbability" );
    Tcl_DStringAppendElement ( &dString, "UseEdgeProbabilityOn" );
    Tcl_DStringAppendElement ( &dString, "UseEdgeProbabilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetStartWithTree" );
    Tcl_DStringAppendElement ( &dString, "GetStartWithTree" );
    Tcl_DStringAppendElement ( &dString, "StartWithTreeOn" );
    Tcl_DStringAppendElement ( &dString, "StartWithTreeOff" );
    Tcl_DStringAppendElement ( &dString, "SetAllowSelfLoops" );
    Tcl_DStringAppendElement ( &dString, "GetAllowSelfLoops" );
    Tcl_DStringAppendElement ( &dString, "AllowSelfLoopsOn" );
    Tcl_DStringAppendElement ( &dString, "AllowSelfLoopsOff" );
    Tcl_DStringAppendElement ( &dString, "SetAllowParallelEdges" );
    Tcl_DStringAppendElement ( &dString, "GetAllowParallelEdges" );
    Tcl_DStringAppendElement ( &dString, "AllowParallelEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "AllowParallelEdgesOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRandomGraphSource *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVertices */
    if ( strcmp ( argv[2], "GetNumberOfVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVertices */
    Tcl_DStringAppendElement ( &dString, " The number of vertices in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVertices ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetNumberOfVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfVertices */
    if ( strcmp ( argv[2], "SetNumberOfVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfVertices */
    Tcl_DStringAppendElement ( &dString, " The number of vertices in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfVertices (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for SetNumberOfVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVerticesMinValue */
    if ( strcmp ( argv[2], "GetNumberOfVerticesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVerticesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVerticesMinValue */
    Tcl_DStringAppendElement ( &dString, " The number of vertices in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVerticesMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetNumberOfVerticesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVerticesMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfVerticesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVerticesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVerticesMaxValue */
    Tcl_DStringAppendElement ( &dString, " The number of vertices in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVerticesMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetNumberOfVerticesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdges */
    if ( strcmp ( argv[2], "GetNumberOfEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdges */
    Tcl_DStringAppendElement ( &dString, " If UseEdgeProbability is off, creates a graph with the specified number\n of edges.  Duplicate (parallel) edges are allowed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdges ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetNumberOfEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfEdges */
    if ( strcmp ( argv[2], "SetNumberOfEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfEdges */
    Tcl_DStringAppendElement ( &dString, " If UseEdgeProbability is off, creates a graph with the specified number\n of edges.  Duplicate (parallel) edges are allowed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfEdges (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for SetNumberOfEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdgesMinValue */
    if ( strcmp ( argv[2], "GetNumberOfEdgesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdgesMinValue */
    Tcl_DStringAppendElement ( &dString, " If UseEdgeProbability is off, creates a graph with the specified number\n of edges.  Duplicate (parallel) edges are allowed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdgesMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetNumberOfEdgesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdgesMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfEdgesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdgesMaxValue */
    Tcl_DStringAppendElement ( &dString, " If UseEdgeProbability is off, creates a graph with the specified number\n of edges.  Duplicate (parallel) edges are allowed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdgesMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetNumberOfEdgesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeProbability */
    if ( strcmp ( argv[2], "GetEdgeProbability" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeProbability" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeProbability */
    Tcl_DStringAppendElement ( &dString, " If UseEdgeProbability is on, adds an edge with this probability between 0 and 1\n for each pair of vertices in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEdgeProbability ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetEdgeProbability */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeProbability */
    if ( strcmp ( argv[2], "SetEdgeProbability" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeProbability" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeProbability */
    Tcl_DStringAppendElement ( &dString, " If UseEdgeProbability is on, adds an edge with this probability between 0 and 1\n for each pair of vertices in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeProbability (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for SetEdgeProbability */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeProbabilityMinValue */
    if ( strcmp ( argv[2], "GetEdgeProbabilityMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeProbabilityMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeProbabilityMinValue */
    Tcl_DStringAppendElement ( &dString, " If UseEdgeProbability is on, adds an edge with this probability between 0 and 1\n for each pair of vertices in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEdgeProbabilityMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetEdgeProbabilityMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeProbabilityMaxValue */
    if ( strcmp ( argv[2], "GetEdgeProbabilityMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeProbabilityMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeProbabilityMaxValue */
    Tcl_DStringAppendElement ( &dString, " If UseEdgeProbability is on, adds an edge with this probability between 0 and 1\n for each pair of vertices in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEdgeProbabilityMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetEdgeProbabilityMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIncludeEdgeWeights */
    if ( strcmp ( argv[2], "SetIncludeEdgeWeights" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIncludeEdgeWeights" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIncludeEdgeWeights */
    Tcl_DStringAppendElement ( &dString, " When set, includes edge weights in an array named \"edge_weights\".\n Defaults to off.  Weights are random between 0 and 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIncludeEdgeWeights (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for SetIncludeEdgeWeights */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIncludeEdgeWeights */
    if ( strcmp ( argv[2], "GetIncludeEdgeWeights" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIncludeEdgeWeights" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIncludeEdgeWeights */
    Tcl_DStringAppendElement ( &dString, " When set, includes edge weights in an array named \"edge_weights\".\n Defaults to off.  Weights are random between 0 and 1.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetIncludeEdgeWeights ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetIncludeEdgeWeights */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncludeEdgeWeightsOn */
    if ( strcmp ( argv[2], "IncludeEdgeWeightsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncludeEdgeWeightsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncludeEdgeWeightsOn */
    Tcl_DStringAppendElement ( &dString, " When set, includes edge weights in an array named \"edge_weights\".\n Defaults to off.  Weights are random between 0 and 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void IncludeEdgeWeightsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for IncludeEdgeWeightsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncludeEdgeWeightsOff */
    if ( strcmp ( argv[2], "IncludeEdgeWeightsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncludeEdgeWeightsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncludeEdgeWeightsOff */
    Tcl_DStringAppendElement ( &dString, " When set, includes edge weights in an array named \"edge_weights\".\n Defaults to off.  Weights are random between 0 and 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void IncludeEdgeWeightsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for IncludeEdgeWeightsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirected */
    if ( strcmp ( argv[2], "SetDirected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirected */
    Tcl_DStringAppendElement ( &dString, " When set, creates a directed graph, as opposed to an undirected graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirected (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for SetDirected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirected */
    if ( strcmp ( argv[2], "GetDirected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirected */
    Tcl_DStringAppendElement ( &dString, " When set, creates a directed graph, as opposed to an undirected graph.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDirected ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetDirected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DirectedOn */
    if ( strcmp ( argv[2], "DirectedOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DirectedOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DirectedOn */
    Tcl_DStringAppendElement ( &dString, " When set, creates a directed graph, as opposed to an undirected graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void DirectedOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for DirectedOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DirectedOff */
    if ( strcmp ( argv[2], "DirectedOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DirectedOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DirectedOff */
    Tcl_DStringAppendElement ( &dString, " When set, creates a directed graph, as opposed to an undirected graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void DirectedOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for DirectedOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseEdgeProbability */
    if ( strcmp ( argv[2], "SetUseEdgeProbability" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseEdgeProbability" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseEdgeProbability */
    Tcl_DStringAppendElement ( &dString, " When set, uses the EdgeProbability parameter to determine the density\n of edges.  Otherwise, NumberOfEdges is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseEdgeProbability (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for SetUseEdgeProbability */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseEdgeProbability */
    if ( strcmp ( argv[2], "GetUseEdgeProbability" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseEdgeProbability" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseEdgeProbability */
    Tcl_DStringAppendElement ( &dString, " When set, uses the EdgeProbability parameter to determine the density\n of edges.  Otherwise, NumberOfEdges is used.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseEdgeProbability ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetUseEdgeProbability */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseEdgeProbabilityOn */
    if ( strcmp ( argv[2], "UseEdgeProbabilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseEdgeProbabilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseEdgeProbabilityOn */
    Tcl_DStringAppendElement ( &dString, " When set, uses the EdgeProbability parameter to determine the density\n of edges.  Otherwise, NumberOfEdges is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseEdgeProbabilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for UseEdgeProbabilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseEdgeProbabilityOff */
    if ( strcmp ( argv[2], "UseEdgeProbabilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseEdgeProbabilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseEdgeProbabilityOff */
    Tcl_DStringAppendElement ( &dString, " When set, uses the EdgeProbability parameter to determine the density\n of edges.  Otherwise, NumberOfEdges is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseEdgeProbabilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for UseEdgeProbabilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartWithTree */
    if ( strcmp ( argv[2], "SetStartWithTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartWithTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartWithTree */
    Tcl_DStringAppendElement ( &dString, " When set, builds a random tree structure first, then adds additional\n random edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartWithTree (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for SetStartWithTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartWithTree */
    if ( strcmp ( argv[2], "GetStartWithTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartWithTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartWithTree */
    Tcl_DStringAppendElement ( &dString, " When set, builds a random tree structure first, then adds additional\n random edges.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetStartWithTree ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetStartWithTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWithTreeOn */
    if ( strcmp ( argv[2], "StartWithTreeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWithTreeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWithTreeOn */
    Tcl_DStringAppendElement ( &dString, " When set, builds a random tree structure first, then adds additional\n random edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void StartWithTreeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for StartWithTreeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWithTreeOff */
    if ( strcmp ( argv[2], "StartWithTreeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWithTreeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWithTreeOff */
    Tcl_DStringAppendElement ( &dString, " When set, builds a random tree structure first, then adds additional\n random edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void StartWithTreeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for StartWithTreeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllowSelfLoops */
    if ( strcmp ( argv[2], "SetAllowSelfLoops" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllowSelfLoops" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllowSelfLoops */
    Tcl_DStringAppendElement ( &dString, " If this flag is set to true, edges where the source and target\n vertex are the same can be generated.  The default is to forbid\n such loops.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllowSelfLoops (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for SetAllowSelfLoops */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllowSelfLoops */
    if ( strcmp ( argv[2], "GetAllowSelfLoops" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllowSelfLoops" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllowSelfLoops */
    Tcl_DStringAppendElement ( &dString, " If this flag is set to true, edges where the source and target\n vertex are the same can be generated.  The default is to forbid\n such loops.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetAllowSelfLoops ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetAllowSelfLoops */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowSelfLoopsOn */
    if ( strcmp ( argv[2], "AllowSelfLoopsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowSelfLoopsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowSelfLoopsOn */
    Tcl_DStringAppendElement ( &dString, " If this flag is set to true, edges where the source and target\n vertex are the same can be generated.  The default is to forbid\n such loops.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowSelfLoopsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for AllowSelfLoopsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowSelfLoopsOff */
    if ( strcmp ( argv[2], "AllowSelfLoopsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowSelfLoopsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowSelfLoopsOff */
    Tcl_DStringAppendElement ( &dString, " If this flag is set to true, edges where the source and target\n vertex are the same can be generated.  The default is to forbid\n such loops.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowSelfLoopsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for AllowSelfLoopsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllowParallelEdges */
    if ( strcmp ( argv[2], "SetAllowParallelEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllowParallelEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllowParallelEdges */
    Tcl_DStringAppendElement ( &dString, " When set, multiple edges from a source to a target vertex are\n allowed. The default is to forbid such loops.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllowParallelEdges (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for SetAllowParallelEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllowParallelEdges */
    if ( strcmp ( argv[2], "GetAllowParallelEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllowParallelEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllowParallelEdges */
    Tcl_DStringAppendElement ( &dString, " When set, multiple edges from a source to a target vertex are\n allowed. The default is to forbid such loops.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetAllowParallelEdges ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for GetAllowParallelEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowParallelEdgesOn */
    if ( strcmp ( argv[2], "AllowParallelEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowParallelEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowParallelEdgesOn */
    Tcl_DStringAppendElement ( &dString, " When set, multiple edges from a source to a target vertex are\n allowed. The default is to forbid such loops.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowParallelEdgesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for AllowParallelEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowParallelEdgesOff */
    if ( strcmp ( argv[2], "AllowParallelEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowParallelEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowParallelEdgesOff */
    Tcl_DStringAppendElement ( &dString, " When set, multiple edges from a source to a target vertex are\n allowed. The default is to forbid such loops.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowParallelEdgesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomGraphSource" );
    /* Closing for AllowParallelEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
