// python wrapper for vtkRandomLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRandomLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRandomLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRandomLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkRandomLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  const char    *temp20;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  vtkRandomLayoutStrategy  *temp20;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRandomLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRandomLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_SetRandomSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  int      temp0;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomLayoutStrategy::SetRandomSeed(temp0);
      }
    else
      {
      op->SetRandomSeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_GetRandomSeedMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  int      temp20;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomLayoutStrategy::GetRandomSeedMinValue();
      }
    else
      {
      temp20 = op->GetRandomSeedMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_GetRandomSeedMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  int      temp20;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomLayoutStrategy::GetRandomSeedMaxValue();
      }
    else
      {
      temp20 = op->GetRandomSeedMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_GetRandomSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  int      temp20;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomLayoutStrategy::GetRandomSeed();
      }
    else
      {
      temp20 = op->GetRandomSeed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_SetGraphBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomLayoutStrategy::SetGraphBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetGraphBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomLayoutStrategy::SetGraphBounds(temp0);
      }
    else
      {
      op->SetGraphBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_GetGraphBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  double  *temp20;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomLayoutStrategy::GetGraphBounds();
      }
    else
      {
      temp20 = op->GetGraphBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_SetAutomaticBoundsComputation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  int      temp0;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomLayoutStrategy::SetAutomaticBoundsComputation(temp0);
      }
    else
      {
      op->SetAutomaticBoundsComputation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_GetAutomaticBoundsComputation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  int      temp20;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomLayoutStrategy::GetAutomaticBoundsComputation();
      }
    else
      {
      temp20 = op->GetAutomaticBoundsComputation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_AutomaticBoundsComputationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomLayoutStrategy::AutomaticBoundsComputationOn();
      }
    else
      {
      op->AutomaticBoundsComputationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_AutomaticBoundsComputationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomLayoutStrategy::AutomaticBoundsComputationOff();
      }
    else
      {
      op->AutomaticBoundsComputationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_SetThreeDimensionalLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  int      temp0;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomLayoutStrategy::SetThreeDimensionalLayout(temp0);
      }
    else
      {
      op->SetThreeDimensionalLayout(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_GetThreeDimensionalLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  int      temp20;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRandomLayoutStrategy::GetThreeDimensionalLayout();
      }
    else
      {
      temp20 = op->GetThreeDimensionalLayout();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_ThreeDimensionalLayoutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomLayoutStrategy::ThreeDimensionalLayoutOn();
      }
    else
      {
      op->ThreeDimensionalLayoutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_ThreeDimensionalLayoutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomLayoutStrategy::ThreeDimensionalLayoutOff();
      }
    else
      {
      op->ThreeDimensionalLayoutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_SetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomLayoutStrategy::SetGraph(temp0);
      }
    else
      {
      op->SetGraph(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkRandomLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRandomLayoutStrategy *op;

  op = (vtkRandomLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRandomLayoutStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRandomLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRandomLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRandomLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRandomLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRandomLayoutStrategy\nC++: vtkRandomLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRandomLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRandomLayoutStrategy\nC++: vtkRandomLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRandomSeed",                (PyCFunction)PyvtkRandomLayoutStrategy_SetRandomSeed, 1,
   (char*)"V.SetRandomSeed(int)\nC++: void SetRandomSeed (int );\n\n Seed the random number generator used to compute point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeedMinValue",                (PyCFunction)PyvtkRandomLayoutStrategy_GetRandomSeedMinValue, 1,
   (char*)"V.GetRandomSeedMinValue() -> int\nC++: int GetRandomSeedMinValue ();\n\n Seed the random number generator used to compute point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeedMaxValue",                (PyCFunction)PyvtkRandomLayoutStrategy_GetRandomSeedMaxValue, 1,
   (char*)"V.GetRandomSeedMaxValue() -> int\nC++: int GetRandomSeedMaxValue ();\n\n Seed the random number generator used to compute point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeed",                (PyCFunction)PyvtkRandomLayoutStrategy_GetRandomSeed, 1,
   (char*)"V.GetRandomSeed() -> int\nC++: int GetRandomSeed ();\n\n Seed the random number generator used to compute point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"SetGraphBounds",                (PyCFunction)PyvtkRandomLayoutStrategy_SetGraphBounds, 1,
   (char*)"V.SetGraphBounds(float, float, float, float, float, float)\nC++: void SetGraphBounds (double , double , double , double , double , double );\nV.SetGraphBounds((float, float, float, float, float, float))\nC++: void SetGraphBounds (double  a[6]);\n\n Set / get the region in space in which to place the final graph.\n The GraphBounds only affects the results if AutomaticBoundsComputation\n is off.\n"},
  {(char*)"GetGraphBounds",                (PyCFunction)PyvtkRandomLayoutStrategy_GetGraphBounds, 1,
   (char*)"V.GetGraphBounds() -> (float, float, float, float, float, float)\nC++: double  *GetGraphBounds ();\n\n Set / get the region in space in which to place the final graph.\n The GraphBounds only affects the results if AutomaticBoundsComputation\n is off.\n"},
  {(char*)"SetAutomaticBoundsComputation",                (PyCFunction)PyvtkRandomLayoutStrategy_SetAutomaticBoundsComputation, 1,
   (char*)"V.SetAutomaticBoundsComputation(int)\nC++: void SetAutomaticBoundsComputation (int );\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"GetAutomaticBoundsComputation",                (PyCFunction)PyvtkRandomLayoutStrategy_GetAutomaticBoundsComputation, 1,
   (char*)"V.GetAutomaticBoundsComputation() -> int\nC++: int GetAutomaticBoundsComputation ();\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"AutomaticBoundsComputationOn",                (PyCFunction)PyvtkRandomLayoutStrategy_AutomaticBoundsComputationOn, 1,
   (char*)"V.AutomaticBoundsComputationOn()\nC++: void AutomaticBoundsComputationOn ();\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"AutomaticBoundsComputationOff",                (PyCFunction)PyvtkRandomLayoutStrategy_AutomaticBoundsComputationOff, 1,
   (char*)"V.AutomaticBoundsComputationOff()\nC++: void AutomaticBoundsComputationOff ();\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"SetThreeDimensionalLayout",                (PyCFunction)PyvtkRandomLayoutStrategy_SetThreeDimensionalLayout, 1,
   (char*)"V.SetThreeDimensionalLayout(int)\nC++: void SetThreeDimensionalLayout (int );\n\n Turn on/off layout of graph in three dimensions. If off, graph\n layout occurs in two dimensions. By default, three dimensional\n layout is on.\n"},
  {(char*)"GetThreeDimensionalLayout",                (PyCFunction)PyvtkRandomLayoutStrategy_GetThreeDimensionalLayout, 1,
   (char*)"V.GetThreeDimensionalLayout() -> int\nC++: int GetThreeDimensionalLayout ();\n\n Turn on/off layout of graph in three dimensions. If off, graph\n layout occurs in two dimensions. By default, three dimensional\n layout is on.\n"},
  {(char*)"ThreeDimensionalLayoutOn",                (PyCFunction)PyvtkRandomLayoutStrategy_ThreeDimensionalLayoutOn, 1,
   (char*)"V.ThreeDimensionalLayoutOn()\nC++: void ThreeDimensionalLayoutOn ();\n\n Turn on/off layout of graph in three dimensions. If off, graph\n layout occurs in two dimensions. By default, three dimensional\n layout is on.\n"},
  {(char*)"ThreeDimensionalLayoutOff",                (PyCFunction)PyvtkRandomLayoutStrategy_ThreeDimensionalLayoutOff, 1,
   (char*)"V.ThreeDimensionalLayoutOff()\nC++: void ThreeDimensionalLayoutOff ();\n\n Turn on/off layout of graph in three dimensions. If off, graph\n layout occurs in two dimensions. By default, three dimensional\n layout is on.\n"},
  {(char*)"SetGraph",                (PyCFunction)PyvtkRandomLayoutStrategy_SetGraph, 1,
   (char*)"V.SetGraph(vtkGraph)\nC++: void SetGraph (vtkGraph *graph);\n\n Set the graph to layout.\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkRandomLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: void Layout ();\n\n Perform the random layout.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRandomLayoutStrategyDoc[] = {
  (char*)"vtkRandomLayoutStrategy - randomly places vertices in 2 or 3 dimensions\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" Assigns points to the vertices of a graph randomly within a bounded range.\n\n .SECION Thanks\n Thanks to Brian Wylie from Sandia National Laboratories for adding incremental\n layout capabilities.\n\n",
  NULL
};

static vtkObjectBase *vtkRandomLayoutStrategyStaticNew()
{
  return vtkRandomLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkRandomLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkRandomLayoutStrategyStaticNew,
                        PyvtkRandomLayoutStrategyMethods,
                        (char*)"vtkRandomLayoutStrategy",modulename,
                        (char**)vtkRandomLayoutStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

