// python wrapper for vtkSQLGraphReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSQLGraphReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSQLGraphReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSQLGraphReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkSQLGraphReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  const char    *temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  vtkSQLGraphReader  *temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSQLGraphReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSQLGraphReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_SetDirected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  bool   temp0;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::SetDirected(temp0);
      }
    else
      {
      op->SetDirected(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_GetDirected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  bool   temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::GetDirected();
      }
    else
      {
      temp20 = op->GetDirected();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_DirectedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::DirectedOn();
      }
    else
      {
      op->DirectedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_DirectedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::DirectedOff();
      }
    else
      {
      op->DirectedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_SetVertexQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  vtkSQLQuery  *temp0;
  PyObject *tempH0;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSQLQuery *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSQLQuery");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::SetVertexQuery(temp0);
      }
    else
      {
      op->SetVertexQuery(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_GetVertexQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  vtkSQLQuery  *temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::GetVertexQuery();
      }
    else
      {
      temp20 = op->GetVertexQuery();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_SetEdgeQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  vtkSQLQuery  *temp0;
  PyObject *tempH0;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSQLQuery *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSQLQuery");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::SetEdgeQuery(temp0);
      }
    else
      {
      op->SetEdgeQuery(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_GetEdgeQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  vtkSQLQuery  *temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::GetEdgeQuery();
      }
    else
      {
      temp20 = op->GetEdgeQuery();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_SetSourceField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp0;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::SetSourceField(temp0);
      }
    else
      {
      op->SetSourceField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_GetSourceField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::GetSourceField();
      }
    else
      {
      temp20 = op->GetSourceField();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_SetTargetField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp0;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::SetTargetField(temp0);
      }
    else
      {
      op->SetTargetField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_GetTargetField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::GetTargetField();
      }
    else
      {
      temp20 = op->GetTargetField();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_SetVertexIdField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp0;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::SetVertexIdField(temp0);
      }
    else
      {
      op->SetVertexIdField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_GetVertexIdField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::GetVertexIdField();
      }
    else
      {
      temp20 = op->GetVertexIdField();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_SetXField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp0;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::SetXField(temp0);
      }
    else
      {
      op->SetXField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_GetXField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::GetXField();
      }
    else
      {
      temp20 = op->GetXField();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_SetYField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp0;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::SetYField(temp0);
      }
    else
      {
      op->SetYField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_GetYField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::GetYField();
      }
    else
      {
      temp20 = op->GetYField();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_SetZField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp0;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::SetZField(temp0);
      }
    else
      {
      op->SetZField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_GetZField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  char    *temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::GetZField();
      }
    else
      {
      temp20 = op->GetZField();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_SetCollapseEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  bool   temp0;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::SetCollapseEdges(temp0);
      }
    else
      {
      op->SetCollapseEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_GetCollapseEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  bool   temp20;
  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLGraphReader::GetCollapseEdges();
      }
    else
      {
      temp20 = op->GetCollapseEdges();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_CollapseEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::CollapseEdgesOn();
      }
    else
      {
      op->CollapseEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLGraphReader_CollapseEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLGraphReader *op;

  op = (vtkSQLGraphReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLGraphReader::CollapseEdgesOff();
      }
    else
      {
      op->CollapseEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSQLGraphReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSQLGraphReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSQLGraphReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSQLGraphReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSQLGraphReader\nC++: vtkSQLGraphReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSQLGraphReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSQLGraphReader\nC++: vtkSQLGraphReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDirected",                (PyCFunction)PyvtkSQLGraphReader_SetDirected, 1,
   (char*)"V.SetDirected(bool)\nC++: void SetDirected (bool );\n\n When set, creates a directed graph, as opposed to an undirected graph.\n"},
  {(char*)"GetDirected",                (PyCFunction)PyvtkSQLGraphReader_GetDirected, 1,
   (char*)"V.GetDirected() -> bool\nC++: bool GetDirected ();\n\n When set, creates a directed graph, as opposed to an undirected graph.\n"},
  {(char*)"DirectedOn",                (PyCFunction)PyvtkSQLGraphReader_DirectedOn, 1,
   (char*)"V.DirectedOn()\nC++: void DirectedOn ();\n\n When set, creates a directed graph, as opposed to an undirected graph.\n"},
  {(char*)"DirectedOff",                (PyCFunction)PyvtkSQLGraphReader_DirectedOff, 1,
   (char*)"V.DirectedOff()\nC++: void DirectedOff ();\n\n When set, creates a directed graph, as opposed to an undirected graph.\n"},
  {(char*)"SetVertexQuery",                (PyCFunction)PyvtkSQLGraphReader_SetVertexQuery, 1,
   (char*)"V.SetVertexQuery(vtkSQLQuery)\nC++: virtual void SetVertexQuery (vtkSQLQuery *q);\n\n The query that retrieves the node information.\n"},
  {(char*)"GetVertexQuery",                (PyCFunction)PyvtkSQLGraphReader_GetVertexQuery, 1,
   (char*)"V.GetVertexQuery() -> vtkSQLQuery\nC++: vtkSQLQuery *GetVertexQuery ();\n\n The query that retrieves the node information.\n"},
  {(char*)"SetEdgeQuery",                (PyCFunction)PyvtkSQLGraphReader_SetEdgeQuery, 1,
   (char*)"V.SetEdgeQuery(vtkSQLQuery)\nC++: virtual void SetEdgeQuery (vtkSQLQuery *q);\n\n The query that retrieves the arc information.\n"},
  {(char*)"GetEdgeQuery",                (PyCFunction)PyvtkSQLGraphReader_GetEdgeQuery, 1,
   (char*)"V.GetEdgeQuery() -> vtkSQLQuery\nC++: vtkSQLQuery *GetEdgeQuery ();\n\n The query that retrieves the arc information.\n"},
  {(char*)"SetSourceField",                (PyCFunction)PyvtkSQLGraphReader_SetSourceField, 1,
   (char*)"V.SetSourceField(string)\nC++: void SetSourceField (char *);\n\n The name of the field in the arc query for the source node of each arc.\n"},
  {(char*)"GetSourceField",                (PyCFunction)PyvtkSQLGraphReader_GetSourceField, 1,
   (char*)"V.GetSourceField() -> string\nC++: char *GetSourceField ();\n\n The name of the field in the arc query for the source node of each arc.\n"},
  {(char*)"SetTargetField",                (PyCFunction)PyvtkSQLGraphReader_SetTargetField, 1,
   (char*)"V.SetTargetField(string)\nC++: void SetTargetField (char *);\n\n The name of the field in the arc query for the target node of each arc.\n"},
  {(char*)"GetTargetField",                (PyCFunction)PyvtkSQLGraphReader_GetTargetField, 1,
   (char*)"V.GetTargetField() -> string\nC++: char *GetTargetField ();\n\n The name of the field in the arc query for the target node of each arc.\n"},
  {(char*)"SetVertexIdField",                (PyCFunction)PyvtkSQLGraphReader_SetVertexIdField, 1,
   (char*)"V.SetVertexIdField(string)\nC++: void SetVertexIdField (char *);\n\n The name of the field in the node query for the node ID.\n"},
  {(char*)"GetVertexIdField",                (PyCFunction)PyvtkSQLGraphReader_GetVertexIdField, 1,
   (char*)"V.GetVertexIdField() -> string\nC++: char *GetVertexIdField ();\n\n The name of the field in the node query for the node ID.\n"},
  {(char*)"SetXField",                (PyCFunction)PyvtkSQLGraphReader_SetXField, 1,
   (char*)"V.SetXField(string)\nC++: void SetXField (char *);\n\n The name of the field in the node query for the node's x coordinate.\n"},
  {(char*)"GetXField",                (PyCFunction)PyvtkSQLGraphReader_GetXField, 1,
   (char*)"V.GetXField() -> string\nC++: char *GetXField ();\n\n The name of the field in the node query for the node's x coordinate.\n"},
  {(char*)"SetYField",                (PyCFunction)PyvtkSQLGraphReader_SetYField, 1,
   (char*)"V.SetYField(string)\nC++: void SetYField (char *);\n\n The name of the field in the node query for the node's y coordinate.\n"},
  {(char*)"GetYField",                (PyCFunction)PyvtkSQLGraphReader_GetYField, 1,
   (char*)"V.GetYField() -> string\nC++: char *GetYField ();\n\n The name of the field in the node query for the node's y coordinate.\n"},
  {(char*)"SetZField",                (PyCFunction)PyvtkSQLGraphReader_SetZField, 1,
   (char*)"V.SetZField(string)\nC++: void SetZField (char *);\n\n The name of the field in the node query for the node's z coordinate.\n"},
  {(char*)"GetZField",                (PyCFunction)PyvtkSQLGraphReader_GetZField, 1,
   (char*)"V.GetZField() -> string\nC++: char *GetZField ();\n\n The name of the field in the node query for the node's z coordinate.\n"},
  {(char*)"SetCollapseEdges",                (PyCFunction)PyvtkSQLGraphReader_SetCollapseEdges, 1,
   (char*)"V.SetCollapseEdges(bool)\nC++: void SetCollapseEdges (bool );\n\n When set, creates a graph with no parallel arcs.\n Parallel arcs are combined into one arc.\n No cell fields are passed to the output, except the vtkGhostLevels array if\n it exists, but a new field \"weight\" is created that holds the number of \n duplicates of that arc in the input.\n"},
  {(char*)"GetCollapseEdges",                (PyCFunction)PyvtkSQLGraphReader_GetCollapseEdges, 1,
   (char*)"V.GetCollapseEdges() -> bool\nC++: bool GetCollapseEdges ();\n\n When set, creates a graph with no parallel arcs.\n Parallel arcs are combined into one arc.\n No cell fields are passed to the output, except the vtkGhostLevels array if\n it exists, but a new field \"weight\" is created that holds the number of \n duplicates of that arc in the input.\n"},
  {(char*)"CollapseEdgesOn",                (PyCFunction)PyvtkSQLGraphReader_CollapseEdgesOn, 1,
   (char*)"V.CollapseEdgesOn()\nC++: void CollapseEdgesOn ();\n\n When set, creates a graph with no parallel arcs.\n Parallel arcs are combined into one arc.\n No cell fields are passed to the output, except the vtkGhostLevels array if\n it exists, but a new field \"weight\" is created that holds the number of \n duplicates of that arc in the input.\n"},
  {(char*)"CollapseEdgesOff",                (PyCFunction)PyvtkSQLGraphReader_CollapseEdgesOff, 1,
   (char*)"V.CollapseEdgesOff()\nC++: void CollapseEdgesOff ();\n\n When set, creates a graph with no parallel arcs.\n Parallel arcs are combined into one arc.\n No cell fields are passed to the output, except the vtkGhostLevels array if\n it exists, but a new field \"weight\" is created that holds the number of \n duplicates of that arc in the input.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSQLGraphReaderDoc[] = {
  (char*)"vtkSQLGraphReader - read a vtkGraph from a database\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)"\n Creates a vtkGraph using one or two vtkSQLQuery's.  The first (required)\n query must have one row for each arc in the graph.\n The query must have two columns which represent the source and target\n node ids.\n\n The second (optional) query has one row for each node in the graph.\n The table must have a field whose values match those in the arc table.\n If the node table is not given, \n a node will be",
  (char*)" created for each unique source or target identifier \n in the arc table.\n\n The source, target, and node ID fields must be of the same type, \n and must be either vtkStringArray or a subclass of vtkDataArray.\n\n All columns in the queries, including the source, target, and node index\n fields, are copied into the arc data and node data of the resulting\n vtkGraph.  If the node query is not given, the n",
  (char*)"ode data will contain\n a single \"id\" column with the same type as the source/target id arrays.\n\n If parallel arcs are collected, not all the arc data is not copied into \n the output.  Only the source and target id arrays will be transferred.\n An additional vtkIdTypeArray column called \"weight\" is created which \n contains the number of times each arc appeared in the input.\n\n If the node query conta",
  (char*)"ins positional data, the user may specify the\n names of these fields.\n These arrays must be data arrays.  The z-coordinate array is optional,\n and if not given the z-coordinates are set to zero.\n\n",
  NULL
};

static vtkObjectBase *vtkSQLGraphReaderStaticNew()
{
  return vtkSQLGraphReader::New();
}

PyObject *PyVTKClass_vtkSQLGraphReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkSQLGraphReaderStaticNew,
                        PyvtkSQLGraphReaderMethods,
                        (char*)"vtkSQLGraphReader",modulename,
                        (char**)vtkSQLGraphReaderDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

