// tcl wrapper for vtkSQLGraphReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLGraphReader.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSQLGraphReaderNewCommand()
{
  vtkSQLGraphReader *temp = vtkSQLGraphReader::New();
  return static_cast<ClientData>(temp);
}

int vtkGraphAlgorithmCppCommand(vtkGraphAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSQLGraphReaderCppCommand(vtkSQLGraphReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSQLGraphReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSQLGraphReaderCppCommand(static_cast<vtkSQLGraphReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSQLGraphReaderCppCommand(vtkSQLGraphReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSQLGraphReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGraphAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSQLGraphReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLGraphReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSQLGraphReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLGraphReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSQLGraphReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLGraphReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDirected",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDirected(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirected",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDirected();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DirectedOn",argv[1]))&&(argc == 2))
    {
    op->DirectedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DirectedOff",argv[1]))&&(argc == 2))
    {
    op->DirectedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexQuery",argv[1]))&&(argc == 3))
    {
    vtkSQLQuery  *temp0;
    error = 0;

    temp0 = (vtkSQLQuery *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSQLQuery"),interp,error));
    if (!error)
    {
    op->SetVertexQuery(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexQuery",argv[1]))&&(argc == 2))
    {
    vtkSQLQuery  *temp20;
    temp20 = (op)->GetVertexQuery();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLQuery");
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeQuery",argv[1]))&&(argc == 3))
    {
    vtkSQLQuery  *temp0;
    error = 0;

    temp0 = (vtkSQLQuery *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSQLQuery"),interp,error));
    if (!error)
    {
    op->SetEdgeQuery(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeQuery",argv[1]))&&(argc == 2))
    {
    vtkSQLQuery  *temp20;
    temp20 = (op)->GetEdgeQuery();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSQLQuery");
    return TCL_OK;
    }
  if ((!strcmp("SetSourceField",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSourceField(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceField",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSourceField();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTargetField",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTargetField(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTargetField",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTargetField();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexIdField",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexIdField(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexIdField",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVertexIdField();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXField",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXField(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXField",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXField();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYField",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYField(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYField",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYField();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetZField",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetZField(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZField",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetZField();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCollapseEdges",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetCollapseEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCollapseEdges",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetCollapseEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CollapseEdgesOn",argv[1]))&&(argc == 2))
    {
    op->CollapseEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CollapseEdgesOff",argv[1]))&&(argc == 2))
    {
    op->CollapseEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSQLGraphReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSQLGraphReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDirected\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDirected\n",NULL);
    Tcl_AppendResult(interp,"  DirectedOn\n",NULL);
    Tcl_AppendResult(interp,"  DirectedOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexQuery\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexQuery\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeQuery\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeQuery\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceField\n",NULL);
    Tcl_AppendResult(interp,"  SetTargetField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetField\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexIdField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexIdField\n",NULL);
    Tcl_AppendResult(interp,"  SetXField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXField\n",NULL);
    Tcl_AppendResult(interp,"  SetYField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYField\n",NULL);
    Tcl_AppendResult(interp,"  SetZField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZField\n",NULL);
    Tcl_AppendResult(interp,"  SetCollapseEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCollapseEdges\n",NULL);
    Tcl_AppendResult(interp,"  CollapseEdgesOn\n",NULL);
    Tcl_AppendResult(interp,"  CollapseEdgesOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetDirected" );
    Tcl_DStringAppendElement ( &dString, "GetDirected" );
    Tcl_DStringAppendElement ( &dString, "DirectedOn" );
    Tcl_DStringAppendElement ( &dString, "DirectedOff" );
    Tcl_DStringAppendElement ( &dString, "SetVertexQuery" );
    Tcl_DStringAppendElement ( &dString, "GetVertexQuery" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeQuery" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeQuery" );
    Tcl_DStringAppendElement ( &dString, "SetSourceField" );
    Tcl_DStringAppendElement ( &dString, "GetSourceField" );
    Tcl_DStringAppendElement ( &dString, "SetTargetField" );
    Tcl_DStringAppendElement ( &dString, "GetTargetField" );
    Tcl_DStringAppendElement ( &dString, "SetVertexIdField" );
    Tcl_DStringAppendElement ( &dString, "GetVertexIdField" );
    Tcl_DStringAppendElement ( &dString, "SetXField" );
    Tcl_DStringAppendElement ( &dString, "GetXField" );
    Tcl_DStringAppendElement ( &dString, "SetYField" );
    Tcl_DStringAppendElement ( &dString, "GetYField" );
    Tcl_DStringAppendElement ( &dString, "SetZField" );
    Tcl_DStringAppendElement ( &dString, "GetZField" );
    Tcl_DStringAppendElement ( &dString, "SetCollapseEdges" );
    Tcl_DStringAppendElement ( &dString, "GetCollapseEdges" );
    Tcl_DStringAppendElement ( &dString, "CollapseEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "CollapseEdgesOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGraphAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSQLGraphReader *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirected */
    if ( strcmp ( argv[2], "SetDirected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirected */
    Tcl_DStringAppendElement ( &dString, " When set, creates a directed graph, as opposed to an undirected graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirected (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for SetDirected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirected */
    if ( strcmp ( argv[2], "GetDirected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirected */
    Tcl_DStringAppendElement ( &dString, " When set, creates a directed graph, as opposed to an undirected graph.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDirected ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for GetDirected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DirectedOn */
    if ( strcmp ( argv[2], "DirectedOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DirectedOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DirectedOn */
    Tcl_DStringAppendElement ( &dString, " When set, creates a directed graph, as opposed to an undirected graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void DirectedOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for DirectedOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DirectedOff */
    if ( strcmp ( argv[2], "DirectedOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DirectedOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DirectedOff */
    Tcl_DStringAppendElement ( &dString, " When set, creates a directed graph, as opposed to an undirected graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void DirectedOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for DirectedOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexQuery */
    if ( strcmp ( argv[2], "SetVertexQuery" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexQuery" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexQuery */
    Tcl_DStringAppendElement ( &dString, " The query that retrieves the node information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexQuery (vtkSQLQuery *q);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for SetVertexQuery */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexQuery */
    if ( strcmp ( argv[2], "GetVertexQuery" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexQuery" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexQuery */
    Tcl_DStringAppendElement ( &dString, " The query that retrieves the node information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery *GetVertexQuery ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for GetVertexQuery */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeQuery */
    if ( strcmp ( argv[2], "SetEdgeQuery" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeQuery" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeQuery */
    Tcl_DStringAppendElement ( &dString, " The query that retrieves the arc information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeQuery (vtkSQLQuery *q);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for SetEdgeQuery */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeQuery */
    if ( strcmp ( argv[2], "GetEdgeQuery" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeQuery" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeQuery */
    Tcl_DStringAppendElement ( &dString, " The query that retrieves the arc information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLQuery *GetEdgeQuery ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for GetEdgeQuery */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceField */
    if ( strcmp ( argv[2], "SetSourceField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the arc query for the source node of each arc.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceField (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for SetSourceField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSourceField */
    if ( strcmp ( argv[2], "GetSourceField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSourceField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSourceField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the arc query for the source node of each arc.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetSourceField ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for GetSourceField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTargetField */
    if ( strcmp ( argv[2], "SetTargetField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTargetField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTargetField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the arc query for the target node of each arc.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTargetField (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for SetTargetField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetField */
    if ( strcmp ( argv[2], "GetTargetField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the arc query for the target node of each arc.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTargetField ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for GetTargetField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexIdField */
    if ( strcmp ( argv[2], "SetVertexIdField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexIdField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexIdField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the node query for the node ID.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexIdField (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for SetVertexIdField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexIdField */
    if ( strcmp ( argv[2], "GetVertexIdField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexIdField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexIdField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the node query for the node ID.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVertexIdField ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for GetVertexIdField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXField */
    if ( strcmp ( argv[2], "SetXField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the node query for the node's x coordinate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXField (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for SetXField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXField */
    if ( strcmp ( argv[2], "GetXField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the node query for the node's x coordinate.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXField ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for GetXField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYField */
    if ( strcmp ( argv[2], "SetYField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the node query for the node's y coordinate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYField (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for SetYField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYField */
    if ( strcmp ( argv[2], "GetYField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the node query for the node's y coordinate.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetYField ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for GetYField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZField */
    if ( strcmp ( argv[2], "SetZField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the node query for the node's z coordinate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZField (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for SetZField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZField */
    if ( strcmp ( argv[2], "GetZField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZField */
    Tcl_DStringAppendElement ( &dString, " The name of the field in the node query for the node's z coordinate.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetZField ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for GetZField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCollapseEdges */
    if ( strcmp ( argv[2], "SetCollapseEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCollapseEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCollapseEdges */
    Tcl_DStringAppendElement ( &dString, " When set, creates a graph with no parallel arcs.\n Parallel arcs are combined into one arc.\n No cell fields are passed to the output, except the vtkGhostLevels array if\n it exists, but a new field \"weight\" is created that holds the number of \n duplicates of that arc in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCollapseEdges (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for SetCollapseEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCollapseEdges */
    if ( strcmp ( argv[2], "GetCollapseEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCollapseEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCollapseEdges */
    Tcl_DStringAppendElement ( &dString, " When set, creates a graph with no parallel arcs.\n Parallel arcs are combined into one arc.\n No cell fields are passed to the output, except the vtkGhostLevels array if\n it exists, but a new field \"weight\" is created that holds the number of \n duplicates of that arc in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetCollapseEdges ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for GetCollapseEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CollapseEdgesOn */
    if ( strcmp ( argv[2], "CollapseEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CollapseEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CollapseEdgesOn */
    Tcl_DStringAppendElement ( &dString, " When set, creates a graph with no parallel arcs.\n Parallel arcs are combined into one arc.\n No cell fields are passed to the output, except the vtkGhostLevels array if\n it exists, but a new field \"weight\" is created that holds the number of \n duplicates of that arc in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "void CollapseEdgesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for CollapseEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CollapseEdgesOff */
    if ( strcmp ( argv[2], "CollapseEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CollapseEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CollapseEdgesOff */
    Tcl_DStringAppendElement ( &dString, " When set, creates a graph with no parallel arcs.\n Parallel arcs are combined into one arc.\n No cell fields are passed to the output, except the vtkGhostLevels array if\n it exists, but a new field \"weight\" is created that holds the number of \n duplicates of that arc in the input.\n" );
    Tcl_DStringAppendElement ( &dString, "void CollapseEdgesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSQLGraphReader" );
    /* Closing for CollapseEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGraphAlgorithmCppCommand(static_cast<vtkGraphAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
