// python wrapper for vtkSimple2DLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSimple2DLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSimple2DLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSimple2DLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkSimple2DLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  const char    *temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  vtkSimple2DLayoutStrategy  *temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSimple2DLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSimple2DLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_SetRandomSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp0;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple2DLayoutStrategy::SetRandomSeed(temp0);
      }
    else
      {
      op->SetRandomSeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetRandomSeedMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetRandomSeedMinValue();
      }
    else
      {
      temp20 = op->GetRandomSeedMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetRandomSeedMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetRandomSeedMaxValue();
      }
    else
      {
      temp20 = op->GetRandomSeedMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetRandomSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetRandomSeed();
      }
    else
      {
      temp20 = op->GetRandomSeed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_SetMaxNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp0;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple2DLayoutStrategy::SetMaxNumberOfIterations(temp0);
      }
    else
      {
      op->SetMaxNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetMaxNumberOfIterationsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetMaxNumberOfIterationsMinValue();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterationsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetMaxNumberOfIterationsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetMaxNumberOfIterationsMaxValue();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterationsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetMaxNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetMaxNumberOfIterations();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_SetIterationsPerLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp0;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple2DLayoutStrategy::SetIterationsPerLayout(temp0);
      }
    else
      {
      op->SetIterationsPerLayout(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetIterationsPerLayoutMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetIterationsPerLayoutMinValue();
      }
    else
      {
      temp20 = op->GetIterationsPerLayoutMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetIterationsPerLayoutMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetIterationsPerLayoutMaxValue();
      }
    else
      {
      temp20 = op->GetIterationsPerLayoutMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetIterationsPerLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetIterationsPerLayout();
      }
    else
      {
      temp20 = op->GetIterationsPerLayout();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_SetInitialTemperature(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  float    temp0;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple2DLayoutStrategy::SetInitialTemperature(temp0);
      }
    else
      {
      op->SetInitialTemperature(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetInitialTemperatureMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  float    temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetInitialTemperatureMinValue();
      }
    else
      {
      temp20 = op->GetInitialTemperatureMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetInitialTemperatureMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  float    temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetInitialTemperatureMaxValue();
      }
    else
      {
      temp20 = op->GetInitialTemperatureMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetInitialTemperature(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  float    temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetInitialTemperature();
      }
    else
      {
      temp20 = op->GetInitialTemperature();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_SetCoolDownRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  double   temp0;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple2DLayoutStrategy::SetCoolDownRate(temp0);
      }
    else
      {
      op->SetCoolDownRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetCoolDownRateMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  double   temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetCoolDownRateMinValue();
      }
    else
      {
      temp20 = op->GetCoolDownRateMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetCoolDownRateMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  double   temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetCoolDownRateMaxValue();
      }
    else
      {
      temp20 = op->GetCoolDownRateMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetCoolDownRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  double   temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetCoolDownRate();
      }
    else
      {
      temp20 = op->GetCoolDownRate();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_SetJitter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  bool   temp0;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple2DLayoutStrategy::SetJitter(temp0);
      }
    else
      {
      op->SetJitter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetJitter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  bool   temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetJitter();
      }
    else
      {
      temp20 = op->GetJitter();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_SetRestDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  float    temp0;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple2DLayoutStrategy::SetRestDistance(temp0);
      }
    else
      {
      op->SetRestDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_GetRestDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  float    temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::GetRestDistance();
      }
    else
      {
      temp20 = op->GetRestDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple2DLayoutStrategy::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple2DLayoutStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple2DLayoutStrategy_IsLayoutComplete(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple2DLayoutStrategy *op;

  int      temp20;
  op = (vtkSimple2DLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple2DLayoutStrategy::IsLayoutComplete();
      }
    else
      {
      temp20 = op->IsLayoutComplete();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSimple2DLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSimple2DLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSimple2DLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSimple2DLayoutStrategy\nC++: vtkSimple2DLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSimple2DLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSimple2DLayoutStrategy\nC++: vtkSimple2DLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRandomSeed",                (PyCFunction)PyvtkSimple2DLayoutStrategy_SetRandomSeed, 1,
   (char*)"V.SetRandomSeed(int)\nC++: void SetRandomSeed (int );\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeedMinValue",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetRandomSeedMinValue, 1,
   (char*)"V.GetRandomSeedMinValue() -> int\nC++: int GetRandomSeedMinValue ();\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeedMaxValue",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetRandomSeedMaxValue, 1,
   (char*)"V.GetRandomSeedMaxValue() -> int\nC++: int GetRandomSeedMaxValue ();\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"GetRandomSeed",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetRandomSeed, 1,
   (char*)"V.GetRandomSeed() -> int\nC++: int GetRandomSeed ();\n\n Seed the random number generator used to jitter point positions.\n This has a significant effect on their final positions when\n the layout is complete.\n"},
  {(char*)"SetMaxNumberOfIterations",                (PyCFunction)PyvtkSimple2DLayoutStrategy_SetMaxNumberOfIterations, 1,
   (char*)"V.SetMaxNumberOfIterations(int)\nC++: void SetMaxNumberOfIterations (int );\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetMaxNumberOfIterationsMinValue",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetMaxNumberOfIterationsMinValue, 1,
   (char*)"V.GetMaxNumberOfIterationsMinValue() -> int\nC++: int GetMaxNumberOfIterationsMinValue ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetMaxNumberOfIterationsMaxValue",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetMaxNumberOfIterationsMaxValue, 1,
   (char*)"V.GetMaxNumberOfIterationsMaxValue() -> int\nC++: int GetMaxNumberOfIterationsMaxValue ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetMaxNumberOfIterations",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetMaxNumberOfIterations, 1,
   (char*)"V.GetMaxNumberOfIterations() -> int\nC++: int GetMaxNumberOfIterations ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n The default is '100' for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"SetIterationsPerLayout",                (PyCFunction)PyvtkSimple2DLayoutStrategy_SetIterationsPerLayout, 1,
   (char*)"V.SetIterationsPerLayout(int)\nC++: void SetIterationsPerLayout (int );\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n"},
  {(char*)"GetIterationsPerLayoutMinValue",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetIterationsPerLayoutMinValue, 1,
   (char*)"V.GetIterationsPerLayoutMinValue() -> int\nC++: int GetIterationsPerLayoutMinValue ();\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n"},
  {(char*)"GetIterationsPerLayoutMaxValue",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetIterationsPerLayoutMaxValue, 1,
   (char*)"V.GetIterationsPerLayoutMaxValue() -> int\nC++: int GetIterationsPerLayoutMaxValue ();\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n"},
  {(char*)"GetIterationsPerLayout",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetIterationsPerLayout, 1,
   (char*)"V.GetIterationsPerLayout() -> int\nC++: int GetIterationsPerLayout ();\n\n Set/Get the number of iterations per layout.\n The only use for this ivar is for the application\n to do visualizations of the layout before it's complete.\n The default is '100' to match the default 'MaxNumberOfIterations'\n Note: Changing this parameter is just fine :)\n"},
  {(char*)"SetInitialTemperature",                (PyCFunction)PyvtkSimple2DLayoutStrategy_SetInitialTemperature, 1,
   (char*)"V.SetInitialTemperature(float)\nC++: void SetInitialTemperature (float );\n\n Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetInitialTemperatureMinValue",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetInitialTemperatureMinValue, 1,
   (char*)"V.GetInitialTemperatureMinValue() -> float\nC++: float GetInitialTemperatureMinValue ();\n\n Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetInitialTemperatureMaxValue",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetInitialTemperatureMaxValue, 1,
   (char*)"V.GetInitialTemperatureMaxValue() -> float\nC++: float GetInitialTemperatureMaxValue ();\n\n Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetInitialTemperature",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetInitialTemperature, 1,
   (char*)"V.GetInitialTemperature() -> float\nC++: float GetInitialTemperature ();\n\n Set the initial temperature.  The temperature default is '5'\n for no particular reason\n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"SetCoolDownRate",                (PyCFunction)PyvtkSimple2DLayoutStrategy_SetCoolDownRate, 1,
   (char*)"V.SetCoolDownRate(float)\nC++: void SetCoolDownRate (double );\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetCoolDownRateMinValue",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetCoolDownRateMinValue, 1,
   (char*)"V.GetCoolDownRateMinValue() -> float\nC++: double GetCoolDownRateMinValue ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetCoolDownRateMaxValue",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetCoolDownRateMaxValue, 1,
   (char*)"V.GetCoolDownRateMaxValue() -> float\nC++: double GetCoolDownRateMaxValue ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"GetCoolDownRate",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetCoolDownRate, 1,
   (char*)"V.GetCoolDownRate() -> float\nC++: double GetCoolDownRate ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified. The default is '10'\n for no particular reason. \n Note: The strong recommendation is that you do not change\n this parameter. :)\n"},
  {(char*)"SetJitter",                (PyCFunction)PyvtkSimple2DLayoutStrategy_SetJitter, 1,
   (char*)"V.SetJitter(bool)\nC++: void SetJitter (bool );\n\n Set Random jitter of the nodes at initialization\n to on or off.\n Note: It's strongly recommendation to have jitter ON\n even if you have initial coordinates in your graph. \n Default is ON\n"},
  {(char*)"GetJitter",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetJitter, 1,
   (char*)"V.GetJitter() -> bool\nC++: bool GetJitter ();\n\n Set Random jitter of the nodes at initialization\n to on or off.\n Note: It's strongly recommendation to have jitter ON\n even if you have initial coordinates in your graph. \n Default is ON\n"},
  {(char*)"SetRestDistance",                (PyCFunction)PyvtkSimple2DLayoutStrategy_SetRestDistance, 1,
   (char*)"V.SetRestDistance(float)\nC++: void SetRestDistance (float );\n\n Manually set the resting distance. Otherwise the\n distance is computed automatically.\n"},
  {(char*)"GetRestDistance",                (PyCFunction)PyvtkSimple2DLayoutStrategy_GetRestDistance, 1,
   (char*)"V.GetRestDistance() -> float\nC++: float GetRestDistance ();\n\n Manually set the resting distance. Otherwise the\n distance is computed automatically.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkSimple2DLayoutStrategy_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n This strategy sets up some data structures\n for faster processing of each Layout() call\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkSimple2DLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: virtual void Layout ();\n\n This is the layout method where the graph that was\n set in SetGraph() is laid out. The method can either\n entirely layout the graph or iteratively lay out the\n graph. If you have an iterative layout please implement\n the IsLayoutComplete() method.\n"},
  {(char*)"IsLayoutComplete",                (PyCFunction)PyvtkSimple2DLayoutStrategy_IsLayoutComplete, 1,
   (char*)"V.IsLayoutComplete() -> int\nC++: virtual int IsLayoutComplete ();return this LayoutComplete \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSimple2DLayoutStrategyDoc[] = {
  (char*)"vtkSimple2DLayoutStrategy - a simple 2D graph layout\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" This class is an implementation of the work presented in:\n Fruchterman & Reingold \"Graph Drawing by Force-directed Placement\" \n Software-Practice and Experience 21(11) 1991).\n The class includes some optimizations but nothing too fancy.\n\n .SECTION Thanks\n Thanks to Brian Wylie from Sandia National Laboratories for creating this\n class.\n\n",
  NULL
};

static vtkObjectBase *vtkSimple2DLayoutStrategyStaticNew()
{
  return vtkSimple2DLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkSimple2DLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSimple2DLayoutStrategyStaticNew,
                        PyvtkSimple2DLayoutStrategyMethods,
                        (char*)"vtkSimple2DLayoutStrategy",modulename,
                        (char**)vtkSimple2DLayoutStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

