// python wrapper for vtkSliceAndDiceLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSliceAndDiceLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSliceAndDiceLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSliceAndDiceLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeMapLayoutStrategyNew(char *); }

static PyObject *PyvtkSliceAndDiceLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceAndDiceLayoutStrategy *op;

  const char    *temp20;
  op = (vtkSliceAndDiceLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliceAndDiceLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceAndDiceLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceAndDiceLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkSliceAndDiceLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliceAndDiceLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceAndDiceLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceAndDiceLayoutStrategy *op;

  vtkSliceAndDiceLayoutStrategy  *temp20;
  op = (vtkSliceAndDiceLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliceAndDiceLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceAndDiceLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSliceAndDiceLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSliceAndDiceLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSliceAndDiceLayoutStrategy_GetSizeFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceAndDiceLayoutStrategy *op;

  char    *temp20;
  op = (vtkSliceAndDiceLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliceAndDiceLayoutStrategy::GetSizeFieldName();
      }
    else
      {
      temp20 = op->GetSizeFieldName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceAndDiceLayoutStrategy_SetSizeFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceAndDiceLayoutStrategy *op;

  char    *temp0;
  op = (vtkSliceAndDiceLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliceAndDiceLayoutStrategy::SetSizeFieldName(temp0);
      }
    else
      {
      op->SetSizeFieldName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceAndDiceLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceAndDiceLayoutStrategy *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  op = (vtkSliceAndDiceLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSliceAndDiceLayoutStrategy::Layout(temp0,temp1);
      }
    else
      {
      op->Layout(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkSliceAndDiceLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSliceAndDiceLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSliceAndDiceLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSliceAndDiceLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSliceAndDiceLayoutStrategy\nC++: vtkSliceAndDiceLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSliceAndDiceLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSliceAndDiceLayoutStrategy\nC++: vtkSliceAndDiceLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSizeFieldName",                (PyCFunction)PyvtkSliceAndDiceLayoutStrategy_GetSizeFieldName, 1,
   (char*)"V.GetSizeFieldName() -> string\nC++: char *GetSizeFieldName ();\n\n The field name associated with the size of the vertex.\n"},
  {(char*)"SetSizeFieldName",                (PyCFunction)PyvtkSliceAndDiceLayoutStrategy_SetSizeFieldName, 1,
   (char*)"V.SetSizeFieldName(string)\nC++: void SetSizeFieldName (char *);\n\n The field name associated with the size of the vertex.\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkSliceAndDiceLayoutStrategy_Layout, 1,
   (char*)"V.Layout(vtkTree, vtkDataArray)\nC++: void Layout (vtkTree *inputTree, vtkDataArray *coordsArray);\n\n Perform the layout of a tree and place the results as 4-tuples in\n coordsArray (Xmin, Xmax, Ymin, Ymax).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSliceAndDiceLayoutStrategyDoc[] = {
  (char*)"vtkSliceAndDiceLayoutStrategy - a horizontal and vertical slicing tree map layout\n\n",
  "Super Class:\n\n vtkTreeMapLayoutStrategy\n\n",
  (char*)" Lays out a tree-map alternating between horizontal and vertical slices,\n taking into account the relative size of each vertex.\n\n .SECTION Thanks\n Slice and dice algorithm comes from:\n Shneiderman, B. 1992. Tree visualization with tree-maps: 2-d space-filling approach. \n ACM Trans. Graph. 11, 1 (Jan. 1992), 92-99. \n\n",
  NULL
};

static vtkObjectBase *vtkSliceAndDiceLayoutStrategyStaticNew()
{
  return vtkSliceAndDiceLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkSliceAndDiceLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSliceAndDiceLayoutStrategyStaticNew,
                        PyvtkSliceAndDiceLayoutStrategyMethods,
                        (char*)"vtkSliceAndDiceLayoutStrategy",modulename,
                        (char**)vtkSliceAndDiceLayoutStrategyDoc,
                        PyVTKClass_vtkTreeMapLayoutStrategyNew(modulename));
}

