// python wrapper for vtkSquarifyLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSquarifyLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSquarifyLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSquarifyLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeMapLayoutStrategyNew(char *); }

static PyObject *PyvtkSquarifyLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSquarifyLayoutStrategy *op;

  const char    *temp20;
  op = (vtkSquarifyLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSquarifyLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSquarifyLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSquarifyLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkSquarifyLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSquarifyLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSquarifyLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSquarifyLayoutStrategy *op;

  vtkSquarifyLayoutStrategy  *temp20;
  op = (vtkSquarifyLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSquarifyLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSquarifyLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSquarifyLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSquarifyLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSquarifyLayoutStrategy_GetSizeFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSquarifyLayoutStrategy *op;

  char    *temp20;
  op = (vtkSquarifyLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSquarifyLayoutStrategy::GetSizeFieldName();
      }
    else
      {
      temp20 = op->GetSizeFieldName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSquarifyLayoutStrategy_SetSizeFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSquarifyLayoutStrategy *op;

  char    *temp0;
  op = (vtkSquarifyLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSquarifyLayoutStrategy::SetSizeFieldName(temp0);
      }
    else
      {
      op->SetSizeFieldName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSquarifyLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSquarifyLayoutStrategy *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  op = (vtkSquarifyLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSquarifyLayoutStrategy::Layout(temp0,temp1);
      }
    else
      {
      op->Layout(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkSquarifyLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSquarifyLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSquarifyLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSquarifyLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSquarifyLayoutStrategy\nC++: vtkSquarifyLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSquarifyLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSquarifyLayoutStrategy\nC++: vtkSquarifyLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSizeFieldName",                (PyCFunction)PyvtkSquarifyLayoutStrategy_GetSizeFieldName, 1,
   (char*)"V.GetSizeFieldName() -> string\nC++: char *GetSizeFieldName ();\n\n The field name associated with the size of the vertex.\n"},
  {(char*)"SetSizeFieldName",                (PyCFunction)PyvtkSquarifyLayoutStrategy_SetSizeFieldName, 1,
   (char*)"V.SetSizeFieldName(string)\nC++: void SetSizeFieldName (char *);\n\n The field name associated with the size of the vertex.\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkSquarifyLayoutStrategy_Layout, 1,
   (char*)"V.Layout(vtkTree, vtkDataArray)\nC++: void Layout (vtkTree *inputTree, vtkDataArray *coordsArray);\n\n Perform the layout of a tree and place the results as 4-tuples in\n coordsArray (Xmin, Xmax, Ymin, Ymax).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSquarifyLayoutStrategyDoc[] = {
  (char*)"vtkSquarifyLayoutStrategy - uses the squarify tree map layout algorithm\n\n",
  "Super Class:\n\n vtkTreeMapLayoutStrategy\n\n",
  (char*)" vtkSquarigyLayoutStrategy partitions the space for child vertices into regions\n that use all avaliable space and are as close to squares as possible.\n The algorithm also takes into account the relative vertex size.\n\n .SECTION Thanks\n The squarified tree map algorithm comes from:\n Bruls, D.M., C. Huizing, J.J. van Wijk. Squarified Treemaps.\n In: W. de Leeuw, R. van Liere (eds.), Data Visualization",
  (char*)" 2000, \n Proceedings of the joint Eurographics and IEEE TCVG Symposium on Visualization, \n 2000, Springer, Vienna, p. 33-42.\n\n",
  NULL
};

static vtkObjectBase *vtkSquarifyLayoutStrategyStaticNew()
{
  return vtkSquarifyLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkSquarifyLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSquarifyLayoutStrategyStaticNew,
                        PyvtkSquarifyLayoutStrategyMethods,
                        (char*)"vtkSquarifyLayoutStrategy",modulename,
                        (char**)vtkSquarifyLayoutStrategyDoc,
                        PyVTKClass_vtkTreeMapLayoutStrategyNew(modulename));
}

