// python wrapper for vtkStringToCategory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStringToCategory.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStringToCategoryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStringToCategoryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }

static PyObject *PyvtkStringToCategory_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToCategory *op;

  const char    *temp20;
  op = (vtkStringToCategory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToCategory::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToCategory_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToCategory *op;

  char    *temp0;
  int      temp20;
  op = (vtkStringToCategory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToCategory::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToCategory_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToCategory *op;

  vtkStringToCategory  *temp20;
  op = (vtkStringToCategory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToCategory::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToCategory_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStringToCategory  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStringToCategory::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStringToCategory_SetCategoryArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToCategory *op;

  char    *temp0;
  op = (vtkStringToCategory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToCategory::SetCategoryArrayName(temp0);
      }
    else
      {
      op->SetCategoryArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToCategory_GetCategoryArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToCategory *op;

  char    *temp20;
  op = (vtkStringToCategory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToCategory::GetCategoryArrayName();
      }
    else
      {
      temp20 = op->GetCategoryArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStringToCategoryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStringToCategory_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStringToCategory_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStringToCategory_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStringToCategory\nC++: vtkStringToCategory *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStringToCategory_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStringToCategory\nC++: vtkStringToCategory *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCategoryArrayName",                (PyCFunction)PyvtkStringToCategory_SetCategoryArrayName, 1,
   (char*)"V.SetCategoryArrayName(string)\nC++: void SetCategoryArrayName (char *);\n\n The name to give to the output vtkIntArray of category values.\n"},
  {(char*)"GetCategoryArrayName",                (PyCFunction)PyvtkStringToCategory_GetCategoryArrayName, 1,
   (char*)"V.GetCategoryArrayName() -> string\nC++: char *GetCategoryArrayName ();\n\n The name to give to the output vtkIntArray of category values.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStringToCategoryDoc[] = {
  (char*)"vtkStringToCategory - Creates a category array from a string array\n\n",
  "Super Class:\n\n vtkDataObjectAlgorithm\n\n",
  (char*)" vtkStringToCategory creates an integer array named \"category\" based on the\n values in a string array.  You may use this filter to create an array that\n you may use to color points/cells by the values in a string array.  Currently\n there is not support to color by a string array directly.\n The category values will range from zero to N-1,\n where N is the number of distinct strings in the string arr",
  (char*)"ay.  Set the string\n array to process with SetInputArrayToProcess(0,0,0,...).  The array may be in\n the point, cell, or field data of the data object.\n\n",
  NULL
};

static vtkObjectBase *vtkStringToCategoryStaticNew()
{
  return vtkStringToCategory::New();
}

PyObject *PyVTKClass_vtkStringToCategoryNew(char *modulename)
{
  return PyVTKClass_New(&vtkStringToCategoryStaticNew,
                        PyvtkStringToCategoryMethods,
                        (char*)"vtkStringToCategory",modulename,
                        (char**)vtkStringToCategoryDoc,
                        PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
}

