// python wrapper for vtkStringToNumeric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStringToNumeric.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStringToNumericNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStringToNumericNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }

static PyObject *PyvtkStringToNumeric_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  const char    *temp20;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToNumeric::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  char    *temp0;
  int      temp20;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToNumeric::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  vtkStringToNumeric  *temp20;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToNumeric::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStringToNumeric  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStringToNumeric::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStringToNumeric_SetConvertFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  bool   temp0;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::SetConvertFieldData(temp0);
      }
    else
      {
      op->SetConvertFieldData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_GetConvertFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  bool   temp20;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToNumeric::GetConvertFieldData();
      }
    else
      {
      temp20 = op->GetConvertFieldData();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_ConvertFieldDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::ConvertFieldDataOn();
      }
    else
      {
      op->ConvertFieldDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_ConvertFieldDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::ConvertFieldDataOff();
      }
    else
      {
      op->ConvertFieldDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_SetConvertPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  bool   temp0;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::SetConvertPointData(temp0);
      }
    else
      {
      op->SetConvertPointData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_GetConvertPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  bool   temp20;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToNumeric::GetConvertPointData();
      }
    else
      {
      temp20 = op->GetConvertPointData();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_ConvertPointDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::ConvertPointDataOn();
      }
    else
      {
      op->ConvertPointDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_ConvertPointDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::ConvertPointDataOff();
      }
    else
      {
      op->ConvertPointDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_SetConvertCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  bool   temp0;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::SetConvertCellData(temp0);
      }
    else
      {
      op->SetConvertCellData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_GetConvertCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  bool   temp20;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToNumeric::GetConvertCellData();
      }
    else
      {
      temp20 = op->GetConvertCellData();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_ConvertCellDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::ConvertCellDataOn();
      }
    else
      {
      op->ConvertCellDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_ConvertCellDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::ConvertCellDataOff();
      }
    else
      {
      op->ConvertCellDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_SetConvertVertexData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  bool   temp0;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::SetConvertVertexData(temp0);
      }
    else
      {
      op->SetConvertVertexData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_GetConvertVertexData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  bool   temp20;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToNumeric::GetConvertVertexData();
      }
    else
      {
      temp20 = op->GetConvertVertexData();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_ConvertVertexDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::ConvertVertexDataOn();
      }
    else
      {
      op->ConvertVertexDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_ConvertVertexDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::ConvertVertexDataOff();
      }
    else
      {
      op->ConvertVertexDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_SetConvertEdgeData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  bool   temp0;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::SetConvertEdgeData(temp0);
      }
    else
      {
      op->SetConvertEdgeData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_GetConvertEdgeData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  bool   temp20;
  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToNumeric::GetConvertEdgeData();
      }
    else
      {
      temp20 = op->GetConvertEdgeData();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_ConvertEdgeDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::ConvertEdgeDataOn();
      }
    else
      {
      op->ConvertEdgeDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToNumeric_ConvertEdgeDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToNumeric::ConvertEdgeDataOff();
      }
    else
      {
      op->ConvertEdgeDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStringToNumericMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStringToNumeric_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStringToNumeric_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStringToNumeric_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStringToNumeric\nC++: vtkStringToNumeric *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStringToNumeric_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStringToNumeric\nC++: vtkStringToNumeric *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetConvertFieldData",                (PyCFunction)PyvtkStringToNumeric_SetConvertFieldData, 1,
   (char*)"V.SetConvertFieldData(bool)\nC++: void SetConvertFieldData (bool );\n\n Whether to detect and convert field data arrays.  Default is on.\n"},
  {(char*)"GetConvertFieldData",                (PyCFunction)PyvtkStringToNumeric_GetConvertFieldData, 1,
   (char*)"V.GetConvertFieldData() -> bool\nC++: bool GetConvertFieldData ();\n\n Whether to detect and convert field data arrays.  Default is on.\n"},
  {(char*)"ConvertFieldDataOn",                (PyCFunction)PyvtkStringToNumeric_ConvertFieldDataOn, 1,
   (char*)"V.ConvertFieldDataOn()\nC++: void ConvertFieldDataOn ();\n\n Whether to detect and convert field data arrays.  Default is on.\n"},
  {(char*)"ConvertFieldDataOff",                (PyCFunction)PyvtkStringToNumeric_ConvertFieldDataOff, 1,
   (char*)"V.ConvertFieldDataOff()\nC++: void ConvertFieldDataOff ();\n\n Whether to detect and convert field data arrays.  Default is on.\n"},
  {(char*)"SetConvertPointData",                (PyCFunction)PyvtkStringToNumeric_SetConvertPointData, 1,
   (char*)"V.SetConvertPointData(bool)\nC++: void SetConvertPointData (bool );\n\n Whether to detect and convert cell data arrays.  Default is on.\n"},
  {(char*)"GetConvertPointData",                (PyCFunction)PyvtkStringToNumeric_GetConvertPointData, 1,
   (char*)"V.GetConvertPointData() -> bool\nC++: bool GetConvertPointData ();\n\n Whether to detect and convert cell data arrays.  Default is on.\n"},
  {(char*)"ConvertPointDataOn",                (PyCFunction)PyvtkStringToNumeric_ConvertPointDataOn, 1,
   (char*)"V.ConvertPointDataOn()\nC++: void ConvertPointDataOn ();\n\n Whether to detect and convert cell data arrays.  Default is on.\n"},
  {(char*)"ConvertPointDataOff",                (PyCFunction)PyvtkStringToNumeric_ConvertPointDataOff, 1,
   (char*)"V.ConvertPointDataOff()\nC++: void ConvertPointDataOff ();\n\n Whether to detect and convert cell data arrays.  Default is on.\n"},
  {(char*)"SetConvertCellData",                (PyCFunction)PyvtkStringToNumeric_SetConvertCellData, 1,
   (char*)"V.SetConvertCellData(bool)\nC++: void SetConvertCellData (bool );\n\n Whether to detect and convert point data arrays.  Default is on.\n"},
  {(char*)"GetConvertCellData",                (PyCFunction)PyvtkStringToNumeric_GetConvertCellData, 1,
   (char*)"V.GetConvertCellData() -> bool\nC++: bool GetConvertCellData ();\n\n Whether to detect and convert point data arrays.  Default is on.\n"},
  {(char*)"ConvertCellDataOn",                (PyCFunction)PyvtkStringToNumeric_ConvertCellDataOn, 1,
   (char*)"V.ConvertCellDataOn()\nC++: void ConvertCellDataOn ();\n\n Whether to detect and convert point data arrays.  Default is on.\n"},
  {(char*)"ConvertCellDataOff",                (PyCFunction)PyvtkStringToNumeric_ConvertCellDataOff, 1,
   (char*)"V.ConvertCellDataOff()\nC++: void ConvertCellDataOff ();\n\n Whether to detect and convert point data arrays.  Default is on.\n"},
  {(char*)"SetConvertVertexData",                (PyCFunction)PyvtkStringToNumeric_SetConvertVertexData, 1,
   (char*)"V.SetConvertVertexData(bool)\nC++: virtual void SetConvertVertexData (bool b);this SetConvertPointData b \n\n Whether to detect and convert vertex data arrays.  Default is on.\n"},
  {(char*)"GetConvertVertexData",                (PyCFunction)PyvtkStringToNumeric_GetConvertVertexData, 1,
   (char*)"V.GetConvertVertexData() -> bool\nC++: virtual bool GetConvertVertexData ();return this GetConvertPointData \n\n Whether to detect and convert vertex data arrays.  Default is on.\n"},
  {(char*)"ConvertVertexDataOn",                (PyCFunction)PyvtkStringToNumeric_ConvertVertexDataOn, 1,
   (char*)"V.ConvertVertexDataOn()\nC++: void ConvertVertexDataOn ();\n\n Whether to detect and convert vertex data arrays.  Default is on.\n"},
  {(char*)"ConvertVertexDataOff",                (PyCFunction)PyvtkStringToNumeric_ConvertVertexDataOff, 1,
   (char*)"V.ConvertVertexDataOff()\nC++: void ConvertVertexDataOff ();\n\n Whether to detect and convert vertex data arrays.  Default is on.\n"},
  {(char*)"SetConvertEdgeData",                (PyCFunction)PyvtkStringToNumeric_SetConvertEdgeData, 1,
   (char*)"V.SetConvertEdgeData(bool)\nC++: virtual void SetConvertEdgeData (bool b);this SetConvertCellData b \n\n Whether to detect and convert edge data arrays.  Default is on.\n"},
  {(char*)"GetConvertEdgeData",                (PyCFunction)PyvtkStringToNumeric_GetConvertEdgeData, 1,
   (char*)"V.GetConvertEdgeData() -> bool\nC++: virtual bool GetConvertEdgeData ();return this GetConvertCellData \n\n Whether to detect and convert edge data arrays.  Default is on.\n"},
  {(char*)"ConvertEdgeDataOn",                (PyCFunction)PyvtkStringToNumeric_ConvertEdgeDataOn, 1,
   (char*)"V.ConvertEdgeDataOn()\nC++: void ConvertEdgeDataOn ();\n\n Whether to detect and convert edge data arrays.  Default is on.\n"},
  {(char*)"ConvertEdgeDataOff",                (PyCFunction)PyvtkStringToNumeric_ConvertEdgeDataOff, 1,
   (char*)"V.ConvertEdgeDataOff()\nC++: void ConvertEdgeDataOff ();\n\n Whether to detect and convert edge data arrays.  Default is on.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStringToNumericDoc[] = {
  (char*)"vtkStringToNumeric - Converts string arrays to numeric arrays\n\n",
  "Super Class:\n\n vtkDataObjectAlgorithm\n\n",
  (char*)" vtkStringToNumeric is a filter for converting a string array\n into a numeric arrays.\n\n",
  NULL
};

static vtkObjectBase *vtkStringToNumericStaticNew()
{
  return vtkStringToNumeric::New();
}

PyObject *PyVTKClass_vtkStringToNumericNew(char *modulename)
{
  return PyVTKClass_New(&vtkStringToNumericStaticNew,
                        PyvtkStringToNumericMethods,
                        (char*)"vtkStringToNumeric",modulename,
                        (char**)vtkStringToNumericDoc,
                        PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
}

