// tcl wrapper for vtkStringToNumeric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStringToNumeric.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkStringToNumericNewCommand()
{
  vtkStringToNumeric *temp = vtkStringToNumeric::New();
  return static_cast<ClientData>(temp);
}

int vtkDataObjectAlgorithmCppCommand(vtkDataObjectAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStringToNumericCppCommand(vtkStringToNumeric *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStringToNumericCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStringToNumericCppCommand(static_cast<vtkStringToNumeric *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStringToNumericCppCommand(vtkStringToNumeric *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStringToNumeric",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObjectAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkStringToNumeric  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringToNumeric");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStringToNumeric  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringToNumeric");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkStringToNumeric  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringToNumeric");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetConvertFieldData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetConvertFieldData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvertFieldData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetConvertFieldData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConvertFieldDataOn",argv[1]))&&(argc == 2))
    {
    op->ConvertFieldDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertFieldDataOff",argv[1]))&&(argc == 2))
    {
    op->ConvertFieldDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertPointData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetConvertPointData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvertPointData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetConvertPointData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConvertPointDataOn",argv[1]))&&(argc == 2))
    {
    op->ConvertPointDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertPointDataOff",argv[1]))&&(argc == 2))
    {
    op->ConvertPointDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertCellData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetConvertCellData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvertCellData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetConvertCellData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConvertCellDataOn",argv[1]))&&(argc == 2))
    {
    op->ConvertCellDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertCellDataOff",argv[1]))&&(argc == 2))
    {
    op->ConvertCellDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertVertexData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetConvertVertexData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvertVertexData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetConvertVertexData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConvertVertexDataOn",argv[1]))&&(argc == 2))
    {
    op->ConvertVertexDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertVertexDataOff",argv[1]))&&(argc == 2))
    {
    op->ConvertVertexDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConvertEdgeData",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetConvertEdgeData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvertEdgeData",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetConvertEdgeData();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConvertEdgeDataOn",argv[1]))&&(argc == 2))
    {
    op->ConvertEdgeDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertEdgeDataOff",argv[1]))&&(argc == 2))
    {
    op->ConvertEdgeDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStringToNumericCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStringToNumeric:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertFieldData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertFieldData\n",NULL);
    Tcl_AppendResult(interp,"  ConvertFieldDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertFieldDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertPointData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertPointData\n",NULL);
    Tcl_AppendResult(interp,"  ConvertPointDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertPointDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertCellData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertCellData\n",NULL);
    Tcl_AppendResult(interp,"  ConvertCellDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertCellDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertVertexData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertVertexData\n",NULL);
    Tcl_AppendResult(interp,"  ConvertVertexDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertVertexDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConvertEdgeData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvertEdgeData\n",NULL);
    Tcl_AppendResult(interp,"  ConvertEdgeDataOn\n",NULL);
    Tcl_AppendResult(interp,"  ConvertEdgeDataOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetConvertFieldData" );
    Tcl_DStringAppendElement ( &dString, "GetConvertFieldData" );
    Tcl_DStringAppendElement ( &dString, "ConvertFieldDataOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertFieldDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetConvertPointData" );
    Tcl_DStringAppendElement ( &dString, "GetConvertPointData" );
    Tcl_DStringAppendElement ( &dString, "ConvertPointDataOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertPointDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetConvertCellData" );
    Tcl_DStringAppendElement ( &dString, "GetConvertCellData" );
    Tcl_DStringAppendElement ( &dString, "ConvertCellDataOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertCellDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetConvertVertexData" );
    Tcl_DStringAppendElement ( &dString, "GetConvertVertexData" );
    Tcl_DStringAppendElement ( &dString, "ConvertVertexDataOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertVertexDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetConvertEdgeData" );
    Tcl_DStringAppendElement ( &dString, "GetConvertEdgeData" );
    Tcl_DStringAppendElement ( &dString, "ConvertEdgeDataOn" );
    Tcl_DStringAppendElement ( &dString, "ConvertEdgeDataOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkStringToNumeric *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertFieldData */
    if ( strcmp ( argv[2], "SetConvertFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertFieldData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert field data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConvertFieldData (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetConvertFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertFieldData */
    if ( strcmp ( argv[2], "GetConvertFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertFieldData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert field data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetConvertFieldData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetConvertFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertFieldDataOn */
    if ( strcmp ( argv[2], "ConvertFieldDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertFieldDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertFieldDataOn */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert field data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertFieldDataOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertFieldDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertFieldDataOff */
    if ( strcmp ( argv[2], "ConvertFieldDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertFieldDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertFieldDataOff */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert field data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertFieldDataOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertFieldDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertPointData */
    if ( strcmp ( argv[2], "SetConvertPointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertPointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertPointData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert cell data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConvertPointData (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetConvertPointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertPointData */
    if ( strcmp ( argv[2], "GetConvertPointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertPointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertPointData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert cell data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetConvertPointData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetConvertPointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertPointDataOn */
    if ( strcmp ( argv[2], "ConvertPointDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertPointDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertPointDataOn */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert cell data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertPointDataOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertPointDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertPointDataOff */
    if ( strcmp ( argv[2], "ConvertPointDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertPointDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertPointDataOff */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert cell data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertPointDataOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertPointDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertCellData */
    if ( strcmp ( argv[2], "SetConvertCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertCellData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert point data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConvertCellData (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetConvertCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertCellData */
    if ( strcmp ( argv[2], "GetConvertCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertCellData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert point data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetConvertCellData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetConvertCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertCellDataOn */
    if ( strcmp ( argv[2], "ConvertCellDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertCellDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertCellDataOn */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert point data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertCellDataOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertCellDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertCellDataOff */
    if ( strcmp ( argv[2], "ConvertCellDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertCellDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertCellDataOff */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert point data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertCellDataOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertCellDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertVertexData */
    if ( strcmp ( argv[2], "SetConvertVertexData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertVertexData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertVertexData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert vertex data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetConvertVertexData (bool b);this SetConvertPointData b " );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetConvertVertexData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertVertexData */
    if ( strcmp ( argv[2], "GetConvertVertexData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertVertexData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertVertexData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert vertex data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetConvertVertexData ();return this GetConvertPointData " );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetConvertVertexData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertVertexDataOn */
    if ( strcmp ( argv[2], "ConvertVertexDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertVertexDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertVertexDataOn */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert vertex data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertVertexDataOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertVertexDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertVertexDataOff */
    if ( strcmp ( argv[2], "ConvertVertexDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertVertexDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertVertexDataOff */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert vertex data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertVertexDataOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertVertexDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConvertEdgeData */
    if ( strcmp ( argv[2], "SetConvertEdgeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConvertEdgeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConvertEdgeData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert edge data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetConvertEdgeData (bool b);this SetConvertCellData b " );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for SetConvertEdgeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConvertEdgeData */
    if ( strcmp ( argv[2], "GetConvertEdgeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConvertEdgeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConvertEdgeData */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert edge data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetConvertEdgeData ();return this GetConvertCellData " );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for GetConvertEdgeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertEdgeDataOn */
    if ( strcmp ( argv[2], "ConvertEdgeDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertEdgeDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertEdgeDataOn */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert edge data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertEdgeDataOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertEdgeDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertEdgeDataOff */
    if ( strcmp ( argv[2], "ConvertEdgeDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertEdgeDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertEdgeDataOff */
    Tcl_DStringAppendElement ( &dString, " Whether to detect and convert edge data arrays.  Default is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void ConvertEdgeDataOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStringToNumeric" );
    /* Closing for ConvertEdgeDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
