// python wrapper for vtkStringToTimePoint object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStringToTimePoint.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStringToTimePointNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStringToTimePointNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }

static PyObject *PyvtkStringToTimePoint_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToTimePoint *op;

  const char    *temp20;
  op = (vtkStringToTimePoint *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToTimePoint::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToTimePoint_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToTimePoint *op;

  char    *temp0;
  int      temp20;
  op = (vtkStringToTimePoint *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToTimePoint::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToTimePoint_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToTimePoint *op;

  vtkStringToTimePoint  *temp20;
  op = (vtkStringToTimePoint *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToTimePoint::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToTimePoint_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStringToTimePoint  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStringToTimePoint::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStringToTimePoint_SetOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToTimePoint *op;

  char    *temp0;
  op = (vtkStringToTimePoint *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringToTimePoint::SetOutputArrayName(temp0);
      }
    else
      {
      op->SetOutputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringToTimePoint_GetOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringToTimePoint *op;

  char    *temp20;
  op = (vtkStringToTimePoint *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringToTimePoint::GetOutputArrayName();
      }
    else
      {
      temp20 = op->GetOutputArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStringToTimePointMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStringToTimePoint_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStringToTimePoint_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStringToTimePoint_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStringToTimePoint\nC++: vtkStringToTimePoint *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStringToTimePoint_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStringToTimePoint\nC++: vtkStringToTimePoint *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutputArrayName",                (PyCFunction)PyvtkStringToTimePoint_SetOutputArrayName, 1,
   (char*)"V.SetOutputArrayName(string)\nC++: void SetOutputArrayName (char *);\n\n The name of the output array.\n If this is not specified, the name will be the same as the input\n array name with either \" [to datetime]\", \" [to date]\", or \" [to time]\"\n appended.\n"},
  {(char*)"GetOutputArrayName",                (PyCFunction)PyvtkStringToTimePoint_GetOutputArrayName, 1,
   (char*)"V.GetOutputArrayName() -> string\nC++: char *GetOutputArrayName ();\n\n The name of the output array.\n If this is not specified, the name will be the same as the input\n array name with either \" [to datetime]\", \" [to date]\", or \" [to time]\"\n appended.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStringToTimePointDoc[] = {
  (char*)"vtkStringToTimePoint - Converts a string array to a integral time array\n\n",
  "Super Class:\n\n vtkDataObjectAlgorithm\n\n",
  (char*)"\n vtkStringToTimePoint is a filter for converting a string array\n into a datetime, time or date array.  The input strings must\n conform to one of the ISO8601 formats defined in vtkTimePointUtility.\n\n The input array specified by SetInputArrayToProcess(...)\n indicates the array to process.  This array must be of type\n vtkStringArray.\n\n The output array will be of type vtkTypeUInt64Array.\n\n",
  NULL
};

static vtkObjectBase *vtkStringToTimePointStaticNew()
{
  return vtkStringToTimePoint::New();
}

PyObject *PyVTKClass_vtkStringToTimePointNew(char *modulename)
{
  return PyVTKClass_New(&vtkStringToTimePointStaticNew,
                        PyvtkStringToTimePointMethods,
                        (char*)"vtkStringToTimePoint",modulename,
                        (char**)vtkStringToTimePointDoc,
                        PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
}

