// python wrapper for vtkTableToGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTableToGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableToGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableToGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkTableToGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  const char    *temp20;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  vtkTableToGraph  *temp20;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTableToGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTableToGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTableToGraph_AddLinkVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"zzi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToGraph::AddLinkVertex(temp0,temp1,temp2);
      }
    else
      {
      op->AddLinkVertex(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_ClearLinkVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToGraph::ClearLinkVertices();
      }
    else
      {
      op->ClearLinkVertices();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_AddLinkEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  char    *temp0;
  char    *temp1;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToGraph::AddLinkEdge(temp0,temp1);
      }
    else
      {
      op->AddLinkEdge(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_ClearLinkEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToGraph::ClearLinkEdges();
      }
    else
      {
      op->ClearLinkEdges();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_GetLinkGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  vtkMutableDirectedGraph  *temp20;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToGraph::GetLinkGraph();
      }
    else
      {
      temp20 = op->GetLinkGraph();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_SetLinkGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  vtkMutableDirectedGraph  *temp0;
  PyObject *tempH0;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMutableDirectedGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMutableDirectedGraph");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToGraph::SetLinkGraph(temp0);
      }
    else
      {
      op->SetLinkGraph(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkTableToGraph_LinkColumnPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  vtkStringArray  *temp1;
  PyObject *tempH1;
  vtkBitArray  *temp2;
  PyObject *tempH2;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break10;
    temp1 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkStringArray");
    if (!temp1 && tempH1 != Py_None) goto break10;
    temp2 = (vtkBitArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkBitArray");
    if (!temp2 && tempH2 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToGraph::LinkColumnPath(temp0,temp1,temp2);
      }
    else
      {
      op->LinkColumnPath(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkTableToGraph_SetDirected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  bool   temp0;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToGraph::SetDirected(temp0);
      }
    else
      {
      op->SetDirected(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_GetDirected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  bool   temp20;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToGraph::GetDirected();
      }
    else
      {
      temp20 = op->GetDirected();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_DirectedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToGraph::DirectedOn();
      }
    else
      {
      op->DirectedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_DirectedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToGraph::DirectedOff();
      }
    else
      {
      op->DirectedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  unsigned long     temp20;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToGraph::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToGraph_SetVertexTableConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToGraph *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkTableToGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToGraph::SetVertexTableConnection(temp0);
      }
    else
      {
      op->SetVertexTableConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}

static PyMethodDef PyvtkTableToGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTableToGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTableToGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTableToGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTableToGraph\nC++: vtkTableToGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTableToGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTableToGraph\nC++: vtkTableToGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddLinkVertex",                (PyCFunction)PyvtkTableToGraph_AddLinkVertex, 1,
   (char*)"V.AddLinkVertex(string, string, int)\nC++: void AddLinkVertex (const char *column, const char *domain, int hidden);\n\n Add a vertex to the link graph.  Specify the column name, the domain name\n for the column, and whether the column is hidden.\n"},
  {(char*)"ClearLinkVertices",                (PyCFunction)PyvtkTableToGraph_ClearLinkVertices, 1,
   (char*)"V.ClearLinkVertices()\nC++: void ClearLinkVertices ();\n\n Clear the link graph vertices.  This also clears all edges.\n"},
  {(char*)"AddLinkEdge",                (PyCFunction)PyvtkTableToGraph_AddLinkEdge, 1,
   (char*)"V.AddLinkEdge(string, string)\nC++: void AddLinkEdge (const char *column1, const char *column2);\n\n Add an edge to the link graph.  Specify the names of the columns to link.\n"},
  {(char*)"ClearLinkEdges",                (PyCFunction)PyvtkTableToGraph_ClearLinkEdges, 1,
   (char*)"V.ClearLinkEdges()\nC++: void ClearLinkEdges ();\n\n Clear the link graph edges.  The graph vertices will remain.\n"},
  {(char*)"GetLinkGraph",                (PyCFunction)PyvtkTableToGraph_GetLinkGraph, 1,
   (char*)"V.GetLinkGraph() -> vtkMutableDirectedGraph\nC++: vtkMutableDirectedGraph *GetLinkGraph ();\n\n The graph describing how to link the columns in the table.\n"},
  {(char*)"SetLinkGraph",                (PyCFunction)PyvtkTableToGraph_SetLinkGraph, 1,
   (char*)"V.SetLinkGraph(vtkMutableDirectedGraph)\nC++: void SetLinkGraph (vtkMutableDirectedGraph *g);\n\n The graph describing how to link the columns in the table.\n"},
  {(char*)"LinkColumnPath",                (PyCFunction)PyvtkTableToGraph_LinkColumnPath, 1,
   (char*)"V.LinkColumnPath(vtkStringArray, vtkStringArray, vtkBitArray)\nC++: void LinkColumnPath (vtkStringArray *column, vtkStringArray *domain, vtkBitArray *hidden);\n\n Links the columns in a specific order.\n This creates a simple path as the link graph.\n"},
  {(char*)"SetDirected",                (PyCFunction)PyvtkTableToGraph_SetDirected, 1,
   (char*)"V.SetDirected(bool)\nC++: void SetDirected (bool );\n\n Specify the directedness of the output graph.\n"},
  {(char*)"GetDirected",                (PyCFunction)PyvtkTableToGraph_GetDirected, 1,
   (char*)"V.GetDirected() -> bool\nC++: bool GetDirected ();\n\n Specify the directedness of the output graph.\n"},
  {(char*)"DirectedOn",                (PyCFunction)PyvtkTableToGraph_DirectedOn, 1,
   (char*)"V.DirectedOn()\nC++: void DirectedOn ();\n\n Specify the directedness of the output graph.\n"},
  {(char*)"DirectedOff",                (PyCFunction)PyvtkTableToGraph_DirectedOff, 1,
   (char*)"V.DirectedOff()\nC++: void DirectedOff ();\n\n Specify the directedness of the output graph.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTableToGraph_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Get the current modified time.\n"},
  {(char*)"SetVertexTableConnection",                (PyCFunction)PyvtkTableToGraph_SetVertexTableConnection, 1,
   (char*)"V.SetVertexTableConnection(vtkAlgorithmOutput)\nC++: void SetVertexTableConnection (vtkAlgorithmOutput *in);\n\n A convenience method for setting the vertex table input.  This\n is mainly for the benefit of the VTK client/server layer,\n vanilla VTK code should use e.g:\n\n table_to_graph->SetInputConnection(1, vertex_table->output());\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTableToGraphDoc[] = {
  (char*)"vtkTableToGraph - convert a vtkTable into a vtkGraph\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" vtkTableToGraph converts a table to a graph using an auxilliary \n link graph.  The link graph specifies how each row in the table\n should be converted to an edge, or a collection of edges.  It also\n specifies which columns of the table should be considered part of\n the same domain, and which columns should be hidden.\n\n A second, optional, table may be provided as the vertex table.\n This vertex ta",
  (char*)"ble must have one or more domain columns whose values\n match values in the edge table.  The linked column name is specified in\n the domain array in the link graph.  The output graph will only contain\n vertices corresponding to a row in the vertex table.  For heterogenous\n graphs, you may want to use vtkMergeTables to create a single vertex table.\n\n The link graph contains the following arrays:\n\n (",
  (char*)"1) The \"column\" array has the names of the columns to connect in each table row.\n This array is required.\n\n (2) The optional \"domain\" array provides user-defined domain names for each column.\n Matching domains in multiple columns will merge vertices with the same\n value from those columns.  By default, all columns are in the same domain.\n If a vertex table is supplied, the domain indicates the col",
  (char*)"umn in the vertex\n table that the edge table column associates with.  If the user provides a\n vertex table but no domain names, the output will be an empty graph.\n Hidden columns do not need valid domain names.\n\n (3) The optional \"hidden\" array is a bit array specifying whether the column should be\n hidden.  The resulting graph will contain edges representing connections\n \"through\" the hidden colu",
  (char*)"mn, but the vertices for that column will not \n be present.  By default, no columns are hidden.  Hiding a column\n in a particular domain hides all columns in that domain.\n\n The output graph will contain three additional arrays in the vertex data.\n The \"domain\" column is a string array containing the domain of each vertex.\n The \"value\" column is a string version of the distinct value that, along\n w",
  (char*)"ith the domain, defines that vertex. The \"variantvalue\" column also contains\n the distinguishing value, but as a vtkVariant holding the raw value instead\n of being converted to a string.\n\n",
  NULL
};

static vtkObjectBase *vtkTableToGraphStaticNew()
{
  return vtkTableToGraph::New();
}

PyObject *PyVTKClass_vtkTableToGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkTableToGraphStaticNew,
                        PyvtkTableToGraphMethods,
                        (char*)"vtkTableToGraph",modulename,
                        (char**)vtkTableToGraphDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

