// python wrapper for vtkTableToTreeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTableToTreeFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableToTreeFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableToTreeFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkTableToTreeFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToTreeFilter *op;

  const char    *temp20;
  op = (vtkTableToTreeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToTreeFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToTreeFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToTreeFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTableToTreeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToTreeFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToTreeFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToTreeFilter *op;

  vtkTableToTreeFilter  *temp20;
  op = (vtkTableToTreeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToTreeFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToTreeFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTableToTreeFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTableToTreeFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTableToTreeFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTableToTreeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTableToTreeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTableToTreeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTableToTreeFilter\nC++: vtkTableToTreeFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTableToTreeFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTableToTreeFilter\nC++: vtkTableToTreeFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTableToTreeFilterDoc[] = {
  (char*)"vtkTableToTreeFilter - Filter that converts a vtkTable to a vtkTree\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)"\n vtkTableToTreeFilter is a filter for converting a vtkTable data structure\n into a vtkTree datastructure.  Currently, this will convert the table into\n a star, with each row of the table as a child of a new root node.\n The columns of the table are passed as node fields of the tree.\n\n",
  NULL
};

static vtkObjectBase *vtkTableToTreeFilterStaticNew()
{
  return vtkTableToTreeFilter::New();
}

PyObject *PyVTKClass_vtkTableToTreeFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTableToTreeFilterStaticNew,
                        PyvtkTableToTreeFilterMethods,
                        (char*)"vtkTableToTreeFilter",modulename,
                        (char**)vtkTableToTreeFilterDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

