// python wrapper for vtkThresholdTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkThresholdTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkThresholdTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkThresholdTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkThresholdTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTable *op;

  const char    *temp20;
  op = (vtkThresholdTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTable *op;

  char    *temp0;
  int      temp20;
  op = (vtkThresholdTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTable *op;

  vtkThresholdTable  *temp20;
  op = (vtkThresholdTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkThresholdTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkThresholdTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkThresholdTable_SetMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTable *op;

  int      temp0;
  op = (vtkThresholdTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdTable::SetMode(temp0);
      }
    else
      {
      op->SetMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTable_GetModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTable *op;

  int      temp20;
  op = (vtkThresholdTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTable::GetModeMinValue();
      }
    else
      {
      temp20 = op->GetModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTable_GetModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTable *op;

  int      temp20;
  op = (vtkThresholdTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTable::GetModeMaxValue();
      }
    else
      {
      temp20 = op->GetModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTable_GetMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTable *op;

  int      temp20;
  op = (vtkThresholdTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTable::GetMode();
      }
    else
      {
      temp20 = op->GetMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTable_SetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTable *op;

  double   temp0;
  op = (vtkThresholdTable *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdTable::SetMinValue(temp0);
      }
    else
      {
      op->SetMinValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTable_SetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTable *op;

  double   temp0;
  op = (vtkThresholdTable *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdTable::SetMaxValue(temp0);
      }
    else
      {
      op->SetMaxValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkThresholdTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkThresholdTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkThresholdTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkThresholdTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkThresholdTable\nC++: vtkThresholdTable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkThresholdTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkThresholdTable\nC++: vtkThresholdTable *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMode",                (PyCFunction)PyvtkThresholdTable_SetMode, 1,
   (char*)"V.SetMode(int)\nC++: void SetMode (int );\n\n The mode of the threshold filter.  Options are:\n ACCEPT_LESS_THAN (0) accepts rows with values < MaxValue;\n ACCEPT_GREATER_THAN (1) accepts rows with values > MinValue;\n ACCEPT_BETWEEN (2) accepts rows with values > MinValue and < MaxValue;\n ACCEPT_OUTSIDE (3) accepts rows with values < MinValue or > MaxValue.\n"},
  {(char*)"GetModeMinValue",                (PyCFunction)PyvtkThresholdTable_GetModeMinValue, 1,
   (char*)"V.GetModeMinValue() -> int\nC++: int GetModeMinValue ();\n\n The mode of the threshold filter.  Options are:\n ACCEPT_LESS_THAN (0) accepts rows with values < MaxValue;\n ACCEPT_GREATER_THAN (1) accepts rows with values > MinValue;\n ACCEPT_BETWEEN (2) accepts rows with values > MinValue and < MaxValue;\n ACCEPT_OUTSIDE (3) accepts rows with values < MinValue or > MaxValue.\n"},
  {(char*)"GetModeMaxValue",                (PyCFunction)PyvtkThresholdTable_GetModeMaxValue, 1,
   (char*)"V.GetModeMaxValue() -> int\nC++: int GetModeMaxValue ();\n\n The mode of the threshold filter.  Options are:\n ACCEPT_LESS_THAN (0) accepts rows with values < MaxValue;\n ACCEPT_GREATER_THAN (1) accepts rows with values > MinValue;\n ACCEPT_BETWEEN (2) accepts rows with values > MinValue and < MaxValue;\n ACCEPT_OUTSIDE (3) accepts rows with values < MinValue or > MaxValue.\n"},
  {(char*)"GetMode",                (PyCFunction)PyvtkThresholdTable_GetMode, 1,
   (char*)"V.GetMode() -> int\nC++: int GetMode ();\n\n The mode of the threshold filter.  Options are:\n ACCEPT_LESS_THAN (0) accepts rows with values < MaxValue;\n ACCEPT_GREATER_THAN (1) accepts rows with values > MinValue;\n ACCEPT_BETWEEN (2) accepts rows with values > MinValue and < MaxValue;\n ACCEPT_OUTSIDE (3) accepts rows with values < MinValue or > MaxValue.\n"},
  {(char*)"SetMinValue",                (PyCFunction)PyvtkThresholdTable_SetMinValue, 1,
   (char*)"V.SetMinValue(float)\nC++: void SetMinValue (double v);this SetMinValue vtkVariant v \n\n The maximum value for the threshold as a double.\n"},
  {(char*)"SetMaxValue",                (PyCFunction)PyvtkThresholdTable_SetMaxValue, 1,
   (char*)"V.SetMaxValue(float)\nC++: void SetMaxValue (double v);this SetMaxValue vtkVariant v \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkThresholdTableDoc[] = {
  (char*)"vtkThresholdTable - Thresholds table rows.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" vtkThresholdTable uses minimum and/or maximum values to threshold\n table rows based on the values in a particular column.\n The column to threshold is specified using SetInputArrayToProcess(0, ...).\n\n",
  NULL
};

static vtkObjectBase *vtkThresholdTableStaticNew()
{
  return vtkThresholdTable::New();
}

PyObject *PyVTKClass_vtkThresholdTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkThresholdTableStaticNew,
                        PyvtkThresholdTableMethods,
                        (char*)"vtkThresholdTable",modulename,
                        (char**)vtkThresholdTableDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

