// python wrapper for vtkTimePointToString object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTimePointToString.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTimePointToStringNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTimePointToStringNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }

static PyObject *PyvtkTimePointToString_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimePointToString *op;

  const char    *temp20;
  op = (vtkTimePointToString *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimePointToString::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointToString_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimePointToString *op;

  char    *temp0;
  int      temp20;
  op = (vtkTimePointToString *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimePointToString::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointToString_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimePointToString *op;

  vtkTimePointToString  *temp20;
  op = (vtkTimePointToString *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimePointToString::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointToString_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTimePointToString  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTimePointToString::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTimePointToString_SetISO8601Format(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimePointToString *op;

  int      temp0;
  op = (vtkTimePointToString *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimePointToString::SetISO8601Format(temp0);
      }
    else
      {
      op->SetISO8601Format(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointToString_GetISO8601Format(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimePointToString *op;

  int      temp20;
  op = (vtkTimePointToString *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimePointToString::GetISO8601Format();
      }
    else
      {
      temp20 = op->GetISO8601Format();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointToString_SetOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimePointToString *op;

  char    *temp0;
  op = (vtkTimePointToString *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimePointToString::SetOutputArrayName(temp0);
      }
    else
      {
      op->SetOutputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointToString_GetOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimePointToString *op;

  char    *temp20;
  op = (vtkTimePointToString *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimePointToString::GetOutputArrayName();
      }
    else
      {
      temp20 = op->GetOutputArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTimePointToStringMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTimePointToString_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTimePointToString_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTimePointToString_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTimePointToString\nC++: vtkTimePointToString *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTimePointToString_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTimePointToString\nC++: vtkTimePointToString *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetISO8601Format",                (PyCFunction)PyvtkTimePointToString_SetISO8601Format, 1,
   (char*)"V.SetISO8601Format(int)\nC++: void SetISO8601Format (int );\n\n The format to use when converting the timestamp to a string.\n"},
  {(char*)"GetISO8601Format",                (PyCFunction)PyvtkTimePointToString_GetISO8601Format, 1,
   (char*)"V.GetISO8601Format() -> int\nC++: int GetISO8601Format ();\n\n The format to use when converting the timestamp to a string.\n"},
  {(char*)"SetOutputArrayName",                (PyCFunction)PyvtkTimePointToString_SetOutputArrayName, 1,
   (char*)"V.SetOutputArrayName(string)\nC++: void SetOutputArrayName (char *);\n\n The name of the output array.\n If this is not specified, the name will be the input array name with\n \" [to string]\" appended to it.\n"},
  {(char*)"GetOutputArrayName",                (PyCFunction)PyvtkTimePointToString_GetOutputArrayName, 1,
   (char*)"V.GetOutputArrayName() -> string\nC++: char *GetOutputArrayName ();\n\n The name of the output array.\n If this is not specified, the name will be the input array name with\n \" [to string]\" appended to it.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTimePointToStringDoc[] = {
  (char*)"vtkTimePointToString - Converts a timestamp array to a string array\n\n",
  "Super Class:\n\n vtkDataObjectAlgorithm\n\n",
  (char*)"\n vtkTimePointToString is a filter for converting a timestamp array\n into string array using one of the formats defined in vtkTimePointUtility.h.\n\n Use SetInputArrayToProcess to indicate the array to process.  \n This array must be an unsigned 64-bit integer array for \n DATETIME formats, and may be either an unsigned 32-bit or \n unsigned 64-bit array for DATE and TIME formats.\n\n If the new array na",
  (char*)"me is not specified, the array name will be\n the old name appended by \" [to string]\".\n\n",
  NULL
};

static vtkObjectBase *vtkTimePointToStringStaticNew()
{
  return vtkTimePointToString::New();
}

PyObject *PyVTKClass_vtkTimePointToStringNew(char *modulename)
{
  return PyVTKClass_New(&vtkTimePointToStringStaticNew,
                        PyvtkTimePointToStringMethods,
                        (char*)"vtkTimePointToString",modulename,
                        (char**)vtkTimePointToStringDoc,
                        PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
}

