// python wrapper for vtkTimePointUtility object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTimePointUtility.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTimePointUtilityNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTimePointUtilityNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTimePointUtility_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimePointUtility *op;

  const char    *temp20;
  op = (vtkTimePointUtility *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimePointUtility::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimePointUtility *op;

  char    *temp0;
  int      temp20;
  op = (vtkTimePointUtility *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimePointUtility::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimePointUtility *op;

  vtkTimePointUtility  *temp20;
  op = (vtkTimePointUtility *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimePointUtility::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTimePointUtility  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTimePointUtility::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTimePointUtility_DateToTimePoint(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  int      temp1;
  int      temp2;
  unsigned long long   temp20;
  if ((PyArg_ParseTuple(args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
      {
      temp20 = vtkTimePointUtility::DateToTimePoint(temp0,temp1,temp2);
      }
    return PyLong_FromUnsignedLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_TimeToTimePoint(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  unsigned long long   temp20;
  if ((PyArg_ParseTuple(args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3)))
    {
      {
      temp20 = vtkTimePointUtility::TimeToTimePoint(temp0,temp1,temp2,temp3);
      }
    return PyLong_FromUnsignedLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_DateTimeToTimePoint(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  unsigned long long   temp20;
  if ((PyArg_ParseTuple(args, (char*)"iiiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6)))
    {
      {
      temp20 = vtkTimePointUtility::DateTimeToTimePoint(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    return PyLong_FromUnsignedLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_GetYear(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned long long   temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"", &temp0)))
    {
      {
      temp20 = vtkTimePointUtility::GetYear(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_GetMonth(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned long long   temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"", &temp0)))
    {
      {
      temp20 = vtkTimePointUtility::GetMonth(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_GetDay(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned long long   temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"", &temp0)))
    {
      {
      temp20 = vtkTimePointUtility::GetDay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_GetHour(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned long long   temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"", &temp0)))
    {
      {
      temp20 = vtkTimePointUtility::GetHour(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_GetMinute(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned long long   temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"", &temp0)))
    {
      {
      temp20 = vtkTimePointUtility::GetMinute(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_GetSecond(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned long long   temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"", &temp0)))
    {
      {
      temp20 = vtkTimePointUtility::GetSecond(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_GetMillisecond(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned long long   temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"", &temp0)))
    {
      {
      temp20 = vtkTimePointUtility::GetMillisecond(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimePointUtility_TimePointToISO8601(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned long long   temp0;
  int      temp1;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0, &temp1)))
    {
      {
      temp20 = vtkTimePointUtility::TimePointToISO8601(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTimePointUtilityMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTimePointUtility_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTimePointUtility_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTimePointUtility_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTimePointUtility\nC++: vtkTimePointUtility *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTimePointUtility_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTimePointUtility\nC++: vtkTimePointUtility *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DateToTimePoint",                (PyCFunction)PyvtkTimePointUtility_DateToTimePoint, 1,
   (char*)"V.DateToTimePoint(int, int, int) -> int\nC++: static vtkTypeUInt64 DateToTimePoint (int year, int month, int day);\n\n Return the time point for 12:00am on a specified day.\n"},
  {(char*)"TimeToTimePoint",                (PyCFunction)PyvtkTimePointUtility_TimeToTimePoint, 1,
   (char*)"V.TimeToTimePoint(int, int, int, int) -> int\nC++: static vtkTypeUInt64 TimeToTimePoint (int hour, int minute, int second, int millis);\n\n Return the time point for a time of day (the number of milliseconds from 12:00am.\n The hour should be from 0-23.\n"},
  {(char*)"DateTimeToTimePoint",                (PyCFunction)PyvtkTimePointUtility_DateTimeToTimePoint, 1,
   (char*)"V.DateTimeToTimePoint(int, int, int, int, int, int, int) -> int\nC++: static vtkTypeUInt64 DateTimeToTimePoint (int year, int month, int day, int hour, int minute, int sec, int millis);\n\n Return the time point for a date and time.\n"},
  {(char*)"GetYear",                (PyCFunction)PyvtkTimePointUtility_GetYear, 1,
   (char*)"V.GetYear(int) -> int\nC++: static int GetYear (vtkTypeUInt64 time);\n\n Retrieve the year from a time point.\n"},
  {(char*)"GetMonth",                (PyCFunction)PyvtkTimePointUtility_GetMonth, 1,
   (char*)"V.GetMonth(int) -> int\nC++: static int GetMonth (vtkTypeUInt64 time);\n\n Retrieve the month from a time point.\n"},
  {(char*)"GetDay",                (PyCFunction)PyvtkTimePointUtility_GetDay, 1,
   (char*)"V.GetDay(int) -> int\nC++: static int GetDay (vtkTypeUInt64 time);\n\n Retrieve the day of the month from a time point.\n"},
  {(char*)"GetHour",                (PyCFunction)PyvtkTimePointUtility_GetHour, 1,
   (char*)"V.GetHour(int) -> int\nC++: static int GetHour (vtkTypeUInt64 time);\n\n Retrieve the hour of the day from the time point.\n"},
  {(char*)"GetMinute",                (PyCFunction)PyvtkTimePointUtility_GetMinute, 1,
   (char*)"V.GetMinute(int) -> int\nC++: static int GetMinute (vtkTypeUInt64 time);\n\n Retrieve the number of minutes from the start of the last hour.\n"},
  {(char*)"GetSecond",                (PyCFunction)PyvtkTimePointUtility_GetSecond, 1,
   (char*)"V.GetSecond(int) -> int\nC++: static int GetSecond (vtkTypeUInt64 time);\n\n Retrieve the number of seconds from the start of the last minute.\n"},
  {(char*)"GetMillisecond",                (PyCFunction)PyvtkTimePointUtility_GetMillisecond, 1,
   (char*)"V.GetMillisecond(int) -> int\nC++: static int GetMillisecond (vtkTypeUInt64 time);\n\n Retrieve the milliseconds from the start of the last second.\n"},
  {(char*)"TimePointToISO8601",                (PyCFunction)PyvtkTimePointUtility_TimePointToISO8601, 1,
   (char*)"V.TimePointToISO8601(int, int) -> string\nC++: static const char *TimePointToISO8601 (vtkTypeUInt64 , int formatISO8601_DATETIME_MILLIS);\n\n Converts a VTK timepoint into one of the following ISO8601\n formats.  The default format is ISO8601_DATETIME_MILLIS.\n\n <PRE>\n Type                      Format / Example\n 0 ISO8601_DATETIME_MILLIS [YYYY]-[MM]-[DD]T[hh]:[mm]:[ss].[SSS]\n                           2006-01-02T03:04:05.678\n 1 ISO8601_DATETIME        [YYYY]-[MM]-[DD]T[hh]:[mm]:[ss]\n                           2006-01-02T03:04:05\n 2 ISO8601_DATE            [YYYY]-[MM]-[DD]\n                           2006-01-02\n 3 ISO8601_TIME_MILLIS     [hh]:[mm]:[ss].[SSS]\n                           03:04:05.678\n 4 ISO8601_TIME            [hh]:[mm]:[ss]\n                           03:04:05\n </PRE>\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTimePointUtilityDoc[] = {
  (char*)"vtkTimePointUtility - performs common time operations\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"\n vtkTimePointUtility is provides methods to perform common time operations.\n\n",
  NULL
};

static vtkObjectBase *vtkTimePointUtilityStaticNew()
{
  return vtkTimePointUtility::New();
}

PyObject *PyVTKClass_vtkTimePointUtilityNew(char *modulename)
{
  return PyVTKClass_New(&vtkTimePointUtilityStaticNew,
                        PyvtkTimePointUtilityMethods,
                        (char*)"vtkTimePointUtility",modulename,
                        (char**)vtkTimePointUtilityDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

