// python wrapper for vtkTreeFieldAggregator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeFieldAggregator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeFieldAggregatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeFieldAggregatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkTreeFieldAggregator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  const char    *temp20;
  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeFieldAggregator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeFieldAggregator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  vtkTreeFieldAggregator  *temp20;
  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeFieldAggregator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeFieldAggregator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeFieldAggregator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_GetField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  char    *temp20;
  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeFieldAggregator::GetField();
      }
    else
      {
      temp20 = op->GetField();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_SetField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  char    *temp0;
  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeFieldAggregator::SetField(temp0);
      }
    else
      {
      op->SetField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_GetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  double   temp20;
  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeFieldAggregator::GetMinValue();
      }
    else
      {
      temp20 = op->GetMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_SetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  double   temp0;
  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeFieldAggregator::SetMinValue(temp0);
      }
    else
      {
      op->SetMinValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_SetLeafVertexUnitSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  bool   temp0;
  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeFieldAggregator::SetLeafVertexUnitSize(temp0);
      }
    else
      {
      op->SetLeafVertexUnitSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_GetLeafVertexUnitSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  bool   temp20;
  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeFieldAggregator::GetLeafVertexUnitSize();
      }
    else
      {
      temp20 = op->GetLeafVertexUnitSize();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_LeafVertexUnitSizeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeFieldAggregator::LeafVertexUnitSizeOn();
      }
    else
      {
      op->LeafVertexUnitSizeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_LeafVertexUnitSizeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeFieldAggregator::LeafVertexUnitSizeOff();
      }
    else
      {
      op->LeafVertexUnitSizeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_SetLogScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  bool   temp0;
  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeFieldAggregator::SetLogScale(temp0);
      }
    else
      {
      op->SetLogScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_GetLogScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  bool   temp20;
  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeFieldAggregator::GetLogScale();
      }
    else
      {
      temp20 = op->GetLogScale();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_LogScaleOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeFieldAggregator::LogScaleOn();
      }
    else
      {
      op->LogScaleOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeFieldAggregator_LogScaleOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeFieldAggregator *op;

  op = (vtkTreeFieldAggregator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeFieldAggregator::LogScaleOff();
      }
    else
      {
      op->LogScaleOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTreeFieldAggregatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeFieldAggregator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeFieldAggregator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeFieldAggregator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeFieldAggregator\nC++: vtkTreeFieldAggregator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeFieldAggregator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeFieldAggregator\nC++: vtkTreeFieldAggregator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetField",                (PyCFunction)PyvtkTreeFieldAggregator_GetField, 1,
   (char*)"V.GetField() -> string\nC++: char *GetField ();\n\n The field to aggregate.  If this is a string array, the entries are converted to double.\n TODO: Remove this field and use the ArrayToProcess in vtkAlgorithm.\n"},
  {(char*)"SetField",                (PyCFunction)PyvtkTreeFieldAggregator_SetField, 1,
   (char*)"V.SetField(string)\nC++: void SetField (char *);\n\n The field to aggregate.  If this is a string array, the entries are converted to double.\n TODO: Remove this field and use the ArrayToProcess in vtkAlgorithm.\n"},
  {(char*)"GetMinValue",                (PyCFunction)PyvtkTreeFieldAggregator_GetMinValue, 1,
   (char*)"V.GetMinValue() -> float\nC++: double GetMinValue ();\n\n If the value of the vertex is less than MinValue then consider it's value to be minVal.\n"},
  {(char*)"SetMinValue",                (PyCFunction)PyvtkTreeFieldAggregator_SetMinValue, 1,
   (char*)"V.SetMinValue(float)\nC++: void SetMinValue (double );\n\n If the value of the vertex is less than MinValue then consider it's value to be minVal.\n"},
  {(char*)"SetLeafVertexUnitSize",                (PyCFunction)PyvtkTreeFieldAggregator_SetLeafVertexUnitSize, 1,
   (char*)"V.SetLeafVertexUnitSize(bool)\nC++: void SetLeafVertexUnitSize (bool );\n\n If set, the algorithm will assume a size of 1 for each leaf vertex.\n"},
  {(char*)"GetLeafVertexUnitSize",                (PyCFunction)PyvtkTreeFieldAggregator_GetLeafVertexUnitSize, 1,
   (char*)"V.GetLeafVertexUnitSize() -> bool\nC++: bool GetLeafVertexUnitSize ();\n\n If set, the algorithm will assume a size of 1 for each leaf vertex.\n"},
  {(char*)"LeafVertexUnitSizeOn",                (PyCFunction)PyvtkTreeFieldAggregator_LeafVertexUnitSizeOn, 1,
   (char*)"V.LeafVertexUnitSizeOn()\nC++: void LeafVertexUnitSizeOn ();\n\n If set, the algorithm will assume a size of 1 for each leaf vertex.\n"},
  {(char*)"LeafVertexUnitSizeOff",                (PyCFunction)PyvtkTreeFieldAggregator_LeafVertexUnitSizeOff, 1,
   (char*)"V.LeafVertexUnitSizeOff()\nC++: void LeafVertexUnitSizeOff ();\n\n If set, the algorithm will assume a size of 1 for each leaf vertex.\n"},
  {(char*)"SetLogScale",                (PyCFunction)PyvtkTreeFieldAggregator_SetLogScale, 1,
   (char*)"V.SetLogScale(bool)\nC++: void SetLogScale (bool );\n\n If set, the leaf values in the tree will be logarithmically scaled (base 10).\n"},
  {(char*)"GetLogScale",                (PyCFunction)PyvtkTreeFieldAggregator_GetLogScale, 1,
   (char*)"V.GetLogScale() -> bool\nC++: bool GetLogScale ();\n\n If set, the leaf values in the tree will be logarithmically scaled (base 10).\n"},
  {(char*)"LogScaleOn",                (PyCFunction)PyvtkTreeFieldAggregator_LogScaleOn, 1,
   (char*)"V.LogScaleOn()\nC++: void LogScaleOn ();\n\n If set, the leaf values in the tree will be logarithmically scaled (base 10).\n"},
  {(char*)"LogScaleOff",                (PyCFunction)PyvtkTreeFieldAggregator_LogScaleOff, 1,
   (char*)"V.LogScaleOff()\nC++: void LogScaleOff ();\n\n If set, the leaf values in the tree will be logarithmically scaled (base 10).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeFieldAggregatorDoc[] = {
  (char*)"vtkTreeFieldAggregator - aggregate field values from the leaves up the tree\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)" vtkTreeFieldAggregator may be used to assign sizes to all the vertices in the\n tree, based on the sizes of the leaves.  The size of a vertex will equal\n the sum of the sizes of the child vertices.  If you have a data array with\n values for all leaves, you may specify that array, and the values will\n be filled in for interior tree vertices.  If you do not yet have an array,\n you may tell the filte",
  (char*)"r to create a new array, assuming that the size\n of each leaf vertex is 1.  You may optionally set a flag to first take the\n log of all leaf values before aggregating.\n\n",
  NULL
};

static vtkObjectBase *vtkTreeFieldAggregatorStaticNew()
{
  return vtkTreeFieldAggregator::New();
}

PyObject *PyVTKClass_vtkTreeFieldAggregatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeFieldAggregatorStaticNew,
                        PyvtkTreeFieldAggregatorMethods,
                        (char*)"vtkTreeFieldAggregator",modulename,
                        (char**)vtkTreeFieldAggregatorDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

