// python wrapper for vtkTreeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkTreeLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  const char    *temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  vtkTreeLayoutStrategy  *temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_SetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  double   temp0;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutStrategy::SetAngle(temp0);
      }
    else
      {
      op->SetAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_GetAngleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::GetAngleMinValue();
      }
    else
      {
      temp20 = op->GetAngleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_GetAngleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::GetAngleMaxValue();
      }
    else
      {
      temp20 = op->GetAngleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_GetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::GetAngle();
      }
    else
      {
      temp20 = op->GetAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_SetRadial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  bool   temp0;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutStrategy::SetRadial(temp0);
      }
    else
      {
      op->SetRadial(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_GetRadial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  bool   temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::GetRadial();
      }
    else
      {
      temp20 = op->GetRadial();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_RadialOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutStrategy::RadialOn();
      }
    else
      {
      op->RadialOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_RadialOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutStrategy::RadialOff();
      }
    else
      {
      op->RadialOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_SetLogSpacingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  double   temp0;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutStrategy::SetLogSpacingValue(temp0);
      }
    else
      {
      op->SetLogSpacingValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_GetLogSpacingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::GetLogSpacingValue();
      }
    else
      {
      temp20 = op->GetLogSpacingValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_SetLeafSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  double   temp0;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutStrategy::SetLeafSpacing(temp0);
      }
    else
      {
      op->SetLeafSpacing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_GetLeafSpacingMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::GetLeafSpacingMinValue();
      }
    else
      {
      temp20 = op->GetLeafSpacingMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_GetLeafSpacingMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::GetLeafSpacingMaxValue();
      }
    else
      {
      temp20 = op->GetLeafSpacingMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_GetLeafSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::GetLeafSpacing();
      }
    else
      {
      temp20 = op->GetLeafSpacing();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_SetDistanceArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  char    *temp0;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutStrategy::SetDistanceArrayName(temp0);
      }
    else
      {
      op->SetDistanceArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutStrategy_GetDistanceArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutStrategy *op;

  char    *temp20;
  op = (vtkTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutStrategy::GetDistanceArrayName();
      }
    else
      {
      temp20 = op->GetDistanceArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTreeLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeLayoutStrategy\nC++: vtkTreeLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeLayoutStrategy\nC++: vtkTreeLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkTreeLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: void Layout ();\n\n Perform the tree layout.\n"},
  {(char*)"SetAngle",                (PyCFunction)PyvtkTreeLayoutStrategy_SetAngle, 1,
   (char*)"V.SetAngle(float)\nC++: void SetAngle (double );\n\n The sweep angle of the tree.\n For a standard tree layout, this should be between 0 and 180.\n For a radial tree layout, this can be between 0 and 360.\n"},
  {(char*)"GetAngleMinValue",                (PyCFunction)PyvtkTreeLayoutStrategy_GetAngleMinValue, 1,
   (char*)"V.GetAngleMinValue() -> float\nC++: double GetAngleMinValue ();\n\n The sweep angle of the tree.\n For a standard tree layout, this should be between 0 and 180.\n For a radial tree layout, this can be between 0 and 360.\n"},
  {(char*)"GetAngleMaxValue",                (PyCFunction)PyvtkTreeLayoutStrategy_GetAngleMaxValue, 1,
   (char*)"V.GetAngleMaxValue() -> float\nC++: double GetAngleMaxValue ();\n\n The sweep angle of the tree.\n For a standard tree layout, this should be between 0 and 180.\n For a radial tree layout, this can be between 0 and 360.\n"},
  {(char*)"GetAngle",                (PyCFunction)PyvtkTreeLayoutStrategy_GetAngle, 1,
   (char*)"V.GetAngle() -> float\nC++: double GetAngle ();\n\n The sweep angle of the tree.\n For a standard tree layout, this should be between 0 and 180.\n For a radial tree layout, this can be between 0 and 360.\n"},
  {(char*)"SetRadial",                (PyCFunction)PyvtkTreeLayoutStrategy_SetRadial, 1,
   (char*)"V.SetRadial(bool)\nC++: void SetRadial (bool );\n\n If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n"},
  {(char*)"GetRadial",                (PyCFunction)PyvtkTreeLayoutStrategy_GetRadial, 1,
   (char*)"V.GetRadial() -> bool\nC++: bool GetRadial ();\n\n If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n"},
  {(char*)"RadialOn",                (PyCFunction)PyvtkTreeLayoutStrategy_RadialOn, 1,
   (char*)"V.RadialOn()\nC++: void RadialOn ();\n\n If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n"},
  {(char*)"RadialOff",                (PyCFunction)PyvtkTreeLayoutStrategy_RadialOff, 1,
   (char*)"V.RadialOff()\nC++: void RadialOff ();\n\n If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n"},
  {(char*)"SetLogSpacingValue",                (PyCFunction)PyvtkTreeLayoutStrategy_SetLogSpacingValue, 1,
   (char*)"V.SetLogSpacingValue(float)\nC++: void SetLogSpacingValue (double );\n\n The spacing of tree levels. Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels. Levels above one give more space\n to levels near the leaves.\n"},
  {(char*)"GetLogSpacingValue",                (PyCFunction)PyvtkTreeLayoutStrategy_GetLogSpacingValue, 1,
   (char*)"V.GetLogSpacingValue() -> float\nC++: double GetLogSpacingValue ();\n\n The spacing of tree levels. Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels. Levels above one give more space\n to levels near the leaves.\n"},
  {(char*)"SetLeafSpacing",                (PyCFunction)PyvtkTreeLayoutStrategy_SetLeafSpacing, 1,
   (char*)"V.SetLeafSpacing(float)\nC++: void SetLeafSpacing (double );\n\n The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n"},
  {(char*)"GetLeafSpacingMinValue",                (PyCFunction)PyvtkTreeLayoutStrategy_GetLeafSpacingMinValue, 1,
   (char*)"V.GetLeafSpacingMinValue() -> float\nC++: double GetLeafSpacingMinValue ();\n\n The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n"},
  {(char*)"GetLeafSpacingMaxValue",                (PyCFunction)PyvtkTreeLayoutStrategy_GetLeafSpacingMaxValue, 1,
   (char*)"V.GetLeafSpacingMaxValue() -> float\nC++: double GetLeafSpacingMaxValue ();\n\n The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n"},
  {(char*)"GetLeafSpacing",                (PyCFunction)PyvtkTreeLayoutStrategy_GetLeafSpacing, 1,
   (char*)"V.GetLeafSpacing() -> float\nC++: double GetLeafSpacing ();\n\n The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n"},
  {(char*)"SetDistanceArrayName",                (PyCFunction)PyvtkTreeLayoutStrategy_SetDistanceArrayName, 1,
   (char*)"V.SetDistanceArrayName(string)\nC++: void SetDistanceArrayName (char *);\n\n Get/Set the array to use to determine the distance from the\n root.\n"},
  {(char*)"GetDistanceArrayName",                (PyCFunction)PyvtkTreeLayoutStrategy_GetDistanceArrayName, 1,
   (char*)"V.GetDistanceArrayName() -> string\nC++: char *GetDistanceArrayName ();\n\n Get/Set the array to use to determine the distance from the\n root.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeLayoutStrategyDoc[] = {
  (char*)"vtkTreeLayoutStrategy - hierarchical layout\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" Assigns points to the nodes of a tree in either a standard or radial layout.\n The standard layout places each level on a horizontal line, while the\n radial layout places each level on a concentric circle.\n You may specify the sweep angle of the tree which constrains the tree\n to be contained within a wedge. Also, you may indicate the log scale of\n the tree, which diminishes the length of arcs at ",
  (char*)"lower levels of the tree.\n Values near zero give a large proportion of the space to the tree levels\n near the root, while values near one give nearly equal proportions of space\n to all tree levels.\n\n The user may also specify an array to use to indicate the distance from the\n root, either vertically (for standard layout) or radially\n (for radial layout).  You specify this with SetDistanceArrayName",
  (char*)"().\n\n",
  NULL
};

static vtkObjectBase *vtkTreeLayoutStrategyStaticNew()
{
  return vtkTreeLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkTreeLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeLayoutStrategyStaticNew,
                        PyvtkTreeLayoutStrategyMethods,
                        (char*)"vtkTreeLayoutStrategy",modulename,
                        (char**)vtkTreeLayoutStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

