// python wrapper for vtkTreeLevelsFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeLevelsFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeLevelsFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeLevelsFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkTreeLevelsFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLevelsFilter *op;

  const char    *temp20;
  op = (vtkTreeLevelsFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLevelsFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLevelsFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLevelsFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeLevelsFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLevelsFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLevelsFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLevelsFilter *op;

  vtkTreeLevelsFilter  *temp20;
  op = (vtkTreeLevelsFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLevelsFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLevelsFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeLevelsFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeLevelsFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTreeLevelsFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeLevelsFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeLevelsFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeLevelsFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeLevelsFilter\nC++: vtkTreeLevelsFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeLevelsFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeLevelsFilter\nC++: vtkTreeLevelsFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeLevelsFilterDoc[] = {
  (char*)"vtkTreeLevelsFilter - adds level and leaf fields to a vtkTree\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)" The filter currently add two arrays to the incoming vtkTree datastructure.\n 1) \"levels\" this is the distance from the root of the vertex. Root = 0\n and you add 1 for each level down from the root\n 2) \"leaf\" this array simply indicates whether the vertex is a leaf or not\n\n .SECTION Thanks\n Thanks to Brian Wylie from Sandia National Laboratories for creating this\n class.\n\n",
  NULL
};

static vtkObjectBase *vtkTreeLevelsFilterStaticNew()
{
  return vtkTreeLevelsFilter::New();
}

PyObject *PyVTKClass_vtkTreeLevelsFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeLevelsFilterStaticNew,
                        PyvtkTreeLevelsFilterMethods,
                        (char*)"vtkTreeLevelsFilter",modulename,
                        (char**)vtkTreeLevelsFilterDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

