// python wrapper for vtkTreeMapLayout object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeMapLayout.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeMapLayoutNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeMapLayoutNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkTreeMapLayout_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayout *op;

  const char    *temp20;
  op = (vtkTreeMapLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayout::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayout_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayout *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeMapLayout *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayout::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayout_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayout *op;

  vtkTreeMapLayout  *temp20;
  op = (vtkTreeMapLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayout::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayout_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeMapLayout  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeMapLayout::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeMapLayout_GetRectanglesFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayout *op;

  char    *temp20;
  op = (vtkTreeMapLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayout::GetRectanglesFieldName();
      }
    else
      {
      temp20 = op->GetRectanglesFieldName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayout_SetRectanglesFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayout *op;

  char    *temp0;
  op = (vtkTreeMapLayout *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapLayout::SetRectanglesFieldName(temp0);
      }
    else
      {
      op->SetRectanglesFieldName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayout_GetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayout *op;

  vtkTreeMapLayoutStrategy  *temp20;
  op = (vtkTreeMapLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayout::GetLayoutStrategy();
      }
    else
      {
      temp20 = op->GetLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayout_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayout *op;

  vtkTreeMapLayoutStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkTreeMapLayout *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTreeMapLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTreeMapLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapLayout::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkTreeMapLayout_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayout *op;

  unsigned long     temp20;
  op = (vtkTreeMapLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayout::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTreeMapLayoutMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeMapLayout_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeMapLayout_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeMapLayout_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeMapLayout\nC++: vtkTreeMapLayout *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeMapLayout_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeMapLayout\nC++: vtkTreeMapLayout *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetRectanglesFieldName",                (PyCFunction)PyvtkTreeMapLayout_GetRectanglesFieldName, 1,
   (char*)"V.GetRectanglesFieldName() -> string\nC++: char *GetRectanglesFieldName ();\n\n The field name to use for storing the rectangles for each vertex.\n The rectangles are stored in a quadruple float array \n (minX, maxX, minY, maxY).\n"},
  {(char*)"SetRectanglesFieldName",                (PyCFunction)PyvtkTreeMapLayout_SetRectanglesFieldName, 1,
   (char*)"V.SetRectanglesFieldName(string)\nC++: void SetRectanglesFieldName (char *);\n\n The field name to use for storing the rectangles for each vertex.\n The rectangles are stored in a quadruple float array \n (minX, maxX, minY, maxY).\n"},
  {(char*)"GetLayoutStrategy",                (PyCFunction)PyvtkTreeMapLayout_GetLayoutStrategy, 1,
   (char*)"V.GetLayoutStrategy() -> vtkTreeMapLayoutStrategy\nC++: vtkTreeMapLayoutStrategy *GetLayoutStrategy ();\n\n The strategy to use when laying out the tree map.\n"},
  {(char*)"SetLayoutStrategy",                (PyCFunction)PyvtkTreeMapLayout_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(vtkTreeMapLayoutStrategy)\nC++: void SetLayoutStrategy (vtkTreeMapLayoutStrategy *strategy);\n\n The strategy to use when laying out the tree map.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTreeMapLayout_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Get the modification time of the layout algorithm.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeMapLayoutDoc[] = {
  (char*)"vtkTreeMapLayout - layout a vtkTree into a tree map\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)" vtkTreeMapLayout assigns rectangular regions to each vertex in the tree,\n creating a tree map.  The data is added as a data array with four\n components per tuple representing the location and size of the\n rectangle using the format (Xmin, Xmax, Ymin, Ymax).\n\n This algorithm relies on a helper class to perform the actual layout.\n This helper class is a subclass of vtkTreeMapLayoutStrategy.\n\n .SECT",
  (char*)"ION Thanks\n Thanks to Brian Wylie and Ken Moreland from Sandia National Laboratories\n for help developing this class.\n \n Tree map concept comes from:\n Shneiderman, B. 1992. Tree visualization with tree-maps: 2-d space-filling approach. \n ACM Trans. Graph. 11, 1 (Jan. 1992), 92-99. \n\n",
  NULL
};

static vtkObjectBase *vtkTreeMapLayoutStaticNew()
{
  return vtkTreeMapLayout::New();
}

PyObject *PyVTKClass_vtkTreeMapLayoutNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeMapLayoutStaticNew,
                        PyvtkTreeMapLayoutMethods,
                        (char*)"vtkTreeMapLayout",modulename,
                        (char**)vtkTreeMapLayoutDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

