// python wrapper for vtkTreeMapLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeMapLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeMapLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeMapLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTreeMapLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayoutStrategy *op;

  const char    *temp20;
  op = (vtkTreeMapLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeMapLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayoutStrategy *op;

  vtkTreeMapLayoutStrategy  *temp20;
  op = (vtkTreeMapLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayoutStrategy *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  op = (vtkTreeMapLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Layout(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeMapLayoutStrategy_SetBorderPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayoutStrategy *op;

  double   temp0;
  op = (vtkTreeMapLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapLayoutStrategy::SetBorderPercentage(temp0);
      }
    else
      {
      op->SetBorderPercentage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayoutStrategy_GetBorderPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeMapLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayoutStrategy::GetBorderPercentage();
      }
    else
      {
      temp20 = op->GetBorderPercentage();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTreeMapLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeMapLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeMapLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeMapLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeMapLayoutStrategy\nC++: vtkTreeMapLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkTreeMapLayoutStrategy_Layout, 1,
   (char*)"V.Layout(vtkTree, vtkDataArray)\nC++: virtual void Layout (vtkTree *inputTree, vtkDataArray *rectArray) = 0;\n\n Perform the layout of the input tree, and store the rectangular\n bounds of each vertex as a tuple (Xmin, Xmax, Ymin, Ymax) in a\n data array.\n"},
  {(char*)"SetBorderPercentage",                (PyCFunction)PyvtkTreeMapLayoutStrategy_SetBorderPercentage, 1,
   (char*)"V.SetBorderPercentage(float)\nC++: void SetBorderPercentage (double );\n\n Define the percentage that children vertex regions are inset from\n the parent vertex region.\n"},
  {(char*)"GetBorderPercentage",                (PyCFunction)PyvtkTreeMapLayoutStrategy_GetBorderPercentage, 1,
   (char*)"V.GetBorderPercentage() -> float\nC++: double GetBorderPercentage ();\n\n Define the percentage that children vertex regions are inset from\n the parent vertex region.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeMapLayoutStrategyDoc[] = {
  (char*)"vtkTreeMapLayoutStrategy - abstract superclass for all tree map layout strategies\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" All subclasses of this class perform a tree map layout on a tree.\n This involves assigning a rectangular region to each vertex in the tree,\n and placing that information in a data array with four components per\n tuple representing (Xmin, Xmax, Ymin, Ymax).\n\n Instances of subclasses of this class may be assigned as the layout\n strategy to vtkTreeMapLayout\n\n .SECTION Thanks\n Thanks to Brian Wylie a",
  (char*)"nd Ken Moreland from Sandia National Laboratories\n for help developing this class.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkTreeMapLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkTreeMapLayoutStrategyMethods,
                        (char*)"vtkTreeMapLayoutStrategy",modulename,
                        (char**)vtkTreeMapLayoutStrategyDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

