// python wrapper for vtkTreeMapToPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeMapToPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeMapToPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeMapToPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTreeMapToPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapToPolyData *op;

  const char    *temp20;
  op = (vtkTreeMapToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapToPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapToPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapToPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeMapToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapToPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapToPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapToPolyData *op;

  vtkTreeMapToPolyData  *temp20;
  op = (vtkTreeMapToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapToPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapToPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeMapToPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeMapToPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeMapToPolyData_GetRectanglesFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapToPolyData *op;

  char    *temp20;
  op = (vtkTreeMapToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapToPolyData::GetRectanglesFieldName();
      }
    else
      {
      temp20 = op->GetRectanglesFieldName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapToPolyData_SetRectanglesFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapToPolyData *op;

  char    *temp0;
  op = (vtkTreeMapToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapToPolyData::SetRectanglesFieldName(temp0);
      }
    else
      {
      op->SetRectanglesFieldName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapToPolyData_GetLevelsFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapToPolyData *op;

  char    *temp20;
  op = (vtkTreeMapToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapToPolyData::GetLevelsFieldName();
      }
    else
      {
      temp20 = op->GetLevelsFieldName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapToPolyData_SetLevelsFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapToPolyData *op;

  char    *temp0;
  op = (vtkTreeMapToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapToPolyData::SetLevelsFieldName(temp0);
      }
    else
      {
      op->SetLevelsFieldName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapToPolyData_GetLevelDeltaZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapToPolyData *op;

  double   temp20;
  op = (vtkTreeMapToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapToPolyData::GetLevelDeltaZ();
      }
    else
      {
      temp20 = op->GetLevelDeltaZ();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapToPolyData_SetLevelDeltaZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapToPolyData *op;

  double   temp0;
  op = (vtkTreeMapToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapToPolyData::SetLevelDeltaZ(temp0);
      }
    else
      {
      op->SetLevelDeltaZ(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapToPolyData_FillInputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapToPolyData *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkTreeMapToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapToPolyData::FillInputPortInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->FillInputPortInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}

static PyMethodDef PyvtkTreeMapToPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeMapToPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeMapToPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeMapToPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeMapToPolyData\nC++: vtkTreeMapToPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeMapToPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeMapToPolyData\nC++: vtkTreeMapToPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetRectanglesFieldName",                (PyCFunction)PyvtkTreeMapToPolyData_GetRectanglesFieldName, 1,
   (char*)"V.GetRectanglesFieldName() -> string\nC++: char *GetRectanglesFieldName ();\n\n"},
  {(char*)"SetRectanglesFieldName",                (PyCFunction)PyvtkTreeMapToPolyData_SetRectanglesFieldName, 1,
   (char*)"V.SetRectanglesFieldName(string)\nC++: void SetRectanglesFieldName (char *);\n\n"},
  {(char*)"GetLevelsFieldName",                (PyCFunction)PyvtkTreeMapToPolyData_GetLevelsFieldName, 1,
   (char*)"V.GetLevelsFieldName() -> string\nC++: char *GetLevelsFieldName ();\n\n"},
  {(char*)"SetLevelsFieldName",                (PyCFunction)PyvtkTreeMapToPolyData_SetLevelsFieldName, 1,
   (char*)"V.SetLevelsFieldName(string)\nC++: void SetLevelsFieldName (char *);\n\n"},
  {(char*)"GetLevelDeltaZ",                (PyCFunction)PyvtkTreeMapToPolyData_GetLevelDeltaZ, 1,
   (char*)"V.GetLevelDeltaZ() -> float\nC++: double GetLevelDeltaZ ();\n\n The spacing along the z-axis between tree map levels.\n"},
  {(char*)"SetLevelDeltaZ",                (PyCFunction)PyvtkTreeMapToPolyData_SetLevelDeltaZ, 1,
   (char*)"V.SetLevelDeltaZ(float)\nC++: void SetLevelDeltaZ (double );\n\n The spacing along the z-axis between tree map levels.\n"},
  {(char*)"FillInputPortInformation",                (PyCFunction)PyvtkTreeMapToPolyData_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation (int port, vtkInformation *info);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeMapToPolyDataDoc[] = {
  (char*)"vtkTreeMapToPolyData - converts a tree to a polygonal data representing a tree map\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" This algorithm requires that the vtkTreeMapLayout filter has already applied to the\n data in order to create the quadruple array (min x, max x, min y, max y) of\n bounds for each vertex of the tree.\n\n",
  NULL
};

static vtkObjectBase *vtkTreeMapToPolyDataStaticNew()
{
  return vtkTreeMapToPolyData::New();
}

PyObject *PyVTKClass_vtkTreeMapToPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeMapToPolyDataStaticNew,
                        PyvtkTreeMapToPolyDataMethods,
                        (char*)"vtkTreeMapToPolyData",modulename,
                        (char**)vtkTreeMapToPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

