// python wrapper for vtkTreeMapViewer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeMapViewer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeMapViewerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeMapViewerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTreeMapViewer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  const char    *temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  vtkTreeMapViewer  *temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeMapViewer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeMapViewer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetRenderWindow(temp0);
      }
    else
      {
      op->SetRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  vtkRenderWindow  *temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetAggregationFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  char    *temp0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetAggregationFieldName(temp0);
      }
    else
      {
      op->SetAggregationFieldName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetAggregationFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  char    *temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetAggregationFieldName();
      }
    else
      {
      temp20 = op->GetAggregationFieldName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetInteractorStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  vtkInteractorStyleTreeMapHover  *temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetInteractorStyle();
      }
    else
      {
      temp20 = op->GetInteractorStyle();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  int      temp0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  char    *temp0;
  PyErr_Clear();
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetLayoutStrategyToBox(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetLayoutStrategyToBox();
      }
    else
      {
      op->SetLayoutStrategyToBox();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetLayoutStrategyToSliceAndDice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetLayoutStrategyToSliceAndDice();
      }
    else
      {
      op->SetLayoutStrategyToSliceAndDice();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetLayoutStrategyToSquarify(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetLayoutStrategyToSquarify();
      }
    else
      {
      op->SetLayoutStrategyToSquarify();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  int      temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetLayoutStrategy();
      }
    else
      {
      temp20 = op->GetLayoutStrategy();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetBorderPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  double   temp0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetBorderPercentage(temp0);
      }
    else
      {
      op->SetBorderPercentage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetBorderPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  double   temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetBorderPercentage();
      }
    else
      {
      temp20 = op->GetBorderPercentage();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetLayoutStrategyName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkTreeMapViewer::GetLayoutStrategyName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetColorFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  char    *temp0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetColorFieldName(temp0);
      }
    else
      {
      op->SetColorFieldName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetColorFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  char    *temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetColorFieldName();
      }
    else
      {
      temp20 = op->GetColorFieldName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetLabelFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  char    *temp0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetLabelFieldName(temp0);
      }
    else
      {
      op->SetLabelFieldName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetLabelFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  char    *temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetLabelFieldName();
      }
    else
      {
      temp20 = op->GetLabelFieldName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetFontSizeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  int      temp0;
  int      temp1;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetFontSizeRange(temp0,temp1);
      }
    else
      {
      op->SetFontSizeRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetLogScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  bool   temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetLogScale();
      }
    else
      {
      temp20 = op->GetLogScale();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetLogScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  bool   temp0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetLogScale(temp0);
      }
    else
      {
      op->SetLogScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_HighLightItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  vtkIdType   temp0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::HighLightItem(temp0);
      }
    else
      {
      op->HighLightItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetLabelLevelRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  int      temp0;
  int      temp1;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetLabelLevelRange(temp0,temp1);
      }
    else
      {
      op->SetLabelLevelRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetLabelLevelRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  int    temp0[2];
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::GetLabelLevelRange(temp0);
      }
    else
      {
      op->GetLabelLevelRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetDynamicLabelLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  int      temp0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetDynamicLabelLevel(temp0);
      }
    else
      {
      op->SetDynamicLabelLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetDynamicLabelLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  int      temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetDynamicLabelLevel();
      }
    else
      {
      temp20 = op->GetDynamicLabelLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetChildLabelMotion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  int      temp0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetChildLabelMotion(temp0);
      }
    else
      {
      op->SetChildLabelMotion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetChildLabelMotion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  int      temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetChildLabelMotion();
      }
    else
      {
      temp20 = op->GetChildLabelMotion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_SetLabelClipMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  int      temp0;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapViewer::SetLabelClipMode(temp0);
      }
    else
      {
      op->SetLabelClipMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapViewer_GetLabelClipMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapViewer *op;

  int      temp20;
  op = (vtkTreeMapViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapViewer::GetLabelClipMode();
      }
    else
      {
      temp20 = op->GetLabelClipMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTreeMapViewerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeMapViewer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeMapViewer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeMapViewer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeMapViewer\nC++: vtkTreeMapViewer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeMapViewer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeMapViewer\nC++: vtkTreeMapViewer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkTreeMapViewer_SetInput, 1,
   (char*)"V.SetInput(vtkTree)\nC++: virtual void SetInput (vtkTree *arg);\n\n Set the input data to the viewer.\n"},
  {(char*)"SetRenderWindow",                (PyCFunction)PyvtkTreeMapViewer_SetRenderWindow, 1,
   (char*)"V.SetRenderWindow(vtkRenderWindow)\nC++: virtual void SetRenderWindow (vtkRenderWindow *arg);\n\n Set your own renderwindow\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkTreeMapViewer_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Set your own renderwindow\n"},
  {(char*)"SetAggregationFieldName",                (PyCFunction)PyvtkTreeMapViewer_SetAggregationFieldName, 1,
   (char*)"V.SetAggregationFieldName(string)\nC++: virtual void SetAggregationFieldName (const char *field);\n\n Set the aggregration field (defaults to \"size\")\n"},
  {(char*)"GetAggregationFieldName",                (PyCFunction)PyvtkTreeMapViewer_GetAggregationFieldName, 1,
   (char*)"V.GetAggregationFieldName() -> string\nC++: virtual char *GetAggregationFieldName ();\n\n Set the aggregration field (defaults to \"size\")\n"},
  {(char*)"GetInteractorStyle",                (PyCFunction)PyvtkTreeMapViewer_GetInteractorStyle, 1,
   (char*)"V.GetInteractorStyle() -> vtkInteractorStyleTreeMapHover\nC++: vtkInteractorStyleTreeMapHover *GetInteractorStyle ();\n\n Get the Interactor Style object pointer\n"},
  {(char*)"SetLayoutStrategy",                (PyCFunction)PyvtkTreeMapViewer_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(int)\nC++: virtual void SetLayoutStrategy (int strategy);\nV.SetLayoutStrategy(string)\nC++: virtual void SetLayoutStrategy (const char *layoutType);\n\n Set layout strategy for the tree map\n"},
  {(char*)"SetLayoutStrategyToBox",                (PyCFunction)PyvtkTreeMapViewer_SetLayoutStrategyToBox, 1,
   (char*)"V.SetLayoutStrategyToBox()\nC++: void SetLayoutStrategyToBox ();this SetLayoutStrategy BOX_LAYOUT \n\n Set layout strategy for the tree map\n"},
  {(char*)"SetLayoutStrategyToSliceAndDice",                (PyCFunction)PyvtkTreeMapViewer_SetLayoutStrategyToSliceAndDice, 1,
   (char*)"V.SetLayoutStrategyToSliceAndDice()\nC++: void SetLayoutStrategyToSliceAndDice ();this SetLayoutStrategy SLICE_AND_DICE_LAYOUT \n\n Set layout strategy for the tree map\n"},
  {(char*)"SetLayoutStrategyToSquarify",                (PyCFunction)PyvtkTreeMapViewer_SetLayoutStrategyToSquarify, 1,
   (char*)"V.SetLayoutStrategyToSquarify()\nC++: void SetLayoutStrategyToSquarify ();this SetLayoutStrategy SQUARIFY_LAYOUT \n\n Set layout strategy for the tree map\n"},
  {(char*)"GetLayoutStrategy",                (PyCFunction)PyvtkTreeMapViewer_GetLayoutStrategy, 1,
   (char*)"V.GetLayoutStrategy() -> int\nC++: virtual int GetLayoutStrategy ();\n\n Set layout strategy for the tree map\n"},
  {(char*)"SetBorderPercentage",                (PyCFunction)PyvtkTreeMapViewer_SetBorderPercentage, 1,
   (char*)"V.SetBorderPercentage(float)\nC++: void SetBorderPercentage (double pcent);\n\n Get/Set the fraction of the treemap box to use in the border.\n"},
  {(char*)"GetBorderPercentage",                (PyCFunction)PyvtkTreeMapViewer_GetBorderPercentage, 1,
   (char*)"V.GetBorderPercentage() -> float\nC++: double GetBorderPercentage ();\n\n Get/Set the fraction of the treemap box to use in the border.\n"},
  {(char*)"GetLayoutStrategyName",                (PyCFunction)PyvtkTreeMapViewer_GetLayoutStrategyName, 1,
   (char*)"V.GetLayoutStrategyName(int) -> string\nC++: static const char *GetLayoutStrategyName (int strategy);\n\n These convenience functions use strings for use in GUIs and scripts.\n"},
  {(char*)"SetColorFieldName",                (PyCFunction)PyvtkTreeMapViewer_SetColorFieldName, 1,
   (char*)"V.SetColorFieldName(string)\nC++: virtual void SetColorFieldName (const char *field);\n\n The name of the field used for coloring the data\n"},
  {(char*)"GetColorFieldName",                (PyCFunction)PyvtkTreeMapViewer_GetColorFieldName, 1,
   (char*)"V.GetColorFieldName() -> string\nC++: virtual char *GetColorFieldName ();\n\n The name of the field used for coloring the data\n"},
  {(char*)"SetLabelFieldName",                (PyCFunction)PyvtkTreeMapViewer_SetLabelFieldName, 1,
   (char*)"V.SetLabelFieldName(string)\nC++: virtual void SetLabelFieldName (const char *field);\n\n The name of the field used for labeling\n"},
  {(char*)"GetLabelFieldName",                (PyCFunction)PyvtkTreeMapViewer_GetLabelFieldName, 1,
   (char*)"V.GetLabelFieldName() -> string\nC++: virtual char *GetLabelFieldName ();\n\n The name of the field used for labeling\n"},
  {(char*)"SetFontSizeRange",                (PyCFunction)PyvtkTreeMapViewer_SetFontSizeRange, 1,
   (char*)"V.SetFontSizeRange(int, int)\nC++: virtual void SetFontSizeRange (const int maxSize, const int minSize);\n\n The sizes of the fonts used for labeling\n"},
  {(char*)"GetLogScale",                (PyCFunction)PyvtkTreeMapViewer_GetLogScale, 1,
   (char*)"V.GetLogScale() -> bool\nC++: bool GetLogScale ();\n\n Set whether the tree map uses a logarithmic scaling of sizes.\n"},
  {(char*)"SetLogScale",                (PyCFunction)PyvtkTreeMapViewer_SetLogScale, 1,
   (char*)"V.SetLogScale(bool)\nC++: void SetLogScale (bool value);\n\n Set whether the tree map uses a logarithmic scaling of sizes.\n"},
  {(char*)"HighLightItem",                (PyCFunction)PyvtkTreeMapViewer_HighLightItem, 1,
   (char*)"V.HighLightItem(int)\nC++: void HighLightItem (vtkIdType id);\n\n Highlight the tree item that matches the pedigree id\n"},
  {(char*)"SetLabelLevelRange",                (PyCFunction)PyvtkTreeMapViewer_SetLabelLevelRange, 1,
   (char*)"V.SetLabelLevelRange(int, int)\nC++: void SetLabelLevelRange (int start, int end);\n\n Get/Set the range of levels to attempt to label.\n The level of a vertex is the length of the path to the root\n (the root has level 0).\n"},
  {(char*)"GetLabelLevelRange",                (PyCFunction)PyvtkTreeMapViewer_GetLabelLevelRange, 1,
   (char*)"V.GetLabelLevelRange((int, int))\nC++: void GetLabelLevelRange (int range[2]);\n\n Get/Set the range of levels to attempt to label.\n The level of a vertex is the length of the path to the root\n (the root has level 0).\n"},
  {(char*)"SetDynamicLabelLevel",                (PyCFunction)PyvtkTreeMapViewer_SetDynamicLabelLevel, 1,
   (char*)"V.SetDynamicLabelLevel(int)\nC++: void SetDynamicLabelLevel (int level);\n\n Get/Set the level at which treemap labeling is dynamic.\n"},
  {(char*)"GetDynamicLabelLevel",                (PyCFunction)PyvtkTreeMapViewer_GetDynamicLabelLevel, 1,
   (char*)"V.GetDynamicLabelLevel() -> int\nC++: int GetDynamicLabelLevel ();\n\n Get/Set the level at which treemap labeling is dynamic.\n"},
  {(char*)"SetChildLabelMotion",                (PyCFunction)PyvtkTreeMapViewer_SetChildLabelMotion, 1,
   (char*)"V.SetChildLabelMotion(int)\nC++: void SetChildLabelMotion (int mode);\n\n Get/Set whether the label may be moved by its ancestors.\n"},
  {(char*)"GetChildLabelMotion",                (PyCFunction)PyvtkTreeMapViewer_GetChildLabelMotion, 1,
   (char*)"V.GetChildLabelMotion() -> int\nC++: int GetChildLabelMotion ();\n\n Get/Set whether the label may be moved by its ancestors.\n"},
  {(char*)"SetLabelClipMode",                (PyCFunction)PyvtkTreeMapViewer_SetLabelClipMode, 1,
   (char*)"V.SetLabelClipMode(int)\nC++: void SetLabelClipMode (int mode);\n\n Get/Set if the label can be displayed clipped by the window.\n 0 - ok to clip labels\n 1 - auto center labels w/r to the area of the vertex's clipped\n region\n"},
  {(char*)"GetLabelClipMode",                (PyCFunction)PyvtkTreeMapViewer_GetLabelClipMode, 1,
   (char*)"V.GetLabelClipMode() -> int\nC++: int GetLabelClipMode ();\n\n Get/Set if the label can be displayed clipped by the window.\n 0 - ok to clip labels\n 1 - auto center labels w/r to the area of the vertex's clipped\n region\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeMapViewerDoc[] = {
  (char*)"vtkTreeMapViewer - Display a 2D TreeMap.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkTreeMapViewer is a convenience class for displaying a 2D TreeMap.  It\n packages up the functionality found in vtkRenderWindow, vtkRenderer,\n and vtkActor into a single easy to use class.  This class also creates \n an image interactor style(vtkInteractorStyleImage) that allows zooming \n and panning of the tree map.\n\n\n",
  "See Also:\n\n vtkGraphLayoutViewer\n\n .SECTION Thanks\n Thanks to Brian Wylie from Sandia National Laboratories for conceptualizing\n and implementing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkTreeMapViewerStaticNew()
{
  return vtkTreeMapViewer::New();
}

PyObject *PyVTKClass_vtkTreeMapViewerNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeMapViewerStaticNew,
                        PyvtkTreeMapViewerMethods,
                        (char*)"vtkTreeMapViewer",modulename,
                        (char**)vtkTreeMapViewerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

