// tcl wrapper for vtkTreeMapViewer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeMapViewer.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTreeMapViewerNewCommand()
{
  vtkTreeMapViewer *temp = vtkTreeMapViewer::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTreeMapViewerCppCommand(vtkTreeMapViewer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTreeMapViewerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTreeMapViewerCppCommand(static_cast<vtkTreeMapViewer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTreeMapViewerCppCommand(vtkTreeMapViewer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTreeMapViewer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTreeMapViewer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeMapViewer");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTreeMapViewer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeMapViewer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTreeMapViewer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeMapViewer");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkTree  *temp0;
    error = 0;

    temp0 = (vtkTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTree"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetAggregationFieldName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAggregationFieldName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAggregationFieldName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetAggregationFieldName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetInteractorStyle",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleTreeMapHover  *temp20;
    temp20 = (op)->GetInteractorStyle();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleTreeMapHover");
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategy",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLayoutStrategyToBox",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToBox();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToSliceAndDice",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToSliceAndDice();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToSquarify",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToSquarify();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLayoutStrategy",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLayoutStrategy();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBorderPercentage",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBorderPercentage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorderPercentage",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBorderPercentage();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategy",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayoutStrategyName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLayoutStrategyName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorFieldName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetColorFieldName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorFieldName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetColorFieldName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFieldName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFieldName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFieldName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFieldName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFontSizeRange",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetFontSizeRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLogScale",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLogScale();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLogScale",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLogScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HighLightItem",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->HighLightItem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelLevelRange",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetLabelLevelRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelLevelRange",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->GetLabelLevelRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDynamicLabelLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDynamicLabelLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDynamicLabelLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDynamicLabelLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetChildLabelMotion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetChildLabelMotion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetChildLabelMotion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetChildLabelMotion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelClipMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelClipMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelClipMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelClipMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTreeMapViewerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTreeMapViewer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetAggregationFieldName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAggregationFieldName\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractorStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToBox\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToSliceAndDice\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToSquarify\n",NULL);
    Tcl_AppendResult(interp,"  GetLayoutStrategy\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderPercentage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderPercentage\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayoutStrategyName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorFieldName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorFieldName\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFieldName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFieldName\n",NULL);
    Tcl_AppendResult(interp,"  SetFontSizeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLogScale\n",NULL);
    Tcl_AppendResult(interp,"  SetLogScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HighLightItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelLevelRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelLevelRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDynamicLabelLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDynamicLabelLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetChildLabelMotion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetChildLabelMotion\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelClipMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelClipMode\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "SetAggregationFieldName" );
    Tcl_DStringAppendElement ( &dString, "GetAggregationFieldName" );
    Tcl_DStringAppendElement ( &dString, "GetInteractorStyle" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToBox" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSliceAndDice" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSquarify" );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetBorderPercentage" );
    Tcl_DStringAppendElement ( &dString, "GetBorderPercentage" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategyName" );
    Tcl_DStringAppendElement ( &dString, "SetColorFieldName" );
    Tcl_DStringAppendElement ( &dString, "GetColorFieldName" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFieldName" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFieldName" );
    Tcl_DStringAppendElement ( &dString, "SetFontSizeRange" );
    Tcl_DStringAppendElement ( &dString, "GetLogScale" );
    Tcl_DStringAppendElement ( &dString, "SetLogScale" );
    Tcl_DStringAppendElement ( &dString, "HighLightItem" );
    Tcl_DStringAppendElement ( &dString, "SetLabelLevelRange" );
    Tcl_DStringAppendElement ( &dString, "GetLabelLevelRange" );
    Tcl_DStringAppendElement ( &dString, "SetDynamicLabelLevel" );
    Tcl_DStringAppendElement ( &dString, "GetDynamicLabelLevel" );
    Tcl_DStringAppendElement ( &dString, "SetChildLabelMotion" );
    Tcl_DStringAppendElement ( &dString, "GetChildLabelMotion" );
    Tcl_DStringAppendElement ( &dString, "SetLabelClipMode" );
    Tcl_DStringAppendElement ( &dString, "GetLabelClipMode" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTreeMapViewer *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTree" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the input data to the viewer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput (vtkTree *arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderWindow */
    if ( strcmp ( argv[2], "SetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set your own renderwindow\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderWindow (vtkRenderWindow *arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set your own renderwindow\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetRenderWindow ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAggregationFieldName */
    if ( strcmp ( argv[2], "SetAggregationFieldName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAggregationFieldName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAggregationFieldName */
    Tcl_DStringAppendElement ( &dString, " Set the aggregration field (defaults to \"size\")\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAggregationFieldName (const char *field);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetAggregationFieldName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAggregationFieldName */
    if ( strcmp ( argv[2], "GetAggregationFieldName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAggregationFieldName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAggregationFieldName */
    Tcl_DStringAppendElement ( &dString, " Set the aggregration field (defaults to \"size\")\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetAggregationFieldName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetAggregationFieldName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractorStyle */
    if ( strcmp ( argv[2], "GetInteractorStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractorStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractorStyle */
    Tcl_DStringAppendElement ( &dString, " Get the Interactor Style object pointer\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleTreeMapHover *GetInteractorStyle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetInteractorStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategy */
    if ( strcmp ( argv[2], "SetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Set layout strategy for the tree map\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategy (int strategy);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToBox */
    if ( strcmp ( argv[2], "SetLayoutStrategyToBox" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToBox" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToBox */
    Tcl_DStringAppendElement ( &dString, " Set layout strategy for the tree map\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToBox ();this SetLayoutStrategy BOX_LAYOUT " );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetLayoutStrategyToBox */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToSliceAndDice */
    if ( strcmp ( argv[2], "SetLayoutStrategyToSliceAndDice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSliceAndDice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToSliceAndDice */
    Tcl_DStringAppendElement ( &dString, " Set layout strategy for the tree map\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToSliceAndDice ();this SetLayoutStrategy SLICE_AND_DICE_LAYOUT " );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetLayoutStrategyToSliceAndDice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToSquarify */
    if ( strcmp ( argv[2], "SetLayoutStrategyToSquarify" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSquarify" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToSquarify */
    Tcl_DStringAppendElement ( &dString, " Set layout strategy for the tree map\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToSquarify ();this SetLayoutStrategy SQUARIFY_LAYOUT " );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetLayoutStrategyToSquarify */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayoutStrategy */
    if ( strcmp ( argv[2], "GetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Set layout strategy for the tree map\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLayoutStrategy ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderPercentage */
    if ( strcmp ( argv[2], "SetBorderPercentage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderPercentage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderPercentage */
    Tcl_DStringAppendElement ( &dString, " Get/Set the fraction of the treemap box to use in the border.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderPercentage (double pcent);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetBorderPercentage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderPercentage */
    if ( strcmp ( argv[2], "GetBorderPercentage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderPercentage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderPercentage */
    Tcl_DStringAppendElement ( &dString, " Get/Set the fraction of the treemap box to use in the border.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBorderPercentage ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetBorderPercentage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategy */
    if ( strcmp ( argv[2], "SetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " These convenience functions use strings for use in GUIs and scripts.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategy (const char *layoutType);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayoutStrategyName */
    if ( strcmp ( argv[2], "GetLayoutStrategyName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategyName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayoutStrategyName */
    Tcl_DStringAppendElement ( &dString, " These convenience functions use strings for use in GUIs and scripts.\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetLayoutStrategyName (int strategy);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetLayoutStrategyName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorFieldName */
    if ( strcmp ( argv[2], "SetColorFieldName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorFieldName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorFieldName */
    Tcl_DStringAppendElement ( &dString, " The name of the field used for coloring the data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorFieldName (const char *field);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetColorFieldName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorFieldName */
    if ( strcmp ( argv[2], "GetColorFieldName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorFieldName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorFieldName */
    Tcl_DStringAppendElement ( &dString, " The name of the field used for coloring the data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetColorFieldName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetColorFieldName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFieldName */
    if ( strcmp ( argv[2], "SetLabelFieldName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFieldName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFieldName */
    Tcl_DStringAppendElement ( &dString, " The name of the field used for labeling\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelFieldName (const char *field);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetLabelFieldName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFieldName */
    if ( strcmp ( argv[2], "GetLabelFieldName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFieldName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFieldName */
    Tcl_DStringAppendElement ( &dString, " The name of the field used for labeling\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetLabelFieldName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetLabelFieldName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontSizeRange */
    if ( strcmp ( argv[2], "SetFontSizeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontSizeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontSizeRange */
    Tcl_DStringAppendElement ( &dString, " The sizes of the fonts used for labeling\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFontSizeRange (const int maxSize, const int minSize);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetFontSizeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLogScale */
    if ( strcmp ( argv[2], "GetLogScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLogScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLogScale */
    Tcl_DStringAppendElement ( &dString, " Set whether the tree map uses a logarithmic scaling of sizes.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLogScale ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetLogScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLogScale */
    if ( strcmp ( argv[2], "SetLogScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLogScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLogScale */
    Tcl_DStringAppendElement ( &dString, " Set whether the tree map uses a logarithmic scaling of sizes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLogScale (bool value);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetLogScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HighLightItem */
    if ( strcmp ( argv[2], "HighLightItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HighLightItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HighLightItem */
    Tcl_DStringAppendElement ( &dString, " Highlight the tree item that matches the pedigree id\n" );
    Tcl_DStringAppendElement ( &dString, "void HighLightItem (vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for HighLightItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelLevelRange */
    if ( strcmp ( argv[2], "SetLabelLevelRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelLevelRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelLevelRange */
    Tcl_DStringAppendElement ( &dString, " Get/Set the range of levels to attempt to label.\n The level of a vertex is the length of the path to the root\n (the root has level 0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelLevelRange (int start, int end);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetLabelLevelRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelLevelRange */
    if ( strcmp ( argv[2], "GetLabelLevelRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelLevelRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelLevelRange */
    Tcl_DStringAppendElement ( &dString, " Get/Set the range of levels to attempt to label.\n The level of a vertex is the length of the path to the root\n (the root has level 0).\n" );
    Tcl_DStringAppendElement ( &dString, "void GetLabelLevelRange (int range\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetLabelLevelRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDynamicLabelLevel */
    if ( strcmp ( argv[2], "SetDynamicLabelLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDynamicLabelLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDynamicLabelLevel */
    Tcl_DStringAppendElement ( &dString, " Get/Set the level at which treemap labeling is dynamic.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDynamicLabelLevel (int level);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetDynamicLabelLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDynamicLabelLevel */
    if ( strcmp ( argv[2], "GetDynamicLabelLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDynamicLabelLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDynamicLabelLevel */
    Tcl_DStringAppendElement ( &dString, " Get/Set the level at which treemap labeling is dynamic.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDynamicLabelLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetDynamicLabelLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetChildLabelMotion */
    if ( strcmp ( argv[2], "SetChildLabelMotion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetChildLabelMotion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetChildLabelMotion */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the label may be moved by its ancestors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetChildLabelMotion (int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetChildLabelMotion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetChildLabelMotion */
    if ( strcmp ( argv[2], "GetChildLabelMotion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChildLabelMotion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChildLabelMotion */
    Tcl_DStringAppendElement ( &dString, " Get/Set whether the label may be moved by its ancestors.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetChildLabelMotion ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetChildLabelMotion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelClipMode */
    if ( strcmp ( argv[2], "SetLabelClipMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelClipMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelClipMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set if the label can be displayed clipped by the window.\n 0 - ok to clip labels\n 1 - auto center labels w/r to the area of the vertex's clipped\n region\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelClipMode (int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for SetLabelClipMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelClipMode */
    if ( strcmp ( argv[2], "GetLabelClipMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelClipMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelClipMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set if the label can be displayed clipped by the window.\n 0 - ok to clip labels\n 1 - auto center labels w/r to the area of the vertex's clipped\n region\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLabelClipMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapViewer" );
    /* Closing for GetLabelClipMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
