// python wrapper for vtkTreeOrbitLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeOrbitLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeOrbitLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeOrbitLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkTreeOrbitLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeOrbitLayoutStrategy *op;

  const char    *temp20;
  op = (vtkTreeOrbitLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeOrbitLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeOrbitLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeOrbitLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeOrbitLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeOrbitLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeOrbitLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeOrbitLayoutStrategy *op;

  vtkTreeOrbitLayoutStrategy  *temp20;
  op = (vtkTreeOrbitLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeOrbitLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeOrbitLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeOrbitLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeOrbitLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeOrbitLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeOrbitLayoutStrategy *op;

  op = (vtkTreeOrbitLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeOrbitLayoutStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeOrbitLayoutStrategy_SetLogSpacingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeOrbitLayoutStrategy *op;

  double   temp0;
  op = (vtkTreeOrbitLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeOrbitLayoutStrategy::SetLogSpacingValue(temp0);
      }
    else
      {
      op->SetLogSpacingValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeOrbitLayoutStrategy_GetLogSpacingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeOrbitLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeOrbitLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeOrbitLayoutStrategy::GetLogSpacingValue();
      }
    else
      {
      temp20 = op->GetLogSpacingValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeOrbitLayoutStrategy_SetLeafSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeOrbitLayoutStrategy *op;

  double   temp0;
  op = (vtkTreeOrbitLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeOrbitLayoutStrategy::SetLeafSpacing(temp0);
      }
    else
      {
      op->SetLeafSpacing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeOrbitLayoutStrategy_GetLeafSpacingMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeOrbitLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeOrbitLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeOrbitLayoutStrategy::GetLeafSpacingMinValue();
      }
    else
      {
      temp20 = op->GetLeafSpacingMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeOrbitLayoutStrategy_GetLeafSpacingMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeOrbitLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeOrbitLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeOrbitLayoutStrategy::GetLeafSpacingMaxValue();
      }
    else
      {
      temp20 = op->GetLeafSpacingMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeOrbitLayoutStrategy_GetLeafSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeOrbitLayoutStrategy *op;

  double   temp20;
  op = (vtkTreeOrbitLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeOrbitLayoutStrategy::GetLeafSpacing();
      }
    else
      {
      temp20 = op->GetLeafSpacing();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTreeOrbitLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeOrbitLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeOrbitLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeOrbitLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeOrbitLayoutStrategy\nC++: vtkTreeOrbitLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeOrbitLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeOrbitLayoutStrategy\nC++: vtkTreeOrbitLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkTreeOrbitLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: void Layout ();\n\n Perform the orbital layout.\n"},
  {(char*)"SetLogSpacingValue",                (PyCFunction)PyvtkTreeOrbitLayoutStrategy_SetLogSpacingValue, 1,
   (char*)"V.SetLogSpacingValue(float)\nC++: void SetLogSpacingValue (double );\n\n The spacing of orbital levels. Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels. Levels above one give more space\n to levels near the leaves.\n"},
  {(char*)"GetLogSpacingValue",                (PyCFunction)PyvtkTreeOrbitLayoutStrategy_GetLogSpacingValue, 1,
   (char*)"V.GetLogSpacingValue() -> float\nC++: double GetLogSpacingValue ();\n\n The spacing of orbital levels. Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels. Levels above one give more space\n to levels near the leaves.\n"},
  {(char*)"SetLeafSpacing",                (PyCFunction)PyvtkTreeOrbitLayoutStrategy_SetLeafSpacing, 1,
   (char*)"V.SetLeafSpacing(float)\nC++: void SetLeafSpacing (double );\n\n The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n"},
  {(char*)"GetLeafSpacingMinValue",                (PyCFunction)PyvtkTreeOrbitLayoutStrategy_GetLeafSpacingMinValue, 1,
   (char*)"V.GetLeafSpacingMinValue() -> float\nC++: double GetLeafSpacingMinValue ();\n\n The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n"},
  {(char*)"GetLeafSpacingMaxValue",                (PyCFunction)PyvtkTreeOrbitLayoutStrategy_GetLeafSpacingMaxValue, 1,
   (char*)"V.GetLeafSpacingMaxValue() -> float\nC++: double GetLeafSpacingMaxValue ();\n\n The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n"},
  {(char*)"GetLeafSpacing",                (PyCFunction)PyvtkTreeOrbitLayoutStrategy_GetLeafSpacing, 1,
   (char*)"V.GetLeafSpacing() -> float\nC++: double GetLeafSpacing ();\n\n The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeOrbitLayoutStrategyDoc[] = {
  (char*)"vtkTreeOrbitLayoutStrategy - hierarchical orbital layout\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" Assigns points to the nodes of a tree to an orbital layout. Each parent\n is orbited by its children, recursively.\n\n",
  NULL
};

static vtkObjectBase *vtkTreeOrbitLayoutStrategyStaticNew()
{
  return vtkTreeOrbitLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkTreeOrbitLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeOrbitLayoutStrategyStaticNew,
                        PyvtkTreeOrbitLayoutStrategyMethods,
                        (char*)"vtkTreeOrbitLayoutStrategy",modulename,
                        (char**)vtkTreeOrbitLayoutStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

