// python wrapper for vtkTulipReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTulipReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTulipReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTulipReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUndirectedGraphAlgorithmNew(char *); }

static PyObject *PyvtkTulipReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTulipReader *op;

  const char    *temp20;
  op = (vtkTulipReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTulipReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTulipReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTulipReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkTulipReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTulipReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTulipReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTulipReader *op;

  vtkTulipReader  *temp20;
  op = (vtkTulipReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTulipReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTulipReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTulipReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTulipReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTulipReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTulipReader *op;

  char    *temp20;
  op = (vtkTulipReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTulipReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTulipReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTulipReader *op;

  char    *temp0;
  op = (vtkTulipReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTulipReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTulipReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTulipReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTulipReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTulipReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTulipReader\nC++: vtkTulipReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTulipReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTulipReader\nC++: vtkTulipReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkTulipReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n The Chaco file name.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkTulipReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n The Chaco file name.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTulipReaderDoc[] = {
  (char*)"vtkTulipReader - Reads tulip graph files.\n\n",
  "Super Class:\n\n vtkUndirectedGraphAlgorithm\n\n",
  (char*)" vtkTulipReader reads in files in the Tulip format.\n An example is the following\n <code>\n (nodes 0 1 2 3 4 5 6 7 8 9)\n (edge 0 0 1)\n (edge 1 1 2)\n (edge 2 2 3)\n (edge 3 3 4)\n (edge 4 4 5)\n (edge 5 5 6)\n (edge 6 6 7)\n (edge 7 7 8)\n (edge 8 8 9)\n (edge 9 9 0)\n (edge 10 0 5)\n (edge 11 2 7)\n (edge 12 4 9)\n </code>\n where \"nodes\" defines all the nodes ids in the graph, and \"edge\"\n is a triple of edge i",
  (char*)"d, source vertex id, and target vertex id.\n The graph is read in as undirected graph.\n NOTE: This currently only supports reading connectivity information.\n Display information is discarded.\n\n",
  NULL
};

static vtkObjectBase *vtkTulipReaderStaticNew()
{
  return vtkTulipReader::New();
}

PyObject *PyVTKClass_vtkTulipReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkTulipReaderStaticNew,
                        PyvtkTulipReaderMethods,
                        (char*)"vtkTulipReader",modulename,
                        (char**)vtkTulipReaderDoc,
                        PyVTKClass_vtkUndirectedGraphAlgorithmNew(modulename));
}

