// python wrapper for vtkVertexDegree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVertexDegree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVertexDegreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVertexDegreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkVertexDegree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexDegree *op;

  const char    *temp20;
  op = (vtkVertexDegree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexDegree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVertexDegree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexDegree *op;

  char    *temp0;
  int      temp20;
  op = (vtkVertexDegree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexDegree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertexDegree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexDegree *op;

  vtkVertexDegree  *temp20;
  op = (vtkVertexDegree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexDegree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertexDegree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVertexDegree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVertexDegree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVertexDegree_SetOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexDegree *op;

  char    *temp0;
  op = (vtkVertexDegree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVertexDegree::SetOutputArrayName(temp0);
      }
    else
      {
      op->SetOutputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVertexDegreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVertexDegree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVertexDegree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVertexDegree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVertexDegree\nC++: vtkVertexDegree *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVertexDegree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVertexDegree\nC++: vtkVertexDegree *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutputArrayName",                (PyCFunction)PyvtkVertexDegree_SetOutputArrayName, 1,
   (char*)"V.SetOutputArrayName(string)\nC++: void SetOutputArrayName (char *);\n\n Set the output array name. If no output array name is\n set then the name 'VertexDegree' is used.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVertexDegreeDoc[] = {
  (char*)"vtkVertexDegree - Adds an attribute array with the degree of each vertex\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" Adds an attribute array with the degree of each vertex. By default the name\n of the array will be \"VertexDegree\", but that can be changed by calling\n SetOutputArrayName(\"foo\");\n\n",
  NULL
};

static vtkObjectBase *vtkVertexDegreeStaticNew()
{
  return vtkVertexDegree::New();
}

PyObject *PyVTKClass_vtkVertexDegreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkVertexDegreeStaticNew,
                        PyvtkVertexDegreeMethods,
                        (char*)"vtkVertexDegree",modulename,
                        (char**)vtkVertexDegreeDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

