// python wrapper for vtkViewTheme object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkViewTheme.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkViewThemeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkViewThemeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkViewTheme_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  const char    *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  char    *temp0;
  int      temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkViewTheme  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkViewTheme  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkViewTheme::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointSize(temp0);
      }
    else
      {
      op->SetPointSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointSize();
      }
    else
      {
      temp20 = op->GetPointSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetLineWidth(temp0);
      }
    else
      {
      op->SetLineWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetLineWidth();
      }
    else
      {
      temp20 = op->GetLineWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetPointColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointColor(temp0);
      }
    else
      {
      op->SetPointColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointColor();
      }
    else
      {
      temp20 = op->GetPointColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointOpacity(temp0);
      }
    else
      {
      op->SetPointOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointOpacity();
      }
    else
      {
      temp20 = op->GetPointOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointHueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointHueRange(temp0,temp1);
      }
    else
      {
      op->SetPointHueRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointHueRange(temp0);
      }
    else
      {
      op->SetPointHueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointHueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointHueRange();
      }
    else
      {
      temp20 = op->GetPointHueRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointSaturationRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointSaturationRange(temp0,temp1);
      }
    else
      {
      op->SetPointSaturationRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointSaturationRange(temp0);
      }
    else
      {
      op->SetPointSaturationRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointSaturationRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointSaturationRange();
      }
    else
      {
      temp20 = op->GetPointSaturationRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointValueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointValueRange(temp0,temp1);
      }
    else
      {
      op->SetPointValueRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointValueRange(temp0);
      }
    else
      {
      op->SetPointValueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointValueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointValueRange();
      }
    else
      {
      temp20 = op->GetPointValueRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointAlphaRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointAlphaRange(temp0,temp1);
      }
    else
      {
      op->SetPointAlphaRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointAlphaRange(temp0);
      }
    else
      {
      op->SetPointAlphaRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointAlphaRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointAlphaRange();
      }
    else
      {
      temp20 = op->GetPointAlphaRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetCellColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellColor(temp0);
      }
    else
      {
      op->SetCellColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetCellColor();
      }
    else
      {
      temp20 = op->GetCellColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellOpacity(temp0);
      }
    else
      {
      op->SetCellOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetCellOpacity();
      }
    else
      {
      temp20 = op->GetCellOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellHueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellHueRange(temp0,temp1);
      }
    else
      {
      op->SetCellHueRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellHueRange(temp0);
      }
    else
      {
      op->SetCellHueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellHueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetCellHueRange();
      }
    else
      {
      temp20 = op->GetCellHueRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellSaturationRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellSaturationRange(temp0,temp1);
      }
    else
      {
      op->SetCellSaturationRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellSaturationRange(temp0);
      }
    else
      {
      op->SetCellSaturationRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellSaturationRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetCellSaturationRange();
      }
    else
      {
      temp20 = op->GetCellSaturationRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellValueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellValueRange(temp0,temp1);
      }
    else
      {
      op->SetCellValueRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellValueRange(temp0);
      }
    else
      {
      op->SetCellValueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellValueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetCellValueRange();
      }
    else
      {
      temp20 = op->GetCellValueRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellAlphaRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellAlphaRange(temp0,temp1);
      }
    else
      {
      op->SetCellAlphaRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellAlphaRange(temp0);
      }
    else
      {
      op->SetCellAlphaRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellAlphaRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetCellAlphaRange();
      }
    else
      {
      temp20 = op->GetCellAlphaRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetOutlineColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetOutlineColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutlineColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetOutlineColor(temp0);
      }
    else
      {
      op->SetOutlineColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetOutlineColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetOutlineColor();
      }
    else
      {
      temp20 = op->GetOutlineColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetSelectedPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedPointColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetSelectedPointColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedPointColor(temp0);
      }
    else
      {
      op->SetSelectedPointColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetSelectedPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetSelectedPointColor();
      }
    else
      {
      temp20 = op->GetSelectedPointColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetSelectedPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedPointOpacity(temp0);
      }
    else
      {
      op->SetSelectedPointOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetSelectedPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetSelectedPointOpacity();
      }
    else
      {
      temp20 = op->GetSelectedPointOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetSelectedCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedCellColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetSelectedCellColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedCellColor(temp0);
      }
    else
      {
      op->SetSelectedCellColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetSelectedCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetSelectedCellColor();
      }
    else
      {
      temp20 = op->GetSelectedCellColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetSelectedCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedCellOpacity(temp0);
      }
    else
      {
      op->SetSelectedCellOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetSelectedCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetSelectedCellOpacity();
      }
    else
      {
      temp20 = op->GetSelectedCellOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetBackgroundColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetBackgroundColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetBackgroundColor(temp0);
      }
    else
      {
      op->SetBackgroundColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetBackgroundColor();
      }
    else
      {
      temp20 = op->GetBackgroundColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetBackgroundColor2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetBackgroundColor2(temp0,temp1,temp2);
      }
    else
      {
      op->SetBackgroundColor2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetBackgroundColor2(temp0);
      }
    else
      {
      op->SetBackgroundColor2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetBackgroundColor2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetBackgroundColor2();
      }
    else
      {
      temp20 = op->GetBackgroundColor2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetVertexLabelColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetVertexLabelColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetVertexLabelColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetVertexLabelColor(temp0);
      }
    else
      {
      op->SetVertexLabelColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetVertexLabelColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetVertexLabelColor();
      }
    else
      {
      temp20 = op->GetVertexLabelColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetEdgeLabelColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetEdgeLabelColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetEdgeLabelColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetEdgeLabelColor(temp0);
      }
    else
      {
      op->SetEdgeLabelColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetEdgeLabelColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetEdgeLabelColor();
      }
    else
      {
      temp20 = op->GetEdgeLabelColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_CreateOceanTheme(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkViewTheme::CreateOceanTheme();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_CreateMellowTheme(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkViewTheme::CreateMellowTheme();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_CreateNeonTheme(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkViewTheme::CreateNeonTheme();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkViewThemeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkViewTheme_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkViewTheme_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkViewTheme_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkViewTheme\nC++: vtkViewTheme *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkViewTheme_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkViewTheme\nC++: vtkViewTheme *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPointSize",                (PyCFunction)PyvtkViewTheme_SetPointSize, 1,
   (char*)"V.SetPointSize(float)\nC++: void SetPointSize (double );\n\n The size of points or vertices\n"},
  {(char*)"GetPointSize",                (PyCFunction)PyvtkViewTheme_GetPointSize, 1,
   (char*)"V.GetPointSize() -> float\nC++: double GetPointSize ();\n\n The size of points or vertices\n"},
  {(char*)"SetLineWidth",                (PyCFunction)PyvtkViewTheme_SetLineWidth, 1,
   (char*)"V.SetLineWidth(float)\nC++: void SetLineWidth (double );\n\n The width of lines or edges\n"},
  {(char*)"GetLineWidth",                (PyCFunction)PyvtkViewTheme_GetLineWidth, 1,
   (char*)"V.GetLineWidth() -> float\nC++: double GetLineWidth ();\n\n The width of lines or edges\n"},
  {(char*)"SetPointColor",                (PyCFunction)PyvtkViewTheme_SetPointColor, 1,
   (char*)"V.SetPointColor(float, float, float)\nC++: void SetPointColor (double , double , double );\nV.SetPointColor((float, float, float))\nC++: void SetPointColor (double  a[3]);\n\n The color and opacity of points or vertices when not mapped through\n a lookup table.\n"},
  {(char*)"GetPointColor",                (PyCFunction)PyvtkViewTheme_GetPointColor, 1,
   (char*)"V.GetPointColor() -> (float, float, float)\nC++: double  *GetPointColor ();\n\n The color and opacity of points or vertices when not mapped through\n a lookup table.\n"},
  {(char*)"SetPointOpacity",                (PyCFunction)PyvtkViewTheme_SetPointOpacity, 1,
   (char*)"V.SetPointOpacity(float)\nC++: void SetPointOpacity (double );\n\n The color and opacity of points or vertices when not mapped through\n a lookup table.\n"},
  {(char*)"GetPointOpacity",                (PyCFunction)PyvtkViewTheme_GetPointOpacity, 1,
   (char*)"V.GetPointOpacity() -> float\nC++: double GetPointOpacity ();\n\n The color and opacity of points or vertices when not mapped through\n a lookup table.\n"},
  {(char*)"SetPointHueRange",                (PyCFunction)PyvtkViewTheme_SetPointHueRange, 1,
   (char*)"V.SetPointHueRange(float, float)\nC++: void SetPointHueRange (double , double );\nV.SetPointHueRange((float, float))\nC++: void SetPointHueRange (double  a[2]);\n\n The ranges to use in a lookup table.\n"},
  {(char*)"GetPointHueRange",                (PyCFunction)PyvtkViewTheme_GetPointHueRange, 1,
   (char*)"V.GetPointHueRange() -> (float, float)\nC++: double  *GetPointHueRange ();\n\n The ranges to use in a lookup table.\n"},
  {(char*)"SetPointSaturationRange",                (PyCFunction)PyvtkViewTheme_SetPointSaturationRange, 1,
   (char*)"V.SetPointSaturationRange(float, float)\nC++: void SetPointSaturationRange (double , double );\nV.SetPointSaturationRange((float, float))\nC++: void SetPointSaturationRange (double  a[2]);\n\n The ranges to use in a lookup table.\n"},
  {(char*)"GetPointSaturationRange",                (PyCFunction)PyvtkViewTheme_GetPointSaturationRange, 1,
   (char*)"V.GetPointSaturationRange() -> (float, float)\nC++: double  *GetPointSaturationRange ();\n\n The ranges to use in a lookup table.\n"},
  {(char*)"SetPointValueRange",                (PyCFunction)PyvtkViewTheme_SetPointValueRange, 1,
   (char*)"V.SetPointValueRange(float, float)\nC++: void SetPointValueRange (double , double );\nV.SetPointValueRange((float, float))\nC++: void SetPointValueRange (double  a[2]);\n\n The ranges to use in a lookup table.\n"},
  {(char*)"GetPointValueRange",                (PyCFunction)PyvtkViewTheme_GetPointValueRange, 1,
   (char*)"V.GetPointValueRange() -> (float, float)\nC++: double  *GetPointValueRange ();\n\n The ranges to use in a lookup table.\n"},
  {(char*)"SetPointAlphaRange",                (PyCFunction)PyvtkViewTheme_SetPointAlphaRange, 1,
   (char*)"V.SetPointAlphaRange(float, float)\nC++: void SetPointAlphaRange (double , double );\nV.SetPointAlphaRange((float, float))\nC++: void SetPointAlphaRange (double  a[2]);\n\n The ranges to use in a lookup table.\n"},
  {(char*)"GetPointAlphaRange",                (PyCFunction)PyvtkViewTheme_GetPointAlphaRange, 1,
   (char*)"V.GetPointAlphaRange() -> (float, float)\nC++: double  *GetPointAlphaRange ();\n\n The ranges to use in a lookup table.\n"},
  {(char*)"SetCellColor",                (PyCFunction)PyvtkViewTheme_SetCellColor, 1,
   (char*)"V.SetCellColor(float, float, float)\nC++: void SetCellColor (double , double , double );\nV.SetCellColor((float, float, float))\nC++: void SetCellColor (double  a[3]);\n\n The color and opacity of cells or edges when not mapped through\n a lookup table.\n"},
  {(char*)"GetCellColor",                (PyCFunction)PyvtkViewTheme_GetCellColor, 1,
   (char*)"V.GetCellColor() -> (float, float, float)\nC++: double  *GetCellColor ();\n\n The color and opacity of cells or edges when not mapped through\n a lookup table.\n"},
  {(char*)"SetCellOpacity",                (PyCFunction)PyvtkViewTheme_SetCellOpacity, 1,
   (char*)"V.SetCellOpacity(float)\nC++: void SetCellOpacity (double );\n\n The color and opacity of cells or edges when not mapped through\n a lookup table.\n"},
  {(char*)"GetCellOpacity",                (PyCFunction)PyvtkViewTheme_GetCellOpacity, 1,
   (char*)"V.GetCellOpacity() -> float\nC++: double GetCellOpacity ();\n\n The color and opacity of cells or edges when not mapped through\n a lookup table.\n"},
  {(char*)"SetCellHueRange",                (PyCFunction)PyvtkViewTheme_SetCellHueRange, 1,
   (char*)"V.SetCellHueRange(float, float)\nC++: void SetCellHueRange (double , double );\nV.SetCellHueRange((float, float))\nC++: void SetCellHueRange (double  a[2]);\n\n The ranges to use in a lookup table.\n"},
  {(char*)"GetCellHueRange",                (PyCFunction)PyvtkViewTheme_GetCellHueRange, 1,
   (char*)"V.GetCellHueRange() -> (float, float)\nC++: double  *GetCellHueRange ();\n\n The ranges to use in a lookup table.\n"},
  {(char*)"SetCellSaturationRange",                (PyCFunction)PyvtkViewTheme_SetCellSaturationRange, 1,
   (char*)"V.SetCellSaturationRange(float, float)\nC++: void SetCellSaturationRange (double , double );\nV.SetCellSaturationRange((float, float))\nC++: void SetCellSaturationRange (double  a[2]);\n\n The ranges to use in a lookup table.\n"},
  {(char*)"GetCellSaturationRange",                (PyCFunction)PyvtkViewTheme_GetCellSaturationRange, 1,
   (char*)"V.GetCellSaturationRange() -> (float, float)\nC++: double  *GetCellSaturationRange ();\n\n The ranges to use in a lookup table.\n"},
  {(char*)"SetCellValueRange",                (PyCFunction)PyvtkViewTheme_SetCellValueRange, 1,
   (char*)"V.SetCellValueRange(float, float)\nC++: void SetCellValueRange (double , double );\nV.SetCellValueRange((float, float))\nC++: void SetCellValueRange (double  a[2]);\n\n The ranges to use in a lookup table.\n"},
  {(char*)"GetCellValueRange",                (PyCFunction)PyvtkViewTheme_GetCellValueRange, 1,
   (char*)"V.GetCellValueRange() -> (float, float)\nC++: double  *GetCellValueRange ();\n\n The ranges to use in a lookup table.\n"},
  {(char*)"SetCellAlphaRange",                (PyCFunction)PyvtkViewTheme_SetCellAlphaRange, 1,
   (char*)"V.SetCellAlphaRange(float, float)\nC++: void SetCellAlphaRange (double , double );\nV.SetCellAlphaRange((float, float))\nC++: void SetCellAlphaRange (double  a[2]);\n\n The ranges to use in a lookup table.\n"},
  {(char*)"GetCellAlphaRange",                (PyCFunction)PyvtkViewTheme_GetCellAlphaRange, 1,
   (char*)"V.GetCellAlphaRange() -> (float, float)\nC++: double  *GetCellAlphaRange ();\n\n The ranges to use in a lookup table.\n"},
  {(char*)"SetOutlineColor",                (PyCFunction)PyvtkViewTheme_SetOutlineColor, 1,
   (char*)"V.SetOutlineColor(float, float, float)\nC++: void SetOutlineColor (double , double , double );\nV.SetOutlineColor((float, float, float))\nC++: void SetOutlineColor (double  a[3]);\n\n The color of any outlines in the view.\n"},
  {(char*)"GetOutlineColor",                (PyCFunction)PyvtkViewTheme_GetOutlineColor, 1,
   (char*)"V.GetOutlineColor() -> (float, float, float)\nC++: double  *GetOutlineColor ();\n\n The color of any outlines in the view.\n"},
  {(char*)"SetSelectedPointColor",                (PyCFunction)PyvtkViewTheme_SetSelectedPointColor, 1,
   (char*)"V.SetSelectedPointColor(float, float, float)\nC++: void SetSelectedPointColor (double , double , double );\nV.SetSelectedPointColor((float, float, float))\nC++: void SetSelectedPointColor (double  a[3]);\n\n The color of selected points or vertices.\n"},
  {(char*)"GetSelectedPointColor",                (PyCFunction)PyvtkViewTheme_GetSelectedPointColor, 1,
   (char*)"V.GetSelectedPointColor() -> (float, float, float)\nC++: double  *GetSelectedPointColor ();\n\n The color of selected points or vertices.\n"},
  {(char*)"SetSelectedPointOpacity",                (PyCFunction)PyvtkViewTheme_SetSelectedPointOpacity, 1,
   (char*)"V.SetSelectedPointOpacity(float)\nC++: void SetSelectedPointOpacity (double );\n\n The color of selected points or vertices.\n"},
  {(char*)"GetSelectedPointOpacity",                (PyCFunction)PyvtkViewTheme_GetSelectedPointOpacity, 1,
   (char*)"V.GetSelectedPointOpacity() -> float\nC++: double GetSelectedPointOpacity ();\n\n The color of selected points or vertices.\n"},
  {(char*)"SetSelectedCellColor",                (PyCFunction)PyvtkViewTheme_SetSelectedCellColor, 1,
   (char*)"V.SetSelectedCellColor(float, float, float)\nC++: void SetSelectedCellColor (double , double , double );\nV.SetSelectedCellColor((float, float, float))\nC++: void SetSelectedCellColor (double  a[3]);\n\n The color of selected cells or edges.\n"},
  {(char*)"GetSelectedCellColor",                (PyCFunction)PyvtkViewTheme_GetSelectedCellColor, 1,
   (char*)"V.GetSelectedCellColor() -> (float, float, float)\nC++: double  *GetSelectedCellColor ();\n\n The color of selected cells or edges.\n"},
  {(char*)"SetSelectedCellOpacity",                (PyCFunction)PyvtkViewTheme_SetSelectedCellOpacity, 1,
   (char*)"V.SetSelectedCellOpacity(float)\nC++: void SetSelectedCellOpacity (double );\n\n The color of selected cells or edges.\n"},
  {(char*)"GetSelectedCellOpacity",                (PyCFunction)PyvtkViewTheme_GetSelectedCellOpacity, 1,
   (char*)"V.GetSelectedCellOpacity() -> float\nC++: double GetSelectedCellOpacity ();\n\n The color of selected cells or edges.\n"},
  {(char*)"SetBackgroundColor",                (PyCFunction)PyvtkViewTheme_SetBackgroundColor, 1,
   (char*)"V.SetBackgroundColor(float, float, float)\nC++: void SetBackgroundColor (double , double , double );\nV.SetBackgroundColor((float, float, float))\nC++: void SetBackgroundColor (double  a[3]);\n\n The view background color.\n"},
  {(char*)"GetBackgroundColor",                (PyCFunction)PyvtkViewTheme_GetBackgroundColor, 1,
   (char*)"V.GetBackgroundColor() -> (float, float, float)\nC++: double  *GetBackgroundColor ();\n\n The view background color.\n"},
  {(char*)"SetBackgroundColor2",                (PyCFunction)PyvtkViewTheme_SetBackgroundColor2, 1,
   (char*)"V.SetBackgroundColor2(float, float, float)\nC++: void SetBackgroundColor2 (double , double , double );\nV.SetBackgroundColor2((float, float, float))\nC++: void SetBackgroundColor2 (double  a[3]);\n\n The second background color (for gradients).\n"},
  {(char*)"GetBackgroundColor2",                (PyCFunction)PyvtkViewTheme_GetBackgroundColor2, 1,
   (char*)"V.GetBackgroundColor2() -> (float, float, float)\nC++: double  *GetBackgroundColor2 ();\n\n The second background color (for gradients).\n"},
  {(char*)"SetVertexLabelColor",                (PyCFunction)PyvtkViewTheme_SetVertexLabelColor, 1,
   (char*)"V.SetVertexLabelColor(float, float, float)\nC++: void SetVertexLabelColor (double , double , double );\nV.SetVertexLabelColor((float, float, float))\nC++: void SetVertexLabelColor (double  a[3]);\n\n The color to use for labelling graph vertices.\n"},
  {(char*)"GetVertexLabelColor",                (PyCFunction)PyvtkViewTheme_GetVertexLabelColor, 1,
   (char*)"V.GetVertexLabelColor() -> (float, float, float)\nC++: double  *GetVertexLabelColor ();\n\n The color to use for labelling graph vertices.\n"},
  {(char*)"SetEdgeLabelColor",                (PyCFunction)PyvtkViewTheme_SetEdgeLabelColor, 1,
   (char*)"V.SetEdgeLabelColor(float, float, float)\nC++: void SetEdgeLabelColor (double , double , double );\nV.SetEdgeLabelColor((float, float, float))\nC++: void SetEdgeLabelColor (double  a[3]);\n\n The color to use for labelling graph edges.\n"},
  {(char*)"GetEdgeLabelColor",                (PyCFunction)PyvtkViewTheme_GetEdgeLabelColor, 1,
   (char*)"V.GetEdgeLabelColor() -> (float, float, float)\nC++: double  *GetEdgeLabelColor ();\n\n The color to use for labelling graph edges.\n"},
  {(char*)"CreateOceanTheme",                (PyCFunction)PyvtkViewTheme_CreateOceanTheme, 1,
   (char*)"V.CreateOceanTheme() -> vtkViewTheme\nC++: static vtkViewTheme *CreateOceanTheme ();\n\n Convenience methods for creating some default view themes.\n The return reference is reference-counted, so you will have to call\n Delete() on the reference when you are finished with it.\n"},
  {(char*)"CreateMellowTheme",                (PyCFunction)PyvtkViewTheme_CreateMellowTheme, 1,
   (char*)"V.CreateMellowTheme() -> vtkViewTheme\nC++: static vtkViewTheme *CreateMellowTheme ();\n\n Convenience methods for creating some default view themes.\n The return reference is reference-counted, so you will have to call\n Delete() on the reference when you are finished with it.\n"},
  {(char*)"CreateNeonTheme",                (PyCFunction)PyvtkViewTheme_CreateNeonTheme, 1,
   (char*)"V.CreateNeonTheme() -> vtkViewTheme\nC++: static vtkViewTheme *CreateNeonTheme ();\n\n Convenience methods for creating some default view themes.\n The return reference is reference-counted, so you will have to call\n Delete() on the reference when you are finished with it.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkViewThemeDoc[] = {
  (char*)"vtkViewTheme - Sets theme colors for a graphical view.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This may be set on any subclass of vtkView.  The view class will attempt\n to use the values set in the theme to customize the view.  Views will not\n generally use every aspect of the theme.\n NOTICE: This class will be deprecated in favor of a more robust\n solution based on style sheets.  Do not become overly-dependent on the\n functionality of themes.\n\n",
  NULL
};

static vtkObjectBase *vtkViewThemeStaticNew()
{
  return vtkViewTheme::New();
}

PyObject *PyVTKClass_vtkViewThemeNew(char *modulename)
{
  return PyVTKClass_New(&vtkViewThemeStaticNew,
                        PyvtkViewThemeMethods,
                        (char*)"vtkViewTheme",modulename,
                        (char**)vtkViewThemeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

