// python wrapper for vtkXMLTreeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLTreeReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLTreeReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLTreeReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkXMLTreeReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  const char    *temp20;
  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLTreeReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLTreeReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  vtkXMLTreeReader  *temp20;
  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLTreeReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLTreeReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLTreeReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  char    *temp20;
  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLTreeReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  char    *temp0;
  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLTreeReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_GetXMLString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  char    *temp20;
  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLTreeReader::GetXMLString();
      }
    else
      {
      temp20 = op->GetXMLString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_SetXMLString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  char    *temp0;
  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLTreeReader::SetXMLString(temp0);
      }
    else
      {
      op->SetXMLString(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_GetMaskArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  bool   temp20;
  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLTreeReader::GetMaskArrays();
      }
    else
      {
      temp20 = op->GetMaskArrays();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_SetMaskArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  bool   temp0;
  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLTreeReader::SetMaskArrays(temp0);
      }
    else
      {
      op->SetMaskArrays(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_MaskArraysOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLTreeReader::MaskArraysOn();
      }
    else
      {
      op->MaskArraysOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_MaskArraysOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLTreeReader::MaskArraysOff();
      }
    else
      {
      op->MaskArraysOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_GetReadCharData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  bool   temp20;
  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLTreeReader::GetReadCharData();
      }
    else
      {
      temp20 = op->GetReadCharData();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_SetReadCharData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  bool   temp0;
  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLTreeReader::SetReadCharData(temp0);
      }
    else
      {
      op->SetReadCharData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_ReadCharDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLTreeReader::ReadCharDataOn();
      }
    else
      {
      op->ReadCharDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLTreeReader_ReadCharDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLTreeReader::ReadCharDataOff();
      }
    else
      {
      op->ReadCharDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLTreeReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLTreeReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLTreeReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLTreeReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLTreeReader\nC++: vtkXMLTreeReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLTreeReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLTreeReader\nC++: vtkXMLTreeReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkXMLTreeReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n If set, reads in the XML file specified.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkXMLTreeReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n If set, reads in the XML file specified.\n"},
  {(char*)"GetXMLString",                (PyCFunction)PyvtkXMLTreeReader_GetXMLString, 1,
   (char*)"V.GetXMLString() -> string\nC++: char *GetXMLString ();\n\n If set, and FileName is not set, reads in the XML string.\n"},
  {(char*)"SetXMLString",                (PyCFunction)PyvtkXMLTreeReader_SetXMLString, 1,
   (char*)"V.SetXMLString(string)\nC++: void SetXMLString (char *);\n\n If set, and FileName is not set, reads in the XML string.\n"},
  {(char*)"GetMaskArrays",                (PyCFunction)PyvtkXMLTreeReader_GetMaskArrays, 1,
   (char*)"V.GetMaskArrays() -> bool\nC++: bool GetMaskArrays ();\n\n If on, makes bit arrays for each attribute with name .valid.attribute_name\n for each attribute.  Default is off.\n"},
  {(char*)"SetMaskArrays",                (PyCFunction)PyvtkXMLTreeReader_SetMaskArrays, 1,
   (char*)"V.SetMaskArrays(bool)\nC++: void SetMaskArrays (bool );\n\n If on, makes bit arrays for each attribute with name .valid.attribute_name\n for each attribute.  Default is off.\n"},
  {(char*)"MaskArraysOn",                (PyCFunction)PyvtkXMLTreeReader_MaskArraysOn, 1,
   (char*)"V.MaskArraysOn()\nC++: void MaskArraysOn ();\n\n If on, makes bit arrays for each attribute with name .valid.attribute_name\n for each attribute.  Default is off.\n"},
  {(char*)"MaskArraysOff",                (PyCFunction)PyvtkXMLTreeReader_MaskArraysOff, 1,
   (char*)"V.MaskArraysOff()\nC++: void MaskArraysOff ();\n\n If on, makes bit arrays for each attribute with name .valid.attribute_name\n for each attribute.  Default is off.\n"},
  {(char*)"GetReadCharData",                (PyCFunction)PyvtkXMLTreeReader_GetReadCharData, 1,
   (char*)"V.GetReadCharData() -> bool\nC++: bool GetReadCharData ();\n\n If on, stores the XML character data (i.e. textual data between tags)\n into an array named CharDataField, otherwise this field is skipped.\n Default is off.\n"},
  {(char*)"SetReadCharData",                (PyCFunction)PyvtkXMLTreeReader_SetReadCharData, 1,
   (char*)"V.SetReadCharData(bool)\nC++: void SetReadCharData (bool );\n\n If on, stores the XML character data (i.e. textual data between tags)\n into an array named CharDataField, otherwise this field is skipped.\n Default is off.\n"},
  {(char*)"ReadCharDataOn",                (PyCFunction)PyvtkXMLTreeReader_ReadCharDataOn, 1,
   (char*)"V.ReadCharDataOn()\nC++: void ReadCharDataOn ();\n\n If on, stores the XML character data (i.e. textual data between tags)\n into an array named CharDataField, otherwise this field is skipped.\n Default is off.\n"},
  {(char*)"ReadCharDataOff",                (PyCFunction)PyvtkXMLTreeReader_ReadCharDataOff, 1,
   (char*)"V.ReadCharDataOff()\nC++: void ReadCharDataOff ();\n\n If on, stores the XML character data (i.e. textual data between tags)\n into an array named CharDataField, otherwise this field is skipped.\n Default is off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLTreeReaderDoc[] = {
  (char*)"vtkXMLTreeReader - reads an XML file into a vtkTree\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)" vtkXMLTreeReader parses an XML file and uses the nesting structure of the\n XML tags to generate a tree.  Node attributes are assigned to node arrays,\n and the special arrays .tagname and .chardata contain the tag type and the\n text internal to the tag, respectively.  The arrays are of type\n vtkStringArray.  There is an array for each attribute type in the XML file,\n even if it appears in only one",
  (char*)" tag.  If an attribute is missing from a tag,\n its value is the empty string.\n\n If MaskArrays is on (the default is off), the filter will additionally make bit\n arrays whose names are prepended with \".valid.\" which are 1 if the element \n contains that attribute, and 0 otherwise. \n\n For example, the XML file containing the text:\n <node name=\"jeff\" age=\"26\">\n   this is text in jeff's node\n   <node n",
  (char*)"ame=\"joe\">\n     <node name=\"al\" initials=\"amb\" other=\"something\"/>\n     <node name=\"dave\" age=\"30\"/>\n   </node>\n   <node name=\"lisa\">this is text in lisa's node</node>\n   <node name=\"darlene\" age=\"29\"/>\n </node>\n\n would be parsed into a tree with the following node IDs and structure:\n\n 0 (jeff) - children: 1 (joe), 4 (lisa), 5 (darlene)\n 1 (joe)  - children: 2 (al), 3 (dave)\n 2 (al)\n 3 (dave)\n 4 (",
  (char*)"lisa)\n 5 (darlene)\n\n and the node data arrays would be as follows:\n\n name      initials  other     age       .tagname  .chardata\n ------------------------------------------------------------------------------------------------\n jeff      (empty)   (empty)   26         node     \"  this is text in jeff's node\\n  \\n  \\n  \\n\"\n joe       (empty)   (empty)   (empty)    node     \"\\n    \\n    \\n  \"\n al   ",
  (char*)"     amb       something (empty)    node     (empty)\n dave      (empty)   (empty)   30         node     (empty)\n lisa      (empty)   (empty)   (empty)    node     \"this is text in lisa's node\"\n darlene   (empty)   (empty)   29         node     (empty)\n\n There would also be the following bit arrays if MaskArrays is on:\n\n .valid.name   .valid.initials   .valid.other   .valid.age\n -------------------",
  (char*)"--------------------------------------\n 1             0                 0              1\n 1             0                 0              0\n 1             1                 1              0\n 1             0                 0              1\n 1             0                 0              0\n 1             0                 0              1\n\n",
  NULL
};

static vtkObjectBase *vtkXMLTreeReaderStaticNew()
{
  return vtkXMLTreeReader::New();
}

PyObject *PyVTKClass_vtkXMLTreeReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLTreeReaderStaticNew,
                        PyvtkXMLTreeReaderMethods,
                        (char*)"vtkXMLTreeReader",modulename,
                        (char**)vtkXMLTreeReaderDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

