// python wrapper for vtkCollectGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCollectGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCollectGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCollectGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkCollectGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  const char    *temp20;
  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  vtkCollectGraph  *temp20;
  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCollectGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCollectGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCollectGraph_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectGraph::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCollectGraph_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  vtkMultiProcessController  *temp20;
  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectGraph::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectGraph_SetSocketController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  vtkSocketController  *temp0;
  PyObject *tempH0;
  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSocketController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSocketController");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectGraph::SetSocketController(temp0);
      }
    else
      {
      op->SetSocketController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCollectGraph_GetSocketController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  vtkSocketController  *temp20;
  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectGraph::GetSocketController();
      }
    else
      {
      temp20 = op->GetSocketController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectGraph_SetPassThrough(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  int      temp0;
  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectGraph::SetPassThrough(temp0);
      }
    else
      {
      op->SetPassThrough(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectGraph_GetPassThrough(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  int      temp20;
  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectGraph::GetPassThrough();
      }
    else
      {
      temp20 = op->GetPassThrough();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectGraph_PassThroughOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectGraph::PassThroughOn();
      }
    else
      {
      op->PassThroughOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectGraph_PassThroughOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectGraph::PassThroughOff();
      }
    else
      {
      op->PassThroughOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectGraph_SetOutputType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  int      temp0;
  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectGraph::SetOutputType(temp0);
      }
    else
      {
      op->SetOutputType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectGraph_GetOutputType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectGraph *op;

  int      temp20;
  op = (vtkCollectGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectGraph::GetOutputType();
      }
    else
      {
      temp20 = op->GetOutputType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCollectGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCollectGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCollectGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCollectGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCollectGraph\nC++: vtkCollectGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCollectGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCollectGraph\nC++: vtkCollectGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkCollectGraph_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkCollectGraph_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n"},
  {(char*)"SetSocketController",                (PyCFunction)PyvtkCollectGraph_SetSocketController, 1,
   (char*)"V.SetSocketController(vtkSocketController)\nC++: virtual void SetSocketController (vtkSocketController *);\n\n When this filter is being used in client-server mode,\n this is the controller used to communicate between\n client and server.  Client should not set the other controller.\n"},
  {(char*)"GetSocketController",                (PyCFunction)PyvtkCollectGraph_GetSocketController, 1,
   (char*)"V.GetSocketController() -> vtkSocketController\nC++: vtkSocketController *GetSocketController ();\n\n When this filter is being used in client-server mode,\n this is the controller used to communicate between\n client and server.  Client should not set the other controller.\n"},
  {(char*)"SetPassThrough",                (PyCFunction)PyvtkCollectGraph_SetPassThrough, 1,
   (char*)"V.SetPassThrough(int)\nC++: void SetPassThrough (int );\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {(char*)"GetPassThrough",                (PyCFunction)PyvtkCollectGraph_GetPassThrough, 1,
   (char*)"V.GetPassThrough() -> int\nC++: int GetPassThrough ();\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {(char*)"PassThroughOn",                (PyCFunction)PyvtkCollectGraph_PassThroughOn, 1,
   (char*)"V.PassThroughOn()\nC++: void PassThroughOn ();\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {(char*)"PassThroughOff",                (PyCFunction)PyvtkCollectGraph_PassThroughOff, 1,
   (char*)"V.PassThroughOff()\nC++: void PassThroughOff ();\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {(char*)"SetOutputType",                (PyCFunction)PyvtkCollectGraph_SetOutputType, 1,
   (char*)"V.SetOutputType(int)\nC++: void SetOutputType (int );\n\n Directedness flag, used to signal whether the output graph is directed or undirected.\n DIRECTED_OUTPUT expects that this filter is generating a directed graph.\n UNDIRECTED_OUTPUT expects that this filter is generating an undirected graph.\n DIRECTED_OUTPUT and UNDIRECTED_OUTPUT flags should only be set on the client\n filter.  Server filters should be set to USE_INPUT_TYPE since they have valid \n input and the directedness is determined from the input type.\n"},
  {(char*)"GetOutputType",                (PyCFunction)PyvtkCollectGraph_GetOutputType, 1,
   (char*)"V.GetOutputType() -> int\nC++: int GetOutputType ();\n\n Directedness flag, used to signal whether the output graph is directed or undirected.\n DIRECTED_OUTPUT expects that this filter is generating a directed graph.\n UNDIRECTED_OUTPUT expects that this filter is generating an undirected graph.\n DIRECTED_OUTPUT and UNDIRECTED_OUTPUT flags should only be set on the client\n filter.  Server filters should be set to USE_INPUT_TYPE since they have valid \n input and the directedness is determined from the input type.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCollectGraphDoc[] = {
  (char*)"vtkCollectGraph - Collect distributed graph.\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" This filter has code to collect a graph from across processes onto vertex 0.\n Collection can be turned on or off using the \"PassThrough\" flag.\n\n",
  NULL
};

static vtkObjectBase *vtkCollectGraphStaticNew()
{
  return vtkCollectGraph::New();
}

PyObject *PyVTKClass_vtkCollectGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkCollectGraphStaticNew,
                        PyvtkCollectGraphMethods,
                        (char*)"vtkCollectGraph",modulename,
                        (char**)vtkCollectGraphDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

