// python wrapper for vtkCollectPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCollectPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCollectPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCollectPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkCollectPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectPolyData *op;

  const char    *temp20;
  op = (vtkCollectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkCollectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectPolyData *op;

  vtkCollectPolyData  *temp20;
  op = (vtkCollectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCollectPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCollectPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCollectPolyData_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectPolyData *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkCollectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectPolyData::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCollectPolyData_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectPolyData *op;

  vtkMultiProcessController  *temp20;
  op = (vtkCollectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectPolyData::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectPolyData_SetSocketController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectPolyData *op;

  vtkSocketController  *temp0;
  PyObject *tempH0;
  op = (vtkCollectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSocketController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSocketController");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectPolyData::SetSocketController(temp0);
      }
    else
      {
      op->SetSocketController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCollectPolyData_GetSocketController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectPolyData *op;

  vtkSocketController  *temp20;
  op = (vtkCollectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectPolyData::GetSocketController();
      }
    else
      {
      temp20 = op->GetSocketController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectPolyData_SetPassThrough(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectPolyData *op;

  int      temp0;
  op = (vtkCollectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectPolyData::SetPassThrough(temp0);
      }
    else
      {
      op->SetPassThrough(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectPolyData_GetPassThrough(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectPolyData *op;

  int      temp20;
  op = (vtkCollectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectPolyData::GetPassThrough();
      }
    else
      {
      temp20 = op->GetPassThrough();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectPolyData_PassThroughOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectPolyData *op;

  op = (vtkCollectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectPolyData::PassThroughOn();
      }
    else
      {
      op->PassThroughOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectPolyData_PassThroughOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectPolyData *op;

  op = (vtkCollectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectPolyData::PassThroughOff();
      }
    else
      {
      op->PassThroughOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCollectPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCollectPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCollectPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCollectPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCollectPolyData\nC++: vtkCollectPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCollectPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCollectPolyData\nC++: vtkCollectPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkCollectPolyData_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkCollectPolyData_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n"},
  {(char*)"SetSocketController",                (PyCFunction)PyvtkCollectPolyData_SetSocketController, 1,
   (char*)"V.SetSocketController(vtkSocketController)\nC++: virtual void SetSocketController (vtkSocketController *);\n\n When this filter is being used in client-server mode,\n this is the controller used to communicate between\n client and server.  Client should not set the other controller.\n"},
  {(char*)"GetSocketController",                (PyCFunction)PyvtkCollectPolyData_GetSocketController, 1,
   (char*)"V.GetSocketController() -> vtkSocketController\nC++: vtkSocketController *GetSocketController ();\n\n When this filter is being used in client-server mode,\n this is the controller used to communicate between\n client and server.  Client should not set the other controller.\n"},
  {(char*)"SetPassThrough",                (PyCFunction)PyvtkCollectPolyData_SetPassThrough, 1,
   (char*)"V.SetPassThrough(int)\nC++: void SetPassThrough (int );\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {(char*)"GetPassThrough",                (PyCFunction)PyvtkCollectPolyData_GetPassThrough, 1,
   (char*)"V.GetPassThrough() -> int\nC++: int GetPassThrough ();\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {(char*)"PassThroughOn",                (PyCFunction)PyvtkCollectPolyData_PassThroughOn, 1,
   (char*)"V.PassThroughOn()\nC++: void PassThroughOn ();\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {(char*)"PassThroughOff",                (PyCFunction)PyvtkCollectPolyData_PassThroughOff, 1,
   (char*)"V.PassThroughOff()\nC++: void PassThroughOff ();\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCollectPolyDataDoc[] = {
  (char*)"vtkCollectPolyData - Collect distributed polydata.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" This filter has code to collect polydat from across processes onto node 0.\n Collection can be turned on or off using the \"PassThrough\" flag.\n\n",
  NULL
};

static vtkObjectBase *vtkCollectPolyDataStaticNew()
{
  return vtkCollectPolyData::New();
}

PyObject *PyVTKClass_vtkCollectPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkCollectPolyDataStaticNew,
                        PyvtkCollectPolyDataMethods,
                        (char*)"vtkCollectPolyData",modulename,
                        (char**)vtkCollectPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

