// tcl wrapper for vtkCollectPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCollectPolyData.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCollectPolyDataNewCommand()
{
  vtkCollectPolyData *temp = vtkCollectPolyData::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCollectPolyDataCppCommand(vtkCollectPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCollectPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCollectPolyDataCppCommand(static_cast<vtkCollectPolyData *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCollectPolyDataCppCommand(vtkCollectPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCollectPolyData",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCollectPolyData  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCollectPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCollectPolyData  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCollectPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCollectPolyData  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCollectPolyData");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetSocketController",argv[1]))&&(argc == 3))
    {
    vtkSocketController  *temp0;
    error = 0;

    temp0 = (vtkSocketController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSocketController"),interp,error));
    if (!error)
    {
    op->SetSocketController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSocketController",argv[1]))&&(argc == 2))
    {
    vtkSocketController  *temp20;
    temp20 = (op)->GetSocketController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSocketController");
    return TCL_OK;
    }
  if ((!strcmp("SetPassThrough",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassThrough(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassThrough",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassThrough();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughOn",argv[1]))&&(argc == 2))
    {
    op->PassThroughOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughOff",argv[1]))&&(argc == 2))
    {
    op->PassThroughOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCollectPolyDataCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCollectPolyData:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  SetSocketController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSocketController\n",NULL);
    Tcl_AppendResult(interp,"  SetPassThrough\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassThrough\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughOn\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "SetSocketController" );
    Tcl_DStringAppendElement ( &dString, "GetSocketController" );
    Tcl_DStringAppendElement ( &dString, "SetPassThrough" );
    Tcl_DStringAppendElement ( &dString, "GetPassThrough" );
    Tcl_DStringAppendElement ( &dString, "PassThroughOn" );
    Tcl_DStringAppendElement ( &dString, "PassThroughOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCollectPolyData *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, " By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetController (vtkMultiProcessController *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, " By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *GetController ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSocketController */
    if ( strcmp ( argv[2], "SetSocketController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSocketController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSocketController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSocketController */
    Tcl_DStringAppendElement ( &dString, " When this filter is being used in client-server mode,\n this is the controller used to communicate between\n client and server.  Client should not set the other controller.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSocketController (vtkSocketController *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for SetSocketController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSocketController */
    if ( strcmp ( argv[2], "GetSocketController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSocketController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSocketController */
    Tcl_DStringAppendElement ( &dString, " When this filter is being used in client-server mode,\n this is the controller used to communicate between\n client and server.  Client should not set the other controller.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketController *GetSocketController ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for GetSocketController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassThrough */
    if ( strcmp ( argv[2], "SetPassThrough" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassThrough" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassThrough */
    Tcl_DStringAppendElement ( &dString, " To collect or just copy input to output. Off (collect) by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassThrough (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for SetPassThrough */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassThrough */
    if ( strcmp ( argv[2], "GetPassThrough" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassThrough" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassThrough */
    Tcl_DStringAppendElement ( &dString, " To collect or just copy input to output. Off (collect) by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassThrough ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for GetPassThrough */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughOn */
    if ( strcmp ( argv[2], "PassThroughOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughOn */
    Tcl_DStringAppendElement ( &dString, " To collect or just copy input to output. Off (collect) by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for PassThroughOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughOff */
    if ( strcmp ( argv[2], "PassThroughOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughOff */
    Tcl_DStringAppendElement ( &dString, " To collect or just copy input to output. Off (collect) by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectPolyData" );
    /* Closing for PassThroughOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
