// python wrapper for vtkCollectTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCollectTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCollectTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCollectTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkCollectTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectTable *op;

  const char    *temp20;
  op = (vtkCollectTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectTable *op;

  char    *temp0;
  int      temp20;
  op = (vtkCollectTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectTable *op;

  vtkCollectTable  *temp20;
  op = (vtkCollectTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCollectTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCollectTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCollectTable_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectTable *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkCollectTable *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectTable::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCollectTable_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectTable *op;

  vtkMultiProcessController  *temp20;
  op = (vtkCollectTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectTable::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectTable_SetSocketController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectTable *op;

  vtkSocketController  *temp0;
  PyObject *tempH0;
  op = (vtkCollectTable *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSocketController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSocketController");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectTable::SetSocketController(temp0);
      }
    else
      {
      op->SetSocketController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCollectTable_GetSocketController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectTable *op;

  vtkSocketController  *temp20;
  op = (vtkCollectTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectTable::GetSocketController();
      }
    else
      {
      temp20 = op->GetSocketController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectTable_SetPassThrough(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectTable *op;

  int      temp0;
  op = (vtkCollectTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectTable::SetPassThrough(temp0);
      }
    else
      {
      op->SetPassThrough(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectTable_GetPassThrough(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectTable *op;

  int      temp20;
  op = (vtkCollectTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectTable::GetPassThrough();
      }
    else
      {
      temp20 = op->GetPassThrough();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectTable_PassThroughOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectTable *op;

  op = (vtkCollectTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectTable::PassThroughOn();
      }
    else
      {
      op->PassThroughOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectTable_PassThroughOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectTable *op;

  op = (vtkCollectTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectTable::PassThroughOff();
      }
    else
      {
      op->PassThroughOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCollectTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCollectTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCollectTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCollectTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCollectTable\nC++: vtkCollectTable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCollectTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCollectTable\nC++: vtkCollectTable *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkCollectTable_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkCollectTable_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n"},
  {(char*)"SetSocketController",                (PyCFunction)PyvtkCollectTable_SetSocketController, 1,
   (char*)"V.SetSocketController(vtkSocketController)\nC++: virtual void SetSocketController (vtkSocketController *);\n\n When this filter is being used in client-server mode,\n this is the controller used to communicate between\n client and server.  Client should not set the other controller.\n"},
  {(char*)"GetSocketController",                (PyCFunction)PyvtkCollectTable_GetSocketController, 1,
   (char*)"V.GetSocketController() -> vtkSocketController\nC++: vtkSocketController *GetSocketController ();\n\n When this filter is being used in client-server mode,\n this is the controller used to communicate between\n client and server.  Client should not set the other controller.\n"},
  {(char*)"SetPassThrough",                (PyCFunction)PyvtkCollectTable_SetPassThrough, 1,
   (char*)"V.SetPassThrough(int)\nC++: void SetPassThrough (int );\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {(char*)"GetPassThrough",                (PyCFunction)PyvtkCollectTable_GetPassThrough, 1,
   (char*)"V.GetPassThrough() -> int\nC++: int GetPassThrough ();\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {(char*)"PassThroughOn",                (PyCFunction)PyvtkCollectTable_PassThroughOn, 1,
   (char*)"V.PassThroughOn()\nC++: void PassThroughOn ();\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {(char*)"PassThroughOff",                (PyCFunction)PyvtkCollectTable_PassThroughOff, 1,
   (char*)"V.PassThroughOff()\nC++: void PassThroughOff ();\n\n To collect or just copy input to output. Off (collect) by default.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCollectTableDoc[] = {
  (char*)"vtkCollectTable - Collect distributed table.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" This filter has code to collect a table from across processes onto node 0.\n Collection can be turned on or off using the \"PassThrough\" flag.\n\n",
  NULL
};

static vtkObjectBase *vtkCollectTableStaticNew()
{
  return vtkCollectTable::New();
}

PyObject *PyVTKClass_vtkCollectTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkCollectTableStaticNew,
                        PyvtkCollectTableMethods,
                        (char*)"vtkCollectTable",modulename,
                        (char**)vtkCollectTableDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

