// python wrapper for vtkCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCommunicator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCommunicatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCommunicatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCommunicator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  const char    *temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkCommunicator  *temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_SetNumberOfProcesses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  int      temp0;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCommunicator::SetNumberOfProcesses(temp0);
      }
    else
      {
      op->SetNumberOfProcesses(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_GetNumberOfProcesses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::GetNumberOfProcesses();
      }
    else
      {
      temp20 = op->GetNumberOfProcesses();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_GetLocalProcessId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::GetLocalProcessId();
      }
    else
      {
      temp20 = op->GetLocalProcessId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_Send(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Send(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Send(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  PyErr_Clear();
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Send(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_SendVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#iiii", &temp0, &size0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->SendVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_Receive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Receive(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Receive(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  PyErr_Clear();
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Receive(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_ReceiveDataObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::ReceiveDataObject(temp0,temp1);
      }
    else
      {
      temp20 = op->ReceiveDataObject(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_ReceiveVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#iiii", &temp0, &size0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReceiveVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReceiveVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->ReceiveVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_Barrier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCommunicator::Barrier();
      }
    else
      {
      op->Barrier();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_Broadcast(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"zii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Broadcast(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Broadcast(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Broadcast(temp0,temp1);
      }
    else
      {
      temp20 = op->Broadcast(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break17:
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Broadcast(temp0,temp1);
      }
    else
      {
      temp20 = op->Broadcast(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkCommunicator_Gather(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"zzii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Gather(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Gather(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break20;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Gather(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Gather(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkCommunicator_Scatter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"zzii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Scatter(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Scatter(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break22;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Scatter(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Scatter(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkCommunicator_AllGather(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"zzi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::AllGather(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AllGather(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp20;
  PyErr_Clear();
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break24;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::AllGather(temp0,temp1);
      }
    else
      {
      temp20 = op->AllGather(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkCommunicator_Reduce(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"zziii", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Reduce(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->Reduce(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp3;
  int      temp20;
  PyErr_Clear();
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"OOii", &tempH0, &tempH1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break26;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Reduce(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Reduce(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkCommunicator_AllReduce(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"zzii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::AllReduce(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->AllReduce(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break28;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::AllReduce(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AllReduce(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkCommunicator_BroadcastVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#iii", &temp0, &size0, &temp1, &temp2, &temp3);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to BroadcastVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to BroadcastVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::BroadcastVoidArray(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->BroadcastVoidArray(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_GatherVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  void    *temp0;
  int      size0;
  void    *temp1;
  int      size1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#s#iii", &temp0, &size0, &temp1, &size1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to GatherVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to GatherVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to GatherVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to GatherVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::GatherVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->GatherVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_ScatterVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  void    *temp0;
  int      size0;
  void    *temp1;
  int      size1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#s#iii", &temp0, &size0, &temp1, &size1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ScatterVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ScatterVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ScatterVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ScatterVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::ScatterVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ScatterVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_AllGatherVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  void    *temp0;
  int      size0;
  void    *temp1;
  int      size1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#s#ii", &temp0, &size0, &temp1, &size1, &temp2, &temp3);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllGatherVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllGatherVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllGatherVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllGatherVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::AllGatherVoidArray(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->AllGatherVoidArray(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_ReduceVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  void    *temp0;
  int      size0;
  void    *temp1;
  int      size1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#s#iiii", &temp0, &size0, &temp1, &size1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReduceVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReduceVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReduceVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReduceVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::ReduceVoidArray(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->ReduceVoidArray(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_AllReduceVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  void    *temp0;
  int      size0;
  void    *temp1;
  int      size1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#s#iii", &temp0, &size0, &temp1, &size1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllReduceVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllReduceVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllReduceVoidArray in vtkCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllReduceVoidArray in vtkCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::AllReduceVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->AllReduceVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_SetUseCopy(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkCommunicator::SetUseCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_GetParentProcessor(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkCommunicator::GetParentProcessor(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_GetLeftChildProcessor(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkCommunicator::GetLeftChildProcessor(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_MarshalDataObject(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject  *temp0;
  PyObject *tempH0;
  vtkCharArray  *temp1;
  PyObject *tempH1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break38;
    temp1 = (vtkCharArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkCharArray");
    if (!temp1 && tempH1 != Py_None) goto break38;
      {
      temp20 = vtkCommunicator::MarshalDataObject(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkCommunicator_UnMarshalDataObject(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCharArray");
    if (!temp0 && tempH0 != Py_None) goto break39;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break39;
      {
      temp20 = vtkCommunicator::UnMarshalDataObject(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break39:
  return NULL;
}

static PyMethodDef PyvtkCommunicatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCommunicator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCommunicator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCommunicator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCommunicator\nC++: vtkCommunicator *NewInstance ();\n\n"},
  {(char*)"SetNumberOfProcesses",                (PyCFunction)PyvtkCommunicator_SetNumberOfProcesses, 1,
   (char*)"V.SetNumberOfProcesses(int)\nC++: virtual void SetNumberOfProcesses (int num);\n\n Set the number of processes you will be using.  This defaults\n to the maximum number available.  If you set this to a value\n higher than the default, you will get an error.\n"},
  {(char*)"GetNumberOfProcesses",                (PyCFunction)PyvtkCommunicator_GetNumberOfProcesses, 1,
   (char*)"V.GetNumberOfProcesses() -> int\nC++: int GetNumberOfProcesses ();\n\n Set the number of processes you will be using.  This defaults\n to the maximum number available.  If you set this to a value\n higher than the default, you will get an error.\n"},
  {(char*)"GetLocalProcessId",                (PyCFunction)PyvtkCommunicator_GetLocalProcessId, 1,
   (char*)"V.GetLocalProcessId() -> int\nC++: int GetLocalProcessId ();\n\n Tells you which process [0, NumProcess) you are in.\n"},
  {(char*)"Send",                (PyCFunction)PyvtkCommunicator_Send, 1,
   (char*)"V.Send(vtkDataObject, int, int) -> int\nC++: int Send (vtkDataObject *data, int remoteHandle, int tag);\nV.Send(vtkDataArray, int, int) -> int\nC++: int Send (vtkDataArray *data, int remoteHandle, int tag);\nV.Send(string, int, int, int) -> int\nC++: int Send (const char *data, vtkIdType length, int remoteHandle, int tag);return this SendVoidArray data length VTK_CHAR remoteHandle tag \n\n This method sends a data object to a destination.  \n Tag eliminates ambiguity\n and is used to match sends to receives.\n"},
  {(char*)"SendVoidArray",                (PyCFunction)PyvtkCommunicator_SendVoidArray, 1,
   (char*)"V.SendVoidArray(string, int, int, int, int) -> int\nC++: virtual int SendVoidArray (const void *data, vtkIdType length, int type, int remoteHandle, int tag) = 0;\n\n Subclasses have to supply this method to send various arrays of data.\n The \\c type arg is one of the VTK type constants recognized by the\n vtkTemplateMacro (VTK_FLOAT, VTK_INT, etc.).  \\c length is measured\n in number of values (as opposed to number of bytes).\n"},
  {(char*)"Receive",                (PyCFunction)PyvtkCommunicator_Receive, 1,
   (char*)"V.Receive(vtkDataObject, int, int) -> int\nC++: int Receive (vtkDataObject *data, int remoteHandle, int tag);\nV.Receive(vtkDataArray, int, int) -> int\nC++: int Receive (vtkDataArray *data, int remoteHandle, int tag);\nV.Receive(string, int, int, int) -> int\nC++: int Receive (char *data, vtkIdType length, int remoteHandle, int tag);return this ReceiveVoidArray data length VTK_CHAR remoteHandle tag \n\n This method receives a data object from a corresponding send. It blocks\n until the receive is finished. \n"},
  {(char*)"ReceiveDataObject",                (PyCFunction)PyvtkCommunicator_ReceiveDataObject, 1,
   (char*)"V.ReceiveDataObject(int, int) -> vtkDataObject\nC++: vtkDataObject *ReceiveDataObject (int remoteHandle, int tag);\n\n The caller does not have to know the data type before this call is made.\n It returns the newly created object.\n"},
  {(char*)"ReceiveVoidArray",                (PyCFunction)PyvtkCommunicator_ReceiveVoidArray, 1,
   (char*)"V.ReceiveVoidArray(string, int, int, int, int) -> int\nC++: virtual int ReceiveVoidArray (void *data, vtkIdType length, int type, int remoteHandle, int tag) = 0;\n\n Subclasses have to supply this method to receive various arrays of data.\n The \\c type arg is one of the VTK type constants recognized by the\n vtkTemplateMacro (VTK_FLOAT, VTK_INT, etc.).  \\c length is measured\n in number of values (as opposed to number of bytes).\n"},
  {(char*)"Barrier",                (PyCFunction)PyvtkCommunicator_Barrier, 1,
   (char*)"V.Barrier()\nC++: virtual void Barrier ();\n\n Will block the processes until all other processes reach the Barrier\n function.\n"},
  {(char*)"Broadcast",                (PyCFunction)PyvtkCommunicator_Broadcast, 1,
   (char*)"V.Broadcast(string, int, int) -> int\nC++: int Broadcast (char *data, vtkIdType length, int srcProcessId);return this BroadcastVoidArray data length VTK_CHAR srcProcessId \nV.Broadcast(vtkDataObject, int) -> int\nC++: int Broadcast (vtkDataObject *data, int srcProcessId);\nV.Broadcast(vtkDataArray, int) -> int\nC++: int Broadcast (vtkDataArray *data, int srcProcessId);\n\n Broadcast sends the array in the process with id \\c srcProcessId to all of\n the other processes.  All processes must call these method with the same\n arguments in order for it to complete.\n"},
  {(char*)"Gather",                (PyCFunction)PyvtkCommunicator_Gather, 1,
   (char*)"V.Gather(string, string, int, int) -> int\nC++: int Gather (const char *sendBuffer, char *recvBuffer, vtkIdType length, int destProcessId);return this GatherVoidArray sendBuffer recvBuffer length VTK_CHAR destProcessId \nV.Gather(vtkDataArray, vtkDataArray, int) -> int\nC++: int Gather (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int destProcessId);\n\n Gather collects arrays in the process with id \\c destProcessId.  Each\n process (including the destination) sends the contents of its send buffer\n to the destination process.  The destination process receives the\n messages and stores them in rank order.  The \\c length argument\n (which must be the same on all processes) is the length of the\n sendBuffers.  The \\c recvBuffer (on te destination process) must be of\n length length*numProcesses.  Gather is the inverse operation of Scatter.\n"},
  {(char*)"Scatter",                (PyCFunction)PyvtkCommunicator_Scatter, 1,
   (char*)"V.Scatter(string, string, int, int) -> int\nC++: int Scatter (const char *sendBuffer, char *recvBuffer, vtkIdType length, int srcProcessId);return this ScatterVoidArray sendBuffer recvBuffer length VTK_CHAR srcProcessId \nV.Scatter(vtkDataArray, vtkDataArray, int) -> int\nC++: int Scatter (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int srcProcessId);\n\n Scatter takes an array in the process with id \\c srcProcessId and\n distributes it.  Each process (including the source) receives a portion of\n the send buffer.  Process 0 receives the first \\c length values, process 1\n receives the second \\c length values, and so on.  Scatter is the inverse\n operation of Gather.\n"},
  {(char*)"AllGather",                (PyCFunction)PyvtkCommunicator_AllGather, 1,
   (char*)"V.AllGather(string, string, int) -> int\nC++: int AllGather (const char *sendBuffer, char *recvBuffer, vtkIdType length);return this AllGatherVoidArray sendBuffer recvBuffer length VTK_CHAR \nV.AllGather(vtkDataArray, vtkDataArray) -> int\nC++: int AllGather (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer);\n\n Same as gather except that the result ends up on all processes.\n"},
  {(char*)"Reduce",                (PyCFunction)PyvtkCommunicator_Reduce, 1,
   (char*)"V.Reduce(string, string, int, int, int) -> int\nC++: int Reduce (const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation, int destProcessId);return this ReduceVoidArray sendBuffer recvBuffer length VTK_CHAR operation destProcessId \nV.Reduce(vtkDataArray, vtkDataArray, int, int) -> int\nC++: int Reduce (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation, int destProcessId);\n\n Reduce an array to the given destination process.  This version of Reduce\n takes an identifier defined in the\n vtkCommunicator::StandardOperations enum to define the operation.\n"},
  {(char*)"AllReduce",                (PyCFunction)PyvtkCommunicator_AllReduce, 1,
   (char*)"V.AllReduce(string, string, int, int) -> int\nC++: int AllReduce (const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation);return this AllReduceVoidArray sendBuffer recvBuffer length VTK_CHAR operation \nV.AllReduce(vtkDataArray, vtkDataArray, int) -> int\nC++: int AllReduce (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation);\n\n Same as Reduce except that the result is placed in all of the processes.\n"},
  {(char*)"BroadcastVoidArray",                (PyCFunction)PyvtkCommunicator_BroadcastVoidArray, 1,
   (char*)"V.BroadcastVoidArray(string, int, int, int) -> int\nC++: virtual int BroadcastVoidArray (void *data, vtkIdType length, int type, int srcProcessId);\n\n Subclasses should reimplement these if they have a more efficient\n implementation.\n"},
  {(char*)"GatherVoidArray",                (PyCFunction)PyvtkCommunicator_GatherVoidArray, 1,
   (char*)"V.GatherVoidArray(string, string, int, int, int) -> int\nC++: virtual int GatherVoidArray (const void *sendBuffer, void *recvBuffer, vtkIdType length, int type, int destProcessId);\n\n Subclasses should reimplement these if they have a more efficient\n implementation.\n"},
  {(char*)"ScatterVoidArray",                (PyCFunction)PyvtkCommunicator_ScatterVoidArray, 1,
   (char*)"V.ScatterVoidArray(string, string, int, int, int) -> int\nC++: virtual int ScatterVoidArray (const void *sendBuffer, void *recvBuffer, vtkIdType length, int type, int srcProcessId);\n\n Subclasses should reimplement these if they have a more efficient\n implementation.\n"},
  {(char*)"AllGatherVoidArray",                (PyCFunction)PyvtkCommunicator_AllGatherVoidArray, 1,
   (char*)"V.AllGatherVoidArray(string, string, int, int) -> int\nC++: virtual int AllGatherVoidArray (const void *sendBuffer, void *recvBuffer, vtkIdType length, int type);\n\n Subclasses should reimplement these if they have a more efficient\n implementation.\n"},
  {(char*)"ReduceVoidArray",                (PyCFunction)PyvtkCommunicator_ReduceVoidArray, 1,
   (char*)"V.ReduceVoidArray(string, string, int, int, int, int) -> int\nC++: virtual int ReduceVoidArray (const void *sendBuffer, void *recvBuffer, vtkIdType length, int type, int operation, int destProcessId);\n\n Subclasses should reimplement these if they have a more efficient\n implementation.\n"},
  {(char*)"AllReduceVoidArray",                (PyCFunction)PyvtkCommunicator_AllReduceVoidArray, 1,
   (char*)"V.AllReduceVoidArray(string, string, int, int, int) -> int\nC++: virtual int AllReduceVoidArray (const void *sendBuffer, void *recvBuffer, vtkIdType length, int type, int operation);\n\n Subclasses should reimplement these if they have a more efficient\n implementation.\n"},
  {(char*)"SetUseCopy",                (PyCFunction)PyvtkCommunicator_SetUseCopy, 1,
   (char*)"V.SetUseCopy(int)\nC++: static void SetUseCopy (int useCopy);\n\n"},
  {(char*)"GetParentProcessor",                (PyCFunction)PyvtkCommunicator_GetParentProcessor, 1,
   (char*)"V.GetParentProcessor(int) -> int\nC++: static int GetParentProcessor (int pid);\n\n Some helper functions when dealing with heap tree - based\n algorthims - we don't need a function for getting the right\n processor since it is 1 + theLeftProcessor\n"},
  {(char*)"GetLeftChildProcessor",                (PyCFunction)PyvtkCommunicator_GetLeftChildProcessor, 1,
   (char*)"V.GetLeftChildProcessor(int) -> int\nC++: static int GetLeftChildProcessor (int pid);\n\n Some helper functions when dealing with heap tree - based\n algorthims - we don't need a function for getting the right\n processor since it is 1 + theLeftProcessor\n"},
  {(char*)"MarshalDataObject",                (PyCFunction)PyvtkCommunicator_MarshalDataObject, 1,
   (char*)"V.MarshalDataObject(vtkDataObject, vtkCharArray) -> int\nC++: static int MarshalDataObject (vtkDataObject *object, vtkCharArray *buffer);\n\n Convert a data object into a string that can be transmitted and vice versa.\n Returns 1 for success and 0 for failure.\n WARNING: This will only work for types that have a vtkDataWriter class.\n"},
  {(char*)"UnMarshalDataObject",                (PyCFunction)PyvtkCommunicator_UnMarshalDataObject, 1,
   (char*)"V.UnMarshalDataObject(vtkCharArray, vtkDataObject) -> int\nC++: static int UnMarshalDataObject (vtkCharArray *buffer, vtkDataObject *object);\n\n Convert a data object into a string that can be transmitted and vice versa.\n Returns 1 for success and 0 for failure.\n WARNING: This will only work for types that have a vtkDataWriter class.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCommunicatorDoc[] = {
  (char*)"vtkCommunicator - Used to send/receive messages in a multiprocess environment.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This is an abstact class which contains functionality for sending\n and receiving inter-process messages. It contains methods for marshaling\n an object into a string (currently used by the MPI communicator but\n not the shared memory communicator).\n\n",
  "Caveats:\n\n Communication between systems with different vtkIdTypes is not\n supported. All machines have to have the same vtkIdType.\n\n",
  "See Also:\n\n vtkMPICommunicator\n\n",
  NULL
};

PyObject *PyVTKClass_vtkCommunicatorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkCommunicatorMethods,
                        (char*)"vtkCommunicator",modulename,
                        (char**)vtkCommunicatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

