// python wrapper for vtkCompositeRenderManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCompositeRenderManager.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositeRenderManagerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositeRenderManagerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkParallelRenderManagerNew(char *); }

static PyObject *PyvtkCompositeRenderManager_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeRenderManager *op;

  const char    *temp20;
  op = (vtkCompositeRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeRenderManager::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeRenderManager_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeRenderManager *op;

  char    *temp0;
  int      temp20;
  op = (vtkCompositeRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeRenderManager::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeRenderManager_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeRenderManager *op;

  vtkCompositeRenderManager  *temp20;
  op = (vtkCompositeRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeRenderManager::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeRenderManager_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCompositeRenderManager  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCompositeRenderManager::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCompositeRenderManager_SetCompositer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeRenderManager *op;

  vtkCompositer  *temp0;
  PyObject *tempH0;
  op = (vtkCompositeRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeRenderManager::SetCompositer(temp0);
      }
    else
      {
      op->SetCompositer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCompositeRenderManager_GetCompositer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeRenderManager *op;

  vtkCompositer  *temp20;
  op = (vtkCompositeRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeRenderManager::GetCompositer();
      }
    else
      {
      temp20 = op->GetCompositer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeRenderManager_GetImageProcessingTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeRenderManager *op;

  double   temp20;
  op = (vtkCompositeRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeRenderManager::GetImageProcessingTime();
      }
    else
      {
      temp20 = op->GetImageProcessingTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCompositeRenderManagerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositeRenderManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositeRenderManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositeRenderManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositeRenderManager\nC++: vtkCompositeRenderManager *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCompositeRenderManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompositeRenderManager\nC++: vtkCompositeRenderManager *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCompositer",                (PyCFunction)PyvtkCompositeRenderManager_SetCompositer, 1,
   (char*)"V.SetCompositer(vtkCompositer)\nC++: void SetCompositer (vtkCompositer *c);\n\n Set/Get the composite algorithm.\n"},
  {(char*)"GetCompositer",                (PyCFunction)PyvtkCompositeRenderManager_GetCompositer, 1,
   (char*)"V.GetCompositer() -> vtkCompositer\nC++: vtkCompositer *GetCompositer ();\n\n Set/Get the composite algorithm.\n"},
  {(char*)"GetImageProcessingTime",                (PyCFunction)PyvtkCompositeRenderManager_GetImageProcessingTime, 1,
   (char*)"V.GetImageProcessingTime() -> float\nC++: double GetImageProcessingTime ();\n\n Get rendering metrics.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositeRenderManagerDoc[] = {
  (char*)"vtkCompositeRenderManager - An object to control sort-last parallel rendering.\n\n",
  "Super Class:\n\n vtkParallelRenderManager\n\n",
  (char*)" vtkCompositeRenderManager is a subclass of vtkParallelRenderManager that\n uses compositing to do parallel rendering.  This class has\n replaced vtkCompositeManager.\n\n\n",
  NULL
};

static vtkObjectBase *vtkCompositeRenderManagerStaticNew()
{
  return vtkCompositeRenderManager::New();
}

PyObject *PyVTKClass_vtkCompositeRenderManagerNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompositeRenderManagerStaticNew,
                        PyvtkCompositeRenderManagerMethods,
                        (char*)"vtkCompositeRenderManager",modulename,
                        (char**)vtkCompositeRenderManagerDoc,
                        PyVTKClass_vtkParallelRenderManagerNew(modulename));
}

