// python wrapper for vtkCompositer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCompositer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCompositer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositer *op;

  const char    *temp20;
  op = (vtkCompositer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositer *op;

  char    *temp0;
  int      temp20;
  op = (vtkCompositer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositer *op;

  vtkCompositer  *temp20;
  op = (vtkCompositer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCompositer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCompositer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCompositer_CompositeBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositer *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkFloatArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  vtkFloatArray  *temp3;
  PyObject *tempH3;
  op = (vtkCompositer *)PyArg_VTKParseTuple(self, args, (char*)"OOOO", &tempH0, &tempH1, &tempH2, &tempH3);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkFloatArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break4;
    temp3 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkFloatArray");
    if (!temp3 && tempH3 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositer::CompositeBuffer(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->CompositeBuffer(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCompositer_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositer *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkCompositer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositer::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkCompositer_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositer *op;

  vtkMultiProcessController  *temp20;
  op = (vtkCompositer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositer::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositer_SetNumberOfProcesses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositer *op;

  int      temp0;
  op = (vtkCompositer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositer::SetNumberOfProcesses(temp0);
      }
    else
      {
      op->SetNumberOfProcesses(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositer_GetNumberOfProcesses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositer *op;

  int      temp20;
  op = (vtkCompositer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositer::GetNumberOfProcesses();
      }
    else
      {
      temp20 = op->GetNumberOfProcesses();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositer_DeleteArray(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break9;
      {
      vtkCompositer::DeleteArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkCompositer_ResizeFloatArray(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFloatArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkIdType   temp2;
  if ((PyArg_ParseTuple(args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFloatArray");
    if (!temp0 && tempH0 != Py_None) goto break10;
      {
      vtkCompositer::ResizeFloatArray(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkCompositer_ResizeUnsignedCharArray(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedCharArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkIdType   temp2;
  if ((PyArg_ParseTuple(args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnsignedCharArray");
    if (!temp0 && tempH0 != Py_None) goto break11;
      {
      vtkCompositer::ResizeUnsignedCharArray(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}

static PyMethodDef PyvtkCompositerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositer\nC++: vtkCompositer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCompositer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompositer\nC++: vtkCompositer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CompositeBuffer",                (PyCFunction)PyvtkCompositer_CompositeBuffer, 1,
   (char*)"V.CompositeBuffer(vtkDataArray, vtkFloatArray, vtkDataArray, vtkFloatArray)\nC++: virtual void CompositeBuffer (vtkDataArray *pBuf, vtkFloatArray *zBuf, vtkDataArray *pTmp, vtkFloatArray *zTmp);\n\n This method gets called on every process.  The final image gets\n put into pBuf and zBuf.\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkCompositer_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Access to the controller.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkCompositer_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Access to the controller.\n"},
  {(char*)"SetNumberOfProcesses",                (PyCFunction)PyvtkCompositer_SetNumberOfProcesses, 1,
   (char*)"V.SetNumberOfProcesses(int)\nC++: void SetNumberOfProcesses (int );\n\n A hack to get a sub world until I can get communicators working.\n"},
  {(char*)"GetNumberOfProcesses",                (PyCFunction)PyvtkCompositer_GetNumberOfProcesses, 1,
   (char*)"V.GetNumberOfProcesses() -> int\nC++: int GetNumberOfProcesses ();\n\n A hack to get a sub world until I can get communicators working.\n"},
  {(char*)"DeleteArray",                (PyCFunction)PyvtkCompositer_DeleteArray, 1,
   (char*)"V.DeleteArray(vtkDataArray)\nC++: static void DeleteArray (vtkDataArray *da);\n\n Methods that allocate and delete memory with special MPIPro calls.\n"},
  {(char*)"ResizeFloatArray",                (PyCFunction)PyvtkCompositer_ResizeFloatArray, 1,
   (char*)"V.ResizeFloatArray(vtkFloatArray, int, int)\nC++: static void ResizeFloatArray (vtkFloatArray *fa, int numComp, vtkIdType size);\n\n Methods that allocate and delete memory with special MPIPro calls.\n"},
  {(char*)"ResizeUnsignedCharArray",                (PyCFunction)PyvtkCompositer_ResizeUnsignedCharArray, 1,
   (char*)"V.ResizeUnsignedCharArray(vtkUnsignedCharArray, int, int)\nC++: static void ResizeUnsignedCharArray (vtkUnsignedCharArray *uca, int numComp, vtkIdType size);\n\n Methods that allocate and delete memory with special MPIPro calls.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositerDoc[] = {
  (char*)"vtkCompositer - Super class for composite algorthms.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkCompositer operates in multiple processes.  Each compositer has \n a render window.  They use vtkMultiProcessControllers to communicate \n the color and depth buffer to process 0's render window.\n It will not handle transparency well.\n\n\n",
  "See Also:\n\n vtkCompositeManager.\n\n",
  NULL
};

static vtkObjectBase *vtkCompositerStaticNew()
{
  return vtkCompositer::New();
}

PyObject *PyVTKClass_vtkCompositerNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompositerStaticNew,
                        PyvtkCompositerMethods,
                        (char*)"vtkCompositer",modulename,
                        (char**)vtkCompositerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

