// python wrapper for vtkDistributedDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDistributedDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDistributedDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDistributedDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkDistributedDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  const char    *temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  vtkDistributedDataFilter  *temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDistributedDataFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDistributedDataFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  vtkMultiProcessController  *temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_GetKdtree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  vtkPKdTree  *temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::GetKdtree();
      }
    else
      {
      temp20 = op->GetKdtree();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_RetainKdtreeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::RetainKdtreeOn();
      }
    else
      {
      op->RetainKdtreeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_RetainKdtreeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::RetainKdtreeOff();
      }
    else
      {
      op->RetainKdtreeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_GetRetainKdtree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::GetRetainKdtree();
      }
    else
      {
      temp20 = op->GetRetainKdtree();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SetRetainKdtree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp0;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::SetRetainKdtree(temp0);
      }
    else
      {
      op->SetRetainKdtree(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_IncludeAllIntersectingCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::IncludeAllIntersectingCellsOn();
      }
    else
      {
      op->IncludeAllIntersectingCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_IncludeAllIntersectingCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::IncludeAllIntersectingCellsOff();
      }
    else
      {
      op->IncludeAllIntersectingCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_GetIncludeAllIntersectingCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::GetIncludeAllIntersectingCells();
      }
    else
      {
      temp20 = op->GetIncludeAllIntersectingCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SetIncludeAllIntersectingCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp0;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::SetIncludeAllIntersectingCells(temp0);
      }
    else
      {
      op->SetIncludeAllIntersectingCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_ClipCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::ClipCellsOn();
      }
    else
      {
      op->ClipCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_ClipCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::ClipCellsOff();
      }
    else
      {
      op->ClipCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_GetClipCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::GetClipCells();
      }
    else
      {
      temp20 = op->GetClipCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SetClipCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp0;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::SetClipCells(temp0);
      }
    else
      {
      op->SetClipCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SetBoundaryMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp0;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::SetBoundaryMode(temp0);
      }
    else
      {
      op->SetBoundaryMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SetBoundaryModeToAssignToOneRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::SetBoundaryModeToAssignToOneRegion();
      }
    else
      {
      op->SetBoundaryModeToAssignToOneRegion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SetBoundaryModeToAssignToAllIntersectingRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::SetBoundaryModeToAssignToAllIntersectingRegions();
      }
    else
      {
      op->SetBoundaryModeToAssignToAllIntersectingRegions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SetBoundaryModeToSplitBoundaryCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::SetBoundaryModeToSplitBoundaryCells();
      }
    else
      {
      op->SetBoundaryModeToSplitBoundaryCells();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_GetBoundaryMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::GetBoundaryMode();
      }
    else
      {
      temp20 = op->GetBoundaryMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_UseMinimalMemoryOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::UseMinimalMemoryOn();
      }
    else
      {
      op->UseMinimalMemoryOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_UseMinimalMemoryOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::UseMinimalMemoryOff();
      }
    else
      {
      op->UseMinimalMemoryOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_GetUseMinimalMemory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::GetUseMinimalMemory();
      }
    else
      {
      temp20 = op->GetUseMinimalMemory();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SetUseMinimalMemory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp0;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::SetUseMinimalMemory(temp0);
      }
    else
      {
      op->SetUseMinimalMemory(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_TimingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::TimingOn();
      }
    else
      {
      op->TimingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_TimingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::TimingOff();
      }
    else
      {
      op->TimingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SetTiming(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp0;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::SetTiming(temp0);
      }
    else
      {
      op->SetTiming(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_GetTiming(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  int      temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::GetTiming();
      }
    else
      {
      temp20 = op->GetTiming();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_GetCuts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  vtkBSPCuts  *temp20;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedDataFilter::GetCuts();
      }
    else
      {
      temp20 = op->GetCuts();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedDataFilter_SetCuts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedDataFilter *op;

  vtkBSPCuts  *temp0;
  PyObject *tempH0;
  op = (vtkDistributedDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkBSPCuts *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkBSPCuts");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      op->vtkDistributedDataFilter::SetCuts(temp0);
      }
    else
      {
      op->SetCuts(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break33:
  return NULL;
}

static PyMethodDef PyvtkDistributedDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDistributedDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDistributedDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDistributedDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDistributedDataFilter\nC++: vtkDistributedDataFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDistributedDataFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDistributedDataFilter\nC++: vtkDistributedDataFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkDistributedDataFilter_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController (vtkMultiProcessController *c);\n\n   Set/Get the communicator object\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkDistributedDataFilter_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n   Set/Get the communicator object\n"},
  {(char*)"GetKdtree",                (PyCFunction)PyvtkDistributedDataFilter_GetKdtree, 1,
   (char*)"V.GetKdtree() -> vtkPKdTree\nC++: vtkPKdTree *GetKdtree ();\n\n"},
  {(char*)"RetainKdtreeOn",                (PyCFunction)PyvtkDistributedDataFilter_RetainKdtreeOn, 1,
   (char*)"V.RetainKdtreeOn()\nC++: void RetainKdtreeOn ();\n\n"},
  {(char*)"RetainKdtreeOff",                (PyCFunction)PyvtkDistributedDataFilter_RetainKdtreeOff, 1,
   (char*)"V.RetainKdtreeOff()\nC++: void RetainKdtreeOff ();\n\n"},
  {(char*)"GetRetainKdtree",                (PyCFunction)PyvtkDistributedDataFilter_GetRetainKdtree, 1,
   (char*)"V.GetRetainKdtree() -> int\nC++: int GetRetainKdtree ();\n\n"},
  {(char*)"SetRetainKdtree",                (PyCFunction)PyvtkDistributedDataFilter_SetRetainKdtree, 1,
   (char*)"V.SetRetainKdtree(int)\nC++: void SetRetainKdtree (int );\n\n"},
  {(char*)"IncludeAllIntersectingCellsOn",                (PyCFunction)PyvtkDistributedDataFilter_IncludeAllIntersectingCellsOn, 1,
   (char*)"V.IncludeAllIntersectingCellsOn()\nC++: void IncludeAllIntersectingCellsOn ();\n\n"},
  {(char*)"IncludeAllIntersectingCellsOff",                (PyCFunction)PyvtkDistributedDataFilter_IncludeAllIntersectingCellsOff, 1,
   (char*)"V.IncludeAllIntersectingCellsOff()\nC++: void IncludeAllIntersectingCellsOff ();\n\n"},
  {(char*)"GetIncludeAllIntersectingCells",                (PyCFunction)PyvtkDistributedDataFilter_GetIncludeAllIntersectingCells, 1,
   (char*)"V.GetIncludeAllIntersectingCells() -> int\nC++: int GetIncludeAllIntersectingCells ();\n\n"},
  {(char*)"SetIncludeAllIntersectingCells",                (PyCFunction)PyvtkDistributedDataFilter_SetIncludeAllIntersectingCells, 1,
   (char*)"V.SetIncludeAllIntersectingCells(int)\nC++: void SetIncludeAllIntersectingCells (int );\n\n"},
  {(char*)"ClipCellsOn",                (PyCFunction)PyvtkDistributedDataFilter_ClipCellsOn, 1,
   (char*)"V.ClipCellsOn()\nC++: void ClipCellsOn ();\n\n"},
  {(char*)"ClipCellsOff",                (PyCFunction)PyvtkDistributedDataFilter_ClipCellsOff, 1,
   (char*)"V.ClipCellsOff()\nC++: void ClipCellsOff ();\n\n"},
  {(char*)"GetClipCells",                (PyCFunction)PyvtkDistributedDataFilter_GetClipCells, 1,
   (char*)"V.GetClipCells() -> int\nC++: int GetClipCells ();\n\n"},
  {(char*)"SetClipCells",                (PyCFunction)PyvtkDistributedDataFilter_SetClipCells, 1,
   (char*)"V.SetClipCells(int)\nC++: void SetClipCells (int );\n\n"},
  {(char*)"SetBoundaryMode",                (PyCFunction)PyvtkDistributedDataFilter_SetBoundaryMode, 1,
   (char*)"V.SetBoundaryMode(int)\nC++: void SetBoundaryMode (int mode);\n\n Handling of ClipCells and IncludeAllIntersectingCells.\n"},
  {(char*)"SetBoundaryModeToAssignToOneRegion",                (PyCFunction)PyvtkDistributedDataFilter_SetBoundaryModeToAssignToOneRegion, 1,
   (char*)"V.SetBoundaryModeToAssignToOneRegion()\nC++: void SetBoundaryModeToAssignToOneRegion ();this SetBoundaryMode vtkDistributedDataFilter ASSIGN_TO_ONE_REGION \n\n Handling of ClipCells and IncludeAllIntersectingCells.\n"},
  {(char*)"SetBoundaryModeToAssignToAllIntersectingRegions",                (PyCFunction)PyvtkDistributedDataFilter_SetBoundaryModeToAssignToAllIntersectingRegions, 1,
   (char*)"V.SetBoundaryModeToAssignToAllIntersectingRegions()\nC++: void SetBoundaryModeToAssignToAllIntersectingRegions ();this SetBoundaryMode vtkDistributedDataFilter ASSIGN_TO_ALL_INTERSECTING_REGIONS \n\n Handling of ClipCells and IncludeAllIntersectingCells.\n"},
  {(char*)"SetBoundaryModeToSplitBoundaryCells",                (PyCFunction)PyvtkDistributedDataFilter_SetBoundaryModeToSplitBoundaryCells, 1,
   (char*)"V.SetBoundaryModeToSplitBoundaryCells()\nC++: void SetBoundaryModeToSplitBoundaryCells ();this SetBoundaryMode vtkDistributedDataFilter SPLIT_BOUNDARY_CELLS \n\n Handling of ClipCells and IncludeAllIntersectingCells.\n"},
  {(char*)"GetBoundaryMode",                (PyCFunction)PyvtkDistributedDataFilter_GetBoundaryMode, 1,
   (char*)"V.GetBoundaryMode() -> int\nC++: int GetBoundaryMode ();\n\n Handling of ClipCells and IncludeAllIntersectingCells.\n"},
  {(char*)"UseMinimalMemoryOn",                (PyCFunction)PyvtkDistributedDataFilter_UseMinimalMemoryOn, 1,
   (char*)"V.UseMinimalMemoryOn()\nC++: void UseMinimalMemoryOn ();\n\n"},
  {(char*)"UseMinimalMemoryOff",                (PyCFunction)PyvtkDistributedDataFilter_UseMinimalMemoryOff, 1,
   (char*)"V.UseMinimalMemoryOff()\nC++: void UseMinimalMemoryOff ();\n\n"},
  {(char*)"GetUseMinimalMemory",                (PyCFunction)PyvtkDistributedDataFilter_GetUseMinimalMemory, 1,
   (char*)"V.GetUseMinimalMemory() -> int\nC++: int GetUseMinimalMemory ();\n\n"},
  {(char*)"SetUseMinimalMemory",                (PyCFunction)PyvtkDistributedDataFilter_SetUseMinimalMemory, 1,
   (char*)"V.SetUseMinimalMemory(int)\nC++: void SetUseMinimalMemory (int );\n\n"},
  {(char*)"TimingOn",                (PyCFunction)PyvtkDistributedDataFilter_TimingOn, 1,
   (char*)"V.TimingOn()\nC++: void TimingOn ();\n\n"},
  {(char*)"TimingOff",                (PyCFunction)PyvtkDistributedDataFilter_TimingOff, 1,
   (char*)"V.TimingOff()\nC++: void TimingOff ();\n\n"},
  {(char*)"SetTiming",                (PyCFunction)PyvtkDistributedDataFilter_SetTiming, 1,
   (char*)"V.SetTiming(int)\nC++: void SetTiming (int );\n\n"},
  {(char*)"GetTiming",                (PyCFunction)PyvtkDistributedDataFilter_GetTiming, 1,
   (char*)"V.GetTiming() -> int\nC++: int GetTiming ();\n\n"},
  {(char*)"GetCuts",                (PyCFunction)PyvtkDistributedDataFilter_GetCuts, 1,
   (char*)"V.GetCuts() -> vtkBSPCuts\nC++: vtkBSPCuts *GetCuts ();return this UserCuts \n\n You can set the k-d tree decomposition, rather than\n have D3 compute it.  This allows you to divide a dataset using\n the decomposition computed for another dataset.  Obtain a description\n of the k-d tree cuts this way:\n\n    vtkBSPCuts *cuts = D3Object1->GetCuts()\n\n And set it this way:\n\n    D3Object2->SetCuts(cuts) \n"},
  {(char*)"SetCuts",                (PyCFunction)PyvtkDistributedDataFilter_SetCuts, 1,
   (char*)"V.SetCuts(vtkBSPCuts)\nC++: void SetCuts (vtkBSPCuts *cuts);\n\n You can set the k-d tree decomposition, rather than\n have D3 compute it.  This allows you to divide a dataset using\n the decomposition computed for another dataset.  Obtain a description\n of the k-d tree cuts this way:\n\n    vtkBSPCuts *cuts = D3Object1->GetCuts()\n\n And set it this way:\n\n    D3Object2->SetCuts(cuts) \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDistributedDataFilterDoc[] = {
  (char*)"vtkDistributedDataFilter - Distribute data among processors\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" This filter redistributes data among processors in a parallel\n application into spatially contiguous vtkUnstructuredGrids.\n The execution model anticipated is that all processes read in\n part of a large vtkDataSet. Each process sets the input of\n filter to be that DataSet. When executed, this filter builds\n in parallel a k-d tree, decomposing the space occupied by the\n distributed DataSet into sp",
  (char*)"atial regions.  It assigns each\n spatial region to a processor.  The data is then redistributed\n and the output is a single vtkUnstructuredGrid containing the\n cells in the process' assigned regions.\n\n This filter is sometimes called \"D3\" for \"distributed data decomposition\".\n\n Enhancement: You can set the k-d tree decomposition, rather than\n have D3 compute it.  This allows you to divide a datase",
  (char*)"t using\n the decomposition computed for another dataset.  Obtain a description\n of the k-d tree cuts this way:\n\n    vtkBSPCuts *cuts = D3Object1->GetCuts()\n\n And set it this way:\n\n    D3Object2->SetCuts(cuts) \n\n    It is desirable to have a field array of global node IDs\n    for two reasons:\n\n    1. When merging together sub grids that were distributed\n    across processors, global node IDs can be",
  (char*)" used to remove\n    duplicate points and significantly reduce the size of the\n    resulting output grid.  If no such array is available,\n    D3 will use a tolerance to merge points, which is much\n    slower.\n\n    2. If ghost cells have been requested, D3 requires a\n    global node ID array in order to request and transfer\n    ghost cells in parallel among the processors.  If there\n    is no global",
  (char*)" node ID array, D3 will in parallel create\n    a global node ID array, and the time to do this can be\n    significant.\n    \n    If you know the name of a global node ID array in the input\n    dataset, set that name with this method.  If you leave\n    it unset, D3 will search the input data set for certain\n    common names of global node ID arrays.  If none is found,\n    and ghost cells have been r",
  (char*)"equested, D3 will create a\n    temporary global node ID array before aquiring ghost cells.\n   It is also desirable to have global element IDs.  However,\n   if they don't exist D3 can create them relatively quickly.\n   Set the name of the global element ID array if you have it.\n   If it is not set, D3 will search for it using common names.\n   If still not found, D3 will create a temporary array of\n",
  (char*)"   global element IDs.\n\n\n",
  "Caveats:\n\n The Execute() method must be called by all processes in the\n parallel application, or it will hang.  If you are not certain\n that your pipeline will execute identically on all processors,\n you may want to use this filter in an explicit execution mode.\n\n\n",
  "See Also:\n\n vtkKdTree vtkPKdTree vtkBSPCuts\n\n",
  NULL
};

static vtkObjectBase *vtkDistributedDataFilterStaticNew()
{
  return vtkDistributedDataFilter::New();
}

PyObject *PyVTKClass_vtkDistributedDataFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDistributedDataFilterStaticNew,
                        PyvtkDistributedDataFilterMethods,
                        (char*)"vtkDistributedDataFilter",modulename,
                        (char**)vtkDistributedDataFilterDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

