// tcl wrapper for vtkDistributedDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistributedDataFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDistributedDataFilterNewCommand()
{
  vtkDistributedDataFilter *temp = vtkDistributedDataFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDistributedDataFilterCppCommand(vtkDistributedDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDistributedDataFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDistributedDataFilterCppCommand(static_cast<vtkDistributedDataFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDistributedDataFilterCppCommand(vtkDistributedDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDistributedDataFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDistributedDataFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDistributedDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDistributedDataFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDistributedDataFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDistributedDataFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDistributedDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("GetKdtree",argv[1]))&&(argc == 2))
    {
    vtkPKdTree  *temp20;
    temp20 = (op)->GetKdtree();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPKdTree");
    return TCL_OK;
    }
  if ((!strcmp("RetainKdtreeOn",argv[1]))&&(argc == 2))
    {
    op->RetainKdtreeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RetainKdtreeOff",argv[1]))&&(argc == 2))
    {
    op->RetainKdtreeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRetainKdtree",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRetainKdtree();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRetainKdtree",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRetainKdtree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IncludeAllIntersectingCellsOn",argv[1]))&&(argc == 2))
    {
    op->IncludeAllIntersectingCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IncludeAllIntersectingCellsOff",argv[1]))&&(argc == 2))
    {
    op->IncludeAllIntersectingCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetIncludeAllIntersectingCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIncludeAllIntersectingCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIncludeAllIntersectingCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIncludeAllIntersectingCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClipCellsOn",argv[1]))&&(argc == 2))
    {
    op->ClipCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClipCellsOff",argv[1]))&&(argc == 2))
    {
    op->ClipCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetClipCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClipCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetClipCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClipCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBoundaryMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBoundaryMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBoundaryModeToAssignToOneRegion",argv[1]))&&(argc == 2))
    {
    op->SetBoundaryModeToAssignToOneRegion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundaryModeToAssignToAllIntersectingRegions",argv[1]))&&(argc == 2))
    {
    op->SetBoundaryModeToAssignToAllIntersectingRegions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundaryModeToSplitBoundaryCells",argv[1]))&&(argc == 2))
    {
    op->SetBoundaryModeToSplitBoundaryCells();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBoundaryMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBoundaryMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseMinimalMemoryOn",argv[1]))&&(argc == 2))
    {
    op->UseMinimalMemoryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseMinimalMemoryOff",argv[1]))&&(argc == 2))
    {
    op->UseMinimalMemoryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetUseMinimalMemory",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseMinimalMemory();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseMinimalMemory",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseMinimalMemory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TimingOn",argv[1]))&&(argc == 2))
    {
    op->TimingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TimingOff",argv[1]))&&(argc == 2))
    {
    op->TimingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTiming",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTiming(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTiming",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTiming();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCuts",argv[1]))&&(argc == 2))
    {
    vtkBSPCuts  *temp20;
    temp20 = (op)->GetCuts();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBSPCuts");
    return TCL_OK;
    }
  if ((!strcmp("SetCuts",argv[1]))&&(argc == 3))
    {
    vtkBSPCuts  *temp0;
    error = 0;

    temp0 = (vtkBSPCuts *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkBSPCuts"),interp,error));
    if (!error)
    {
    op->SetCuts(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDistributedDataFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDistributedDataFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  GetKdtree\n",NULL);
    Tcl_AppendResult(interp,"  RetainKdtreeOn\n",NULL);
    Tcl_AppendResult(interp,"  RetainKdtreeOff\n",NULL);
    Tcl_AppendResult(interp,"  GetRetainKdtree\n",NULL);
    Tcl_AppendResult(interp,"  SetRetainKdtree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IncludeAllIntersectingCellsOn\n",NULL);
    Tcl_AppendResult(interp,"  IncludeAllIntersectingCellsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetIncludeAllIntersectingCells\n",NULL);
    Tcl_AppendResult(interp,"  SetIncludeAllIntersectingCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClipCellsOn\n",NULL);
    Tcl_AppendResult(interp,"  ClipCellsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetClipCells\n",NULL);
    Tcl_AppendResult(interp,"  SetClipCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundaryMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundaryModeToAssignToOneRegion\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundaryModeToAssignToAllIntersectingRegions\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundaryModeToSplitBoundaryCells\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundaryMode\n",NULL);
    Tcl_AppendResult(interp,"  UseMinimalMemoryOn\n",NULL);
    Tcl_AppendResult(interp,"  UseMinimalMemoryOff\n",NULL);
    Tcl_AppendResult(interp,"  GetUseMinimalMemory\n",NULL);
    Tcl_AppendResult(interp,"  SetUseMinimalMemory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TimingOn\n",NULL);
    Tcl_AppendResult(interp,"  TimingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTiming\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTiming\n",NULL);
    Tcl_AppendResult(interp,"  GetCuts\n",NULL);
    Tcl_AppendResult(interp,"  SetCuts\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "GetKdtree" );
    Tcl_DStringAppendElement ( &dString, "RetainKdtreeOn" );
    Tcl_DStringAppendElement ( &dString, "RetainKdtreeOff" );
    Tcl_DStringAppendElement ( &dString, "GetRetainKdtree" );
    Tcl_DStringAppendElement ( &dString, "SetRetainKdtree" );
    Tcl_DStringAppendElement ( &dString, "IncludeAllIntersectingCellsOn" );
    Tcl_DStringAppendElement ( &dString, "IncludeAllIntersectingCellsOff" );
    Tcl_DStringAppendElement ( &dString, "GetIncludeAllIntersectingCells" );
    Tcl_DStringAppendElement ( &dString, "SetIncludeAllIntersectingCells" );
    Tcl_DStringAppendElement ( &dString, "ClipCellsOn" );
    Tcl_DStringAppendElement ( &dString, "ClipCellsOff" );
    Tcl_DStringAppendElement ( &dString, "GetClipCells" );
    Tcl_DStringAppendElement ( &dString, "SetClipCells" );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryMode" );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryModeToAssignToOneRegion" );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryModeToAssignToAllIntersectingRegions" );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryModeToSplitBoundaryCells" );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryMode" );
    Tcl_DStringAppendElement ( &dString, "UseMinimalMemoryOn" );
    Tcl_DStringAppendElement ( &dString, "UseMinimalMemoryOff" );
    Tcl_DStringAppendElement ( &dString, "GetUseMinimalMemory" );
    Tcl_DStringAppendElement ( &dString, "SetUseMinimalMemory" );
    Tcl_DStringAppendElement ( &dString, "TimingOn" );
    Tcl_DStringAppendElement ( &dString, "TimingOff" );
    Tcl_DStringAppendElement ( &dString, "SetTiming" );
    Tcl_DStringAppendElement ( &dString, "GetTiming" );
    Tcl_DStringAppendElement ( &dString, "GetCuts" );
    Tcl_DStringAppendElement ( &dString, "SetCuts" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDistributedDataFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the communicator object\n" );
    Tcl_DStringAppendElement ( &dString, "void SetController (vtkMultiProcessController *c);" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the communicator object\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *GetController ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKdtree */
    if ( strcmp ( argv[2], "GetKdtree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKdtree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKdtree */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree *GetKdtree ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for GetKdtree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RetainKdtreeOn */
    if ( strcmp ( argv[2], "RetainKdtreeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RetainKdtreeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RetainKdtreeOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RetainKdtreeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for RetainKdtreeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RetainKdtreeOff */
    if ( strcmp ( argv[2], "RetainKdtreeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RetainKdtreeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RetainKdtreeOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RetainKdtreeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for RetainKdtreeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRetainKdtree */
    if ( strcmp ( argv[2], "GetRetainKdtree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRetainKdtree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRetainKdtree */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetRetainKdtree ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for GetRetainKdtree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRetainKdtree */
    if ( strcmp ( argv[2], "SetRetainKdtree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRetainKdtree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRetainKdtree */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRetainKdtree (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SetRetainKdtree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncludeAllIntersectingCellsOn */
    if ( strcmp ( argv[2], "IncludeAllIntersectingCellsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncludeAllIntersectingCellsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncludeAllIntersectingCellsOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void IncludeAllIntersectingCellsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for IncludeAllIntersectingCellsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncludeAllIntersectingCellsOff */
    if ( strcmp ( argv[2], "IncludeAllIntersectingCellsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncludeAllIntersectingCellsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncludeAllIntersectingCellsOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void IncludeAllIntersectingCellsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for IncludeAllIntersectingCellsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIncludeAllIntersectingCells */
    if ( strcmp ( argv[2], "GetIncludeAllIntersectingCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIncludeAllIntersectingCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIncludeAllIntersectingCells */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetIncludeAllIntersectingCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for GetIncludeAllIntersectingCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIncludeAllIntersectingCells */
    if ( strcmp ( argv[2], "SetIncludeAllIntersectingCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIncludeAllIntersectingCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIncludeAllIntersectingCells */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetIncludeAllIntersectingCells (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SetIncludeAllIntersectingCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClipCellsOn */
    if ( strcmp ( argv[2], "ClipCellsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClipCellsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClipCellsOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ClipCellsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for ClipCellsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClipCellsOff */
    if ( strcmp ( argv[2], "ClipCellsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClipCellsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClipCellsOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ClipCellsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for ClipCellsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClipCells */
    if ( strcmp ( argv[2], "GetClipCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipCells */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetClipCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for GetClipCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClipCells */
    if ( strcmp ( argv[2], "SetClipCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipCells */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetClipCells (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SetClipCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundaryMode */
    if ( strcmp ( argv[2], "SetBoundaryMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundaryMode */
    Tcl_DStringAppendElement ( &dString, " Handling of ClipCells and IncludeAllIntersectingCells.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundaryMode (int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SetBoundaryMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundaryModeToAssignToOneRegion */
    if ( strcmp ( argv[2], "SetBoundaryModeToAssignToOneRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryModeToAssignToOneRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundaryModeToAssignToOneRegion */
    Tcl_DStringAppendElement ( &dString, " Handling of ClipCells and IncludeAllIntersectingCells.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundaryModeToAssignToOneRegion ();this SetBoundaryMode vtkDistributedDataFilter ASSIGN_TO_ONE_REGION " );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SetBoundaryModeToAssignToOneRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundaryModeToAssignToAllIntersectingRegions */
    if ( strcmp ( argv[2], "SetBoundaryModeToAssignToAllIntersectingRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryModeToAssignToAllIntersectingRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundaryModeToAssignToAllIntersectingRegions */
    Tcl_DStringAppendElement ( &dString, " Handling of ClipCells and IncludeAllIntersectingCells.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundaryModeToAssignToAllIntersectingRegions ();this SetBoundaryMode vtkDistributedDataFilter ASSIGN_TO_ALL_INTERSECTING_REGIONS " );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SetBoundaryModeToAssignToAllIntersectingRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundaryModeToSplitBoundaryCells */
    if ( strcmp ( argv[2], "SetBoundaryModeToSplitBoundaryCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryModeToSplitBoundaryCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundaryModeToSplitBoundaryCells */
    Tcl_DStringAppendElement ( &dString, " Handling of ClipCells and IncludeAllIntersectingCells.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundaryModeToSplitBoundaryCells ();this SetBoundaryMode vtkDistributedDataFilter SPLIT_BOUNDARY_CELLS " );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SetBoundaryModeToSplitBoundaryCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundaryMode */
    if ( strcmp ( argv[2], "GetBoundaryMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundaryMode */
    Tcl_DStringAppendElement ( &dString, " Handling of ClipCells and IncludeAllIntersectingCells.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBoundaryMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for GetBoundaryMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseMinimalMemoryOn */
    if ( strcmp ( argv[2], "UseMinimalMemoryOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseMinimalMemoryOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseMinimalMemoryOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UseMinimalMemoryOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for UseMinimalMemoryOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseMinimalMemoryOff */
    if ( strcmp ( argv[2], "UseMinimalMemoryOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseMinimalMemoryOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseMinimalMemoryOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UseMinimalMemoryOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for UseMinimalMemoryOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseMinimalMemory */
    if ( strcmp ( argv[2], "GetUseMinimalMemory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseMinimalMemory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseMinimalMemory */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetUseMinimalMemory ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for GetUseMinimalMemory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseMinimalMemory */
    if ( strcmp ( argv[2], "SetUseMinimalMemory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseMinimalMemory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseMinimalMemory */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetUseMinimalMemory (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SetUseMinimalMemory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TimingOn */
    if ( strcmp ( argv[2], "TimingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TimingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TimingOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void TimingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for TimingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TimingOff */
    if ( strcmp ( argv[2], "TimingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TimingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TimingOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void TimingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for TimingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTiming */
    if ( strcmp ( argv[2], "SetTiming" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTiming" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTiming */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTiming (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SetTiming */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTiming */
    if ( strcmp ( argv[2], "GetTiming" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTiming" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTiming */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetTiming ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for GetTiming */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCuts */
    if ( strcmp ( argv[2], "GetCuts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCuts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCuts */
    Tcl_DStringAppendElement ( &dString, " You can set the k-d tree decomposition, rather than\n have D3 compute it.  This allows you to divide a dataset using\n the decomposition computed for another dataset.  Obtain a description\n of the k-d tree cuts this way:\n\n    vtkBSPCuts *cuts = D3Object1->GetCuts()\n\n And set it this way:\n\n    D3Object2->SetCuts(cuts) \n" );
    Tcl_DStringAppendElement ( &dString, "vtkBSPCuts *GetCuts ();return this UserCuts " );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for GetCuts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCuts */
    if ( strcmp ( argv[2], "SetCuts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCuts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkBSPCuts" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCuts */
    Tcl_DStringAppendElement ( &dString, " You can set the k-d tree decomposition, rather than\n have D3 compute it.  This allows you to divide a dataset using\n the decomposition computed for another dataset.  Obtain a description\n of the k-d tree cuts this way:\n\n    vtkBSPCuts *cuts = D3Object1->GetCuts()\n\n And set it this way:\n\n    D3Object2->SetCuts(cuts) \n" );
    Tcl_DStringAppendElement ( &dString, "void SetCuts (vtkBSPCuts *cuts);" );
    Tcl_DStringAppendElement ( &dString, "vtkDistributedDataFilter" );
    /* Closing for SetCuts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
