// python wrapper for vtkDistributedStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDistributedStreamTracer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDistributedStreamTracerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDistributedStreamTracerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPStreamTracerNew(char *); }

static PyObject *PyvtkDistributedStreamTracer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedStreamTracer *op;

  const char    *temp20;
  op = (vtkDistributedStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedStreamTracer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedStreamTracer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedStreamTracer *op;

  char    *temp0;
  int      temp20;
  op = (vtkDistributedStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedStreamTracer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedStreamTracer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedStreamTracer *op;

  vtkDistributedStreamTracer  *temp20;
  op = (vtkDistributedStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedStreamTracer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedStreamTracer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDistributedStreamTracer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDistributedStreamTracer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkDistributedStreamTracerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDistributedStreamTracer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDistributedStreamTracer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDistributedStreamTracer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDistributedStreamTracer\nC++: vtkDistributedStreamTracer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDistributedStreamTracer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDistributedStreamTracer\nC++: vtkDistributedStreamTracer *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDistributedStreamTracerDoc[] = {
  (char*)"vtkDistributedStreamTracer - Distributed streamline generator\n\n",
  "Super Class:\n\n vtkPStreamTracer\n\n",
  (char*)" This filter integrates streamlines on a distributed dataset. It is\n essentially a serial algorithm: only one process is active at one\n time and it is not more efficient than a single process integration.\n It is useful when the data is too large to be on one process and\n has to be kept distributed.\n\n",
  "See Also:\n\n vtkStreamTracer vtkPStreamTracer\n\n",
  NULL
};

static vtkObjectBase *vtkDistributedStreamTracerStaticNew()
{
  return vtkDistributedStreamTracer::New();
}

PyObject *PyVTKClass_vtkDistributedStreamTracerNew(char *modulename)
{
  return PyVTKClass_New(&vtkDistributedStreamTracerStaticNew,
                        PyvtkDistributedStreamTracerMethods,
                        (char*)"vtkDistributedStreamTracer",modulename,
                        (char**)vtkDistributedStreamTracerDoc,
                        PyVTKClass_vtkPStreamTracerNew(modulename));
}

