// python wrapper for vtkDummyCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDummyCommunicator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDummyCommunicatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDummyCommunicatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCommunicatorNew(char *); }

static PyObject *PyvtkDummyCommunicator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDummyCommunicator *op;

  const char    *temp20;
  op = (vtkDummyCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDummyCommunicator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDummyCommunicator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDummyCommunicator *op;

  char    *temp0;
  int      temp20;
  op = (vtkDummyCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDummyCommunicator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDummyCommunicator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDummyCommunicator *op;

  vtkDummyCommunicator  *temp20;
  op = (vtkDummyCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDummyCommunicator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDummyCommunicator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDummyCommunicator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDummyCommunicator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDummyCommunicator_SendVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDummyCommunicator *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkDummyCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#iiii", &temp0, &size0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendVoidArray in vtkDummyCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendVoidArray in vtkDummyCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDummyCommunicator::SendVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->SendVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDummyCommunicator_ReceiveVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDummyCommunicator *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkDummyCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#iiii", &temp0, &size0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReceiveVoidArray in vtkDummyCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReceiveVoidArray in vtkDummyCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDummyCommunicator::ReceiveVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ReceiveVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDummyCommunicatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDummyCommunicator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDummyCommunicator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDummyCommunicator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDummyCommunicator\nC++: vtkDummyCommunicator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDummyCommunicator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDummyCommunicator\nC++: vtkDummyCommunicator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SendVoidArray",                (PyCFunction)PyvtkDummyCommunicator_SendVoidArray, 1,
   (char*)"V.SendVoidArray(string, int, int, int, int) -> int\nC++: virtual int SendVoidArray (const void *, vtkIdType , int , int , int );vtkWarningMacro return \n\n Since there is no one to communicate with, these methods just report an\n error.\n"},
  {(char*)"ReceiveVoidArray",                (PyCFunction)PyvtkDummyCommunicator_ReceiveVoidArray, 1,
   (char*)"V.ReceiveVoidArray(string, int, int, int, int) -> int\nC++: virtual int ReceiveVoidArray (void *, vtkIdType , int , int , int );vtkWarningMacro return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDummyCommunicatorDoc[] = {
  (char*)"vtkDummyCommunicator - Dummy controller for single process applications.\n\n",
  "Super Class:\n\n vtkCommunicator\n\n",
  (char*)"\n This is a dummy communicator, which can be used by applications that always\n require a controller but are also compiled on systems without threads or MPI.\n Because there is always only one process, no real communication takes place.\n\n\n",
  NULL
};

static vtkObjectBase *vtkDummyCommunicatorStaticNew()
{
  return vtkDummyCommunicator::New();
}

PyObject *PyVTKClass_vtkDummyCommunicatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkDummyCommunicatorStaticNew,
                        PyvtkDummyCommunicatorMethods,
                        (char*)"vtkDummyCommunicator",modulename,
                        (char**)vtkDummyCommunicatorDoc,
                        PyVTKClass_vtkCommunicatorNew(modulename));
}

