// python wrapper for vtkExtractCTHPart object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractCTHPart.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractCTHPartNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractCTHPartNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkExtractCTHPart_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  const char    *temp20;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCTHPart::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCTHPart::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  vtkExtractCTHPart  *temp20;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCTHPart::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractCTHPart  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractCTHPart::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_BOUNDS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExtractCTHPart::BOUNDS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_RemoveDoubleVolumeArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCTHPart::RemoveDoubleVolumeArrayNames();
      }
    else
      {
      op->RemoveDoubleVolumeArrayNames();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_RemoveFloatVolumeArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCTHPart::RemoveFloatVolumeArrayNames();
      }
    else
      {
      op->RemoveFloatVolumeArrayNames();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_RemoveUnsignedCharVolumeArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCTHPart::RemoveUnsignedCharVolumeArrayNames();
      }
    else
      {
      op->RemoveUnsignedCharVolumeArrayNames();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_GetNumberOfVolumeArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  int      temp20;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCTHPart::GetNumberOfVolumeArrayNames();
      }
    else
      {
      temp20 = op->GetNumberOfVolumeArrayNames();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_GetVolumeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCTHPart::GetVolumeArrayName(temp0);
      }
    else
      {
      temp20 = op->GetVolumeArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_RemoveAllVolumeArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCTHPart::RemoveAllVolumeArrayNames();
      }
    else
      {
      op->RemoveAllVolumeArrayNames();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_AddDoubleVolumeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  char    *temp0;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCTHPart::AddDoubleVolumeArrayName(temp0);
      }
    else
      {
      op->AddDoubleVolumeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_AddFloatVolumeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  char    *temp0;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCTHPart::AddFloatVolumeArrayName(temp0);
      }
    else
      {
      op->AddFloatVolumeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_AddUnsignedCharVolumeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  char    *temp0;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCTHPart::AddUnsignedCharVolumeArrayName(temp0);
      }
    else
      {
      op->AddUnsignedCharVolumeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_AddVolumeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  char    *temp0;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCTHPart::AddVolumeArrayName(temp0);
      }
    else
      {
      op->AddVolumeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_SetClipPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCTHPart::SetClipPlane(temp0);
      }
    else
      {
      op->SetClipPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_GetClipPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  vtkPlane  *temp20;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCTHPart::GetClipPlane();
      }
    else
      {
      temp20 = op->GetClipPlane();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  unsigned long     temp20;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCTHPart::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCTHPart::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  vtkMultiProcessController  *temp20;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCTHPart::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_SetVolumeFractionSurfaceValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  double   temp0;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCTHPart::SetVolumeFractionSurfaceValue(temp0);
      }
    else
      {
      op->SetVolumeFractionSurfaceValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_GetVolumeFractionSurfaceValueMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  double   temp20;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCTHPart::GetVolumeFractionSurfaceValueMinValue();
      }
    else
      {
      temp20 = op->GetVolumeFractionSurfaceValueMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_GetVolumeFractionSurfaceValueMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  double   temp20;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCTHPart::GetVolumeFractionSurfaceValueMaxValue();
      }
    else
      {
      temp20 = op->GetVolumeFractionSurfaceValueMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCTHPart_GetVolumeFractionSurfaceValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCTHPart *op;

  double   temp20;
  op = (vtkExtractCTHPart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCTHPart::GetVolumeFractionSurfaceValue();
      }
    else
      {
      temp20 = op->GetVolumeFractionSurfaceValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractCTHPartMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractCTHPart_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractCTHPart_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractCTHPart_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractCTHPart\nC++: vtkExtractCTHPart *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractCTHPart_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractCTHPart\nC++: vtkExtractCTHPart *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"BOUNDS",                (PyCFunction)PyvtkExtractCTHPart_BOUNDS, 1,
   (char*)"V.BOUNDS() -> vtkInformationDoubleVectorKey\nC++: static vtkInformationDoubleVectorKey *BOUNDS ();\n\n key to record the bounds of the hierarchical dataset.\n"},
  {(char*)"RemoveDoubleVolumeArrayNames",                (PyCFunction)PyvtkExtractCTHPart_RemoveDoubleVolumeArrayNames, 1,
   (char*)"V.RemoveDoubleVolumeArrayNames()\nC++: void RemoveDoubleVolumeArrayNames ();\n\n Names of cell volume fraction arrays to extract.\n"},
  {(char*)"RemoveFloatVolumeArrayNames",                (PyCFunction)PyvtkExtractCTHPart_RemoveFloatVolumeArrayNames, 1,
   (char*)"V.RemoveFloatVolumeArrayNames()\nC++: void RemoveFloatVolumeArrayNames ();\n\n Names of cell volume fraction arrays to extract.\n"},
  {(char*)"RemoveUnsignedCharVolumeArrayNames",                (PyCFunction)PyvtkExtractCTHPart_RemoveUnsignedCharVolumeArrayNames, 1,
   (char*)"V.RemoveUnsignedCharVolumeArrayNames()\nC++: void RemoveUnsignedCharVolumeArrayNames ();\n\n Names of cell volume fraction arrays to extract.\n"},
  {(char*)"GetNumberOfVolumeArrayNames",                (PyCFunction)PyvtkExtractCTHPart_GetNumberOfVolumeArrayNames, 1,
   (char*)"V.GetNumberOfVolumeArrayNames() -> int\nC++: int GetNumberOfVolumeArrayNames ();\n\n Names of cell volume fraction arrays to extract.\n"},
  {(char*)"GetVolumeArrayName",                (PyCFunction)PyvtkExtractCTHPart_GetVolumeArrayName, 1,
   (char*)"V.GetVolumeArrayName(int) -> string\nC++: const char *GetVolumeArrayName (int idx);\n\n Names of cell volume fraction arrays to extract.\n"},
  {(char*)"RemoveAllVolumeArrayNames",                (PyCFunction)PyvtkExtractCTHPart_RemoveAllVolumeArrayNames, 1,
   (char*)"V.RemoveAllVolumeArrayNames()\nC++: void RemoveAllVolumeArrayNames ();\n\n Names of cell volume fraction arrays to extract.\n for backwards compatibility\n"},
  {(char*)"AddDoubleVolumeArrayName",                (PyCFunction)PyvtkExtractCTHPart_AddDoubleVolumeArrayName, 1,
   (char*)"V.AddDoubleVolumeArrayName(string)\nC++: void AddDoubleVolumeArrayName (char *arrayName);\n\n"},
  {(char*)"AddFloatVolumeArrayName",                (PyCFunction)PyvtkExtractCTHPart_AddFloatVolumeArrayName, 1,
   (char*)"V.AddFloatVolumeArrayName(string)\nC++: void AddFloatVolumeArrayName (char *arrayName);\n\n"},
  {(char*)"AddUnsignedCharVolumeArrayName",                (PyCFunction)PyvtkExtractCTHPart_AddUnsignedCharVolumeArrayName, 1,
   (char*)"V.AddUnsignedCharVolumeArrayName(string)\nC++: void AddUnsignedCharVolumeArrayName (char *arrayName);\n\n"},
  {(char*)"AddVolumeArrayName",                (PyCFunction)PyvtkExtractCTHPart_AddVolumeArrayName, 1,
   (char*)"V.AddVolumeArrayName(string)\nC++: void AddVolumeArrayName (char *arrayName);\n\n"},
  {(char*)"SetClipPlane",                (PyCFunction)PyvtkExtractCTHPart_SetClipPlane, 1,
   (char*)"V.SetClipPlane(vtkPlane)\nC++: void SetClipPlane (vtkPlane *clipPlane);\n\n Set, get or maninpulate the implicit clipping plane.\n"},
  {(char*)"GetClipPlane",                (PyCFunction)PyvtkExtractCTHPart_GetClipPlane, 1,
   (char*)"V.GetClipPlane() -> vtkPlane\nC++: vtkPlane *GetClipPlane ();\n\n Set, get or maninpulate the implicit clipping plane.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkExtractCTHPart_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Look at clip plane to compute MTime.\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkExtractCTHPart_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController (vtkMultiProcessController *controller);\n\n Set the controller used to coordinate parallel processing.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkExtractCTHPart_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Return the controller used to coordinate parallel processing. By default,\n it is the global controller.\n"},
  {(char*)"SetVolumeFractionSurfaceValue",                (PyCFunction)PyvtkExtractCTHPart_SetVolumeFractionSurfaceValue, 1,
   (char*)"V.SetVolumeFractionSurfaceValue(float)\nC++: void SetVolumeFractionSurfaceValue (double );\n\n Set and get the volume fraction surface value. This value should be\n between 0 and 1\n"},
  {(char*)"GetVolumeFractionSurfaceValueMinValue",                (PyCFunction)PyvtkExtractCTHPart_GetVolumeFractionSurfaceValueMinValue, 1,
   (char*)"V.GetVolumeFractionSurfaceValueMinValue() -> float\nC++: double GetVolumeFractionSurfaceValueMinValue ();\n\n Set and get the volume fraction surface value. This value should be\n between 0 and 1\n"},
  {(char*)"GetVolumeFractionSurfaceValueMaxValue",                (PyCFunction)PyvtkExtractCTHPart_GetVolumeFractionSurfaceValueMaxValue, 1,
   (char*)"V.GetVolumeFractionSurfaceValueMaxValue() -> float\nC++: double GetVolumeFractionSurfaceValueMaxValue ();\n\n Set and get the volume fraction surface value. This value should be\n between 0 and 1\n"},
  {(char*)"GetVolumeFractionSurfaceValue",                (PyCFunction)PyvtkExtractCTHPart_GetVolumeFractionSurfaceValue, 1,
   (char*)"V.GetVolumeFractionSurfaceValue() -> float\nC++: double GetVolumeFractionSurfaceValue ();\n\n Set and get the volume fraction surface value. This value should be\n between 0 and 1\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractCTHPartDoc[] = {
  (char*)"vtkExtractCTHPart - Generates surface of an CTH volume fraction.\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" vtkExtractCTHPart is a filter that is specialized for creating \n visualization of a CTH simulation.  First it converts the cell data\n to point data.  It contours the selected volume fraction at a value\n of 0.5.  The user has the option of clipping the part with a plane.\n Clipped surfaces of the part are generated.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractCTHPartStaticNew()
{
  return vtkExtractCTHPart::New();
}

PyObject *PyVTKClass_vtkExtractCTHPartNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractCTHPartStaticNew,
                        PyvtkExtractCTHPartMethods,
                        (char*)"vtkExtractCTHPart",modulename,
                        (char**)vtkExtractCTHPartDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

