// python wrapper for vtkExtractPiece object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractPiece.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractPieceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractPieceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositeDataSetAlgorithmNew(char *); }

static PyObject *PyvtkExtractPiece_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPiece *op;

  const char    *temp20;
  op = (vtkExtractPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractPiece::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPiece_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPiece *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractPiece *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractPiece::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPiece_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPiece *op;

  vtkExtractPiece  *temp20;
  op = (vtkExtractPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractPiece::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPiece_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractPiece  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractPiece::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkExtractPieceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractPiece_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractPiece_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractPiece_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractPiece\nC++: vtkExtractPiece *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractPiece_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractPiece\nC++: vtkExtractPiece *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractPieceDoc[] = {
  (char*)"vtkExtractPiece\n\n",
  "Super Class:\n\n vtkCompositeDataSetAlgorithm\n\n",
  (char*)" vtkExtractPiece returns the appropriate piece of each\n sub-dataset in the vtkCompositeDataSet.\n This filter can handle sub-datasets of type vtkImageData, vtkPolyData,\n vtkRectilinearGrid, vtkStructuredGrid, and vtkUnstructuredGrid; it does\n not handle sub-grids of type vtkCompositeDataSet.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractPieceStaticNew()
{
  return vtkExtractPiece::New();
}

PyObject *PyVTKClass_vtkExtractPieceNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractPieceStaticNew,
                        PyvtkExtractPieceMethods,
                        (char*)"vtkExtractPiece",modulename,
                        (char**)vtkExtractPieceDoc,
                        PyVTKClass_vtkCompositeDataSetAlgorithmNew(modulename));
}

