// python wrapper for vtkExtractUnstructuredGridPiece object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractUnstructuredGridPiece.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractUnstructuredGridPieceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractUnstructuredGridPieceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkExtractUnstructuredGridPiece_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGridPiece *op;

  const char    *temp20;
  op = (vtkExtractUnstructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGridPiece::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGridPiece_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGridPiece *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractUnstructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGridPiece::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGridPiece_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGridPiece *op;

  vtkExtractUnstructuredGridPiece  *temp20;
  op = (vtkExtractUnstructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGridPiece::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGridPiece_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractUnstructuredGridPiece  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractUnstructuredGridPiece::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGridPiece_SetCreateGhostCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGridPiece *op;

  int      temp0;
  op = (vtkExtractUnstructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGridPiece::SetCreateGhostCells(temp0);
      }
    else
      {
      op->SetCreateGhostCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGridPiece_GetCreateGhostCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGridPiece *op;

  int      temp20;
  op = (vtkExtractUnstructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGridPiece::GetCreateGhostCells();
      }
    else
      {
      temp20 = op->GetCreateGhostCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGridPiece_CreateGhostCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGridPiece *op;

  op = (vtkExtractUnstructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGridPiece::CreateGhostCellsOn();
      }
    else
      {
      op->CreateGhostCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGridPiece_CreateGhostCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGridPiece *op;

  op = (vtkExtractUnstructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGridPiece::CreateGhostCellsOff();
      }
    else
      {
      op->CreateGhostCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractUnstructuredGridPieceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractUnstructuredGridPiece_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractUnstructuredGridPiece_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractUnstructuredGridPiece_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractUnstructuredGridPiece\nC++: vtkExtractUnstructuredGridPiece *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractUnstructuredGridPiece_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractUnstructuredGridPiece\nC++: vtkExtractUnstructuredGridPiece *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCreateGhostCells",                (PyCFunction)PyvtkExtractUnstructuredGridPiece_SetCreateGhostCells, 1,
   (char*)"V.SetCreateGhostCells(int)\nC++: void SetCreateGhostCells (int );\n\n Turn on/off creating ghost cells (on by default).\n"},
  {(char*)"GetCreateGhostCells",                (PyCFunction)PyvtkExtractUnstructuredGridPiece_GetCreateGhostCells, 1,
   (char*)"V.GetCreateGhostCells() -> int\nC++: int GetCreateGhostCells ();\n\n Turn on/off creating ghost cells (on by default).\n"},
  {(char*)"CreateGhostCellsOn",                (PyCFunction)PyvtkExtractUnstructuredGridPiece_CreateGhostCellsOn, 1,
   (char*)"V.CreateGhostCellsOn()\nC++: void CreateGhostCellsOn ();\n\n Turn on/off creating ghost cells (on by default).\n"},
  {(char*)"CreateGhostCellsOff",                (PyCFunction)PyvtkExtractUnstructuredGridPiece_CreateGhostCellsOff, 1,
   (char*)"V.CreateGhostCellsOff()\nC++: void CreateGhostCellsOff ();\n\n Turn on/off creating ghost cells (on by default).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractUnstructuredGridPieceDoc[] = {
  (char*)"vtkExtractUnstructuredGridPiece - Return specified piece, including specified\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractUnstructuredGridPieceStaticNew()
{
  return vtkExtractUnstructuredGridPiece::New();
}

PyObject *PyVTKClass_vtkExtractUnstructuredGridPieceNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractUnstructuredGridPieceStaticNew,
                        PyvtkExtractUnstructuredGridPieceMethods,
                        (char*)"vtkExtractUnstructuredGridPiece",modulename,
                        (char**)vtkExtractUnstructuredGridPieceDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

