// python wrapper for vtkPChacoReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPChacoReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPChacoReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPChacoReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkChacoReaderNew(char *); }

static PyObject *PyvtkPChacoReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPChacoReader *op;

  const char    *temp20;
  op = (vtkPChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPChacoReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPChacoReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPChacoReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPChacoReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPChacoReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPChacoReader *op;

  vtkPChacoReader  *temp20;
  op = (vtkPChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPChacoReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPChacoReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPChacoReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPChacoReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPChacoReader_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPChacoReader *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPChacoReader::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPChacoReader_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPChacoReader *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPChacoReader::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPChacoReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPChacoReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPChacoReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPChacoReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPChacoReader\nC++: vtkPChacoReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPChacoReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPChacoReader\nC++: vtkPChacoReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPChacoReader_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController (vtkMultiProcessController *c);\n\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPChacoReader_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPChacoReaderDoc[] = {
  (char*)"vtkPChacoReader - Read Chaco files\n\n",
  "Super Class:\n\n vtkChacoReader\n\n",
  (char*)" vtkPChacoReader is a unstructured grid source object that reads\n Chaco files.  The file is read by process 0 and converted into\n a vtkUnstructuredGrid.  The vtkDistributedDataFilter is invoked\n to divide the grid among the processes.  \n\n",
  NULL
};

static vtkObjectBase *vtkPChacoReaderStaticNew()
{
  return vtkPChacoReader::New();
}

PyObject *PyVTKClass_vtkPChacoReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPChacoReaderStaticNew,
                        PyvtkPChacoReaderMethods,
                        (char*)"vtkPChacoReader",modulename,
                        (char**)vtkPChacoReaderDoc,
                        PyVTKClass_vtkChacoReaderNew(modulename));
}

