// python wrapper for vtkPDataSetReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPDataSetReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPDataSetReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPDataSetReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkPDataSetReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetReader *op;

  const char    *temp20;
  op = (vtkPDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetReader *op;

  vtkPDataSetReader  *temp20;
  op = (vtkPDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPDataSetReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPDataSetReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPDataSetReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetReader *op;

  char    *temp0;
  op = (vtkPDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPDataSetReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetReader *op;

  char    *temp20;
  op = (vtkPDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetReader_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetReader *op;

  int      temp20;
  op = (vtkPDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetReader::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPDataSetReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPDataSetReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPDataSetReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPDataSetReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPDataSetReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPDataSetReader\nC++: vtkPDataSetReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPDataSetReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPDataSetReader\nC++: vtkPDataSetReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkPDataSetReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n This file to open and read.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkPDataSetReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n This file to open and read.\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkPDataSetReader_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType ();\n\n This is set when UpdateInformation is called. \n It shows the type of the output.\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkPDataSetReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: int CanReadFile (const char *filename);\n\n Called to determine if the file can be read by the reader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPDataSetReaderDoc[] = {
  (char*)"vtkPDataSetReader - Manages reading pieces of a data set.\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkPDataSetReader will read a piece of a file, it takes as input \n a metadata file that lists all of the files in a data set.\n\n",
  NULL
};

static vtkObjectBase *vtkPDataSetReaderStaticNew()
{
  return vtkPDataSetReader::New();
}

PyObject *PyVTKClass_vtkPDataSetReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPDataSetReaderStaticNew,
                        PyvtkPDataSetReaderMethods,
                        (char*)"vtkPDataSetReader",modulename,
                        (char**)vtkPDataSetReaderDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

