// python wrapper for vtkPImageWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPImageWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPImageWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPImageWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageWriterNew(char *); }

static PyObject *PyvtkPImageWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPImageWriter *op;

  const char    *temp20;
  op = (vtkPImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPImageWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPImageWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPImageWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPImageWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPImageWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPImageWriter *op;

  vtkPImageWriter  *temp20;
  op = (vtkPImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPImageWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPImageWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPImageWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPImageWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPImageWriter_SetMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPImageWriter *op;

  unsigned long     temp0;
  op = (vtkPImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPImageWriter::SetMemoryLimit(temp0);
      }
    else
      {
      op->SetMemoryLimit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPImageWriter_GetMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPImageWriter *op;

  unsigned long     temp20;
  op = (vtkPImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPImageWriter::GetMemoryLimit();
      }
    else
      {
      temp20 = op->GetMemoryLimit();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPImageWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPImageWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPImageWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPImageWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPImageWriter\nC++: vtkPImageWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPImageWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPImageWriter\nC++: vtkPImageWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMemoryLimit",                (PyCFunction)PyvtkPImageWriter_SetMemoryLimit, 1,
   (char*)"V.SetMemoryLimit(int)\nC++: void SetMemoryLimit (unsigned long );\n\n Set / Get the memory limit in kilobytes. The writer will\n stream to attempt to keep the pipeline size within this limit\n"},
  {(char*)"GetMemoryLimit",                (PyCFunction)PyvtkPImageWriter_GetMemoryLimit, 1,
   (char*)"V.GetMemoryLimit() -> int\nC++: long unsigned GetMemoryLimit ();\n\n Set / Get the memory limit in kilobytes. The writer will\n stream to attempt to keep the pipeline size within this limit\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPImageWriterDoc[] = {
  (char*)"vtkPImageWriter - Writes images to files.\n\n",
  "Super Class:\n\n vtkImageWriter\n\n",
  (char*)" vtkPImageWriter writes images to files with any data type. The data type of\n the file is the same scalar type as the input.  The dimensionality\n determines whether the data will be written in one or multiple files.\n This class is used as the superclass of most image writing classes \n such as vtkBMPWriter etc. It supports streaming.\n\n",
  NULL
};

static vtkObjectBase *vtkPImageWriterStaticNew()
{
  return vtkPImageWriter::New();
}

PyObject *PyVTKClass_vtkPImageWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPImageWriterStaticNew,
                        PyvtkPImageWriterMethods,
                        (char*)"vtkPImageWriter",modulename,
                        (char**)vtkPImageWriterDoc,
                        PyVTKClass_vtkImageWriterNew(modulename));
}

