// python wrapper for vtkPKdTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPKdTree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPKdTreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPKdTreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkKdTreeNew(char *); }

static PyObject *PyvtkPKdTree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  const char    *temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  char    *temp0;
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  vtkPKdTree  *temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPKdTree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPKdTree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPKdTree_BuildLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPKdTree::BuildLocator();
      }
    else
      {
      op->BuildLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_GetTotalNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  vtkIdType   temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetTotalNumberOfCells();
      }
    else
      {
      temp20 = op->GetTotalNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_CreateProcessCellCountData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::CreateProcessCellCountData();
      }
    else
      {
      temp20 = op->CreateProcessCellCountData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_CreateGlobalDataArrayBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::CreateGlobalDataArrayBounds();
      }
    else
      {
      temp20 = op->CreateGlobalDataArrayBounds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkPKdTree::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkPKdTree_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_GetRegionAssignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetRegionAssignment();
      }
    else
      {
      temp20 = op->GetRegionAssignment();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_AssignRegionsRoundRobin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::AssignRegionsRoundRobin();
      }
    else
      {
      temp20 = op->AssignRegionsRoundRobin();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_AssignRegionsContiguous(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::AssignRegionsContiguous();
      }
    else
      {
      temp20 = op->AssignRegionsContiguous();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_GetRegionAssignmentList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  vtkIntArray  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIntArray");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetRegionAssignmentList(temp0,temp1);
      }
    else
      {
      temp20 = op->GetRegionAssignmentList(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkPKdTree_GetAllProcessesBorderingOnPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  float    temp0;
  float    temp1;
  float    temp2;
  vtkIntArray  *temp3;
  PyObject *tempH3;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"fffO", &temp0, &temp1, &temp2, &tempH3);
  if (op)
    {
    temp3 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIntArray");
    if (!temp3 && tempH3 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkPKdTree::GetAllProcessesBorderingOnPoint(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->GetAllProcessesBorderingOnPoint(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkPKdTree_GetProcessAssignedToRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetProcessAssignedToRegion(temp0);
      }
    else
      {
      temp20 = op->GetProcessAssignedToRegion(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_HasData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::HasData(temp0,temp1);
      }
    else
      {
      temp20 = op->HasData(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_GetProcessCellCountForRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetProcessCellCountForRegion(temp0,temp1);
      }
    else
      {
      temp20 = op->GetProcessCellCountForRegion(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_GetTotalProcessesInRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetTotalProcessesInRegion(temp0);
      }
    else
      {
      temp20 = op->GetTotalProcessesInRegion(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_GetProcessListForRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  vtkIntArray  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIntArray");
    if (!temp1 && tempH1 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetProcessListForRegion(temp0,temp1);
      }
    else
      {
      temp20 = op->GetProcessListForRegion(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkPKdTree_GetTotalRegionsForProcess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetTotalRegionsForProcess(temp0);
      }
    else
      {
      temp20 = op->GetTotalRegionsForProcess(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_GetRegionListForProcess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  vtkIntArray  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIntArray");
    if (!temp1 && tempH1 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetRegionListForProcess(temp0,temp1);
      }
    else
      {
      temp20 = op->GetRegionListForProcess(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkPKdTree_GetCellListsForProcessRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  int      temp1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  vtkIdList  *temp3;
  PyObject *tempH3;
  vtkIdType   temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"iiOO", &temp0, &temp1, &tempH2, &tempH3);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break22;
    temp3 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIdList");
    if (!temp3 && tempH3 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetCellListsForProcessRegions(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetCellListsForProcessRegions(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break22:
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  vtkIdList  *temp3;
  PyObject *tempH3;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"iOOO", &temp0, &tempH1, &tempH2, &tempH3);
  if (op)
    {
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break23;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break23;
    temp3 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIdList");
    if (!temp3 && tempH3 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetCellListsForProcessRegions(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetCellListsForProcessRegions(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break23:
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break24;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetCellListsForProcessRegions(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetCellListsForProcessRegions(temp0,temp1,temp2);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkPKdTree_ViewOrderAllProcessesInDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  double temp0[3];
  vtkIntArray  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1);
  if (op)
    {
    temp1 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIntArray");
    if (!temp1 && tempH1 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::ViewOrderAllProcessesInDirection(temp0,temp1);
      }
    else
      {
      temp20 = op->ViewOrderAllProcessesInDirection(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkPKdTree_ViewOrderAllProcessesFromPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  double temp0[3];
  vtkIntArray  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1);
  if (op)
    {
    temp1 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIntArray");
    if (!temp1 && tempH1 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::ViewOrderAllProcessesFromPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ViewOrderAllProcessesFromPosition(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkPKdTree_GetCellArrayGlobalRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  char    *temp0;
  float  temp1[2];
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"z(ff)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetCellArrayGlobalRange(temp0,temp1);
      }
    else
      {
      temp20 = op->GetCellArrayGlobalRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  char    *temp0;
  double temp1[2];
  int      temp20;
  PyErr_Clear();
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"z(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetCellArrayGlobalRange(temp0,temp1);
      }
    else
      {
      temp20 = op->GetCellArrayGlobalRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  double temp1[2];
  int      temp20;
  PyErr_Clear();
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetCellArrayGlobalRange(temp0,temp1);
      }
    else
      {
      temp20 = op->GetCellArrayGlobalRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  float  temp1[2];
  int      temp20;
  PyErr_Clear();
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i(ff)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetCellArrayGlobalRange(temp0,temp1);
      }
    else
      {
      temp20 = op->GetCellArrayGlobalRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPKdTree_GetPointArrayGlobalRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  char    *temp0;
  float  temp1[2];
  int      temp20;
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"z(ff)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetPointArrayGlobalRange(temp0,temp1);
      }
    else
      {
      temp20 = op->GetPointArrayGlobalRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  char    *temp0;
  double temp1[2];
  int      temp20;
  PyErr_Clear();
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"z(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetPointArrayGlobalRange(temp0,temp1);
      }
    else
      {
      temp20 = op->GetPointArrayGlobalRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  double temp1[2];
  int      temp20;
  PyErr_Clear();
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetPointArrayGlobalRange(temp0,temp1);
      }
    else
      {
      temp20 = op->GetPointArrayGlobalRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPKdTree *op;

  int      temp0;
  float  temp1[2];
  int      temp20;
  PyErr_Clear();
  op = (vtkPKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i(ff)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPKdTree::GetPointArrayGlobalRange(temp0,temp1);
      }
    else
      {
      temp20 = op->GetPointArrayGlobalRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPKdTreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPKdTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPKdTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPKdTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPKdTree\nC++: vtkPKdTree *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPKdTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPKdTree\nC++: vtkPKdTree *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"BuildLocator",                (PyCFunction)PyvtkPKdTree_BuildLocator, 1,
   (char*)"V.BuildLocator()\nC++: void BuildLocator ();\n\n   Build the spatial decomposition.  Call this explicitly\n   after changing any parameters affecting the build of the\n   tree.  It must be called by all processes in the parallel\n   application, or it will hang.  \n"},
  {(char*)"GetTotalNumberOfCells",                (PyCFunction)PyvtkPKdTree_GetTotalNumberOfCells, 1,
   (char*)"V.GetTotalNumberOfCells() -> int\nC++: vtkIdType GetTotalNumberOfCells ();return this TotalNumCells \n\n   Create tables of counts of cells per process per region.\n   These tables can be accessed with queries like\n   \"HasData\", \"GetProcessCellCountForRegion\", and so on.\n   You must have called BuildLocator() beforehand.  This\n   method must be called by all processes or it will hang.\n   Returns 1 on error, 0 when no error.\n"},
  {(char*)"CreateProcessCellCountData",                (PyCFunction)PyvtkPKdTree_CreateProcessCellCountData, 1,
   (char*)"V.CreateProcessCellCountData() -> int\nC++: int CreateProcessCellCountData ();\n\n   Create tables of counts of cells per process per region.\n   These tables can be accessed with queries like\n   \"HasData\", \"GetProcessCellCountForRegion\", and so on.\n   You must have called BuildLocator() beforehand.  This\n   method must be called by all processes or it will hang.\n   Returns 1 on error, 0 when no error.\n"},
  {(char*)"CreateGlobalDataArrayBounds",                (PyCFunction)PyvtkPKdTree_CreateGlobalDataArrayBounds, 1,
   (char*)"V.CreateGlobalDataArrayBounds() -> int\nC++: int CreateGlobalDataArrayBounds ();\n\n   A convenience function which compiles the global \n   bounds of the data arrays across processes.  \n   These bounds can be accessed with \n   \"GetCellArrayGlobalRange\" and \"GetPointArrayGlobalRange\".\n   This method must be called by all processes or it will hang.\n   Returns 1 on error, 0 when no error.\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPKdTree_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController (vtkMultiProcessController *c);\n\n   Set/Get the communicator object\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPKdTree_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n   Set/Get the communicator object\n"},
  {(char*)"GetRegionAssignment",                (PyCFunction)PyvtkPKdTree_GetRegionAssignment, 1,
   (char*)"V.GetRegionAssignment() -> int\nC++: int GetRegionAssignment ();\n\n   The PKdTree class can assign spatial regions to processors after\n   building the k-d tree, using one of several partitioning criteria.\n   These functions Set/Get whether this assignment is computed. \n   The default is \"Off\", no assignment is computed.   If \"On\", and\n   no assignment scheme is specified, contiguous assignment will be\n   computed.  Specifying an assignment scheme (with AssignRegions*())\n   automatically turns on RegionAssignment.\n"},
  {(char*)"AssignRegionsRoundRobin",                (PyCFunction)PyvtkPKdTree_AssignRegionsRoundRobin, 1,
   (char*)"V.AssignRegionsRoundRobin() -> int\nC++: int AssignRegionsRoundRobin ();\n\n   Let the PKdTree class assign a process to each region in a\n   round robin fashion.  If the k-d tree has not yet been\n   built, the regions will be assigned after BuildLocator executes.\n"},
  {(char*)"AssignRegionsContiguous",                (PyCFunction)PyvtkPKdTree_AssignRegionsContiguous, 1,
   (char*)"V.AssignRegionsContiguous() -> int\nC++: int AssignRegionsContiguous ();\n\n    Let the PKdTree class assign a process to each region\n    by assigning contiguous sets of spatial regions to each\n    process.  The set of regions assigned to each process will\n    always have a union that is a convex space (a box).\n    If the k-d tree has not yet been built, the regions\n    will be assigned after BuildLocator executes.\n"},
  {(char*)"GetRegionAssignmentList",                (PyCFunction)PyvtkPKdTree_GetRegionAssignmentList, 1,
   (char*)"V.GetRegionAssignmentList(int, vtkIntArray) -> int\nC++: int GetRegionAssignmentList (int procId, vtkIntArray *list);\n\n    Writes the list of region IDs assigned to the specified\n    process.  Regions IDs start at 0 and increase by 1 from there.\n    Returns the number of regions in the list. \n"},
  {(char*)"GetAllProcessesBorderingOnPoint",                (PyCFunction)PyvtkPKdTree_GetAllProcessesBorderingOnPoint, 1,
   (char*)"V.GetAllProcessesBorderingOnPoint(float, float, float, vtkIntArray)\nC++: void GetAllProcessesBorderingOnPoint (float x, float y, float z, vtkIntArray *list);\n\n    The k-d tree spatial regions have been assigned to processes.\n    Given a point on the boundary of one of the regions, this\n    method creates a list of all processes whose region\n    boundaries include that point.  This may be required when\n    looking for processes that have cells adjacent to the cells\n    of a given process.\n"},
  {(char*)"GetProcessAssignedToRegion",                (PyCFunction)PyvtkPKdTree_GetProcessAssignedToRegion, 1,
   (char*)"V.GetProcessAssignedToRegion(int) -> int\nC++: int GetProcessAssignedToRegion (int regionId);\n\n    Returns the ID of the process assigned to the region.\n"},
  {(char*)"HasData",                (PyCFunction)PyvtkPKdTree_HasData, 1,
   (char*)"V.HasData(int, int) -> int\nC++: int HasData (int processId, int regionId);\n\n   Returns 1 if the process has data for the given region,\n   0 otherwise. \n"},
  {(char*)"GetProcessCellCountForRegion",                (PyCFunction)PyvtkPKdTree_GetProcessCellCountForRegion, 1,
   (char*)"V.GetProcessCellCountForRegion(int, int) -> int\nC++: int GetProcessCellCountForRegion (int processId, int regionId);\n\n   Returns the number of cells the specified process has in the\n   specified region.  \n"},
  {(char*)"GetTotalProcessesInRegion",                (PyCFunction)PyvtkPKdTree_GetTotalProcessesInRegion, 1,
   (char*)"V.GetTotalProcessesInRegion(int) -> int\nC++: int GetTotalProcessesInRegion (int regionId);\n\n   Returns the total number of processes that have data\n   falling within this spatial region. \n"},
  {(char*)"GetProcessListForRegion",                (PyCFunction)PyvtkPKdTree_GetProcessListForRegion, 1,
   (char*)"V.GetProcessListForRegion(int, vtkIntArray) -> int\nC++: int GetProcessListForRegion (int regionId, vtkIntArray *processes);\n\n   Adds the list of processes having data for the given\n   region to the supplied list, returns the number of\n   processes added.\n"},
  {(char*)"GetTotalRegionsForProcess",                (PyCFunction)PyvtkPKdTree_GetTotalRegionsForProcess, 1,
   (char*)"V.GetTotalRegionsForProcess(int) -> int\nC++: int GetTotalRegionsForProcess (int processId);\n\n   Returns the total number of spatial regions that a given\n   process has data for. \n"},
  {(char*)"GetRegionListForProcess",                (PyCFunction)PyvtkPKdTree_GetRegionListForProcess, 1,
   (char*)"V.GetRegionListForProcess(int, vtkIntArray) -> int\nC++: int GetRegionListForProcess (int processId, vtkIntArray *regions);\n\n   Adds the region IDs for which this process has data to\n   the supplied vtkIntArray.  Retruns the number of regions.\n"},
  {(char*)"GetCellListsForProcessRegions",                (PyCFunction)PyvtkPKdTree_GetCellListsForProcessRegions, 1,
   (char*)"V.GetCellListsForProcessRegions(int, int, vtkIdList, vtkIdList) -> int\nC++: vtkIdType GetCellListsForProcessRegions (int ProcessId, int set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);\nV.GetCellListsForProcessRegions(int, vtkDataSet, vtkIdList, vtkIdList) -> int\nC++: vtkIdType GetCellListsForProcessRegions (int ProcessId, vtkDataSet *set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);\nV.GetCellListsForProcessRegions(int, vtkIdList, vtkIdList) -> int\nC++: vtkIdType GetCellListsForProcessRegions (int ProcessId, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);\n\n   After regions have been assigned to processes, I may want to know\n   which cells I have that are in the regions assigned to a particular\n   process.\n\n   This method takes a process ID and two vtkIdLists.  It\n   writes to the first list the IDs of the cells\n   contained in the process' regions.  (That is, their cell\n   centroid is contained in the region.)  To the second list it\n   write the IDs of the cells which intersect the process' regions \n   but whose cell centroid lies elsewhere.\n\n   The total number of cell IDs written to both lists is returned.  \n   Either list pointer passed in can be NULL, and it will be ignored. \n   If there are multiple data sets, you must specify which data set\n   you wish cell IDs for.  \n\n   The caller should delete these two lists when done.  This method \n   uses the cell lists created in vtkKdTree::CreateCellLists().\n   If the cell lists for the process' regions do not exist, this\n   method will first build th ...\n [Truncated]\n"},
  {(char*)"ViewOrderAllProcessesInDirection",                (PyCFunction)PyvtkPKdTree_ViewOrderAllProcessesInDirection, 1,
   (char*)"V.ViewOrderAllProcessesInDirection((float, float, float), vtkIntArray) -> int\nC++: int ViewOrderAllProcessesInDirection (const double directionOfProjection[3], vtkIntArray *orderedList);\n\n Return a list of all process in order from front to back given a\n vector direction of projection.  Use this to do visibility sorts\n in parallel projection mode.\n"},
  {(char*)"ViewOrderAllProcessesFromPosition",                (PyCFunction)PyvtkPKdTree_ViewOrderAllProcessesFromPosition, 1,
   (char*)"V.ViewOrderAllProcessesFromPosition((float, float, float), vtkIntArray) -> int\nC++: int ViewOrderAllProcessesFromPosition (const double cameraPosition[3], vtkIntArray *orderedList);\n\n Return a list of all processes in order from front to back given a\n camera position.  Use this to do visibility sorts in perspective\n projection mode.\n"},
  {(char*)"GetCellArrayGlobalRange",                (PyCFunction)PyvtkPKdTree_GetCellArrayGlobalRange, 1,
   (char*)"V.GetCellArrayGlobalRange(string, (float, float)) -> int\nC++: int GetCellArrayGlobalRange (const char *name, float range[2]);\nV.GetCellArrayGlobalRange(string, (float, float)) -> int\nC++: int GetCellArrayGlobalRange (const char *name, double range[2]);\nV.GetCellArrayGlobalRange(int, (float, float)) -> int\nC++: int GetCellArrayGlobalRange (int arrayIndex, double range[2]);\nV.GetCellArrayGlobalRange(int, (float, float)) -> int\nC++: int GetCellArrayGlobalRange (int arrayIndex, float range[2]);\n\n"},
  {(char*)"GetPointArrayGlobalRange",                (PyCFunction)PyvtkPKdTree_GetPointArrayGlobalRange, 1,
   (char*)"V.GetPointArrayGlobalRange(string, (float, float)) -> int\nC++: int GetPointArrayGlobalRange (const char *name, float range[2]);\nV.GetPointArrayGlobalRange(string, (float, float)) -> int\nC++: int GetPointArrayGlobalRange (const char *name, double range[2]);\nV.GetPointArrayGlobalRange(int, (float, float)) -> int\nC++: int GetPointArrayGlobalRange (int arrayIndex, double range[2]);\nV.GetPointArrayGlobalRange(int, (float, float)) -> int\nC++: int GetPointArrayGlobalRange (int arrayIndex, float range[2]);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPKdTreeDoc[] = {
  (char*)"vtkPKdTree - Build a k-d tree decomposition of a list of points.\n\n",
  "Super Class:\n\n vtkKdTree\n\n",
  (char*)"      Build, in parallel, a k-d tree decomposition of one or more\n      vtkDataSets distributed across processors.  We assume each\n      process has read in one portion of a large distributed data set.\n      When done, each process has access to the k-d tree structure, \n      can obtain information about which process contains \n      data for each spatial region, and can depth sort the spatial\n   ",
  (char*)"   regions.\n\n      This class can also assign spatial regions to processors, based\n      on one of several region assignment schemes.  By default \n      a contiguous, convex region is assigned to each process.  Several\n      queries return information about how many and what cells I have\n      that lie in a region assigned to another process.\n\n\n",
  "See Also:\n\n vtkKdTree\n\n",
  NULL
};

static vtkObjectBase *vtkPKdTreeStaticNew()
{
  return vtkPKdTree::New();
}

PyObject *PyVTKClass_vtkPKdTreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkPKdTreeStaticNew,
                        PyvtkPKdTreeMethods,
                        (char*)"vtkPKdTree",modulename,
                        (char**)vtkPKdTreeDoc,
                        PyVTKClass_vtkKdTreeNew(modulename));
}

