// tcl wrapper for vtkPKdTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPKdTree.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPKdTreeNewCommand()
{
  vtkPKdTree *temp = vtkPKdTree::New();
  return static_cast<ClientData>(temp);
}

int vtkKdTreeCppCommand(vtkKdTree *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPKdTreeCppCommand(vtkPKdTree *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPKdTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPKdTreeCppCommand(static_cast<vtkPKdTree *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPKdTreeCppCommand(vtkPKdTree *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPKdTree",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkKdTreeCppCommand(static_cast<vtkKdTree *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkKdTree"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPKdTree  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPKdTree");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPKdTree  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPKdTree");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPKdTree  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPKdTree");
    return TCL_OK;
    }
  if ((!strcmp("BuildLocator",argv[1]))&&(argc == 2))
    {
    op->BuildLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTotalNumberOfCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetTotalNumberOfCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CreateProcessCellCountData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CreateProcessCellCountData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CreateGlobalDataArrayBounds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CreateGlobalDataArrayBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("GetRegionAssignment",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRegionAssignment();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AssignRegionsRoundRobin",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->AssignRegionsRoundRobin();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AssignRegionsContiguous",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->AssignRegionsContiguous();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRegionAssignmentList",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkIntArray  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIntArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetRegionAssignmentList(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllProcessesBorderingOnPoint",argv[1]))&&(argc == 6))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    vtkIntArray  *temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    temp3 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkIntArray"),interp,error));
    if (!error)
    {
    op->GetAllProcessesBorderingOnPoint(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProcessAssignedToRegion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetProcessAssignedToRegion(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasData",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->HasData(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProcessCellCountForRegion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetProcessCellCountForRegion(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTotalProcessesInRegion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTotalProcessesInRegion(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProcessListForRegion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkIntArray  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIntArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetProcessListForRegion(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTotalRegionsForProcess",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTotalRegionsForProcess(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRegionListForProcess",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkIntArray  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIntArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetRegionListForProcess(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellListsForProcessRegions",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    vtkIdList  *temp2;
    vtkIdList  *temp3;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdList"),interp,error));
    temp3 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetCellListsForProcessRegions(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellListsForProcessRegions",argv[1]))&&(argc == 6))
    {
    int      temp0;
    vtkDataSet  *temp1;
    vtkIdList  *temp2;
    vtkIdList  *temp3;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataSet"),interp,error));
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdList"),interp,error));
    temp3 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetCellListsForProcessRegions(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellListsForProcessRegions",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkIdList  *temp1;
    vtkIdList  *temp2;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetCellListsForProcessRegions(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPKdTreeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKdTreeCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPKdTree:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  BuildLocator\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfCells\n",NULL);
    Tcl_AppendResult(interp,"  CreateProcessCellCountData\n",NULL);
    Tcl_AppendResult(interp,"  CreateGlobalDataArrayBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  GetRegionAssignment\n",NULL);
    Tcl_AppendResult(interp,"  AssignRegionsRoundRobin\n",NULL);
    Tcl_AppendResult(interp,"  AssignRegionsContiguous\n",NULL);
    Tcl_AppendResult(interp,"  GetRegionAssignmentList\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAllProcessesBorderingOnPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessAssignedToRegion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessCellCountForRegion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalProcessesInRegion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessListForRegion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalRegionsForProcess\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRegionListForProcess\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellListsForProcessRegions\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellListsForProcessRegions\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellListsForProcessRegions\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkKdTreeCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfCells" );
    Tcl_DStringAppendElement ( &dString, "CreateProcessCellCountData" );
    Tcl_DStringAppendElement ( &dString, "CreateGlobalDataArrayBounds" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "GetRegionAssignment" );
    Tcl_DStringAppendElement ( &dString, "AssignRegionsRoundRobin" );
    Tcl_DStringAppendElement ( &dString, "AssignRegionsContiguous" );
    Tcl_DStringAppendElement ( &dString, "GetRegionAssignmentList" );
    Tcl_DStringAppendElement ( &dString, "GetAllProcessesBorderingOnPoint" );
    Tcl_DStringAppendElement ( &dString, "GetProcessAssignedToRegion" );
    Tcl_DStringAppendElement ( &dString, "HasData" );
    Tcl_DStringAppendElement ( &dString, "GetProcessCellCountForRegion" );
    Tcl_DStringAppendElement ( &dString, "GetTotalProcessesInRegion" );
    Tcl_DStringAppendElement ( &dString, "GetProcessListForRegion" );
    Tcl_DStringAppendElement ( &dString, "GetTotalRegionsForProcess" );
    Tcl_DStringAppendElement ( &dString, "GetRegionListForProcess" );
    Tcl_DStringAppendElement ( &dString, "GetCellListsForProcessRegions" );
    Tcl_DStringAppendElement ( &dString, "GetCellListsForProcessRegions" );
    Tcl_DStringAppendElement ( &dString, "GetCellListsForProcessRegions" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkKdTreeCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPKdTree *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildLocator */
    if ( strcmp ( argv[2], "BuildLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildLocator */
    Tcl_DStringAppendElement ( &dString, "   Build the spatial decomposition.  Call this explicitly\n   after changing any parameters affecting the build of the\n   tree.  It must be called by all processes in the parallel\n   application, or it will hang.  \n" );
    Tcl_DStringAppendElement ( &dString, "void BuildLocator ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for BuildLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalNumberOfCells */
    if ( strcmp ( argv[2], "GetTotalNumberOfCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalNumberOfCells */
    Tcl_DStringAppendElement ( &dString, "   Create tables of counts of cells per process per region.\n   These tables can be accessed with queries like\n   \"HasData\", \"GetProcessCellCountForRegion\", and so on.\n   You must have called BuildLocator() beforehand.  This\n   method must be called by all processes or it will hang.\n   Returns 1 on error, 0 when no error.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetTotalNumberOfCells ();return this TotalNumCells " );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetTotalNumberOfCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateProcessCellCountData */
    if ( strcmp ( argv[2], "CreateProcessCellCountData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateProcessCellCountData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateProcessCellCountData */
    Tcl_DStringAppendElement ( &dString, "   Create tables of counts of cells per process per region.\n   These tables can be accessed with queries like\n   \"HasData\", \"GetProcessCellCountForRegion\", and so on.\n   You must have called BuildLocator() beforehand.  This\n   method must be called by all processes or it will hang.\n   Returns 1 on error, 0 when no error.\n" );
    Tcl_DStringAppendElement ( &dString, "int CreateProcessCellCountData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for CreateProcessCellCountData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateGlobalDataArrayBounds */
    if ( strcmp ( argv[2], "CreateGlobalDataArrayBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateGlobalDataArrayBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateGlobalDataArrayBounds */
    Tcl_DStringAppendElement ( &dString, "   A convenience function which compiles the global \n   bounds of the data arrays across processes.  \n   These bounds can be accessed with \n   \"GetCellArrayGlobalRange\" and \"GetPointArrayGlobalRange\".\n   This method must be called by all processes or it will hang.\n   Returns 1 on error, 0 when no error.\n" );
    Tcl_DStringAppendElement ( &dString, "int CreateGlobalDataArrayBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for CreateGlobalDataArrayBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the communicator object\n" );
    Tcl_DStringAppendElement ( &dString, "void SetController (vtkMultiProcessController *c);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the communicator object\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *GetController ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRegionAssignment */
    if ( strcmp ( argv[2], "GetRegionAssignment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRegionAssignment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRegionAssignment */
    Tcl_DStringAppendElement ( &dString, "   The PKdTree class can assign spatial regions to processors after\n   building the k-d tree, using one of several partitioning criteria.\n   These functions Set/Get whether this assignment is computed. \n   The default is \"Off\", no assignment is computed.   If \"On\", and\n   no assignment scheme is specified, contiguous assignment will be\n   computed.  Specifying an assignment scheme (with AssignRegions*())\n   automatically turns on RegionAssignment.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRegionAssignment ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetRegionAssignment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AssignRegionsRoundRobin */
    if ( strcmp ( argv[2], "AssignRegionsRoundRobin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AssignRegionsRoundRobin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AssignRegionsRoundRobin */
    Tcl_DStringAppendElement ( &dString, "   Let the PKdTree class assign a process to each region in a\n   round robin fashion.  If the k-d tree has not yet been\n   built, the regions will be assigned after BuildLocator executes.\n" );
    Tcl_DStringAppendElement ( &dString, "int AssignRegionsRoundRobin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for AssignRegionsRoundRobin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AssignRegionsContiguous */
    if ( strcmp ( argv[2], "AssignRegionsContiguous" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AssignRegionsContiguous" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AssignRegionsContiguous */
    Tcl_DStringAppendElement ( &dString, "    Let the PKdTree class assign a process to each region\n    by assigning contiguous sets of spatial regions to each\n    process.  The set of regions assigned to each process will\n    always have a union that is a convex space (a box).\n    If the k-d tree has not yet been built, the regions\n    will be assigned after BuildLocator executes.\n" );
    Tcl_DStringAppendElement ( &dString, "int AssignRegionsContiguous ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for AssignRegionsContiguous */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRegionAssignmentList */
    if ( strcmp ( argv[2], "GetRegionAssignmentList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRegionAssignmentList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIntArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRegionAssignmentList */
    Tcl_DStringAppendElement ( &dString, "    Writes the list of region IDs assigned to the specified\n    process.  Regions IDs start at 0 and increase by 1 from there.\n    Returns the number of regions in the list. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetRegionAssignmentList (int procId, vtkIntArray *list);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetRegionAssignmentList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllProcessesBorderingOnPoint */
    if ( strcmp ( argv[2], "GetAllProcessesBorderingOnPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllProcessesBorderingOnPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkIntArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllProcessesBorderingOnPoint */
    Tcl_DStringAppendElement ( &dString, "    The k-d tree spatial regions have been assigned to processes.\n    Given a point on the boundary of one of the regions, this\n    method creates a list of all processes whose region\n    boundaries include that point.  This may be required when\n    looking for processes that have cells adjacent to the cells\n    of a given process.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetAllProcessesBorderingOnPoint (float x, float y, float z, vtkIntArray *list);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetAllProcessesBorderingOnPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProcessAssignedToRegion */
    if ( strcmp ( argv[2], "GetProcessAssignedToRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessAssignedToRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessAssignedToRegion */
    Tcl_DStringAppendElement ( &dString, "    Returns the ID of the process assigned to the region.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProcessAssignedToRegion (int regionId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetProcessAssignedToRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasData */
    if ( strcmp ( argv[2], "HasData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasData */
    Tcl_DStringAppendElement ( &dString, "   Returns 1 if the process has data for the given region,\n   0 otherwise. \n" );
    Tcl_DStringAppendElement ( &dString, "int HasData (int processId, int regionId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for HasData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProcessCellCountForRegion */
    if ( strcmp ( argv[2], "GetProcessCellCountForRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessCellCountForRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessCellCountForRegion */
    Tcl_DStringAppendElement ( &dString, "   Returns the number of cells the specified process has in the\n   specified region.  \n" );
    Tcl_DStringAppendElement ( &dString, "int GetProcessCellCountForRegion (int processId, int regionId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetProcessCellCountForRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalProcessesInRegion */
    if ( strcmp ( argv[2], "GetTotalProcessesInRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalProcessesInRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalProcessesInRegion */
    Tcl_DStringAppendElement ( &dString, "   Returns the total number of processes that have data\n   falling within this spatial region. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetTotalProcessesInRegion (int regionId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetTotalProcessesInRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProcessListForRegion */
    if ( strcmp ( argv[2], "GetProcessListForRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessListForRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIntArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessListForRegion */
    Tcl_DStringAppendElement ( &dString, "   Adds the list of processes having data for the given\n   region to the supplied list, returns the number of\n   processes added.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProcessListForRegion (int regionId, vtkIntArray *processes);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetProcessListForRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalRegionsForProcess */
    if ( strcmp ( argv[2], "GetTotalRegionsForProcess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalRegionsForProcess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalRegionsForProcess */
    Tcl_DStringAppendElement ( &dString, "   Returns the total number of spatial regions that a given\n   process has data for. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetTotalRegionsForProcess (int processId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetTotalRegionsForProcess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRegionListForProcess */
    if ( strcmp ( argv[2], "GetRegionListForProcess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRegionListForProcess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIntArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRegionListForProcess */
    Tcl_DStringAppendElement ( &dString, "   Adds the region IDs for which this process has data to\n   the supplied vtkIntArray.  Retruns the number of regions.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRegionListForProcess (int processId, vtkIntArray *regions);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetRegionListForProcess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellListsForProcessRegions */
    if ( strcmp ( argv[2], "GetCellListsForProcessRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellListsForProcessRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellListsForProcessRegions */
    Tcl_DStringAppendElement ( &dString, "   After regions have been assigned to processes, I may want to know\n   which cells I have that are in the regions assigned to a particular\n   process.\n\n   This method takes a process ID and two vtkIdLists.  It\n   writes to the first list the IDs of the cells\n   contained in the process' regions.  (That is, their cell\n   centroid is contained in the region.)  To the second list it\n   write the IDs of the cells which intersect the process' regions \n   but whose cell  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellListsForProcessRegions (int ProcessId, int set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetCellListsForProcessRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellListsForProcessRegions */
    if ( strcmp ( argv[2], "GetCellListsForProcessRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellListsForProcessRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellListsForProcessRegions */
    Tcl_DStringAppendElement ( &dString, "   After regions have been assigned to processes, I may want to know\n   which cells I have that are in the regions assigned to a particular\n   process.\n\n   This method takes a process ID and two vtkIdLists.  It\n   writes to the first list the IDs of the cells\n   contained in the process' regions.  (That is, their cell\n   centroid is contained in the region.)  To the second list it\n   write the IDs of the cells which intersect the process' regions \n   but whose cell  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellListsForProcessRegions (int ProcessId, vtkDataSet *set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetCellListsForProcessRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellListsForProcessRegions */
    if ( strcmp ( argv[2], "GetCellListsForProcessRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellListsForProcessRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellListsForProcessRegions */
    Tcl_DStringAppendElement ( &dString, "   After regions have been assigned to processes, I may want to know\n   which cells I have that are in the regions assigned to a particular\n   process.\n\n   This method takes a process ID and two vtkIdLists.  It\n   writes to the first list the IDs of the cells\n   contained in the process' regions.  (That is, their cell\n   centroid is contained in the region.)  To the second list it\n   write the IDs of the cells which intersect the process' regions \n   but whose cell  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellListsForProcessRegions (int ProcessId, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKdTree" );
    /* Closing for GetCellListsForProcessRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkKdTreeCppCommand(static_cast<vtkKdTree *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
