// python wrapper for vtkPOutlineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPOutlineFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPOutlineFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPOutlineFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkPOutlineFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOutlineFilter *op;

  const char    *temp20;
  op = (vtkPOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOutlineFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPOutlineFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOutlineFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOutlineFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPOutlineFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOutlineFilter *op;

  vtkPOutlineFilter  *temp20;
  op = (vtkPOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOutlineFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPOutlineFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPOutlineFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPOutlineFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPOutlineFilter_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOutlineFilter *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPOutlineFilter::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPOutlineFilter_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOutlineFilter *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOutlineFilter::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPOutlineFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPOutlineFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPOutlineFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPOutlineFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPOutlineFilter\nC++: vtkPOutlineFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPOutlineFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPOutlineFilter\nC++: vtkPOutlineFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPOutlineFilter_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Set and get the controller.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPOutlineFilter_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Set and get the controller.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPOutlineFilterDoc[] = {
  (char*)"vtkPOutlineFilter - create wireframe outline for arbitrary data set\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkPOutlineFilter works like vtkOutlineFilter, but it looks for data\n partitions in other processes.  It assumes the filter is operated\n in a data parallel pipeline.\n\n",
  NULL
};

static vtkObjectBase *vtkPOutlineFilterStaticNew()
{
  return vtkPOutlineFilter::New();
}

PyObject *PyVTKClass_vtkPOutlineFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPOutlineFilterStaticNew,
                        PyvtkPOutlineFilterMethods,
                        (char*)"vtkPOutlineFilter",modulename,
                        (char**)vtkPOutlineFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

