// python wrapper for vtkPProbeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPProbeFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPProbeFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPProbeFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositeDataProbeFilterNew(char *); }

static PyObject *PyvtkPProbeFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPProbeFilter *op;

  const char    *temp20;
  op = (vtkPProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPProbeFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPProbeFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPProbeFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPProbeFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPProbeFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPProbeFilter *op;

  vtkPProbeFilter  *temp20;
  op = (vtkPProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPProbeFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPProbeFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPProbeFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPProbeFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPProbeFilter_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPProbeFilter *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPProbeFilter::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPProbeFilter_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPProbeFilter *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPProbeFilter::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPProbeFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPProbeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPProbeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPProbeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPProbeFilter\nC++: vtkPProbeFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPProbeFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPProbeFilter\nC++: vtkPProbeFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPProbeFilter_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Set and get the controller.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPProbeFilter_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Set and get the controller.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPProbeFilterDoc[] = {
  (char*)"vtkPProbeFilter - probe dataset in parallel\n\n",
  "Super Class:\n\n vtkCompositeDataProbeFilter\n\n",
  NULL
};

static vtkObjectBase *vtkPProbeFilterStaticNew()
{
  return vtkPProbeFilter::New();
}

PyObject *PyVTKClass_vtkPProbeFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPProbeFilterStaticNew,
                        PyvtkPProbeFilterMethods,
                        (char*)"vtkPProbeFilter",modulename,
                        (char**)vtkPProbeFilterDoc,
                        PyVTKClass_vtkCompositeDataProbeFilterNew(modulename));
}

