// python wrapper for vtkPSphereSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPSphereSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPSphereSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPSphereSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSphereSourceNew(char *); }

static PyObject *PyvtkPSphereSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPSphereSource *op;

  const char    *temp20;
  op = (vtkPSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPSphereSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPSphereSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPSphereSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkPSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPSphereSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPSphereSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPSphereSource *op;

  vtkPSphereSource  *temp20;
  op = (vtkPSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPSphereSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPSphereSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPSphereSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPSphereSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPSphereSource_GetEstimatedMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPSphereSource *op;

  unsigned long     temp20;
  op = (vtkPSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPSphereSource::GetEstimatedMemorySize();
      }
    else
      {
      temp20 = op->GetEstimatedMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPSphereSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPSphereSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPSphereSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPSphereSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPSphereSource\nC++: vtkPSphereSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPSphereSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPSphereSource\nC++: vtkPSphereSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetEstimatedMemorySize",                (PyCFunction)PyvtkPSphereSource_GetEstimatedMemorySize, 1,
   (char*)"V.GetEstimatedMemorySize() -> int\nC++: unsigned long GetEstimatedMemorySize ();\n\n Get the estimated memory size in 1024 bytes\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPSphereSourceDoc[] = {
  (char*)"vtkPSphereSource - sphere source that supports pieces\n\n",
  "Super Class:\n\n vtkSphereSource\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkPSphereSourceStaticNew()
{
  return vtkPSphereSource::New();
}

PyObject *PyVTKClass_vtkPSphereSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkPSphereSourceStaticNew,
                        PyvtkPSphereSourceMethods,
                        (char*)"vtkPSphereSource",modulename,
                        (char**)vtkPSphereSourceDoc,
                        PyVTKClass_vtkSphereSourceNew(modulename));
}

