// python wrapper for vtkParallelFactory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkParallelFactory.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParallelFactoryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParallelFactoryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectFactoryNew(char *); }

static PyObject *PyvtkParallelFactory_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelFactory *op;

  const char    *temp20;
  op = (vtkParallelFactory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelFactory::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelFactory_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelFactory *op;

  char    *temp0;
  int      temp20;
  op = (vtkParallelFactory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelFactory::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelFactory_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelFactory *op;

  vtkParallelFactory  *temp20;
  op = (vtkParallelFactory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelFactory::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelFactory_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParallelFactory  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParallelFactory::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParallelFactory_GetVTKSourceVersion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelFactory *op;

  const char    *temp20;
  op = (vtkParallelFactory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelFactory::GetVTKSourceVersion();
      }
    else
      {
      temp20 = op->GetVTKSourceVersion();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelFactory_GetDescription(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelFactory *op;

  const char    *temp20;
  op = (vtkParallelFactory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelFactory::GetDescription();
      }
    else
      {
      temp20 = op->GetDescription();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParallelFactoryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParallelFactory_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParallelFactory_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParallelFactory_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParallelFactory\nC++: vtkParallelFactory *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParallelFactory_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParallelFactory\nC++: vtkParallelFactory *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetVTKSourceVersion",                (PyCFunction)PyvtkParallelFactory_GetVTKSourceVersion, 1,
   (char*)"V.GetVTKSourceVersion() -> string\nC++: virtual const char *GetVTKSourceVersion ();\n\n"},
  {(char*)"GetDescription",                (PyCFunction)PyvtkParallelFactory_GetDescription, 1,
   (char*)"V.GetDescription() -> string\nC++: virtual const char *GetDescription ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParallelFactoryDoc[] = {
  (char*)"vtkParallelFactory - \n\n",
  "Super Class:\n\n vtkObjectFactory\n\n",
  NULL
};

static vtkObjectBase *vtkParallelFactoryStaticNew()
{
  return vtkParallelFactory::New();
}

PyObject *PyVTKClass_vtkParallelFactoryNew(char *modulename)
{
  return PyVTKClass_New(&vtkParallelFactoryStaticNew,
                        PyvtkParallelFactoryMethods,
                        (char*)"vtkParallelFactory",modulename,
                        (char**)vtkParallelFactoryDoc,
                        PyVTKClass_vtkObjectFactoryNew(modulename));
}

