// tcl wrapper for vtkParallelRenderManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelRenderManager.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParallelRenderManagerCppCommand(vtkParallelRenderManager *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParallelRenderManagerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParallelRenderManagerCppCommand(static_cast<vtkParallelRenderManager *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParallelRenderManagerCppCommand(vtkParallelRenderManager *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParallelRenderManager",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParallelRenderManager  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelRenderManager");
    return TCL_OK;
    }
  if ((!strcmp("MakeRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->MakeRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("MakeRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->MakeRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitializePieces",argv[1]))&&(argc == 2))
    {
    op->InitializePieces();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializeOffScreen",argv[1]))&&(argc == 2))
    {
    op->InitializeOffScreen();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartInteractor",argv[1]))&&(argc == 2))
    {
    op->StartInteractor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartServices",argv[1]))&&(argc == 2))
    {
    op->StartServices();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StopServices",argv[1]))&&(argc == 2))
    {
    op->StopServices();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartRender",argv[1]))&&(argc == 2))
    {
    op->StartRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndRender",argv[1]))&&(argc == 2))
    {
    op->EndRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SatelliteStartRender",argv[1]))&&(argc == 2))
    {
    op->SatelliteStartRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SatelliteEndRender",argv[1]))&&(argc == 2))
    {
    op->SatelliteEndRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderRMI",argv[1]))&&(argc == 2))
    {
    op->RenderRMI();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->ResetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetCameraClippingRange",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->ResetCameraClippingRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeVisiblePropBoundsRMI",argv[1]))&&(argc == 2))
    {
    op->ComputeVisiblePropBoundsRMI();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializeRMIs",argv[1]))&&(argc == 2))
    {
    op->InitializeRMIs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetAllCameras",argv[1]))&&(argc == 2))
    {
    op->ResetAllCameras();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetParallelRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParallelRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParallelRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParallelRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParallelRenderingOn",argv[1]))&&(argc == 2))
    {
    op->ParallelRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParallelRenderingOff",argv[1]))&&(argc == 2))
    {
    op->ParallelRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderEventPropagation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRenderEventPropagation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderEventPropagation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderEventPropagation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderEventPropagationOn",argv[1]))&&(argc == 2))
    {
    op->RenderEventPropagationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderEventPropagationOff",argv[1]))&&(argc == 2))
    {
    op->RenderEventPropagationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseCompositing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseCompositing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseCompositing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseCompositing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseCompositingOn",argv[1]))&&(argc == 2))
    {
    op->UseCompositingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseCompositingOff",argv[1]))&&(argc == 2))
    {
    op->UseCompositingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetImageReductionFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetImageReductionFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageReductionFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetImageReductionFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxImageReductionFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaxImageReductionFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxImageReductionFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaxImageReductionFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImageReductionFactorForUpdateRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetImageReductionFactorForUpdateRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAutoImageReductionFactor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoImageReductionFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoImageReductionFactor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoImageReductionFactor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoImageReductionFactorOn",argv[1]))&&(argc == 2))
    {
    op->AutoImageReductionFactorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoImageReductionFactorOff",argv[1]))&&(argc == 2))
    {
    op->AutoImageReductionFactorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRenderTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageProcessingTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetImageProcessingTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSyncRenderWindowRenderers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSyncRenderWindowRenderers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSyncRenderWindowRenderers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSyncRenderWindowRenderers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SyncRenderWindowRenderersOn",argv[1]))&&(argc == 2))
    {
    op->SyncRenderWindowRenderersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SyncRenderWindowRenderersOff",argv[1]))&&(argc == 2))
    {
    op->SyncRenderWindowRenderersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->AddRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->RemoveRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllRenderers",argv[1]))&&(argc == 2))
    {
    op->RemoveAllRenderers();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWriteBackImages",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWriteBackImages(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteBackImages",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWriteBackImages();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteBackImagesOn",argv[1]))&&(argc == 2))
    {
    op->WriteBackImagesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteBackImagesOff",argv[1]))&&(argc == 2))
    {
    op->WriteBackImagesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMagnifyImages",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMagnifyImages(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMagnifyImages",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnifyImages();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MagnifyImagesOn",argv[1]))&&(argc == 2))
    {
    op->MagnifyImagesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MagnifyImagesOff",argv[1]))&&(argc == 2))
    {
    op->MagnifyImagesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMagnifyImageMethod",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMagnifyImageMethod(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMagnifyImageMethod",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnifyImageMethod();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMagnifyImageMethodToNearest",argv[1]))&&(argc == 2))
    {
    op->SetMagnifyImageMethodToNearest();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMagnifyImageMethodToLinear",argv[1]))&&(argc == 2))
    {
    op->SetMagnifyImageMethodToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPixelData",argv[1]))&&(argc == 3))
    {
    vtkUnsignedCharArray  *temp0;
    error = 0;

    temp0 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    op->GetPixelData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPixelData",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    op->GetPixelData(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReducedPixelData",argv[1]))&&(argc == 3))
    {
    vtkUnsignedCharArray  *temp0;
    error = 0;

    temp0 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    op->GetReducedPixelData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReducedPixelData",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    op->GetReducedPixelData(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFullImageSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetFullImageSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetReducedImageSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetReducedImageSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("TileWindows",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->TileWindows(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseRGBA",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseRGBA(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseRGBA",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseRGBA();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetForceRenderWindowSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetForceRenderWindowSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetForceRenderWindowSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetForceRenderWindowSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetForcedRenderWindowSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetForcedRenderWindowSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetForcedRenderWindowSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetForcedRenderWindowSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetForcedRenderWindowSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetForcedRenderWindowSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("StartService",argv[1]))&&(argc == 2))
    {
    op->StartService();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#endif
  if ((!strcmp("SetUseBackBuffer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseBackBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseBackBuffer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseBackBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseBackBufferOn",argv[1]))&&(argc == 2))
    {
    op->UseBackBufferOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseBackBufferOff",argv[1]))&&(argc == 2))
    {
    op->UseBackBufferOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSynchronizeTileProperties",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSynchronizeTileProperties(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSynchronizeTileProperties",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSynchronizeTileProperties();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SynchronizeTilePropertiesOn",argv[1]))&&(argc == 2))
    {
    op->SynchronizeTilePropertiesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SynchronizeTilePropertiesOff",argv[1]))&&(argc == 2))
    {
    op->SynchronizeTilePropertiesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkParallelRenderManagerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParallelRenderManager:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  MakeRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  MakeRenderer\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitializePieces\n",NULL);
    Tcl_AppendResult(interp,"  InitializeOffScreen\n",NULL);
    Tcl_AppendResult(interp,"  StartInteractor\n",NULL);
    Tcl_AppendResult(interp,"  StartServices\n",NULL);
    Tcl_AppendResult(interp,"  StopServices\n",NULL);
    Tcl_AppendResult(interp,"  StartRender\n",NULL);
    Tcl_AppendResult(interp,"  EndRender\n",NULL);
    Tcl_AppendResult(interp,"  SatelliteStartRender\n",NULL);
    Tcl_AppendResult(interp,"  SatelliteEndRender\n",NULL);
    Tcl_AppendResult(interp,"  RenderRMI\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResetCameraClippingRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVisiblePropBoundsRMI\n",NULL);
    Tcl_AppendResult(interp,"  InitializeRMIs\n",NULL);
    Tcl_AppendResult(interp,"  ResetAllCameras\n",NULL);
    Tcl_AppendResult(interp,"  SetParallelRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelRendering\n",NULL);
    Tcl_AppendResult(interp,"  ParallelRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  ParallelRenderingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderEventPropagation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderEventPropagation\n",NULL);
    Tcl_AppendResult(interp,"  RenderEventPropagationOn\n",NULL);
    Tcl_AppendResult(interp,"  RenderEventPropagationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseCompositing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseCompositing\n",NULL);
    Tcl_AppendResult(interp,"  UseCompositingOn\n",NULL);
    Tcl_AppendResult(interp,"  UseCompositingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetImageReductionFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageReductionFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxImageReductionFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxImageReductionFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetImageReductionFactorForUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoImageReductionFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoImageReductionFactor\n",NULL);
    Tcl_AppendResult(interp,"  AutoImageReductionFactorOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoImageReductionFactorOff\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderTime\n",NULL);
    Tcl_AppendResult(interp,"  GetImageProcessingTime\n",NULL);
    Tcl_AppendResult(interp,"  GetSyncRenderWindowRenderers\n",NULL);
    Tcl_AppendResult(interp,"  SetSyncRenderWindowRenderers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SyncRenderWindowRenderersOn\n",NULL);
    Tcl_AppendResult(interp,"  SyncRenderWindowRenderersOff\n",NULL);
    Tcl_AppendResult(interp,"  AddRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllRenderers\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteBackImages\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteBackImages\n",NULL);
    Tcl_AppendResult(interp,"  WriteBackImagesOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteBackImagesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnifyImages\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnifyImages\n",NULL);
    Tcl_AppendResult(interp,"  MagnifyImagesOn\n",NULL);
    Tcl_AppendResult(interp,"  MagnifyImagesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnifyImageMethod\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnifyImageMethod\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnifyImageMethodToNearest\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnifyImageMethodToLinear\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelData\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetReducedPixelData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReducedPixelData\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFullImageSize\n",NULL);
    Tcl_AppendResult(interp,"  GetReducedImageSize\n",NULL);
    Tcl_AppendResult(interp,"  TileWindows\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUseRGBA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseRGBA\n",NULL);
    Tcl_AppendResult(interp,"  SetForceRenderWindowSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetForceRenderWindowSize\n",NULL);
    Tcl_AppendResult(interp,"  SetForcedRenderWindowSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetForcedRenderWindowSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetForcedRenderWindowSize\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  StartService\n",NULL);
#endif
    Tcl_AppendResult(interp,"  SetUseBackBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseBackBuffer\n",NULL);
    Tcl_AppendResult(interp,"  UseBackBufferOn\n",NULL);
    Tcl_AppendResult(interp,"  UseBackBufferOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSynchronizeTileProperties\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSynchronizeTileProperties\n",NULL);
    Tcl_AppendResult(interp,"  SynchronizeTilePropertiesOn\n",NULL);
    Tcl_AppendResult(interp,"  SynchronizeTilePropertiesOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "MakeRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "MakeRenderer" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "InitializePieces" );
    Tcl_DStringAppendElement ( &dString, "InitializeOffScreen" );
    Tcl_DStringAppendElement ( &dString, "StartInteractor" );
    Tcl_DStringAppendElement ( &dString, "StartServices" );
    Tcl_DStringAppendElement ( &dString, "StopServices" );
    Tcl_DStringAppendElement ( &dString, "StartRender" );
    Tcl_DStringAppendElement ( &dString, "EndRender" );
    Tcl_DStringAppendElement ( &dString, "SatelliteStartRender" );
    Tcl_DStringAppendElement ( &dString, "SatelliteEndRender" );
    Tcl_DStringAppendElement ( &dString, "RenderRMI" );
    Tcl_DStringAppendElement ( &dString, "ResetCamera" );
    Tcl_DStringAppendElement ( &dString, "ResetCameraClippingRange" );
    Tcl_DStringAppendElement ( &dString, "ComputeVisiblePropBoundsRMI" );
    Tcl_DStringAppendElement ( &dString, "InitializeRMIs" );
    Tcl_DStringAppendElement ( &dString, "ResetAllCameras" );
    Tcl_DStringAppendElement ( &dString, "SetParallelRendering" );
    Tcl_DStringAppendElement ( &dString, "GetParallelRendering" );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOn" );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOff" );
    Tcl_DStringAppendElement ( &dString, "SetRenderEventPropagation" );
    Tcl_DStringAppendElement ( &dString, "GetRenderEventPropagation" );
    Tcl_DStringAppendElement ( &dString, "RenderEventPropagationOn" );
    Tcl_DStringAppendElement ( &dString, "RenderEventPropagationOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseCompositing" );
    Tcl_DStringAppendElement ( &dString, "GetUseCompositing" );
    Tcl_DStringAppendElement ( &dString, "UseCompositingOn" );
    Tcl_DStringAppendElement ( &dString, "UseCompositingOff" );
    Tcl_DStringAppendElement ( &dString, "SetImageReductionFactor" );
    Tcl_DStringAppendElement ( &dString, "GetImageReductionFactor" );
    Tcl_DStringAppendElement ( &dString, "SetMaxImageReductionFactor" );
    Tcl_DStringAppendElement ( &dString, "GetMaxImageReductionFactor" );
    Tcl_DStringAppendElement ( &dString, "SetImageReductionFactorForUpdateRate" );
    Tcl_DStringAppendElement ( &dString, "SetAutoImageReductionFactor" );
    Tcl_DStringAppendElement ( &dString, "GetAutoImageReductionFactor" );
    Tcl_DStringAppendElement ( &dString, "AutoImageReductionFactorOn" );
    Tcl_DStringAppendElement ( &dString, "AutoImageReductionFactorOff" );
    Tcl_DStringAppendElement ( &dString, "GetRenderTime" );
    Tcl_DStringAppendElement ( &dString, "GetImageProcessingTime" );
    Tcl_DStringAppendElement ( &dString, "GetSyncRenderWindowRenderers" );
    Tcl_DStringAppendElement ( &dString, "SetSyncRenderWindowRenderers" );
    Tcl_DStringAppendElement ( &dString, "SyncRenderWindowRenderersOn" );
    Tcl_DStringAppendElement ( &dString, "SyncRenderWindowRenderersOff" );
    Tcl_DStringAppendElement ( &dString, "AddRenderer" );
    Tcl_DStringAppendElement ( &dString, "RemoveRenderer" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllRenderers" );
    Tcl_DStringAppendElement ( &dString, "SetWriteBackImages" );
    Tcl_DStringAppendElement ( &dString, "GetWriteBackImages" );
    Tcl_DStringAppendElement ( &dString, "WriteBackImagesOn" );
    Tcl_DStringAppendElement ( &dString, "WriteBackImagesOff" );
    Tcl_DStringAppendElement ( &dString, "SetMagnifyImages" );
    Tcl_DStringAppendElement ( &dString, "GetMagnifyImages" );
    Tcl_DStringAppendElement ( &dString, "MagnifyImagesOn" );
    Tcl_DStringAppendElement ( &dString, "MagnifyImagesOff" );
    Tcl_DStringAppendElement ( &dString, "SetMagnifyImageMethod" );
    Tcl_DStringAppendElement ( &dString, "GetMagnifyImageMethod" );
    Tcl_DStringAppendElement ( &dString, "SetMagnifyImageMethodToNearest" );
    Tcl_DStringAppendElement ( &dString, "SetMagnifyImageMethodToLinear" );
    Tcl_DStringAppendElement ( &dString, "GetPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetReducedPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetReducedPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetFullImageSize" );
    Tcl_DStringAppendElement ( &dString, "GetReducedImageSize" );
    Tcl_DStringAppendElement ( &dString, "TileWindows" );
    Tcl_DStringAppendElement ( &dString, "SetUseRGBA" );
    Tcl_DStringAppendElement ( &dString, "GetUseRGBA" );
    Tcl_DStringAppendElement ( &dString, "SetForceRenderWindowSize" );
    Tcl_DStringAppendElement ( &dString, "GetForceRenderWindowSize" );
    Tcl_DStringAppendElement ( &dString, "SetForcedRenderWindowSize" );
    Tcl_DStringAppendElement ( &dString, "SetForcedRenderWindowSize" );
    Tcl_DStringAppendElement ( &dString, "GetForcedRenderWindowSize" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "StartService" );
#endif
    Tcl_DStringAppendElement ( &dString, "SetUseBackBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetUseBackBuffer" );
    Tcl_DStringAppendElement ( &dString, "UseBackBufferOn" );
    Tcl_DStringAppendElement ( &dString, "UseBackBufferOff" );
    Tcl_DStringAppendElement ( &dString, "SetSynchronizeTileProperties" );
    Tcl_DStringAppendElement ( &dString, "GetSynchronizeTileProperties" );
    Tcl_DStringAppendElement ( &dString, "SynchronizeTilePropertiesOn" );
    Tcl_DStringAppendElement ( &dString, "SynchronizeTilePropertiesOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeRenderWindow */
    if ( strcmp ( argv[2], "MakeRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Builds a vtkRenderWindow compatible with this render manager.  The\n user program is responsible for registering the render window with the\n SetRenderWindow method and calling Delete.  It is not advisable to use\n a parallel render manager with a render window that was not built with\n this method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkRenderWindow *MakeRenderWindow ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for MakeRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeRenderer */
    if ( strcmp ( argv[2], "MakeRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeRenderer */
    Tcl_DStringAppendElement ( &dString, " Builds a vtkRenderer compatible with this render manager.  (Should we\n also register it?)  The user program is responsible for calling\n Delete.  It is not advisable to use a parallel render manager with a\n renderer that was not built with this method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkRenderer *MakeRenderer ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for MakeRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the RenderWindow to use for compositing.\n We add a start and end observer to the window.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetRenderWindow ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderWindow */
    if ( strcmp ( argv[2], "SetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the RenderWindow to use for compositing.\n We add a start and end observer to the window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderWindow (vtkRenderWindow *renWin);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vtkMultiProcessController which will handle communications\n for the parallel rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *GetController ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vtkMultiProcessController which will handle communications\n for the parallel rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetController (vtkMultiProcessController *controller);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializePieces */
    if ( strcmp ( argv[2], "InitializePieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializePieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializePieces */
    Tcl_DStringAppendElement ( &dString, " This method sets the piece and number of pieces for each\n actor with a polydata mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitializePieces ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for InitializePieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeOffScreen */
    if ( strcmp ( argv[2], "InitializeOffScreen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeOffScreen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeOffScreen */
    Tcl_DStringAppendElement ( &dString, " Make all rendering windows not viewable set as off screen rendering.\n To make all renderwindows on screen rendering again, call\n OffScreenRenderingOff on all the render windows.  This class assumes\n the window on root node is the only one viewable.  Subclasses should\n change this as necessary.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitializeOffScreen ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for InitializeOffScreen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartInteractor */
    if ( strcmp ( argv[2], "StartInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartInteractor */
    Tcl_DStringAppendElement ( &dString, " Initializes the RMIs and then, if on root node, starts the interactor\n on the attached render window.  Otherwise, starts processing RMIs.\n When the interactor returns, it breaks the RMI listening on all other\n processors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartInteractor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for StartInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartServices */
    if ( strcmp ( argv[2], "StartServices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartServices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartServices */
    Tcl_DStringAppendElement ( &dString, " If on node other than root, starts serving RMI requests for parallel\n renders.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartServices ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for StartServices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StopServices */
    if ( strcmp ( argv[2], "StopServices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StopServices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StopServices */
    Tcl_DStringAppendElement ( &dString, " If on root node, stops the RMI processing on all service nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StopServices ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for StopServices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartRender */
    if ( strcmp ( argv[2], "StartRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartRender */
    Tcl_DStringAppendElement ( &dString, " Callbacks that initialize and finish rendering and other tasks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartRender ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for StartRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndRender */
    if ( strcmp ( argv[2], "EndRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndRender */
    Tcl_DStringAppendElement ( &dString, " Callbacks that initialize and finish rendering and other tasks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndRender ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for EndRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SatelliteStartRender */
    if ( strcmp ( argv[2], "SatelliteStartRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SatelliteStartRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SatelliteStartRender */
    Tcl_DStringAppendElement ( &dString, " Callbacks that initialize and finish rendering and other tasks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SatelliteStartRender ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SatelliteStartRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SatelliteEndRender */
    if ( strcmp ( argv[2], "SatelliteEndRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SatelliteEndRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SatelliteEndRender */
    Tcl_DStringAppendElement ( &dString, " Callbacks that initialize and finish rendering and other tasks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SatelliteEndRender ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SatelliteEndRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderRMI */
    if ( strcmp ( argv[2], "RenderRMI" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderRMI" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderRMI */
    Tcl_DStringAppendElement ( &dString, " Callbacks that initialize and finish rendering and other tasks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RenderRMI ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for RenderRMI */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetCamera */
    if ( strcmp ( argv[2], "ResetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetCamera */
    Tcl_DStringAppendElement ( &dString, " Callbacks that initialize and finish rendering and other tasks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ResetCamera (vtkRenderer *ren);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for ResetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetCameraClippingRange */
    if ( strcmp ( argv[2], "ResetCameraClippingRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetCameraClippingRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetCameraClippingRange */
    Tcl_DStringAppendElement ( &dString, " Callbacks that initialize and finish rendering and other tasks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ResetCameraClippingRange (vtkRenderer *ren);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for ResetCameraClippingRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeVisiblePropBoundsRMI */
    if ( strcmp ( argv[2], "ComputeVisiblePropBoundsRMI" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeVisiblePropBoundsRMI" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeVisiblePropBoundsRMI */
    Tcl_DStringAppendElement ( &dString, " Callbacks that initialize and finish rendering and other tasks.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeVisiblePropBoundsRMI ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for ComputeVisiblePropBoundsRMI */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeRMIs */
    if ( strcmp ( argv[2], "InitializeRMIs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeRMIs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeRMIs */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitializeRMIs ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for InitializeRMIs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetAllCameras */
    if ( strcmp ( argv[2], "ResetAllCameras" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetAllCameras" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetAllCameras */
    Tcl_DStringAppendElement ( &dString, " Resets the camera of each renderer contained in the RenderWindow.\n Should only be called in the \"root\" process, and all remote processes\n must be processing RMIs for this method to complete.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ResetAllCameras ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for ResetAllCameras */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParallelRendering */
    if ( strcmp ( argv[2], "SetParallelRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParallelRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParallelRendering */
    Tcl_DStringAppendElement ( &dString, " Turns on/off parallel rendering.  When on (the default) the object\n responds to render events of the attached window, propagates the\n render event to other processors, and otherwise enables the parallel\n rendering process.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParallelRendering (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetParallelRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParallelRendering */
    if ( strcmp ( argv[2], "GetParallelRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParallelRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParallelRendering */
    Tcl_DStringAppendElement ( &dString, " Turns on/off parallel rendering.  When on (the default) the object\n responds to render events of the attached window, propagates the\n render event to other processors, and otherwise enables the parallel\n rendering process.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetParallelRendering ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetParallelRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParallelRenderingOn */
    if ( strcmp ( argv[2], "ParallelRenderingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParallelRenderingOn */
    Tcl_DStringAppendElement ( &dString, " Turns on/off parallel rendering.  When on (the default) the object\n responds to render events of the attached window, propagates the\n render event to other processors, and otherwise enables the parallel\n rendering process.\n" );
    Tcl_DStringAppendElement ( &dString, "void ParallelRenderingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for ParallelRenderingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParallelRenderingOff */
    if ( strcmp ( argv[2], "ParallelRenderingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParallelRenderingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParallelRenderingOff */
    Tcl_DStringAppendElement ( &dString, " Turns on/off parallel rendering.  When on (the default) the object\n responds to render events of the attached window, propagates the\n render event to other processors, and otherwise enables the parallel\n rendering process.\n" );
    Tcl_DStringAppendElement ( &dString, "void ParallelRenderingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for ParallelRenderingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderEventPropagation */
    if ( strcmp ( argv[2], "SetRenderEventPropagation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderEventPropagation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderEventPropagation */
    Tcl_DStringAppendElement ( &dString, " Turns on/off render event propagation.  When on (the default) and\n ParallelRendering is on, process 0 will send an RMI call to all remote\n processes to perform a synchronized render.  When off, render must be\n manually called on each process.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderEventPropagation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetRenderEventPropagation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderEventPropagation */
    if ( strcmp ( argv[2], "GetRenderEventPropagation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderEventPropagation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderEventPropagation */
    Tcl_DStringAppendElement ( &dString, " Turns on/off render event propagation.  When on (the default) and\n ParallelRendering is on, process 0 will send an RMI call to all remote\n processes to perform a synchronized render.  When off, render must be\n manually called on each process.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRenderEventPropagation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetRenderEventPropagation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderEventPropagationOn */
    if ( strcmp ( argv[2], "RenderEventPropagationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderEventPropagationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderEventPropagationOn */
    Tcl_DStringAppendElement ( &dString, " Turns on/off render event propagation.  When on (the default) and\n ParallelRendering is on, process 0 will send an RMI call to all remote\n processes to perform a synchronized render.  When off, render must be\n manually called on each process.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderEventPropagationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for RenderEventPropagationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderEventPropagationOff */
    if ( strcmp ( argv[2], "RenderEventPropagationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderEventPropagationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderEventPropagationOff */
    Tcl_DStringAppendElement ( &dString, " Turns on/off render event propagation.  When on (the default) and\n ParallelRendering is on, process 0 will send an RMI call to all remote\n processes to perform a synchronized render.  When off, render must be\n manually called on each process.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderEventPropagationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for RenderEventPropagationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseCompositing */
    if ( strcmp ( argv[2], "SetUseCompositing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseCompositing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseCompositing */
    Tcl_DStringAppendElement ( &dString, " This is used for tiled display rendering.  When data has been\n duplicated on all processes, then we do not need to compositing.\n Cameras and renders are still propagated though.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseCompositing (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetUseCompositing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseCompositing */
    if ( strcmp ( argv[2], "GetUseCompositing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseCompositing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseCompositing */
    Tcl_DStringAppendElement ( &dString, " This is used for tiled display rendering.  When data has been\n duplicated on all processes, then we do not need to compositing.\n Cameras and renders are still propagated though.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseCompositing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetUseCompositing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseCompositingOn */
    if ( strcmp ( argv[2], "UseCompositingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseCompositingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseCompositingOn */
    Tcl_DStringAppendElement ( &dString, " This is used for tiled display rendering.  When data has been\n duplicated on all processes, then we do not need to compositing.\n Cameras and renders are still propagated though.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseCompositingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for UseCompositingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseCompositingOff */
    if ( strcmp ( argv[2], "UseCompositingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseCompositingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseCompositingOff */
    Tcl_DStringAppendElement ( &dString, " This is used for tiled display rendering.  When data has been\n duplicated on all processes, then we do not need to compositing.\n Cameras and renders are still propagated though.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseCompositingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for UseCompositingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageReductionFactor */
    if ( strcmp ( argv[2], "SetImageReductionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageReductionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageReductionFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the reduction factor (for sort-last based parallel renderers).\n The size of rendered image is divided by the reduction factor and then\n is blown up to the size of the current vtkRenderWindow.  Setting\n higher reduction factors enables shorter image transfer times (which\n is often the bottleneck) but will greatly reduce image quality.  A\n reduction factor of 2 or greater should only be used for intermediate\n images in interactive applications.  A reduction fact ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetImageReductionFactor (double factor);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetImageReductionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageReductionFactor */
    if ( strcmp ( argv[2], "GetImageReductionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageReductionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageReductionFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the reduction factor (for sort-last based parallel renderers).\n The size of rendered image is divided by the reduction factor and then\n is blown up to the size of the current vtkRenderWindow.  Setting\n higher reduction factors enables shorter image transfer times (which\n is often the bottleneck) but will greatly reduce image quality.  A\n reduction factor of 2 or greater should only be used for intermediate\n images in interactive applications.  A reduction fact ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetImageReductionFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetImageReductionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxImageReductionFactor */
    if ( strcmp ( argv[2], "SetMaxImageReductionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxImageReductionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxImageReductionFactor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxImageReductionFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetMaxImageReductionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxImageReductionFactor */
    if ( strcmp ( argv[2], "GetMaxImageReductionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxImageReductionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxImageReductionFactor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetMaxImageReductionFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetMaxImageReductionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageReductionFactorForUpdateRate */
    if ( strcmp ( argv[2], "SetImageReductionFactorForUpdateRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageReductionFactorForUpdateRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageReductionFactorForUpdateRate */
    Tcl_DStringAppendElement ( &dString, " Sets the ReductionFactor based on the given desired update rate and\n the rendering metrics taken from the last time UpdateServerInfo was\n called.  Note that if AutoReductionFactor is on, this function is called\n with the desired update rate of the render window automatically.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetImageReductionFactorForUpdateRate (double DesiredUpdateRate);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetImageReductionFactorForUpdateRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoImageReductionFactor */
    if ( strcmp ( argv[2], "SetAutoImageReductionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoImageReductionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoImageReductionFactor */
    Tcl_DStringAppendElement ( &dString, " If on, the ReductionFactor is automatically adjusted to best meet the\n the DesiredUpdateRate in the current RenderWindow based on metrics\n from the last render.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoImageReductionFactor (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetAutoImageReductionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoImageReductionFactor */
    if ( strcmp ( argv[2], "GetAutoImageReductionFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoImageReductionFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoImageReductionFactor */
    Tcl_DStringAppendElement ( &dString, " If on, the ReductionFactor is automatically adjusted to best meet the\n the DesiredUpdateRate in the current RenderWindow based on metrics\n from the last render.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoImageReductionFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetAutoImageReductionFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoImageReductionFactorOn */
    if ( strcmp ( argv[2], "AutoImageReductionFactorOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoImageReductionFactorOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoImageReductionFactorOn */
    Tcl_DStringAppendElement ( &dString, " If on, the ReductionFactor is automatically adjusted to best meet the\n the DesiredUpdateRate in the current RenderWindow based on metrics\n from the last render.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoImageReductionFactorOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for AutoImageReductionFactorOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoImageReductionFactorOff */
    if ( strcmp ( argv[2], "AutoImageReductionFactorOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoImageReductionFactorOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoImageReductionFactorOff */
    Tcl_DStringAppendElement ( &dString, " If on, the ReductionFactor is automatically adjusted to best meet the\n the DesiredUpdateRate in the current RenderWindow based on metrics\n from the last render.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoImageReductionFactorOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for AutoImageReductionFactorOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderTime */
    if ( strcmp ( argv[2], "GetRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderTime */
    Tcl_DStringAppendElement ( &dString, " Get rendering metrics.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRenderTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageProcessingTime */
    if ( strcmp ( argv[2], "GetImageProcessingTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageProcessingTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageProcessingTime */
    Tcl_DStringAppendElement ( &dString, " Get rendering metrics.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetImageProcessingTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetImageProcessingTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSyncRenderWindowRenderers */
    if ( strcmp ( argv[2], "GetSyncRenderWindowRenderers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSyncRenderWindowRenderers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSyncRenderWindowRenderers */
    Tcl_DStringAppendElement ( &dString, " By default, the state of all renderers in the root's render window is\n propagated to the rest of the processes.  In order for this to work, all\n render windows must have the same renderers in the same order.  If this is\n not the case, you can turn off the SyncRenderWindowRenderers.  When this\n flag is off, the list of renderers held by this parallel render manager\n (initially empty) is synced.  You can modify the list of renderers with the\n AddRenderer, RemoveRenderer ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSyncRenderWindowRenderers ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetSyncRenderWindowRenderers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSyncRenderWindowRenderers */
    if ( strcmp ( argv[2], "SetSyncRenderWindowRenderers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSyncRenderWindowRenderers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSyncRenderWindowRenderers */
    Tcl_DStringAppendElement ( &dString, " By default, the state of all renderers in the root's render window is\n propagated to the rest of the processes.  In order for this to work, all\n render windows must have the same renderers in the same order.  If this is\n not the case, you can turn off the SyncRenderWindowRenderers.  When this\n flag is off, the list of renderers held by this parallel render manager\n (initially empty) is synced.  You can modify the list of renderers with the\n AddRenderer, RemoveRenderer ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSyncRenderWindowRenderers (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetSyncRenderWindowRenderers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SyncRenderWindowRenderersOn */
    if ( strcmp ( argv[2], "SyncRenderWindowRenderersOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SyncRenderWindowRenderersOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SyncRenderWindowRenderersOn */
    Tcl_DStringAppendElement ( &dString, " By default, the state of all renderers in the root's render window is\n propagated to the rest of the processes.  In order for this to work, all\n render windows must have the same renderers in the same order.  If this is\n not the case, you can turn off the SyncRenderWindowRenderers.  When this\n flag is off, the list of renderers held by this parallel render manager\n (initially empty) is synced.  You can modify the list of renderers with the\n AddRenderer, RemoveRenderer ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SyncRenderWindowRenderersOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SyncRenderWindowRenderersOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SyncRenderWindowRenderersOff */
    if ( strcmp ( argv[2], "SyncRenderWindowRenderersOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SyncRenderWindowRenderersOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SyncRenderWindowRenderersOff */
    Tcl_DStringAppendElement ( &dString, " By default, the state of all renderers in the root's render window is\n propagated to the rest of the processes.  In order for this to work, all\n render windows must have the same renderers in the same order.  If this is\n not the case, you can turn off the SyncRenderWindowRenderers.  When this\n flag is off, the list of renderers held by this parallel render manager\n (initially empty) is synced.  You can modify the list of renderers with the\n AddRenderer, RemoveRenderer ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SyncRenderWindowRenderersOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SyncRenderWindowRenderersOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddRenderer */
    if ( strcmp ( argv[2], "AddRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddRenderer */
    Tcl_DStringAppendElement ( &dString, " By default, the state of all renderers in the root's render window is\n propagated to the rest of the processes.  In order for this to work, all\n render windows must have the same renderers in the same order.  If this is\n not the case, you can turn off the SyncRenderWindowRenderers.  When this\n flag is off, the list of renderers held by this parallel render manager\n (initially empty) is synced.  You can modify the list of renderers with the\n AddRenderer, RemoveRenderer ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddRenderer (vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for AddRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveRenderer */
    if ( strcmp ( argv[2], "RemoveRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveRenderer */
    Tcl_DStringAppendElement ( &dString, " By default, the state of all renderers in the root's render window is\n propagated to the rest of the processes.  In order for this to work, all\n render windows must have the same renderers in the same order.  If this is\n not the case, you can turn off the SyncRenderWindowRenderers.  When this\n flag is off, the list of renderers held by this parallel render manager\n (initially empty) is synced.  You can modify the list of renderers with the\n AddRenderer, RemoveRenderer ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveRenderer (vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for RemoveRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllRenderers */
    if ( strcmp ( argv[2], "RemoveAllRenderers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllRenderers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllRenderers */
    Tcl_DStringAppendElement ( &dString, " By default, the state of all renderers in the root's render window is\n propagated to the rest of the processes.  In order for this to work, all\n render windows must have the same renderers in the same order.  If this is\n not the case, you can turn off the SyncRenderWindowRenderers.  When this\n flag is off, the list of renderers held by this parallel render manager\n (initially empty) is synced.  You can modify the list of renderers with the\n AddRenderer, RemoveRenderer ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllRenderers ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for RemoveAllRenderers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWriteBackImages */
    if ( strcmp ( argv[2], "SetWriteBackImages" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWriteBackImages" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWriteBackImages */
    Tcl_DStringAppendElement ( &dString, " If on (the default), the result of any image space manipulations are\n written back to the render window frame buffer.  If off, the image\n stored in the frame buffer may not be correct.  Either way, the\n correct frame buffer images may be read with\n vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off\n may result in a speedup if the render window is not visible to the user\n and images are read back for further processing or transit.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWriteBackImages (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetWriteBackImages */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWriteBackImages */
    if ( strcmp ( argv[2], "GetWriteBackImages" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWriteBackImages" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWriteBackImages */
    Tcl_DStringAppendElement ( &dString, " If on (the default), the result of any image space manipulations are\n written back to the render window frame buffer.  If off, the image\n stored in the frame buffer may not be correct.  Either way, the\n correct frame buffer images may be read with\n vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off\n may result in a speedup if the render window is not visible to the user\n and images are read back for further processing or transit.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWriteBackImages ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetWriteBackImages */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteBackImagesOn */
    if ( strcmp ( argv[2], "WriteBackImagesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteBackImagesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteBackImagesOn */
    Tcl_DStringAppendElement ( &dString, " If on (the default), the result of any image space manipulations are\n written back to the render window frame buffer.  If off, the image\n stored in the frame buffer may not be correct.  Either way, the\n correct frame buffer images may be read with\n vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off\n may result in a speedup if the render window is not visible to the user\n and images are read back for further processing or transit.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteBackImagesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for WriteBackImagesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteBackImagesOff */
    if ( strcmp ( argv[2], "WriteBackImagesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteBackImagesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteBackImagesOff */
    Tcl_DStringAppendElement ( &dString, " If on (the default), the result of any image space manipulations are\n written back to the render window frame buffer.  If off, the image\n stored in the frame buffer may not be correct.  Either way, the\n correct frame buffer images may be read with\n vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off\n may result in a speedup if the render window is not visible to the user\n and images are read back for further processing or transit.\n" );
    Tcl_DStringAppendElement ( &dString, "void WriteBackImagesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for WriteBackImagesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMagnifyImages */
    if ( strcmp ( argv[2], "SetMagnifyImages" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMagnifyImages" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMagnifyImages */
    Tcl_DStringAppendElement ( &dString, " If on (the default), when the ImageReductionFactor is greater than 1\n and WriteBackImages is on, the image will be magnified to fill the\n entire render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMagnifyImages (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetMagnifyImages */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnifyImages */
    if ( strcmp ( argv[2], "GetMagnifyImages" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnifyImages" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnifyImages */
    Tcl_DStringAppendElement ( &dString, " If on (the default), when the ImageReductionFactor is greater than 1\n and WriteBackImages is on, the image will be magnified to fill the\n entire render window.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnifyImages ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetMagnifyImages */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MagnifyImagesOn */
    if ( strcmp ( argv[2], "MagnifyImagesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MagnifyImagesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MagnifyImagesOn */
    Tcl_DStringAppendElement ( &dString, " If on (the default), when the ImageReductionFactor is greater than 1\n and WriteBackImages is on, the image will be magnified to fill the\n entire render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void MagnifyImagesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for MagnifyImagesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MagnifyImagesOff */
    if ( strcmp ( argv[2], "MagnifyImagesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MagnifyImagesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MagnifyImagesOff */
    Tcl_DStringAppendElement ( &dString, " If on (the default), when the ImageReductionFactor is greater than 1\n and WriteBackImages is on, the image will be magnified to fill the\n entire render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void MagnifyImagesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for MagnifyImagesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMagnifyImageMethod */
    if ( strcmp ( argv[2], "SetMagnifyImageMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMagnifyImageMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMagnifyImageMethod */
    Tcl_DStringAppendElement ( &dString, " Sets the method used to magnify images.  Nearest simply replicates\n each pixel enough times to fill the image.  Linear performs linear\n interpolation between the pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMagnifyImageMethod (int method);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetMagnifyImageMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnifyImageMethod */
    if ( strcmp ( argv[2], "GetMagnifyImageMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnifyImageMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnifyImageMethod */
    Tcl_DStringAppendElement ( &dString, " Sets the method used to magnify images.  Nearest simply replicates\n each pixel enough times to fill the image.  Linear performs linear\n interpolation between the pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnifyImageMethod ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetMagnifyImageMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMagnifyImageMethodToNearest */
    if ( strcmp ( argv[2], "SetMagnifyImageMethodToNearest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMagnifyImageMethodToNearest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMagnifyImageMethodToNearest */
    Tcl_DStringAppendElement ( &dString, " Sets the method used to magnify images.  Nearest simply replicates\n each pixel enough times to fill the image.  Linear performs linear\n interpolation between the pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMagnifyImageMethodToNearest ();this SetMagnifyImageMethod NEAREST " );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetMagnifyImageMethodToNearest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMagnifyImageMethodToLinear */
    if ( strcmp ( argv[2], "SetMagnifyImageMethodToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMagnifyImageMethodToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMagnifyImageMethodToLinear */
    Tcl_DStringAppendElement ( &dString, " Convenience functions for magnifying images.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMagnifyImageMethodToLinear ();this SetMagnifyImageMethod LINEAR " );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetMagnifyImageMethodToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPixelData */
    if ( strcmp ( argv[2], "GetPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixelData */
    Tcl_DStringAppendElement ( &dString, " The most appropriate way to retrieve full size image data after a\n render.  Will work regardless of whether WriteBackImages or\n MagnifyImage is on or off.  The data returned may be a shallow copy of\n an internal array.  Therefore, the data may be invalid after the next\n render or if the ParallelRenderManager is destroyed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPixelData (vtkUnsignedCharArray *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPixelData */
    if ( strcmp ( argv[2], "GetPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixelData */
    Tcl_DStringAppendElement ( &dString, " The most appropriate way to retrieve full size image data after a\n render.  Will work regardless of whether WriteBackImages or\n MagnifyImage is on or off.  The data returned may be a shallow copy of\n an internal array.  Therefore, the data may be invalid after the next\n render or if the ParallelRenderManager is destroyed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPixelData (int x1, int y1, int x2, int y2, vtkUnsignedCharArray *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReducedPixelData */
    if ( strcmp ( argv[2], "GetReducedPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReducedPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReducedPixelData */
    Tcl_DStringAppendElement ( &dString, " The most appropriate way to retrieve reduced size image data after a\n render.  Will work regardless of whether WriteBackImages or\n MagnifyImage is on or off.  The data returned may be a shallow copy of\n an internal array.  Therefore, the data may be invalid after the next\n render or if the ParallelRenderManager is destroyed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetReducedPixelData (vtkUnsignedCharArray *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetReducedPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReducedPixelData */
    if ( strcmp ( argv[2], "GetReducedPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReducedPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReducedPixelData */
    Tcl_DStringAppendElement ( &dString, " The most appropriate way to retrieve reduced size image data after a\n render.  Will work regardless of whether WriteBackImages or\n MagnifyImage is on or off.  The data returned may be a shallow copy of\n an internal array.  Therefore, the data may be invalid after the next\n render or if the ParallelRenderManager is destroyed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetReducedPixelData (int x1, int y1, int x2, int y2, vtkUnsignedCharArray *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetReducedPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFullImageSize */
    if ( strcmp ( argv[2], "GetFullImageSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFullImageSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFullImageSize */
    Tcl_DStringAppendElement ( &dString, " Returns the full image size calculated at the last render.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetFullImageSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetFullImageSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReducedImageSize */
    if ( strcmp ( argv[2], "GetReducedImageSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReducedImageSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReducedImageSize */
    Tcl_DStringAppendElement ( &dString, " Returns the reduced image size calculated at the last render.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetReducedImageSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetReducedImageSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TileWindows */
    if ( strcmp ( argv[2], "TileWindows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TileWindows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TileWindows */
    Tcl_DStringAppendElement ( &dString, " Given the x and y size of the render windows, reposition them\n in a tile of n columns.\n" );
    Tcl_DStringAppendElement ( &dString, "void TileWindows (int xsize, int ysize, int nColumns);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for TileWindows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseRGBA */
    if ( strcmp ( argv[2], "SetUseRGBA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseRGBA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseRGBA */
    Tcl_DStringAppendElement ( &dString, " Get/Set if all Images must use RGBA instead of RGB. By default,\n this flag is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseRGBA (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetUseRGBA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseRGBA */
    if ( strcmp ( argv[2], "GetUseRGBA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseRGBA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseRGBA */
    Tcl_DStringAppendElement ( &dString, " Get/Set if all Images must use RGBA instead of RGB. By default,\n this flag is on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseRGBA ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetUseRGBA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForceRenderWindowSize */
    if ( strcmp ( argv[2], "SetForceRenderWindowSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceRenderWindowSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceRenderWindowSize */
    Tcl_DStringAppendElement ( &dString, " If ForceRenderWindowSize is set to true, the render manager will use\n the RenderWindowSize ivar instead of getting the size from the render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetForceRenderWindowSize (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetForceRenderWindowSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetForceRenderWindowSize */
    if ( strcmp ( argv[2], "GetForceRenderWindowSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceRenderWindowSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceRenderWindowSize */
    Tcl_DStringAppendElement ( &dString, " If ForceRenderWindowSize is set to true, the render manager will use\n the RenderWindowSize ivar instead of getting the size from the render window.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetForceRenderWindowSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetForceRenderWindowSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForcedRenderWindowSize */
    if ( strcmp ( argv[2], "SetForcedRenderWindowSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForcedRenderWindowSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForcedRenderWindowSize */
    Tcl_DStringAppendElement ( &dString, " If ForceRenderWindowSize is set to true, the render manager will use\n the Size ivar instead of getting the size from the render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetForcedRenderWindowSize (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetForcedRenderWindowSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForcedRenderWindowSize */
    if ( strcmp ( argv[2], "SetForcedRenderWindowSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForcedRenderWindowSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForcedRenderWindowSize */
    Tcl_DStringAppendElement ( &dString, " If ForceRenderWindowSize is set to true, the render manager will use\n the Size ivar instead of getting the size from the render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetForcedRenderWindowSize (int  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetForcedRenderWindowSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetForcedRenderWindowSize */
    if ( strcmp ( argv[2], "GetForcedRenderWindowSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForcedRenderWindowSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForcedRenderWindowSize */
    Tcl_DStringAppendElement ( &dString, " If ForceRenderWindowSize is set to true, the render manager will use\n the Size ivar instead of getting the size from the render window.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetForcedRenderWindowSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetForcedRenderWindowSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: StartService */
    if ( strcmp ( argv[2], "StartService" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartService" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartService */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkParallelRenderManager::StartServices()\n as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartService ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for StartService */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
    /* Starting function: SetUseBackBuffer */
    if ( strcmp ( argv[2], "SetUseBackBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseBackBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseBackBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetUseBackBuffer (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetUseBackBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseBackBuffer */
    if ( strcmp ( argv[2], "GetUseBackBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseBackBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseBackBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetUseBackBuffer ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetUseBackBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseBackBufferOn */
    if ( strcmp ( argv[2], "UseBackBufferOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseBackBufferOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseBackBufferOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UseBackBufferOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for UseBackBufferOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseBackBufferOff */
    if ( strcmp ( argv[2], "UseBackBufferOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseBackBufferOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseBackBufferOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UseBackBufferOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for UseBackBufferOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSynchronizeTileProperties */
    if ( strcmp ( argv[2], "SetSynchronizeTileProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSynchronizeTileProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSynchronizeTileProperties */
    Tcl_DStringAppendElement ( &dString, " When set the render manager will synchronize the TileViewport and TileScale\n properties. This may not be desirable in cases where there's some other\n mechanism to set the tile dimensions eg. Tile displays.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSynchronizeTileProperties (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SetSynchronizeTileProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSynchronizeTileProperties */
    if ( strcmp ( argv[2], "GetSynchronizeTileProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSynchronizeTileProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSynchronizeTileProperties */
    Tcl_DStringAppendElement ( &dString, " When set the render manager will synchronize the TileViewport and TileScale\n properties. This may not be desirable in cases where there's some other\n mechanism to set the tile dimensions eg. Tile displays.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSynchronizeTileProperties ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for GetSynchronizeTileProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SynchronizeTilePropertiesOn */
    if ( strcmp ( argv[2], "SynchronizeTilePropertiesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SynchronizeTilePropertiesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SynchronizeTilePropertiesOn */
    Tcl_DStringAppendElement ( &dString, " When set the render manager will synchronize the TileViewport and TileScale\n properties. This may not be desirable in cases where there's some other\n mechanism to set the tile dimensions eg. Tile displays.\n" );
    Tcl_DStringAppendElement ( &dString, "void SynchronizeTilePropertiesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SynchronizeTilePropertiesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SynchronizeTilePropertiesOff */
    if ( strcmp ( argv[2], "SynchronizeTilePropertiesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SynchronizeTilePropertiesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SynchronizeTilePropertiesOff */
    Tcl_DStringAppendElement ( &dString, " When set the render manager will synchronize the TileViewport and TileScale\n properties. This may not be desirable in cases where there's some other\n mechanism to set the tile dimensions eg. Tile displays.\n" );
    Tcl_DStringAppendElement ( &dString, "void SynchronizeTilePropertiesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelRenderManager" );
    /* Closing for SynchronizeTilePropertiesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
