// python wrapper for vtkPieceRequestFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPieceRequestFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPieceRequestFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPieceRequestFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkPieceRequestFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  const char    *temp20;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceRequestFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceRequestFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  vtkPieceRequestFilter  *temp20;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceRequestFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPieceRequestFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPieceRequestFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  int      temp0;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPieceRequestFilter::SetNumberOfPieces(temp0);
      }
    else
      {
      op->SetNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_GetNumberOfPiecesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  int      temp20;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceRequestFilter::GetNumberOfPiecesMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfPiecesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_GetNumberOfPiecesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  int      temp20;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceRequestFilter::GetNumberOfPiecesMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfPiecesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  int      temp20;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceRequestFilter::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_SetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  int      temp0;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPieceRequestFilter::SetPiece(temp0);
      }
    else
      {
      op->SetPiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_GetPieceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  int      temp20;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceRequestFilter::GetPieceMinValue();
      }
    else
      {
      temp20 = op->GetPieceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_GetPieceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  int      temp20;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceRequestFilter::GetPieceMaxValue();
      }
    else
      {
      temp20 = op->GetPieceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_GetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  int      temp20;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceRequestFilter::GetPiece();
      }
    else
      {
      temp20 = op->GetPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  vtkDataObject  *temp20;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceRequestFilter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  int      temp0;
  vtkDataObject  *temp20;
  PyErr_Clear();
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceRequestFilter::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceRequestFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkPieceRequestFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  /* handle an occurrence */
  {
  vtkPieceRequestFilter *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkPieceRequestFilter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkPieceRequestFilter::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}

static PyMethodDef PyvtkPieceRequestFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPieceRequestFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPieceRequestFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPieceRequestFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPieceRequestFilter\nC++: vtkPieceRequestFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPieceRequestFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPieceRequestFilter\nC++: vtkPieceRequestFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfPieces",                (PyCFunction)PyvtkPieceRequestFilter_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces (int );\n\n The total number of pieces.\n"},
  {(char*)"GetNumberOfPiecesMinValue",                (PyCFunction)PyvtkPieceRequestFilter_GetNumberOfPiecesMinValue, 1,
   (char*)"V.GetNumberOfPiecesMinValue() -> int\nC++: int GetNumberOfPiecesMinValue ();\n\n The total number of pieces.\n"},
  {(char*)"GetNumberOfPiecesMaxValue",                (PyCFunction)PyvtkPieceRequestFilter_GetNumberOfPiecesMaxValue, 1,
   (char*)"V.GetNumberOfPiecesMaxValue() -> int\nC++: int GetNumberOfPiecesMaxValue ();\n\n The total number of pieces.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkPieceRequestFilter_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces ();\n\n The total number of pieces.\n"},
  {(char*)"SetPiece",                (PyCFunction)PyvtkPieceRequestFilter_SetPiece, 1,
   (char*)"V.SetPiece(int)\nC++: void SetPiece (int );\n\n The piece to extract.\n"},
  {(char*)"GetPieceMinValue",                (PyCFunction)PyvtkPieceRequestFilter_GetPieceMinValue, 1,
   (char*)"V.GetPieceMinValue() -> int\nC++: int GetPieceMinValue ();\n\n The piece to extract.\n"},
  {(char*)"GetPieceMaxValue",                (PyCFunction)PyvtkPieceRequestFilter_GetPieceMaxValue, 1,
   (char*)"V.GetPieceMaxValue() -> int\nC++: int GetPieceMaxValue ();\n\n The piece to extract.\n"},
  {(char*)"GetPiece",                (PyCFunction)PyvtkPieceRequestFilter_GetPiece, 1,
   (char*)"V.GetPiece() -> int\nC++: int GetPiece ();\n\n The piece to extract.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkPieceRequestFilter_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkDataObject\nC++: vtkDataObject *GetOutput ();\nV.GetOutput(int) -> vtkDataObject\nC++: vtkDataObject *GetOutput (int );\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPieceRequestFilter_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *);\nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int , vtkDataObject *);\n\n Set an input of this algorithm.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPieceRequestFilterDoc[] = {
  (char*)"vtkPieceRequestFilter - Sets the piece request for upstream filters.\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" Sends the piece and number of pieces to upstream filters; passes the input\n to the output unmodified.\n\n",
  NULL
};

static vtkObjectBase *vtkPieceRequestFilterStaticNew()
{
  return vtkPieceRequestFilter::New();
}

PyObject *PyVTKClass_vtkPieceRequestFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPieceRequestFilterStaticNew,
                        PyvtkPieceRequestFilterMethods,
                        (char*)"vtkPieceRequestFilter",modulename,
                        (char**)vtkPieceRequestFilterDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

