// python wrapper for vtkPipelineSize object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPipelineSize.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPipelineSizeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPipelineSizeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkPipelineSize_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPipelineSize *op;

  const char    *temp20;
  op = (vtkPipelineSize *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPipelineSize::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPipelineSize_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPipelineSize *op;

  char    *temp0;
  int      temp20;
  op = (vtkPipelineSize *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPipelineSize::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPipelineSize_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPipelineSize *op;

  vtkPipelineSize  *temp20;
  op = (vtkPipelineSize *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPipelineSize::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPipelineSize_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPipelineSize  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPipelineSize::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPipelineSize_GetEstimatedSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPipelineSize *op;

  vtkAlgorithm  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  unsigned long     temp20;
  op = (vtkPipelineSize *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkAlgorithm *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithm");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPipelineSize::GetEstimatedSize(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetEstimatedSize(temp0,temp1,temp2);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPipelineSize_GetNumberOfSubPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPipelineSize *op;

  unsigned long     temp0;
  vtkPolyDataMapper  *temp1;
  PyObject *tempH1;
  unsigned long     temp20;
  op = (vtkPipelineSize *)PyArg_VTKParseTuple(self, args, (char*)"lO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPolyDataMapper *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyDataMapper");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPipelineSize::GetNumberOfSubPieces(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNumberOfSubPieces(temp0,temp1);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkPipelineSizeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPipelineSize_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPipelineSize_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPipelineSize_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPipelineSize\nC++: vtkPipelineSize *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPipelineSize_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPipelineSize\nC++: vtkPipelineSize *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetEstimatedSize",                (PyCFunction)PyvtkPipelineSize_GetEstimatedSize, 1,
   (char*)"V.GetEstimatedSize(vtkAlgorithm, int, int) -> int\nC++: unsigned long GetEstimatedSize (vtkAlgorithm *input, int inputPort, int connection);\n\n Compute an estimate of how much memory a pipline will require in \n kilobytes (1024 bytes not 1000) This is only an estimate and the \n calculations in here do not take into account the specifics of many\n sources and filters.\n"},
  {(char*)"GetNumberOfSubPieces",                (PyCFunction)PyvtkPipelineSize_GetNumberOfSubPieces, 1,
   (char*)"V.GetNumberOfSubPieces(int, vtkPolyDataMapper) -> int\nC++: unsigned long GetNumberOfSubPieces (unsigned long memoryLimit, vtkPolyDataMapper *mapper);\n\n Determine how many subpieces a mapper should use to fit a target memory \n limit. This takes into account the mapper's Piece and NumberOfPieces.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPipelineSizeDoc[] = {
  (char*)"vtkPipelineSize - compute the memory required by a pipeline\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkPipelineSizeStaticNew()
{
  return vtkPipelineSize::New();
}

PyObject *PyVTKClass_vtkPipelineSizeNew(char *modulename)
{
  return PyVTKClass_New(&vtkPipelineSizeStaticNew,
                        PyvtkPipelineSizeMethods,
                        (char*)"vtkPipelineSize",modulename,
                        (char**)vtkPipelineSizeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

