// python wrapper for vtkProcessGroup object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProcessGroup.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProcessGroupNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProcessGroupNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkProcessGroup_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  const char    *temp20;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessGroup::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessGroup_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  char    *temp0;
  int      temp20;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessGroup::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessGroup_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  vtkProcessGroup  *temp20;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessGroup::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessGroup_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProcessGroup  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProcessGroup::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProcessGroup_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessGroup::Initialize(temp0);
      }
    else
      {
      op->Initialize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  vtkCommunicator  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCommunicator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCommunicator");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessGroup::Initialize(temp0);
      }
    else
      {
      op->Initialize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkProcessGroup_GetCommunicator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  vtkCommunicator  *temp20;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessGroup::GetCommunicator();
      }
    else
      {
      temp20 = op->GetCommunicator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessGroup_SetCommunicator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  vtkCommunicator  *temp0;
  PyObject *tempH0;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCommunicator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCommunicator");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessGroup::SetCommunicator(temp0);
      }
    else
      {
      op->SetCommunicator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkProcessGroup_GetNumberOfProcessIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  int      temp20;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessGroup::GetNumberOfProcessIds();
      }
    else
      {
      temp20 = op->GetNumberOfProcessIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessGroup_GetProcessId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  int      temp0;
  int      temp20;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessGroup::GetProcessId(temp0);
      }
    else
      {
      temp20 = op->GetProcessId(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessGroup_GetLocalProcessId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  int      temp20;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessGroup::GetLocalProcessId();
      }
    else
      {
      temp20 = op->GetLocalProcessId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessGroup_FindProcessId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  int      temp0;
  int      temp20;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessGroup::FindProcessId(temp0);
      }
    else
      {
      temp20 = op->FindProcessId(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessGroup_AddProcessId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  int      temp0;
  int      temp20;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessGroup::AddProcessId(temp0);
      }
    else
      {
      temp20 = op->AddProcessId(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessGroup_RemoveProcessId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  int      temp0;
  int      temp20;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessGroup::RemoveProcessId(temp0);
      }
    else
      {
      temp20 = op->RemoveProcessId(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessGroup_RemoveAllProcessIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessGroup::RemoveAllProcessIds();
      }
    else
      {
      op->RemoveAllProcessIds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessGroup_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessGroup *op;

  vtkProcessGroup  *temp0;
  PyObject *tempH0;
  op = (vtkProcessGroup *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProcessGroup *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProcessGroup");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessGroup::Copy(temp0);
      }
    else
      {
      op->Copy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}

static PyMethodDef PyvtkProcessGroupMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProcessGroup_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProcessGroup_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProcessGroup_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProcessGroup\nC++: vtkProcessGroup *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProcessGroup_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProcessGroup\nC++: vtkProcessGroup *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkProcessGroup_Initialize, 1,
   (char*)"V.Initialize(vtkMultiProcessController)\nC++: void Initialize (vtkMultiProcessController *controller);\nV.Initialize(vtkCommunicator)\nC++: void Initialize (vtkCommunicator *communicator);\n\n Initialize the group to the given controller or communicator.  The group\n will be set to contain all of the processes in the controller/communicator\n in the same order.\n"},
  {(char*)"GetCommunicator",                (PyCFunction)PyvtkProcessGroup_GetCommunicator, 1,
   (char*)"V.GetCommunicator() -> vtkCommunicator\nC++: vtkCommunicator *GetCommunicator ();\n\n Get the communicator on which this group is based on.\n"},
  {(char*)"SetCommunicator",                (PyCFunction)PyvtkProcessGroup_SetCommunicator, 1,
   (char*)"V.SetCommunicator(vtkCommunicator)\nC++: void SetCommunicator (vtkCommunicator *communicator);\n\n Set the communicator.  This has the same effect as Initialize except that\n the contents of the group will not be modified (although they may be\n truncated if the new communicator is smaller than the current group).\n Note that this can lead to an invalid group if there are values in the\n group that are not valid in the new communicator.\n"},
  {(char*)"GetNumberOfProcessIds",                (PyCFunction)PyvtkProcessGroup_GetNumberOfProcessIds, 1,
   (char*)"V.GetNumberOfProcessIds() -> int\nC++: int GetNumberOfProcessIds ();\n\n Returns the size of this group (the number of processes defined in it).\n"},
  {(char*)"GetProcessId",                (PyCFunction)PyvtkProcessGroup_GetProcessId, 1,
   (char*)"V.GetProcessId(int) -> int\nC++: int GetProcessId (int pos);return this ProcessIds pos \n\n Get the process id for the local process (as defined by the group's\n communicator).  Returns -1 if the local process is not in the group.\n"},
  {(char*)"GetLocalProcessId",                (PyCFunction)PyvtkProcessGroup_GetLocalProcessId, 1,
   (char*)"V.GetLocalProcessId() -> int\nC++: int GetLocalProcessId ();\n\n Get the process id for the local process (as defined by the group's\n communicator).  Returns -1 if the local process is not in the group.\n"},
  {(char*)"FindProcessId",                (PyCFunction)PyvtkProcessGroup_FindProcessId, 1,
   (char*)"V.FindProcessId(int) -> int\nC++: int FindProcessId (int processId);\n\n Given a process id in the communicator, this method returns its location in\n the group or -1 if it is not in the group.  For example, if this group\n contains {6, 2, 8, 1}, then FindProcessId(2) will return 1 and\n FindProcessId(3) will return -1.\n"},
  {(char*)"AddProcessId",                (PyCFunction)PyvtkProcessGroup_AddProcessId, 1,
   (char*)"V.AddProcessId(int) -> int\nC++: int AddProcessId (int processId);\n\n Add a process id to the end of the group (if it is not already in the\n group).  Returns the location where the id was stored.\n"},
  {(char*)"RemoveProcessId",                (PyCFunction)PyvtkProcessGroup_RemoveProcessId, 1,
   (char*)"V.RemoveProcessId(int) -> int\nC++: int RemoveProcessId (int processId);\n\n Remove the given process id from the group (assuming it is in the group).\n All ids to the \"right\" of the removed id are shifted over.  Returns 1\n if the process id was removed, 0 if the process id was not in the group\n in the first place.\n"},
  {(char*)"RemoveAllProcessIds",                (PyCFunction)PyvtkProcessGroup_RemoveAllProcessIds, 1,
   (char*)"V.RemoveAllProcessIds()\nC++: void RemoveAllProcessIds ();\n\n Removes all the processes ids from the group, leaving the group empty.\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkProcessGroup_Copy, 1,
   (char*)"V.Copy(vtkProcessGroup)\nC++: void Copy (vtkProcessGroup *group);\n\n Copies the given group's communicator and process ids.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProcessGroupDoc[] = {
  (char*)"vtkProcessGroup - A subgroup of processes from a communicator.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"\n This class is used for creating groups of processes.  A vtkProcessGroup is\n initialized by passing the controller or communicator on which the group is\n based off of.  You can then use the group to subset and reorder the the\n processes.  Eventually, you can pass the group object to the\n CreateSubController method of vtkMultiProcessController to create a\n controller for the defined group of proce",
  (char*)"sses.  You must use the same\n controller (or attached communicator) from which this group was initialized\n with.\n\n\n",
  "See Also:\n\n vtkMultiProcessController, vtkCommunicator\n\n .SECTION Thanks\n This class was originally written by Kenneth Moreland (kmorel@sandia.gov)\n from Sandia National Laboratories.\n\n\n",
  NULL
};

static vtkObjectBase *vtkProcessGroupStaticNew()
{
  return vtkProcessGroup::New();
}

PyObject *PyVTKClass_vtkProcessGroupNew(char *modulename)
{
  return PyVTKClass_New(&vtkProcessGroupStaticNew,
                        PyvtkProcessGroupMethods,
                        (char*)"vtkProcessGroup",modulename,
                        (char**)vtkProcessGroupDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

