// python wrapper for vtkProcessIdScalars object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProcessIdScalars.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProcessIdScalarsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProcessIdScalarsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkProcessIdScalars_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  const char    *temp20;
  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessIdScalars::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  char    *temp0;
  int      temp20;
  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessIdScalars::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  vtkProcessIdScalars  *temp20;
  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessIdScalars::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProcessIdScalars  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProcessIdScalars::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_SetScalarModeToCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessIdScalars::SetScalarModeToCellData();
      }
    else
      {
      op->SetScalarModeToCellData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_SetScalarModeToPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessIdScalars::SetScalarModeToPointData();
      }
    else
      {
      op->SetScalarModeToPointData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_GetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  int      temp20;
  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessIdScalars::GetScalarMode();
      }
    else
      {
      temp20 = op->GetScalarMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_SetRandomMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  int      temp0;
  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessIdScalars::SetRandomMode(temp0);
      }
    else
      {
      op->SetRandomMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_GetRandomMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  int      temp20;
  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessIdScalars::GetRandomMode();
      }
    else
      {
      temp20 = op->GetRandomMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_RandomModeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessIdScalars::RandomModeOn();
      }
    else
      {
      op->RandomModeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_RandomModeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessIdScalars::RandomModeOff();
      }
    else
      {
      op->RandomModeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessIdScalars::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkProcessIdScalars_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessIdScalars *op;

  vtkMultiProcessController  *temp20;
  op = (vtkProcessIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessIdScalars::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProcessIdScalarsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProcessIdScalars_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProcessIdScalars_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProcessIdScalars_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProcessIdScalars\nC++: vtkProcessIdScalars *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProcessIdScalars_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProcessIdScalars\nC++: vtkProcessIdScalars *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetScalarModeToCellData",                (PyCFunction)PyvtkProcessIdScalars_SetScalarModeToCellData, 1,
   (char*)"V.SetScalarModeToCellData()\nC++: void SetScalarModeToCellData ();this SetCellScalarsFlag \n\n Option to centerate cell scalars of points scalars.  Default is point\n scalars.\n"},
  {(char*)"SetScalarModeToPointData",                (PyCFunction)PyvtkProcessIdScalars_SetScalarModeToPointData, 1,
   (char*)"V.SetScalarModeToPointData()\nC++: void SetScalarModeToPointData ();this SetCellScalarsFlag \n\n Option to centerate cell scalars of points scalars.  Default is point\n scalars.\n"},
  {(char*)"GetScalarMode",                (PyCFunction)PyvtkProcessIdScalars_GetScalarMode, 1,
   (char*)"V.GetScalarMode() -> int\nC++: int GetScalarMode ();return this CellScalarsFlag \n\n"},
  {(char*)"SetRandomMode",                (PyCFunction)PyvtkProcessIdScalars_SetRandomMode, 1,
   (char*)"V.SetRandomMode(int)\nC++: void SetRandomMode (int );\n\n"},
  {(char*)"GetRandomMode",                (PyCFunction)PyvtkProcessIdScalars_GetRandomMode, 1,
   (char*)"V.GetRandomMode() -> int\nC++: int GetRandomMode ();\n\n"},
  {(char*)"RandomModeOn",                (PyCFunction)PyvtkProcessIdScalars_RandomModeOn, 1,
   (char*)"V.RandomModeOn()\nC++: void RandomModeOn ();\n\n"},
  {(char*)"RandomModeOff",                (PyCFunction)PyvtkProcessIdScalars_RandomModeOff, 1,
   (char*)"V.RandomModeOff()\nC++: void RandomModeOff ();\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkProcessIdScalars_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkProcessIdScalars_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProcessIdScalarsDoc[] = {
  (char*)"vtkProcessIdScalars - Sets cell or point scalars to the processor rank.\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkProcessIdScalars is meant to display which processor owns which cells\n and points.  It is useful for visualizing the partitioning for\n streaming or distributed pipelines.\n\n\n",
  "See Also:\n\n vtkPolyDataStreamer\n\n",
  NULL
};

static vtkObjectBase *vtkProcessIdScalarsStaticNew()
{
  return vtkProcessIdScalars::New();
}

PyObject *PyVTKClass_vtkProcessIdScalarsNew(char *modulename)
{
  return PyVTKClass_New(&vtkProcessIdScalarsStaticNew,
                        PyvtkProcessIdScalarsMethods,
                        (char*)"vtkProcessIdScalars",modulename,
                        (char**)vtkProcessIdScalarsDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

