// python wrapper for vtkRTAnalyticSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRTAnalyticSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRTAnalyticSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRTAnalyticSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkRTAnalyticSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  const char    *temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  vtkRTAnalyticSource  *temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRTAnalyticSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRTAnalyticSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_GetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  int     *temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetWholeExtent();
      }
    else
      {
      temp20 = op->GetWholeExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double  *temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp0;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetMaximum(temp0);
      }
    else
      {
      op->SetMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_GetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetMaximum();
      }
    else
      {
      temp20 = op->GetMaximum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SetStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp0;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetStandardDeviation(temp0);
      }
    else
      {
      op->SetStandardDeviation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_GetStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetStandardDeviation();
      }
    else
      {
      temp20 = op->GetStandardDeviation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SetXFreq(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp0;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetXFreq(temp0);
      }
    else
      {
      op->SetXFreq(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_GetXFreq(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetXFreq();
      }
    else
      {
      temp20 = op->GetXFreq();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SetYFreq(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp0;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetYFreq(temp0);
      }
    else
      {
      op->SetYFreq(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_GetYFreq(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetYFreq();
      }
    else
      {
      temp20 = op->GetYFreq();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SetZFreq(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp0;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetZFreq(temp0);
      }
    else
      {
      op->SetZFreq(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_GetZFreq(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetZFreq();
      }
    else
      {
      temp20 = op->GetZFreq();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SetXMag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp0;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetXMag(temp0);
      }
    else
      {
      op->SetXMag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_GetXMag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetXMag();
      }
    else
      {
      temp20 = op->GetXMag();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SetYMag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp0;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetYMag(temp0);
      }
    else
      {
      op->SetYMag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_GetYMag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetYMag();
      }
    else
      {
      temp20 = op->GetYMag();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SetZMag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp0;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetZMag(temp0);
      }
    else
      {
      op->SetZMag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_GetZMag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  double   temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetZMag();
      }
    else
      {
      temp20 = op->GetZMag();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_SetSubsampleRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  int      temp0;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRTAnalyticSource::SetSubsampleRate(temp0);
      }
    else
      {
      op->SetSubsampleRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRTAnalyticSource_GetSubsampleRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRTAnalyticSource *op;

  int      temp20;
  op = (vtkRTAnalyticSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRTAnalyticSource::GetSubsampleRate();
      }
    else
      {
      temp20 = op->GetSubsampleRate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRTAnalyticSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRTAnalyticSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRTAnalyticSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRTAnalyticSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRTAnalyticSource\nC++: vtkRTAnalyticSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRTAnalyticSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRTAnalyticSource\nC++: vtkRTAnalyticSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkRTAnalyticSource_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax);\n\n Set/Get the extent of the whole output image.\n"},
  {(char*)"GetWholeExtent",                (PyCFunction)PyvtkRTAnalyticSource_GetWholeExtent, 1,
   (char*)"V.GetWholeExtent() -> (int, int, int, int, int, int)\nC++: int  *GetWholeExtent ();\n\n Set/Get the extent of the whole output image.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkRTAnalyticSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set/Get the center of function.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkRTAnalyticSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set/Get the center of function.\n"},
  {(char*)"SetMaximum",                (PyCFunction)PyvtkRTAnalyticSource_SetMaximum, 1,
   (char*)"V.SetMaximum(float)\nC++: void SetMaximum (double );\n\n Set/Get the Maximum value of the function.\n"},
  {(char*)"GetMaximum",                (PyCFunction)PyvtkRTAnalyticSource_GetMaximum, 1,
   (char*)"V.GetMaximum() -> float\nC++: double GetMaximum ();\n\n Set/Get the Maximum value of the function.\n"},
  {(char*)"SetStandardDeviation",                (PyCFunction)PyvtkRTAnalyticSource_SetStandardDeviation, 1,
   (char*)"V.SetStandardDeviation(float)\nC++: void SetStandardDeviation (double );\n\n Set/Get the standard deviation of the function.\n"},
  {(char*)"GetStandardDeviation",                (PyCFunction)PyvtkRTAnalyticSource_GetStandardDeviation, 1,
   (char*)"V.GetStandardDeviation() -> float\nC++: double GetStandardDeviation ();\n\n Set/Get the standard deviation of the function.\n"},
  {(char*)"SetXFreq",                (PyCFunction)PyvtkRTAnalyticSource_SetXFreq, 1,
   (char*)"V.SetXFreq(float)\nC++: void SetXFreq (double );\n\n Set the natural frequencies in x,y and z\n"},
  {(char*)"GetXFreq",                (PyCFunction)PyvtkRTAnalyticSource_GetXFreq, 1,
   (char*)"V.GetXFreq() -> float\nC++: double GetXFreq ();\n\n Set the natural frequencies in x,y and z\n"},
  {(char*)"SetYFreq",                (PyCFunction)PyvtkRTAnalyticSource_SetYFreq, 1,
   (char*)"V.SetYFreq(float)\nC++: void SetYFreq (double );\n\n Set the natural frequencies in x,y and z\n"},
  {(char*)"GetYFreq",                (PyCFunction)PyvtkRTAnalyticSource_GetYFreq, 1,
   (char*)"V.GetYFreq() -> float\nC++: double GetYFreq ();\n\n Set the natural frequencies in x,y and z\n"},
  {(char*)"SetZFreq",                (PyCFunction)PyvtkRTAnalyticSource_SetZFreq, 1,
   (char*)"V.SetZFreq(float)\nC++: void SetZFreq (double );\n\n Set the natural frequencies in x,y and z\n"},
  {(char*)"GetZFreq",                (PyCFunction)PyvtkRTAnalyticSource_GetZFreq, 1,
   (char*)"V.GetZFreq() -> float\nC++: double GetZFreq ();\n\n Set the natural frequencies in x,y and z\n"},
  {(char*)"SetXMag",                (PyCFunction)PyvtkRTAnalyticSource_SetXMag, 1,
   (char*)"V.SetXMag(float)\nC++: void SetXMag (double );\n\n"},
  {(char*)"GetXMag",                (PyCFunction)PyvtkRTAnalyticSource_GetXMag, 1,
   (char*)"V.GetXMag() -> float\nC++: double GetXMag ();\n\n"},
  {(char*)"SetYMag",                (PyCFunction)PyvtkRTAnalyticSource_SetYMag, 1,
   (char*)"V.SetYMag(float)\nC++: void SetYMag (double );\n\n"},
  {(char*)"GetYMag",                (PyCFunction)PyvtkRTAnalyticSource_GetYMag, 1,
   (char*)"V.GetYMag() -> float\nC++: double GetYMag ();\n\n"},
  {(char*)"SetZMag",                (PyCFunction)PyvtkRTAnalyticSource_SetZMag, 1,
   (char*)"V.SetZMag(float)\nC++: void SetZMag (double );\n\n"},
  {(char*)"GetZMag",                (PyCFunction)PyvtkRTAnalyticSource_GetZMag, 1,
   (char*)"V.GetZMag() -> float\nC++: double GetZMag ();\n\n"},
  {(char*)"SetSubsampleRate",                (PyCFunction)PyvtkRTAnalyticSource_SetSubsampleRate, 1,
   (char*)"V.SetSubsampleRate(int)\nC++: void SetSubsampleRate (int );\n\n"},
  {(char*)"GetSubsampleRate",                (PyCFunction)PyvtkRTAnalyticSource_GetSubsampleRate, 1,
   (char*)"V.GetSubsampleRate() -> int\nC++: int GetSubsampleRate ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRTAnalyticSourceDoc[] = {
  (char*)"vtkRTAnalyticSource - Create an image for regression testing\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkRTAnalyticSource just produces images with pixel values determined \n by a Maximum*Gaussian*XMag*sin(XFreq*x)*sin(YFreq*y)*cos(ZFreq*z)\n\n",
  NULL
};

static vtkObjectBase *vtkRTAnalyticSourceStaticNew()
{
  return vtkRTAnalyticSource::New();
}

PyObject *PyVTKClass_vtkRTAnalyticSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkRTAnalyticSourceStaticNew,
                        PyvtkRTAnalyticSourceMethods,
                        (char*)"vtkRTAnalyticSource",modulename,
                        (char**)vtkRTAnalyticSourceDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

