// python wrapper for vtkRectilinearGridOutlineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRectilinearGridOutlineFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRectilinearGridOutlineFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRectilinearGridOutlineFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkRectilinearGridOutlineFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridOutlineFilter *op;

  const char    *temp20;
  op = (vtkRectilinearGridOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridOutlineFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridOutlineFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridOutlineFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkRectilinearGridOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridOutlineFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridOutlineFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridOutlineFilter *op;

  vtkRectilinearGridOutlineFilter  *temp20;
  op = (vtkRectilinearGridOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridOutlineFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridOutlineFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRectilinearGridOutlineFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRectilinearGridOutlineFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkRectilinearGridOutlineFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRectilinearGridOutlineFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRectilinearGridOutlineFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRectilinearGridOutlineFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRectilinearGridOutlineFilter\nC++: vtkRectilinearGridOutlineFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRectilinearGridOutlineFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRectilinearGridOutlineFilter\nC++: vtkRectilinearGridOutlineFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRectilinearGridOutlineFilterDoc[] = {
  (char*)"vtkRectilinearGridOutlineFilter - create wireframe outline for a rectilinear grid.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkRectilinearGridOutlineFilter works in parallel.  There is no reason.\n to use this filter if you are not breaking the processing into pieces.\n With one piece you can simply use vtkOutlineFilter.  This filter\n ignores internal edges when the extent is not the whole extent.\n\n",
  NULL
};

static vtkObjectBase *vtkRectilinearGridOutlineFilterStaticNew()
{
  return vtkRectilinearGridOutlineFilter::New();
}

PyObject *PyVTKClass_vtkRectilinearGridOutlineFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkRectilinearGridOutlineFilterStaticNew,
                        PyvtkRectilinearGridOutlineFilterMethods,
                        (char*)"vtkRectilinearGridOutlineFilter",modulename,
                        (char**)vtkRectilinearGridOutlineFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

