// python wrapper for vtkSocketCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSocketCommunicator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSocketCommunicatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSocketCommunicatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCommunicatorNew(char *); }

static PyObject *PyvtkSocketCommunicator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  const char    *temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  char    *temp0;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  vtkSocketCommunicator  *temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSocketCommunicator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSocketCommunicator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_WaitForConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp0;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::WaitForConnection(temp0);
      }
    else
      {
      temp20 = op->WaitForConnection(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  vtkServerSocket  *temp0;
  PyObject *tempH0;
  unsigned long     temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Ol", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkServerSocket *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkServerSocket");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::WaitForConnection(temp0,temp1);
      }
    else
      {
      temp20 = op->WaitForConnection(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_CloseConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::CloseConnection();
      }
    else
      {
      op->CloseConnection();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_ConnectTo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  char    *temp0;
  int      temp1;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::ConnectTo(temp0,temp1);
      }
    else
      {
      temp20 = op->ConnectTo(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetSwapBytesInReceivedData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetSwapBytesInReceivedData();
      }
    else
      {
      temp20 = op->GetSwapBytesInReceivedData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetIsConnected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetIsConnected();
      }
    else
      {
      temp20 = op->GetIsConnected();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_SetNumberOfProcesses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp0;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::SetNumberOfProcesses(temp0);
      }
    else
      {
      op->SetNumberOfProcesses(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_SendVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#iiii", &temp0, &size0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::SendVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->SendVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_ReceiveVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#iiii", &temp0, &size0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReceiveVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReceiveVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::ReceiveVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ReceiveVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_Barrier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::Barrier();
      }
    else
      {
      op->Barrier();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_BroadcastVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#iii", &temp0, &size0, &temp1, &temp2, &temp3);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to BroadcastVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to BroadcastVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::BroadcastVoidArray(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->BroadcastVoidArray(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GatherVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  void    *temp0;
  int      size0;
  void    *temp1;
  int      size1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#s#iii", &temp0, &size0, &temp1, &size1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to GatherVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to GatherVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to GatherVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to GatherVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GatherVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->GatherVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_ScatterVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  void    *temp0;
  int      size0;
  void    *temp1;
  int      size1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#s#iii", &temp0, &size0, &temp1, &size1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ScatterVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ScatterVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ScatterVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ScatterVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::ScatterVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ScatterVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_AllGatherVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  void    *temp0;
  int      size0;
  void    *temp1;
  int      size1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#s#ii", &temp0, &size0, &temp1, &size1, &temp2, &temp3);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllGatherVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllGatherVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllGatherVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllGatherVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::AllGatherVoidArray(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->AllGatherVoidArray(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_ReduceVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  void    *temp0;
  int      size0;
  void    *temp1;
  int      size1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#s#iiii", &temp0, &size0, &temp1, &size1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReduceVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReduceVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReduceVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReduceVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::ReduceVoidArray(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->ReduceVoidArray(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_AllReduceVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  void    *temp0;
  int      size0;
  void    *temp1;
  int      size1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#s#iii", &temp0, &size0, &temp1, &size1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllReduceVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllReduceVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllReduceVoidArray in vtkSocketCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to AllReduceVoidArray in vtkSocketCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::AllReduceVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->AllReduceVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_SetPerformHandshake(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp0;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::SetPerformHandshake(temp0);
      }
    else
      {
      op->SetPerformHandshake(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetPerformHandshakeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetPerformHandshakeMinValue();
      }
    else
      {
      temp20 = op->GetPerformHandshakeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetPerformHandshakeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetPerformHandshakeMaxValue();
      }
    else
      {
      temp20 = op->GetPerformHandshakeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_PerformHandshakeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::PerformHandshakeOn();
      }
    else
      {
      op->PerformHandshakeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_PerformHandshakeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::PerformHandshakeOff();
      }
    else
      {
      op->PerformHandshakeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetPerformHandshake(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetPerformHandshake();
      }
    else
      {
      temp20 = op->GetPerformHandshake();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_LogToFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  char    *temp0;
  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::LogToFile(temp0);
      }
    else
      {
      temp20 = op->LogToFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  char    *temp0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::LogToFile(temp0,temp1);
      }
    else
      {
      temp20 = op->LogToFile(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_SetReportErrors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp0;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::SetReportErrors(temp0);
      }
    else
      {
      op->SetReportErrors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetReportErrors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetReportErrors();
      }
    else
      {
      temp20 = op->GetReportErrors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetSocket(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  vtkClientSocket  *temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetSocket();
      }
    else
      {
      temp20 = op->GetSocket();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_SetSocket(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  vtkClientSocket  *temp0;
  PyObject *tempH0;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkClientSocket *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkClientSocket");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::SetSocket(temp0);
      }
    else
      {
      op->SetSocket(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_ServerSideHandshake(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::ServerSideHandshake();
      }
    else
      {
      temp20 = op->ServerSideHandshake();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_ClientSideHandshake(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::ClientSideHandshake();
      }
    else
      {
      temp20 = op->ClientSideHandshake();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetIsServer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetIsServer();
      }
    else
      {
      temp20 = op->GetIsServer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetVersion(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSocketCommunicator::GetVersion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSocketCommunicatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSocketCommunicator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSocketCommunicator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSocketCommunicator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSocketCommunicator\nC++: vtkSocketCommunicator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSocketCommunicator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSocketCommunicator\nC++: vtkSocketCommunicator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"WaitForConnection",                (PyCFunction)PyvtkSocketCommunicator_WaitForConnection, 1,
   (char*)"V.WaitForConnection(int) -> int\nC++: virtual int WaitForConnection (int port);\nV.WaitForConnection(vtkServerSocket, int) -> int\nC++: virtual int WaitForConnection (vtkServerSocket *socket, unsigned long msec);\n\n Wait for connection on a given port.\n These methods return 1 on success, 0 on error.\n"},
  {(char*)"CloseConnection",                (PyCFunction)PyvtkSocketCommunicator_CloseConnection, 1,
   (char*)"V.CloseConnection()\nC++: virtual void CloseConnection ();\n\n Close a connection.\n"},
  {(char*)"ConnectTo",                (PyCFunction)PyvtkSocketCommunicator_ConnectTo, 1,
   (char*)"V.ConnectTo(string, int) -> int\nC++: virtual int ConnectTo (char *hostName, int port);\n\n Open a connection to host.\n"},
  {(char*)"GetSwapBytesInReceivedData",                (PyCFunction)PyvtkSocketCommunicator_GetSwapBytesInReceivedData, 1,
   (char*)"V.GetSwapBytesInReceivedData() -> int\nC++: int GetSwapBytesInReceivedData ();\n\n Returns 1 if bytes must be swapped in received ints, floats, etc\n"},
  {(char*)"GetIsConnected",                (PyCFunction)PyvtkSocketCommunicator_GetIsConnected, 1,
   (char*)"V.GetIsConnected() -> int\nC++: int GetIsConnected ();\n\n Is the communicator connected?.\n"},
  {(char*)"SetNumberOfProcesses",                (PyCFunction)PyvtkSocketCommunicator_SetNumberOfProcesses, 1,
   (char*)"V.SetNumberOfProcesses(int)\nC++: virtual void SetNumberOfProcesses (int num);\n\n Set the number of processes you will be using.\n"},
  {(char*)"SendVoidArray",                (PyCFunction)PyvtkSocketCommunicator_SendVoidArray, 1,
   (char*)"V.SendVoidArray(string, int, int, int, int) -> int\nC++: virtual int SendVoidArray (const void *data, vtkIdType length, int type, int remoteHandle, int tag);\n\n Performs the actual communication.  You will usually use the convenience\n Send functions defined in the superclass.\n"},
  {(char*)"ReceiveVoidArray",                (PyCFunction)PyvtkSocketCommunicator_ReceiveVoidArray, 1,
   (char*)"V.ReceiveVoidArray(string, int, int, int, int) -> int\nC++: virtual int ReceiveVoidArray (void *data, vtkIdType length, int type, int remoteHandle, int tag);\n\n Performs the actual communication.  You will usually use the convenience\n Send functions defined in the superclass.\n"},
  {(char*)"Barrier",                (PyCFunction)PyvtkSocketCommunicator_Barrier, 1,
   (char*)"V.Barrier()\nC++: virtual void Barrier ();\n\n This class foolishly breaks the conventions of the superclass, so this\n overload fixes the method.\n"},
  {(char*)"BroadcastVoidArray",                (PyCFunction)PyvtkSocketCommunicator_BroadcastVoidArray, 1,
   (char*)"V.BroadcastVoidArray(string, int, int, int) -> int\nC++: virtual int BroadcastVoidArray (void *data, vtkIdType length, int type, int srcProcessId);\n\n This class foolishly breaks the conventions of the superclass, so the\n default implementations of these methods do not work.  These just give\n errors instead.\n"},
  {(char*)"GatherVoidArray",                (PyCFunction)PyvtkSocketCommunicator_GatherVoidArray, 1,
   (char*)"V.GatherVoidArray(string, string, int, int, int) -> int\nC++: virtual int GatherVoidArray (const void *sendBuffer, void *recvBuffer, vtkIdType length, int type, int destProcessId);\n\n This class foolishly breaks the conventions of the superclass, so the\n default implementations of these methods do not work.  These just give\n errors instead.\n"},
  {(char*)"ScatterVoidArray",                (PyCFunction)PyvtkSocketCommunicator_ScatterVoidArray, 1,
   (char*)"V.ScatterVoidArray(string, string, int, int, int) -> int\nC++: virtual int ScatterVoidArray (const void *sendBuffer, void *recvBuffer, vtkIdType length, int type, int srcProcessId);\n\n This class foolishly breaks the conventions of the superclass, so the\n default implementations of these methods do not work.  These just give\n errors instead.\n"},
  {(char*)"AllGatherVoidArray",                (PyCFunction)PyvtkSocketCommunicator_AllGatherVoidArray, 1,
   (char*)"V.AllGatherVoidArray(string, string, int, int) -> int\nC++: virtual int AllGatherVoidArray (const void *sendBuffer, void *recvBuffer, vtkIdType length, int type);\n\n This class foolishly breaks the conventions of the superclass, so the\n default implementations of these methods do not work.  These just give\n errors instead.\n"},
  {(char*)"ReduceVoidArray",                (PyCFunction)PyvtkSocketCommunicator_ReduceVoidArray, 1,
   (char*)"V.ReduceVoidArray(string, string, int, int, int, int) -> int\nC++: virtual int ReduceVoidArray (const void *sendBuffer, void *recvBuffer, vtkIdType length, int type, int operation, int destProcessId);\n\n This class foolishly breaks the conventions of the superclass, so the\n default implementations of these methods do not work.  These just give\n errors instead.\n"},
  {(char*)"AllReduceVoidArray",                (PyCFunction)PyvtkSocketCommunicator_AllReduceVoidArray, 1,
   (char*)"V.AllReduceVoidArray(string, string, int, int, int) -> int\nC++: virtual int AllReduceVoidArray (const void *sendBuffer, void *recvBuffer, vtkIdType length, int type, int operation);\n\n This class foolishly breaks the conventions of the superclass, so the\n default implementations of these methods do not work.  These just give\n errors instead.\n"},
  {(char*)"SetPerformHandshake",                (PyCFunction)PyvtkSocketCommunicator_SetPerformHandshake, 1,
   (char*)"V.SetPerformHandshake(int)\nC++: void SetPerformHandshake (int );\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"GetPerformHandshakeMinValue",                (PyCFunction)PyvtkSocketCommunicator_GetPerformHandshakeMinValue, 1,
   (char*)"V.GetPerformHandshakeMinValue() -> int\nC++: int GetPerformHandshakeMinValue ();\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"GetPerformHandshakeMaxValue",                (PyCFunction)PyvtkSocketCommunicator_GetPerformHandshakeMaxValue, 1,
   (char*)"V.GetPerformHandshakeMaxValue() -> int\nC++: int GetPerformHandshakeMaxValue ();\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"PerformHandshakeOn",                (PyCFunction)PyvtkSocketCommunicator_PerformHandshakeOn, 1,
   (char*)"V.PerformHandshakeOn()\nC++: void PerformHandshakeOn ();\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"PerformHandshakeOff",                (PyCFunction)PyvtkSocketCommunicator_PerformHandshakeOff, 1,
   (char*)"V.PerformHandshakeOff()\nC++: void PerformHandshakeOff ();\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"GetPerformHandshake",                (PyCFunction)PyvtkSocketCommunicator_GetPerformHandshake, 1,
   (char*)"V.GetPerformHandshake() -> int\nC++: int GetPerformHandshake ();\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"LogToFile",                (PyCFunction)PyvtkSocketCommunicator_LogToFile, 1,
   (char*)"V.LogToFile(string) -> int\nC++: virtual int LogToFile (const char *name);\nV.LogToFile(string, int) -> int\nC++: virtual int LogToFile (const char *name, int append);\n\n Log messages to the given file.  The file is truncated unless the\n second argument is non-zero (default is to truncate).  If the\n file name is empty or NULL, logging is disabled.  Returns 0 if\n the file failed to open, and 1 otherwise.\n"},
  {(char*)"SetReportErrors",                (PyCFunction)PyvtkSocketCommunicator_SetReportErrors, 1,
   (char*)"V.SetReportErrors(int)\nC++: void SetReportErrors (int );\n\n If ReportErrors if false, all vtkErrorMacros are suppressed.\n"},
  {(char*)"GetReportErrors",                (PyCFunction)PyvtkSocketCommunicator_GetReportErrors, 1,
   (char*)"V.GetReportErrors() -> int\nC++: int GetReportErrors ();\n\n If ReportErrors if false, all vtkErrorMacros are suppressed.\n"},
  {(char*)"GetSocket",                (PyCFunction)PyvtkSocketCommunicator_GetSocket, 1,
   (char*)"V.GetSocket() -> vtkClientSocket\nC++: vtkClientSocket *GetSocket ();\n\n Get/Set the actual socket used for communication.\n"},
  {(char*)"SetSocket",                (PyCFunction)PyvtkSocketCommunicator_SetSocket, 1,
   (char*)"V.SetSocket(vtkClientSocket)\nC++: void SetSocket (vtkClientSocket *);\n\n Get/Set the actual socket used for communication.\n"},
  {(char*)"ServerSideHandshake",                (PyCFunction)PyvtkSocketCommunicator_ServerSideHandshake, 1,
   (char*)"V.ServerSideHandshake() -> int\nC++: int ServerSideHandshake ();\n\n Performs ServerSide handshake.\n"},
  {(char*)"ClientSideHandshake",                (PyCFunction)PyvtkSocketCommunicator_ClientSideHandshake, 1,
   (char*)"V.ClientSideHandshake() -> int\nC++: int ClientSideHandshake ();\n\n Performs ClientSide handshake.\n"},
  {(char*)"GetIsServer",                (PyCFunction)PyvtkSocketCommunicator_GetIsServer, 1,
   (char*)"V.GetIsServer() -> int\nC++: int GetIsServer ();\n\n Returns true if this side of the socket is the server.  The result\n is invalid if the socket is not connected.\n"},
  {(char*)"GetVersion",                (PyCFunction)PyvtkSocketCommunicator_GetVersion, 1,
   (char*)"V.GetVersion() -> int\nC++: static int GetVersion ();\n\n Uniquely identifies the version of this class.  If the versions match,\n then the socket communicators should be compatible.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSocketCommunicatorDoc[] = {
  (char*)"vtkSocketCommunicator - Process communication using Sockets\n\n",
  "Super Class:\n\n vtkCommunicator\n\n",
  (char*)" This is a concrete implementation of vtkCommunicator which supports\n interprocess communication using BSD style sockets. \n It supports byte swapping for the communication of  machines \n with different endianness.\n\n",
  "Caveats:\n\n Communication between 32 bit and 64 bit systems is not fully\n supported. If a type does not have the same length on both\n systems, this communicator can not be used to transfer data\n of that type.\n\n",
  "See Also:\n\n vtkCommunicator vtkSocketController\n\n",
  NULL
};

static vtkObjectBase *vtkSocketCommunicatorStaticNew()
{
  return vtkSocketCommunicator::New();
}

PyObject *PyVTKClass_vtkSocketCommunicatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkSocketCommunicatorStaticNew,
                        PyvtkSocketCommunicatorMethods,
                        (char*)"vtkSocketCommunicator",modulename,
                        (char**)vtkSocketCommunicatorDoc,
                        PyVTKClass_vtkCommunicatorNew(modulename));
}

