// tcl wrapper for vtkSocketCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSocketCommunicator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSocketCommunicatorNewCommand()
{
  vtkSocketCommunicator *temp = vtkSocketCommunicator::New();
  return static_cast<ClientData>(temp);
}

int vtkCommunicatorCppCommand(vtkCommunicator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSocketCommunicatorCppCommand(vtkSocketCommunicator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSocketCommunicatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSocketCommunicatorCppCommand(static_cast<vtkSocketCommunicator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSocketCommunicatorCppCommand(vtkSocketCommunicator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSocketCommunicator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkCommunicatorCppCommand(static_cast<vtkCommunicator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkCommunicator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSocketCommunicator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSocketCommunicator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSocketCommunicator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSocketCommunicator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSocketCommunicator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSocketCommunicator");
    return TCL_OK;
    }
    }
  if ((!strcmp("WaitForConnection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->WaitForConnection(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("WaitForConnection",argv[1]))&&(argc == 4))
    {
    vtkServerSocket  *temp0;
    unsigned long     temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkServerSocket *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkServerSocket"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->WaitForConnection(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CloseConnection",argv[1]))&&(argc == 2))
    {
    op->CloseConnection();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConnectTo",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ConnectTo(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSwapBytesInReceivedData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSwapBytesInReceivedData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIsConnected",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIsConnected();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfProcesses",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfProcesses(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Barrier",argv[1]))&&(argc == 2))
    {
    op->Barrier();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPerformHandshake",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPerformHandshake(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPerformHandshakeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPerformHandshakeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPerformHandshakeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPerformHandshakeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PerformHandshakeOn",argv[1]))&&(argc == 2))
    {
    op->PerformHandshakeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PerformHandshakeOff",argv[1]))&&(argc == 2))
    {
    op->PerformHandshakeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPerformHandshake",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPerformHandshake();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LogToFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->LogToFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("LogToFile",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->LogToFile(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetReportErrors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReportErrors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReportErrors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReportErrors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSocket",argv[1]))&&(argc == 2))
    {
    vtkClientSocket  *temp20;
    temp20 = (op)->GetSocket();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClientSocket");
    return TCL_OK;
    }
  if ((!strcmp("SetSocket",argv[1]))&&(argc == 3))
    {
    vtkClientSocket  *temp0;
    error = 0;

    temp0 = (vtkClientSocket *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkClientSocket"),interp,error));
    if (!error)
    {
    op->SetSocket(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ServerSideHandshake",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->ServerSideHandshake();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClientSideHandshake",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->ClientSideHandshake();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIsServer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIsServer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVersion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVersion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSocketCommunicatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkCommunicatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSocketCommunicator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WaitForConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WaitForConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CloseConnection\n",NULL);
    Tcl_AppendResult(interp,"  ConnectTo\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSwapBytesInReceivedData\n",NULL);
    Tcl_AppendResult(interp,"  GetIsConnected\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfProcesses\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Barrier\n",NULL);
    Tcl_AppendResult(interp,"  SetPerformHandshake\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPerformHandshakeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPerformHandshakeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  PerformHandshakeOn\n",NULL);
    Tcl_AppendResult(interp,"  PerformHandshakeOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPerformHandshake\n",NULL);
    Tcl_AppendResult(interp,"  LogToFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LogToFile\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetReportErrors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReportErrors\n",NULL);
    Tcl_AppendResult(interp,"  GetSocket\n",NULL);
    Tcl_AppendResult(interp,"  SetSocket\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ServerSideHandshake\n",NULL);
    Tcl_AppendResult(interp,"  ClientSideHandshake\n",NULL);
    Tcl_AppendResult(interp,"  GetIsServer\n",NULL);
    Tcl_AppendResult(interp,"  GetVersion\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkCommunicatorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "WaitForConnection" );
    Tcl_DStringAppendElement ( &dString, "WaitForConnection" );
    Tcl_DStringAppendElement ( &dString, "CloseConnection" );
    Tcl_DStringAppendElement ( &dString, "ConnectTo" );
    Tcl_DStringAppendElement ( &dString, "GetSwapBytesInReceivedData" );
    Tcl_DStringAppendElement ( &dString, "GetIsConnected" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfProcesses" );
    Tcl_DStringAppendElement ( &dString, "Barrier" );
    Tcl_DStringAppendElement ( &dString, "SetPerformHandshake" );
    Tcl_DStringAppendElement ( &dString, "GetPerformHandshakeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPerformHandshakeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "PerformHandshakeOn" );
    Tcl_DStringAppendElement ( &dString, "PerformHandshakeOff" );
    Tcl_DStringAppendElement ( &dString, "GetPerformHandshake" );
    Tcl_DStringAppendElement ( &dString, "LogToFile" );
    Tcl_DStringAppendElement ( &dString, "LogToFile" );
    Tcl_DStringAppendElement ( &dString, "SetReportErrors" );
    Tcl_DStringAppendElement ( &dString, "GetReportErrors" );
    Tcl_DStringAppendElement ( &dString, "GetSocket" );
    Tcl_DStringAppendElement ( &dString, "SetSocket" );
    Tcl_DStringAppendElement ( &dString, "ServerSideHandshake" );
    Tcl_DStringAppendElement ( &dString, "ClientSideHandshake" );
    Tcl_DStringAppendElement ( &dString, "GetIsServer" );
    Tcl_DStringAppendElement ( &dString, "GetVersion" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkCommunicatorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSocketCommunicator *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WaitForConnection */
    if ( strcmp ( argv[2], "WaitForConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WaitForConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WaitForConnection */
    Tcl_DStringAppendElement ( &dString, " Wait for connection on a given port.\n These methods return 1 on success, 0 on error.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int WaitForConnection (int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for WaitForConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WaitForConnection */
    if ( strcmp ( argv[2], "WaitForConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WaitForConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkServerSocket" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WaitForConnection */
    Tcl_DStringAppendElement ( &dString, " Wait for connection on a given port.\n These methods return 1 on success, 0 on error.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int WaitForConnection (vtkServerSocket *socket, unsigned long msec);" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for WaitForConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CloseConnection */
    if ( strcmp ( argv[2], "CloseConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CloseConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CloseConnection */
    Tcl_DStringAppendElement ( &dString, " Close a connection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CloseConnection ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for CloseConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConnectTo */
    if ( strcmp ( argv[2], "ConnectTo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConnectTo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConnectTo */
    Tcl_DStringAppendElement ( &dString, " Open a connection to host.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ConnectTo (char *hostName, int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for ConnectTo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSwapBytesInReceivedData */
    if ( strcmp ( argv[2], "GetSwapBytesInReceivedData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSwapBytesInReceivedData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSwapBytesInReceivedData */
    Tcl_DStringAppendElement ( &dString, " Returns 1 if bytes must be swapped in received ints, floats, etc\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSwapBytesInReceivedData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for GetSwapBytesInReceivedData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIsConnected */
    if ( strcmp ( argv[2], "GetIsConnected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIsConnected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIsConnected */
    Tcl_DStringAppendElement ( &dString, " Is the communicator connected?.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIsConnected ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for GetIsConnected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfProcesses */
    if ( strcmp ( argv[2], "SetNumberOfProcesses" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfProcesses" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfProcesses */
    Tcl_DStringAppendElement ( &dString, " Set the number of processes you will be using.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfProcesses (int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for SetNumberOfProcesses */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Barrier */
    if ( strcmp ( argv[2], "Barrier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Barrier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Barrier */
    Tcl_DStringAppendElement ( &dString, " This class foolishly breaks the conventions of the superclass, so this\n overload fixes the method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Barrier ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for Barrier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPerformHandshake */
    if ( strcmp ( argv[2], "SetPerformHandshake" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPerformHandshake" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPerformHandshake */
    Tcl_DStringAppendElement ( &dString, " Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPerformHandshake (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for SetPerformHandshake */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPerformHandshakeMinValue */
    if ( strcmp ( argv[2], "GetPerformHandshakeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPerformHandshakeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPerformHandshakeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPerformHandshakeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for GetPerformHandshakeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPerformHandshakeMaxValue */
    if ( strcmp ( argv[2], "GetPerformHandshakeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPerformHandshakeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPerformHandshakeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPerformHandshakeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for GetPerformHandshakeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PerformHandshakeOn */
    if ( strcmp ( argv[2], "PerformHandshakeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PerformHandshakeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PerformHandshakeOn */
    Tcl_DStringAppendElement ( &dString, " Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PerformHandshakeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for PerformHandshakeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PerformHandshakeOff */
    if ( strcmp ( argv[2], "PerformHandshakeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PerformHandshakeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PerformHandshakeOff */
    Tcl_DStringAppendElement ( &dString, " Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void PerformHandshakeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for PerformHandshakeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPerformHandshake */
    if ( strcmp ( argv[2], "GetPerformHandshake" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPerformHandshake" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPerformHandshake */
    Tcl_DStringAppendElement ( &dString, " Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPerformHandshake ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for GetPerformHandshake */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LogToFile */
    if ( strcmp ( argv[2], "LogToFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LogToFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LogToFile */
    Tcl_DStringAppendElement ( &dString, " Log messages to the given file.  The file is truncated unless the\n second argument is non-zero (default is to truncate).  If the\n file name is empty or NULL, logging is disabled.  Returns 0 if\n the file failed to open, and 1 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int LogToFile (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for LogToFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LogToFile */
    if ( strcmp ( argv[2], "LogToFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LogToFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LogToFile */
    Tcl_DStringAppendElement ( &dString, " Log messages to the given file.  The file is truncated unless the\n second argument is non-zero (default is to truncate).  If the\n file name is empty or NULL, logging is disabled.  Returns 0 if\n the file failed to open, and 1 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int LogToFile (const char *name, int append);" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for LogToFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReportErrors */
    if ( strcmp ( argv[2], "SetReportErrors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReportErrors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReportErrors */
    Tcl_DStringAppendElement ( &dString, " If ReportErrors if false, all vtkErrorMacros are suppressed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReportErrors (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for SetReportErrors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReportErrors */
    if ( strcmp ( argv[2], "GetReportErrors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReportErrors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReportErrors */
    Tcl_DStringAppendElement ( &dString, " If ReportErrors if false, all vtkErrorMacros are suppressed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReportErrors ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for GetReportErrors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSocket */
    if ( strcmp ( argv[2], "GetSocket" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSocket" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSocket */
    Tcl_DStringAppendElement ( &dString, " Get/Set the actual socket used for communication.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkClientSocket *GetSocket ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for GetSocket */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSocket */
    if ( strcmp ( argv[2], "SetSocket" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSocket" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkClientSocket" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSocket */
    Tcl_DStringAppendElement ( &dString, " Get/Set the actual socket used for communication.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSocket (vtkClientSocket *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for SetSocket */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ServerSideHandshake */
    if ( strcmp ( argv[2], "ServerSideHandshake" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ServerSideHandshake" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ServerSideHandshake */
    Tcl_DStringAppendElement ( &dString, " Performs ServerSide handshake.\n" );
    Tcl_DStringAppendElement ( &dString, "int ServerSideHandshake ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for ServerSideHandshake */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClientSideHandshake */
    if ( strcmp ( argv[2], "ClientSideHandshake" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClientSideHandshake" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClientSideHandshake */
    Tcl_DStringAppendElement ( &dString, " Performs ClientSide handshake.\n" );
    Tcl_DStringAppendElement ( &dString, "int ClientSideHandshake ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for ClientSideHandshake */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIsServer */
    if ( strcmp ( argv[2], "GetIsServer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIsServer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIsServer */
    Tcl_DStringAppendElement ( &dString, " Returns true if this side of the socket is the server.  The result\n is invalid if the socket is not connected.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIsServer ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for GetIsServer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVersion */
    if ( strcmp ( argv[2], "GetVersion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVersion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVersion */
    Tcl_DStringAppendElement ( &dString, " Uniquely identifies the version of this class.  If the versions match,\n then the socket communicators should be compatible.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetVersion ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSocketCommunicator" );
    /* Closing for GetVersion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkCommunicatorCppCommand(static_cast<vtkCommunicator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
