// python wrapper for vtkSubCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSubCommunicator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSubCommunicatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSubCommunicatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCommunicatorNew(char *); }

static PyObject *PyvtkSubCommunicator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubCommunicator *op;

  const char    *temp20;
  op = (vtkSubCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubCommunicator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSubCommunicator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubCommunicator *op;

  char    *temp0;
  int      temp20;
  op = (vtkSubCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubCommunicator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubCommunicator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubCommunicator *op;

  vtkSubCommunicator  *temp20;
  op = (vtkSubCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubCommunicator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubCommunicator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSubCommunicator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSubCommunicator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSubCommunicator_GetGroup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubCommunicator *op;

  vtkProcessGroup  *temp20;
  op = (vtkSubCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubCommunicator::GetGroup();
      }
    else
      {
      temp20 = op->GetGroup();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubCommunicator_SetGroup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubCommunicator *op;

  vtkProcessGroup  *temp0;
  PyObject *tempH0;
  op = (vtkSubCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProcessGroup *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProcessGroup");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSubCommunicator::SetGroup(temp0);
      }
    else
      {
      op->SetGroup(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSubCommunicator_SendVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubCommunicator *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkSubCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#iiii", &temp0, &size0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendVoidArray in vtkSubCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendVoidArray in vtkSubCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubCommunicator::SendVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->SendVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubCommunicator_ReceiveVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubCommunicator *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkSubCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"s#iiii", &temp0, &size0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReceiveVoidArray in vtkSubCommunicator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ReceiveVoidArray in vtkSubCommunicator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubCommunicator::ReceiveVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ReceiveVoidArray(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSubCommunicatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSubCommunicator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSubCommunicator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSubCommunicator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSubCommunicator\nC++: vtkSubCommunicator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSubCommunicator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSubCommunicator\nC++: vtkSubCommunicator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetGroup",                (PyCFunction)PyvtkSubCommunicator_GetGroup, 1,
   (char*)"V.GetGroup() -> vtkProcessGroup\nC++: vtkProcessGroup *GetGroup ();\n\n Set/get the group on which communication will happen.\n"},
  {(char*)"SetGroup",                (PyCFunction)PyvtkSubCommunicator_SetGroup, 1,
   (char*)"V.SetGroup(vtkProcessGroup)\nC++: virtual void SetGroup (vtkProcessGroup *group);\n\n Set/get the group on which communication will happen.\n"},
  {(char*)"SendVoidArray",                (PyCFunction)PyvtkSubCommunicator_SendVoidArray, 1,
   (char*)"V.SendVoidArray(string, int, int, int, int) -> int\nC++: virtual int SendVoidArray (const void *data, vtkIdType length, int type, int remoteHandle, int tag);\n\n Implementation for abstract supercalss.\n"},
  {(char*)"ReceiveVoidArray",                (PyCFunction)PyvtkSubCommunicator_ReceiveVoidArray, 1,
   (char*)"V.ReceiveVoidArray(string, int, int, int, int) -> int\nC++: virtual int ReceiveVoidArray (void *data, vtkIdType length, int type, int remoteHandle, int tag);\n\n Implementation for abstract supercalss.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSubCommunicatorDoc[] = {
  (char*)"vtkSubCommunicator - Provides communication on a process group.\n\n",
  "Super Class:\n\n vtkCommunicator\n\n",
  (char*)"\n This class provides an implementation for communicating on process groups.\n In general, you should never use this class directly.  Instead, use the\n vtkMultiProcessController::CreateSubController method.\n\n .SECTION BUGS\n\n Because all communication is delegated to the original communicator,\n any error will report process ids with respect to the original\n communicator, not this communicator that w",
  (char*)"as actually used.\n\n\n",
  "See Also:\n\n vtkCommunicator, vtkMultiProcessController\n\n .SECTION Thanks\n This class was originally written by Kenneth Moreland (kmorel@sandia.gov)\n from Sandia National Laboratories.\n\n\n",
  NULL
};

static vtkObjectBase *vtkSubCommunicatorStaticNew()
{
  return vtkSubCommunicator::New();
}

PyObject *PyVTKClass_vtkSubCommunicatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkSubCommunicatorStaticNew,
                        PyvtkSubCommunicatorMethods,
                        (char*)"vtkSubCommunicator",modulename,
                        (char**)vtkSubCommunicatorDoc,
                        PyVTKClass_vtkCommunicatorNew(modulename));
}

