// python wrapper for vtkTemporalFractal object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalFractal.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalFractalNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalFractalNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTemporalDataSetAlgorithmNew(char *); }

static PyObject *PyvtkTemporalFractal_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  const char    *temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  vtkTemporalFractal  *temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalFractal  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalFractal::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalFractal_SetFractalValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  float    temp0;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::SetFractalValue(temp0);
      }
    else
      {
      op->SetFractalValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GetFractalValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  float    temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::GetFractalValue();
      }
    else
      {
      temp20 = op->GetFractalValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_SetMaximumLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp0;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::SetMaximumLevel(temp0);
      }
    else
      {
      op->SetMaximumLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GetMaximumLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::GetMaximumLevel();
      }
    else
      {
      temp20 = op->GetMaximumLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_SetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp0;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::SetDimensions(temp0);
      }
    else
      {
      op->SetDimensions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::GetDimensions();
      }
    else
      {
      temp20 = op->GetDimensions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_SetGhostLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp0;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::SetGhostLevels(temp0);
      }
    else
      {
      op->SetGhostLevels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GetGhostLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::GetGhostLevels();
      }
    else
      {
      temp20 = op->GetGhostLevels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GhostLevelsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::GhostLevelsOn();
      }
    else
      {
      op->GhostLevelsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GhostLevelsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::GhostLevelsOff();
      }
    else
      {
      op->GhostLevelsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_SetGenerateRectilinearGrids(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp0;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::SetGenerateRectilinearGrids(temp0);
      }
    else
      {
      op->SetGenerateRectilinearGrids(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GetGenerateRectilinearGrids(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::GetGenerateRectilinearGrids();
      }
    else
      {
      temp20 = op->GetGenerateRectilinearGrids();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GenerateRectilinearGridsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::GenerateRectilinearGridsOn();
      }
    else
      {
      op->GenerateRectilinearGridsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GenerateRectilinearGridsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::GenerateRectilinearGridsOff();
      }
    else
      {
      op->GenerateRectilinearGridsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_SetDiscreteTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp0;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::SetDiscreteTimeSteps(temp0);
      }
    else
      {
      op->SetDiscreteTimeSteps(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GetDiscreteTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::GetDiscreteTimeSteps();
      }
    else
      {
      temp20 = op->GetDiscreteTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_DiscreteTimeStepsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::DiscreteTimeStepsOn();
      }
    else
      {
      op->DiscreteTimeStepsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_DiscreteTimeStepsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::DiscreteTimeStepsOff();
      }
    else
      {
      op->DiscreteTimeStepsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_SetTwoDimensional(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp0;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::SetTwoDimensional(temp0);
      }
    else
      {
      op->SetTwoDimensional(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GetTwoDimensional(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::GetTwoDimensional();
      }
    else
      {
      temp20 = op->GetTwoDimensional();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_TwoDimensionalOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::TwoDimensionalOn();
      }
    else
      {
      op->TwoDimensionalOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_TwoDimensionalOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::TwoDimensionalOff();
      }
    else
      {
      op->TwoDimensionalOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_SetAsymetric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp0;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::SetAsymetric(temp0);
      }
    else
      {
      op->SetAsymetric(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GetAsymetric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::GetAsymetric();
      }
    else
      {
      temp20 = op->GetAsymetric();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_SetAdaptiveSubdivision(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp0;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::SetAdaptiveSubdivision(temp0);
      }
    else
      {
      op->SetAdaptiveSubdivision(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_GetAdaptiveSubdivision(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  int      temp20;
  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalFractal::GetAdaptiveSubdivision();
      }
    else
      {
      temp20 = op->GetAdaptiveSubdivision();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_AdaptiveSubdivisionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::AdaptiveSubdivisionOn();
      }
    else
      {
      op->AdaptiveSubdivisionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalFractal_AdaptiveSubdivisionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalFractal *op;

  op = (vtkTemporalFractal *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalFractal::AdaptiveSubdivisionOff();
      }
    else
      {
      op->AdaptiveSubdivisionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTemporalFractalMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalFractal_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalFractal_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalFractal_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalFractal\nC++: vtkTemporalFractal *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalFractal_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalFractal\nC++: vtkTemporalFractal *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFractalValue",                (PyCFunction)PyvtkTemporalFractal_SetFractalValue, 1,
   (char*)"V.SetFractalValue(float)\nC++: void SetFractalValue (float );\n\n Essentially the iso surface value.\n The fractal array is scaled to map this value to 0.5 for use as a volume\n fraction.\n"},
  {(char*)"GetFractalValue",                (PyCFunction)PyvtkTemporalFractal_GetFractalValue, 1,
   (char*)"V.GetFractalValue() -> float\nC++: float GetFractalValue ();\n\n Essentially the iso surface value.\n The fractal array is scaled to map this value to 0.5 for use as a volume\n fraction.\n"},
  {(char*)"SetMaximumLevel",                (PyCFunction)PyvtkTemporalFractal_SetMaximumLevel, 1,
   (char*)"V.SetMaximumLevel(int)\nC++: void SetMaximumLevel (int );\n\n Any blocks touching a predefined line will be subdivided to this level.\n Other blocks are subdivided so that neighboring blocks only differ\n by one level.\n"},
  {(char*)"GetMaximumLevel",                (PyCFunction)PyvtkTemporalFractal_GetMaximumLevel, 1,
   (char*)"V.GetMaximumLevel() -> int\nC++: int GetMaximumLevel ();\n\n Any blocks touching a predefined line will be subdivided to this level.\n Other blocks are subdivided so that neighboring blocks only differ\n by one level.\n"},
  {(char*)"SetDimensions",                (PyCFunction)PyvtkTemporalFractal_SetDimensions, 1,
   (char*)"V.SetDimensions(int)\nC++: void SetDimensions (int );\n\n XYZ dimensions of cells.\n"},
  {(char*)"GetDimensions",                (PyCFunction)PyvtkTemporalFractal_GetDimensions, 1,
   (char*)"V.GetDimensions() -> int\nC++: int GetDimensions ();\n\n XYZ dimensions of cells.\n"},
  {(char*)"SetGhostLevels",                (PyCFunction)PyvtkTemporalFractal_SetGhostLevels, 1,
   (char*)"V.SetGhostLevels(int)\nC++: void SetGhostLevels (int );\n\n For testing ghost levels.\n"},
  {(char*)"GetGhostLevels",                (PyCFunction)PyvtkTemporalFractal_GetGhostLevels, 1,
   (char*)"V.GetGhostLevels() -> int\nC++: int GetGhostLevels ();\n\n For testing ghost levels.\n"},
  {(char*)"GhostLevelsOn",                (PyCFunction)PyvtkTemporalFractal_GhostLevelsOn, 1,
   (char*)"V.GhostLevelsOn()\nC++: void GhostLevelsOn ();\n\n For testing ghost levels.\n"},
  {(char*)"GhostLevelsOff",                (PyCFunction)PyvtkTemporalFractal_GhostLevelsOff, 1,
   (char*)"V.GhostLevelsOff()\nC++: void GhostLevelsOff ();\n\n For testing ghost levels.\n"},
  {(char*)"SetGenerateRectilinearGrids",                (PyCFunction)PyvtkTemporalFractal_SetGenerateRectilinearGrids, 1,
   (char*)"V.SetGenerateRectilinearGrids(int)\nC++: void SetGenerateRectilinearGrids (int );\n\n Generate either rectilinear grids either uniform grids.\n Default is false.\n"},
  {(char*)"GetGenerateRectilinearGrids",                (PyCFunction)PyvtkTemporalFractal_GetGenerateRectilinearGrids, 1,
   (char*)"V.GetGenerateRectilinearGrids() -> int\nC++: int GetGenerateRectilinearGrids ();\n\n Generate either rectilinear grids either uniform grids.\n Default is false.\n"},
  {(char*)"GenerateRectilinearGridsOn",                (PyCFunction)PyvtkTemporalFractal_GenerateRectilinearGridsOn, 1,
   (char*)"V.GenerateRectilinearGridsOn()\nC++: void GenerateRectilinearGridsOn ();\n\n Generate either rectilinear grids either uniform grids.\n Default is false.\n"},
  {(char*)"GenerateRectilinearGridsOff",                (PyCFunction)PyvtkTemporalFractal_GenerateRectilinearGridsOff, 1,
   (char*)"V.GenerateRectilinearGridsOff()\nC++: void GenerateRectilinearGridsOff ();\n\n Generate either rectilinear grids either uniform grids.\n Default is false.\n"},
  {(char*)"SetDiscreteTimeSteps",                (PyCFunction)PyvtkTemporalFractal_SetDiscreteTimeSteps, 1,
   (char*)"V.SetDiscreteTimeSteps(int)\nC++: void SetDiscreteTimeSteps (int );\n\n Limit this source to discrete integer time steps\n Default is off (continuous)\n"},
  {(char*)"GetDiscreteTimeSteps",                (PyCFunction)PyvtkTemporalFractal_GetDiscreteTimeSteps, 1,
   (char*)"V.GetDiscreteTimeSteps() -> int\nC++: int GetDiscreteTimeSteps ();\n\n Limit this source to discrete integer time steps\n Default is off (continuous)\n"},
  {(char*)"DiscreteTimeStepsOn",                (PyCFunction)PyvtkTemporalFractal_DiscreteTimeStepsOn, 1,
   (char*)"V.DiscreteTimeStepsOn()\nC++: void DiscreteTimeStepsOn ();\n\n Limit this source to discrete integer time steps\n Default is off (continuous)\n"},
  {(char*)"DiscreteTimeStepsOff",                (PyCFunction)PyvtkTemporalFractal_DiscreteTimeStepsOff, 1,
   (char*)"V.DiscreteTimeStepsOff()\nC++: void DiscreteTimeStepsOff ();\n\n Limit this source to discrete integer time steps\n Default is off (continuous)\n"},
  {(char*)"SetTwoDimensional",                (PyCFunction)PyvtkTemporalFractal_SetTwoDimensional, 1,
   (char*)"V.SetTwoDimensional(int)\nC++: void SetTwoDimensional (int );\n\n Make a 2D data set to test.\n"},
  {(char*)"GetTwoDimensional",                (PyCFunction)PyvtkTemporalFractal_GetTwoDimensional, 1,
   (char*)"V.GetTwoDimensional() -> int\nC++: int GetTwoDimensional ();\n\n Make a 2D data set to test.\n"},
  {(char*)"TwoDimensionalOn",                (PyCFunction)PyvtkTemporalFractal_TwoDimensionalOn, 1,
   (char*)"V.TwoDimensionalOn()\nC++: void TwoDimensionalOn ();\n\n Make a 2D data set to test.\n"},
  {(char*)"TwoDimensionalOff",                (PyCFunction)PyvtkTemporalFractal_TwoDimensionalOff, 1,
   (char*)"V.TwoDimensionalOff()\nC++: void TwoDimensionalOff ();\n\n Make a 2D data set to test.\n"},
  {(char*)"SetAsymetric",                (PyCFunction)PyvtkTemporalFractal_SetAsymetric, 1,
   (char*)"V.SetAsymetric(int)\nC++: void SetAsymetric (int );\n\n Test the case when the blocks do not have the same sizes.\n Adds 2 to the x extent of the far x blocks (level 1).\n"},
  {(char*)"GetAsymetric",                (PyCFunction)PyvtkTemporalFractal_GetAsymetric, 1,
   (char*)"V.GetAsymetric() -> int\nC++: int GetAsymetric ();\n\n Test the case when the blocks do not have the same sizes.\n Adds 2 to the x extent of the far x blocks (level 1).\n"},
  {(char*)"SetAdaptiveSubdivision",                (PyCFunction)PyvtkTemporalFractal_SetAdaptiveSubdivision, 1,
   (char*)"V.SetAdaptiveSubdivision(int)\nC++: void SetAdaptiveSubdivision (int );\n\n Make the division adaptive or not, defaults to Adaptive\n"},
  {(char*)"GetAdaptiveSubdivision",                (PyCFunction)PyvtkTemporalFractal_GetAdaptiveSubdivision, 1,
   (char*)"V.GetAdaptiveSubdivision() -> int\nC++: int GetAdaptiveSubdivision ();\n\n Make the division adaptive or not, defaults to Adaptive\n"},
  {(char*)"AdaptiveSubdivisionOn",                (PyCFunction)PyvtkTemporalFractal_AdaptiveSubdivisionOn, 1,
   (char*)"V.AdaptiveSubdivisionOn()\nC++: void AdaptiveSubdivisionOn ();\n\n Make the division adaptive or not, defaults to Adaptive\n"},
  {(char*)"AdaptiveSubdivisionOff",                (PyCFunction)PyvtkTemporalFractal_AdaptiveSubdivisionOff, 1,
   (char*)"V.AdaptiveSubdivisionOff()\nC++: void AdaptiveSubdivisionOff ();\n\n Make the division adaptive or not, defaults to Adaptive\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalFractalDoc[] = {
  (char*)"vtkTemporalFractal - A source to test AMR data object.\n\n",
  "Super Class:\n\n vtkTemporalDataSetAlgorithm\n\n",
  (char*)" vtkTemporalFractal is a collection of uniform grids.  All have the same\n dimensions. Each block has a different origin and spacing.  It uses\n mandelbrot to create cell data. I scale the fractal array to look like a\n volme fraction.\n I may also add block id and level as extra cell arrays.\n This source produces a vtkHierarchicalBoxDataSet when \n GenerateRectilinearGrids is off, otherwise produces a",
  (char*)" vtkMultiBlockDataSet.\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalFractalStaticNew()
{
  return vtkTemporalFractal::New();
}

PyObject *PyVTKClass_vtkTemporalFractalNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalFractalStaticNew,
                        PyvtkTemporalFractalMethods,
                        (char*)"vtkTemporalFractal",modulename,
                        (char**)vtkTemporalFractalDoc,
                        PyVTKClass_vtkTemporalDataSetAlgorithmNew(modulename));
}

