// python wrapper for vtkTemporalInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalInterpolatedVelocityField.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalInterpolatedVelocityFieldNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalInterpolatedVelocityFieldNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkFunctionSetNew(char *); }

static PyObject *PyvtkTemporalInterpolatedVelocityField_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  const char    *temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  vtkTemporalInterpolatedVelocityField  *temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalInterpolatedVelocityField  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalInterpolatedVelocityField::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_SelectVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  char    *temp0;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolatedVelocityField::SelectVectors(temp0);
      }
    else
      {
      op->SelectVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_AddDataSetAtTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  int      temp0;
  double   temp1;
  vtkDataSet  *temp2;
  PyObject *tempH2;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"idO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataSet");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolatedVelocityField::AddDataSetAtTime(temp0,temp1,temp2);
      }
    else
      {
      op->AddDataSetAtTime(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_SetGeometryFixed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  int      temp0;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolatedVelocityField::SetGeometryFixed(temp0);
      }
    else
      {
      op->SetGeometryFixed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_GetGeometryFixed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  int      temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::GetGeometryFixed();
      }
    else
      {
      temp20 = op->GetGeometryFixed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_GetCachedCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  vtkIdType temp0[2];
  int    temp1[2];
  bool   temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"(ii)(ii)", temp0 + 0, temp0 + 1, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::GetCachedCellIds(temp0,temp1);
      }
    else
      {
      temp20 = op->GetCachedCellIds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_SetCachedCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  vtkIdType temp0[2];
  int    temp1[2];
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"(ii)(ii)", temp0 + 0, temp0 + 1, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolatedVelocityField::SetCachedCellIds(temp0,temp1);
      }
    else
      {
      op->SetCachedCellIds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_ClearCache(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolatedVelocityField::ClearCache();
      }
    else
      {
      op->ClearCache();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_GetLastGoodVelocity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  double  *temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::GetLastGoodVelocity();
      }
    else
      {
      temp20 = op->GetLastGoodVelocity();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_GetCurrentWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  double   temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::GetCurrentWeight();
      }
    else
      {
      temp20 = op->GetCurrentWeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_InterpolatePoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  vtkPointData  *temp0;
  PyObject *tempH0;
  vtkPointData  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  bool   temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointData");
    if (!temp0 && tempH0 != Py_None) goto break13;
    temp1 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPointData");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::InterpolatePoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->InterpolatePoint(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_InterpolatePointAtT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  int      temp0;
  vtkPointData  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  bool   temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"iOi", &temp0, &tempH1, &temp2);
  if (op)
    {
    temp1 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPointData");
    if (!temp1 && tempH1 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::InterpolatePointAtT(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->InterpolatePointAtT(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break14:
  return NULL;
}

static PyMethodDef PyvtkTemporalInterpolatedVelocityFieldMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalInterpolatedVelocityField\nC++: vtkTemporalInterpolatedVelocityField *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalInterpolatedVelocityField\nC++: vtkTemporalInterpolatedVelocityField *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SelectVectors",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_SelectVectors, 1,
   (char*)"V.SelectVectors(string)\nC++: void SelectVectors (const char *fieldName);this SetVectorsSelection fieldName \n\n In order to use this class, two sets of data must be supplied, \n corresponding to times T1 and T2. Data is added via\n this function.\n"},
  {(char*)"AddDataSetAtTime",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_AddDataSetAtTime, 1,
   (char*)"V.AddDataSetAtTime(int, float, vtkDataSet)\nC++: void AddDataSetAtTime (int N, double T, vtkDataSet *dataset);\n\n In order to use this class, two sets of data must be supplied, \n corresponding to times T1 and T2. Data is added via\n this function.\n"},
  {(char*)"SetGeometryFixed",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_SetGeometryFixed, 1,
   (char*)"V.SetGeometryFixed(int)\nC++: void SetGeometryFixed (int g);this GeometryFixed g \n\n Allow the algorithm using us to turn on/off caching\n of CellIds between datasets. If true, then calculations\n on the second set of data (T2) use the weights from T1\n without any error checking. Use with caution.\n We don't use a SetGetMacro to avoid calling Modified()\n"},
  {(char*)"GetGeometryFixed",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_GetGeometryFixed, 1,
   (char*)"V.GetGeometryFixed() -> int\nC++: int GetGeometryFixed ();return this GeometryFixed \n\n Between iterations of the PArticle TRacer, Id's of the Cell\n are stored and then at the start of the next particle the\n Ids are set to 'pre-fill' the cache.\n"},
  {(char*)"GetCachedCellIds",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_GetCachedCellIds, 1,
   (char*)"V.GetCachedCellIds((int, int), (int, int)) -> bool\nC++: bool GetCachedCellIds (vtkIdType id[2], int ds[2]);\n\n Between iterations of the PArticle TRacer, Id's of the Cell\n are stored and then at the start of the next particle the\n Ids are set to 'pre-fill' the cache.\n"},
  {(char*)"SetCachedCellIds",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_SetCachedCellIds, 1,
   (char*)"V.SetCachedCellIds((int, int), (int, int))\nC++: void SetCachedCellIds (vtkIdType id[2], int ds[2]);\n\n Between iterations of the PArticle TRacer, Id's of the Cell\n are stored and then at the start of the next particle the\n Ids are set to 'pre-fill' the cache.\n"},
  {(char*)"ClearCache",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_ClearCache, 1,
   (char*)"V.ClearCache()\nC++: void ClearCache ();\n\n Set the last cell id to -1 so that the next search does not\n start from the previous cell\n"},
  {(char*)"GetLastGoodVelocity",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_GetLastGoodVelocity, 1,
   (char*)"V.GetLastGoodVelocity() -> (float, float, float)\nC++: double  *GetLastGoodVelocity ();\n\n If an interpolation was successful, we can retrieve the last computed\n value from here.\n"},
  {(char*)"GetCurrentWeight",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_GetCurrentWeight, 1,
   (char*)"V.GetCurrentWeight() -> float\nC++: double GetCurrentWeight ();\n\n Get the most recent weight between 0->1 from T1->T2\n"},
  {(char*)"InterpolatePoint",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_InterpolatePoint, 1,
   (char*)"V.InterpolatePoint(vtkPointData, vtkPointData, int) -> bool\nC++: bool InterpolatePoint (vtkPointData *outPD1, vtkPointData *outPD2, vtkIdType outIndex);\n\n"},
  {(char*)"InterpolatePointAtT",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_InterpolatePointAtT, 1,
   (char*)"V.InterpolatePointAtT(int, vtkPointData, int) -> bool\nC++: bool InterpolatePointAtT (int T, vtkPointData *outPD, vtkIdType outIndex);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalInterpolatedVelocityFieldDoc[] = {
  (char*)"vtkTemporalInterpolatedVelocityField - A helper class for \n\n",
  "Super Class:\n\n vtkFunctionSet\n\n",
  (char*)" vtkTemporalInterpolatedVelocityField is a temporal version of \n vtk vtkInterpolatedVelocityField. I maintains two copies of \n vtkInterpolatedVelocityField internally and uses them to obtain velocity\n values at time T1 and T2. \n In fact the class does quite a bit more than this because when the geometry\n of the datasets is the same at T1 and T2, we can re-use cached cell Ids and \n weights used in ",
  (char*)"the cell interpolation routines.\n Additionally, the same weights can be used when interpolating (point) scalar \n values and computing vorticity etc, so the class acts as a general purpose\n helper for the temporal particle tracing code (vtkTemporalStreamTracer)\n\n",
  "Caveats:\n\n vtkTemporalInterpolatedVelocityField is not thread safe. \n A new instance should be created by each thread.\n\n\n",
  "See Also:\n\n vtkFunctionSet vtkStreamer \n vtkInterpolatedVelocityField vtkTemporalStreamTracer\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalInterpolatedVelocityFieldStaticNew()
{
  return vtkTemporalInterpolatedVelocityField::New();
}

PyObject *PyVTKClass_vtkTemporalInterpolatedVelocityFieldNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalInterpolatedVelocityFieldStaticNew,
                        PyvtkTemporalInterpolatedVelocityFieldMethods,
                        (char*)"vtkTemporalInterpolatedVelocityField",modulename,
                        (char**)vtkTemporalInterpolatedVelocityFieldDoc,
                        PyVTKClass_vtkFunctionSetNew(modulename));
}

