// tcl wrapper for vtkTemporalInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalInterpolatedVelocityField.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTemporalInterpolatedVelocityFieldNewCommand()
{
  vtkTemporalInterpolatedVelocityField *temp = vtkTemporalInterpolatedVelocityField::New();
  return static_cast<ClientData>(temp);
}

int vtkFunctionSetCppCommand(vtkFunctionSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTemporalInterpolatedVelocityFieldCppCommand(vtkTemporalInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTemporalInterpolatedVelocityFieldCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTemporalInterpolatedVelocityFieldCppCommand(static_cast<vtkTemporalInterpolatedVelocityField *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTemporalInterpolatedVelocityFieldCppCommand(vtkTemporalInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTemporalInterpolatedVelocityField",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkFunctionSetCppCommand(static_cast<vtkFunctionSet *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkFunctionSet"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTemporalInterpolatedVelocityField  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalInterpolatedVelocityField");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTemporalInterpolatedVelocityField  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalInterpolatedVelocityField");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTemporalInterpolatedVelocityField  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalInterpolatedVelocityField");
    return TCL_OK;
    }
  if ((!strcmp("SelectVectors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddDataSetAtTime",argv[1]))&&(argc == 5))
    {
    int      temp0;
    double   temp1;
    vtkDataSet  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    temp2 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->AddDataSetAtTime(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGeometryFixed",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGeometryFixed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeometryFixed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeometryFixed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClearCache",argv[1]))&&(argc == 2))
    {
    op->ClearCache();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLastGoodVelocity",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetLastGoodVelocity();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentWeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCurrentWeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InterpolatePoint",argv[1]))&&(argc == 5))
    {
    vtkPointData  *temp0;
    vtkPointData  *temp1;
    vtkIdType   temp2;
    bool   temp20;
    error = 0;

    temp0 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPointData"),interp,error));
    temp1 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPointData"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->InterpolatePoint(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolatePointAtT",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkPointData  *temp1;
    vtkIdType   temp2;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPointData"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->InterpolatePointAtT(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTemporalInterpolatedVelocityFieldCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkFunctionSetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTemporalInterpolatedVelocityField:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SelectVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddDataSetAtTime\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGeometryFixed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeometryFixed\n",NULL);
    Tcl_AppendResult(interp,"  ClearCache\n",NULL);
    Tcl_AppendResult(interp,"  GetLastGoodVelocity\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentWeight\n",NULL);
    Tcl_AppendResult(interp,"  InterpolatePoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InterpolatePointAtT\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkFunctionSetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SelectVectors" );
    Tcl_DStringAppendElement ( &dString, "AddDataSetAtTime" );
    Tcl_DStringAppendElement ( &dString, "SetGeometryFixed" );
    Tcl_DStringAppendElement ( &dString, "GetGeometryFixed" );
    Tcl_DStringAppendElement ( &dString, "ClearCache" );
    Tcl_DStringAppendElement ( &dString, "GetLastGoodVelocity" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentWeight" );
    Tcl_DStringAppendElement ( &dString, "InterpolatePoint" );
    Tcl_DStringAppendElement ( &dString, "InterpolatePointAtT" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkFunctionSetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct a vtkTemporalInterpolatedVelocityField with no initial data set.\n Caching is on. LastCellId is set to -1.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTemporalInterpolatedVelocityField *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectVectors */
    if ( strcmp ( argv[2], "SelectVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectVectors */
    Tcl_DStringAppendElement ( &dString, " In order to use this class, two sets of data must be supplied, \n corresponding to times T1 and T2. Data is added via\n this function.\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectVectors (const char *fieldName);this SetVectorsSelection fieldName " );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for SelectVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddDataSetAtTime */
    if ( strcmp ( argv[2], "AddDataSetAtTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDataSetAtTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDataSetAtTime */
    Tcl_DStringAppendElement ( &dString, " In order to use this class, two sets of data must be supplied, \n corresponding to times T1 and T2. Data is added via\n this function.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddDataSetAtTime (int N, double T, vtkDataSet *dataset);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for AddDataSetAtTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeometryFixed */
    if ( strcmp ( argv[2], "SetGeometryFixed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeometryFixed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeometryFixed */
    Tcl_DStringAppendElement ( &dString, " Allow the algorithm using us to turn on/off caching\n of CellIds between datasets. If true, then calculations\n on the second set of data (T2) use the weights from T1\n without any error checking. Use with caution.\n We don't use a SetGetMacro to avoid calling Modified()\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeometryFixed (int g);this GeometryFixed g " );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for SetGeometryFixed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeometryFixed */
    if ( strcmp ( argv[2], "GetGeometryFixed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeometryFixed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeometryFixed */
    Tcl_DStringAppendElement ( &dString, " Between iterations of the PArticle TRacer, Id's of the Cell\n are stored and then at the start of the next particle the\n Ids are set to 'pre-fill' the cache.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGeometryFixed ();return this GeometryFixed " );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for GetGeometryFixed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearCache */
    if ( strcmp ( argv[2], "ClearCache" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearCache" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearCache */
    Tcl_DStringAppendElement ( &dString, " Set the last cell id to -1 so that the next search does not\n start from the previous cell\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearCache ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for ClearCache */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastGoodVelocity */
    if ( strcmp ( argv[2], "GetLastGoodVelocity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastGoodVelocity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastGoodVelocity */
    Tcl_DStringAppendElement ( &dString, " If an interpolation was successful, we can retrieve the last computed\n value from here.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetLastGoodVelocity ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for GetLastGoodVelocity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentWeight */
    if ( strcmp ( argv[2], "GetCurrentWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentWeight */
    Tcl_DStringAppendElement ( &dString, " Get the most recent weight between 0->1 from T1->T2\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCurrentWeight ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for GetCurrentWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolatePoint */
    if ( strcmp ( argv[2], "InterpolatePoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolatePoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolatePoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "bool InterpolatePoint (vtkPointData *outPD1, vtkPointData *outPD2, vtkIdType outIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for InterpolatePoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolatePointAtT */
    if ( strcmp ( argv[2], "InterpolatePointAtT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolatePointAtT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolatePointAtT */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "bool InterpolatePointAtT (int T, vtkPointData *outPD, vtkIdType outIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalInterpolatedVelocityField" );
    /* Closing for InterpolatePointAtT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkFunctionSetCppCommand(static_cast<vtkFunctionSet *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
