// tcl wrapper for vtkTemporalStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalStreamTracer.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTemporalStreamTracerNewCommand()
{
  vtkTemporalStreamTracer *temp = vtkTemporalStreamTracer::New();
  return static_cast<ClientData>(temp);
}

int vtkStreamTracerCppCommand(vtkStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTemporalStreamTracerCppCommand(vtkTemporalStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTemporalStreamTracerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTemporalStreamTracerCppCommand(static_cast<vtkTemporalStreamTracer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTemporalStreamTracerCppCommand(vtkTemporalStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTemporalStreamTracer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkStreamTracerCppCommand(static_cast<vtkStreamTracer *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkStreamTracer"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTemporalStreamTracer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalStreamTracer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTemporalStreamTracer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalStreamTracer");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTemporalStreamTracer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTemporalStreamTracer");
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStep",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetTimeStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeStep",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetTimeStep();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIgnorePipelineTime",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIgnorePipelineTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIgnorePipelineTime",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIgnorePipelineTime();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IgnorePipelineTimeOn",argv[1]))&&(argc == 2))
    {
    op->IgnorePipelineTimeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IgnorePipelineTimeOff",argv[1]))&&(argc == 2))
    {
    op->IgnorePipelineTimeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStepResolution",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTimeStepResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeStepResolution",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTimeStepResolution();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetForceReinjectionEveryNSteps",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetForceReinjectionEveryNSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetForceReinjectionEveryNSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetForceReinjectionEveryNSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSource2",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetSource2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource2",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetSource2();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SetSource2Connection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetSource2Connection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnableSource1",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableSource1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableSource1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnableSource1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnableSource1On",argv[1]))&&(argc == 2))
    {
    op->EnableSource1On();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableSource1Off",argv[1]))&&(argc == 2))
    {
    op->EnableSource1Off();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEnableSource2",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableSource2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableSource2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnableSource2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnableSource2On",argv[1]))&&(argc == 2))
    {
    op->EnableSource2On();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableSource2Off",argv[1]))&&(argc == 2))
    {
    op->EnableSource2Off();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetParticleWriter",argv[1]))&&(argc == 3))
    {
    vtkAbstractParticleWriter  *temp0;
    error = 0;

    temp0 = (vtkAbstractParticleWriter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractParticleWriter"),interp,error));
    if (!error)
    {
    op->SetParticleWriter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParticleWriter",argv[1]))&&(argc == 2))
    {
    vtkAbstractParticleWriter  *temp20;
    temp20 = (op)->GetParticleWriter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractParticleWriter");
    return TCL_OK;
    }
  if ((!strcmp("SetParticleFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetParticleFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParticleFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetParticleFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEnableParticleWriting",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableParticleWriting(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableParticleWriting",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnableParticleWriting();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnableParticleWritingOn",argv[1]))&&(argc == 2))
    {
    op->EnableParticleWritingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableParticleWritingOff",argv[1]))&&(argc == 2))
    {
    op->EnableParticleWritingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTemporalStreamTracerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkStreamTracerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTemporalStreamTracer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStep\n",NULL);
    Tcl_AppendResult(interp,"  SetIgnorePipelineTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIgnorePipelineTime\n",NULL);
    Tcl_AppendResult(interp,"  IgnorePipelineTimeOn\n",NULL);
    Tcl_AppendResult(interp,"  IgnorePipelineTimeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStepResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetForceReinjectionEveryNSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetForceReinjectionEveryNSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetSource2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource2\n",NULL);
    Tcl_AppendResult(interp,"  SetSource2Connection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableSource1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableSource1\n",NULL);
    Tcl_AppendResult(interp,"  EnableSource1On\n",NULL);
    Tcl_AppendResult(interp,"  EnableSource1Off\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableSource2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableSource2\n",NULL);
    Tcl_AppendResult(interp,"  EnableSource2On\n",NULL);
    Tcl_AppendResult(interp,"  EnableSource2Off\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  SetParticleWriter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParticleWriter\n",NULL);
    Tcl_AppendResult(interp,"  SetParticleFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParticleFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableParticleWriting\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableParticleWriting\n",NULL);
    Tcl_AppendResult(interp,"  EnableParticleWritingOn\n",NULL);
    Tcl_AppendResult(interp,"  EnableParticleWritingOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkStreamTracerCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "SetIgnorePipelineTime" );
    Tcl_DStringAppendElement ( &dString, "GetIgnorePipelineTime" );
    Tcl_DStringAppendElement ( &dString, "IgnorePipelineTimeOn" );
    Tcl_DStringAppendElement ( &dString, "IgnorePipelineTimeOff" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepResolution" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepResolution" );
    Tcl_DStringAppendElement ( &dString, "SetForceReinjectionEveryNSteps" );
    Tcl_DStringAppendElement ( &dString, "GetForceReinjectionEveryNSteps" );
    Tcl_DStringAppendElement ( &dString, "SetSource2" );
    Tcl_DStringAppendElement ( &dString, "GetSource2" );
    Tcl_DStringAppendElement ( &dString, "SetSource2Connection" );
    Tcl_DStringAppendElement ( &dString, "SetEnableSource1" );
    Tcl_DStringAppendElement ( &dString, "GetEnableSource1" );
    Tcl_DStringAppendElement ( &dString, "EnableSource1On" );
    Tcl_DStringAppendElement ( &dString, "EnableSource1Off" );
    Tcl_DStringAppendElement ( &dString, "SetEnableSource2" );
    Tcl_DStringAppendElement ( &dString, "GetEnableSource2" );
    Tcl_DStringAppendElement ( &dString, "EnableSource2On" );
    Tcl_DStringAppendElement ( &dString, "EnableSource2Off" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "SetParticleWriter" );
    Tcl_DStringAppendElement ( &dString, "GetParticleWriter" );
    Tcl_DStringAppendElement ( &dString, "SetParticleFileName" );
    Tcl_DStringAppendElement ( &dString, "GetParticleFileName" );
    Tcl_DStringAppendElement ( &dString, "SetEnableParticleWriting" );
    Tcl_DStringAppendElement ( &dString, "GetEnableParticleWriting" );
    Tcl_DStringAppendElement ( &dString, "EnableParticleWritingOn" );
    Tcl_DStringAppendElement ( &dString, "EnableParticleWritingOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkStreamTracerCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object using 2nd order Runge Kutta \n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTemporalStreamTracer *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStep */
    if ( strcmp ( argv[2], "SetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Set/Get the TimeStep. This is the primary means of advancing \n the particles. The TimeStep should be animated and this will drive\n the pipeline forcing timesteps to be fetched from upstream.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStep (unsigned int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStep */
    if ( strcmp ( argv[2], "GetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Set/Get the TimeStep. This is the primary means of advancing \n the particles. The TimeStep should be animated and this will drive\n the pipeline forcing timesteps to be fetched from upstream.\n" );
    Tcl_DStringAppendElement ( &dString, "int unsigned GetTimeStep ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIgnorePipelineTime */
    if ( strcmp ( argv[2], "SetIgnorePipelineTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIgnorePipelineTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIgnorePipelineTime */
    Tcl_DStringAppendElement ( &dString, " To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIgnorePipelineTime (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetIgnorePipelineTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIgnorePipelineTime */
    if ( strcmp ( argv[2], "GetIgnorePipelineTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIgnorePipelineTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIgnorePipelineTime */
    Tcl_DStringAppendElement ( &dString, " To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIgnorePipelineTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetIgnorePipelineTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IgnorePipelineTimeOn */
    if ( strcmp ( argv[2], "IgnorePipelineTimeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnorePipelineTimeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnorePipelineTimeOn */
    Tcl_DStringAppendElement ( &dString, " To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n" );
    Tcl_DStringAppendElement ( &dString, "void IgnorePipelineTimeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for IgnorePipelineTimeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IgnorePipelineTimeOff */
    if ( strcmp ( argv[2], "IgnorePipelineTimeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnorePipelineTimeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnorePipelineTimeOff */
    Tcl_DStringAppendElement ( &dString, " To get around problems with the Paraview Animation controls\n we can just animate the time step and ignore the TIME_ requests\n" );
    Tcl_DStringAppendElement ( &dString, "void IgnorePipelineTimeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for IgnorePipelineTimeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStepResolution */
    if ( strcmp ( argv[2], "SetTimeStepResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepResolution */
    Tcl_DStringAppendElement ( &dString, " If the data source does not have the correct time values \n present on each time step - setting this value to non unity can\n be used to adjust the time step size from 1s pre step to\n 1x_TimeStepResolution : Not functional in this version. \n Broke it @todo, put back time scaling\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStepResolution (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetTimeStepResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStepResolution */
    if ( strcmp ( argv[2], "GetTimeStepResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStepResolution */
    Tcl_DStringAppendElement ( &dString, " If the data source does not have the correct time values \n present on each time step - setting this value to non unity can\n be used to adjust the time step size from 1s pre step to\n 1x_TimeStepResolution : Not functional in this version. \n Broke it @todo, put back time scaling\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTimeStepResolution ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetTimeStepResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForceReinjectionEveryNSteps */
    if ( strcmp ( argv[2], "SetForceReinjectionEveryNSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceReinjectionEveryNSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceReinjectionEveryNSteps */
    Tcl_DStringAppendElement ( &dString, " When animating particles, it is nice to inject new ones every Nth step\n to produce a continuous flow. Setting ForceReinjectionEveryNSteps to a \n non zero value will cause the particle source to reinject particles\n every Nth step even if it is otherwise unchanged.\n Note that if the particle source is also animated, this flag will be\n redundant as the particles will be reinjected whenever the source changes \n anyway\n" );
    Tcl_DStringAppendElement ( &dString, "void SetForceReinjectionEveryNSteps (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetForceReinjectionEveryNSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetForceReinjectionEveryNSteps */
    if ( strcmp ( argv[2], "GetForceReinjectionEveryNSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceReinjectionEveryNSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceReinjectionEveryNSteps */
    Tcl_DStringAppendElement ( &dString, " When animating particles, it is nice to inject new ones every Nth step\n to produce a continuous flow. Setting ForceReinjectionEveryNSteps to a \n non zero value will cause the particle source to reinject particles\n every Nth step even if it is otherwise unchanged.\n Note that if the particle source is also animated, this flag will be\n redundant as the particles will be reinjected whenever the source changes \n anyway\n" );
    Tcl_DStringAppendElement ( &dString, "int GetForceReinjectionEveryNSteps ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetForceReinjectionEveryNSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource2 */
    if ( strcmp ( argv[2], "SetSource2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource2 */
    Tcl_DStringAppendElement ( &dString, " Specify an alternative Geometry object as the source of particles\n This method exists so that in the ParaView GUI we can either\n select a widget as source, or by using this input, a dataset generated\n during the session.\n Old style. Do not use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource2 (vtkDataSet *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetSource2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource2 */
    if ( strcmp ( argv[2], "GetSource2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource2 */
    Tcl_DStringAppendElement ( &dString, " Specify an alternative Geometry object as the source of particles\n This method exists so that in the ParaView GUI we can either\n select a widget as source, or by using this input, a dataset generated\n during the session.\n Old style. Do not use.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetSource2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetSource2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource2Connection */
    if ( strcmp ( argv[2], "SetSource2Connection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource2Connection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource2Connection */
    Tcl_DStringAppendElement ( &dString, " Specify an alternative Geometry object as the source of particles\n This method exists so that in the ParaView GUI we can either\n select a widget as source, or by using this input, a dataset generated\n during the session.\n New Style. Do use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource2Connection (vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetSource2Connection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableSource1 */
    if ( strcmp ( argv[2], "SetEnableSource1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableSource1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableSource1 */
    Tcl_DStringAppendElement ( &dString, " The Particle tracers accept seed points from multiple sources. When\n EnableSourceX is On, the seeds from that source are injected at each\n reinjection time. Particles from each source are tagged with an\n identifier that allows them to be processed separately after the\n animation/simulation has completed. The EnableSourceX methods are now\n obsolete as the particle tracer accepts multiple inputs on both the\n data and seedpoint ports. The methods are slated to be removed ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableSource1 (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetEnableSource1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableSource1 */
    if ( strcmp ( argv[2], "GetEnableSource1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableSource1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableSource1 */
    Tcl_DStringAppendElement ( &dString, " The Particle tracers accept seed points from multiple sources. When\n EnableSourceX is On, the seeds from that source are injected at each\n reinjection time. Particles from each source are tagged with an\n identifier that allows them to be processed separately after the\n animation/simulation has completed. The EnableSourceX methods are now\n obsolete as the particle tracer accepts multiple inputs on both the\n data and seedpoint ports. The methods are slated to be removed ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnableSource1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetEnableSource1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableSource1On */
    if ( strcmp ( argv[2], "EnableSource1On" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableSource1On" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableSource1On */
    Tcl_DStringAppendElement ( &dString, " The Particle tracers accept seed points from multiple sources. When\n EnableSourceX is On, the seeds from that source are injected at each\n reinjection time. Particles from each source are tagged with an\n identifier that allows them to be processed separately after the\n animation/simulation has completed. The EnableSourceX methods are now\n obsolete as the particle tracer accepts multiple inputs on both the\n data and seedpoint ports. The methods are slated to be removed ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void EnableSource1On ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for EnableSource1On */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableSource1Off */
    if ( strcmp ( argv[2], "EnableSource1Off" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableSource1Off" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableSource1Off */
    Tcl_DStringAppendElement ( &dString, " The Particle tracers accept seed points from multiple sources. When\n EnableSourceX is On, the seeds from that source are injected at each\n reinjection time. Particles from each source are tagged with an\n identifier that allows them to be processed separately after the\n animation/simulation has completed. The EnableSourceX methods are now\n obsolete as the particle tracer accepts multiple inputs on both the\n data and seedpoint ports. The methods are slated to be removed ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void EnableSource1Off ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for EnableSource1Off */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableSource2 */
    if ( strcmp ( argv[2], "SetEnableSource2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableSource2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableSource2 */
    Tcl_DStringAppendElement ( &dString, " The Particle tracers accept seed points from multiple sources. When\n EnableSourceX is On, the seeds from that source are injected at each\n reinjection time. Particles from each source are tagged with an\n identifier that allows them to be processed separately after the\n animation/simulation has completed. The EnableSourceX methods are now\n obsolete as the particle tracer accepts multiple inputs on both the\n data and seedpoint ports. The methods are slated to be removed ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableSource2 (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetEnableSource2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableSource2 */
    if ( strcmp ( argv[2], "GetEnableSource2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableSource2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableSource2 */
    Tcl_DStringAppendElement ( &dString, " The Particle tracers accept seed points from multiple sources. When\n EnableSourceX is On, the seeds from that source are injected at each\n reinjection time. Particles from each source are tagged with an\n identifier that allows them to be processed separately after the\n animation/simulation has completed. The EnableSourceX methods are now\n obsolete as the particle tracer accepts multiple inputs on both the\n data and seedpoint ports. The methods are slated to be removed ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnableSource2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetEnableSource2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableSource2On */
    if ( strcmp ( argv[2], "EnableSource2On" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableSource2On" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableSource2On */
    Tcl_DStringAppendElement ( &dString, " The Particle tracers accept seed points from multiple sources. When\n EnableSourceX is On, the seeds from that source are injected at each\n reinjection time. Particles from each source are tagged with an\n identifier that allows them to be processed separately after the\n animation/simulation has completed. The EnableSourceX methods are now\n obsolete as the particle tracer accepts multiple inputs on both the\n data and seedpoint ports. The methods are slated to be removed ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void EnableSource2On ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for EnableSource2On */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableSource2Off */
    if ( strcmp ( argv[2], "EnableSource2Off" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableSource2Off" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableSource2Off */
    Tcl_DStringAppendElement ( &dString, " The Particle tracers accept seed points from multiple sources. When\n EnableSourceX is On, the seeds from that source are injected at each\n reinjection time. Particles from each source are tagged with an\n identifier that allows them to be processed separately after the\n animation/simulation has completed. The EnableSourceX methods are now\n obsolete as the particle tracer accepts multiple inputs on both the\n data and seedpoint ports. The methods are slated to be removed ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void EnableSource2Off ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for EnableSource2Off */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, " Set/Get the controller used when sending particles between processes\n The controller must be an instance of vtkMPIController.\n If VTK was compiled without VTK_USE_MPI on, then the Controller is simply\n ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetController (vtkMultiProcessController *controller);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, " Set/Get the controller used when sending particles between processes\n The controller must be an instance of vtkMPIController.\n If VTK was compiled without VTK_USE_MPI on, then the Controller is simply\n ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *GetController ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParticleWriter */
    if ( strcmp ( argv[2], "SetParticleWriter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParticleWriter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractParticleWriter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParticleWriter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Writer associated with this Particle Tracer\n Ideally a parallel IO capable vtkH5PartWriter should be used\n which will collect particles from all parallel processes\n and write them to a single HDF5 file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParticleWriter (vtkAbstractParticleWriter *pw);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetParticleWriter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParticleWriter */
    if ( strcmp ( argv[2], "GetParticleWriter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParticleWriter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParticleWriter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Writer associated with this Particle Tracer\n Ideally a parallel IO capable vtkH5PartWriter should be used\n which will collect particles from all parallel processes\n and write them to a single HDF5 file.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractParticleWriter *GetParticleWriter ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetParticleWriter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParticleFileName */
    if ( strcmp ( argv[2], "SetParticleFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParticleFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParticleFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "void SetParticleFileName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetParticleFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParticleFileName */
    if ( strcmp ( argv[2], "GetParticleFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParticleFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParticleFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "char *GetParticleFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetParticleFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableParticleWriting */
    if ( strcmp ( argv[2], "SetEnableParticleWriting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableParticleWriting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableParticleWriting */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableParticleWriting (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for SetEnableParticleWriting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableParticleWriting */
    if ( strcmp ( argv[2], "GetEnableParticleWriting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableParticleWriting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableParticleWriting */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnableParticleWriting ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for GetEnableParticleWriting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableParticleWritingOn */
    if ( strcmp ( argv[2], "EnableParticleWritingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableParticleWritingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableParticleWritingOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "void EnableParticleWritingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for EnableParticleWritingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableParticleWritingOff */
    if ( strcmp ( argv[2], "EnableParticleWritingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableParticleWritingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableParticleWritingOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the filename to be used with the particle writer when\n dumping particles to disk    \n" );
    Tcl_DStringAppendElement ( &dString, "void EnableParticleWritingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTemporalStreamTracer" );
    /* Closing for EnableParticleWritingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkStreamTracerCppCommand(static_cast<vtkStreamTracer *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
