// python wrapper for vtkTransmitStructuredGridPiece object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTransmitStructuredGridPiece.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransmitStructuredGridPieceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransmitStructuredGridPieceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkTransmitStructuredGridPiece_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransmitStructuredGridPiece *op;

  const char    *temp20;
  op = (vtkTransmitStructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransmitStructuredGridPiece::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransmitStructuredGridPiece_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransmitStructuredGridPiece *op;

  char    *temp0;
  int      temp20;
  op = (vtkTransmitStructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransmitStructuredGridPiece::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransmitStructuredGridPiece_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransmitStructuredGridPiece *op;

  vtkTransmitStructuredGridPiece  *temp20;
  op = (vtkTransmitStructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransmitStructuredGridPiece::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransmitStructuredGridPiece_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTransmitStructuredGridPiece  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTransmitStructuredGridPiece::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTransmitStructuredGridPiece_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransmitStructuredGridPiece *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkTransmitStructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransmitStructuredGridPiece::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTransmitStructuredGridPiece_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransmitStructuredGridPiece *op;

  vtkMultiProcessController  *temp20;
  op = (vtkTransmitStructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransmitStructuredGridPiece::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransmitStructuredGridPiece_SetCreateGhostCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransmitStructuredGridPiece *op;

  int      temp0;
  op = (vtkTransmitStructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransmitStructuredGridPiece::SetCreateGhostCells(temp0);
      }
    else
      {
      op->SetCreateGhostCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransmitStructuredGridPiece_GetCreateGhostCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransmitStructuredGridPiece *op;

  int      temp20;
  op = (vtkTransmitStructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransmitStructuredGridPiece::GetCreateGhostCells();
      }
    else
      {
      temp20 = op->GetCreateGhostCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransmitStructuredGridPiece_CreateGhostCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransmitStructuredGridPiece *op;

  op = (vtkTransmitStructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransmitStructuredGridPiece::CreateGhostCellsOn();
      }
    else
      {
      op->CreateGhostCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransmitStructuredGridPiece_CreateGhostCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransmitStructuredGridPiece *op;

  op = (vtkTransmitStructuredGridPiece *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransmitStructuredGridPiece::CreateGhostCellsOff();
      }
    else
      {
      op->CreateGhostCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTransmitStructuredGridPieceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTransmitStructuredGridPiece_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTransmitStructuredGridPiece_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTransmitStructuredGridPiece_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransmitStructuredGridPiece\nC++: vtkTransmitStructuredGridPiece *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTransmitStructuredGridPiece_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransmitStructuredGridPiece\nC++: vtkTransmitStructuredGridPiece *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkTransmitStructuredGridPiece_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkTransmitStructuredGridPiece_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n By defualt this filter uses the global controller,\n but this method can be used to set another instead.\n"},
  {(char*)"SetCreateGhostCells",                (PyCFunction)PyvtkTransmitStructuredGridPiece_SetCreateGhostCells, 1,
   (char*)"V.SetCreateGhostCells(int)\nC++: void SetCreateGhostCells (int );\n\n Turn on/off creating ghost cells (on by default).\n"},
  {(char*)"GetCreateGhostCells",                (PyCFunction)PyvtkTransmitStructuredGridPiece_GetCreateGhostCells, 1,
   (char*)"V.GetCreateGhostCells() -> int\nC++: int GetCreateGhostCells ();\n\n Turn on/off creating ghost cells (on by default).\n"},
  {(char*)"CreateGhostCellsOn",                (PyCFunction)PyvtkTransmitStructuredGridPiece_CreateGhostCellsOn, 1,
   (char*)"V.CreateGhostCellsOn()\nC++: void CreateGhostCellsOn ();\n\n Turn on/off creating ghost cells (on by default).\n"},
  {(char*)"CreateGhostCellsOff",                (PyCFunction)PyvtkTransmitStructuredGridPiece_CreateGhostCellsOff, 1,
   (char*)"V.CreateGhostCellsOff()\nC++: void CreateGhostCellsOff ();\n\n Turn on/off creating ghost cells (on by default).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTransmitStructuredGridPieceDoc[] = {
  (char*)"vtkTransmitStructuredGridPiece - For parallel processing, restrict \n\n",
  "Super Class:\n\n vtkStructuredGridAlgorithm\n\n",
  (char*)" This filter updates the appropriate piece by requesting the piece from \n process 0.  Process 0 always updates all of the data.  It is important that \n Execute get called on all processes, otherwise the filter will deadlock.\n\n",
  NULL
};

static vtkObjectBase *vtkTransmitStructuredGridPieceStaticNew()
{
  return vtkTransmitStructuredGridPiece::New();
}

PyObject *PyVTKClass_vtkTransmitStructuredGridPieceNew(char *modulename)
{
  return PyVTKClass_New(&vtkTransmitStructuredGridPieceStaticNew,
                        PyvtkTransmitStructuredGridPieceMethods,
                        (char*)"vtkTransmitStructuredGridPiece",modulename,
                        (char**)vtkTransmitStructuredGridPieceDoc,
                        PyVTKClass_vtkStructuredGridAlgorithmNew(modulename));
}

