// python wrapper for vtkTreeCompositer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeCompositer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeCompositerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeCompositerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositerNew(char *); }

static PyObject *PyvtkTreeCompositer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeCompositer *op;

  const char    *temp20;
  op = (vtkTreeCompositer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeCompositer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeCompositer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeCompositer *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeCompositer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeCompositer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeCompositer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeCompositer *op;

  vtkTreeCompositer  *temp20;
  op = (vtkTreeCompositer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeCompositer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeCompositer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeCompositer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeCompositer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeCompositer_CompositeBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeCompositer *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkFloatArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  vtkFloatArray  *temp3;
  PyObject *tempH3;
  op = (vtkTreeCompositer *)PyArg_VTKParseTuple(self, args, (char*)"OOOO", &tempH0, &tempH1, &tempH2, &tempH3);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkFloatArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break4;
    temp3 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkFloatArray");
    if (!temp3 && tempH3 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeCompositer::CompositeBuffer(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->CompositeBuffer(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkTreeCompositerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeCompositer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeCompositer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeCompositer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeCompositer\nC++: vtkTreeCompositer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeCompositer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeCompositer\nC++: vtkTreeCompositer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CompositeBuffer",                (PyCFunction)PyvtkTreeCompositer_CompositeBuffer, 1,
   (char*)"V.CompositeBuffer(vtkDataArray, vtkFloatArray, vtkDataArray, vtkFloatArray)\nC++: virtual void CompositeBuffer (vtkDataArray *pBuf, vtkFloatArray *zBuf, vtkDataArray *pTmp, vtkFloatArray *zTmp);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeCompositerDoc[] = {
  (char*)"vtkTreeCompositer - Implements tree based compositing.\n\n",
  "Super Class:\n\n vtkCompositer\n\n",
  (char*)" vtkTreeCompositer operates in multiple processes.  Each compositer has \n a render window.  They use a vtkMultiProcessController to communicate \n the color and depth buffer to process 0's render window.\n It will not handle transparency well.\n\n\n",
  "See Also:\n\n vtkCompositeManager\n\n",
  NULL
};

static vtkObjectBase *vtkTreeCompositerStaticNew()
{
  return vtkTreeCompositer::New();
}

PyObject *PyVTKClass_vtkTreeCompositerNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeCompositerStaticNew,
                        PyvtkTreeCompositerMethods,
                        (char*)"vtkTreeCompositer",modulename,
                        (char**)vtkTreeCompositerDoc,
                        PyVTKClass_vtkCompositerNew(modulename));
}

