// python wrapper for vtkXMLPMultiBlockDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXMLPMultiBlockDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPMultiBlockDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPMultiBlockDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLMultiBlockDataWriterNew(char *); }

static PyObject *PyvtkXMLPMultiBlockDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPMultiBlockDataWriter *op;

  const char    *temp20;
  op = (vtkXMLPMultiBlockDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPMultiBlockDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPMultiBlockDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPMultiBlockDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkXMLPMultiBlockDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPMultiBlockDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPMultiBlockDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPMultiBlockDataWriter *op;

  vtkXMLPMultiBlockDataWriter  *temp20;
  op = (vtkXMLPMultiBlockDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPMultiBlockDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPMultiBlockDataWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPMultiBlockDataWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPMultiBlockDataWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPMultiBlockDataWriter_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPMultiBlockDataWriter *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkXMLPMultiBlockDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPMultiBlockDataWriter::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkXMLPMultiBlockDataWriter_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPMultiBlockDataWriter *op;

  vtkMultiProcessController  *temp20;
  op = (vtkXMLPMultiBlockDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPMultiBlockDataWriter::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPMultiBlockDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPMultiBlockDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPMultiBlockDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPMultiBlockDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPMultiBlockDataWriter\nC++: vtkXMLPMultiBlockDataWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPMultiBlockDataWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPMultiBlockDataWriter\nC++: vtkXMLPMultiBlockDataWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkXMLPMultiBlockDataWriter_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Controller used to communicate data type of blocks.\n By default, the global controller is used. If you want another\n controller to be used, set it with this.\n If no controller is set, only the local blocks will be written\n to the meta-file.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkXMLPMultiBlockDataWriter_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Controller used to communicate data type of blocks.\n By default, the global controller is used. If you want another\n controller to be used, set it with this.\n If no controller is set, only the local blocks will be written\n to the meta-file.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPMultiBlockDataWriterDoc[] = {
  (char*)"vtkXMLPMultiBlockDataWriter - parallel writer for\n\n",
  "Super Class:\n\n vtkXMLMultiBlockDataWriter\n\n",
  (char*)" vtkXMLPCompositeDataWriter writes (in parallel or serially) the VTK XML\n multi-group, multi-block hierarchical and hierarchical box files. XML\n multi-group data files are meta-files that point to a list of serial VTK\n XML files.\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPMultiBlockDataWriterStaticNew()
{
  return vtkXMLPMultiBlockDataWriter::New();
}

PyObject *PyVTKClass_vtkXMLPMultiBlockDataWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPMultiBlockDataWriterStaticNew,
                        PyvtkXMLPMultiBlockDataWriterMethods,
                        (char*)"vtkXMLPMultiBlockDataWriter",modulename,
                        (char**)vtkXMLPMultiBlockDataWriterDoc,
                        PyVTKClass_vtkXMLMultiBlockDataWriterNew(modulename));
}

