// python wrapper for vtkAbstractMapper3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAbstractMapper3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractMapper3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractMapper3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractMapperNew(char *); }

static PyObject *PyvtkAbstractMapper3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper3D *op;

  const char    *temp20;
  op = (vtkAbstractMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkAbstractMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper3D *op;

  vtkAbstractMapper3D  *temp20;
  op = (vtkAbstractMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper3D_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper3D *op;

  double  *temp20;
  op = (vtkAbstractMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractMapper3D *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkAbstractMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractMapper3D::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper3D_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper3D *op;

  double  *temp20;
  op = (vtkAbstractMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper3D::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractMapper3D *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkAbstractMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractMapper3D::GetCenter(temp0);
      }
    else
      {
      op->GetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper3D_GetLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper3D *op;

  double   temp20;
  op = (vtkAbstractMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper3D::GetLength();
      }
    else
      {
      temp20 = op->GetLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper3D_IsARayCastMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper3D *op;

  int      temp20;
  op = (vtkAbstractMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper3D::IsARayCastMapper();
      }
    else
      {
      temp20 = op->IsARayCastMapper();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper3D_IsARenderIntoImageMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper3D *op;

  int      temp20;
  op = (vtkAbstractMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper3D::IsARenderIntoImageMapper();
      }
    else
      {
      temp20 = op->IsARenderIntoImageMapper();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAbstractMapper3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractMapper3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractMapper3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractMapper3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractMapper3D\nC++: vtkAbstractMapper3D *NewInstance ();\n\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkAbstractMapper3D_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds () = 0;\nV.GetBounds((float, float, float, float, float, float))\nC++: virtual void GetBounds (double bounds[6]);\n\n Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkAbstractMapper3D_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double *GetCenter ();\nV.GetCenter((float, float, float))\nC++: void GetCenter (double center[3]);double rc this GetCenter center rc center rc center rc \n\n Return the Center of this mapper's data.\n"},
  {(char*)"GetLength",                (PyCFunction)PyvtkAbstractMapper3D_GetLength, 1,
   (char*)"V.GetLength() -> float\nC++: double GetLength ();\n\n Return the diagonal length of this mappers bounding box.\n"},
  {(char*)"IsARayCastMapper",                (PyCFunction)PyvtkAbstractMapper3D_IsARayCastMapper, 1,
   (char*)"V.IsARayCastMapper() -> int\nC++: virtual int IsARayCastMapper ();return \n\n Is this a ray cast mapper? A subclass would return 1 if the\n ray caster is needed to generate an image from this mapper.\n"},
  {(char*)"IsARenderIntoImageMapper",                (PyCFunction)PyvtkAbstractMapper3D_IsARenderIntoImageMapper, 1,
   (char*)"V.IsARenderIntoImageMapper() -> int\nC++: virtual int IsARenderIntoImageMapper ();return \n\n Is this a \"render into image\" mapper? A subclass would return 1 if the\n mapper produces an image by rendering into a software image buffer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractMapper3DDoc[] = {
  (char*)"vtkAbstractMapper3D - abstract class specifies interface to map 3D data\n\n",
  "Super Class:\n\n vtkAbstractMapper\n\n",
  (char*)" vtkAbstractMapper3D is an abstract class to specify interface between 3D\n data and graphics primitives or software rendering techniques. Subclasses\n of vtkAbstractMapper3D can be used for rendering geometry or rendering\n volumetric data.\n\n This class also defines an API to support hardware clipping planes (at most\n six planes can be defined). It also provides geometric data about the input\n data ",
  (char*)"it maps, such as the bounding box and center.\n\n\n",
  "See Also:\n\n vtkAbstractMapper vtkMapper vtkPolyDataMapper vtkVolumeMapper\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractMapper3DNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractMapper3DMethods,
                        (char*)"vtkAbstractMapper3D",modulename,
                        (char**)vtkAbstractMapper3DDoc,
                        PyVTKClass_vtkAbstractMapperNew(modulename));
}

