// python wrapper for vtkAbstractPropPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAbstractPropPicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractPropPickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractPropPickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractPickerNew(char *); }

static PyObject *PyvtkAbstractPropPicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  const char    *temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPropPicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  char    *temp0;
  int      temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPropPicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  vtkAbstractPropPicker  *temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPropPicker_SetPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  vtkAssemblyPath  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAssemblyPath *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAssemblyPath");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPropPicker::SetPath(temp0);
      }
    else
      {
      op->SetPath(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAbstractPropPicker_GetPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  vtkAssemblyPath  *temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::GetPath();
      }
    else
      {
      temp20 = op->GetPath();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPropPicker_GetViewProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  vtkProp  *temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::GetViewProp();
      }
    else
      {
      temp20 = op->GetViewProp();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPropPicker_GetProp3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  vtkProp3D  *temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::GetProp3D();
      }
    else
      {
      temp20 = op->GetProp3D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPropPicker_GetActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  vtkActor  *temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::GetActor();
      }
    else
      {
      temp20 = op->GetActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPropPicker_GetActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  vtkActor2D  *temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::GetActor2D();
      }
    else
      {
      temp20 = op->GetActor2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPropPicker_GetVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  vtkVolume  *temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::GetVolume();
      }
    else
      {
      temp20 = op->GetVolume();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPropPicker_GetAssembly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  vtkAssembly  *temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::GetAssembly();
      }
    else
      {
      temp20 = op->GetAssembly();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPropPicker_GetPropAssembly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  vtkPropAssembly  *temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::GetPropAssembly();
      }
    else
      {
      temp20 = op->GetPropAssembly();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkAbstractPropPicker_GetProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPropPicker *op;

  vtkProp  *temp20;
  op = (vtkAbstractPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPropPicker::GetProp();
      }
    else
      {
      temp20 = op->GetProp();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkAbstractPropPickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractPropPicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractPropPicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractPropPicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractPropPicker\nC++: vtkAbstractPropPicker *NewInstance ();\n\n"},
  {(char*)"SetPath",                (PyCFunction)PyvtkAbstractPropPicker_SetPath, 1,
   (char*)"V.SetPath(vtkAssemblyPath)\nC++: virtual void SetPath (vtkAssemblyPath *);\n\n Return the vtkAssemblyPath that has been picked. The assembly path lists\n all the vtkProps that form an assembly. If no assembly is present, then\n the assembly path will have one node (which is the picked prop). The\n set method is used internally to set the path. (Note: the structure of\n an assembly path is a collection of vtkAssemblyNode, each node pointing\n to a vtkProp and (possibly) a transformation matrix.)\n"},
  {(char*)"GetPath",                (PyCFunction)PyvtkAbstractPropPicker_GetPath, 1,
   (char*)"V.GetPath() -> vtkAssemblyPath\nC++: vtkAssemblyPath *GetPath ();\n\n Return the vtkAssemblyPath that has been picked. The assembly path lists\n all the vtkProps that form an assembly. If no assembly is present, then\n the assembly path will have one node (which is the picked prop). The\n set method is used internally to set the path. (Note: the structure of\n an assembly path is a collection of vtkAssemblyNode, each node pointing\n to a vtkProp and (possibly) a transformation matrix.)\n"},
  {(char*)"GetViewProp",                (PyCFunction)PyvtkAbstractPropPicker_GetViewProp, 1,
   (char*)"V.GetViewProp() -> vtkProp\nC++: virtual vtkProp *GetViewProp ();\n\n Return the vtkProp that has been picked. If NULL, nothing was picked.\n If anything at all was picked, this method will return something.\n"},
  {(char*)"GetProp3D",                (PyCFunction)PyvtkAbstractPropPicker_GetProp3D, 1,
   (char*)"V.GetProp3D() -> vtkProp3D\nC++: virtual vtkProp3D *GetProp3D ();\n\n Return the vtkProp that has been picked. If NULL, no vtkProp3D was picked.\n"},
  {(char*)"GetActor",                (PyCFunction)PyvtkAbstractPropPicker_GetActor, 1,
   (char*)"V.GetActor() -> vtkActor\nC++: virtual vtkActor *GetActor ();\n\n Return the vtkActor that has been picked. If NULL, no actor was picked.\n"},
  {(char*)"GetActor2D",                (PyCFunction)PyvtkAbstractPropPicker_GetActor2D, 1,
   (char*)"V.GetActor2D() -> vtkActor2D\nC++: virtual vtkActor2D *GetActor2D ();\n\n Return the vtkActor2D that has been picked. If NULL, no actor2D was \n picked.\n"},
  {(char*)"GetVolume",                (PyCFunction)PyvtkAbstractPropPicker_GetVolume, 1,
   (char*)"V.GetVolume() -> vtkVolume\nC++: virtual vtkVolume *GetVolume ();\n\n Return the vtkVolume that has been picked. If NULL, no volume was picked.\n"},
  {(char*)"GetAssembly",                (PyCFunction)PyvtkAbstractPropPicker_GetAssembly, 1,
   (char*)"V.GetAssembly() -> vtkAssembly\nC++: virtual vtkAssembly *GetAssembly ();\n\n Return the vtkAssembly that has been picked. If NULL, no assembly \n was picked. (Note: the returned assembly is the first node in the\n assembly path. If the path is one node long, then the assembly and\n the prop are the same, assuming that the first node is a vtkAssembly.)\n"},
  {(char*)"GetPropAssembly",                (PyCFunction)PyvtkAbstractPropPicker_GetPropAssembly, 1,
   (char*)"V.GetPropAssembly() -> vtkPropAssembly\nC++: virtual vtkPropAssembly *GetPropAssembly ();\n\n Return the vtkPropAssembly that has been picked. If NULL, no prop\n assembly was picked. (Note: the returned prop assembly is the first node\n in the assembly path. If the path is one node long, then the prop\n assembly and the prop are the same, assuming that the first node is a\n vtkPropAssembly.)\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetProp",                (PyCFunction)PyvtkAbstractPropPicker_GetProp, 1,
   (char*)"V.GetProp() -> vtkProp\nC++: virtual vtkProp *GetProp ();\n\n @deprecated Replaced by vtkAbstractPicker::GetViewProp() as of VTK 5.0.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractPropPickerDoc[] = {
  (char*)"vtkAbstractPropPicker - abstract API for pickers that can pick an instance of vtkProp\n\n",
  "Super Class:\n\n vtkAbstractPicker\n\n",
  (char*)" vtkAbstractPropPicker is an abstract superclass for pickers that can pick\n an instance of vtkProp. Some pickers, like vtkWorldPointPicker (not a\n subclass of this class), cannot identify the prop that is\n picked. Subclasses of vtkAbstractPropPicker return a prop in the form of a\n vtkAssemblyPath when a pick is invoked. Note that an vtkAssemblyPath\n contain a list of vtkAssemblyNodes, each of whic",
  (char*)"h in turn contains a\n reference to a vtkProp and a 4x4 transformation matrix. The path fully\n describes the entire pick path, so you can pick assemblies or portions of\n assemblies, or just grab the tail end of the vtkAssemblyPath (which is the\n picked prop).\n\n",
  "Caveats:\n\n Because a vtkProp can be placed into different assemblies, or even in\n different leaf positions of the same assembly, the vtkAssemblyPath is\n used to fully qualify exactly which use of the vtkProp was picked, \n including its position (since vtkAssemblyPath includes a transformation\n matrix per node).\n\n The class returns information about picked actors, props, etc. Note that\n what is returned by these methods is the top level of the assembly\n path. This can cause a l ...\n [Truncated]\n\n",
  "See Also:\n\n vtkPropPicker vtkPicker vtkWorldPointPicker vtkCellPicker vtkPointPicker \n vtkAssemblyPath vtkAssemblyNode vtkAssemblyPaths vtkAbstractPicker\n vtkRenderer\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractPropPickerNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractPropPickerMethods,
                        (char*)"vtkAbstractPropPicker",modulename,
                        (char**)vtkAbstractPropPickerDoc,
                        PyVTKClass_vtkAbstractPickerNew(modulename));
}

