// python wrapper for vtkAbstractVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAbstractVolumeMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractVolumeMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractVolumeMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractMapper3DNew(char *); }

static PyObject *PyvtkAbstractVolumeMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  const char    *temp20;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  vtkAbstractVolumeMapper  *temp20;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_GetDataSetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  vtkDataSet  *temp20;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::GetDataSetInput();
      }
    else
      {
      temp20 = op->GetDataSetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_GetDataObjectInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  vtkDataObject  *temp20;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::GetDataObjectInput();
      }
    else
      {
      temp20 = op->GetDataObjectInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  double  *temp20;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_SetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  int      temp0;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::SetScalarMode(temp0);
      }
    else
      {
      op->SetScalarMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_GetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  int      temp20;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::GetScalarMode();
      }
    else
      {
      temp20 = op->GetScalarMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_SetScalarModeToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::SetScalarModeToDefault();
      }
    else
      {
      op->SetScalarModeToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_SetScalarModeToUsePointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::SetScalarModeToUsePointData();
      }
    else
      {
      op->SetScalarModeToUsePointData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_SetScalarModeToUseCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::SetScalarModeToUseCellData();
      }
    else
      {
      op->SetScalarModeToUseCellData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_SetScalarModeToUsePointFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::SetScalarModeToUsePointFieldData();
      }
    else
      {
      op->SetScalarModeToUsePointFieldData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_SetScalarModeToUseCellFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::SetScalarModeToUseCellFieldData();
      }
    else
      {
      op->SetScalarModeToUseCellFieldData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_SelectScalarArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  int      temp0;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::SelectScalarArray(temp0);
      }
    else
      {
      op->SelectScalarArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  char    *temp0;
  PyErr_Clear();
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::SelectScalarArray(temp0);
      }
    else
      {
      op->SelectScalarArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  char    *temp20;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::GetArrayName();
      }
    else
      {
      temp20 = op->GetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_GetArrayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  int      temp20;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::GetArrayId();
      }
    else
      {
      temp20 = op->GetArrayId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_GetArrayAccessMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  int      temp20;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::GetArrayAccessMode();
      }
    else
      {
      temp20 = op->GetArrayAccessMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_GetScalarModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  const char    *temp20;
  op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::GetScalarModeAsString();
      }
    else
      {
      temp20 = op->GetScalarModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAbstractVolumeMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractVolumeMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractVolumeMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractVolumeMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractVolumeMapper\nC++: vtkAbstractVolumeMapper *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkAbstractVolumeMapper_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *);\n\n Set/Get the input data\n"},
  {(char*)"GetDataSetInput",                (PyCFunction)PyvtkAbstractVolumeMapper_GetDataSetInput, 1,
   (char*)"V.GetDataSetInput() -> vtkDataSet\nC++: vtkDataSet *GetDataSetInput ();\n\n Set/Get the input data\n"},
  {(char*)"GetDataObjectInput",                (PyCFunction)PyvtkAbstractVolumeMapper_GetDataObjectInput, 1,
   (char*)"V.GetDataObjectInput() -> vtkDataObject\nC++: vtkDataObject *GetDataObjectInput ();\n\n Set/Get the input data\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkAbstractVolumeMapper_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();\nV.GetBounds((float, float, float, float, float, float))\nC++: virtual void GetBounds (double bounds[6]);this vtkAbstractMapper3D GetBounds bounds \n\n Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n"},
  {(char*)"SetScalarMode",                (PyCFunction)PyvtkAbstractVolumeMapper_SetScalarMode, 1,
   (char*)"V.SetScalarMode(int)\nC++: void SetScalarMode (int );\n\n Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectScalarArray.\n"},
  {(char*)"GetScalarMode",                (PyCFunction)PyvtkAbstractVolumeMapper_GetScalarMode, 1,
   (char*)"V.GetScalarMode() -> int\nC++: int GetScalarMode ();\n\n Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectScalarArray.\n"},
  {(char*)"SetScalarModeToDefault",                (PyCFunction)PyvtkAbstractVolumeMapper_SetScalarModeToDefault, 1,
   (char*)"V.SetScalarModeToDefault()\nC++: void SetScalarModeToDefault ();this SetScalarMode VTK_SCALAR_MODE_DEFAULT \n\n Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectScalarArray.\n"},
  {(char*)"SetScalarModeToUsePointData",                (PyCFunction)PyvtkAbstractVolumeMapper_SetScalarModeToUsePointData, 1,
   (char*)"V.SetScalarModeToUsePointData()\nC++: void SetScalarModeToUsePointData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_DATA \n\n Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectScalarArray.\n"},
  {(char*)"SetScalarModeToUseCellData",                (PyCFunction)PyvtkAbstractVolumeMapper_SetScalarModeToUseCellData, 1,
   (char*)"V.SetScalarModeToUseCellData()\nC++: void SetScalarModeToUseCellData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_DATA \n\n Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectScalarArray.\n"},
  {(char*)"SetScalarModeToUsePointFieldData",                (PyCFunction)PyvtkAbstractVolumeMapper_SetScalarModeToUsePointFieldData, 1,
   (char*)"V.SetScalarModeToUsePointFieldData()\nC++: void SetScalarModeToUsePointFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_FIELD_DATA \n\n Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectScalarArray.\n"},
  {(char*)"SetScalarModeToUseCellFieldData",                (PyCFunction)PyvtkAbstractVolumeMapper_SetScalarModeToUseCellFieldData, 1,
   (char*)"V.SetScalarModeToUseCellFieldData()\nC++: void SetScalarModeToUseCellFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_FIELD_DATA \n\n Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectScalarArray.\n"},
  {(char*)"SelectScalarArray",                (PyCFunction)PyvtkAbstractVolumeMapper_SelectScalarArray, 1,
   (char*)"V.SelectScalarArray(int)\nC++: virtual void SelectScalarArray (int arrayNum);\nV.SelectScalarArray(string)\nC++: virtual void SelectScalarArray (const char *arrayName);\n\n When ScalarMode is set to UsePointFieldData or UseCellFieldData,\n you can specify which scalar array to use during rendering.\n The transfer function in the vtkVolumeProperty (attached to the calling\n vtkVolume) will decide how to convert vectors to colors.\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkAbstractVolumeMapper_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: virtual char *GetArrayName ();return this ArrayName \n\n Get the array name or number and component to use for rendering.\n"},
  {(char*)"GetArrayId",                (PyCFunction)PyvtkAbstractVolumeMapper_GetArrayId, 1,
   (char*)"V.GetArrayId() -> int\nC++: virtual int GetArrayId ();return this ArrayId \n\n Get the array name or number and component to use for rendering.\n"},
  {(char*)"GetArrayAccessMode",                (PyCFunction)PyvtkAbstractVolumeMapper_GetArrayAccessMode, 1,
   (char*)"V.GetArrayAccessMode() -> int\nC++: virtual int GetArrayAccessMode ();return this ArrayAccessMode \n\n Return the method for obtaining scalar data.\n"},
  {(char*)"GetScalarModeAsString",                (PyCFunction)PyvtkAbstractVolumeMapper_GetScalarModeAsString, 1,
   (char*)"V.GetScalarModeAsString() -> string\nC++: const char *GetScalarModeAsString ();\n\n Return the method for obtaining scalar data.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractVolumeMapperDoc[] = {
  (char*)"vtkAbstractVolumeMapper - Abstract class for a volume mapper\n\n",
  "Super Class:\n\n vtkAbstractMapper3D\n\n",
  (char*)" vtkAbstractVolumeMapper is the abstract definition of a volume mapper.  \n Specific subclasses deal with different specific types of data input\n\n",
  "See Also:\n\n vtkVolumeMapper vtkUnstructuredGridVolumeMapper\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractVolumeMapperNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractVolumeMapperMethods,
                        (char*)"vtkAbstractVolumeMapper",modulename,
                        (char**)vtkAbstractVolumeMapperDoc,
                        PyVTKClass_vtkAbstractMapper3DNew(modulename));
}

