// python wrapper for vtkActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProp3DNew(char *); }

static PyObject *PyvtkActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  const char    *temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkActor  *temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkActor_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkActor_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkActor_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkActor_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  int      temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkMapper  *temp1;
  PyObject *tempH1;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMapper");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkActor_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkActor_SetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor::SetProperty(temp0);
      }
    else
      {
      op->SetProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkActor_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkProperty  *temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_MakeProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkProperty  *temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::MakeProperty();
      }
    else
      {
      temp20 = op->MakeProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_SetBackfaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor::SetBackfaceProperty(temp0);
      }
    else
      {
      op->SetBackfaceProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkActor_GetBackfaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkProperty  *temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::GetBackfaceProperty();
      }
    else
      {
      temp20 = op->GetBackfaceProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_SetTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkTexture  *temp0;
  PyObject *tempH0;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTexture *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTexture");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor::SetTexture(temp0);
      }
    else
      {
      op->SetTexture(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkActor_GetTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkTexture  *temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::GetTexture();
      }
    else
      {
      temp20 = op->GetTexture();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_SetMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkMapper  *temp0;
  PyObject *tempH0;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMapper");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor::SetMapper(temp0);
      }
    else
      {
      op->SetMapper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkActor_GetMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkMapper  *temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::GetMapper();
      }
    else
      {
      temp20 = op->GetMapper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  double temp0[6];
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkActor *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_ApplyProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor::ApplyProperties();
      }
    else
      {
      op->ApplyProperties();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  unsigned long     temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor_GetRedrawMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  unsigned long     temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::GetRedrawMTime();
      }
    else
      {
      temp20 = op->GetRedrawMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkActor_InitPartTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor::InitPartTraversal();
      }
    else
      {
      op->InitPartTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkActor_GetNextPart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  vtkActor  *temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::GetNextPart();
      }
    else
      {
      temp20 = op->GetNextPart();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkActor_GetNumberOfParts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor *op;

  int      temp20;
  op = (vtkActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor::GetNumberOfParts();
      }
    else
      {
      temp20 = op->GetNumberOfParts();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkActor\nC++: vtkActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkActor\nC++: vtkActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkActor_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkActor_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkActor_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkActor_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Does this prop have some translucent polygonal geometry?\n"},
  {(char*)"Render",                (PyCFunction)PyvtkActor_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkMapper)\nC++: virtual void Render (vtkRenderer *, vtkMapper *);\n\n Shallow copy of an actor. Overloads the virtual vtkProp method.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkActor_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of an actor. Overloads the virtual vtkProp method.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"SetProperty",                (PyCFunction)PyvtkActor_SetProperty, 1,
   (char*)"V.SetProperty(vtkProperty)\nC++: void SetProperty (vtkProperty *lut);\n\n Set/Get the property object that controls this actors surface\n properties.  This should be an instance of a vtkProperty object.  Every\n actor must have a property associated with it.  If one isn't specified,\n then one will be generated automatically. Multiple actors can share one\n property object.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkActor_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty\nC++: vtkProperty *GetProperty ();\n\n Set/Get the property object that controls this actors surface\n properties.  This should be an instance of a vtkProperty object.  Every\n actor must have a property associated with it.  If one isn't specified,\n then one will be generated automatically. Multiple actors can share one\n property object.\n"},
  {(char*)"MakeProperty",                (PyCFunction)PyvtkActor_MakeProperty, 1,
   (char*)"V.MakeProperty() -> vtkProperty\nC++: virtual vtkProperty *MakeProperty ();\n\n Create a new property suitable for use with this type of Actor.\n For example, a vtkMesaActor should create a vtkMesaProperty \n in this function.   The default is to just call vtkProperty::New.\n"},
  {(char*)"SetBackfaceProperty",                (PyCFunction)PyvtkActor_SetBackfaceProperty, 1,
   (char*)"V.SetBackfaceProperty(vtkProperty)\nC++: void SetBackfaceProperty (vtkProperty *lut);\n\n Set/Get the property object that controls this actors backface surface\n properties.  This should be an instance of a vtkProperty object. If one\n isn't specified, then the front face properties will be used.  Multiple\n actors can share one property object.\n"},
  {(char*)"GetBackfaceProperty",                (PyCFunction)PyvtkActor_GetBackfaceProperty, 1,
   (char*)"V.GetBackfaceProperty() -> vtkProperty\nC++: vtkProperty *GetBackfaceProperty ();\n\n Set/Get the property object that controls this actors backface surface\n properties.  This should be an instance of a vtkProperty object. If one\n isn't specified, then the front face properties will be used.  Multiple\n actors can share one property object.\n"},
  {(char*)"SetTexture",                (PyCFunction)PyvtkActor_SetTexture, 1,
   (char*)"V.SetTexture(vtkTexture)\nC++: virtual void SetTexture (vtkTexture *);\n\n Set/Get the texture object to control rendering texture maps.  This will\n be a vtkTexture object. An actor does not need to have an associated\n texture map and multiple actors can share one texture.\n"},
  {(char*)"GetTexture",                (PyCFunction)PyvtkActor_GetTexture, 1,
   (char*)"V.GetTexture() -> vtkTexture\nC++: vtkTexture *GetTexture ();\n\n Set/Get the texture object to control rendering texture maps.  This will\n be a vtkTexture object. An actor does not need to have an associated\n texture map and multiple actors can share one texture.\n"},
  {(char*)"SetMapper",                (PyCFunction)PyvtkActor_SetMapper, 1,
   (char*)"V.SetMapper(vtkMapper)\nC++: virtual void SetMapper (vtkMapper *);\n\n This is the method that is used to connect an actor to the end of a\n visualization pipeline, i.e. the mapper. This should be a subclass\n of vtkMapper. Typically vtkPolyDataMapper and vtkDataSetMapper will\n be used.\n"},
  {(char*)"GetMapper",                (PyCFunction)PyvtkActor_GetMapper, 1,
   (char*)"V.GetMapper() -> vtkMapper\nC++: vtkMapper *GetMapper ();\n\n Returns the Mapper that this actor is getting its data from.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkActor_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);this vtkProp3D GetBounds bounds \nV.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\n\n Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The\n method GetBounds(double bounds[6]) is available from the superclass.)\n"},
  {(char*)"ApplyProperties",                (PyCFunction)PyvtkActor_ApplyProperties, 1,
   (char*)"V.ApplyProperties()\nC++: virtual void ApplyProperties ();\n\n Get the actors mtime plus consider its properties and texture if set.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkActor_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the actors mtime plus consider its properties and texture if set.\n"},
  {(char*)"GetRedrawMTime",                (PyCFunction)PyvtkActor_GetRedrawMTime, 1,
   (char*)"V.GetRedrawMTime() -> int\nC++: virtual unsigned long GetRedrawMTime ();\n\n Return the mtime of anything that would cause the rendered image to \n appear differently. Usually this involves checking the mtime of the \n prop plus anything else it depends on such as properties, textures\n etc.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"InitPartTraversal",                (PyCFunction)PyvtkActor_InitPartTraversal, 1,
   (char*)"V.InitPartTraversal()\nC++: virtual void InitPartTraversal ();\n\n The following methods are for compatibility. The methods will be deprecated\n in the near future. Use vtkProp::GetNextPath() (and related functionality)\n to get the parts in an assembly (or more correctly, the paths in the\n assembly).\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetNextPart",                (PyCFunction)PyvtkActor_GetNextPart, 1,
   (char*)"V.GetNextPart() -> vtkActor\nC++: virtual vtkActor *GetNextPart ();\n\n The following methods are for compatibility. The methods will be deprecated\n in the near future. Use vtkProp::GetNextPath() (and related functionality)\n to get the parts in an assembly (or more correctly, the paths in the\n assembly).\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetNumberOfParts",                (PyCFunction)PyvtkActor_GetNumberOfParts, 1,
   (char*)"V.GetNumberOfParts() -> int\nC++: virtual int GetNumberOfParts ();\n\n The following methods are for compatibility. The methods will be deprecated\n in the near future. Use vtkProp::GetNextPath() (and related functionality)\n to get the parts in an assembly (or more correctly, the paths in the\n assembly).\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkActorDoc[] = {
  (char*)"vtkActor - represents an object (geometry & properties) in a rendered scene \n\n",
  "Super Class:\n\n vtkProp3D\n\n",
  (char*)" \n vtkActor is used to represent an entity in a rendering scene.  It inherits\n functions related to the actors position, and orientation from\n vtkProp. The actor also has scaling and maintains a reference to the\n defining geometry (i.e., the mapper), rendering properties, and possibly a\n texture map. vtkActor combines these instance variables into one 4x4\n transformation matrix as follows: [x y z ",
  (char*)"1] = [x y z 1] Translate(-origin)\n Scale(scale) Rot(y) Rot(x) Rot (z) Trans(origin) Trans(position)\n\n",
  "See Also:\n\n vtkProperty vtkTexture vtkMapper vtkAssembly vtkFollower vtkLODActor\n\n",
  NULL
};

static vtkObjectBase *vtkActorStaticNew()
{
  return vtkActor::New();
}

PyObject *PyVTKClass_vtkActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkActorStaticNew,
                        PyvtkActorMethods,
                        (char*)"vtkActor",modulename,
                        (char**)vtkActorDoc,
                        PyVTKClass_vtkProp3DNew(modulename));
}

