// python wrapper for vtkAreaPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAreaPicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAreaPickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAreaPickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractPropPickerNew(char *); }

static PyObject *PyvtkAreaPicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  const char    *temp20;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaPicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaPicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  char    *temp0;
  int      temp20;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaPicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaPicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  vtkAreaPicker  *temp20;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaPicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaPicker_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAreaPicker  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAreaPicker::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAreaPicker_SetPickCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAreaPicker::SetPickCoords(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetPickCoords(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaPicker_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkAreaPicker::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkAreaPicker_Pick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  int      temp20;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaPicker::Pick();
      }
    else
      {
      temp20 = op->Pick();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  PyObject *tempH3;
  int      temp20;
  PyErr_Clear();
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"dddO", &temp0, &temp1, &temp2, &tempH3);
  if (op)
    {
    temp3 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkRenderer");
    if (!temp3 && tempH3 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaPicker::Pick(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Pick(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkAreaPicker_AreaPick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkRenderer  *temp4;
  PyObject *tempH4;
  int      temp20;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"ddddO", &temp0, &temp1, &temp2, &temp3, &tempH4);
  if (op)
    {
    temp4 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkRenderer");
    if (!temp4 && tempH4 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaPicker::AreaPick(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->AreaPick(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkAreaPicker_GetMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  vtkAbstractMapper3D  *temp20;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaPicker::GetMapper();
      }
    else
      {
      temp20 = op->GetMapper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaPicker_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  vtkDataSet  *temp20;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaPicker::GetDataSet();
      }
    else
      {
      temp20 = op->GetDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaPicker_GetProp3Ds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  vtkProp3DCollection  *temp20;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaPicker::GetProp3Ds();
      }
    else
      {
      temp20 = op->GetProp3Ds();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaPicker_GetFrustum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  vtkPlanes  *temp20;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaPicker::GetFrustum();
      }
    else
      {
      temp20 = op->GetFrustum();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaPicker_GetClipPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaPicker *op;

  vtkPoints  *temp20;
  op = (vtkAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaPicker::GetClipPoints();
      }
    else
      {
      temp20 = op->GetClipPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAreaPickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAreaPicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAreaPicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAreaPicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAreaPicker\nC++: vtkAreaPicker *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAreaPicker_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAreaPicker\nC++: vtkAreaPicker *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPickCoords",                (PyCFunction)PyvtkAreaPicker_SetPickCoords, 1,
   (char*)"V.SetPickCoords(float, float, float, float)\nC++: void SetPickCoords (double x0, double y0, double x1, double y1);\n\n Set the default screen rectangle to pick in.\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkAreaPicker_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: void SetRenderer (vtkRenderer *);\n\n Set the default renderer to pick on.\n"},
  {(char*)"Pick",                (PyCFunction)PyvtkAreaPicker_Pick, 1,
   (char*)"V.Pick() -> int\nC++: virtual int Pick ();\nV.Pick(float, float, float, vtkRenderer) -> int\nC++: virtual int Pick (double x0, double y0, double , vtkRenderer *rendererNULL);return this AreaPick x0 y0 x0 y0 renderer \n\n Perform an AreaPick within the default screen rectangle and renderer.\n"},
  {(char*)"AreaPick",                (PyCFunction)PyvtkAreaPicker_AreaPick, 1,
   (char*)"V.AreaPick(float, float, float, float, vtkRenderer) -> int\nC++: virtual int AreaPick (double x0, double y0, double x1, double y1, vtkRenderer *rendererNULL);\n\n Perform pick operation in volume behind the given screen coordinates.\n Props intersecting the selection frustum will be accesible via GetProp3D.\n GetPlanes returns a vtkImplicitFunciton suitable for vtkExtractGeometry.\n"},
  {(char*)"GetMapper",                (PyCFunction)PyvtkAreaPicker_GetMapper, 1,
   (char*)"V.GetMapper() -> vtkAbstractMapper3D\nC++: vtkAbstractMapper3D *GetMapper ();\n\n Return mapper that was picked (if any).\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkAreaPicker_GetDataSet, 1,
   (char*)"V.GetDataSet() -> vtkDataSet\nC++: vtkDataSet *GetDataSet ();\n\n Get a pointer to the dataset that was picked (if any). If nothing \n was picked then NULL is returned.\n"},
  {(char*)"GetProp3Ds",                (PyCFunction)PyvtkAreaPicker_GetProp3Ds, 1,
   (char*)"V.GetProp3Ds() -> vtkProp3DCollection\nC++: vtkProp3DCollection *GetProp3Ds ();return this Prop3Ds \n\n Return a collection of all the prop 3D's that were intersected\n by the pick ray. This collection is not sorted.\n"},
  {(char*)"GetFrustum",                (PyCFunction)PyvtkAreaPicker_GetFrustum, 1,
   (char*)"V.GetFrustum() -> vtkPlanes\nC++: vtkPlanes *GetFrustum ();\n\n Return the six planes that define the selection frustum. The implicit \n function defined by the planes evaluates to negative inside and positive\n outside.\n"},
  {(char*)"GetClipPoints",                (PyCFunction)PyvtkAreaPicker_GetClipPoints, 1,
   (char*)"V.GetClipPoints() -> vtkPoints\nC++: vtkPoints *GetClipPoints ();\n\n Return eight points that define the selection frustum.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAreaPickerDoc[] = {
  (char*)"vtkAreaPicker - Picks props behind a selection rectangle on a viewport.\n\n",
  "Super Class:\n\n vtkAbstractPropPicker\n\n",
  (char*)" The vtkAreaPicker picks all vtkProp3Ds that lie behind the screen space \n rectangle from x0,y0 and x1,y1. The selection is based upon the bounding\n box of the prop and is thus not exact.\n\n Like vtkPicker, a pick results in a list of Prop3Ds because many props may \n lie within the pick frustum. You can also get an AssemblyPath, which in this\n case is defined to be the path to the one particular pr",
  (char*)"op in the Prop3D list\n that lies nearest to the near plane. \n\n This picker also returns the selection frustum, defined as either a\n vtkPlanes, or a set of eight corner vertices in world space. The vtkPlanes \n version is an ImplicitFunction, which is suitable for use with the\n vtkExtractGeometry. The six frustum planes are in order: left, right, \n bottom, top, near, far\n\n Because this picker picks ",
  (char*)"everything within a volume, the world pick point \n result is ill-defined. Therefore if you ask this class for the world pick \n position, you will get the centroid of the pick frustum. This may be outside\n of all props in the prop list.\n\n\n",
  "See Also:\n\n vtkInteractorStyleRubberBandPick, vtkExtractSelectedFrustum.\n\n",
  NULL
};

static vtkObjectBase *vtkAreaPickerStaticNew()
{
  return vtkAreaPicker::New();
}

PyObject *PyVTKClass_vtkAreaPickerNew(char *modulename)
{
  return PyVTKClass_New(&vtkAreaPickerStaticNew,
                        PyvtkAreaPickerMethods,
                        (char*)"vtkAreaPicker",modulename,
                        (char**)vtkAreaPickerDoc,
                        PyVTKClass_vtkAbstractPropPickerNew(modulename));
}

