// python wrapper for vtkAssembly object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAssembly.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAssemblyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAssemblyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProp3DNew(char *); }

static PyObject *PyvtkAssembly_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  const char    *temp20;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssembly_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  char    *temp0;
  int      temp20;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssembly_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkAssembly  *temp20;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssembly_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAssembly  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAssembly::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAssembly_AddPart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkProp3D  *temp0;
  PyObject *tempH0;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp3D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssembly::AddPart(temp0);
      }
    else
      {
      op->AddPart(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAssembly_RemovePart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkProp3D  *temp0;
  PyObject *tempH0;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp3D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssembly::RemovePart(temp0);
      }
    else
      {
      op->RemovePart(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkAssembly_GetParts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkProp3DCollection  *temp20;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::GetParts();
      }
    else
      {
      temp20 = op->GetParts();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssembly_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssembly::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkAssembly_GetVolumes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssembly::GetVolumes(temp0);
      }
    else
      {
      op->GetVolumes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkAssembly_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkAssembly_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkAssembly_RenderVolumetricGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::RenderVolumetricGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderVolumetricGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkAssembly_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  int      temp20;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssembly_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssembly::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkAssembly_InitPathTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssembly::InitPathTraversal();
      }
    else
      {
      op->InitPathTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAssembly_GetNextPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkAssemblyPath  *temp20;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::GetNextPath();
      }
    else
      {
      temp20 = op->GetNextPath();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssembly_GetNumberOfPaths(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  int      temp20;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::GetNumberOfPaths();
      }
    else
      {
      temp20 = op->GetNumberOfPaths();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssembly_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  double temp0[6];
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssembly::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAssembly *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssembly_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  unsigned long     temp20;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssembly::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssembly_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssembly *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssembly::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}

static PyMethodDef PyvtkAssemblyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAssembly_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAssembly_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAssembly_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAssembly\nC++: vtkAssembly *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAssembly_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAssembly\nC++: vtkAssembly *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddPart",                (PyCFunction)PyvtkAssembly_AddPart, 1,
   (char*)"V.AddPart(vtkProp3D)\nC++: void AddPart (vtkProp3D *);\n\n Add a part to the list of parts.\n"},
  {(char*)"RemovePart",                (PyCFunction)PyvtkAssembly_RemovePart, 1,
   (char*)"V.RemovePart(vtkProp3D)\nC++: void RemovePart (vtkProp3D *);\n\n Remove a part from the list of parts,\n"},
  {(char*)"GetParts",                (PyCFunction)PyvtkAssembly_GetParts, 1,
   (char*)"V.GetParts() -> vtkProp3DCollection\nC++: vtkProp3DCollection *GetParts ();\n\n Return the parts (direct descendants) of this assembly.\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkAssembly_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: void GetActors (vtkPropCollection *);\n\n For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n"},
  {(char*)"GetVolumes",                (PyCFunction)PyvtkAssembly_GetVolumes, 1,
   (char*)"V.GetVolumes(vtkPropCollection)\nC++: void GetVolumes (vtkPropCollection *);\n\n For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkAssembly_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: int RenderOpaqueGeometry (vtkViewport *ren);\n\n Render this assembly and all its parts. \n The rendering process is recursive.\n Note that a mapper need not be defined. If not defined, then no geometry \n will be drawn for this assembly. This allows you to create \"logical\"\n assemblies; that is, assemblies that only serve to group and transform\n its parts.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkAssembly_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *ren);\n\n Render this assembly and all its parts. \n The rendering process is recursive.\n Note that a mapper need not be defined. If not defined, then no geometry \n will be drawn for this assembly. This allows you to create \"logical\"\n assemblies; that is, assemblies that only serve to group and transform\n its parts.\n"},
  {(char*)"RenderVolumetricGeometry",                (PyCFunction)PyvtkAssembly_RenderVolumetricGeometry, 1,
   (char*)"V.RenderVolumetricGeometry(vtkViewport) -> int\nC++: virtual int RenderVolumetricGeometry (vtkViewport *ren);\n\n Render this assembly and all its parts. \n The rendering process is recursive.\n Note that a mapper need not be defined. If not defined, then no geometry \n will be drawn for this assembly. This allows you to create \"logical\"\n assemblies; that is, assemblies that only serve to group and transform\n its parts.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkAssembly_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Does this prop have some translucent polygonal geometry?\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkAssembly_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"InitPathTraversal",                (PyCFunction)PyvtkAssembly_InitPathTraversal, 1,
   (char*)"V.InitPathTraversal()\nC++: void InitPathTraversal ();\n\n Methods to traverse the parts of an assembly. Each part (starting from\n the root) will appear properly transformed and with the correct\n properties (depending upon the ApplyProperty and ApplyTransform ivars).\n Note that the part appears as an instance of vtkProp. These methods\n should be contrasted to those that traverse the list of parts using\n GetParts().  GetParts() returns a list of children of this assembly, not\n necessarily with the correct transformation or properties. To use the\n methods below - first invoke InitPathTraversal() followed by repeated\n calls to GetNextPath().  GetNextPath() returns a NULL pointer when the\n list is exhausted.\n"},
  {(char*)"GetNextPath",                (PyCFunction)PyvtkAssembly_GetNextPath, 1,
   (char*)"V.GetNextPath() -> vtkAssemblyPath\nC++: vtkAssemblyPath *GetNextPath ();\n\n Methods to traverse the parts of an assembly. Each part (starting from\n the root) will appear properly transformed and with the correct\n properties (depending upon the ApplyProperty and ApplyTransform ivars).\n Note that the part appears as an instance of vtkProp. These methods\n should be contrasted to those that traverse the list of parts using\n GetParts().  GetParts() returns a list of children of this assembly, not\n necessarily with the correct transformation or properties. To use the\n methods below - first invoke InitPathTraversal() followed by repeated\n calls to GetNextPath().  GetNextPath() returns a NULL pointer when the\n list is exhausted.\n"},
  {(char*)"GetNumberOfPaths",                (PyCFunction)PyvtkAssembly_GetNumberOfPaths, 1,
   (char*)"V.GetNumberOfPaths() -> int\nC++: int GetNumberOfPaths ();\n\n Methods to traverse the parts of an assembly. Each part (starting from\n the root) will appear properly transformed and with the correct\n properties (depending upon the ApplyProperty and ApplyTransform ivars).\n Note that the part appears as an instance of vtkProp. These methods\n should be contrasted to those that traverse the list of parts using\n GetParts().  GetParts() returns a list of children of this assembly, not\n necessarily with the correct transformation or properties. To use the\n methods below - first invoke InitPathTraversal() followed by repeated\n calls to GetNextPath().  GetNextPath() returns a NULL pointer when the\n list is exhausted.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkAssembly_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);this vtkProp3D GetBounds bounds \nV.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\n\n Get the bounds for the assembly as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAssembly_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override default GetMTime method to also consider all of the\n assembly's parts.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAssembly_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of an assembly. Overloads the virtual vtkProp method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAssemblyDoc[] = {
  (char*)"vtkAssembly - create hierarchies of vtkProp3Ds (transformable props)\n\n",
  "Super Class:\n\n vtkProp3D\n\n",
  (char*)" vtkAssembly is an object that groups vtkProp3Ds, its subclasses, and\n other assemblies into a tree-like hierarchy. The vtkProp3Ds and\n assemblies can then be transformed together by transforming just the root\n assembly of the hierarchy.\n\n A vtkAssembly object can be used in place of an vtkProp3D since it is a\n subclass of vtkProp3D. The difference is that vtkAssembly maintains a list\n of vtkProp3",
  (char*)"D instances (its \"parts\") that form the assembly. Then, any\n operation that transforms (i.e., scales, rotates, translates) the parent\n assembly will transform all its parts.  Note that this process is\n recursive: you can create groups consisting of assemblies and/or\n vtkProp3Ds to arbitrary depth.\n\n To add an assembly to the renderer's list of props, you only need to\n add the root of the assembly.",
  (char*)" During rendering, the parts of the\n assembly are rendered during a hierarchical traversal process.\n\n",
  "Caveats:\n\n Collections of assemblies are slower to render than an equivalent list\n of actors. This is because to support arbitrary nesting of assemblies, \n the state of the assemblies (i.e., transformation matrices) must\n be propagated through the assembly hierarchy. \n\n Assemblies can consist of hierarchies of assemblies, where one actor or\n assembly used in one hierarchy is also used in other hierarchies. However, \n make that there are no cycles (e.g., parent->child->parent),  ...\n [Truncated]\n\n",
  "See Also:\n\n vtkActor vtkTransform vtkMapper vtkPolyDataMapper vtkPropAssembly\n\n",
  NULL
};

static vtkObjectBase *vtkAssemblyStaticNew()
{
  return vtkAssembly::New();
}

PyObject *PyVTKClass_vtkAssemblyNew(char *modulename)
{
  return PyVTKClass_New(&vtkAssemblyStaticNew,
                        PyvtkAssemblyMethods,
                        (char*)"vtkAssembly",modulename,
                        (char**)vtkAssemblyDoc,
                        PyVTKClass_vtkProp3DNew(modulename));
}

