// tcl wrapper for vtkAxisActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxisActor2D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAxisActor2DNewCommand()
{
  vtkAxisActor2D *temp = vtkAxisActor2D::New();
  return static_cast<ClientData>(temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAxisActor2DCppCommand(vtkAxisActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAxisActor2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAxisActor2DCppCommand(static_cast<vtkAxisActor2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAxisActor2DCppCommand(vtkAxisActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAxisActor2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAxisActor2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetPoint1Coordinate",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetPoint1Coordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetPoint1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPoint1(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint2Coordinate",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetPoint2Coordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetPoint2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPoint2(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfLabelsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabelsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAdjustLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAdjustLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAdjustLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAdjustLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AdjustLabelsOn",argv[1]))&&(argc == 2))
    {
    op->AdjustLabelsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AdjustLabelsOff",argv[1]))&&(argc == 2))
    {
    op->AdjustLabelsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAdjustedRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetAdjustedRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAdjustedNumberOfLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAdjustedNumberOfLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetTickLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTickLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTickLengthMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickLengthMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTickLengthMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickLengthMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTickLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfMinorTicks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfMinorTicks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfMinorTicksMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfMinorTicksMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfMinorTicksMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfMinorTicksMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfMinorTicks",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfMinorTicks();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinorTickLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinorTickLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinorTickLengthMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinorTickLengthMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinorTickLengthMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinorTickLengthMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinorTickLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinorTickLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTickOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTickOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTickOffsetMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickOffsetMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTickOffsetMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickOffsetMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTickOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->AxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->AxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTickVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTickVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTickVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TickVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->TickVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TickVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->TickVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTitleVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTitleVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TitleVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->TitleVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TitleVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->TitleVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitlePosition",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTitlePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitlePosition",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTitlePosition();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFontFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFontFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFontFactorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFontFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFontFactorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFontFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFontFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFontFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLabelFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFactorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLabelFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelFactorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLabelFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLabelFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSizeFontRelativeToAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSizeFontRelativeToAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSizeFontRelativeToAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSizeFontRelativeToAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SizeFontRelativeToAxisOn",argv[1]))&&(argc == 2))
    {
    op->SizeFontRelativeToAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SizeFontRelativeToAxisOff",argv[1]))&&(argc == 2))
    {
    op->SizeFontRelativeToAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAxisActor2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAxisActor2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1Coordinate\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2Coordinate\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetAdjustLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjustLabels\n",NULL);
    Tcl_AppendResult(interp,"  AdjustLabelsOn\n",NULL);
    Tcl_AppendResult(interp,"  AdjustLabelsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjustedRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjustedNumberOfLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetTickLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTickLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTickLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTickLength\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfMinorTicks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfMinorTicksMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfMinorTicksMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfMinorTicks\n",NULL);
    Tcl_AppendResult(interp,"  SetMinorTickLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinorTickLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinorTickLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinorTickLength\n",NULL);
    Tcl_AppendResult(interp,"  SetTickOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTickOffsetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTickOffsetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTickOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  AxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  AxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTickVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTickVisibility\n",NULL);
    Tcl_AppendResult(interp,"  TickVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  TickVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleVisibility\n",NULL);
    Tcl_AppendResult(interp,"  TitleVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  TitleVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTitlePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitlePosition\n",NULL);
    Tcl_AppendResult(interp,"  SetFontFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFactor\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSizeFontRelativeToAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSizeFontRelativeToAxis\n",NULL);
    Tcl_AppendResult(interp,"  SizeFontRelativeToAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  SizeFontRelativeToAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Coordinate" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Coordinate" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetAdjustLabels" );
    Tcl_DStringAppendElement ( &dString, "GetAdjustLabels" );
    Tcl_DStringAppendElement ( &dString, "AdjustLabelsOn" );
    Tcl_DStringAppendElement ( &dString, "AdjustLabelsOff" );
    Tcl_DStringAppendElement ( &dString, "GetAdjustedRange" );
    Tcl_DStringAppendElement ( &dString, "GetAdjustedNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetTickLength" );
    Tcl_DStringAppendElement ( &dString, "GetTickLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTickLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTickLength" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfMinorTicks" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMinorTicksMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMinorTicksMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMinorTicks" );
    Tcl_DStringAppendElement ( &dString, "SetMinorTickLength" );
    Tcl_DStringAppendElement ( &dString, "GetMinorTickLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinorTickLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinorTickLength" );
    Tcl_DStringAppendElement ( &dString, "SetTickOffset" );
    Tcl_DStringAppendElement ( &dString, "GetTickOffsetMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTickOffsetMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTickOffset" );
    Tcl_DStringAppendElement ( &dString, "SetAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "GetTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "SetFontFactor" );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFontFactor" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFactor" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactor" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetSizeFontRelativeToAxis" );
    Tcl_DStringAppendElement ( &dString, "GetSizeFontRelativeToAxis" );
    Tcl_DStringAppendElement ( &dString, "SizeFontRelativeToAxisOn" );
    Tcl_DStringAppendElement ( &dString, "SizeFontRelativeToAxisOff" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActor2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkAxisActor2D *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1Coordinate */
    if ( strcmp ( argv[2], "GetPoint1Coordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Coordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1Coordinate */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the first point defining the axis.\n Note: backward compatibility only, use vtkActor2D's Position instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCoordinate *GetPoint1Coordinate ();return this GetPositionCoordinate " );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetPoint1Coordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the first point defining the axis.\n Note: backward compatibility only, use vtkActor2D's Position instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint1 (double x\\[2\\]);this SetPosition x " );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the first point defining the axis.\n Note: backward compatibility only, use vtkActor2D's Position instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint1 (double x, double y);this SetPosition x y " );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2Coordinate */
    if ( strcmp ( argv[2], "GetPoint2Coordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Coordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2Coordinate */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the second point defining the axis. Note that\n the order from Point1 to Point2 controls which side the tick marks\n are drawn on (ticks are drawn on the right, if visible).\n Note: backward compatibility only, use vtkActor2D's Position2 instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCoordinate *GetPoint2Coordinate ();return this GetPosition2Coordinate " );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetPoint2Coordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the second point defining the axis. Note that\n the order from Point1 to Point2 controls which side the tick marks\n are drawn on (ticks are drawn on the right, if visible).\n Note: backward compatibility only, use vtkActor2D's Position2 instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint2 (double x\\[2\\]);this SetPosition2 x " );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the second point defining the axis. Note that\n the order from Point1 to Point2 controls which side the tick marks\n are drawn on (ticks are drawn on the right, if visible).\n Note: backward compatibility only, use vtkActor2D's Position2 instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint2 (double x, double y);this SetPosition2 x y " );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, " Specify the (min,max) axis range. This will be used in the generation\n of labels, if labels are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRange (double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, " Specify the (min,max) axis range. This will be used in the generation\n of labels, if labels are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRange (double  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, " Specify the (min,max) axis range. This will be used in the generation\n of labels, if labels are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetRange ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfLabels */
    if ( strcmp ( argv[2], "SetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfLabels (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabelsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfLabelsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabelsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetNumberOfLabelsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabelsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfLabelsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabelsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetNumberOfLabelsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabels */
    if ( strcmp ( argv[2], "GetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the scalar\n bar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelFormat (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the scalar\n bar.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabelFormat ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAdjustLabels */
    if ( strcmp ( argv[2], "SetAdjustLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAdjustLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAdjustLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAdjustLabels (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetAdjustLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAdjustLabels */
    if ( strcmp ( argv[2], "GetAdjustLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdjustLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdjustLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAdjustLabels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetAdjustLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AdjustLabelsOn */
    if ( strcmp ( argv[2], "AdjustLabelsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdjustLabelsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdjustLabelsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void AdjustLabelsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for AdjustLabelsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AdjustLabelsOff */
    if ( strcmp ( argv[2], "AdjustLabelsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdjustLabelsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdjustLabelsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void AdjustLabelsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for AdjustLabelsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAdjustedRange */
    if ( strcmp ( argv[2], "GetAdjustedRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdjustedRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdjustedRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetAdjustedRange (double _arg\\[2\\]);this GetAdjustedRange _arg _arg " );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetAdjustedRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAdjustedNumberOfLabels */
    if ( strcmp ( argv[2], "GetAdjustedNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdjustedNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdjustedNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the scalar bar actor,\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAdjustedNumberOfLabels ();this UpdateAdjustedRange return this AdjustedNumberOfLabels " );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetAdjustedNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitle */
    if ( strcmp ( argv[2], "SetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the scalar bar actor,\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitle (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the scalar bar actor,\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTitle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleTextProperty */
    if ( strcmp ( argv[2], "SetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleTextProperty (vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleTextProperty */
    if ( strcmp ( argv[2], "GetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTitleTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelTextProperty */
    if ( strcmp ( argv[2], "SetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelTextProperty (vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelTextProperty */
    if ( strcmp ( argv[2], "GetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetLabelTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickLength */
    if ( strcmp ( argv[2], "SetTickLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length of the tick marks (expressed in pixels or display\n coordinates). \n" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLength (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetTickLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickLengthMinValue */
    if ( strcmp ( argv[2], "GetTickLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length of the tick marks (expressed in pixels or display\n coordinates). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickLengthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetTickLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickLengthMaxValue */
    if ( strcmp ( argv[2], "GetTickLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length of the tick marks (expressed in pixels or display\n coordinates). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickLengthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetTickLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickLength */
    if ( strcmp ( argv[2], "GetTickLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length of the tick marks (expressed in pixels or display\n coordinates). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickLength ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetTickLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfMinorTicks */
    if ( strcmp ( argv[2], "SetNumberOfMinorTicks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfMinorTicks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfMinorTicks */
    Tcl_DStringAppendElement ( &dString, " Number of minor ticks to be displayed between each tick. Default\n is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfMinorTicks (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetNumberOfMinorTicks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfMinorTicksMinValue */
    if ( strcmp ( argv[2], "GetNumberOfMinorTicksMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMinorTicksMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfMinorTicksMinValue */
    Tcl_DStringAppendElement ( &dString, " Number of minor ticks to be displayed between each tick. Default\n is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfMinorTicksMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetNumberOfMinorTicksMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfMinorTicksMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfMinorTicksMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMinorTicksMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfMinorTicksMaxValue */
    Tcl_DStringAppendElement ( &dString, " Number of minor ticks to be displayed between each tick. Default\n is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfMinorTicksMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetNumberOfMinorTicksMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfMinorTicks */
    if ( strcmp ( argv[2], "GetNumberOfMinorTicks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMinorTicks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfMinorTicks */
    Tcl_DStringAppendElement ( &dString, " Number of minor ticks to be displayed between each tick. Default\n is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfMinorTicks ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetNumberOfMinorTicks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinorTickLength */
    if ( strcmp ( argv[2], "SetMinorTickLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinorTickLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinorTickLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length of the minor tick marks (expressed in pixels or\n display coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinorTickLength (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetMinorTickLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinorTickLengthMinValue */
    if ( strcmp ( argv[2], "GetMinorTickLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorTickLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorTickLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length of the minor tick marks (expressed in pixels or\n display coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinorTickLengthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetMinorTickLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinorTickLengthMaxValue */
    if ( strcmp ( argv[2], "GetMinorTickLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorTickLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorTickLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length of the minor tick marks (expressed in pixels or\n display coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinorTickLengthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetMinorTickLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinorTickLength */
    if ( strcmp ( argv[2], "GetMinorTickLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorTickLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorTickLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length of the minor tick marks (expressed in pixels or\n display coordinates).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinorTickLength ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetMinorTickLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickOffset */
    if ( strcmp ( argv[2], "SetTickOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the labels (expressed in pixels or display\n coordinates). The offset is the distance of labels from tick marks\n or other objects.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTickOffset (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetTickOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickOffsetMinValue */
    if ( strcmp ( argv[2], "GetTickOffsetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickOffsetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickOffsetMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the labels (expressed in pixels or display\n coordinates). The offset is the distance of labels from tick marks\n or other objects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickOffsetMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetTickOffsetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickOffsetMaxValue */
    if ( strcmp ( argv[2], "GetTickOffsetMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickOffsetMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickOffsetMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the labels (expressed in pixels or display\n coordinates). The offset is the distance of labels from tick marks\n or other objects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickOffsetMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetTickOffsetMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickOffset */
    if ( strcmp ( argv[2], "GetTickOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the labels (expressed in pixels or display\n coordinates). The offset is the distance of labels from tick marks\n or other objects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetTickOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisVisibility */
    if ( strcmp ( argv[2], "SetAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisVisibility */
    if ( strcmp ( argv[2], "GetAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AxisVisibilityOn */
    if ( strcmp ( argv[2], "AxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "void AxisVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for AxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AxisVisibilityOff */
    if ( strcmp ( argv[2], "AxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "void AxisVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for AxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickVisibility */
    if ( strcmp ( argv[2], "SetTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTickVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickVisibility */
    if ( strcmp ( argv[2], "GetTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TickVisibilityOn */
    if ( strcmp ( argv[2], "TickVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TickVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "void TickVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for TickVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TickVisibilityOff */
    if ( strcmp ( argv[2], "TickVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TickVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "void TickVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for TickVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelVisibility */
    if ( strcmp ( argv[2], "SetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelVisibility */
    if ( strcmp ( argv[2], "GetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLabelVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LabelVisibilityOn */
    if ( strcmp ( argv[2], "LabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void LabelVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for LabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LabelVisibilityOff */
    if ( strcmp ( argv[2], "LabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void LabelVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for LabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleVisibility */
    if ( strcmp ( argv[2], "SetTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitleVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleVisibility */
    if ( strcmp ( argv[2], "GetTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTitleVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TitleVisibilityOn */
    if ( strcmp ( argv[2], "TitleVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TitleVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "void TitleVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for TitleVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TitleVisibilityOff */
    if ( strcmp ( argv[2], "TitleVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TitleVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "void TitleVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for TitleVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitlePosition */
    if ( strcmp ( argv[2], "SetTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get position of the axis title. 0 is at the start of the\n axis whereas 1 is at the end.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitlePosition (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitlePosition */
    if ( strcmp ( argv[2], "GetTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get position of the axis title. 0 is at the start of the\n axis whereas 1 is at the end.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTitlePosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontFactor */
    if ( strcmp ( argv[2], "SetFontFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. This ivar used in conjunction with\n the LabelFactor can be used to control font sizes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFontFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetFontFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFactorMinValue */
    if ( strcmp ( argv[2], "GetFontFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. This ivar used in conjunction with\n the LabelFactor can be used to control font sizes.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFontFactorMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetFontFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFactorMaxValue */
    if ( strcmp ( argv[2], "GetFontFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. This ivar used in conjunction with\n the LabelFactor can be used to control font sizes.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFontFactorMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetFontFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFactor */
    if ( strcmp ( argv[2], "GetFontFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. This ivar used in conjunction with\n the LabelFactor can be used to control font sizes.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFontFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetFontFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFactor */
    if ( strcmp ( argv[2], "SetLabelFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the relative size of the axis labels\n to the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetLabelFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFactorMinValue */
    if ( strcmp ( argv[2], "GetLabelFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the relative size of the axis labels\n to the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLabelFactorMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetLabelFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFactorMaxValue */
    if ( strcmp ( argv[2], "GetLabelFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the relative size of the axis labels\n to the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLabelFactorMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetLabelFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFactor */
    if ( strcmp ( argv[2], "GetLabelFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the relative size of the axis labels\n to the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLabelFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetLabelFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw the axis. \n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axis. \n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return " );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources (vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSizeFontRelativeToAxis */
    if ( strcmp ( argv[2], "SetSizeFontRelativeToAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSizeFontRelativeToAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSizeFontRelativeToAxis */
    Tcl_DStringAppendElement ( &dString, " Specify whether to size the fonts relative to the viewport or relative to\n length of the axis. By default, fonts are resized relative to the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSizeFontRelativeToAxis (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SetSizeFontRelativeToAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSizeFontRelativeToAxis */
    if ( strcmp ( argv[2], "GetSizeFontRelativeToAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSizeFontRelativeToAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSizeFontRelativeToAxis */
    Tcl_DStringAppendElement ( &dString, " Specify whether to size the fonts relative to the viewport or relative to\n length of the axis. By default, fonts are resized relative to the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSizeFontRelativeToAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for GetSizeFontRelativeToAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SizeFontRelativeToAxisOn */
    if ( strcmp ( argv[2], "SizeFontRelativeToAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SizeFontRelativeToAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SizeFontRelativeToAxisOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether to size the fonts relative to the viewport or relative to\n length of the axis. By default, fonts are resized relative to the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SizeFontRelativeToAxisOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SizeFontRelativeToAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SizeFontRelativeToAxisOff */
    if ( strcmp ( argv[2], "SizeFontRelativeToAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SizeFontRelativeToAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SizeFontRelativeToAxisOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether to size the fonts relative to the viewport or relative to\n length of the axis. By default, fonts are resized relative to the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SizeFontRelativeToAxisOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for SizeFontRelativeToAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of an axis actor. Overloads the virtual vtkProp method.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy (vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
