// python wrapper for vtkCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCamera.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCameraNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCameraNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCamera_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  const char    *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  char    *temp0;
  int      temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  vtkCamera  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCamera  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCamera::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCamera_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCamera *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetFocalPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetFocalPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCamera *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetFocalPoint(temp0);
      }
    else
      {
      op->SetFocalPoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetFocalPoint();
      }
    else
      {
      temp20 = op->GetFocalPoint();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetViewUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetViewUp(temp0,temp1,temp2);
      }
    else
      {
      op->SetViewUp(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCamera *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetViewUp(temp0);
      }
    else
      {
      op->SetViewUp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetViewUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetViewUp();
      }
    else
      {
      temp20 = op->GetViewUp();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_OrthogonalizeViewUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::OrthogonalizeViewUp();
      }
    else
      {
      op->OrthogonalizeViewUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetDistance(temp0);
      }
    else
      {
      op->SetDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetDistance();
      }
    else
      {
      temp20 = op->GetDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetDirectionOfProjection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetDirectionOfProjection();
      }
    else
      {
      temp20 = op->GetDirectionOfProjection();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_Dolly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::Dolly(temp0);
      }
    else
      {
      op->Dolly(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetRoll(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetRoll(temp0);
      }
    else
      {
      op->SetRoll(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetRoll(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetRoll();
      }
    else
      {
      temp20 = op->GetRoll();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_Roll(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::Roll(temp0);
      }
    else
      {
      op->Roll(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_Azimuth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::Azimuth(temp0);
      }
    else
      {
      op->Azimuth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_Yaw(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::Yaw(temp0);
      }
    else
      {
      op->Yaw(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_Elevation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::Elevation(temp0);
      }
    else
      {
      op->Elevation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_Pitch(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::Pitch(temp0);
      }
    else
      {
      op->Pitch(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetParallelProjection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  int      temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetParallelProjection(temp0);
      }
    else
      {
      op->SetParallelProjection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetParallelProjection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  int      temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetParallelProjection();
      }
    else
      {
      temp20 = op->GetParallelProjection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_ParallelProjectionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::ParallelProjectionOn();
      }
    else
      {
      op->ParallelProjectionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_ParallelProjectionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::ParallelProjectionOff();
      }
    else
      {
      op->ParallelProjectionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetUseHorizontalViewAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  int      temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetUseHorizontalViewAngle(temp0);
      }
    else
      {
      op->SetUseHorizontalViewAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetUseHorizontalViewAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  int      temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetUseHorizontalViewAngle();
      }
    else
      {
      temp20 = op->GetUseHorizontalViewAngle();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_UseHorizontalViewAngleOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::UseHorizontalViewAngleOn();
      }
    else
      {
      op->UseHorizontalViewAngleOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_UseHorizontalViewAngleOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::UseHorizontalViewAngleOff();
      }
    else
      {
      op->UseHorizontalViewAngleOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetViewAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetViewAngle(temp0);
      }
    else
      {
      op->SetViewAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetViewAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetViewAngle();
      }
    else
      {
      temp20 = op->GetViewAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetParallelScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetParallelScale(temp0);
      }
    else
      {
      op->SetParallelScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetParallelScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetParallelScale();
      }
    else
      {
      temp20 = op->GetParallelScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_Zoom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::Zoom(temp0);
      }
    else
      {
      op->Zoom(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  double   temp1;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetClippingRange(temp0,temp1);
      }
    else
      {
      op->SetClippingRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCamera *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetClippingRange(temp0);
      }
    else
      {
      op->SetClippingRange(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetClippingRange();
      }
    else
      {
      temp20 = op->GetClippingRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetThickness(temp0);
      }
    else
      {
      op->SetThickness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetThickness();
      }
    else
      {
      temp20 = op->GetThickness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetWindowCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  double   temp1;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetWindowCenter(temp0,temp1);
      }
    else
      {
      op->SetWindowCenter(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetWindowCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetWindowCenter();
      }
    else
      {
      temp20 = op->GetWindowCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetObliqueAngles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  double   temp1;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetObliqueAngles(temp0,temp1);
      }
    else
      {
      op->SetObliqueAngles(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_ApplyTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  vtkTransform  *temp0;
  PyObject *tempH0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform");
    if (!temp0 && tempH0 != Py_None) goto break46;
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::ApplyTransform(temp0);
      }
    else
      {
      op->ApplyTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break46:
  return NULL;
}


static PyObject *PyvtkCamera_GetViewPlaneNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetViewPlaneNormal();
      }
    else
      {
      temp20 = op->GetViewPlaneNormal();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetViewShear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetViewShear(temp0,temp1,temp2);
      }
    else
      {
      op->SetViewShear(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCamera *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetViewShear(temp0);
      }
    else
      {
      op->SetViewShear(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetViewShear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetViewShear();
      }
    else
      {
      temp20 = op->GetViewShear();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetEyeAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetEyeAngle(temp0);
      }
    else
      {
      op->SetEyeAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetEyeAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetEyeAngle();
      }
    else
      {
      temp20 = op->GetEyeAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetFocalDisk(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetFocalDisk(temp0);
      }
    else
      {
      op->SetFocalDisk(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetFocalDisk(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetFocalDisk();
      }
    else
      {
      temp20 = op->GetFocalDisk();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetViewTransformMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  vtkMatrix4x4  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetViewTransformMatrix();
      }
    else
      {
      temp20 = op->GetViewTransformMatrix();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetViewTransformObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  vtkTransform  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetViewTransformObject();
      }
    else
      {
      temp20 = op->GetViewTransformObject();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetPerspectiveTransformMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkMatrix4x4  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetPerspectiveTransformMatrix(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetPerspectiveTransformMatrix(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetCompositePerspectiveTransformMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkMatrix4x4  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetCompositePerspectiveTransformMatrix(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetCompositePerspectiveTransformMatrix(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_SetUserTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  vtkHomogeneousTransform  *temp0;
  PyObject *tempH0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHomogeneousTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHomogeneousTransform");
    if (!temp0 && tempH0 != Py_None) goto break59;
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetUserTransform(temp0);
      }
    else
      {
      op->SetUserTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break59:
  return NULL;
}


static PyObject *PyvtkCamera_GetUserTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  vtkHomogeneousTransform  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetUserTransform();
      }
    else
      {
      temp20 = op->GetUserTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::Render(temp0);
      }
    else
      {
      op->Render(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break61:
  return NULL;
}


static PyObject *PyvtkCamera_GetViewingRaysMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  unsigned long     temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetViewingRaysMTime();
      }
    else
      {
      temp20 = op->GetViewingRaysMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_ViewingRaysModified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::ViewingRaysModified();
      }
    else
      {
      op->ViewingRaysModified();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetFrustumPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  double temp1[24];
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"d(dddddddddddddddddddddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8, temp1 + 9, temp1 + 10, temp1 + 11, temp1 + 12, temp1 + 13, temp1 + 14, temp1 + 15, temp1 + 16, temp1 + 17, temp1 + 18, temp1 + 19, temp1 + 20, temp1 + 21, temp1 + 22, temp1 + 23);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::GetFrustumPlanes(temp0,temp1);
      }
    else
      {
      op->GetFrustumPlanes(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,24)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetOrientation();
      }
    else
      {
      temp20 = op->GetOrientation();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetOrientationWXYZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetOrientationWXYZ();
      }
    else
      {
      temp20 = op->GetOrientationWXYZ();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkCamera_SetViewPlaneNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetViewPlaneNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetViewPlaneNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCamera *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetViewPlaneNormal(temp0);
      }
    else
      {
      op->SetViewPlaneNormal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


static PyObject *PyvtkCamera_ComputeViewPlaneNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::ComputeViewPlaneNormal();
      }
    else
      {
      op->ComputeViewPlaneNormal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetCameraLightTransformMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  vtkMatrix4x4  *temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetCameraLightTransformMatrix();
      }
    else
      {
      temp20 = op->GetCameraLightTransformMatrix();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_UpdateViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break71;
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::UpdateViewport(temp0);
      }
    else
      {
      op->UpdateViewport(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break71:
  return NULL;
}


static PyObject *PyvtkCamera_SetLeftEye(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  int      temp0;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCamera::SetLeftEye(temp0);
      }
    else
      {
      op->SetLeftEye(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCamera_GetLeftEye(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCamera *op;

  int      temp20;
  op = (vtkCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCamera::GetLeftEye();
      }
    else
      {
      temp20 = op->GetLeftEye();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCameraMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCamera_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCamera_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCamera_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCamera\nC++: vtkCamera *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCamera_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCamera\nC++: vtkCamera *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkCamera_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double x, double y, double z);\nV.SetPosition((float, float, float))\nC++: void SetPosition (const double a[3]);this SetPosition a a a \n\n Set/Get the position of the camera in world coordinates.\n The default position is (0,0,1).\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkCamera_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double  *GetPosition ();\n\n Set/Get the position of the camera in world coordinates.\n The default position is (0,0,1).\n"},
  {(char*)"SetFocalPoint",                (PyCFunction)PyvtkCamera_SetFocalPoint, 1,
   (char*)"V.SetFocalPoint(float, float, float)\nC++: void SetFocalPoint (double x, double y, double z);\nV.SetFocalPoint((float, float, float))\nC++: void SetFocalPoint (const double a[3]);this SetFocalPoint a a a \n\n Set/Get the focal of the camera in world coordinates.\n The default focal point is the origin.\n"},
  {(char*)"GetFocalPoint",                (PyCFunction)PyvtkCamera_GetFocalPoint, 1,
   (char*)"V.GetFocalPoint() -> (float, float, float)\nC++: double  *GetFocalPoint ();\n\n Set/Get the focal of the camera in world coordinates.\n The default focal point is the origin.\n"},
  {(char*)"SetViewUp",                (PyCFunction)PyvtkCamera_SetViewUp, 1,
   (char*)"V.SetViewUp(float, float, float)\nC++: void SetViewUp (double vx, double vy, double vz);\nV.SetViewUp((float, float, float))\nC++: void SetViewUp (const double a[3]);this SetViewUp a a a \n\n Set/Get the view up direction for the camera.  The default\n is (0,1,0).\n"},
  {(char*)"GetViewUp",                (PyCFunction)PyvtkCamera_GetViewUp, 1,
   (char*)"V.GetViewUp() -> (float, float, float)\nC++: double  *GetViewUp ();\n\n Set/Get the view up direction for the camera.  The default\n is (0,1,0).\n"},
  {(char*)"OrthogonalizeViewUp",                (PyCFunction)PyvtkCamera_OrthogonalizeViewUp, 1,
   (char*)"V.OrthogonalizeViewUp()\nC++: void OrthogonalizeViewUp ();\n\n Recompute the ViewUp vector to force it to be perpendicular to\n camera->focalpoint vector.  Unless you are going to use\n Yaw or Azimuth on the camera, there is no need to do this.\n"},
  {(char*)"SetDistance",                (PyCFunction)PyvtkCamera_SetDistance, 1,
   (char*)"V.SetDistance(float)\nC++: void SetDistance (double );\n\n Move the focal point so that it is the specified distance from\n the camera position.  This distance must be positive.\n"},
  {(char*)"GetDistance",                (PyCFunction)PyvtkCamera_GetDistance, 1,
   (char*)"V.GetDistance() -> float\nC++: double GetDistance ();\n\n Return the distance from the camera position to the focal point.\n This distance is positive.\n"},
  {(char*)"GetDirectionOfProjection",                (PyCFunction)PyvtkCamera_GetDirectionOfProjection, 1,
   (char*)"V.GetDirectionOfProjection() -> (float, float, float)\nC++: double  *GetDirectionOfProjection ();\n\n Get the vector in the direction from the camera position to the\n focal point.  This is usually the opposite of the ViewPlaneNormal,\n the vector perpendicular to the screen, unless the view is oblique.\n"},
  {(char*)"Dolly",                (PyCFunction)PyvtkCamera_Dolly, 1,
   (char*)"V.Dolly(float)\nC++: void Dolly (double distance);\n\n Move the position of the camera along the direction of projection. Moving\n towards the focal point (e.g., greater than 1) is a dolly-in, moving away\n from the focal point (e.g., less than 1) is a dolly-out.\n"},
  {(char*)"SetRoll",                (PyCFunction)PyvtkCamera_SetRoll, 1,
   (char*)"V.SetRoll(float)\nC++: void SetRoll (double angle);\n\n Set the roll angle of the camera about the direction of projection.\n"},
  {(char*)"GetRoll",                (PyCFunction)PyvtkCamera_GetRoll, 1,
   (char*)"V.GetRoll() -> float\nC++: double GetRoll ();\n\n Set the roll angle of the camera about the direction of projection.\n"},
  {(char*)"Roll",                (PyCFunction)PyvtkCamera_Roll, 1,
   (char*)"V.Roll(float)\nC++: void Roll (double angle);\n\n Rotate the camera about the direction of projection.\n"},
  {(char*)"Azimuth",                (PyCFunction)PyvtkCamera_Azimuth, 1,
   (char*)"V.Azimuth(float)\nC++: void Azimuth (double angle);\n\n Rotate the camera about the view up vector centered at the focal point.\n Note that the view up vector is not necessarily perpendicular to the\n direction of projection.\n"},
  {(char*)"Yaw",                (PyCFunction)PyvtkCamera_Yaw, 1,
   (char*)"V.Yaw(float)\nC++: void Yaw (double angle);\n\n Rotate the focal point about the view up vector centered at the camera's\n position. Note that the view up vector is not necessarily perpendicular\n to the direction of projection.\n"},
  {(char*)"Elevation",                (PyCFunction)PyvtkCamera_Elevation, 1,
   (char*)"V.Elevation(float)\nC++: void Elevation (double angle);\n\n Rotate the camera about the cross product of the direction of projection\n and the view up vector centered on the focal point.\n"},
  {(char*)"Pitch",                (PyCFunction)PyvtkCamera_Pitch, 1,
   (char*)"V.Pitch(float)\nC++: void Pitch (double angle);\n\n Rotate the focal point about the cross product of the view up vector\n and the direction of projection, centered at the camera's position.\n"},
  {(char*)"SetParallelProjection",                (PyCFunction)PyvtkCamera_SetParallelProjection, 1,
   (char*)"V.SetParallelProjection(int)\nC++: void SetParallelProjection (int flag);\n\n Set/Get the value of the ParallelProjection instance variable. This\n determines if the camera should do a perspective or parallel projection.\n"},
  {(char*)"GetParallelProjection",                (PyCFunction)PyvtkCamera_GetParallelProjection, 1,
   (char*)"V.GetParallelProjection() -> int\nC++: int GetParallelProjection ();\n\n Set/Get the value of the ParallelProjection instance variable. This\n determines if the camera should do a perspective or parallel projection.\n"},
  {(char*)"ParallelProjectionOn",                (PyCFunction)PyvtkCamera_ParallelProjectionOn, 1,
   (char*)"V.ParallelProjectionOn()\nC++: void ParallelProjectionOn ();\n\n Set/Get the value of the ParallelProjection instance variable. This\n determines if the camera should do a perspective or parallel projection.\n"},
  {(char*)"ParallelProjectionOff",                (PyCFunction)PyvtkCamera_ParallelProjectionOff, 1,
   (char*)"V.ParallelProjectionOff()\nC++: void ParallelProjectionOff ();\n\n Set/Get the value of the ParallelProjection instance variable. This\n determines if the camera should do a perspective or parallel projection.\n"},
  {(char*)"SetUseHorizontalViewAngle",                (PyCFunction)PyvtkCamera_SetUseHorizontalViewAngle, 1,
   (char*)"V.SetUseHorizontalViewAngle(int)\nC++: void SetUseHorizontalViewAngle (int flag);\n\n Set/Get the value of the UseHorizontalViewAngle instance variable. If\n set, the camera's view angle represents a horizontal view angle, rather\n than the default vertical view angle. This is useful if the application\n uses a display device which whose specs indicate a particular horizontal\n view angle, or if the application varies the window height but wants to\n keep the perspective transform unchanges.\n"},
  {(char*)"GetUseHorizontalViewAngle",                (PyCFunction)PyvtkCamera_GetUseHorizontalViewAngle, 1,
   (char*)"V.GetUseHorizontalViewAngle() -> int\nC++: int GetUseHorizontalViewAngle ();\n\n Set/Get the value of the UseHorizontalViewAngle instance variable. If\n set, the camera's view angle represents a horizontal view angle, rather\n than the default vertical view angle. This is useful if the application\n uses a display device which whose specs indicate a particular horizontal\n view angle, or if the application varies the window height but wants to\n keep the perspective transform unchanges.\n"},
  {(char*)"UseHorizontalViewAngleOn",                (PyCFunction)PyvtkCamera_UseHorizontalViewAngleOn, 1,
   (char*)"V.UseHorizontalViewAngleOn()\nC++: void UseHorizontalViewAngleOn ();\n\n Set/Get the value of the UseHorizontalViewAngle instance variable. If\n set, the camera's view angle represents a horizontal view angle, rather\n than the default vertical view angle. This is useful if the application\n uses a display device which whose specs indicate a particular horizontal\n view angle, or if the application varies the window height but wants to\n keep the perspective transform unchanges.\n"},
  {(char*)"UseHorizontalViewAngleOff",                (PyCFunction)PyvtkCamera_UseHorizontalViewAngleOff, 1,
   (char*)"V.UseHorizontalViewAngleOff()\nC++: void UseHorizontalViewAngleOff ();\n\n Set/Get the value of the UseHorizontalViewAngle instance variable. If\n set, the camera's view angle represents a horizontal view angle, rather\n than the default vertical view angle. This is useful if the application\n uses a display device which whose specs indicate a particular horizontal\n view angle, or if the application varies the window height but wants to\n keep the perspective transform unchanges.\n"},
  {(char*)"SetViewAngle",                (PyCFunction)PyvtkCamera_SetViewAngle, 1,
   (char*)"V.SetViewAngle(float)\nC++: void SetViewAngle (double angle);\n\n Set/Get the camera view angle, which is the angular height of the\n camera view measured in degrees.  The default angle is 30 degrees.\n This method has no effect in parallel projection mode.\n The formula for setting the angle up for perfect perspective viewing\n is: angle = 2*atan((h/2)/d) where h is the height of the RenderWindow\n (measured in mm by holding a ruler up to your screen) and d is the\n distance from your eyes to the screen.\n"},
  {(char*)"GetViewAngle",                (PyCFunction)PyvtkCamera_GetViewAngle, 1,
   (char*)"V.GetViewAngle() -> float\nC++: double GetViewAngle ();\n\n Set/Get the camera view angle, which is the angular height of the\n camera view measured in degrees.  The default angle is 30 degrees.\n This method has no effect in parallel projection mode.\n The formula for setting the angle up for perfect perspective viewing\n is: angle = 2*atan((h/2)/d) where h is the height of the RenderWindow\n (measured in mm by holding a ruler up to your screen) and d is the\n distance from your eyes to the screen.\n"},
  {(char*)"SetParallelScale",                (PyCFunction)PyvtkCamera_SetParallelScale, 1,
   (char*)"V.SetParallelScale(float)\nC++: void SetParallelScale (double scale);\n\n Set/Get the scaling used for a parallel projection, i.e. the height\n of the viewport in world-coordinate distances. The default is 1.\n Note that the \"scale\" parameter works as an \"inverse scale\" ---\n larger numbers produce smaller images.\n This method has no effect in perspective projection mode.\n"},
  {(char*)"GetParallelScale",                (PyCFunction)PyvtkCamera_GetParallelScale, 1,
   (char*)"V.GetParallelScale() -> float\nC++: double GetParallelScale ();\n\n Set/Get the scaling used for a parallel projection, i.e. the height\n of the viewport in world-coordinate distances. The default is 1.\n Note that the \"scale\" parameter works as an \"inverse scale\" ---\n larger numbers produce smaller images.\n This method has no effect in perspective projection mode.\n"},
  {(char*)"Zoom",                (PyCFunction)PyvtkCamera_Zoom, 1,
   (char*)"V.Zoom(float)\nC++: void Zoom (double factor);\n\n In perspective mode, decrease the view angle by the specified factor.\n In parallel mode, decrease the parallel scale by the specified factor.\n A value greater than 1 is a zoom-in, a value less than 1 is a zoom-out.\n"},
  {(char*)"SetClippingRange",                (PyCFunction)PyvtkCamera_SetClippingRange, 1,
   (char*)"V.SetClippingRange(float, float)\nC++: void SetClippingRange (double dNear, double dFar);\nV.SetClippingRange((float, float))\nC++: void SetClippingRange (const double a[2]);this SetClippingRange a a \n\n Set/Get the location of the near and far clipping planes along the\n direction of projection.  Both of these values must be positive.\n How the clipping planes are set can have a large impact on how \n well z-buffering works.  In particular the front clipping\n plane can make a very big difference. Setting it to 0.01 when it\n really could be 1.0 can have a big impact on your z-buffer resolution\n farther away.  The default clipping range is (0.1,1000).\n"},
  {(char*)"GetClippingRange",                (PyCFunction)PyvtkCamera_GetClippingRange, 1,
   (char*)"V.GetClippingRange() -> (float, float)\nC++: double  *GetClippingRange ();\n\n Set/Get the location of the near and far clipping planes along the\n direction of projection.  Both of these values must be positive.\n How the clipping planes are set can have a large impact on how \n well z-buffering works.  In particular the front clipping\n plane can make a very big difference. Setting it to 0.01 when it\n really could be 1.0 can have a big impact on your z-buffer resolution\n farther away.  The default clipping range is (0.1,1000).\n"},
  {(char*)"SetThickness",                (PyCFunction)PyvtkCamera_SetThickness, 1,
   (char*)"V.SetThickness(float)\nC++: void SetThickness (double );\n\n Set the distance between clipping planes.  This method adjusts the \n far clipping plane to be set a distance 'thickness' beyond the\n near clipping plane.\n"},
  {(char*)"GetThickness",                (PyCFunction)PyvtkCamera_GetThickness, 1,
   (char*)"V.GetThickness() -> float\nC++: double GetThickness ();\n\n Set the distance between clipping planes.  This method adjusts the \n far clipping plane to be set a distance 'thickness' beyond the\n near clipping plane.\n"},
  {(char*)"SetWindowCenter",                (PyCFunction)PyvtkCamera_SetWindowCenter, 1,
   (char*)"V.SetWindowCenter(float, float)\nC++: void SetWindowCenter (double x, double y);\n\n Set/Get the center of the window in viewport coordinates.\n The viewport coordinate range is ([-1,+1],[-1,+1]).  This method\n is for if you have one window which consists of several viewports,\n or if you have several screens which you want to act together as\n one large screen.\n"},
  {(char*)"GetWindowCenter",                (PyCFunction)PyvtkCamera_GetWindowCenter, 1,
   (char*)"V.GetWindowCenter() -> (float, float)\nC++: double  *GetWindowCenter ();\n\n Set/Get the center of the window in viewport coordinates.\n The viewport coordinate range is ([-1,+1],[-1,+1]).  This method\n is for if you have one window which consists of several viewports,\n or if you have several screens which you want to act together as\n one large screen.\n"},
  {(char*)"SetObliqueAngles",                (PyCFunction)PyvtkCamera_SetObliqueAngles, 1,
   (char*)"V.SetObliqueAngles(float, float)\nC++: void SetObliqueAngles (double alpha, double beta);\n\n Get/Set the oblique viewing angles.  The first angle, alpha, is the\n angle (measured from the horizontal) that rays along the direction\n of projection will follow once projected onto the 2D screen.  \n The second angle, beta, is the angle between the view plane and\n the direction of projection.  This creates a shear transform\n x' = x + dz*cos(alpha)/tan(beta), y' = dz*sin(alpha)/tan(beta)\n where dz is the distance of the point from the focal plane.\n The angles are (45,90) by default.  Oblique projections \n commonly use (30,63.435).\n"},
  {(char*)"ApplyTransform",                (PyCFunction)PyvtkCamera_ApplyTransform, 1,
   (char*)"V.ApplyTransform(vtkTransform)\nC++: void ApplyTransform (vtkTransform *t);\n\n Apply a transform to the camera.  The camera position, focal-point,\n and view-up are re-calculated using the transform's matrix to\n multiply the old points by the new transform.\n"},
  {(char*)"GetViewPlaneNormal",                (PyCFunction)PyvtkCamera_GetViewPlaneNormal, 1,
   (char*)"V.GetViewPlaneNormal() -> (float, float, float)\nC++: double  *GetViewPlaneNormal ();\n\n Get the ViewPlaneNormal.  This vector will point opposite to\n the direction of projection, unless you have created an sheared output\n view using SetViewShear/SetObliqueAngles.\n"},
  {(char*)"SetViewShear",                (PyCFunction)PyvtkCamera_SetViewShear, 1,
   (char*)"V.SetViewShear(float, float, float)\nC++: void SetViewShear (double dxdz, double dydz, double center);\nV.SetViewShear((float, float, float))\nC++: void SetViewShear (double d[3]);\n\n Set/get the shear transform of the viewing frustum.  Parameters are\n dx/dz, dy/dz, and center.  center is a factor that describes where\n to shear around. The distance dshear from the camera where\n no shear occurs is given by (dshear = center * FocalDistance).\n"},
  {(char*)"GetViewShear",                (PyCFunction)PyvtkCamera_GetViewShear, 1,
   (char*)"V.GetViewShear() -> (float, float, float)\nC++: double  *GetViewShear ();\n\n Set/get the shear transform of the viewing frustum.  Parameters are\n dx/dz, dy/dz, and center.  center is a factor that describes where\n to shear around. The distance dshear from the camera where\n no shear occurs is given by (dshear = center * FocalDistance).\n"},
  {(char*)"SetEyeAngle",                (PyCFunction)PyvtkCamera_SetEyeAngle, 1,
   (char*)"V.SetEyeAngle(float)\nC++: void SetEyeAngle (double );\n\n Set/Get the separation between eyes (in degrees). This is used\n when generating stereo images.\n"},
  {(char*)"GetEyeAngle",                (PyCFunction)PyvtkCamera_GetEyeAngle, 1,
   (char*)"V.GetEyeAngle() -> float\nC++: double GetEyeAngle ();\n\n Set/Get the separation between eyes (in degrees). This is used\n when generating stereo images.\n"},
  {(char*)"SetFocalDisk",                (PyCFunction)PyvtkCamera_SetFocalDisk, 1,
   (char*)"V.SetFocalDisk(float)\nC++: void SetFocalDisk (double );\n\n Set the size of the cameras lens in world coordinates. This is only\n used when the renderer is doing focal depth rendering. When that is\n being done the size of the focal disk will effect how significant the\n depth effects will be.\n"},
  {(char*)"GetFocalDisk",                (PyCFunction)PyvtkCamera_GetFocalDisk, 1,
   (char*)"V.GetFocalDisk() -> float\nC++: double GetFocalDisk ();\n\n Set the size of the cameras lens in world coordinates. This is only\n used when the renderer is doing focal depth rendering. When that is\n being done the size of the focal disk will effect how significant the\n depth effects will be.\n"},
  {(char*)"GetViewTransformMatrix",                (PyCFunction)PyvtkCamera_GetViewTransformMatrix, 1,
   (char*)"V.GetViewTransformMatrix() -> vtkMatrix4x4\nC++: virtual vtkMatrix4x4 *GetViewTransformMatrix ();\n\n Return the matrix of the view transform.\n The ViewTransform depends on only three ivars:  the Position, the\n FocalPoint, and the ViewUp vector.  All the other methods are there\n simply for the sake of the users' convenience.\n"},
  {(char*)"GetViewTransformObject",                (PyCFunction)PyvtkCamera_GetViewTransformObject, 1,
   (char*)"V.GetViewTransformObject() -> vtkTransform\nC++: virtual vtkTransform *GetViewTransformObject ();return this ViewTransform \n\n Return the perspective transform matrix, which converts from camera\n coordinates to viewport coordinates.  The 'aspect' is the\n width/height for the viewport, and the nearz and farz are the\n Z-buffer values that map to the near and far clipping planes.\n The viewport coordinates of a point located inside the frustum are in the\n range ([-1,+1],[-1,+1],[nearz,farz]).\n"},
  {(char*)"GetPerspectiveTransformMatrix",                (PyCFunction)PyvtkCamera_GetPerspectiveTransformMatrix, 1,
   (char*)"V.GetPerspectiveTransformMatrix(float, float, float) -> vtkMatrix4x4\nC++: virtual vtkMatrix4x4 *GetPerspectiveTransformMatrix (double aspect, double nearz, double farz);\n\n Return the perspective transform matrix, which converts from camera\n coordinates to viewport coordinates.  The 'aspect' is the\n width/height for the viewport, and the nearz and farz are the\n Z-buffer values that map to the near and far clipping planes.\n The viewport coordinates of a point located inside the frustum are in the\n range ([-1,+1],[-1,+1],[nearz,farz]).\n"},
  {(char*)"GetCompositePerspectiveTransformMatrix",                (PyCFunction)PyvtkCamera_GetCompositePerspectiveTransformMatrix, 1,
   (char*)"V.GetCompositePerspectiveTransformMatrix(float, float, float) -> vtkMatrix4x4\nC++: virtual vtkMatrix4x4 *GetCompositePerspectiveTransformMatrix (double aspect, double nearz, double farz);\n\n Return the concatenation of the ViewTransform and the\n PerspectiveTransform.  This transform will convert world\n coordinates to viewport coordinates.  The 'aspect' is the\n width/height for the viewport, and the nearz and farz are the\n Z-buffer values that map to the near and far clipping planes.\n The viewport coordinates of a point located inside the frustum are in the\n range ([-1,+1],[-1,+1],[nearz,farz]).\n"},
  {(char*)"SetUserTransform",                (PyCFunction)PyvtkCamera_SetUserTransform, 1,
   (char*)"V.SetUserTransform(vtkHomogeneousTransform)\nC++: void SetUserTransform (vtkHomogeneousTransform *transform);\n\n In addition to the instance variables such as position and orientation,\n you can add an additional transformation for your own use.  This\n transformation is concatenated to the camera's PerspectiveTransform\n"},
  {(char*)"GetUserTransform",                (PyCFunction)PyvtkCamera_GetUserTransform, 1,
   (char*)"V.GetUserTransform() -> vtkHomogeneousTransform\nC++: vtkHomogeneousTransform *GetUserTransform ();\n\n In addition to the instance variables such as position and orientation,\n you can add an additional transformation for your own use.  This\n transformation is concatenated to the camera's PerspectiveTransform\n"},
  {(char*)"Render",                (PyCFunction)PyvtkCamera_Render, 1,
   (char*)"V.Render(vtkRenderer)\nC++: virtual void Render (vtkRenderer *);\n\n This method causes the camera to set up whatever is required for\n viewing the scene. This is actually handled by an subclass of\n vtkCamera, which is created through New()\n"},
  {(char*)"GetViewingRaysMTime",                (PyCFunction)PyvtkCamera_GetViewingRaysMTime, 1,
   (char*)"V.GetViewingRaysMTime() -> int\nC++: unsigned long GetViewingRaysMTime ();\n\n Return the MTime that concerns recomputing the view rays of the camera.\n"},
  {(char*)"ViewingRaysModified",                (PyCFunction)PyvtkCamera_ViewingRaysModified, 1,
   (char*)"V.ViewingRaysModified()\nC++: void ViewingRaysModified ();\n\n Mark that something has changed which requires the view rays\n to be recomputed.\n"},
  {(char*)"GetFrustumPlanes",                (PyCFunction)PyvtkCamera_GetFrustumPlanes, 1,
   (char*)"V.GetFrustumPlanes(float, (float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: virtual void GetFrustumPlanes (double aspect, double planes[24]);\n\n Get the plane equations that bound the view frustum.\n The plane normals point inward. The planes array contains six\n plane equations of the form (Ax+By+Cz+D=0), the first four\n values are (A,B,C,D) which repeats for each of the planes.\n The aspect of the viewport is needed to correctly compute the planes\n"},
  {(char*)"GetOrientation",                (PyCFunction)PyvtkCamera_GetOrientation, 1,
   (char*)"V.GetOrientation() -> (float, float, float)\nC++: double *GetOrientation ();\n\n Get the orientation of the camera.\n"},
  {(char*)"GetOrientationWXYZ",                (PyCFunction)PyvtkCamera_GetOrientationWXYZ, 1,
   (char*)"V.GetOrientationWXYZ() -> (float, float, float, float)\nC++: double *GetOrientationWXYZ ();\n\n Get the orientation of the camera.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetViewPlaneNormal",                (PyCFunction)PyvtkCamera_SetViewPlaneNormal, 1,
   (char*)"V.SetViewPlaneNormal(float, float, float)\nC++: void SetViewPlaneNormal (double x, double y, double z);\nV.SetViewPlaneNormal((float, float, float))\nC++: void SetViewPlaneNormal (const double a[3]);\n\n These methods have been deprecated.  The view plane normal is\n automatically set from the DirectionOfProjection according to\n the ViewShear.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
#endif
  {(char*)"ComputeViewPlaneNormal",                (PyCFunction)PyvtkCamera_ComputeViewPlaneNormal, 1,
   (char*)"V.ComputeViewPlaneNormal()\nC++: void ComputeViewPlaneNormal ();\n\n This method is called automatically whenever necessary, it\n should never be used outside of vtkCamera.cxx.\n"},
  {(char*)"GetCameraLightTransformMatrix",                (PyCFunction)PyvtkCamera_GetCameraLightTransformMatrix, 1,
   (char*)"V.GetCameraLightTransformMatrix() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetCameraLightTransformMatrix ();\n\n Returns a transformation matrix for a coordinate frame attached to\n the camera, where the camera is located at (0, 0, 1) looking at the\n focal point at (0, 0, 0), with up being (0, 1, 0).\n"},
  {(char*)"UpdateViewport",                (PyCFunction)PyvtkCamera_UpdateViewport, 1,
   (char*)"V.UpdateViewport(vtkRenderer)\nC++: virtual void UpdateViewport (vtkRenderer *);\n\n Set the Left Eye setting\n"},
  {(char*)"SetLeftEye",                (PyCFunction)PyvtkCamera_SetLeftEye, 1,
   (char*)"V.SetLeftEye(int)\nC++: void SetLeftEye (int );\n\n Set the Left Eye setting\n"},
  {(char*)"GetLeftEye",                (PyCFunction)PyvtkCamera_GetLeftEye, 1,
   (char*)"V.GetLeftEye() -> int\nC++: int GetLeftEye ();\n\n Set the Left Eye setting\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCameraDoc[] = {
  (char*)"vtkCamera - a virtual camera for 3D rendering\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkCamera is a virtual camera for 3D rendering. It provides methods\n to position and orient the view point and focal point. Convenience \n methods for moving about the focal point also are provided. More \n complex methods allow the manipulation of the computer graphics\n model including view up vector, clipping planes, and \n camera perspective.\n\n",
  "See Also:\n\n vtkPerspectiveTransform\n\n",
  NULL
};

static vtkObjectBase *vtkCameraStaticNew()
{
  return vtkCamera::New();
}

PyObject *PyVTKClass_vtkCameraNew(char *modulename)
{
  return PyVTKClass_New(&vtkCameraStaticNew,
                        PyvtkCameraMethods,
                        (char*)"vtkCamera",modulename,
                        (char**)vtkCameraDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

