// tcl wrapper for vtkCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCamera.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCameraNewCommand()
{
  vtkCamera *temp = vtkCamera::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCameraCppCommand(vtkCamera *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCameraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCameraCppCommand(static_cast<vtkCamera *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCameraCppCommand(vtkCamera *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCamera",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCamera  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFocalPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetFocalPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFocalPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetFocalPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFocalPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetFocalPoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetViewUp",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetViewUp(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewUp",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetViewUp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewUp",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewUp();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("OrthogonalizeViewUp",argv[1]))&&(argc == 2))
    {
    op->OrthogonalizeViewUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDirectionOfProjection",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDirectionOfProjection();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("Dolly",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Dolly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRoll",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRoll(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRoll",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRoll();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Roll",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Roll(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Azimuth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Azimuth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Yaw",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Yaw(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Elevation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Elevation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Pitch",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Pitch(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParallelProjection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParallelProjection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParallelProjection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParallelProjection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParallelProjectionOn",argv[1]))&&(argc == 2))
    {
    op->ParallelProjectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParallelProjectionOff",argv[1]))&&(argc == 2))
    {
    op->ParallelProjectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseHorizontalViewAngle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseHorizontalViewAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseHorizontalViewAngle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseHorizontalViewAngle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseHorizontalViewAngleOn",argv[1]))&&(argc == 2))
    {
    op->UseHorizontalViewAngleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseHorizontalViewAngleOff",argv[1]))&&(argc == 2))
    {
    op->UseHorizontalViewAngleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetViewAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetViewAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetViewAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetParallelScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetParallelScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParallelScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetParallelScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Zoom",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Zoom(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClippingRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetClippingRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClippingRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetClippingRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClippingRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetClippingRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetThickness",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThickness",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetThickness();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowCenter",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetWindowCenter(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindowCenter",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetWindowCenter();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetObliqueAngles",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetObliqueAngles(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ApplyTransform",argv[1]))&&(argc == 3))
    {
    vtkTransform  *temp0;
    error = 0;

    temp0 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTransform"),interp,error));
    if (!error)
    {
    op->ApplyTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewPlaneNormal",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewPlaneNormal();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetViewShear",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetViewShear(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewShear",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetViewShear(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewShear",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewShear();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEyeAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEyeAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEyeAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEyeAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFocalDisk",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFocalDisk(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFocalDisk",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFocalDisk();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetViewTransformMatrix",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetViewTransformMatrix();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("GetViewTransformObject",argv[1]))&&(argc == 2))
    {
    vtkTransform  *temp20;
    temp20 = (op)->GetViewTransformObject();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransform");
    return TCL_OK;
    }
  if ((!strcmp("GetPerspectiveTransformMatrix",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkMatrix4x4  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->GetPerspectiveTransformMatrix(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompositePerspectiveTransformMatrix",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkMatrix4x4  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->GetCompositePerspectiveTransformMatrix(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUserTransform",argv[1]))&&(argc == 3))
    {
    vtkHomogeneousTransform  *temp0;
    error = 0;

    temp0 = (vtkHomogeneousTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHomogeneousTransform"),interp,error));
    if (!error)
    {
    op->SetUserTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUserTransform",argv[1]))&&(argc == 2))
    {
    vtkHomogeneousTransform  *temp20;
    temp20 = (op)->GetUserTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHomogeneousTransform");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->Render(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewingRaysMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetViewingRaysMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ViewingRaysModified",argv[1]))&&(argc == 2))
    {
    op->ViewingRaysModified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrientation();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetOrientationWXYZ",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrientationWXYZ();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetViewPlaneNormal",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetViewPlaneNormal(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetViewPlaneNormal",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetViewPlaneNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
  if ((!strcmp("ComputeViewPlaneNormal",argv[1]))&&(argc == 2))
    {
    op->ComputeViewPlaneNormal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCameraLightTransformMatrix",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetCameraLightTransformMatrix();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("UpdateViewport",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->UpdateViewport(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLeftEye",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeftEye(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftEye",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftEye();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCameraCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCamera:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFocalPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetViewUp\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewUp\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetViewUp\n",NULL);
    Tcl_AppendResult(interp,"  OrthogonalizeViewUp\n",NULL);
    Tcl_AppendResult(interp,"  SetDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDistance\n",NULL);
    Tcl_AppendResult(interp,"  GetDirectionOfProjection\n",NULL);
    Tcl_AppendResult(interp,"  Dolly\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRoll\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRoll\n",NULL);
    Tcl_AppendResult(interp,"  Roll\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Azimuth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Yaw\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Elevation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Pitch\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetParallelProjection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelProjection\n",NULL);
    Tcl_AppendResult(interp,"  ParallelProjectionOn\n",NULL);
    Tcl_AppendResult(interp,"  ParallelProjectionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseHorizontalViewAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseHorizontalViewAngle\n",NULL);
    Tcl_AppendResult(interp,"  UseHorizontalViewAngleOn\n",NULL);
    Tcl_AppendResult(interp,"  UseHorizontalViewAngleOff\n",NULL);
    Tcl_AppendResult(interp,"  SetViewAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetParallelScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelScale\n",NULL);
    Tcl_AppendResult(interp,"  Zoom\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetClippingRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetClippingRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetClippingRange\n",NULL);
    Tcl_AppendResult(interp,"  SetThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowCenter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetObliqueAngles\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ApplyTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewPlaneNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetViewShear\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewShear\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetViewShear\n",NULL);
    Tcl_AppendResult(interp,"  SetEyeAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEyeAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalDisk\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFocalDisk\n",NULL);
    Tcl_AppendResult(interp,"  GetViewTransformMatrix\n",NULL);
    Tcl_AppendResult(interp,"  GetViewTransformObject\n",NULL);
    Tcl_AppendResult(interp,"  GetPerspectiveTransformMatrix\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositePerspectiveTransformMatrix\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUserTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUserTransform\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewingRaysMTime\n",NULL);
    Tcl_AppendResult(interp,"  ViewingRaysModified\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientation\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationWXYZ\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetViewPlaneNormal\t with 3 args\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetViewPlaneNormal\t with 3 args\n",NULL);
#endif
    Tcl_AppendResult(interp,"  ComputeViewPlaneNormal\n",NULL);
    Tcl_AppendResult(interp,"  GetCameraLightTransformMatrix\n",NULL);
    Tcl_AppendResult(interp,"  UpdateViewport\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftEye\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftEye\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "GetFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "SetViewUp" );
    Tcl_DStringAppendElement ( &dString, "SetViewUp" );
    Tcl_DStringAppendElement ( &dString, "GetViewUp" );
    Tcl_DStringAppendElement ( &dString, "OrthogonalizeViewUp" );
    Tcl_DStringAppendElement ( &dString, "SetDistance" );
    Tcl_DStringAppendElement ( &dString, "GetDistance" );
    Tcl_DStringAppendElement ( &dString, "GetDirectionOfProjection" );
    Tcl_DStringAppendElement ( &dString, "Dolly" );
    Tcl_DStringAppendElement ( &dString, "SetRoll" );
    Tcl_DStringAppendElement ( &dString, "GetRoll" );
    Tcl_DStringAppendElement ( &dString, "Roll" );
    Tcl_DStringAppendElement ( &dString, "Azimuth" );
    Tcl_DStringAppendElement ( &dString, "Yaw" );
    Tcl_DStringAppendElement ( &dString, "Elevation" );
    Tcl_DStringAppendElement ( &dString, "Pitch" );
    Tcl_DStringAppendElement ( &dString, "SetParallelProjection" );
    Tcl_DStringAppendElement ( &dString, "GetParallelProjection" );
    Tcl_DStringAppendElement ( &dString, "ParallelProjectionOn" );
    Tcl_DStringAppendElement ( &dString, "ParallelProjectionOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseHorizontalViewAngle" );
    Tcl_DStringAppendElement ( &dString, "GetUseHorizontalViewAngle" );
    Tcl_DStringAppendElement ( &dString, "UseHorizontalViewAngleOn" );
    Tcl_DStringAppendElement ( &dString, "UseHorizontalViewAngleOff" );
    Tcl_DStringAppendElement ( &dString, "SetViewAngle" );
    Tcl_DStringAppendElement ( &dString, "GetViewAngle" );
    Tcl_DStringAppendElement ( &dString, "SetParallelScale" );
    Tcl_DStringAppendElement ( &dString, "GetParallelScale" );
    Tcl_DStringAppendElement ( &dString, "Zoom" );
    Tcl_DStringAppendElement ( &dString, "SetClippingRange" );
    Tcl_DStringAppendElement ( &dString, "SetClippingRange" );
    Tcl_DStringAppendElement ( &dString, "GetClippingRange" );
    Tcl_DStringAppendElement ( &dString, "SetThickness" );
    Tcl_DStringAppendElement ( &dString, "GetThickness" );
    Tcl_DStringAppendElement ( &dString, "SetWindowCenter" );
    Tcl_DStringAppendElement ( &dString, "GetWindowCenter" );
    Tcl_DStringAppendElement ( &dString, "SetObliqueAngles" );
    Tcl_DStringAppendElement ( &dString, "ApplyTransform" );
    Tcl_DStringAppendElement ( &dString, "GetViewPlaneNormal" );
    Tcl_DStringAppendElement ( &dString, "SetViewShear" );
    Tcl_DStringAppendElement ( &dString, "SetViewShear" );
    Tcl_DStringAppendElement ( &dString, "GetViewShear" );
    Tcl_DStringAppendElement ( &dString, "SetEyeAngle" );
    Tcl_DStringAppendElement ( &dString, "GetEyeAngle" );
    Tcl_DStringAppendElement ( &dString, "SetFocalDisk" );
    Tcl_DStringAppendElement ( &dString, "GetFocalDisk" );
    Tcl_DStringAppendElement ( &dString, "GetViewTransformMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetViewTransformObject" );
    Tcl_DStringAppendElement ( &dString, "GetPerspectiveTransformMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetCompositePerspectiveTransformMatrix" );
    Tcl_DStringAppendElement ( &dString, "SetUserTransform" );
    Tcl_DStringAppendElement ( &dString, "GetUserTransform" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "GetViewingRaysMTime" );
    Tcl_DStringAppendElement ( &dString, "ViewingRaysModified" );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationWXYZ" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetViewPlaneNormal" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetViewPlaneNormal" );
#endif
    Tcl_DStringAppendElement ( &dString, "ComputeViewPlaneNormal" );
    Tcl_DStringAppendElement ( &dString, "GetCameraLightTransformMatrix" );
    Tcl_DStringAppendElement ( &dString, "UpdateViewport" );
    Tcl_DStringAppendElement ( &dString, "SetLeftEye" );
    Tcl_DStringAppendElement ( &dString, "GetLeftEye" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct camera instance with its focal point at the origin, \n and position=(0,0,1). The view up is along the y-axis, \n view angle is 30 degrees, and the clipping range is (.1,1000).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCamera *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the camera in world coordinates.\n The default position is (0,0,1).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the camera in world coordinates.\n The default position is (0,0,1).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition (const double a\\[3\\]);this SetPosition a a a " );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the camera in world coordinates.\n The default position is (0,0,1).\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetPosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFocalPoint */
    if ( strcmp ( argv[2], "SetFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFocalPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get the focal of the camera in world coordinates.\n The default focal point is the origin.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFocalPoint (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFocalPoint */
    if ( strcmp ( argv[2], "SetFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFocalPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get the focal of the camera in world coordinates.\n The default focal point is the origin.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFocalPoint (const double a\\[3\\]);this SetFocalPoint a a a " );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFocalPoint */
    if ( strcmp ( argv[2], "GetFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFocalPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get the focal of the camera in world coordinates.\n The default focal point is the origin.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetFocalPoint ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewUp */
    if ( strcmp ( argv[2], "SetViewUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewUp */
    Tcl_DStringAppendElement ( &dString, " Set/Get the view up direction for the camera.  The default\n is (0,1,0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewUp (double vx, double vy, double vz);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetViewUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewUp */
    if ( strcmp ( argv[2], "SetViewUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewUp */
    Tcl_DStringAppendElement ( &dString, " Set/Get the view up direction for the camera.  The default\n is (0,1,0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewUp (const double a\\[3\\]);this SetViewUp a a a " );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetViewUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewUp */
    if ( strcmp ( argv[2], "GetViewUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewUp */
    Tcl_DStringAppendElement ( &dString, " Set/Get the view up direction for the camera.  The default\n is (0,1,0).\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetViewUp ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetViewUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OrthogonalizeViewUp */
    if ( strcmp ( argv[2], "OrthogonalizeViewUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OrthogonalizeViewUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OrthogonalizeViewUp */
    Tcl_DStringAppendElement ( &dString, " Recompute the ViewUp vector to force it to be perpendicular to\n camera->focalpoint vector.  Unless you are going to use\n Yaw or Azimuth on the camera, there is no need to do this.\n" );
    Tcl_DStringAppendElement ( &dString, "void OrthogonalizeViewUp ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for OrthogonalizeViewUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDistance */
    if ( strcmp ( argv[2], "SetDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistance */
    Tcl_DStringAppendElement ( &dString, " Move the focal point so that it is the specified distance from\n the camera position.  This distance must be positive.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDistance (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistance */
    if ( strcmp ( argv[2], "GetDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistance */
    Tcl_DStringAppendElement ( &dString, " Return the distance from the camera position to the focal point.\n This distance is positive.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirectionOfProjection */
    if ( strcmp ( argv[2], "GetDirectionOfProjection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirectionOfProjection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirectionOfProjection */
    Tcl_DStringAppendElement ( &dString, " Get the vector in the direction from the camera position to the\n focal point.  This is usually the opposite of the ViewPlaneNormal,\n the vector perpendicular to the screen, unless the view is oblique.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDirectionOfProjection ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetDirectionOfProjection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Dolly */
    if ( strcmp ( argv[2], "Dolly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Dolly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Dolly */
    Tcl_DStringAppendElement ( &dString, " Move the position of the camera along the direction of projection. Moving\n towards the focal point (e.g., greater than 1) is a dolly-in, moving away\n from the focal point (e.g., less than 1) is a dolly-out.\n" );
    Tcl_DStringAppendElement ( &dString, "void Dolly (double distance);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for Dolly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRoll */
    if ( strcmp ( argv[2], "SetRoll" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRoll" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRoll */
    Tcl_DStringAppendElement ( &dString, " Set the roll angle of the camera about the direction of projection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRoll (double angle);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetRoll */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRoll */
    if ( strcmp ( argv[2], "GetRoll" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRoll" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRoll */
    Tcl_DStringAppendElement ( &dString, " Set the roll angle of the camera about the direction of projection.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRoll ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetRoll */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Roll */
    if ( strcmp ( argv[2], "Roll" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Roll" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Roll */
    Tcl_DStringAppendElement ( &dString, " Rotate the camera about the direction of projection.\n" );
    Tcl_DStringAppendElement ( &dString, "void Roll (double angle);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for Roll */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Azimuth */
    if ( strcmp ( argv[2], "Azimuth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Azimuth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Azimuth */
    Tcl_DStringAppendElement ( &dString, " Rotate the camera about the view up vector centered at the focal point.\n Note that the view up vector is not necessarily perpendicular to the\n direction of projection.\n" );
    Tcl_DStringAppendElement ( &dString, "void Azimuth (double angle);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for Azimuth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Yaw */
    if ( strcmp ( argv[2], "Yaw" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Yaw" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Yaw */
    Tcl_DStringAppendElement ( &dString, " Rotate the focal point about the view up vector centered at the camera's\n position. Note that the view up vector is not necessarily perpendicular\n to the direction of projection.\n" );
    Tcl_DStringAppendElement ( &dString, "void Yaw (double angle);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for Yaw */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Elevation */
    if ( strcmp ( argv[2], "Elevation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Elevation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Elevation */
    Tcl_DStringAppendElement ( &dString, " Rotate the camera about the cross product of the direction of projection\n and the view up vector centered on the focal point.\n" );
    Tcl_DStringAppendElement ( &dString, "void Elevation (double angle);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for Elevation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pitch */
    if ( strcmp ( argv[2], "Pitch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pitch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pitch */
    Tcl_DStringAppendElement ( &dString, " Rotate the focal point about the cross product of the view up vector\n and the direction of projection, centered at the camera's position.\n" );
    Tcl_DStringAppendElement ( &dString, "void Pitch (double angle);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for Pitch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParallelProjection */
    if ( strcmp ( argv[2], "SetParallelProjection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParallelProjection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParallelProjection */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the ParallelProjection instance variable. This\n determines if the camera should do a perspective or parallel projection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParallelProjection (int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetParallelProjection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParallelProjection */
    if ( strcmp ( argv[2], "GetParallelProjection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParallelProjection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParallelProjection */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the ParallelProjection instance variable. This\n determines if the camera should do a perspective or parallel projection.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetParallelProjection ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetParallelProjection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParallelProjectionOn */
    if ( strcmp ( argv[2], "ParallelProjectionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParallelProjectionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParallelProjectionOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the ParallelProjection instance variable. This\n determines if the camera should do a perspective or parallel projection.\n" );
    Tcl_DStringAppendElement ( &dString, "void ParallelProjectionOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for ParallelProjectionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ParallelProjectionOff */
    if ( strcmp ( argv[2], "ParallelProjectionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ParallelProjectionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ParallelProjectionOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the ParallelProjection instance variable. This\n determines if the camera should do a perspective or parallel projection.\n" );
    Tcl_DStringAppendElement ( &dString, "void ParallelProjectionOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for ParallelProjectionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseHorizontalViewAngle */
    if ( strcmp ( argv[2], "SetUseHorizontalViewAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseHorizontalViewAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseHorizontalViewAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the UseHorizontalViewAngle instance variable. If\n set, the camera's view angle represents a horizontal view angle, rather\n than the default vertical view angle. This is useful if the application\n uses a display device which whose specs indicate a particular horizontal\n view angle, or if the application varies the window height but wants to\n keep the perspective transform unchanges.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseHorizontalViewAngle (int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetUseHorizontalViewAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseHorizontalViewAngle */
    if ( strcmp ( argv[2], "GetUseHorizontalViewAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseHorizontalViewAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseHorizontalViewAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the UseHorizontalViewAngle instance variable. If\n set, the camera's view angle represents a horizontal view angle, rather\n than the default vertical view angle. This is useful if the application\n uses a display device which whose specs indicate a particular horizontal\n view angle, or if the application varies the window height but wants to\n keep the perspective transform unchanges.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseHorizontalViewAngle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetUseHorizontalViewAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseHorizontalViewAngleOn */
    if ( strcmp ( argv[2], "UseHorizontalViewAngleOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseHorizontalViewAngleOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseHorizontalViewAngleOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the UseHorizontalViewAngle instance variable. If\n set, the camera's view angle represents a horizontal view angle, rather\n than the default vertical view angle. This is useful if the application\n uses a display device which whose specs indicate a particular horizontal\n view angle, or if the application varies the window height but wants to\n keep the perspective transform unchanges.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseHorizontalViewAngleOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for UseHorizontalViewAngleOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseHorizontalViewAngleOff */
    if ( strcmp ( argv[2], "UseHorizontalViewAngleOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseHorizontalViewAngleOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseHorizontalViewAngleOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the UseHorizontalViewAngle instance variable. If\n set, the camera's view angle represents a horizontal view angle, rather\n than the default vertical view angle. This is useful if the application\n uses a display device which whose specs indicate a particular horizontal\n view angle, or if the application varies the window height but wants to\n keep the perspective transform unchanges.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseHorizontalViewAngleOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for UseHorizontalViewAngleOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewAngle */
    if ( strcmp ( argv[2], "SetViewAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera view angle, which is the angular height of the\n camera view measured in degrees.  The default angle is 30 degrees.\n This method has no effect in parallel projection mode.\n The formula for setting the angle up for perfect perspective viewing\n is: angle = 2*atan((h/2)/d) where h is the height of the RenderWindow\n (measured in mm by holding a ruler up to your screen) and d is the\n distance from your eyes to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewAngle (double angle);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetViewAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewAngle */
    if ( strcmp ( argv[2], "GetViewAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera view angle, which is the angular height of the\n camera view measured in degrees.  The default angle is 30 degrees.\n This method has no effect in parallel projection mode.\n The formula for setting the angle up for perfect perspective viewing\n is: angle = 2*atan((h/2)/d) where h is the height of the RenderWindow\n (measured in mm by holding a ruler up to your screen) and d is the\n distance from your eyes to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetViewAngle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetViewAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParallelScale */
    if ( strcmp ( argv[2], "SetParallelScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParallelScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParallelScale */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling used for a parallel projection, i.e. the height\n of the viewport in world-coordinate distances. The default is 1.\n Note that the \"scale\" parameter works as an \"inverse scale\" ---\n larger numbers produce smaller images.\n This method has no effect in perspective projection mode.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParallelScale (double scale);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetParallelScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParallelScale */
    if ( strcmp ( argv[2], "GetParallelScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParallelScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParallelScale */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling used for a parallel projection, i.e. the height\n of the viewport in world-coordinate distances. The default is 1.\n Note that the \"scale\" parameter works as an \"inverse scale\" ---\n larger numbers produce smaller images.\n This method has no effect in perspective projection mode.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetParallelScale ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetParallelScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Zoom */
    if ( strcmp ( argv[2], "Zoom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Zoom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Zoom */
    Tcl_DStringAppendElement ( &dString, " In perspective mode, decrease the view angle by the specified factor.\n In parallel mode, decrease the parallel scale by the specified factor.\n A value greater than 1 is a zoom-in, a value less than 1 is a zoom-out.\n" );
    Tcl_DStringAppendElement ( &dString, "void Zoom (double factor);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for Zoom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClippingRange */
    if ( strcmp ( argv[2], "SetClippingRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClippingRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClippingRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the near and far clipping planes along the\n direction of projection.  Both of these values must be positive.\n How the clipping planes are set can have a large impact on how \n well z-buffering works.  In particular the front clipping\n plane can make a very big difference. Setting it to 0.01 when it\n really could be 1.0 can have a big impact on your z-buffer resolution\n farther away.  The default clipping range is (0.1,1000).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClippingRange (double dNear, double dFar);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetClippingRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClippingRange */
    if ( strcmp ( argv[2], "SetClippingRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClippingRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClippingRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the near and far clipping planes along the\n direction of projection.  Both of these values must be positive.\n How the clipping planes are set can have a large impact on how \n well z-buffering works.  In particular the front clipping\n plane can make a very big difference. Setting it to 0.01 when it\n really could be 1.0 can have a big impact on your z-buffer resolution\n farther away.  The default clipping range is (0.1,1000).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClippingRange (const double a\\[2\\]);this SetClippingRange a a " );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetClippingRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClippingRange */
    if ( strcmp ( argv[2], "GetClippingRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClippingRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClippingRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the near and far clipping planes along the\n direction of projection.  Both of these values must be positive.\n How the clipping planes are set can have a large impact on how \n well z-buffering works.  In particular the front clipping\n plane can make a very big difference. Setting it to 0.01 when it\n really could be 1.0 can have a big impact on your z-buffer resolution\n farther away.  The default clipping range is (0.1,1000).\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetClippingRange ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetClippingRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThickness */
    if ( strcmp ( argv[2], "SetThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThickness */
    Tcl_DStringAppendElement ( &dString, " Set the distance between clipping planes.  This method adjusts the \n far clipping plane to be set a distance 'thickness' beyond the\n near clipping plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThickness (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThickness */
    if ( strcmp ( argv[2], "GetThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThickness */
    Tcl_DStringAppendElement ( &dString, " Set the distance between clipping planes.  This method adjusts the \n far clipping plane to be set a distance 'thickness' beyond the\n near clipping plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetThickness ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowCenter */
    if ( strcmp ( argv[2], "SetWindowCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowCenter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the center of the window in viewport coordinates.\n The viewport coordinate range is (\\[-1,+1\\],\\[-1,+1\\]).  This method\n is for if you have one window which consists of several viewports,\n or if you have several screens which you want to act together as\n one large screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowCenter (double x, double y);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetWindowCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowCenter */
    if ( strcmp ( argv[2], "GetWindowCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowCenter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the center of the window in viewport coordinates.\n The viewport coordinate range is (\\[-1,+1\\],\\[-1,+1\\]).  This method\n is for if you have one window which consists of several viewports,\n or if you have several screens which you want to act together as\n one large screen.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetWindowCenter ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetWindowCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetObliqueAngles */
    if ( strcmp ( argv[2], "SetObliqueAngles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetObliqueAngles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetObliqueAngles */
    Tcl_DStringAppendElement ( &dString, " Get/Set the oblique viewing angles.  The first angle, alpha, is the\n angle (measured from the horizontal) that rays along the direction\n of projection will follow once projected onto the 2D screen.  \n The second angle, beta, is the angle between the view plane and\n the direction of projection.  This creates a shear transform\n x' = x + dz*cos(alpha)/tan(beta), y' = dz*sin(alpha)/tan(beta)\n where dz is the distance of the point from the focal plane.\n The angles are (45 ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetObliqueAngles (double alpha, double beta);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetObliqueAngles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyTransform */
    if ( strcmp ( argv[2], "ApplyTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyTransform */
    Tcl_DStringAppendElement ( &dString, " Apply a transform to the camera.  The camera position, focal-point,\n and view-up are re-calculated using the transform's matrix to\n multiply the old points by the new transform.\n" );
    Tcl_DStringAppendElement ( &dString, "void ApplyTransform (vtkTransform *t);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for ApplyTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewPlaneNormal */
    if ( strcmp ( argv[2], "GetViewPlaneNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewPlaneNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewPlaneNormal */
    Tcl_DStringAppendElement ( &dString, " Get the ViewPlaneNormal.  This vector will point opposite to\n the direction of projection, unless you have created an sheared output\n view using SetViewShear/SetObliqueAngles.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetViewPlaneNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetViewPlaneNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewShear */
    if ( strcmp ( argv[2], "SetViewShear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewShear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewShear */
    Tcl_DStringAppendElement ( &dString, " Set/get the shear transform of the viewing frustum.  Parameters are\n dx/dz, dy/dz, and center.  center is a factor that describes where\n to shear around. The distance dshear from the camera where\n no shear occurs is given by (dshear = center * FocalDistance).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewShear (double dxdz, double dydz, double center);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetViewShear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewShear */
    if ( strcmp ( argv[2], "SetViewShear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewShear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewShear */
    Tcl_DStringAppendElement ( &dString, " Set/get the shear transform of the viewing frustum.  Parameters are\n dx/dz, dy/dz, and center.  center is a factor that describes where\n to shear around. The distance dshear from the camera where\n no shear occurs is given by (dshear = center * FocalDistance).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewShear (double d\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetViewShear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewShear */
    if ( strcmp ( argv[2], "GetViewShear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewShear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewShear */
    Tcl_DStringAppendElement ( &dString, " Set/get the shear transform of the viewing frustum.  Parameters are\n dx/dz, dy/dz, and center.  center is a factor that describes where\n to shear around. The distance dshear from the camera where\n no shear occurs is given by (dshear = center * FocalDistance).\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetViewShear ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetViewShear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEyeAngle */
    if ( strcmp ( argv[2], "SetEyeAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEyeAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEyeAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the separation between eyes (in degrees). This is used\n when generating stereo images.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEyeAngle (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetEyeAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEyeAngle */
    if ( strcmp ( argv[2], "GetEyeAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEyeAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEyeAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the separation between eyes (in degrees). This is used\n when generating stereo images.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEyeAngle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetEyeAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFocalDisk */
    if ( strcmp ( argv[2], "SetFocalDisk" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFocalDisk" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFocalDisk */
    Tcl_DStringAppendElement ( &dString, " Set the size of the cameras lens in world coordinates. This is only\n used when the renderer is doing focal depth rendering. When that is\n being done the size of the focal disk will effect how significant the\n depth effects will be.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFocalDisk (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetFocalDisk */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFocalDisk */
    if ( strcmp ( argv[2], "GetFocalDisk" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFocalDisk" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFocalDisk */
    Tcl_DStringAppendElement ( &dString, " Set the size of the cameras lens in world coordinates. This is only\n used when the renderer is doing focal depth rendering. When that is\n being done the size of the focal disk will effect how significant the\n depth effects will be.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFocalDisk ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetFocalDisk */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewTransformMatrix */
    if ( strcmp ( argv[2], "GetViewTransformMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewTransformMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewTransformMatrix */
    Tcl_DStringAppendElement ( &dString, " Return the matrix of the view transform.\n The ViewTransform depends on only three ivars:  the Position, the\n FocalPoint, and the ViewUp vector.  All the other methods are there\n simply for the sake of the users' convenience.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMatrix4x4 *GetViewTransformMatrix ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetViewTransformMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewTransformObject */
    if ( strcmp ( argv[2], "GetViewTransformObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewTransformObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewTransformObject */
    Tcl_DStringAppendElement ( &dString, " Return the perspective transform matrix, which converts from camera\n coordinates to viewport coordinates.  The 'aspect' is the\n width/height for the viewport, and the nearz and farz are the\n Z-buffer values that map to the near and far clipping planes.\n The viewport coordinates of a point located inside the frustum are in the\n range (\\[-1,+1\\],\\[-1,+1\\],\\[nearz,farz\\]).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTransform *GetViewTransformObject ();return this ViewTransform " );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetViewTransformObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPerspectiveTransformMatrix */
    if ( strcmp ( argv[2], "GetPerspectiveTransformMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPerspectiveTransformMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPerspectiveTransformMatrix */
    Tcl_DStringAppendElement ( &dString, " Return the perspective transform matrix, which converts from camera\n coordinates to viewport coordinates.  The 'aspect' is the\n width/height for the viewport, and the nearz and farz are the\n Z-buffer values that map to the near and far clipping planes.\n The viewport coordinates of a point located inside the frustum are in the\n range (\\[-1,+1\\],\\[-1,+1\\],\\[nearz,farz\\]).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMatrix4x4 *GetPerspectiveTransformMatrix (double aspect, double nearz, double farz);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetPerspectiveTransformMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompositePerspectiveTransformMatrix */
    if ( strcmp ( argv[2], "GetCompositePerspectiveTransformMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompositePerspectiveTransformMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompositePerspectiveTransformMatrix */
    Tcl_DStringAppendElement ( &dString, " Return the concatenation of the ViewTransform and the\n PerspectiveTransform.  This transform will convert world\n coordinates to viewport coordinates.  The 'aspect' is the\n width/height for the viewport, and the nearz and farz are the\n Z-buffer values that map to the near and far clipping planes.\n The viewport coordinates of a point located inside the frustum are in the\n range (\\[-1,+1\\],\\[-1,+1\\],\\[nearz,farz\\]).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMatrix4x4 *GetCompositePerspectiveTransformMatrix (double aspect, double nearz, double farz);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetCompositePerspectiveTransformMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUserTransform */
    if ( strcmp ( argv[2], "SetUserTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUserTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHomogeneousTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUserTransform */
    Tcl_DStringAppendElement ( &dString, " In addition to the instance variables such as position and orientation,\n you can add an additional transformation for your own use.  This\n transformation is concatenated to the camera's PerspectiveTransform\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUserTransform (vtkHomogeneousTransform *transform);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetUserTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUserTransform */
    if ( strcmp ( argv[2], "GetUserTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUserTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUserTransform */
    Tcl_DStringAppendElement ( &dString, " In addition to the instance variables such as position and orientation,\n you can add an additional transformation for your own use.  This\n transformation is concatenated to the camera's PerspectiveTransform\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHomogeneousTransform *GetUserTransform ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetUserTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " This method causes the camera to set up whatever is required for\n viewing the scene. This is actually handled by an subclass of\n vtkCamera, which is created through New()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render (vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewingRaysMTime */
    if ( strcmp ( argv[2], "GetViewingRaysMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewingRaysMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewingRaysMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime that concerns recomputing the view rays of the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetViewingRaysMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetViewingRaysMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ViewingRaysModified */
    if ( strcmp ( argv[2], "ViewingRaysModified" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ViewingRaysModified" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ViewingRaysModified */
    Tcl_DStringAppendElement ( &dString, " Mark that something has changed which requires the view rays\n to be recomputed.\n" );
    Tcl_DStringAppendElement ( &dString, "void ViewingRaysModified ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for ViewingRaysModified */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientation */
    if ( strcmp ( argv[2], "GetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientation */
    Tcl_DStringAppendElement ( &dString, " Get the orientation of the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetOrientation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationWXYZ */
    if ( strcmp ( argv[2], "GetOrientationWXYZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationWXYZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationWXYZ */
    Tcl_DStringAppendElement ( &dString, " Get the orientation of the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetOrientationWXYZ ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetOrientationWXYZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetViewPlaneNormal */
    if ( strcmp ( argv[2], "SetViewPlaneNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewPlaneNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewPlaneNormal */
    Tcl_DStringAppendElement ( &dString, " These methods have been deprecated.  The view plane normal is\n automatically set from the DirectionOfProjection according to\n the ViewShear.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewPlaneNormal (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetViewPlaneNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetViewPlaneNormal */
    if ( strcmp ( argv[2], "SetViewPlaneNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewPlaneNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewPlaneNormal */
    Tcl_DStringAppendElement ( &dString, " These methods have been deprecated.  The view plane normal is\n automatically set from the DirectionOfProjection according to\n the ViewShear.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewPlaneNormal (const double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetViewPlaneNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
    /* Starting function: ComputeViewPlaneNormal */
    if ( strcmp ( argv[2], "ComputeViewPlaneNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeViewPlaneNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeViewPlaneNormal */
    Tcl_DStringAppendElement ( &dString, " This method is called automatically whenever necessary, it\n should never be used outside of vtkCamera.cxx.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeViewPlaneNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for ComputeViewPlaneNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCameraLightTransformMatrix */
    if ( strcmp ( argv[2], "GetCameraLightTransformMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCameraLightTransformMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCameraLightTransformMatrix */
    Tcl_DStringAppendElement ( &dString, " Returns a transformation matrix for a coordinate frame attached to\n the camera, where the camera is located at (0, 0, 1) looking at the\n focal point at (0, 0, 0), with up being (0, 1, 0).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4 *GetCameraLightTransformMatrix ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetCameraLightTransformMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateViewport */
    if ( strcmp ( argv[2], "UpdateViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateViewport */
    Tcl_DStringAppendElement ( &dString, " Set the Left Eye setting\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateViewport (vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for UpdateViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeftEye */
    if ( strcmp ( argv[2], "SetLeftEye" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeftEye" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeftEye */
    Tcl_DStringAppendElement ( &dString, " Set the Left Eye setting\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeftEye (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for SetLeftEye */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftEye */
    if ( strcmp ( argv[2], "GetLeftEye" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftEye" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftEye */
    Tcl_DStringAppendElement ( &dString, " Set the Left Eye setting\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftEye ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    /* Closing for GetLeftEye */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
