// python wrapper for vtkClipPlanesPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkClipPlanesPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkClipPlanesPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkClipPlanesPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPainterNew(char *); }

static PyObject *PyvtkClipPlanesPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPlanesPainter *op;

  const char    *temp20;
  op = (vtkClipPlanesPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPlanesPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPlanesPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPlanesPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkClipPlanesPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPlanesPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPlanesPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPlanesPainter *op;

  vtkClipPlanesPainter  *temp20;
  op = (vtkClipPlanesPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPlanesPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPlanesPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkClipPlanesPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkClipPlanesPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkClipPlanesPainter_CLIPPING_PLANES(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkClipPlanesPainter::CLIPPING_PLANES();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkClipPlanesPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkClipPlanesPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkClipPlanesPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkClipPlanesPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkClipPlanesPainter\nC++: vtkClipPlanesPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkClipPlanesPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkClipPlanesPainter\nC++: vtkClipPlanesPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CLIPPING_PLANES",                (PyCFunction)PyvtkClipPlanesPainter_CLIPPING_PLANES, 1,
   (char*)"V.CLIPPING_PLANES() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *CLIPPING_PLANES ();\n\n Get/Set the vtkPlaneCollection which specifies the clipping planes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkClipPlanesPainterDoc[] = {
  (char*)"vtkClipPlanesPainter - abstract class defining interface for \n\n",
  "Super Class:\n\n vtkPainter\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkClipPlanesPainterStaticNew()
{
  return vtkClipPlanesPainter::New();
}

PyObject *PyVTKClass_vtkClipPlanesPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkClipPlanesPainterStaticNew,
                        PyvtkClipPlanesPainterMethods,
                        (char*)"vtkClipPlanesPainter",modulename,
                        (char**)vtkClipPlanesPainterDoc,
                        PyVTKClass_vtkPainterNew(modulename));
}

