// python wrapper for vtkCoincidentTopologyResolutionPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCoincidentTopologyResolutionPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCoincidentTopologyResolutionPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCoincidentTopologyResolutionPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataPainterNew(char *); }

static PyObject *PyvtkCoincidentTopologyResolutionPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentTopologyResolutionPainter *op;

  const char    *temp20;
  op = (vtkCoincidentTopologyResolutionPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoincidentTopologyResolutionPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentTopologyResolutionPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentTopologyResolutionPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkCoincidentTopologyResolutionPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoincidentTopologyResolutionPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentTopologyResolutionPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoincidentTopologyResolutionPainter *op;

  vtkCoincidentTopologyResolutionPainter  *temp20;
  op = (vtkCoincidentTopologyResolutionPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoincidentTopologyResolutionPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentTopologyResolutionPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCoincidentTopologyResolutionPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCoincidentTopologyResolutionPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCoincidentTopologyResolutionPainter_RESOLVE_COINCIDENT_TOPOLOGY(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCoincidentTopologyResolutionPainter::RESOLVE_COINCIDENT_TOPOLOGY();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentTopologyResolutionPainter_Z_SHIFT(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCoincidentTopologyResolutionPainter::Z_SHIFT();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentTopologyResolutionPainter_POLYGON_OFFSET_PARAMETERS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCoincidentTopologyResolutionPainter::POLYGON_OFFSET_PARAMETERS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoincidentTopologyResolutionPainter_POLYGON_OFFSET_FACES(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCoincidentTopologyResolutionPainter::POLYGON_OFFSET_FACES();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCoincidentTopologyResolutionPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCoincidentTopologyResolutionPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCoincidentTopologyResolutionPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCoincidentTopologyResolutionPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCoincidentTopologyResolutionPainter\nC++: vtkCoincidentTopologyResolutionPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCoincidentTopologyResolutionPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCoincidentTopologyResolutionPainter\nC++: vtkCoincidentTopologyResolutionPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RESOLVE_COINCIDENT_TOPOLOGY",                (PyCFunction)PyvtkCoincidentTopologyResolutionPainter_RESOLVE_COINCIDENT_TOPOLOGY, 1,
   (char*)"V.RESOLVE_COINCIDENT_TOPOLOGY() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *RESOLVE_COINCIDENT_TOPOLOGY ();\n\n Set/Get a global flag that controls whether coincident topology (e.g., a \n line on top of a polygon) is shifted to avoid z-buffer resolution (and \n hence rendering problems). If not off, there are two methods to choose \n from. PolygonOffset uses graphics systems calls to shift polygons, but \n does not distinguish vertices and lines from one another. ShiftZBuffer \n remaps the z-buffer to distinguish vertices, lines, and polygons, but \n does not always produce acceptable results. If you use the ShiftZBuffer \n approach, you may also want to set the ResolveCoincidentTopologyZShift \n value. (Note: not all mappers/graphics systems implement this \n functionality.)\n"},
  {(char*)"Z_SHIFT",                (PyCFunction)PyvtkCoincidentTopologyResolutionPainter_Z_SHIFT, 1,
   (char*)"V.Z_SHIFT() -> vtkInformationDoubleKey\nC++: static vtkInformationDoubleKey *Z_SHIFT ();\n\n Used to set the z-shift if ResolveCoincidentTopology is set to \n ShiftZBuffer.\n"},
  {(char*)"POLYGON_OFFSET_PARAMETERS",                (PyCFunction)PyvtkCoincidentTopologyResolutionPainter_POLYGON_OFFSET_PARAMETERS, 1,
   (char*)"V.POLYGON_OFFSET_PARAMETERS() -> vtkInformationDoubleVectorKey\nC++: static vtkInformationDoubleVectorKey *POLYGON_OFFSET_PARAMETERS ();\n\n Used to set the polygon offset scale factor and units. Used when \n ResolveCoincidentTopology is set to PolygonOffset. \n"},
  {(char*)"POLYGON_OFFSET_FACES",                (PyCFunction)PyvtkCoincidentTopologyResolutionPainter_POLYGON_OFFSET_FACES, 1,
   (char*)"V.POLYGON_OFFSET_FACES() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *POLYGON_OFFSET_FACES ();\n\n When set and when RESOLVE_COINCIDENT_TOPOLOGY is set to use polygon offset,\n solid polygonal faces will be offsetted, otherwise lines/vertices will be\n offsetted.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCoincidentTopologyResolutionPainterDoc[] = {
  (char*)"vtkCoincidentTopologyResolutionPainter - painter that resolves \n\n",
  "Super Class:\n\n vtkPolyDataPainter\n\n",
  (char*)" Provides the ability to shift the z-buffer to resolve coincident topology. \n For example, if you'd like to draw a mesh with some edges a different color, \n and the edges lie on the mesh, this feature can be useful to get nice \n looking lines.\n\n",
  NULL
};

static vtkObjectBase *vtkCoincidentTopologyResolutionPainterStaticNew()
{
  return vtkCoincidentTopologyResolutionPainter::New();
}

PyObject *PyVTKClass_vtkCoincidentTopologyResolutionPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkCoincidentTopologyResolutionPainterStaticNew,
                        PyvtkCoincidentTopologyResolutionPainterMethods,
                        (char*)"vtkCoincidentTopologyResolutionPainter",modulename,
                        (char**)vtkCoincidentTopologyResolutionPainterDoc,
                        PyVTKClass_vtkPolyDataPainterNew(modulename));
}

