// tcl wrapper for vtkCoincidentTopologyResolutionPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCoincidentTopologyResolutionPainter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCoincidentTopologyResolutionPainterNewCommand()
{
  vtkCoincidentTopologyResolutionPainter *temp = vtkCoincidentTopologyResolutionPainter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataPainterCppCommand(vtkPolyDataPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCoincidentTopologyResolutionPainterCppCommand(vtkCoincidentTopologyResolutionPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCoincidentTopologyResolutionPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCoincidentTopologyResolutionPainterCppCommand(static_cast<vtkCoincidentTopologyResolutionPainter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCoincidentTopologyResolutionPainterCppCommand(vtkCoincidentTopologyResolutionPainter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCoincidentTopologyResolutionPainter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataPainterCppCommand(static_cast<vtkPolyDataPainter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataPainter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCoincidentTopologyResolutionPainter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoincidentTopologyResolutionPainter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCoincidentTopologyResolutionPainter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoincidentTopologyResolutionPainter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCoincidentTopologyResolutionPainter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoincidentTopologyResolutionPainter");
    return TCL_OK;
    }
    }
  if ((!strcmp("RESOLVE_COINCIDENT_TOPOLOGY",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->RESOLVE_COINCIDENT_TOPOLOGY();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("Z_SHIFT",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleKey  *temp20;
    temp20 = (op)->Z_SHIFT();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationDoubleKey");
    return TCL_OK;
    }
  if ((!strcmp("POLYGON_OFFSET_PARAMETERS",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleVectorKey  *temp20;
    temp20 = (op)->POLYGON_OFFSET_PARAMETERS();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationDoubleVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("POLYGON_OFFSET_FACES",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->POLYGON_OFFSET_FACES();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCoincidentTopologyResolutionPainterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataPainterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCoincidentTopologyResolutionPainter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RESOLVE_COINCIDENT_TOPOLOGY\n",NULL);
    Tcl_AppendResult(interp,"  Z_SHIFT\n",NULL);
    Tcl_AppendResult(interp,"  POLYGON_OFFSET_PARAMETERS\n",NULL);
    Tcl_AppendResult(interp,"  POLYGON_OFFSET_FACES\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataPainterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "RESOLVE_COINCIDENT_TOPOLOGY" );
    Tcl_DStringAppendElement ( &dString, "Z_SHIFT" );
    Tcl_DStringAppendElement ( &dString, "POLYGON_OFFSET_PARAMETERS" );
    Tcl_DStringAppendElement ( &dString, "POLYGON_OFFSET_FACES" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataPainterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCoincidentTopologyResolutionPainter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RESOLVE_COINCIDENT_TOPOLOGY */
    if ( strcmp ( argv[2], "RESOLVE_COINCIDENT_TOPOLOGY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RESOLVE_COINCIDENT_TOPOLOGY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RESOLVE_COINCIDENT_TOPOLOGY */
    Tcl_DStringAppendElement ( &dString, " Set/Get a global flag that controls whether coincident topology (e.g., a \n line on top of a polygon) is shifted to avoid z-buffer resolution (and \n hence rendering problems). If not off, there are two methods to choose \n from. PolygonOffset uses graphics systems calls to shift polygons, but \n does not distinguish vertices and lines from one another. ShiftZBuffer \n remaps the z-buffer to distinguish vertices, lines, and polygons, but \n does not always produce acceptabl ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *RESOLVE_COINCIDENT_TOPOLOGY ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter" );
    /* Closing for RESOLVE_COINCIDENT_TOPOLOGY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Z_SHIFT */
    if ( strcmp ( argv[2], "Z_SHIFT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Z_SHIFT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Z_SHIFT */
    Tcl_DStringAppendElement ( &dString, " Used to set the z-shift if ResolveCoincidentTopology is set to \n ShiftZBuffer.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationDoubleKey *Z_SHIFT ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter" );
    /* Closing for Z_SHIFT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: POLYGON_OFFSET_PARAMETERS */
    if ( strcmp ( argv[2], "POLYGON_OFFSET_PARAMETERS" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "POLYGON_OFFSET_PARAMETERS" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for POLYGON_OFFSET_PARAMETERS */
    Tcl_DStringAppendElement ( &dString, " Used to set the polygon offset scale factor and units. Used when \n ResolveCoincidentTopology is set to PolygonOffset. \n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationDoubleVectorKey *POLYGON_OFFSET_PARAMETERS ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter" );
    /* Closing for POLYGON_OFFSET_PARAMETERS */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: POLYGON_OFFSET_FACES */
    if ( strcmp ( argv[2], "POLYGON_OFFSET_FACES" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "POLYGON_OFFSET_FACES" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for POLYGON_OFFSET_FACES */
    Tcl_DStringAppendElement ( &dString, " When set and when RESOLVE_COINCIDENT_TOPOLOGY is set to use polygon offset,\n solid polygonal faces will be offsetted, otherwise lines/vertices will be\n offsetted.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *POLYGON_OFFSET_FACES ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCoincidentTopologyResolutionPainter" );
    /* Closing for POLYGON_OFFSET_FACES */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataPainterCppCommand(static_cast<vtkPolyDataPainter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
