// python wrapper for vtkCompositePainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCompositePainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositePainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositePainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPainterNew(char *); }

static PyObject *PyvtkCompositePainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositePainter *op;

  const char    *temp20;
  op = (vtkCompositePainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositePainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositePainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositePainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkCompositePainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositePainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositePainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositePainter *op;

  vtkCompositePainter  *temp20;
  op = (vtkCompositePainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositePainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositePainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCompositePainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCompositePainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCompositePainter_COLOR_LEAVES(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCompositePainter::COLOR_LEAVES();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositePainter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositePainter *op;

  vtkDataObject  *temp20;
  op = (vtkCompositePainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositePainter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCompositePainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositePainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositePainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositePainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositePainter\nC++: vtkCompositePainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCompositePainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompositePainter\nC++: vtkCompositePainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"COLOR_LEAVES",                (PyCFunction)PyvtkCompositePainter_COLOR_LEAVES, 1,
   (char*)"V.COLOR_LEAVES() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *COLOR_LEAVES ();\n\n When this key is present and set to 1 in the information passed to the\n painter, the painter colors each block using a unique color. \n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkCompositePainter_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkDataObject\nC++: virtual vtkDataObject *GetOutput ();\n\n Get the output data object from this painter. The default implementation\n simply forwards the input data object as the output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositePainterDoc[] = {
  (char*)"vtkCompositePainter - painter that can be inserted before any\n\n",
  "Super Class:\n\n vtkPainter\n\n",
  (char*)" vtkCompositePainter iterates over the leaves in a composite datasets.\n This painter can also handle the case when the dataset is not a composite\n dataset.\n\n",
  NULL
};

static vtkObjectBase *vtkCompositePainterStaticNew()
{
  return vtkCompositePainter::New();
}

PyObject *PyVTKClass_vtkCompositePainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompositePainterStaticNew,
                        PyvtkCompositePainterMethods,
                        (char*)"vtkCompositePainter",modulename,
                        (char**)vtkCompositePainterDoc,
                        PyVTKClass_vtkPainterNew(modulename));
}

