// python wrapper for vtkCompositePolyDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCompositePolyDataMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositePolyDataMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositePolyDataMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMapperNew(char *); }

static PyObject *PyvtkCompositePolyDataMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositePolyDataMapper *op;

  const char    *temp20;
  op = (vtkCompositePolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositePolyDataMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositePolyDataMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositePolyDataMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkCompositePolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositePolyDataMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositePolyDataMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositePolyDataMapper *op;

  vtkCompositePolyDataMapper  *temp20;
  op = (vtkCompositePolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositePolyDataMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositePolyDataMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCompositePolyDataMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCompositePolyDataMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCompositePolyDataMapper_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositePolyDataMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  op = (vtkCompositePolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositePolyDataMapper::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCompositePolyDataMapper_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositePolyDataMapper *op;

  double  *temp20;
  op = (vtkCompositePolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositePolyDataMapper::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkCompositePolyDataMapper *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkCompositePolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositePolyDataMapper::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositePolyDataMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositePolyDataMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkCompositePolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositePolyDataMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkCompositePolyDataMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositePolyDataMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositePolyDataMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositePolyDataMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositePolyDataMapper\nC++: vtkCompositePolyDataMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCompositePolyDataMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompositePolyDataMapper\nC++: vtkCompositePolyDataMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkCompositePolyDataMapper_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkActor)\nC++: void Render (vtkRenderer *ren, vtkActor *a);\n\n Standard method for rendering a mapper. This method will be \n called by the actor.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkCompositePolyDataMapper_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\nV.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);this Superclass GetBounds bounds \n\n Standard vtkProp method to get 3D bounds of a 3D prop\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkCompositePolyDataMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release the underlying resources associated with this mapper  \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositePolyDataMapperDoc[] = {
  (char*)"vtkCompositePolyDataMapper - a class that renders hierarchical polygonal data\n\n",
  "Super Class:\n\n vtkMapper\n\n",
  (char*)" This class uses a set of vtkPolyDataMappers to render input data\n which may be hierarchical. The input to this mapper may be\n either vtkPolyData or a vtkCompositeDataSet built from \n polydata. If something other than vtkPolyData is encountered,\n an error message will be produced.\n\n",
  "See Also:\n\n vtkPolyDataMapper\n\n",
  NULL
};

static vtkObjectBase *vtkCompositePolyDataMapperStaticNew()
{
  return vtkCompositePolyDataMapper::New();
}

PyObject *PyVTKClass_vtkCompositePolyDataMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompositePolyDataMapperStaticNew,
                        PyvtkCompositePolyDataMapperMethods,
                        (char*)"vtkCompositePolyDataMapper",modulename,
                        (char**)vtkCompositePolyDataMapperDoc,
                        PyVTKClass_vtkMapperNew(modulename));
}

