// python wrapper for vtkCullerCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCullerCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCullerCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCullerCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkCullerCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCullerCollection *op;

  const char    *temp20;
  op = (vtkCullerCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCullerCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCullerCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCullerCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkCullerCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCullerCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCullerCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCullerCollection *op;

  vtkCullerCollection  *temp20;
  op = (vtkCullerCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCullerCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCullerCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCullerCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCullerCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCullerCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCullerCollection *op;

  vtkCuller  *temp0;
  PyObject *tempH0;
  op = (vtkCullerCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCuller *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCuller");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCullerCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCullerCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCullerCollection *op;

  vtkCuller  *temp20;
  op = (vtkCullerCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCullerCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCullerCollection_GetLastItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCullerCollection *op;

  vtkCuller  *temp20;
  op = (vtkCullerCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCullerCollection::GetLastItem();
      }
    else
      {
      temp20 = op->GetLastItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCullerCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCullerCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCullerCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCullerCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCullerCollection\nC++: vtkCullerCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCullerCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCullerCollection\nC++: vtkCullerCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkCullerCollection_AddItem, 1,
   (char*)"V.AddItem(vtkCuller)\nC++: void AddItem (vtkCuller *a);this vtkCollection AddItem a \n\n Get the next Culler in the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkCullerCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkCuller\nC++: vtkCuller *GetNextItem ();return static_cast vtkCuller this GetNextItemAsObject \n\n Get the last Culler in the list.\n"},
  {(char*)"GetLastItem",                (PyCFunction)PyvtkCullerCollection_GetLastItem, 1,
   (char*)"V.GetLastItem() -> vtkCuller\nC++: vtkCuller *GetLastItem ();\n\n Get the last Culler in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCullerCollectionDoc[] = {
  (char*)"vtkCullerCollection - a list of Cullers\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkCullerCollection represents and provides methods to manipulate a list\n of Cullers (i.e., vtkCuller and subclasses). The list is unsorted and\n duplicate entries are not prevented.\n\n",
  "See Also:\n\n vtkCuller vtkCollection \n\n",
  NULL
};

static vtkObjectBase *vtkCullerCollectionStaticNew()
{
  return vtkCullerCollection::New();
}

PyObject *PyVTKClass_vtkCullerCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkCullerCollectionStaticNew,
                        PyvtkCullerCollectionMethods,
                        (char*)"vtkCullerCollection",modulename,
                        (char**)vtkCullerCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

