// python wrapper for vtkCuller object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCuller.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCullerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCullerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCuller_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCuller *op;

  const char    *temp20;
  op = (vtkCuller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCuller::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCuller_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCuller *op;

  char    *temp0;
  int      temp20;
  op = (vtkCuller *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCuller::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCuller_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCuller *op;

  vtkCuller  *temp20;
  op = (vtkCuller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCuller::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCullerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCuller_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCuller_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCuller_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCuller\nC++: vtkCuller *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCullerDoc[] = {
  (char*)"vtkCuller - a superclass for prop cullers\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" A culler has a cull method called by the vtkRenderer. The cull \n method is called before any rendering is performed,\n and it allows the culler to do some processing on the props and \n to modify their AllocatedRenderTime and re-order them in the prop list. \n\n",
  "See Also:\n\n vtkFrustumCoverageCuller\n\n",
  NULL
};

PyObject *PyVTKClass_vtkCullerNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkCullerMethods,
                        (char*)"vtkCuller",modulename,
                        (char**)vtkCullerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

