// python wrapper for vtkDefaultPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDefaultPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDefaultPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDefaultPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPainterNew(char *); }

static PyObject *PyvtkDefaultPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  const char    *temp20;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkDefaultPainter  *temp20;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDefaultPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDefaultPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDefaultPainter_SetScalarsToColorsPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkScalarsToColorsPainter  *temp0;
  PyObject *tempH0;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarsToColorsPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColorsPainter");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDefaultPainter::SetScalarsToColorsPainter(temp0);
      }
    else
      {
      op->SetScalarsToColorsPainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDefaultPainter_GetScalarsToColorsPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkScalarsToColorsPainter  *temp20;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPainter::GetScalarsToColorsPainter();
      }
    else
      {
      temp20 = op->GetScalarsToColorsPainter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPainter_SetClipPlanesPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkClipPlanesPainter  *temp0;
  PyObject *tempH0;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkClipPlanesPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkClipPlanesPainter");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkDefaultPainter::SetClipPlanesPainter(temp0);
      }
    else
      {
      op->SetClipPlanesPainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkDefaultPainter_GetClipPlanesPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkClipPlanesPainter  *temp20;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPainter::GetClipPlanesPainter();
      }
    else
      {
      temp20 = op->GetClipPlanesPainter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPainter_SetLightingPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkLightingPainter  *temp0;
  PyObject *tempH0;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLightingPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLightingPainter");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkDefaultPainter::SetLightingPainter(temp0);
      }
    else
      {
      op->SetLightingPainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkDefaultPainter_GetLightingPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkLightingPainter  *temp20;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPainter::GetLightingPainter();
      }
    else
      {
      temp20 = op->GetLightingPainter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPainter_SetDisplayListPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkDisplayListPainter  *temp0;
  PyObject *tempH0;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDisplayListPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDisplayListPainter");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkDefaultPainter::SetDisplayListPainter(temp0);
      }
    else
      {
      op->SetDisplayListPainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkDefaultPainter_GetDisplayListPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkDisplayListPainter  *temp20;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPainter::GetDisplayListPainter();
      }
    else
      {
      temp20 = op->GetDisplayListPainter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPainter_SetCoincidentTopologyResolutionPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkCoincidentTopologyResolutionPainter  *temp0;
  PyObject *tempH0;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCoincidentTopologyResolutionPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCoincidentTopologyResolutionPainter");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkDefaultPainter::SetCoincidentTopologyResolutionPainter(temp0);
      }
    else
      {
      op->SetCoincidentTopologyResolutionPainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkDefaultPainter_GetCoincidentTopologyResolutionPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkCoincidentTopologyResolutionPainter  *temp20;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPainter::GetCoincidentTopologyResolutionPainter();
      }
    else
      {
      temp20 = op->GetCoincidentTopologyResolutionPainter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPainter_SetRepresentationPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkRepresentationPainter  *temp0;
  PyObject *tempH0;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRepresentationPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRepresentationPainter");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkDefaultPainter::SetRepresentationPainter(temp0);
      }
    else
      {
      op->SetRepresentationPainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkDefaultPainter_GetRepresentationPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkRepresentationPainter  *temp20;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPainter::GetRepresentationPainter();
      }
    else
      {
      temp20 = op->GetRepresentationPainter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPainter_SetCompositePainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkCompositePainter  *temp0;
  PyObject *tempH0;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositePainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositePainter");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkDefaultPainter::SetCompositePainter(temp0);
      }
    else
      {
      op->SetCompositePainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkDefaultPainter_GetCompositePainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkCompositePainter  *temp20;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPainter::GetCompositePainter();
      }
    else
      {
      temp20 = op->GetCompositePainter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPainter_SetDelegatePainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkPainter  *temp0;
  PyObject *tempH0;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPainter");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkDefaultPainter::SetDelegatePainter(temp0);
      }
    else
      {
      op->SetDelegatePainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkDefaultPainter_GetDelegatePainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkPainter  *temp20;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDefaultPainter::GetDelegatePainter();
      }
    else
      {
      temp20 = op->GetDelegatePainter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDefaultPainter_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  unsigned long     temp2;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"OOl", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break20;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkDefaultPainter::Render(temp0,temp1,temp2);
      }
    else
      {
      op->Render(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkDefaultPainter_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkDefaultPainter::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkDefaultPainter_UpdateBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDefaultPainter *op;

  double temp0[6];
  op = (vtkDefaultPainter *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDefaultPainter::UpdateBounds(temp0);
      }
    else
      {
      op->UpdateBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDefaultPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDefaultPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDefaultPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDefaultPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDefaultPainter\nC++: vtkDefaultPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDefaultPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDefaultPainter\nC++: vtkDefaultPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetScalarsToColorsPainter",                (PyCFunction)PyvtkDefaultPainter_SetScalarsToColorsPainter, 1,
   (char*)"V.SetScalarsToColorsPainter(vtkScalarsToColorsPainter)\nC++: void SetScalarsToColorsPainter (vtkScalarsToColorsPainter *);\n\n Get/Set the painter that maps scalars to colors.\n"},
  {(char*)"GetScalarsToColorsPainter",                (PyCFunction)PyvtkDefaultPainter_GetScalarsToColorsPainter, 1,
   (char*)"V.GetScalarsToColorsPainter() -> vtkScalarsToColorsPainter\nC++: vtkScalarsToColorsPainter *GetScalarsToColorsPainter ();\n\n Get/Set the painter that maps scalars to colors.\n"},
  {(char*)"SetClipPlanesPainter",                (PyCFunction)PyvtkDefaultPainter_SetClipPlanesPainter, 1,
   (char*)"V.SetClipPlanesPainter(vtkClipPlanesPainter)\nC++: void SetClipPlanesPainter (vtkClipPlanesPainter *);\n\n Get/Set the painter that handles clipping.\n"},
  {(char*)"GetClipPlanesPainter",                (PyCFunction)PyvtkDefaultPainter_GetClipPlanesPainter, 1,
   (char*)"V.GetClipPlanesPainter() -> vtkClipPlanesPainter\nC++: vtkClipPlanesPainter *GetClipPlanesPainter ();\n\n Get/Set the painter that handles clipping.\n"},
  {(char*)"SetLightingPainter",                (PyCFunction)PyvtkDefaultPainter_SetLightingPainter, 1,
   (char*)"V.SetLightingPainter(vtkLightingPainter)\nC++: void SetLightingPainter (vtkLightingPainter *);\n\n Get/Set the painter that controls lighting.\n"},
  {(char*)"GetLightingPainter",                (PyCFunction)PyvtkDefaultPainter_GetLightingPainter, 1,
   (char*)"V.GetLightingPainter() -> vtkLightingPainter\nC++: vtkLightingPainter *GetLightingPainter ();\n\n Get/Set the painter that controls lighting.\n"},
  {(char*)"SetDisplayListPainter",                (PyCFunction)PyvtkDefaultPainter_SetDisplayListPainter, 1,
   (char*)"V.SetDisplayListPainter(vtkDisplayListPainter)\nC++: void SetDisplayListPainter (vtkDisplayListPainter *);\n\n Get/Set the painter that builds display lists.\n"},
  {(char*)"GetDisplayListPainter",                (PyCFunction)PyvtkDefaultPainter_GetDisplayListPainter, 1,
   (char*)"V.GetDisplayListPainter() -> vtkDisplayListPainter\nC++: vtkDisplayListPainter *GetDisplayListPainter ();\n\n Get/Set the painter that builds display lists.\n"},
  {(char*)"SetCoincidentTopologyResolutionPainter",                (PyCFunction)PyvtkDefaultPainter_SetCoincidentTopologyResolutionPainter, 1,
   (char*)"V.SetCoincidentTopologyResolutionPainter(vtkCoincidentTopologyResolutionPainter)\nC++: void SetCoincidentTopologyResolutionPainter (vtkCoincidentTopologyResolutionPainter *);\n\n Painter used to resolve coincident topology.\n"},
  {(char*)"GetCoincidentTopologyResolutionPainter",                (PyCFunction)PyvtkDefaultPainter_GetCoincidentTopologyResolutionPainter, 1,
   (char*)"V.GetCoincidentTopologyResolutionPainter() -> vtkCoincidentTopologyResolutionPainter\nC++: vtkCoincidentTopologyResolutionPainter *GetCoincidentTopologyResolutionPainter ();\n\n Painter used to resolve coincident topology.\n"},
  {(char*)"SetRepresentationPainter",                (PyCFunction)PyvtkDefaultPainter_SetRepresentationPainter, 1,
   (char*)"V.SetRepresentationPainter(vtkRepresentationPainter)\nC++: void SetRepresentationPainter (vtkRepresentationPainter *);\n\n Painter used to convert polydata to Wireframe/Points representation.\n"},
  {(char*)"GetRepresentationPainter",                (PyCFunction)PyvtkDefaultPainter_GetRepresentationPainter, 1,
   (char*)"V.GetRepresentationPainter() -> vtkRepresentationPainter\nC++: vtkRepresentationPainter *GetRepresentationPainter ();\n\n Painter used to convert polydata to Wireframe/Points representation.\n"},
  {(char*)"SetCompositePainter",                (PyCFunction)PyvtkDefaultPainter_SetCompositePainter, 1,
   (char*)"V.SetCompositePainter(vtkCompositePainter)\nC++: void SetCompositePainter (vtkCompositePainter *);\n\n Get/Set the painter used to handle composite datasets.\n"},
  {(char*)"GetCompositePainter",                (PyCFunction)PyvtkDefaultPainter_GetCompositePainter, 1,
   (char*)"V.GetCompositePainter() -> vtkCompositePainter\nC++: vtkCompositePainter *GetCompositePainter ();\n\n Get/Set the painter used to handle composite datasets.\n"},
  {(char*)"SetDelegatePainter",                (PyCFunction)PyvtkDefaultPainter_SetDelegatePainter, 1,
   (char*)"V.SetDelegatePainter(vtkPainter)\nC++: virtual void SetDelegatePainter (vtkPainter *);\n\n Set/Get the painter to which this painter should propagare its draw calls.\n These methods are overridden so that the delegate is set\n to the end of the Painter Chain.\n"},
  {(char*)"GetDelegatePainter",                (PyCFunction)PyvtkDefaultPainter_GetDelegatePainter, 1,
   (char*)"V.GetDelegatePainter() -> vtkPainter\nC++: virtual vtkPainter *GetDelegatePainter ();return this DefaultPainterDelegate \n\n Overridden to setup the chain of painter depending on the \n actor representation. The chain is rebuilt if\n this->MTime has changed \n since last BuildPainterChain();\n Building of the chain does not depend on input polydata,\n hence it does not check if the input has changed at all.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkDefaultPainter_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkActor, int)\nC++: virtual void Render (vtkRenderer *renderer, vtkActor *actor, unsigned long typeflags);\n\n Overridden to setup the chain of painter depending on the \n actor representation. The chain is rebuilt if\n this->MTime has changed \n since last BuildPainterChain();\n Building of the chain does not depend on input polydata,\n hence it does not check if the input has changed at all.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkDefaultPainter_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this painter.\n The parameter window could be used to determine which graphic\n resources to release. \n The call is propagated to the delegate painter, if any.\n"},
  {(char*)"UpdateBounds",                (PyCFunction)PyvtkDefaultPainter_UpdateBounds, 1,
   (char*)"V.UpdateBounds((float, float, float, float, float, float))\nC++: void UpdateBounds (double bounds[6]);\n\n Expand or shrink the estimated bounds based on the geometric\n transformations applied in the painter. The bounds are left unchanged\n if the painter does not change the geometry.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDefaultPainterDoc[] = {
  (char*)"vtkDefaultPainter - sets up a default chain of painters.\n\n",
  "Super Class:\n\n vtkPainter\n\n",
  (char*)" This painter does not do any actual rendering.\n Sets up a default pipeline of painters to mimick the behaiour of \n old vtkPolyDataMapper. The chain is as follows:\n input--> vtkScalarsToColorsPainter --> vtkClipPlanesPainter -->\n vtkDisplayListPainter --> vtkCompositePainter -->\n vtkCoincidentTopologyResolutionPainter -->\n vtkLightingPainter --> vtkRepresentationPainter --> \n <Delegate of vtkDefau",
  (char*)"ltPainter>.\n Typically, the delegate of the default painter be one that is capable of r\n rendering grpahics primitives or a vtkChooserPainter which can select appropriate\n painters to do the rendering.\n\n",
  NULL
};

static vtkObjectBase *vtkDefaultPainterStaticNew()
{
  return vtkDefaultPainter::New();
}

PyObject *PyVTKClass_vtkDefaultPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDefaultPainterStaticNew,
                        PyvtkDefaultPainterMethods,
                        (char*)"vtkDefaultPainter",modulename,
                        (char**)vtkDefaultPainterDoc,
                        PyVTKClass_vtkPainterNew(modulename));
}

