// python wrapper for vtkDisplayListPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDisplayListPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDisplayListPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDisplayListPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPainterNew(char *); }

static PyObject *PyvtkDisplayListPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDisplayListPainter *op;

  const char    *temp20;
  op = (vtkDisplayListPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDisplayListPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDisplayListPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDisplayListPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkDisplayListPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDisplayListPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDisplayListPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDisplayListPainter *op;

  vtkDisplayListPainter  *temp20;
  op = (vtkDisplayListPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDisplayListPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDisplayListPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDisplayListPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDisplayListPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDisplayListPainter_IMMEDIATE_MODE_RENDERING(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDisplayListPainter::IMMEDIATE_MODE_RENDERING();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDisplayListPainter_GetTimeToDraw(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDisplayListPainter *op;

  double   temp20;
  op = (vtkDisplayListPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDisplayListPainter::GetTimeToDraw();
      }
    else
      {
      temp20 = op->GetTimeToDraw();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDisplayListPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDisplayListPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDisplayListPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDisplayListPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDisplayListPainter\nC++: vtkDisplayListPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDisplayListPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDisplayListPainter\nC++: vtkDisplayListPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"IMMEDIATE_MODE_RENDERING",                (PyCFunction)PyvtkDisplayListPainter_IMMEDIATE_MODE_RENDERING, 1,
   (char*)"V.IMMEDIATE_MODE_RENDERING() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *IMMEDIATE_MODE_RENDERING ();\n\n Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are\n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n"},
  {(char*)"GetTimeToDraw",                (PyCFunction)PyvtkDisplayListPainter_GetTimeToDraw, 1,
   (char*)"V.GetTimeToDraw() -> float\nC++: virtual double GetTimeToDraw ();\n\n Get the time required to draw the geometry last time it was rendered.\n Overridden to avoid adding of delegate rendering time\n when Display Lists are used.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDisplayListPainterDoc[] = {
  (char*)"vtkDisplayListPainter - abstract superclass for painter that \n\n",
  "Super Class:\n\n vtkPainter\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkDisplayListPainterStaticNew()
{
  return vtkDisplayListPainter::New();
}

PyObject *PyVTKClass_vtkDisplayListPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDisplayListPainterStaticNew,
                        PyvtkDisplayListPainterMethods,
                        (char*)"vtkDisplayListPainter",modulename,
                        (char**)vtkDisplayListPainterDoc,
                        PyVTKClass_vtkPainterNew(modulename));
}

