// python wrapper for vtkDynamic2DLabelMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDynamic2DLabelMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDynamic2DLabelMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDynamic2DLabelMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLabeledDataMapperNew(char *); }

static PyObject *PyvtkDynamic2DLabelMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  const char    *temp20;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDynamic2DLabelMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDynamic2DLabelMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  vtkDynamic2DLabelMapper  *temp20;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDynamic2DLabelMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDynamic2DLabelMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDynamic2DLabelMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_SetPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  char    *temp0;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDynamic2DLabelMapper::SetPriorityArrayName(temp0);
      }
    else
      {
      op->SetPriorityArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_SetReversePriority(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  bool   temp0;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDynamic2DLabelMapper::SetReversePriority(temp0);
      }
    else
      {
      op->SetReversePriority(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_GetReversePriority(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  bool   temp20;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDynamic2DLabelMapper::GetReversePriority();
      }
    else
      {
      temp20 = op->GetReversePriority();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_ReversePriorityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDynamic2DLabelMapper::ReversePriorityOn();
      }
    else
      {
      op->ReversePriorityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_ReversePriorityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDynamic2DLabelMapper::ReversePriorityOff();
      }
    else
      {
      op->ReversePriorityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_SetLabelHeightPadding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  float    temp0;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDynamic2DLabelMapper::SetLabelHeightPadding(temp0);
      }
    else
      {
      op->SetLabelHeightPadding(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_GetLabelHeightPadding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  float    temp20;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDynamic2DLabelMapper::GetLabelHeightPadding();
      }
    else
      {
      temp20 = op->GetLabelHeightPadding();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_SetLabelWidthPadding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  float    temp0;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDynamic2DLabelMapper::SetLabelWidthPadding(temp0);
      }
    else
      {
      op->SetLabelWidthPadding(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_GetLabelWidthPadding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  float    temp20;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDynamic2DLabelMapper::GetLabelWidthPadding();
      }
    else
      {
      temp20 = op->GetLabelWidthPadding();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break13;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkDynamic2DLabelMapper::RenderOpaqueGeometry(temp0,temp1);
      }
    else
      {
      op->RenderOpaqueGeometry(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkDynamic2DLabelMapper_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamic2DLabelMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  op = (vtkDynamic2DLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break14;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkDynamic2DLabelMapper::RenderOverlay(temp0,temp1);
      }
    else
      {
      op->RenderOverlay(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}

static PyMethodDef PyvtkDynamic2DLabelMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDynamic2DLabelMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Instantiate object with %%-#6.3g label format. By default, point ids\n are labeled.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDynamic2DLabelMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Instantiate object with %%-#6.3g label format. By default, point ids\n are labeled.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDynamic2DLabelMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDynamic2DLabelMapper\nC++: vtkDynamic2DLabelMapper *NewInstance ();\n\n Instantiate object with %%-#6.3g label format. By default, point ids\n are labeled.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDynamic2DLabelMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDynamic2DLabelMapper\nC++: vtkDynamic2DLabelMapper *SafeDownCast (vtkObject* o);\n\n Instantiate object with %%-#6.3g label format. By default, point ids\n are labeled.\n"},
  {(char*)"SetPriorityArrayName",                (PyCFunction)PyvtkDynamic2DLabelMapper_SetPriorityArrayName, 1,
   (char*)"V.SetPriorityArrayName(string)\nC++: void SetPriorityArrayName (const char *name);\n\n Set the points array name to use to give priority to labels.\n Defaults to \"priority\".\n"},
  {(char*)"SetReversePriority",                (PyCFunction)PyvtkDynamic2DLabelMapper_SetReversePriority, 1,
   (char*)"V.SetReversePriority(bool)\nC++: void SetReversePriority (bool );\n\n Whether to reverse the priority order (i.e. low values have high priority).\n Default is off.\n"},
  {(char*)"GetReversePriority",                (PyCFunction)PyvtkDynamic2DLabelMapper_GetReversePriority, 1,
   (char*)"V.GetReversePriority() -> bool\nC++: bool GetReversePriority ();\n\n Whether to reverse the priority order (i.e. low values have high priority).\n Default is off.\n"},
  {(char*)"ReversePriorityOn",                (PyCFunction)PyvtkDynamic2DLabelMapper_ReversePriorityOn, 1,
   (char*)"V.ReversePriorityOn()\nC++: void ReversePriorityOn ();\n\n Whether to reverse the priority order (i.e. low values have high priority).\n Default is off.\n"},
  {(char*)"ReversePriorityOff",                (PyCFunction)PyvtkDynamic2DLabelMapper_ReversePriorityOff, 1,
   (char*)"V.ReversePriorityOff()\nC++: void ReversePriorityOff ();\n\n Whether to reverse the priority order (i.e. low values have high priority).\n Default is off.\n"},
  {(char*)"SetLabelHeightPadding",                (PyCFunction)PyvtkDynamic2DLabelMapper_SetLabelHeightPadding, 1,
   (char*)"V.SetLabelHeightPadding(float)\nC++: void SetLabelHeightPadding (float );\n\n Set the label height padding as a percentage. The percentage \n is a percentage of your label height. \n Default is 50%.\n"},
  {(char*)"GetLabelHeightPadding",                (PyCFunction)PyvtkDynamic2DLabelMapper_GetLabelHeightPadding, 1,
   (char*)"V.GetLabelHeightPadding() -> float\nC++: float GetLabelHeightPadding ();\n\n Set the label height padding as a percentage. The percentage \n is a percentage of your label height. \n Default is 50%.\n"},
  {(char*)"SetLabelWidthPadding",                (PyCFunction)PyvtkDynamic2DLabelMapper_SetLabelWidthPadding, 1,
   (char*)"V.SetLabelWidthPadding(float)\nC++: void SetLabelWidthPadding (float );\n\n Set the label width padding as a percentage. The percentage \n is a percentage of your label ^height^ (yes, not a typo). \n Default is 50%.\n"},
  {(char*)"GetLabelWidthPadding",                (PyCFunction)PyvtkDynamic2DLabelMapper_GetLabelWidthPadding, 1,
   (char*)"V.GetLabelWidthPadding() -> float\nC++: float GetLabelWidthPadding ();\n\n Set the label width padding as a percentage. The percentage \n is a percentage of your label ^height^ (yes, not a typo). \n Default is 50%.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkDynamic2DLabelMapper_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport, vtkActor2D)\nC++: void RenderOpaqueGeometry (vtkViewport *viewport, vtkActor2D *actor);\n\n Draw non-overlapping labels to the screen.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkDynamic2DLabelMapper_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport, vtkActor2D)\nC++: void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor);\n\n Draw non-overlapping labels to the screen.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDynamic2DLabelMapperDoc[] = {
  (char*)"vtkDynamic2DLabelMapper - draw text labels at 2D dataset points\n\n",
  "Super Class:\n\n vtkLabeledDataMapper\n\n",
  (char*)" vtkDynamic2DLabelMapper is a mapper that renders text at dataset\n points such that the labels do not overlap.\n Various items can be labeled including point ids, scalars,\n vectors, normals, texture coordinates, tensors, and field data components.\n This mapper assumes that the points are located on the x-y plane\n and that the camera remains perpendicular to that plane with a y-up\n axis (this can be",
  (char*)" constrained using vtkImageInteractor).\n On the first render, the mapper computes the visiblility of all labels\n at all scales, and queries this information on successive renders.\n This causes the first render to be much slower. The visibility algorithm\n is a greedy approach based on the point id, so the label for a point\n will be drawn unless the label for a point with lower id overlaps it.\n\n",
  "Caveats:\n\n Use this filter in combination with vtkSelectVisiblePoints if you want\n to label only points that are visible. If you want to label cells rather\n than points, use the filter vtkCellCenters to generate points at the\n center of the cells. Also, you can use the class vtkIdFilter to\n generate ids as scalars or field data, which can then be labeled.\n\n",
  "See Also:\n\n vtkLabeledDataMapper\n\n",
  NULL
};

static vtkObjectBase *vtkDynamic2DLabelMapperStaticNew()
{
  return vtkDynamic2DLabelMapper::New();
}

PyObject *PyVTKClass_vtkDynamic2DLabelMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkDynamic2DLabelMapperStaticNew,
                        PyvtkDynamic2DLabelMapperMethods,
                        (char*)"vtkDynamic2DLabelMapper",modulename,
                        (char**)vtkDynamic2DLabelMapperDoc,
                        PyVTKClass_vtkLabeledDataMapperNew(modulename));
}

