// python wrapper for vtkExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExporter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExporterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExporterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkExporter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  const char    *temp20;
  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExporter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExporter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  char    *temp0;
  int      temp20;
  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExporter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExporter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  vtkExporter  *temp20;
  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExporter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExporter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExporter::Write();
      }
    else
      {
      op->Write();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExporter_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExporter::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExporter_SetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkExporter::SetRenderWindow(temp0);
      }
    else
      {
      op->SetRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkExporter_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  vtkRenderWindow  *temp20;
  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExporter::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExporter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkExporter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkExporter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  vtkRenderWindow  *temp20;
  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExporter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExporter_SetStartWrite(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  PyObject *temp0;
  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"O", &temp0);
  if (op)
    {
    if (!PyCallable_Check(temp0) && temp0 != Py_None)
      {
      PyErr_SetString(PyExc_ValueError,"vtk callback method passed to SetStartWrite in vtkExporter was not callable.");
      return NULL;
      }
    Py_INCREF(temp0);
    if (PyVTKClass_Check(self))
      {
      op->vtkExporter::SetStartWrite(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->vtkExporter::SetStartWriteArgDelete(vtkPythonVoidFuncArgDelete);
      }
    else
      {
      op->SetStartWrite(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->SetStartWriteArgDelete(vtkPythonVoidFuncArgDelete);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExporter_SetEndWrite(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  PyObject *temp0;
  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"O", &temp0);
  if (op)
    {
    if (!PyCallable_Check(temp0) && temp0 != Py_None)
      {
      PyErr_SetString(PyExc_ValueError,"vtk callback method passed to SetEndWrite in vtkExporter was not callable.");
      return NULL;
      }
    Py_INCREF(temp0);
    if (PyVTKClass_Check(self))
      {
      op->vtkExporter::SetEndWrite(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->vtkExporter::SetEndWriteArgDelete(vtkPythonVoidFuncArgDelete);
      }
    else
      {
      op->SetEndWrite(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->SetEndWriteArgDelete(vtkPythonVoidFuncArgDelete);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExporter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExporter *op;

  unsigned long     temp20;
  op = (vtkExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExporter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExporterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExporter\nC++: vtkExporter *NewInstance ();\n\n"},
  {(char*)"Write",                (PyCFunction)PyvtkExporter_Write, 1,
   (char*)"V.Write()\nC++: virtual void Write ();\n\n Write data to output. Method executes subclasses WriteData() method, as \n well as StartWrite() and EndWrite() methods.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkExporter_Update, 1,
   (char*)"V.Update()\nC++: void Update ();\n\n Convenient alias for Write() method.\n"},
  {(char*)"SetRenderWindow",                (PyCFunction)PyvtkExporter_SetRenderWindow, 1,
   (char*)"V.SetRenderWindow(vtkRenderWindow)\nC++: virtual void SetRenderWindow (vtkRenderWindow *);\n\n Set/Get the rendering window that contains the scene to be written.\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkExporter_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Set/Get the rendering window that contains the scene to be written.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkExporter_SetInput, 1,
   (char*)"V.SetInput(vtkRenderWindow)\nC++: void SetInput (vtkRenderWindow *renWin);this SetRenderWindow renWin \n\n These methods are provided for backward compatibility. Will disappear\n soon.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkExporter_GetInput, 1,
   (char*)"V.GetInput() -> vtkRenderWindow\nC++: vtkRenderWindow *GetInput ();return this GetRenderWindow \n\n These methods are provided for backward compatibility. Will disappear\n soon.\n"},
  {(char*)"SetStartWrite",                (PyCFunction)PyvtkExporter_SetStartWrite, 1,
   (char*)"V.SetStartWrite(function)\nC++: void SetStartWrite (void (*func)(void *) , void *arg);\n\n Specify a function to be called before data is written.  Function will\n be called with argument provided.\n"},
  {(char*)"SetEndWrite",                (PyCFunction)PyvtkExporter_SetEndWrite, 1,
   (char*)"V.SetEndWrite(function)\nC++: void SetEndWrite (void (*func)(void *) , void *arg);\n\n Specify a function to be called after data is written.\n Function will be called with argument provided.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkExporter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Returns the MTime also considering the RenderWindow.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExporterDoc[] = {
  (char*)"vtkExporter - abstract class to write a scene to a file\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkExporter is an abstract class that exports a scene to a file. It\n is very similar to vtkWriter except that a writer only writes out\n the geometric and topological data for an object, where an exporter\n can write out material properties, lighting, camera parameters etc.\n The concrete subclasses of this class may not write out all of this\n information. For example vtkOBJExporter writes out Wavef",
  (char*)"ront obj files\n which do not include support for camera parameters.\n\n vtkExporter provides the convenience methods StartWrite() and EndWrite().\n These methods are executed before and after execution of the Write() \n method. You can also specify arguments to these methods.\n This class defines SetInput and GetInput methods which take or return\n a vtkRenderWindow.  \n\n",
  "Caveats:\n\n Every subclass of vtkExporter must implement a WriteData() method. \n\n",
  "See Also:\n\n vtkOBJExporter vtkRenderWindow vtkWriter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkExporterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkExporterMethods,
                        (char*)"vtkExporter",modulename,
                        (char**)vtkExporterDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

