// tcl wrapper for vtkFrustumCoverageCuller object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFrustumCoverageCuller.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkFrustumCoverageCullerNewCommand()
{
  vtkFrustumCoverageCuller *temp = vtkFrustumCoverageCuller::New();
  return static_cast<ClientData>(temp);
}

int vtkCullerCppCommand(vtkCuller *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFrustumCoverageCullerCppCommand(vtkFrustumCoverageCuller *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkFrustumCoverageCullerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkFrustumCoverageCullerCppCommand(static_cast<vtkFrustumCoverageCuller *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFrustumCoverageCullerCppCommand(vtkFrustumCoverageCuller *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkFrustumCoverageCuller",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkCullerCppCommand(static_cast<vtkCuller *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkCuller"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkFrustumCoverageCuller  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFrustumCoverageCuller");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkFrustumCoverageCuller  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFrustumCoverageCuller");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkFrustumCoverageCuller  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFrustumCoverageCuller");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinimumCoverage",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumCoverage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumCoverage",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumCoverage();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumCoverage",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumCoverage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumCoverage",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumCoverage();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSortingStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSortingStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSortingStyleMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSortingStyleMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSortingStyleMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSortingStyleMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSortingStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSortingStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSortingStyleToNone",argv[1]))&&(argc == 2))
    {
    op->SetSortingStyleToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSortingStyleToBackToFront",argv[1]))&&(argc == 2))
    {
    op->SetSortingStyleToBackToFront();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSortingStyleToFrontToBack",argv[1]))&&(argc == 2))
    {
    op->SetSortingStyleToFrontToBack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSortingStyleAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetSortingStyleAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkFrustumCoverageCullerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkCullerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFrustumCoverageCuller:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumCoverage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumCoverage\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumCoverage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumCoverage\n",NULL);
    Tcl_AppendResult(interp,"  SetSortingStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSortingStyleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSortingStyleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSortingStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetSortingStyleToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetSortingStyleToBackToFront\n",NULL);
    Tcl_AppendResult(interp,"  SetSortingStyleToFrontToBack\n",NULL);
    Tcl_AppendResult(interp,"  GetSortingStyleAsString\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkCullerCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumCoverage" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumCoverage" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumCoverage" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCoverage" );
    Tcl_DStringAppendElement ( &dString, "SetSortingStyle" );
    Tcl_DStringAppendElement ( &dString, "GetSortingStyleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSortingStyleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSortingStyle" );
    Tcl_DStringAppendElement ( &dString, "SetSortingStyleToNone" );
    Tcl_DStringAppendElement ( &dString, "SetSortingStyleToBackToFront" );
    Tcl_DStringAppendElement ( &dString, "SetSortingStyleToFrontToBack" );
    Tcl_DStringAppendElement ( &dString, "GetSortingStyleAsString" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkCullerCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFrustumCoverageCuller *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumCoverage */
    if ( strcmp ( argv[2], "SetMinimumCoverage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumCoverage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumCoverage */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum coverage - props with less coverage than this\n are given no time to render (they are culled)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumCoverage (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for SetMinimumCoverage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumCoverage */
    if ( strcmp ( argv[2], "GetMinimumCoverage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumCoverage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumCoverage */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum coverage - props with less coverage than this\n are given no time to render (they are culled)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumCoverage ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for GetMinimumCoverage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumCoverage */
    if ( strcmp ( argv[2], "SetMaximumCoverage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumCoverage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumCoverage */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum coverage - props with more coverage than this are\n given an allocated render time of 1.0 (the maximum)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumCoverage (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for SetMaximumCoverage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumCoverage */
    if ( strcmp ( argv[2], "GetMaximumCoverage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCoverage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumCoverage */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum coverage - props with more coverage than this are\n given an allocated render time of 1.0 (the maximum)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumCoverage ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for GetMaximumCoverage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSortingStyle */
    if ( strcmp ( argv[2], "SetSortingStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSortingStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSortingStyle */
    Tcl_DStringAppendElement ( &dString, " Set the sorting style - none, front-to-back or back-to-front\n The default is none\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSortingStyle (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for SetSortingStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSortingStyleMinValue */
    if ( strcmp ( argv[2], "GetSortingStyleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSortingStyleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSortingStyleMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the sorting style - none, front-to-back or back-to-front\n The default is none\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSortingStyleMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for GetSortingStyleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSortingStyleMaxValue */
    if ( strcmp ( argv[2], "GetSortingStyleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSortingStyleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSortingStyleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the sorting style - none, front-to-back or back-to-front\n The default is none\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSortingStyleMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for GetSortingStyleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSortingStyle */
    if ( strcmp ( argv[2], "GetSortingStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSortingStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSortingStyle */
    Tcl_DStringAppendElement ( &dString, " Set the sorting style - none, front-to-back or back-to-front\n The default is none\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSortingStyle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for GetSortingStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSortingStyleToNone */
    if ( strcmp ( argv[2], "SetSortingStyleToNone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSortingStyleToNone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSortingStyleToNone */
    Tcl_DStringAppendElement ( &dString, " Set the sorting style - none, front-to-back or back-to-front\n The default is none\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSortingStyleToNone ();this SetSortingStyle VTK_CULLER_SORT_NONE " );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for SetSortingStyleToNone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSortingStyleToBackToFront */
    if ( strcmp ( argv[2], "SetSortingStyleToBackToFront" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSortingStyleToBackToFront" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSortingStyleToBackToFront */
    Tcl_DStringAppendElement ( &dString, " Set the sorting style - none, front-to-back or back-to-front\n The default is none\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSortingStyleToBackToFront ();this SetSortingStyle VTK_CULLER_SORT_BACK_TO_FRONT " );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for SetSortingStyleToBackToFront */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSortingStyleToFrontToBack */
    if ( strcmp ( argv[2], "SetSortingStyleToFrontToBack" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSortingStyleToFrontToBack" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSortingStyleToFrontToBack */
    Tcl_DStringAppendElement ( &dString, " Set the sorting style - none, front-to-back or back-to-front\n The default is none\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSortingStyleToFrontToBack ();this SetSortingStyle VTK_CULLER_SORT_FRONT_TO_BACK " );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for SetSortingStyleToFrontToBack */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSortingStyleAsString */
    if ( strcmp ( argv[2], "GetSortingStyleAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSortingStyleAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSortingStyleAsString */
    Tcl_DStringAppendElement ( &dString, " Set the sorting style - none, front-to-back or back-to-front\n The default is none\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetSortingStyleAsString (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkFrustumCoverageCuller" );
    /* Closing for GetSortingStyleAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkCullerCppCommand(static_cast<vtkCuller *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
