// tcl wrapper for vtkGL2PSExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGL2PSExporter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGL2PSExporterNewCommand()
{
  vtkGL2PSExporter *temp = vtkGL2PSExporter::New();
  return static_cast<ClientData>(temp);
}

int vtkExporterCppCommand(vtkExporter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGL2PSExporterCppCommand(vtkGL2PSExporter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGL2PSExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGL2PSExporterCppCommand(static_cast<vtkGL2PSExporter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGL2PSExporterCppCommand(vtkGL2PSExporter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGL2PSExporter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkExporterCppCommand(static_cast<vtkExporter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkExporter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGL2PSExporter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGL2PSExporter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGL2PSExporter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGL2PSExporter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGL2PSExporter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGL2PSExporter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFilePrefix",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFilePrefix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilePrefix",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFilePrefix();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileFormat",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileFormatMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileFormatMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFileFormatMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileFormatMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFileFormat",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileFormat();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileFormatToPS",argv[1]))&&(argc == 2))
    {
    op->SetFileFormatToPS();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileFormatToEPS",argv[1]))&&(argc == 2))
    {
    op->SetFileFormatToEPS();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileFormatToPDF",argv[1]))&&(argc == 2))
    {
    op->SetFileFormatToPDF();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileFormatToTeX",argv[1]))&&(argc == 2))
    {
    op->SetFileFormatToTeX();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileFormatToSVG",argv[1]))&&(argc == 2))
    {
    op->SetFileFormatToSVG();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFileFormatAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetFileFormatAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSort(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSortMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSortMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSortMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSortMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSort",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSort();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSortToOff",argv[1]))&&(argc == 2))
    {
    op->SetSortToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSortToSimple",argv[1]))&&(argc == 2))
    {
    op->SetSortToSimple();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSortToBSP",argv[1]))&&(argc == 2))
    {
    op->SetSortToBSP();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSortAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetSortAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCompress",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCompress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompress",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCompress();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CompressOn",argv[1]))&&(argc == 2))
    {
    op->CompressOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CompressOff",argv[1]))&&(argc == 2))
    {
    op->CompressOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawBackground",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawBackground(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawBackground",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawBackground();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawBackgroundOn",argv[1]))&&(argc == 2))
    {
    op->DrawBackgroundOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawBackgroundOff",argv[1]))&&(argc == 2))
    {
    op->DrawBackgroundOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSimpleLineOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSimpleLineOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSimpleLineOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSimpleLineOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SimpleLineOffsetOn",argv[1]))&&(argc == 2))
    {
    op->SimpleLineOffsetOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SimpleLineOffsetOff",argv[1]))&&(argc == 2))
    {
    op->SimpleLineOffsetOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSilent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSilent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSilent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSilent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SilentOn",argv[1]))&&(argc == 2))
    {
    op->SilentOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SilentOff",argv[1]))&&(argc == 2))
    {
    op->SilentOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBestRoot",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBestRoot(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBestRoot",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBestRoot();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BestRootOn",argv[1]))&&(argc == 2))
    {
    op->BestRootOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BestRootOff",argv[1]))&&(argc == 2))
    {
    op->BestRootOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetText",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetText",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetText();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TextOn",argv[1]))&&(argc == 2))
    {
    op->TextOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TextOff",argv[1]))&&(argc == 2))
    {
    op->TextOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLandscape",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLandscape(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLandscape",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLandscape();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LandscapeOn",argv[1]))&&(argc == 2))
    {
    op->LandscapeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LandscapeOff",argv[1]))&&(argc == 2))
    {
    op->LandscapeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPS3Shading",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPS3Shading(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPS3Shading",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPS3Shading();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PS3ShadingOn",argv[1]))&&(argc == 2))
    {
    op->PS3ShadingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PS3ShadingOff",argv[1]))&&(argc == 2))
    {
    op->PS3ShadingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOcclusionCull",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOcclusionCull(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOcclusionCull",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOcclusionCull();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OcclusionCullOn",argv[1]))&&(argc == 2))
    {
    op->OcclusionCullOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OcclusionCullOff",argv[1]))&&(argc == 2))
    {
    op->OcclusionCullOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWrite3DPropsAsRasterImage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWrite3DPropsAsRasterImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWrite3DPropsAsRasterImage",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWrite3DPropsAsRasterImage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Write3DPropsAsRasterImageOn",argv[1]))&&(argc == 2))
    {
    op->Write3DPropsAsRasterImageOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Write3DPropsAsRasterImageOff",argv[1]))&&(argc == 2))
    {
    op->Write3DPropsAsRasterImageOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalPointSizeFactor",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGlobalPointSizeFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalPointSizeFactor",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetGlobalPointSizeFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalLineWidthFactor",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGlobalLineWidthFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalLineWidthFactor",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetGlobalLineWidthFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGL2PSExporterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkExporterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGL2PSExporter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFilePrefix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilePrefix\n",NULL);
    Tcl_AppendResult(interp,"  SetFileFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileFormatMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFileFormatMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFileFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetFileFormatToPS\n",NULL);
    Tcl_AppendResult(interp,"  SetFileFormatToEPS\n",NULL);
    Tcl_AppendResult(interp,"  SetFileFormatToPDF\n",NULL);
    Tcl_AppendResult(interp,"  SetFileFormatToTeX\n",NULL);
    Tcl_AppendResult(interp,"  SetFileFormatToSVG\n",NULL);
    Tcl_AppendResult(interp,"  GetFileFormatAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetSort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSortMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSortMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSort\n",NULL);
    Tcl_AppendResult(interp,"  SetSortToOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSortToSimple\n",NULL);
    Tcl_AppendResult(interp,"  SetSortToBSP\n",NULL);
    Tcl_AppendResult(interp,"  GetSortAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetCompress\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompress\n",NULL);
    Tcl_AppendResult(interp,"  CompressOn\n",NULL);
    Tcl_AppendResult(interp,"  CompressOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawBackground\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawBackground\n",NULL);
    Tcl_AppendResult(interp,"  DrawBackgroundOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawBackgroundOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSimpleLineOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSimpleLineOffset\n",NULL);
    Tcl_AppendResult(interp,"  SimpleLineOffsetOn\n",NULL);
    Tcl_AppendResult(interp,"  SimpleLineOffsetOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSilent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSilent\n",NULL);
    Tcl_AppendResult(interp,"  SilentOn\n",NULL);
    Tcl_AppendResult(interp,"  SilentOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBestRoot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBestRoot\n",NULL);
    Tcl_AppendResult(interp,"  BestRootOn\n",NULL);
    Tcl_AppendResult(interp,"  BestRootOff\n",NULL);
    Tcl_AppendResult(interp,"  SetText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetText\n",NULL);
    Tcl_AppendResult(interp,"  TextOn\n",NULL);
    Tcl_AppendResult(interp,"  TextOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLandscape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLandscape\n",NULL);
    Tcl_AppendResult(interp,"  LandscapeOn\n",NULL);
    Tcl_AppendResult(interp,"  LandscapeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPS3Shading\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPS3Shading\n",NULL);
    Tcl_AppendResult(interp,"  PS3ShadingOn\n",NULL);
    Tcl_AppendResult(interp,"  PS3ShadingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOcclusionCull\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOcclusionCull\n",NULL);
    Tcl_AppendResult(interp,"  OcclusionCullOn\n",NULL);
    Tcl_AppendResult(interp,"  OcclusionCullOff\n",NULL);
    Tcl_AppendResult(interp,"  SetWrite3DPropsAsRasterImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWrite3DPropsAsRasterImage\n",NULL);
    Tcl_AppendResult(interp,"  Write3DPropsAsRasterImageOn\n",NULL);
    Tcl_AppendResult(interp,"  Write3DPropsAsRasterImageOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalPointSizeFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalPointSizeFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalLineWidthFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalLineWidthFactor\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkExporterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFilePrefix" );
    Tcl_DStringAppendElement ( &dString, "GetFilePrefix" );
    Tcl_DStringAppendElement ( &dString, "SetFileFormat" );
    Tcl_DStringAppendElement ( &dString, "GetFileFormatMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFileFormatMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFileFormat" );
    Tcl_DStringAppendElement ( &dString, "SetFileFormatToPS" );
    Tcl_DStringAppendElement ( &dString, "SetFileFormatToEPS" );
    Tcl_DStringAppendElement ( &dString, "SetFileFormatToPDF" );
    Tcl_DStringAppendElement ( &dString, "SetFileFormatToTeX" );
    Tcl_DStringAppendElement ( &dString, "SetFileFormatToSVG" );
    Tcl_DStringAppendElement ( &dString, "GetFileFormatAsString" );
    Tcl_DStringAppendElement ( &dString, "SetSort" );
    Tcl_DStringAppendElement ( &dString, "GetSortMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSortMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSort" );
    Tcl_DStringAppendElement ( &dString, "SetSortToOff" );
    Tcl_DStringAppendElement ( &dString, "SetSortToSimple" );
    Tcl_DStringAppendElement ( &dString, "SetSortToBSP" );
    Tcl_DStringAppendElement ( &dString, "GetSortAsString" );
    Tcl_DStringAppendElement ( &dString, "SetCompress" );
    Tcl_DStringAppendElement ( &dString, "GetCompress" );
    Tcl_DStringAppendElement ( &dString, "CompressOn" );
    Tcl_DStringAppendElement ( &dString, "CompressOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawBackground" );
    Tcl_DStringAppendElement ( &dString, "GetDrawBackground" );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOn" );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOff" );
    Tcl_DStringAppendElement ( &dString, "SetSimpleLineOffset" );
    Tcl_DStringAppendElement ( &dString, "GetSimpleLineOffset" );
    Tcl_DStringAppendElement ( &dString, "SimpleLineOffsetOn" );
    Tcl_DStringAppendElement ( &dString, "SimpleLineOffsetOff" );
    Tcl_DStringAppendElement ( &dString, "SetSilent" );
    Tcl_DStringAppendElement ( &dString, "GetSilent" );
    Tcl_DStringAppendElement ( &dString, "SilentOn" );
    Tcl_DStringAppendElement ( &dString, "SilentOff" );
    Tcl_DStringAppendElement ( &dString, "SetBestRoot" );
    Tcl_DStringAppendElement ( &dString, "GetBestRoot" );
    Tcl_DStringAppendElement ( &dString, "BestRootOn" );
    Tcl_DStringAppendElement ( &dString, "BestRootOff" );
    Tcl_DStringAppendElement ( &dString, "SetText" );
    Tcl_DStringAppendElement ( &dString, "GetText" );
    Tcl_DStringAppendElement ( &dString, "TextOn" );
    Tcl_DStringAppendElement ( &dString, "TextOff" );
    Tcl_DStringAppendElement ( &dString, "SetLandscape" );
    Tcl_DStringAppendElement ( &dString, "GetLandscape" );
    Tcl_DStringAppendElement ( &dString, "LandscapeOn" );
    Tcl_DStringAppendElement ( &dString, "LandscapeOff" );
    Tcl_DStringAppendElement ( &dString, "SetPS3Shading" );
    Tcl_DStringAppendElement ( &dString, "GetPS3Shading" );
    Tcl_DStringAppendElement ( &dString, "PS3ShadingOn" );
    Tcl_DStringAppendElement ( &dString, "PS3ShadingOff" );
    Tcl_DStringAppendElement ( &dString, "SetOcclusionCull" );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionCull" );
    Tcl_DStringAppendElement ( &dString, "OcclusionCullOn" );
    Tcl_DStringAppendElement ( &dString, "OcclusionCullOff" );
    Tcl_DStringAppendElement ( &dString, "SetWrite3DPropsAsRasterImage" );
    Tcl_DStringAppendElement ( &dString, "GetWrite3DPropsAsRasterImage" );
    Tcl_DStringAppendElement ( &dString, "Write3DPropsAsRasterImageOn" );
    Tcl_DStringAppendElement ( &dString, "Write3DPropsAsRasterImageOff" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalPointSizeFactor" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalPointSizeFactor" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalLineWidthFactor" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalLineWidthFactor" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkExporterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGL2PSExporter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFilePrefix */
    if ( strcmp ( argv[2], "SetFilePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFilePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFilePrefix */
    Tcl_DStringAppendElement ( &dString, " Specify the prefix of the files to write out. The resulting filenames\n will have .ps or .eps or .tex appended to them depending on the\n other options chosen.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFilePrefix (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetFilePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilePrefix */
    if ( strcmp ( argv[2], "GetFilePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilePrefix */
    Tcl_DStringAppendElement ( &dString, " Specify the prefix of the files to write out. The resulting filenames\n will have .ps or .eps or .tex appended to them depending on the\n other options chosen.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFilePrefix ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetFilePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileFormat */
    if ( strcmp ( argv[2], "SetFileFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileFormat */
    Tcl_DStringAppendElement ( &dString, " Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileFormat (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetFileFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileFormatMinValue */
    if ( strcmp ( argv[2], "GetFileFormatMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileFormatMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileFormatMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileFormatMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetFileFormatMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileFormatMaxValue */
    if ( strcmp ( argv[2], "GetFileFormatMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileFormatMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileFormatMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileFormatMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetFileFormatMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileFormat */
    if ( strcmp ( argv[2], "GetFileFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileFormat */
    Tcl_DStringAppendElement ( &dString, " Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileFormat ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetFileFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileFormatToPS */
    if ( strcmp ( argv[2], "SetFileFormatToPS" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileFormatToPS" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileFormatToPS */
    Tcl_DStringAppendElement ( &dString, " Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileFormatToPS ();this SetFileFormat PS_FILE " );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetFileFormatToPS */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileFormatToEPS */
    if ( strcmp ( argv[2], "SetFileFormatToEPS" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileFormatToEPS" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileFormatToEPS */
    Tcl_DStringAppendElement ( &dString, " Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileFormatToEPS ();this SetFileFormat EPS_FILE " );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetFileFormatToEPS */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileFormatToPDF */
    if ( strcmp ( argv[2], "SetFileFormatToPDF" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileFormatToPDF" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileFormatToPDF */
    Tcl_DStringAppendElement ( &dString, " Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileFormatToPDF ();this SetFileFormat PDF_FILE " );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetFileFormatToPDF */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileFormatToTeX */
    if ( strcmp ( argv[2], "SetFileFormatToTeX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileFormatToTeX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileFormatToTeX */
    Tcl_DStringAppendElement ( &dString, " Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileFormatToTeX ();this SetFileFormat TEX_FILE " );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetFileFormatToTeX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileFormatToSVG */
    if ( strcmp ( argv[2], "SetFileFormatToSVG" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileFormatToSVG" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileFormatToSVG */
    Tcl_DStringAppendElement ( &dString, " Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileFormatToSVG ();this SetFileFormat SVG_FILE " );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetFileFormatToSVG */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileFormatAsString */
    if ( strcmp ( argv[2], "GetFileFormatAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileFormatAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileFormatAsString */
    Tcl_DStringAppendElement ( &dString, " Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetFileFormatAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetFileFormatAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSort */
    if ( strcmp ( argv[2], "SetSort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSort */
    Tcl_DStringAppendElement ( &dString, " Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSort (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetSort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSortMinValue */
    if ( strcmp ( argv[2], "GetSortMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSortMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSortMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSortMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetSortMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSortMaxValue */
    if ( strcmp ( argv[2], "GetSortMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSortMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSortMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSortMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetSortMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSort */
    if ( strcmp ( argv[2], "GetSort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSort */
    Tcl_DStringAppendElement ( &dString, " Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSort ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetSort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSortToOff */
    if ( strcmp ( argv[2], "SetSortToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSortToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSortToOff */
    Tcl_DStringAppendElement ( &dString, " Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSortToOff ();this SetSort NO_SORT " );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetSortToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSortToSimple */
    if ( strcmp ( argv[2], "SetSortToSimple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSortToSimple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSortToSimple */
    Tcl_DStringAppendElement ( &dString, " Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSortToSimple ();this SetSort SIMPLE_SORT " );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetSortToSimple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSortToBSP */
    if ( strcmp ( argv[2], "SetSortToBSP" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSortToBSP" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSortToBSP */
    Tcl_DStringAppendElement ( &dString, " Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSortToBSP ();this SetSort BSP_SORT " );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetSortToBSP */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSortAsString */
    if ( strcmp ( argv[2], "GetSortAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSortAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSortAsString */
    Tcl_DStringAppendElement ( &dString, " Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetSortAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetSortAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompress */
    if ( strcmp ( argv[2], "SetCompress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompress */
    Tcl_DStringAppendElement ( &dString, " Turn on/off compression when generating PostScript or PDF\n output. By default compression is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompress (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetCompress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompress */
    if ( strcmp ( argv[2], "GetCompress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompress */
    Tcl_DStringAppendElement ( &dString, " Turn on/off compression when generating PostScript or PDF\n output. By default compression is on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCompress ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetCompress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CompressOn */
    if ( strcmp ( argv[2], "CompressOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CompressOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CompressOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off compression when generating PostScript or PDF\n output. By default compression is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void CompressOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for CompressOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CompressOff */
    if ( strcmp ( argv[2], "CompressOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CompressOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CompressOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off compression when generating PostScript or PDF\n output. By default compression is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void CompressOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for CompressOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawBackground */
    if ( strcmp ( argv[2], "SetDrawBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawBackground */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing the background frame.  If off the background\n is treated as white.  By default the background is drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawBackground (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetDrawBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawBackground */
    if ( strcmp ( argv[2], "GetDrawBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawBackground */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing the background frame.  If off the background\n is treated as white.  By default the background is drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDrawBackground ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetDrawBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawBackgroundOn */
    if ( strcmp ( argv[2], "DrawBackgroundOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawBackgroundOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing the background frame.  If off the background\n is treated as white.  By default the background is drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawBackgroundOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for DrawBackgroundOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawBackgroundOff */
    if ( strcmp ( argv[2], "DrawBackgroundOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawBackgroundOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing the background frame.  If off the background\n is treated as white.  By default the background is drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawBackgroundOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for DrawBackgroundOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSimpleLineOffset */
    if ( strcmp ( argv[2], "SetSimpleLineOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSimpleLineOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSimpleLineOffset */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\n small offset is added in the z-buffer to all the lines in the\n plot.  This results in an anti-aliasing like solution.  Defaults to\n on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSimpleLineOffset (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetSimpleLineOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSimpleLineOffset */
    if ( strcmp ( argv[2], "GetSimpleLineOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSimpleLineOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSimpleLineOffset */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\n small offset is added in the z-buffer to all the lines in the\n plot.  This results in an anti-aliasing like solution.  Defaults to\n on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSimpleLineOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetSimpleLineOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SimpleLineOffsetOn */
    if ( strcmp ( argv[2], "SimpleLineOffsetOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SimpleLineOffsetOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SimpleLineOffsetOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\n small offset is added in the z-buffer to all the lines in the\n plot.  This results in an anti-aliasing like solution.  Defaults to\n on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SimpleLineOffsetOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SimpleLineOffsetOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SimpleLineOffsetOff */
    if ( strcmp ( argv[2], "SimpleLineOffsetOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SimpleLineOffsetOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SimpleLineOffsetOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\n small offset is added in the z-buffer to all the lines in the\n plot.  This results in an anti-aliasing like solution.  Defaults to\n on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SimpleLineOffsetOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SimpleLineOffsetOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSilent */
    if ( strcmp ( argv[2], "SetSilent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSilent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSilent */
    Tcl_DStringAppendElement ( &dString, " Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\n enabled GL2PS messages are suppressed.  Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSilent (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetSilent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSilent */
    if ( strcmp ( argv[2], "GetSilent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSilent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSilent */
    Tcl_DStringAppendElement ( &dString, " Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\n enabled GL2PS messages are suppressed.  Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSilent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetSilent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SilentOn */
    if ( strcmp ( argv[2], "SilentOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SilentOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SilentOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\n enabled GL2PS messages are suppressed.  Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SilentOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SilentOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SilentOff */
    if ( strcmp ( argv[2], "SilentOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SilentOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SilentOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\n enabled GL2PS messages are suppressed.  Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SilentOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SilentOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBestRoot */
    if ( strcmp ( argv[2], "SetBestRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBestRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBestRoot */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_BEST_ROOT option.  When enabled the\n construction of the BSP tree is optimized by choosing the root\n primitives leading to the minimum number of splits.  Defaults to\n on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBestRoot (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetBestRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBestRoot */
    if ( strcmp ( argv[2], "GetBestRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBestRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBestRoot */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_BEST_ROOT option.  When enabled the\n construction of the BSP tree is optimized by choosing the root\n primitives leading to the minimum number of splits.  Defaults to\n on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBestRoot ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetBestRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BestRootOn */
    if ( strcmp ( argv[2], "BestRootOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BestRootOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BestRootOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_BEST_ROOT option.  When enabled the\n construction of the BSP tree is optimized by choosing the root\n primitives leading to the minimum number of splits.  Defaults to\n on.\n" );
    Tcl_DStringAppendElement ( &dString, "void BestRootOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for BestRootOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BestRootOff */
    if ( strcmp ( argv[2], "BestRootOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BestRootOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BestRootOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_BEST_ROOT option.  When enabled the\n construction of the BSP tree is optimized by choosing the root\n primitives leading to the minimum number of splits.  Defaults to\n on.\n" );
    Tcl_DStringAppendElement ( &dString, "void BestRootOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for BestRootOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetText */
    if ( strcmp ( argv[2], "SetText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetText */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing the text.  If on (default) the text is drawn.\n If the FileFormat is set to TeX output then a LaTeX picture is\n generated with the text strings.  If off text output is\n suppressed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetText (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetText */
    if ( strcmp ( argv[2], "GetText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetText */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing the text.  If on (default) the text is drawn.\n If the FileFormat is set to TeX output then a LaTeX picture is\n generated with the text strings.  If off text output is\n suppressed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetText ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TextOn */
    if ( strcmp ( argv[2], "TextOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TextOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TextOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing the text.  If on (default) the text is drawn.\n If the FileFormat is set to TeX output then a LaTeX picture is\n generated with the text strings.  If off text output is\n suppressed.\n" );
    Tcl_DStringAppendElement ( &dString, "void TextOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for TextOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TextOff */
    if ( strcmp ( argv[2], "TextOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TextOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TextOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing the text.  If on (default) the text is drawn.\n If the FileFormat is set to TeX output then a LaTeX picture is\n generated with the text strings.  If off text output is\n suppressed.\n" );
    Tcl_DStringAppendElement ( &dString, "void TextOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for TextOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLandscape */
    if ( strcmp ( argv[2], "SetLandscape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLandscape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLandscape */
    Tcl_DStringAppendElement ( &dString, " Turn on/off landscape orientation.  If off (default) the\n orientation is set to portrait.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLandscape (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetLandscape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLandscape */
    if ( strcmp ( argv[2], "GetLandscape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLandscape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLandscape */
    Tcl_DStringAppendElement ( &dString, " Turn on/off landscape orientation.  If off (default) the\n orientation is set to portrait.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLandscape ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetLandscape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LandscapeOn */
    if ( strcmp ( argv[2], "LandscapeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LandscapeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LandscapeOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off landscape orientation.  If off (default) the\n orientation is set to portrait.\n" );
    Tcl_DStringAppendElement ( &dString, "void LandscapeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for LandscapeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LandscapeOff */
    if ( strcmp ( argv[2], "LandscapeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LandscapeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LandscapeOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off landscape orientation.  If off (default) the\n orientation is set to portrait.\n" );
    Tcl_DStringAppendElement ( &dString, "void LandscapeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for LandscapeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPS3Shading */
    if ( strcmp ( argv[2], "SetPS3Shading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPS3Shading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPS3Shading */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_PS3_SHADING option.  When enabled the\n shfill PostScript level 3 operator is used.  Read the GL2PS\n documentation for more details.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPS3Shading (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetPS3Shading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPS3Shading */
    if ( strcmp ( argv[2], "GetPS3Shading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPS3Shading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPS3Shading */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_PS3_SHADING option.  When enabled the\n shfill PostScript level 3 operator is used.  Read the GL2PS\n documentation for more details.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPS3Shading ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetPS3Shading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PS3ShadingOn */
    if ( strcmp ( argv[2], "PS3ShadingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PS3ShadingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PS3ShadingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_PS3_SHADING option.  When enabled the\n shfill PostScript level 3 operator is used.  Read the GL2PS\n documentation for more details.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void PS3ShadingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for PS3ShadingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PS3ShadingOff */
    if ( strcmp ( argv[2], "PS3ShadingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PS3ShadingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PS3ShadingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the GL2PS_PS3_SHADING option.  When enabled the\n shfill PostScript level 3 operator is used.  Read the GL2PS\n documentation for more details.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void PS3ShadingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for PS3ShadingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOcclusionCull */
    if ( strcmp ( argv[2], "SetOcclusionCull" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOcclusionCull" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOcclusionCull */
    Tcl_DStringAppendElement ( &dString, " Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\n When enabled hidden polygons are removed.  This reduces file size\n considerably.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOcclusionCull (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetOcclusionCull */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOcclusionCull */
    if ( strcmp ( argv[2], "GetOcclusionCull" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionCull" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOcclusionCull */
    Tcl_DStringAppendElement ( &dString, " Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\n When enabled hidden polygons are removed.  This reduces file size\n considerably.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOcclusionCull ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetOcclusionCull */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OcclusionCullOn */
    if ( strcmp ( argv[2], "OcclusionCullOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OcclusionCullOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OcclusionCullOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\n When enabled hidden polygons are removed.  This reduces file size\n considerably.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void OcclusionCullOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for OcclusionCullOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OcclusionCullOff */
    if ( strcmp ( argv[2], "OcclusionCullOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OcclusionCullOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OcclusionCullOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\n When enabled hidden polygons are removed.  This reduces file size\n considerably.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void OcclusionCullOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for OcclusionCullOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWrite3DPropsAsRasterImage */
    if ( strcmp ( argv[2], "SetWrite3DPropsAsRasterImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWrite3DPropsAsRasterImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWrite3DPropsAsRasterImage */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing 3D props as raster images.  2D props are\n rendered using vector graphics primitives.  If you have hi-res\n actors and are using transparency you probably need to turn this\n on.  Defaults to Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWrite3DPropsAsRasterImage (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetWrite3DPropsAsRasterImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWrite3DPropsAsRasterImage */
    if ( strcmp ( argv[2], "GetWrite3DPropsAsRasterImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWrite3DPropsAsRasterImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWrite3DPropsAsRasterImage */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing 3D props as raster images.  2D props are\n rendered using vector graphics primitives.  If you have hi-res\n actors and are using transparency you probably need to turn this\n on.  Defaults to Off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWrite3DPropsAsRasterImage ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetWrite3DPropsAsRasterImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Write3DPropsAsRasterImageOn */
    if ( strcmp ( argv[2], "Write3DPropsAsRasterImageOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Write3DPropsAsRasterImageOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Write3DPropsAsRasterImageOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing 3D props as raster images.  2D props are\n rendered using vector graphics primitives.  If you have hi-res\n actors and are using transparency you probably need to turn this\n on.  Defaults to Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void Write3DPropsAsRasterImageOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for Write3DPropsAsRasterImageOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Write3DPropsAsRasterImageOff */
    if ( strcmp ( argv[2], "Write3DPropsAsRasterImageOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Write3DPropsAsRasterImageOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Write3DPropsAsRasterImageOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off writing 3D props as raster images.  2D props are\n rendered using vector graphics primitives.  If you have hi-res\n actors and are using transparency you probably need to turn this\n on.  Defaults to Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void Write3DPropsAsRasterImageOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for Write3DPropsAsRasterImageOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobalPointSizeFactor */
    if ( strcmp ( argv[2], "SetGlobalPointSizeFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalPointSizeFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalPointSizeFactor */
    Tcl_DStringAppendElement ( &dString, " Set the ratio between the OpenGL PointSize and that used by GL2PS\n to generate PostScript.  Defaults to a ratio of 5/7.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetGlobalPointSizeFactor (float val);" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetGlobalPointSizeFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalPointSizeFactor */
    if ( strcmp ( argv[2], "GetGlobalPointSizeFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalPointSizeFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalPointSizeFactor */
    Tcl_DStringAppendElement ( &dString, " Set the ratio between the OpenGL PointSize and that used by GL2PS\n to generate PostScript.  Defaults to a ratio of 5/7.\n" );
    Tcl_DStringAppendElement ( &dString, "static float GetGlobalPointSizeFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetGlobalPointSizeFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobalLineWidthFactor */
    if ( strcmp ( argv[2], "SetGlobalLineWidthFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalLineWidthFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalLineWidthFactor */
    Tcl_DStringAppendElement ( &dString, " Set the ratio between the OpenGL LineWidth and that used by GL2PS\n to generate PostScript.  Defaults to a ratio of 5/7.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetGlobalLineWidthFactor (float val);" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for SetGlobalLineWidthFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalLineWidthFactor */
    if ( strcmp ( argv[2], "GetGlobalLineWidthFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalLineWidthFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalLineWidthFactor */
    Tcl_DStringAppendElement ( &dString, " Set the ratio between the OpenGL LineWidth and that used by GL2PS\n to generate PostScript.  Defaults to a ratio of 5/7.\n" );
    Tcl_DStringAppendElement ( &dString, "static float GetGlobalLineWidthFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGL2PSExporter" );
    /* Closing for GetGlobalLineWidthFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkExporterCppCommand(static_cast<vtkExporter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
