// python wrapper for vtkGLSLShaderDeviceAdapter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGLSLShaderDeviceAdapter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGLSLShaderDeviceAdapterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGLSLShaderDeviceAdapterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkShaderDeviceAdapterNew(char *); }

static PyObject *PyvtkGLSLShaderDeviceAdapter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderDeviceAdapter *op;

  const char    *temp20;
  op = (vtkGLSLShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShaderDeviceAdapter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShaderDeviceAdapter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderDeviceAdapter *op;

  char    *temp0;
  int      temp20;
  op = (vtkGLSLShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShaderDeviceAdapter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShaderDeviceAdapter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderDeviceAdapter *op;

  vtkGLSLShaderDeviceAdapter  *temp20;
  op = (vtkGLSLShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShaderDeviceAdapter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShaderDeviceAdapter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGLSLShaderDeviceAdapter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGLSLShaderDeviceAdapter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGLSLShaderDeviceAdapter_PrepareForRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderDeviceAdapter *op;

  op = (vtkGLSLShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGLSLShaderDeviceAdapter::PrepareForRender();
      }
    else
      {
      op->PrepareForRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShaderDeviceAdapter_SendAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderDeviceAdapter *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  void    *temp3;
  int      size3;
  unsigned long     temp4;
  op = (vtkGLSLShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"ziis#l", &temp0, &temp1, &temp2, &temp3, &size3, &temp4);
  if (op)
    {
    temp3 = vtkPythonUnmanglePointer((char *)temp3,&size3,(char*)"void_p");
    if (size3 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendAttribute in vtkGLSLShaderDeviceAdapter was of incorrect type.");
      return NULL;
      }
    else if (size3 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendAttribute in vtkGLSLShaderDeviceAdapter was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkGLSLShaderDeviceAdapter::SendAttribute(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SendAttribute(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGLSLShaderDeviceAdapterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGLSLShaderDeviceAdapter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGLSLShaderDeviceAdapter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGLSLShaderDeviceAdapter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGLSLShaderDeviceAdapter\nC++: vtkGLSLShaderDeviceAdapter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGLSLShaderDeviceAdapter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGLSLShaderDeviceAdapter\nC++: vtkGLSLShaderDeviceAdapter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"PrepareForRender",                (PyCFunction)PyvtkGLSLShaderDeviceAdapter_PrepareForRender, 1,
   (char*)"V.PrepareForRender()\nC++: virtual void PrepareForRender ();\n\n"},
  {(char*)"SendAttribute",                (PyCFunction)PyvtkGLSLShaderDeviceAdapter_SendAttribute, 1,
   (char*)"V.SendAttribute(string, int, int, string, int)\nC++: virtual void SendAttribute (const char *attrname, int components, int type, const void *attribute, unsigned long offset);\n\n Sends a single attribute to the graphics card.  \n The attrname parameter identifies the name of attribute.  \n The components parameter gives the number of\n components in the attribute.  In general, components must be between\n 1-4, but a rendering system may impose even more constraints.  The\n type parameter is a VTK type enumeration (VTK_FLOAT, VTK_INT, etc.).\n Again, a rendering system may not support all types for all\n attributes.  The attribute parameter is the actual data for the\n attribute.\n If offset is specified, it is added to attribute pointer \\c after\n it has been casted to the proper type.\n If attribute is NULL, the OpenGL ID for the attribute will simply be\n cached.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGLSLShaderDeviceAdapterDoc[] = {
  (char*)"vtkGLSLShaderDeviceAdapter - adapter to pass generic vertex \n\n",
  "Super Class:\n\n vtkShaderDeviceAdapter\n\n",
  (char*)" vtkShaderDeviceAdapter subclass for GLSL.\n .SECTION Thanks\n Support for generic vertex attributes in VTK was contributed in\n collaboration with Stephane Ploix at EDF.\n\n",
  NULL
};

static vtkObjectBase *vtkGLSLShaderDeviceAdapterStaticNew()
{
  return vtkGLSLShaderDeviceAdapter::New();
}

PyObject *PyVTKClass_vtkGLSLShaderDeviceAdapterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGLSLShaderDeviceAdapterStaticNew,
                        PyvtkGLSLShaderDeviceAdapterMethods,
                        (char*)"vtkGLSLShaderDeviceAdapter",modulename,
                        (char**)vtkGLSLShaderDeviceAdapterDoc,
                        PyVTKClass_vtkShaderDeviceAdapterNew(modulename));
}

