// python wrapper for vtkGLSLShaderProgram object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGLSLShaderProgram.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGLSLShaderProgramNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGLSLShaderProgramNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkShaderProgramNew(char *); }

static PyObject *PyvtkGLSLShaderProgram_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderProgram *op;

  const char    *temp20;
  op = (vtkGLSLShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShaderProgram::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShaderProgram_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderProgram *op;

  char    *temp0;
  int      temp20;
  op = (vtkGLSLShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShaderProgram::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShaderProgram_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderProgram *op;

  vtkGLSLShaderProgram  *temp20;
  op = (vtkGLSLShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShaderProgram::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShaderProgram_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGLSLShaderProgram  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGLSLShaderProgram::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGLSLShaderProgram_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderProgram *op;

  vtkActor  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  op = (vtkGLSLShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGLSLShaderProgram::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGLSLShaderProgram_PostRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderProgram *op;

  vtkActor  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  op = (vtkGLSLShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkGLSLShaderProgram::PostRender(temp0,temp1);
      }
    else
      {
      op->PostRender(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGLSLShaderProgram_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderProgram *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkGLSLShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkGLSLShaderProgram::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkGLSLShaderProgram_GetProgram(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShaderProgram *op;

  unsigned int      temp20;
  op = (vtkGLSLShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShaderProgram::GetProgram();
      }
    else
      {
      temp20 = op->GetProgram();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGLSLShaderProgramMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGLSLShaderProgram_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGLSLShaderProgram_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGLSLShaderProgram_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGLSLShaderProgram\nC++: vtkGLSLShaderProgram *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGLSLShaderProgram_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGLSLShaderProgram\nC++: vtkGLSLShaderProgram *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkGLSLShaderProgram_Render, 1,
   (char*)"V.Render(vtkActor, vtkRenderer)\nC++: virtual void Render (vtkActor *actor, vtkRenderer *renderer);\n\n"},
  {(char*)"PostRender",                (PyCFunction)PyvtkGLSLShaderProgram_PostRender, 1,
   (char*)"V.PostRender(vtkActor, vtkRenderer)\nC++: virtual void PostRender (vtkActor *, vtkRenderer *);\n\n Called to unload the shaders after the actor has been rendered.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkGLSLShaderProgram_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"GetProgram",                (PyCFunction)PyvtkGLSLShaderProgram_GetProgram, 1,
   (char*)"V.GetProgram() -> int\nC++: unsigned int GetProgram ();return this Program \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGLSLShaderProgramDoc[] = {
  (char*)"vtkGLSLShaderProgram - GLSL Shader Program\n\n",
  "Super Class:\n\n vtkShaderProgram\n\n",
  (char*)" vtkGLSLShaderProgram is a concerete implementation of vtkShaderProgram.\n It's main function is to 'Link' a vertex and a fragment shader together\n and install them into the rendering pipeline by calling OpenGL2.0.\n\n Initialization of shader parameters is delegated to instances of vtkShader\n (vtkGLSLShader in this case).\n .SECTION Thanks\n Shader support in VTK includes key contributions by Gary Tem",
  (char*)"plet at \n Sandia National Labs.\n\n",
  NULL
};

static vtkObjectBase *vtkGLSLShaderProgramStaticNew()
{
  return vtkGLSLShaderProgram::New();
}

PyObject *PyVTKClass_vtkGLSLShaderProgramNew(char *modulename)
{
  return PyVTKClass_New(&vtkGLSLShaderProgramStaticNew,
                        PyvtkGLSLShaderProgramMethods,
                        (char*)"vtkGLSLShaderProgram",modulename,
                        (char**)vtkGLSLShaderProgramDoc,
                        PyVTKClass_vtkShaderProgramNew(modulename));
}

