// python wrapper for vtkGLSLShader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGLSLShader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGLSLShaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGLSLShaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkShaderNew(char *); }

static PyObject *PyvtkGLSLShader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShader *op;

  const char    *temp20;
  op = (vtkGLSLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShader *op;

  char    *temp0;
  int      temp20;
  op = (vtkGLSLShader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShader *op;

  vtkGLSLShader  *temp20;
  op = (vtkGLSLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGLSLShader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGLSLShader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGLSLShader_Compile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShader *op;

  int      temp20;
  op = (vtkGLSLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShader::Compile();
      }
    else
      {
      temp20 = op->Compile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShader_GetHandle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShader *op;

  unsigned int      temp20;
  op = (vtkGLSLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShader::GetHandle();
      }
    else
      {
      temp20 = op->GetHandle();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShader_SetProgram(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShader *op;

  unsigned int      temp0;
  op = (vtkGLSLShader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGLSLShader::SetProgram(temp0);
      }
    else
      {
      op->SetProgram(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShader_GetProgram(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShader *op;

  unsigned int      temp20;
  op = (vtkGLSLShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGLSLShader::GetProgram();
      }
    else
      {
      temp20 = op->GetProgram();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGLSLShader_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGLSLShader *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkGLSLShader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkGLSLShader::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkGLSLShaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGLSLShader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGLSLShader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGLSLShader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGLSLShader\nC++: vtkGLSLShader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGLSLShader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGLSLShader\nC++: vtkGLSLShader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Compile",                (PyCFunction)PyvtkGLSLShader_Compile, 1,
   (char*)"V.Compile() -> int\nC++: virtual int Compile ();\n\n Called to compile the shader code.\n The subclasses must only compile the code in this method.\n Returns if the compile was successful.\n Subclasses should compile the code only if it was not\n already compiled.\n"},
  {(char*)"GetHandle",                (PyCFunction)PyvtkGLSLShader_GetHandle, 1,
   (char*)"V.GetHandle() -> int\nC++: unsigned int GetHandle ();return this Shader \n\n The Shader needs the id of the ShaderProgram\n to obtain uniform variable locations. This is set\n by vtkGLSLShaderProgram.\n"},
  {(char*)"SetProgram",                (PyCFunction)PyvtkGLSLShader_SetProgram, 1,
   (char*)"V.SetProgram(int)\nC++: void SetProgram (unsigned int );\n\n The Shader needs the id of the ShaderProgram\n to obtain uniform variable locations. This is set\n by vtkGLSLShaderProgram.\n"},
  {(char*)"GetProgram",                (PyCFunction)PyvtkGLSLShader_GetProgram, 1,
   (char*)"V.GetProgram() -> int\nC++: int unsigned GetProgram ();\n\n The Shader needs the id of the ShaderProgram\n to obtain uniform variable locations. This is set\n by vtkGLSLShaderProgram.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkGLSLShader_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGLSLShaderDoc[] = {
  (char*)"vtkGLSLShader - GLSL Shader\n\n",
  "Super Class:\n\n vtkShader\n\n",
  (char*)" vtkGLSLShader is a concrete class that creates and compiles hardware\n shaders written in the OpenGL Shadering Language (GLSL, OpenGL2.0).\n While step linking a vertex and a fragment shader is performed by\n vtkGLSLShaderProgram, all shader parameters are initialized in this\n class.\n\n .Section vtkOpenGLExtensionManager\n All OpenGL calls are made through vtkOpenGLExtensionManager.\n\n .Section Support",
  (char*)"ed Basic Shader Types:\n\n Scalar Types\n uniform float\n uniform int\n uniform int -- boolean scalar not yet tested\n\n Vector Types:\n uniform vec{2|3|4}\n uniform ivec{2|3|4}\n uniform bvec{2|3|4} -- boolean vector not yet tested\n\n Matrix Types:\n uniform mat{2|3|4}\n\n Texture Samplers:\n sample1D -- Not yet implemented in this cless.\n sample2D -- Not yet implemented in this class.\n sample3D -- Not yet impl",
  (char*)"emented in this class.\n sampler1DShadow -- Not yet implemented in this class.\n sampler1DShadow -- Not yet implemented in this class.\n \n User-Defined structures:\n uniform struct\n  NOTE: these must be defined and declared  outside of the 'main' shader\n  function.\n\n\n .SECTION Thanks\n Shader support in VTK includes key contributions by Gary Templet at \n Sandia National Labs.\n\n",
  NULL
};

static vtkObjectBase *vtkGLSLShaderStaticNew()
{
  return vtkGLSLShader::New();
}

PyObject *PyVTKClass_vtkGLSLShaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkGLSLShaderStaticNew,
                        PyvtkGLSLShaderMethods,
                        (char*)"vtkGLSLShader",modulename,
                        (char**)vtkGLSLShaderDoc,
                        PyVTKClass_vtkShaderNew(modulename));
}

