// python wrapper for vtkGenericRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericRenderWindowInteractor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericRenderWindowInteractorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericRenderWindowInteractorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderWindowInteractorNew(char *); }

static PyObject *PyvtkGenericRenderWindowInteractor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  const char    *temp20;
  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericRenderWindowInteractor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericRenderWindowInteractor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  vtkGenericRenderWindowInteractor  *temp20;
  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericRenderWindowInteractor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericRenderWindowInteractor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericRenderWindowInteractor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_MouseMoveEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::MouseMoveEvent();
      }
    else
      {
      op->MouseMoveEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_RightButtonPressEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::RightButtonPressEvent();
      }
    else
      {
      op->RightButtonPressEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_RightButtonReleaseEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::RightButtonReleaseEvent();
      }
    else
      {
      op->RightButtonReleaseEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_LeftButtonPressEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::LeftButtonPressEvent();
      }
    else
      {
      op->LeftButtonPressEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_LeftButtonReleaseEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::LeftButtonReleaseEvent();
      }
    else
      {
      op->LeftButtonReleaseEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_MiddleButtonPressEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::MiddleButtonPressEvent();
      }
    else
      {
      op->MiddleButtonPressEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_MiddleButtonReleaseEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::MiddleButtonReleaseEvent();
      }
    else
      {
      op->MiddleButtonReleaseEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_MouseWheelForwardEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::MouseWheelForwardEvent();
      }
    else
      {
      op->MouseWheelForwardEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_MouseWheelBackwardEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::MouseWheelBackwardEvent();
      }
    else
      {
      op->MouseWheelBackwardEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_ExposeEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::ExposeEvent();
      }
    else
      {
      op->ExposeEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_ConfigureEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::ConfigureEvent();
      }
    else
      {
      op->ConfigureEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_EnterEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::EnterEvent();
      }
    else
      {
      op->EnterEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_LeaveEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::LeaveEvent();
      }
    else
      {
      op->LeaveEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_TimerEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::TimerEvent();
      }
    else
      {
      op->TimerEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_KeyPressEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::KeyPressEvent();
      }
    else
      {
      op->KeyPressEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_KeyReleaseEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::KeyReleaseEvent();
      }
    else
      {
      op->KeyReleaseEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_CharEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::CharEvent();
      }
    else
      {
      op->CharEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_ExitEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::ExitEvent();
      }
    else
      {
      op->ExitEvent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_SetTimerEventResetsTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  int      temp0;
  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::SetTimerEventResetsTimer(temp0);
      }
    else
      {
      op->SetTimerEventResetsTimer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_GetTimerEventResetsTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  int      temp20;
  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericRenderWindowInteractor::GetTimerEventResetsTimer();
      }
    else
      {
      temp20 = op->GetTimerEventResetsTimer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_TimerEventResetsTimerOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::TimerEventResetsTimerOn();
      }
    else
      {
      op->TimerEventResetsTimerOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericRenderWindowInteractor_TimerEventResetsTimerOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericRenderWindowInteractor *op;

  op = (vtkGenericRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericRenderWindowInteractor::TimerEventResetsTimerOff();
      }
    else
      {
      op->TimerEventResetsTimerOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericRenderWindowInteractorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericRenderWindowInteractor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericRenderWindowInteractor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericRenderWindowInteractor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericRenderWindowInteractor\nC++: vtkGenericRenderWindowInteractor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericRenderWindowInteractor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericRenderWindowInteractor\nC++: vtkGenericRenderWindowInteractor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"MouseMoveEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_MouseMoveEvent, 1,
   (char*)"V.MouseMoveEvent()\nC++: virtual void MouseMoveEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"RightButtonPressEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_RightButtonPressEvent, 1,
   (char*)"V.RightButtonPressEvent()\nC++: virtual void RightButtonPressEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"RightButtonReleaseEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_RightButtonReleaseEvent, 1,
   (char*)"V.RightButtonReleaseEvent()\nC++: virtual void RightButtonReleaseEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"LeftButtonPressEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_LeftButtonPressEvent, 1,
   (char*)"V.LeftButtonPressEvent()\nC++: virtual void LeftButtonPressEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"LeftButtonReleaseEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_LeftButtonReleaseEvent, 1,
   (char*)"V.LeftButtonReleaseEvent()\nC++: virtual void LeftButtonReleaseEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"MiddleButtonPressEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_MiddleButtonPressEvent, 1,
   (char*)"V.MiddleButtonPressEvent()\nC++: virtual void MiddleButtonPressEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"MiddleButtonReleaseEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_MiddleButtonReleaseEvent, 1,
   (char*)"V.MiddleButtonReleaseEvent()\nC++: virtual void MiddleButtonReleaseEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"MouseWheelForwardEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_MouseWheelForwardEvent, 1,
   (char*)"V.MouseWheelForwardEvent()\nC++: virtual void MouseWheelForwardEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"MouseWheelBackwardEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_MouseWheelBackwardEvent, 1,
   (char*)"V.MouseWheelBackwardEvent()\nC++: virtual void MouseWheelBackwardEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"ExposeEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_ExposeEvent, 1,
   (char*)"V.ExposeEvent()\nC++: virtual void ExposeEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"ConfigureEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_ConfigureEvent, 1,
   (char*)"V.ConfigureEvent()\nC++: virtual void ConfigureEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"EnterEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_EnterEvent, 1,
   (char*)"V.EnterEvent()\nC++: virtual void EnterEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"LeaveEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_LeaveEvent, 1,
   (char*)"V.LeaveEvent()\nC++: virtual void LeaveEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"TimerEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_TimerEvent, 1,
   (char*)"V.TimerEvent()\nC++: virtual void TimerEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"KeyPressEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_KeyPressEvent, 1,
   (char*)"V.KeyPressEvent()\nC++: virtual void KeyPressEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"KeyReleaseEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_KeyReleaseEvent, 1,
   (char*)"V.KeyReleaseEvent()\nC++: virtual void KeyReleaseEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"CharEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_CharEvent, 1,
   (char*)"V.CharEvent()\nC++: virtual void CharEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"ExitEvent",                (PyCFunction)PyvtkGenericRenderWindowInteractor_ExitEvent, 1,
   (char*)"V.ExitEvent()\nC++: virtual void ExitEvent ();\n\n Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n"},
  {(char*)"SetTimerEventResetsTimer",                (PyCFunction)PyvtkGenericRenderWindowInteractor_SetTimerEventResetsTimer, 1,
   (char*)"V.SetTimerEventResetsTimer(int)\nC++: void SetTimerEventResetsTimer (int );\n\n Flag that indicates whether the TimerEvent method should call ResetTimer\n to simulate repeating timers with an endless stream of one shot timers.\n By default this flag is on and all repeating timers are implemented as a\n stream of sequential one shot timers. If the observer of\n CreateTimerEvent actually creates a \"natively repeating\" timer, setting\n this flag to off will prevent (perhaps many many) unnecessary calls to\n ResetTimer. Having the flag on by default means that \"natively one\n shot\" timers can be either one shot or repeating timers with no\n additional work. Also, \"natively repeating\" timers still work with the\n default setting, but with potentially many create and destroy calls.\n"},
  {(char*)"GetTimerEventResetsTimer",                (PyCFunction)PyvtkGenericRenderWindowInteractor_GetTimerEventResetsTimer, 1,
   (char*)"V.GetTimerEventResetsTimer() -> int\nC++: int GetTimerEventResetsTimer ();\n\n Flag that indicates whether the TimerEvent method should call ResetTimer\n to simulate repeating timers with an endless stream of one shot timers.\n By default this flag is on and all repeating timers are implemented as a\n stream of sequential one shot timers. If the observer of\n CreateTimerEvent actually creates a \"natively repeating\" timer, setting\n this flag to off will prevent (perhaps many many) unnecessary calls to\n ResetTimer. Having the flag on by default means that \"natively one\n shot\" timers can be either one shot or repeating timers with no\n additional work. Also, \"natively repeating\" timers still work with the\n default setting, but with potentially many create and destroy calls.\n"},
  {(char*)"TimerEventResetsTimerOn",                (PyCFunction)PyvtkGenericRenderWindowInteractor_TimerEventResetsTimerOn, 1,
   (char*)"V.TimerEventResetsTimerOn()\nC++: void TimerEventResetsTimerOn ();\n\n Flag that indicates whether the TimerEvent method should call ResetTimer\n to simulate repeating timers with an endless stream of one shot timers.\n By default this flag is on and all repeating timers are implemented as a\n stream of sequential one shot timers. If the observer of\n CreateTimerEvent actually creates a \"natively repeating\" timer, setting\n this flag to off will prevent (perhaps many many) unnecessary calls to\n ResetTimer. Having the flag on by default means that \"natively one\n shot\" timers can be either one shot or repeating timers with no\n additional work. Also, \"natively repeating\" timers still work with the\n default setting, but with potentially many create and destroy calls.\n"},
  {(char*)"TimerEventResetsTimerOff",                (PyCFunction)PyvtkGenericRenderWindowInteractor_TimerEventResetsTimerOff, 1,
   (char*)"V.TimerEventResetsTimerOff()\nC++: void TimerEventResetsTimerOff ();\n\n Flag that indicates whether the TimerEvent method should call ResetTimer\n to simulate repeating timers with an endless stream of one shot timers.\n By default this flag is on and all repeating timers are implemented as a\n stream of sequential one shot timers. If the observer of\n CreateTimerEvent actually creates a \"natively repeating\" timer, setting\n this flag to off will prevent (perhaps many many) unnecessary calls to\n ResetTimer. Having the flag on by default means that \"natively one\n shot\" timers can be either one shot or repeating timers with no\n additional work. Also, \"natively repeating\" timers still work with the\n default setting, but with potentially many create and destroy calls.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericRenderWindowInteractorDoc[] = {
  (char*)"vtkGenericRenderWindowInteractor - platform-independent programmable render window interactor.\n\n",
  "Super Class:\n\n vtkRenderWindowInteractor\n\n",
  (char*)" vtkGenericRenderWindowInteractor provides a way to translate native\n mouse and keyboard events into vtk Events.   By calling the methods on\n this class, vtk events will be invoked.   This will allow scripting\n languages to use vtkInteractorStyles and 3D widgets.\n\n",
  NULL
};

static vtkObjectBase *vtkGenericRenderWindowInteractorStaticNew()
{
  return vtkGenericRenderWindowInteractor::New();
}

PyObject *PyVTKClass_vtkGenericRenderWindowInteractorNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericRenderWindowInteractorStaticNew,
                        PyvtkGenericRenderWindowInteractorMethods,
                        (char*)"vtkGenericRenderWindowInteractor",modulename,
                        (char**)vtkGenericRenderWindowInteractorDoc,
                        PyVTKClass_vtkRenderWindowInteractorNew(modulename));
}

