// tcl wrapper for vtkGenericRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericRenderWindowInteractor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGenericRenderWindowInteractorNewCommand()
{
  vtkGenericRenderWindowInteractor *temp = vtkGenericRenderWindowInteractor::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderWindowInteractorCppCommand(vtkRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericRenderWindowInteractorCppCommand(vtkGenericRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericRenderWindowInteractorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericRenderWindowInteractorCppCommand(static_cast<vtkGenericRenderWindowInteractor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericRenderWindowInteractorCppCommand(vtkGenericRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericRenderWindowInteractor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderWindowInteractorCppCommand(static_cast<vtkRenderWindowInteractor *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderWindowInteractor"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGenericRenderWindowInteractor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericRenderWindowInteractor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGenericRenderWindowInteractor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericRenderWindowInteractor");
    return TCL_OK;
    }
    }
  if ((!strcmp("MouseMoveEvent",argv[1]))&&(argc == 2))
    {
    op->MouseMoveEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RightButtonPressEvent",argv[1]))&&(argc == 2))
    {
    op->RightButtonPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RightButtonReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->RightButtonReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeftButtonPressEvent",argv[1]))&&(argc == 2))
    {
    op->LeftButtonPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeftButtonReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->LeftButtonReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MiddleButtonPressEvent",argv[1]))&&(argc == 2))
    {
    op->MiddleButtonPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MiddleButtonReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->MiddleButtonReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MouseWheelForwardEvent",argv[1]))&&(argc == 2))
    {
    op->MouseWheelForwardEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MouseWheelBackwardEvent",argv[1]))&&(argc == 2))
    {
    op->MouseWheelBackwardEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExposeEvent",argv[1]))&&(argc == 2))
    {
    op->ExposeEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConfigureEvent",argv[1]))&&(argc == 2))
    {
    op->ConfigureEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnterEvent",argv[1]))&&(argc == 2))
    {
    op->EnterEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeaveEvent",argv[1]))&&(argc == 2))
    {
    op->LeaveEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TimerEvent",argv[1]))&&(argc == 2))
    {
    op->TimerEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("KeyPressEvent",argv[1]))&&(argc == 2))
    {
    op->KeyPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("KeyReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->KeyReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CharEvent",argv[1]))&&(argc == 2))
    {
    op->CharEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExitEvent",argv[1]))&&(argc == 2))
    {
    op->ExitEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTimerEventResetsTimer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimerEventResetsTimer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimerEventResetsTimer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimerEventResetsTimer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TimerEventResetsTimerOn",argv[1]))&&(argc == 2))
    {
    op->TimerEventResetsTimerOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TimerEventResetsTimerOff",argv[1]))&&(argc == 2))
    {
    op->TimerEventResetsTimerOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGenericRenderWindowInteractorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderWindowInteractorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericRenderWindowInteractor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MouseMoveEvent\n",NULL);
    Tcl_AppendResult(interp,"  RightButtonPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  RightButtonReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  LeftButtonPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  LeftButtonReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  MiddleButtonPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  MiddleButtonReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  MouseWheelForwardEvent\n",NULL);
    Tcl_AppendResult(interp,"  MouseWheelBackwardEvent\n",NULL);
    Tcl_AppendResult(interp,"  ExposeEvent\n",NULL);
    Tcl_AppendResult(interp,"  ConfigureEvent\n",NULL);
    Tcl_AppendResult(interp,"  EnterEvent\n",NULL);
    Tcl_AppendResult(interp,"  LeaveEvent\n",NULL);
    Tcl_AppendResult(interp,"  TimerEvent\n",NULL);
    Tcl_AppendResult(interp,"  KeyPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  KeyReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  CharEvent\n",NULL);
    Tcl_AppendResult(interp,"  ExitEvent\n",NULL);
    Tcl_AppendResult(interp,"  SetTimerEventResetsTimer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerEventResetsTimer\n",NULL);
    Tcl_AppendResult(interp,"  TimerEventResetsTimerOn\n",NULL);
    Tcl_AppendResult(interp,"  TimerEventResetsTimerOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderWindowInteractorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "MouseMoveEvent" );
    Tcl_DStringAppendElement ( &dString, "RightButtonPressEvent" );
    Tcl_DStringAppendElement ( &dString, "RightButtonReleaseEvent" );
    Tcl_DStringAppendElement ( &dString, "LeftButtonPressEvent" );
    Tcl_DStringAppendElement ( &dString, "LeftButtonReleaseEvent" );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonPressEvent" );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonReleaseEvent" );
    Tcl_DStringAppendElement ( &dString, "MouseWheelForwardEvent" );
    Tcl_DStringAppendElement ( &dString, "MouseWheelBackwardEvent" );
    Tcl_DStringAppendElement ( &dString, "ExposeEvent" );
    Tcl_DStringAppendElement ( &dString, "ConfigureEvent" );
    Tcl_DStringAppendElement ( &dString, "EnterEvent" );
    Tcl_DStringAppendElement ( &dString, "LeaveEvent" );
    Tcl_DStringAppendElement ( &dString, "TimerEvent" );
    Tcl_DStringAppendElement ( &dString, "KeyPressEvent" );
    Tcl_DStringAppendElement ( &dString, "KeyReleaseEvent" );
    Tcl_DStringAppendElement ( &dString, "CharEvent" );
    Tcl_DStringAppendElement ( &dString, "ExitEvent" );
    Tcl_DStringAppendElement ( &dString, "SetTimerEventResetsTimer" );
    Tcl_DStringAppendElement ( &dString, "GetTimerEventResetsTimer" );
    Tcl_DStringAppendElement ( &dString, "TimerEventResetsTimerOn" );
    Tcl_DStringAppendElement ( &dString, "TimerEventResetsTimerOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderWindowInteractorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGenericRenderWindowInteractor *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MouseMoveEvent */
    if ( strcmp ( argv[2], "MouseMoveEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MouseMoveEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MouseMoveEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MouseMoveEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for MouseMoveEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RightButtonPressEvent */
    if ( strcmp ( argv[2], "RightButtonPressEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RightButtonPressEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RightButtonPressEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RightButtonPressEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for RightButtonPressEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RightButtonReleaseEvent */
    if ( strcmp ( argv[2], "RightButtonReleaseEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RightButtonReleaseEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RightButtonReleaseEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RightButtonReleaseEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for RightButtonReleaseEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeftButtonPressEvent */
    if ( strcmp ( argv[2], "LeftButtonPressEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeftButtonPressEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeftButtonPressEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LeftButtonPressEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for LeftButtonPressEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeftButtonReleaseEvent */
    if ( strcmp ( argv[2], "LeftButtonReleaseEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeftButtonReleaseEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeftButtonReleaseEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LeftButtonReleaseEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for LeftButtonReleaseEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MiddleButtonPressEvent */
    if ( strcmp ( argv[2], "MiddleButtonPressEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonPressEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MiddleButtonPressEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MiddleButtonPressEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for MiddleButtonPressEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MiddleButtonReleaseEvent */
    if ( strcmp ( argv[2], "MiddleButtonReleaseEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonReleaseEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MiddleButtonReleaseEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MiddleButtonReleaseEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for MiddleButtonReleaseEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MouseWheelForwardEvent */
    if ( strcmp ( argv[2], "MouseWheelForwardEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MouseWheelForwardEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MouseWheelForwardEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MouseWheelForwardEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for MouseWheelForwardEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MouseWheelBackwardEvent */
    if ( strcmp ( argv[2], "MouseWheelBackwardEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MouseWheelBackwardEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MouseWheelBackwardEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MouseWheelBackwardEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for MouseWheelBackwardEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExposeEvent */
    if ( strcmp ( argv[2], "ExposeEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExposeEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExposeEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExposeEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for ExposeEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConfigureEvent */
    if ( strcmp ( argv[2], "ConfigureEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConfigureEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConfigureEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ConfigureEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for ConfigureEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnterEvent */
    if ( strcmp ( argv[2], "EnterEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnterEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnterEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EnterEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for EnterEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeaveEvent */
    if ( strcmp ( argv[2], "LeaveEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeaveEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeaveEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LeaveEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for LeaveEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TimerEvent */
    if ( strcmp ( argv[2], "TimerEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TimerEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TimerEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TimerEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for TimerEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: KeyPressEvent */
    if ( strcmp ( argv[2], "KeyPressEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "KeyPressEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for KeyPressEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void KeyPressEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for KeyPressEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: KeyReleaseEvent */
    if ( strcmp ( argv[2], "KeyReleaseEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "KeyReleaseEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for KeyReleaseEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void KeyReleaseEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for KeyReleaseEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CharEvent */
    if ( strcmp ( argv[2], "CharEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CharEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CharEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CharEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for CharEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExitEvent */
    if ( strcmp ( argv[2], "ExitEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExitEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExitEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExitEvent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for ExitEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimerEventResetsTimer */
    if ( strcmp ( argv[2], "SetTimerEventResetsTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimerEventResetsTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimerEventResetsTimer */
    Tcl_DStringAppendElement ( &dString, " Flag that indicates whether the TimerEvent method should call ResetTimer\n to simulate repeating timers with an endless stream of one shot timers.\n By default this flag is on and all repeating timers are implemented as a\n stream of sequential one shot timers. If the observer of\n CreateTimerEvent actually creates a \"natively repeating\" timer, setting\n this flag to off will prevent (perhaps many many) unnecessary calls to\n ResetTimer. Having the flag on by default mean ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimerEventResetsTimer (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for SetTimerEventResetsTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerEventResetsTimer */
    if ( strcmp ( argv[2], "GetTimerEventResetsTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerEventResetsTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerEventResetsTimer */
    Tcl_DStringAppendElement ( &dString, " Flag that indicates whether the TimerEvent method should call ResetTimer\n to simulate repeating timers with an endless stream of one shot timers.\n By default this flag is on and all repeating timers are implemented as a\n stream of sequential one shot timers. If the observer of\n CreateTimerEvent actually creates a \"natively repeating\" timer, setting\n this flag to off will prevent (perhaps many many) unnecessary calls to\n ResetTimer. Having the flag on by default mean ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTimerEventResetsTimer ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for GetTimerEventResetsTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TimerEventResetsTimerOn */
    if ( strcmp ( argv[2], "TimerEventResetsTimerOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TimerEventResetsTimerOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TimerEventResetsTimerOn */
    Tcl_DStringAppendElement ( &dString, " Flag that indicates whether the TimerEvent method should call ResetTimer\n to simulate repeating timers with an endless stream of one shot timers.\n By default this flag is on and all repeating timers are implemented as a\n stream of sequential one shot timers. If the observer of\n CreateTimerEvent actually creates a \"natively repeating\" timer, setting\n this flag to off will prevent (perhaps many many) unnecessary calls to\n ResetTimer. Having the flag on by default mean ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void TimerEventResetsTimerOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for TimerEventResetsTimerOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TimerEventResetsTimerOff */
    if ( strcmp ( argv[2], "TimerEventResetsTimerOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TimerEventResetsTimerOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TimerEventResetsTimerOff */
    Tcl_DStringAppendElement ( &dString, " Flag that indicates whether the TimerEvent method should call ResetTimer\n to simulate repeating timers with an endless stream of one shot timers.\n By default this flag is on and all repeating timers are implemented as a\n stream of sequential one shot timers. If the observer of\n CreateTimerEvent actually creates a \"natively repeating\" timer, setting\n this flag to off will prevent (perhaps many many) unnecessary calls to\n ResetTimer. Having the flag on by default mean ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void TimerEventResetsTimerOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericRenderWindowInteractor" );
    /* Closing for TimerEventResetsTimerOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderWindowInteractorCppCommand(static_cast<vtkRenderWindowInteractor *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
