// python wrapper for vtkGenericVertexAttributeMapping object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericVertexAttributeMapping.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericVertexAttributeMappingNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericVertexAttributeMappingNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGenericVertexAttributeMapping_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericVertexAttributeMapping *op;

  const char    *temp20;
  op = (vtkGenericVertexAttributeMapping *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericVertexAttributeMapping::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericVertexAttributeMapping_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericVertexAttributeMapping *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericVertexAttributeMapping *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericVertexAttributeMapping::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericVertexAttributeMapping_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericVertexAttributeMapping *op;

  vtkGenericVertexAttributeMapping  *temp20;
  op = (vtkGenericVertexAttributeMapping *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericVertexAttributeMapping::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericVertexAttributeMapping_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericVertexAttributeMapping  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericVertexAttributeMapping::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericVertexAttributeMapping_AddMapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericVertexAttributeMapping *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  op = (vtkGenericVertexAttributeMapping *)PyArg_VTKParseTuple(self, args, (char*)"zzii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericVertexAttributeMapping::AddMapping(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->AddMapping(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericVertexAttributeMapping_RemoveMapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericVertexAttributeMapping *op;

  char    *temp0;
  bool   temp20;
  op = (vtkGenericVertexAttributeMapping *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericVertexAttributeMapping::RemoveMapping(temp0);
      }
    else
      {
      temp20 = op->RemoveMapping(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericVertexAttributeMapping_RemoveAllMappings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericVertexAttributeMapping *op;

  op = (vtkGenericVertexAttributeMapping *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericVertexAttributeMapping::RemoveAllMappings();
      }
    else
      {
      op->RemoveAllMappings();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericVertexAttributeMapping_GetNumberOfMappings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericVertexAttributeMapping *op;

  unsigned int      temp20;
  op = (vtkGenericVertexAttributeMapping *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericVertexAttributeMapping::GetNumberOfMappings();
      }
    else
      {
      temp20 = op->GetNumberOfMappings();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericVertexAttributeMapping_GetAttributeName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericVertexAttributeMapping *op;

  unsigned int      temp0;
  const char    *temp20;
  op = (vtkGenericVertexAttributeMapping *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericVertexAttributeMapping::GetAttributeName(temp0);
      }
    else
      {
      temp20 = op->GetAttributeName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericVertexAttributeMapping_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericVertexAttributeMapping *op;

  unsigned int      temp0;
  const char    *temp20;
  op = (vtkGenericVertexAttributeMapping *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericVertexAttributeMapping::GetArrayName(temp0);
      }
    else
      {
      temp20 = op->GetArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericVertexAttributeMapping_GetFieldAssociation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericVertexAttributeMapping *op;

  unsigned int      temp0;
  int      temp20;
  op = (vtkGenericVertexAttributeMapping *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericVertexAttributeMapping::GetFieldAssociation(temp0);
      }
    else
      {
      temp20 = op->GetFieldAssociation(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericVertexAttributeMapping_GetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericVertexAttributeMapping *op;

  unsigned int      temp0;
  int      temp20;
  op = (vtkGenericVertexAttributeMapping *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericVertexAttributeMapping::GetComponent(temp0);
      }
    else
      {
      temp20 = op->GetComponent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericVertexAttributeMappingMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericVertexAttributeMapping_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericVertexAttributeMapping_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericVertexAttributeMapping_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericVertexAttributeMapping\nC++: vtkGenericVertexAttributeMapping *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericVertexAttributeMapping_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericVertexAttributeMapping\nC++: vtkGenericVertexAttributeMapping *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddMapping",                (PyCFunction)PyvtkGenericVertexAttributeMapping_AddMapping, 1,
   (char*)"V.AddMapping(string, string, int, int)\nC++: void AddMapping (const char *attributeName, const char *arrayName, int fieldAssociation, int component);\n\n Select a data array from the point/cell data\n and map it to a generic vertex attribute.\n Note that indices change when a mapping is added/removed.\n"},
  {(char*)"RemoveMapping",                (PyCFunction)PyvtkGenericVertexAttributeMapping_RemoveMapping, 1,
   (char*)"V.RemoveMapping(string) -> bool\nC++: bool RemoveMapping (const char *attributeName);\n\n Remove a vertex attribute mapping.\n"},
  {(char*)"RemoveAllMappings",                (PyCFunction)PyvtkGenericVertexAttributeMapping_RemoveAllMappings, 1,
   (char*)"V.RemoveAllMappings()\nC++: void RemoveAllMappings ();\n\n Remove all mappings.\n"},
  {(char*)"GetNumberOfMappings",                (PyCFunction)PyvtkGenericVertexAttributeMapping_GetNumberOfMappings, 1,
   (char*)"V.GetNumberOfMappings() -> int\nC++: unsigned int GetNumberOfMappings ();\n\n Get number of mapppings.\n"},
  {(char*)"GetAttributeName",                (PyCFunction)PyvtkGenericVertexAttributeMapping_GetAttributeName, 1,
   (char*)"V.GetAttributeName(int) -> string\nC++: const char *GetAttributeName (unsigned int index);\n\n Get the attribute name at the given index.\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkGenericVertexAttributeMapping_GetArrayName, 1,
   (char*)"V.GetArrayName(int) -> string\nC++: const char *GetArrayName (unsigned int index);\n\n Get the array name at the given index.\n"},
  {(char*)"GetFieldAssociation",                (PyCFunction)PyvtkGenericVertexAttributeMapping_GetFieldAssociation, 1,
   (char*)"V.GetFieldAssociation(int) -> int\nC++: int GetFieldAssociation (unsigned int index);\n\n Get the field association at the given index.\n"},
  {(char*)"GetComponent",                (PyCFunction)PyvtkGenericVertexAttributeMapping_GetComponent, 1,
   (char*)"V.GetComponent(int) -> int\nC++: int GetComponent (unsigned int index);\n\n Get the component no. at the given index.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericVertexAttributeMappingDoc[] = {
  (char*)"vtkGenericVertexAttributeMapping - stores mapping for data arrays to\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGenericVertexAttributeMapping stores mapping between data arrays and\n generic vertex attributes. It is used by vtkPainterPolyDataMapper to pass the\n mappings to the painter which rendering the attributes.\n .SECTION Thanks\n Support for generic vertex attributes in VTK was contributed in\n collaboration with Stephane Ploix at EDF.\n\n",
  NULL
};

static vtkObjectBase *vtkGenericVertexAttributeMappingStaticNew()
{
  return vtkGenericVertexAttributeMapping::New();
}

PyObject *PyVTKClass_vtkGenericVertexAttributeMappingNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericVertexAttributeMappingStaticNew,
                        PyvtkGenericVertexAttributeMappingMethods,
                        (char*)"vtkGenericVertexAttributeMapping",modulename,
                        (char**)vtkGenericVertexAttributeMappingDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

