// python wrapper for vtkGraphicsFactory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphicsFactory.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphicsFactoryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphicsFactoryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGraphicsFactory_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphicsFactory *op;

  const char    *temp20;
  op = (vtkGraphicsFactory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphicsFactory::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphicsFactory_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphicsFactory *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphicsFactory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphicsFactory::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphicsFactory_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphicsFactory *op;

  vtkGraphicsFactory  *temp20;
  op = (vtkGraphicsFactory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphicsFactory::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphicsFactory_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGraphicsFactory  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGraphicsFactory::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphicsFactory_CreateInstance(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkGraphicsFactory::CreateInstance(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphicsFactory_GetRenderLibrary(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkGraphicsFactory::GetRenderLibrary();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphicsFactory_SetUseMesaClasses(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkGraphicsFactory::SetUseMesaClasses(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphicsFactory_GetUseMesaClasses(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkGraphicsFactory::GetUseMesaClasses();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphicsFactory_SetOffScreenOnlyMode(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkGraphicsFactory::SetOffScreenOnlyMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphicsFactory_GetOffScreenOnlyMode(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkGraphicsFactory::GetOffScreenOnlyMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphicsFactoryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphicsFactory_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphicsFactory_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphicsFactory_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphicsFactory\nC++: vtkGraphicsFactory *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGraphicsFactory_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphicsFactory\nC++: vtkGraphicsFactory *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CreateInstance",                (PyCFunction)PyvtkGraphicsFactory_CreateInstance, 1,
   (char*)"V.CreateInstance(string) -> vtkObject\nC++: static vtkObject *CreateInstance (const char *vtkclassname);\n\n Create and return an instance of the named vtk object.\n This method first checks the vtkObjectFactory to support\n dynamic loading. \n"},
  {(char*)"GetRenderLibrary",                (PyCFunction)PyvtkGraphicsFactory_GetRenderLibrary, 1,
   (char*)"V.GetRenderLibrary() -> string\nC++: static const char *GetRenderLibrary ();\n\n What rendering library has the user requested\n"},
  {(char*)"SetUseMesaClasses",                (PyCFunction)PyvtkGraphicsFactory_SetUseMesaClasses, 1,
   (char*)"V.SetUseMesaClasses(int)\nC++: static void SetUseMesaClasses (int use);\n\n This option enables the creation of Mesa classes\n instead of the OpenGL classes when using mangled Mesa.\n"},
  {(char*)"GetUseMesaClasses",                (PyCFunction)PyvtkGraphicsFactory_GetUseMesaClasses, 1,
   (char*)"V.GetUseMesaClasses() -> int\nC++: static int GetUseMesaClasses ();\n\n This option enables the creation of Mesa classes\n instead of the OpenGL classes when using mangled Mesa.\n"},
  {(char*)"SetOffScreenOnlyMode",                (PyCFunction)PyvtkGraphicsFactory_SetOffScreenOnlyMode, 1,
   (char*)"V.SetOffScreenOnlyMode(int)\nC++: static void SetOffScreenOnlyMode (int use);\n\n This option enables the off-screen only mode. In this mode no X calls will\n be made even when interactor is used.\n"},
  {(char*)"GetOffScreenOnlyMode",                (PyCFunction)PyvtkGraphicsFactory_GetOffScreenOnlyMode, 1,
   (char*)"V.GetOffScreenOnlyMode() -> int\nC++: static int GetOffScreenOnlyMode ();\n\n This option enables the off-screen only mode. In this mode no X calls will\n be made even when interactor is used.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphicsFactoryDoc[] = {
  (char*)"vtkGraphicsFactory - \n\n",
  "Super Class:\n\n vtkObject\n\n",
  NULL
};

static vtkObjectBase *vtkGraphicsFactoryStaticNew()
{
  return vtkGraphicsFactory::New();
}

PyObject *PyVTKClass_vtkGraphicsFactoryNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphicsFactoryStaticNew,
                        PyvtkGraphicsFactoryMethods,
                        (char*)"vtkGraphicsFactory",modulename,
                        (char**)vtkGraphicsFactoryDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

