// python wrapper for vtkHierarchicalPolyDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHierarchicalPolyDataMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalPolyDataMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalPolyDataMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositePolyDataMapperNew(char *); }

static PyObject *PyvtkHierarchicalPolyDataMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalPolyDataMapper *op;

  const char    *temp20;
  op = (vtkHierarchicalPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalPolyDataMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalPolyDataMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalPolyDataMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkHierarchicalPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalPolyDataMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalPolyDataMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalPolyDataMapper *op;

  vtkHierarchicalPolyDataMapper  *temp20;
  op = (vtkHierarchicalPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalPolyDataMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalPolyDataMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalPolyDataMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalPolyDataMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkHierarchicalPolyDataMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalPolyDataMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalPolyDataMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalPolyDataMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalPolyDataMapper\nC++: vtkHierarchicalPolyDataMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalPolyDataMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalPolyDataMapper\nC++: vtkHierarchicalPolyDataMapper *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalPolyDataMapperDoc[] = {
  (char*)"vtkHierarchicalPolyDataMapper - a class that renders hierarchical polygonal data\n\n",
  "Super Class:\n\n vtkCompositePolyDataMapper\n\n",
  (char*)" Legacy class. Use vtkCompositePolyDataMapper instead.\n\n\n",
  "See Also:\n\n vtkPolyDataMapper\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalPolyDataMapperStaticNew()
{
  return vtkHierarchicalPolyDataMapper::New();
}

PyObject *PyVTKClass_vtkHierarchicalPolyDataMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalPolyDataMapperStaticNew,
                        PyvtkHierarchicalPolyDataMapperMethods,
                        (char*)"vtkHierarchicalPolyDataMapper",modulename,
                        (char**)vtkHierarchicalPolyDataMapperDoc,
                        PyVTKClass_vtkCompositePolyDataMapperNew(modulename));
}

