// python wrapper for vtkIVExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkIVExporter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIVExporterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIVExporterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExporterNew(char *); }

static PyObject *PyvtkIVExporter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIVExporter *op;

  const char    *temp20;
  op = (vtkIVExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIVExporter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIVExporter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIVExporter *op;

  char    *temp0;
  int      temp20;
  op = (vtkIVExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIVExporter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIVExporter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIVExporter *op;

  vtkIVExporter  *temp20;
  op = (vtkIVExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIVExporter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIVExporter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIVExporter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkIVExporter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkIVExporter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIVExporter *op;

  char    *temp0;
  op = (vtkIVExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIVExporter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIVExporter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIVExporter *op;

  char    *temp20;
  op = (vtkIVExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIVExporter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkIVExporterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIVExporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIVExporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIVExporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIVExporter\nC++: vtkIVExporter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIVExporter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIVExporter\nC++: vtkIVExporter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkIVExporter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify the name of the OpenInventor file to write.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkIVExporter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify the name of the OpenInventor file to write.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIVExporterDoc[] = {
  (char*)"vtkIVExporter - export a scene into OpenInventor 2.0 format.\n\n",
  "Super Class:\n\n vtkExporter\n\n",
  (char*)" vtkIVExporter is a concrete subclass of vtkExporter that writes\n OpenInventor 2.0 files.\n\n\n",
  "See Also:\n\n vtkExporter\n\n",
  NULL
};

static vtkObjectBase *vtkIVExporterStaticNew()
{
  return vtkIVExporter::New();
}

PyObject *PyVTKClass_vtkIVExporterNew(char *modulename)
{
  return PyVTKClass_New(&vtkIVExporterStaticNew,
                        PyvtkIVExporterMethods,
                        (char*)"vtkIVExporter",modulename,
                        (char**)vtkIVExporterDoc,
                        PyVTKClass_vtkExporterNew(modulename));
}

