// python wrapper for vtkIdentColoredPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkIdentColoredPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIdentColoredPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIdentColoredPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataPainterNew(char *); }

static PyObject *PyvtkIdentColoredPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentColoredPainter *op;

  const char    *temp20;
  op = (vtkIdentColoredPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdentColoredPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentColoredPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentColoredPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkIdentColoredPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdentColoredPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentColoredPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentColoredPainter *op;

  vtkIdentColoredPainter  *temp20;
  op = (vtkIdentColoredPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdentColoredPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentColoredPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIdentColoredPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkIdentColoredPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkIdentColoredPainter_ResetCurrentId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentColoredPainter *op;

  op = (vtkIdentColoredPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentColoredPainter::ResetCurrentId();
      }
    else
      {
      op->ResetCurrentId();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentColoredPainter_ColorByConstant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentColoredPainter *op;

  unsigned int      temp0;
  op = (vtkIdentColoredPainter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentColoredPainter::ColorByConstant(temp0);
      }
    else
      {
      op->ColorByConstant(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentColoredPainter_ColorByIncreasingIdent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentColoredPainter *op;

  unsigned int      temp0;
  op = (vtkIdentColoredPainter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentColoredPainter::ColorByIncreasingIdent(temp0);
      }
    else
      {
      op->ColorByIncreasingIdent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentColoredPainter_ColorByActorId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentColoredPainter *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkIdentColoredPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentColoredPainter::ColorByActorId(temp0);
      }
    else
      {
      op->ColorByActorId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkIdentColoredPainter_ColorByVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentColoredPainter *op;

  op = (vtkIdentColoredPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentColoredPainter::ColorByVertex();
      }
    else
      {
      op->ColorByVertex();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentColoredPainter_GetActorFromId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentColoredPainter *op;

  vtkIdType   temp0;
  vtkProp  *temp20;
  op = (vtkIdentColoredPainter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdentColoredPainter::GetActorFromId(temp0);
      }
    else
      {
      temp20 = op->GetActorFromId(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkIdentColoredPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIdentColoredPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIdentColoredPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIdentColoredPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIdentColoredPainter\nC++: vtkIdentColoredPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIdentColoredPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIdentColoredPainter\nC++: vtkIdentColoredPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ResetCurrentId",                (PyCFunction)PyvtkIdentColoredPainter_ResetCurrentId, 1,
   (char*)"V.ResetCurrentId()\nC++: void ResetCurrentId ();\n\n"},
  {(char*)"ColorByConstant",                (PyCFunction)PyvtkIdentColoredPainter_ColorByConstant, 1,
   (char*)"V.ColorByConstant(int)\nC++: void ColorByConstant (unsigned int constant);\n\n"},
  {(char*)"ColorByIncreasingIdent",                (PyCFunction)PyvtkIdentColoredPainter_ColorByIncreasingIdent, 1,
   (char*)"V.ColorByIncreasingIdent(int)\nC++: void ColorByIncreasingIdent (unsigned int plane);\n\n"},
  {(char*)"ColorByActorId",                (PyCFunction)PyvtkIdentColoredPainter_ColorByActorId, 1,
   (char*)"V.ColorByActorId(vtkProp)\nC++: void ColorByActorId (vtkProp *ActorId);\n\n"},
  {(char*)"ColorByVertex",                (PyCFunction)PyvtkIdentColoredPainter_ColorByVertex, 1,
   (char*)"V.ColorByVertex()\nC++: void ColorByVertex ();\n\n"},
  {(char*)"GetActorFromId",                (PyCFunction)PyvtkIdentColoredPainter_GetActorFromId, 1,
   (char*)"V.GetActorFromId(int) -> vtkProp\nC++: vtkProp *GetActorFromId (vtkIdType id);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIdentColoredPainterDoc[] = {
  (char*)"vtkIdentColoredPainter - A vtkPolyDataPainter that colors each polygon\n\n",
  "Super Class:\n\n vtkPolyDataPainter\n\n",
  (char*)" This painter will color each polygon in a color that encodes an integer.\n Doing so allows us to determine what polygon is behind each pixel on the \n screen.\n\n",
  "See Also:\n\n vtkVisibleCellSelection\n\n\n",
  NULL
};

static vtkObjectBase *vtkIdentColoredPainterStaticNew()
{
  return vtkIdentColoredPainter::New();
}

PyObject *PyVTKClass_vtkIdentColoredPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkIdentColoredPainterStaticNew,
                        PyvtkIdentColoredPainterMethods,
                        (char*)"vtkIdentColoredPainter",modulename,
                        (char**)vtkIdentColoredPainterDoc,
                        PyVTKClass_vtkPolyDataPainterNew(modulename));
}

