// python wrapper for vtkImageActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProp3DNew(char *); }

static PyObject *PyvtkImageActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  const char    *temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  vtkImageActor  *temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageActor_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActor::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageActor_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  vtkImageData  *temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int      temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetInterpolate();
      }
    else
      {
      temp20 = op->GetInterpolate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_SetInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int      temp0;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActor::SetInterpolate(temp0);
      }
    else
      {
      op->SetInterpolate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_InterpolateOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActor::InterpolateOn();
      }
    else
      {
      op->InterpolateOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_InterpolateOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActor::InterpolateOff();
      }
    else
      {
      op->InterpolateOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_SetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  double   temp0;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActor::SetOpacity(temp0);
      }
    else
      {
      op->SetOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetOpacityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  double   temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetOpacityMinValue();
      }
    else
      {
      temp20 = op->GetOpacityMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetOpacityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  double   temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetOpacityMaxValue();
      }
    else
      {
      temp20 = op->GetOpacityMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  double   temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetOpacity();
      }
    else
      {
      temp20 = op->GetOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_SetDisplayExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int    temp0[6];
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActor::SetDisplayExtent(temp0);
      }
    else
      {
      op->SetDisplayExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActor::SetDisplayExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetDisplayExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetDisplayExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int    temp0[6];
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActor::GetDisplayExtent(temp0);
      }
    else
      {
      op->GetDisplayExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int     *temp20;
  PyErr_Clear();
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetDisplayExtent();
      }
    else
      {
      temp20 = op->GetDisplayExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  double  *temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkImageActor *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActor::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetDisplayBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  double temp0[6];
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActor::GetDisplayBounds(temp0);
      }
    else
      {
      op->GetDisplayBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetSliceNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int      temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetSliceNumber();
      }
    else
      {
      temp20 = op->GetSliceNumber();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetSliceNumberMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int      temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetSliceNumberMax();
      }
    else
      {
      temp20 = op->GetSliceNumberMax();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetSliceNumberMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int      temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetSliceNumberMin();
      }
    else
      {
      temp20 = op->GetSliceNumberMin();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_SetZSlice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int      temp0;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActor::SetZSlice(temp0);
      }
    else
      {
      op->SetZSlice(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetZSlice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int      temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetZSlice();
      }
    else
      {
      temp20 = op->GetZSlice();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetWholeZMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int      temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetWholeZMin();
      }
    else
      {
      temp20 = op->GetWholeZMin();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActor_GetWholeZMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActor *op;

  int      temp20;
  op = (vtkImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActor::GetWholeZMax();
      }
    else
      {
      temp20 = op->GetWholeZMax();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageActor\nC++: vtkImageActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageActor\nC++: vtkImageActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkImageActor_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: virtual void SetInput (vtkImageData *);\n\n Set/Get the image data input for the image actor.  \n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkImageActor_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();\n\n Set/Get the image data input for the image actor.  \n"},
  {(char*)"GetInterpolate",                (PyCFunction)PyvtkImageActor_GetInterpolate, 1,
   (char*)"V.GetInterpolate() -> int\nC++: int GetInterpolate ();\n\n Turn on/off linear interpolation of the image when rendering.\n"},
  {(char*)"SetInterpolate",                (PyCFunction)PyvtkImageActor_SetInterpolate, 1,
   (char*)"V.SetInterpolate(int)\nC++: void SetInterpolate (int );\n\n Turn on/off linear interpolation of the image when rendering.\n"},
  {(char*)"InterpolateOn",                (PyCFunction)PyvtkImageActor_InterpolateOn, 1,
   (char*)"V.InterpolateOn()\nC++: void InterpolateOn ();\n\n Turn on/off linear interpolation of the image when rendering.\n"},
  {(char*)"InterpolateOff",                (PyCFunction)PyvtkImageActor_InterpolateOff, 1,
   (char*)"V.InterpolateOff()\nC++: void InterpolateOff ();\n\n Turn on/off linear interpolation of the image when rendering.\n"},
  {(char*)"SetOpacity",                (PyCFunction)PyvtkImageActor_SetOpacity, 1,
   (char*)"V.SetOpacity(float)\nC++: void SetOpacity (double );\n\n Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n"},
  {(char*)"GetOpacityMinValue",                (PyCFunction)PyvtkImageActor_GetOpacityMinValue, 1,
   (char*)"V.GetOpacityMinValue() -> float\nC++: double GetOpacityMinValue ();\n\n Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n"},
  {(char*)"GetOpacityMaxValue",                (PyCFunction)PyvtkImageActor_GetOpacityMaxValue, 1,
   (char*)"V.GetOpacityMaxValue() -> float\nC++: double GetOpacityMaxValue ();\n\n Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n"},
  {(char*)"GetOpacity",                (PyCFunction)PyvtkImageActor_GetOpacity, 1,
   (char*)"V.GetOpacity() -> float\nC++: double GetOpacity ();\n\n Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n"},
  {(char*)"SetDisplayExtent",                (PyCFunction)PyvtkImageActor_SetDisplayExtent, 1,
   (char*)"V.SetDisplayExtent((int, int, int, int, int, int))\nC++: void SetDisplayExtent (int extent[6]);\nV.SetDisplayExtent(int, int, int, int, int, int)\nC++: void SetDisplayExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ);\n\n The image extent is generally set explicitly, but if not set\n it will be determined from the input image data.\n"},
  {(char*)"GetDisplayExtent",                (PyCFunction)PyvtkImageActor_GetDisplayExtent, 1,
   (char*)"V.GetDisplayExtent((int, int, int, int, int, int))\nC++: void GetDisplayExtent (int extent[6]);\nV.GetDisplayExtent() -> (int, int, int, int, int, int)\nC++: int *GetDisplayExtent ();return this DisplayExtent \n\n The image extent is generally set explicitly, but if not set\n it will be determined from the input image data.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkImageActor_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\nV.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);this Superclass GetBounds bounds \n\n Get the bounds of this image actor. Either copy the bounds\n into a user provided array or return a pointer to an array.\n In either case the boudns is expressed as a 6-vector \n (xmin,xmax, ymin,ymax, zmin,zmax).\n"},
  {(char*)"GetDisplayBounds",                (PyCFunction)PyvtkImageActor_GetDisplayBounds, 1,
   (char*)"V.GetDisplayBounds((float, float, float, float, float, float))\nC++: void GetDisplayBounds (double bounds[6]);\n\n Get the bounds of the data that is displayed by this image\n actor.  If the transformation matrix for this actor is the\n identity matrix, this will return the same value as\n GetBounds.\n"},
  {(char*)"GetSliceNumber",                (PyCFunction)PyvtkImageActor_GetSliceNumber, 1,
   (char*)"V.GetSliceNumber() -> int\nC++: int GetSliceNumber ();\n\n Return the slice number (& min/max slice number) computed from the display\n extent.\n"},
  {(char*)"GetSliceNumberMax",                (PyCFunction)PyvtkImageActor_GetSliceNumberMax, 1,
   (char*)"V.GetSliceNumberMax() -> int\nC++: int GetSliceNumberMax ();\n\n Return the slice number (& min/max slice number) computed from the display\n extent.\n"},
  {(char*)"GetSliceNumberMin",                (PyCFunction)PyvtkImageActor_GetSliceNumberMin, 1,
   (char*)"V.GetSliceNumberMin() -> int\nC++: int GetSliceNumberMin ();\n\n Return the slice number (& min/max slice number) computed from the display\n extent.\n"},
  {(char*)"SetZSlice",                (PyCFunction)PyvtkImageActor_SetZSlice, 1,
   (char*)"V.SetZSlice(int)\nC++: void SetZSlice (int z);this SetDisplayExtent this DisplayExtent this DisplayExtent this DisplayExtent this DisplayExtent z z \n\n Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n"},
  {(char*)"GetZSlice",                (PyCFunction)PyvtkImageActor_GetZSlice, 1,
   (char*)"V.GetZSlice() -> int\nC++: int GetZSlice ();return this DisplayExtent \n\n Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n"},
  {(char*)"GetWholeZMin",                (PyCFunction)PyvtkImageActor_GetWholeZMin, 1,
   (char*)"V.GetWholeZMin() -> int\nC++: int GetWholeZMin ();\n\n Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n"},
  {(char*)"GetWholeZMax",                (PyCFunction)PyvtkImageActor_GetWholeZMax, 1,
   (char*)"V.GetWholeZMax() -> int\nC++: int GetWholeZMax ();\n\n Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageActorDoc[] = {
  (char*)"vtkImageActor - draw an image (data & properties) in a rendered 3D scene\n\n",
  "Super Class:\n\n vtkProp3D\n\n",
  (char*)" vtkImageActor is used to render an image in a 3D scene.  The image\n is placed at the origin of the image, and its size is controlled by the\n image dimensions and image spacing. The orientation of the image is\n orthogonal to one of the x-y-z axes depending on which plane the\n image is defined in. vtkImageActor duplicates the functionality \n of combinations of other VTK classes in a convenient, sin",
  (char*)"gle class.\n\n",
  "Caveats:\n\n vtkImageData requires the image to be of type unsigned char. Use a\n filter like vtkImageShiftScale to convert to unsigned char (the\n method to use is SetOutputTypeToUnsignedChar()).\n\n",
  "See Also:\n\n vtkImageData vtkProp vtkImageShiftScale\n\n",
  NULL
};

static vtkObjectBase *vtkImageActorStaticNew()
{
  return vtkImageActor::New();
}

PyObject *PyVTKClass_vtkImageActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageActorStaticNew,
                        PyvtkImageActorMethods,
                        (char*)"vtkImageActor",modulename,
                        (char**)vtkImageActorDoc,
                        PyVTKClass_vtkProp3DNew(modulename));
}

