// python wrapper for vtkImageMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMapper2DNew(char *); }

static PyObject *PyvtkImageMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  const char    *temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  vtkImageMapper  *temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageMapper_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  unsigned long     temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_SetColorWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  double   temp0;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::SetColorWindow(temp0);
      }
    else
      {
      op->SetColorWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_GetColorWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  double   temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetColorWindow();
      }
    else
      {
      temp20 = op->GetColorWindow();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_SetColorLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  double   temp0;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::SetColorLevel(temp0);
      }
    else
      {
      op->SetColorLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_GetColorLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  double   temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetColorLevel();
      }
    else
      {
      temp20 = op->GetColorLevel();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_SetZSlice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  int      temp0;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::SetZSlice(temp0);
      }
    else
      {
      op->SetZSlice(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_GetZSlice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  int      temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetZSlice();
      }
    else
      {
      temp20 = op->GetZSlice();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_GetWholeZMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  int      temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetWholeZMin();
      }
    else
      {
      temp20 = op->GetWholeZMin();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_GetWholeZMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  int      temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetWholeZMax();
      }
    else
      {
      temp20 = op->GetWholeZMax();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_RenderStart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break13;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::RenderStart(temp0,temp1);
      }
    else
      {
      op->RenderStart(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkImageMapper_RenderData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkImageData  *temp1;
  PyObject *tempH1;
  vtkActor2D  *temp2;
  PyObject *tempH2;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break14;
    temp1 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkImageData");
    if (!temp1 && tempH1 != Py_None) goto break14;
    temp2 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkActor2D");
    if (!temp2 && tempH2 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->RenderData(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkImageMapper_GetColorShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  double   temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetColorShift();
      }
    else
      {
      temp20 = op->GetColorShift();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_GetColorScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  double   temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetColorScale();
      }
    else
      {
      temp20 = op->GetColorScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkImageMapper_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  vtkImageData  *temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_SetRenderToRectangle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  int      temp0;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::SetRenderToRectangle(temp0);
      }
    else
      {
      op->SetRenderToRectangle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_GetRenderToRectangle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  int      temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetRenderToRectangle();
      }
    else
      {
      temp20 = op->GetRenderToRectangle();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_RenderToRectangleOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::RenderToRectangleOn();
      }
    else
      {
      op->RenderToRectangleOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_RenderToRectangleOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::RenderToRectangleOff();
      }
    else
      {
      op->RenderToRectangleOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_SetUseCustomExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  int      temp0;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::SetUseCustomExtents(temp0);
      }
    else
      {
      op->SetUseCustomExtents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_GetUseCustomExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  int      temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetUseCustomExtents();
      }
    else
      {
      temp20 = op->GetUseCustomExtents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_UseCustomExtentsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::UseCustomExtentsOn();
      }
    else
      {
      op->UseCustomExtentsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_UseCustomExtentsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::UseCustomExtentsOff();
      }
    else
      {
      op->UseCustomExtentsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_SetCustomDisplayExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  int    temp0[4];
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"(iiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapper::SetCustomDisplayExtents(temp0);
      }
    else
      {
      op->SetCustomDisplayExtents(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapper_GetCustomDisplayExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapper *op;

  int     *temp20;
  op = (vtkImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapper::GetCustomDisplayExtents();
      }
    else
      {
      temp20 = op->GetCustomDisplayExtents();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiii",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMapper\nC++: vtkImageMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMapper\nC++: vtkImageMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkImageMapper_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override Modifiedtime as we have added a lookuptable\n"},
  {(char*)"SetColorWindow",                (PyCFunction)PyvtkImageMapper_SetColorWindow, 1,
   (char*)"V.SetColorWindow(float)\nC++: void SetColorWindow (double );\n\n Set/Get the window value for window/level\n"},
  {(char*)"GetColorWindow",                (PyCFunction)PyvtkImageMapper_GetColorWindow, 1,
   (char*)"V.GetColorWindow() -> float\nC++: double GetColorWindow ();\n\n Set/Get the window value for window/level\n"},
  {(char*)"SetColorLevel",                (PyCFunction)PyvtkImageMapper_SetColorLevel, 1,
   (char*)"V.SetColorLevel(float)\nC++: void SetColorLevel (double );\n\n Set/Get the level value for window/level\n"},
  {(char*)"GetColorLevel",                (PyCFunction)PyvtkImageMapper_GetColorLevel, 1,
   (char*)"V.GetColorLevel() -> float\nC++: double GetColorLevel ();\n\n Set/Get the level value for window/level\n"},
  {(char*)"SetZSlice",                (PyCFunction)PyvtkImageMapper_SetZSlice, 1,
   (char*)"V.SetZSlice(int)\nC++: void SetZSlice (int );\n\n Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n"},
  {(char*)"GetZSlice",                (PyCFunction)PyvtkImageMapper_GetZSlice, 1,
   (char*)"V.GetZSlice() -> int\nC++: int GetZSlice ();\n\n Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n"},
  {(char*)"GetWholeZMin",                (PyCFunction)PyvtkImageMapper_GetWholeZMin, 1,
   (char*)"V.GetWholeZMin() -> int\nC++: int GetWholeZMin ();\n\n Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n"},
  {(char*)"GetWholeZMax",                (PyCFunction)PyvtkImageMapper_GetWholeZMax, 1,
   (char*)"V.GetWholeZMax() -> int\nC++: int GetWholeZMax ();\n\n Set/Get the current slice number. The axis Z in ZSlice does not\n necessarily have any relation to the z axis of the data on disk.\n It is simply the axis orthogonal to the x,y, display plane.\n GetWholeZMax and Min are convenience methods for obtaining\n the number of slices that can be displayed. Again the number\n of slices is in reference to the display z axis, which is not\n necessarily the z axis on disk. (due to reformatting etc)\n"},
  {(char*)"RenderStart",                (PyCFunction)PyvtkImageMapper_RenderStart, 1,
   (char*)"V.RenderStart(vtkViewport, vtkActor2D)\nC++: void RenderStart (vtkViewport *viewport, vtkActor2D *actor);\n\n Draw the image to the screen.\n"},
  {(char*)"RenderData",                (PyCFunction)PyvtkImageMapper_RenderData, 1,
   (char*)"V.RenderData(vtkViewport, vtkImageData, vtkActor2D)\nC++: virtual void RenderData (vtkViewport *, vtkImageData *, vtkActor2D *) = 0;\n\n Function called by Render to actually draw the image to to the screen\n"},
  {(char*)"GetColorShift",                (PyCFunction)PyvtkImageMapper_GetColorShift, 1,
   (char*)"V.GetColorShift() -> float\nC++: double GetColorShift ();\n\n Methods used internally for performing the Window/Level mapping.\n"},
  {(char*)"GetColorScale",                (PyCFunction)PyvtkImageMapper_GetColorScale, 1,
   (char*)"V.GetColorScale() -> float\nC++: double GetColorScale ();\n\n Methods used internally for performing the Window/Level mapping.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkImageMapper_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: virtual void SetInput (vtkImageData *input);\n\n Set the Input of a filter. \n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkImageMapper_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();\n\n Set the Input of a filter. \n"},
  {(char*)"SetRenderToRectangle",                (PyCFunction)PyvtkImageMapper_SetRenderToRectangle, 1,
   (char*)"V.SetRenderToRectangle(int)\nC++: void SetRenderToRectangle (int );\n\n If RenderToRectangle is set (by default not), then the imagemapper\n will render the image into the rectangle supplied by the Actor2D's\n PositionCoordinate and Position2Coordinate\n"},
  {(char*)"GetRenderToRectangle",                (PyCFunction)PyvtkImageMapper_GetRenderToRectangle, 1,
   (char*)"V.GetRenderToRectangle() -> int\nC++: int GetRenderToRectangle ();\n\n If RenderToRectangle is set (by default not), then the imagemapper\n will render the image into the rectangle supplied by the Actor2D's\n PositionCoordinate and Position2Coordinate\n"},
  {(char*)"RenderToRectangleOn",                (PyCFunction)PyvtkImageMapper_RenderToRectangleOn, 1,
   (char*)"V.RenderToRectangleOn()\nC++: void RenderToRectangleOn ();\n\n If RenderToRectangle is set (by default not), then the imagemapper\n will render the image into the rectangle supplied by the Actor2D's\n PositionCoordinate and Position2Coordinate\n"},
  {(char*)"RenderToRectangleOff",                (PyCFunction)PyvtkImageMapper_RenderToRectangleOff, 1,
   (char*)"V.RenderToRectangleOff()\nC++: void RenderToRectangleOff ();\n\n If RenderToRectangle is set (by default not), then the imagemapper\n will render the image into the rectangle supplied by the Actor2D's\n PositionCoordinate and Position2Coordinate\n"},
  {(char*)"SetUseCustomExtents",                (PyCFunction)PyvtkImageMapper_SetUseCustomExtents, 1,
   (char*)"V.SetUseCustomExtents(int)\nC++: void SetUseCustomExtents (int );\n\n Usually, the entire image is displayed, if UseCustomExtents\n is set (by default not), then the region supplied in the\n CustomDisplayExtents is used in preference.\n Note that the Custom extents are x,y only and the zslice is still\n applied\n"},
  {(char*)"GetUseCustomExtents",                (PyCFunction)PyvtkImageMapper_GetUseCustomExtents, 1,
   (char*)"V.GetUseCustomExtents() -> int\nC++: int GetUseCustomExtents ();\n\n Usually, the entire image is displayed, if UseCustomExtents\n is set (by default not), then the region supplied in the\n CustomDisplayExtents is used in preference.\n Note that the Custom extents are x,y only and the zslice is still\n applied\n"},
  {(char*)"UseCustomExtentsOn",                (PyCFunction)PyvtkImageMapper_UseCustomExtentsOn, 1,
   (char*)"V.UseCustomExtentsOn()\nC++: void UseCustomExtentsOn ();\n\n Usually, the entire image is displayed, if UseCustomExtents\n is set (by default not), then the region supplied in the\n CustomDisplayExtents is used in preference.\n Note that the Custom extents are x,y only and the zslice is still\n applied\n"},
  {(char*)"UseCustomExtentsOff",                (PyCFunction)PyvtkImageMapper_UseCustomExtentsOff, 1,
   (char*)"V.UseCustomExtentsOff()\nC++: void UseCustomExtentsOff ();\n\n Usually, the entire image is displayed, if UseCustomExtents\n is set (by default not), then the region supplied in the\n CustomDisplayExtents is used in preference.\n Note that the Custom extents are x,y only and the zslice is still\n applied\n"},
  {(char*)"SetCustomDisplayExtents",                (PyCFunction)PyvtkImageMapper_SetCustomDisplayExtents, 1,
   (char*)"V.SetCustomDisplayExtents((int, int, int, int))\nC++: void SetCustomDisplayExtents (int  [4]);\n\n The image extents which should be displayed with UseCustomExtents\n Note that the Custom extents are x,y only and the zslice is still\n applied\n"},
  {(char*)"GetCustomDisplayExtents",                (PyCFunction)PyvtkImageMapper_GetCustomDisplayExtents, 1,
   (char*)"V.GetCustomDisplayExtents() -> (int, int, int, int)\nC++: int  *GetCustomDisplayExtents ();\n\n The image extents which should be displayed with UseCustomExtents\n Note that the Custom extents are x,y only and the zslice is still\n applied\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMapperDoc[] = {
  (char*)"vtkImageMapper - 2D image display\n\n",
  "Super Class:\n\n vtkMapper2D\n\n",
  (char*)" vtkImageMapper provides 2D image display support for vtk.\n It is a Mapper2D subclass that can be associated with an Actor2D\n and placed within a RenderWindow or ImageWindow.\n\n",
  "See Also:\n\n vtkMapper2D vtkActor2D\n\n",
  NULL
};

static vtkObjectBase *vtkImageMapperStaticNew()
{
  return vtkImageMapper::New();
}

PyObject *PyVTKClass_vtkImageMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMapperStaticNew,
                        PyvtkImageMapperMethods,
                        (char*)"vtkImageMapper",modulename,
                        (char**)vtkImageMapperDoc,
                        PyVTKClass_vtkMapper2DNew(modulename));
}

