// tcl wrapper for vtkImageViewer2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageViewer2.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageViewer2NewCommand()
{
  vtkImageViewer2 *temp = vtkImageViewer2::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageViewer2CppCommand(vtkImageViewer2 *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageViewer2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageViewer2CppCommand(static_cast<vtkImageViewer2 *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageViewer2CppCommand(vtkImageViewer2 *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageViewer2",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageViewer2  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageViewer2");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageViewer2  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageViewer2");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageViewer2  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageViewer2");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindowName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetWindowName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetInputConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliceOrientation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliceOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceOrientation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSliceOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSliceOrientationToXY",argv[1]))&&(argc == 2))
    {
    op->SetSliceOrientationToXY();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceOrientationToYZ",argv[1]))&&(argc == 2))
    {
    op->SetSliceOrientationToYZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceOrientationToXZ",argv[1]))&&(argc == 2))
    {
    op->SetSliceOrientationToXZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSlice",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSlice();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSlice",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSlice(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateDisplayExtent",argv[1]))&&(argc == 2))
    {
    op->UpdateDisplayExtent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSliceMin",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliceMin();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSliceMax",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliceMax();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSliceRange",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->GetSliceRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorWindow",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColorWindow();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColorLevel",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColorLevel();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorWindow",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColorWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorLevel",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColorLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("GetImageActor",argv[1]))&&(argc == 2))
    {
    vtkImageActor  *temp20;
    temp20 = (op)->GetImageActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageActor");
    return TCL_OK;
    }
  if ((!strcmp("GetWindowLevel",argv[1]))&&(argc == 2))
    {
    vtkImageMapToWindowLevelColors  *temp20;
    temp20 = (op)->GetWindowLevel();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMapToWindowLevelColors");
    return TCL_OK;
    }
  if ((!strcmp("GetInteractorStyle",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleImage  *temp20;
    temp20 = (op)->GetInteractorStyle();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleImage");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetupInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindowInteractor"),interp,error));
    if (!error)
    {
    op->SetupInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOffScreenRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOffScreenRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOffScreenRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOffScreenRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OffScreenRenderingOn",argv[1]))&&(argc == 2))
    {
    op->OffScreenRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OffScreenRenderingOff",argv[1]))&&(argc == 2))
    {
    op->OffScreenRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetWholeZMin",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWholeZMin();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetWholeZMax",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWholeZMax();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetZSlice",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZSlice();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetZSlice",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZSlice(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageViewer2Command));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageViewer2:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowName\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceOrientationToXY\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceOrientationToYZ\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceOrientationToXZ\n",NULL);
    Tcl_AppendResult(interp,"  GetSlice\n",NULL);
    Tcl_AppendResult(interp,"  SetSlice\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateDisplayExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceMin\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceMax\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColorWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetColorLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetColorWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderer\n",NULL);
    Tcl_AppendResult(interp,"  GetImageActor\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractorStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetupInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOffScreenRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOffScreenRendering\n",NULL);
    Tcl_AppendResult(interp,"  OffScreenRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  OffScreenRenderingOff\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetWholeZMin\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetWholeZMax\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetZSlice\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetZSlice\t with 1 arg\n",NULL);
#endif
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetWindowName" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    Tcl_DStringAppendElement ( &dString, "GetSliceOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToXY" );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToYZ" );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToXZ" );
    Tcl_DStringAppendElement ( &dString, "GetSlice" );
    Tcl_DStringAppendElement ( &dString, "SetSlice" );
    Tcl_DStringAppendElement ( &dString, "UpdateDisplayExtent" );
    Tcl_DStringAppendElement ( &dString, "GetSliceMin" );
    Tcl_DStringAppendElement ( &dString, "GetSliceMax" );
    Tcl_DStringAppendElement ( &dString, "GetSliceRange" );
    Tcl_DStringAppendElement ( &dString, "GetColorWindow" );
    Tcl_DStringAppendElement ( &dString, "GetColorLevel" );
    Tcl_DStringAppendElement ( &dString, "SetColorWindow" );
    Tcl_DStringAppendElement ( &dString, "SetColorLevel" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "GetRenderer" );
    Tcl_DStringAppendElement ( &dString, "GetImageActor" );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevel" );
    Tcl_DStringAppendElement ( &dString, "GetInteractorStyle" );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    Tcl_DStringAppendElement ( &dString, "SetupInteractor" );
    Tcl_DStringAppendElement ( &dString, "SetOffScreenRendering" );
    Tcl_DStringAppendElement ( &dString, "GetOffScreenRendering" );
    Tcl_DStringAppendElement ( &dString, "OffScreenRenderingOn" );
    Tcl_DStringAppendElement ( &dString, "OffScreenRenderingOff" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetWholeZMin" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetWholeZMax" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetZSlice" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetZSlice" );
#endif
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageViewer2 *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2 *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2 *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowName */
    if ( strcmp ( argv[2], "GetWindowName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowName */
    Tcl_DStringAppendElement ( &dString, " Get the name of rendering window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetWindowName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetWindowName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Render the resulting image.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input image to the viewer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput (vtkImageData *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input image to the viewer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkImageData *GetInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputConnection */
    if ( strcmp ( argv[2], "SetInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputConnection */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input image to the viewer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputConnection (vtkAlgorithmOutput *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceOrientation */
    if ( strcmp ( argv[2], "GetSliceOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceOrientation */
    Tcl_DStringAppendElement ( &dString, " Set/get the slice orientation\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSliceOrientation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetSliceOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceOrientation */
    if ( strcmp ( argv[2], "SetSliceOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceOrientation */
    Tcl_DStringAppendElement ( &dString, " Set/get the slice orientation\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceOrientation (int orientation);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetSliceOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceOrientationToXY */
    if ( strcmp ( argv[2], "SetSliceOrientationToXY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToXY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceOrientationToXY */
    Tcl_DStringAppendElement ( &dString, " Set/get the slice orientation\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceOrientationToXY ();this SetSliceOrientation vtkImageViewer2 SLICE_ORIENTATION_XY " );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetSliceOrientationToXY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceOrientationToYZ */
    if ( strcmp ( argv[2], "SetSliceOrientationToYZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToYZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceOrientationToYZ */
    Tcl_DStringAppendElement ( &dString, " Set/get the slice orientation\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceOrientationToYZ ();this SetSliceOrientation vtkImageViewer2 SLICE_ORIENTATION_YZ " );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetSliceOrientationToYZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceOrientationToXZ */
    if ( strcmp ( argv[2], "SetSliceOrientationToXZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToXZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceOrientationToXZ */
    Tcl_DStringAppendElement ( &dString, " Set/get the slice orientation\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceOrientationToXZ ();this SetSliceOrientation vtkImageViewer2 SLICE_ORIENTATION_XZ " );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetSliceOrientationToXZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlice */
    if ( strcmp ( argv[2], "GetSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlice */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current slice to display (depending on the orientation\n this can be in X, Y or Z).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSlice ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlice */
    if ( strcmp ( argv[2], "SetSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlice */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current slice to display (depending on the orientation\n this can be in X, Y or Z).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSlice (int s);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateDisplayExtent */
    if ( strcmp ( argv[2], "UpdateDisplayExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateDisplayExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateDisplayExtent */
    Tcl_DStringAppendElement ( &dString, " Update the display extent manually so that the proper slice for the\n given orientation is displayed. It will also try to set a\n reasonable camera clipping range.\n This method is called automatically when the Input is changed, but\n most of the time the input of this class is likely to remain the same,\n i.e. connected to the output of a filter, or an image reader. When the\n input of this filter or reader itself is changed, an error message might\n be displayed since the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateDisplayExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for UpdateDisplayExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceMin */
    if ( strcmp ( argv[2], "GetSliceMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceMin */
    Tcl_DStringAppendElement ( &dString, " Return the minimum and maximum slice values (depending on the orientation\n this can be in X, Y or Z).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSliceMin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetSliceMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceMax */
    if ( strcmp ( argv[2], "GetSliceMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceMax */
    Tcl_DStringAppendElement ( &dString, " Return the minimum and maximum slice values (depending on the orientation\n this can be in X, Y or Z).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSliceMax ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetSliceMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceRange */
    if ( strcmp ( argv[2], "GetSliceRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceRange */
    Tcl_DStringAppendElement ( &dString, " Return the minimum and maximum slice values (depending on the orientation\n this can be in X, Y or Z).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetSliceRange (int range\\[2\\]);this GetSliceRange range range " );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetSliceRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorWindow */
    if ( strcmp ( argv[2], "GetColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set window and level for mapping pixels to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetColorWindow ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorLevel */
    if ( strcmp ( argv[2], "GetColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set window and level for mapping pixels to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetColorLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorWindow */
    if ( strcmp ( argv[2], "SetColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set window and level for mapping pixels to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorWindow (double s);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorLevel */
    if ( strcmp ( argv[2], "SetColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set window and level for mapping pixels to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorLevel (double s);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position in screen coordinates of the rendering window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPosition (int a, int b);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the window in screen coordinates in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPosition (int a\\[2\\]);this SetPosition a a " );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the window in screen coordinates in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSize (int a, int b);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, " Get the internal render window, renderer, image actor, and\n image map instances.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSize (int a\\[2\\]);this SetSize a a " );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Get the internal render window, renderer, image actor, and\n image map instances.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetRenderWindow ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderer */
    if ( strcmp ( argv[2], "GetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderer */
    Tcl_DStringAppendElement ( &dString, " Get the internal render window, renderer, image actor, and\n image map instances.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer *GetRenderer ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageActor */
    if ( strcmp ( argv[2], "GetImageActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageActor */
    Tcl_DStringAppendElement ( &dString, " Get the internal render window, renderer, image actor, and\n image map instances.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageActor *GetImageActor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetImageActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowLevel */
    if ( strcmp ( argv[2], "GetWindowLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowLevel */
    Tcl_DStringAppendElement ( &dString, " Get the internal render window, renderer, image actor, and\n image map instances.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapToWindowLevelColors *GetWindowLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetWindowLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractorStyle */
    if ( strcmp ( argv[2], "GetInteractorStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractorStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractorStyle */
    Tcl_DStringAppendElement ( &dString, " Get the internal render window, renderer, image actor, and\n image map instances.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage *GetInteractorStyle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetInteractorStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderWindow */
    if ( strcmp ( argv[2], "SetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set your own renderwindow and renderer\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderWindow (vtkRenderWindow *arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderer */
    if ( strcmp ( argv[2], "SetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderer */
    Tcl_DStringAppendElement ( &dString, " Set your own renderwindow and renderer\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderer (vtkRenderer *arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetupInteractor */
    if ( strcmp ( argv[2], "SetupInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetupInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetupInteractor */
    Tcl_DStringAppendElement ( &dString, " Attach an interactor for the internal render window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetupInteractor (vtkRenderWindowInteractor *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetupInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffScreenRendering */
    if ( strcmp ( argv[2], "SetOffScreenRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffScreenRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffScreenRendering */
    Tcl_DStringAppendElement ( &dString, " Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOffScreenRendering (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetOffScreenRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffScreenRendering */
    if ( strcmp ( argv[2], "GetOffScreenRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffScreenRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffScreenRendering */
    Tcl_DStringAppendElement ( &dString, " Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetOffScreenRendering ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetOffScreenRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OffScreenRenderingOn */
    if ( strcmp ( argv[2], "OffScreenRenderingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OffScreenRenderingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OffScreenRenderingOn */
    Tcl_DStringAppendElement ( &dString, " Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n" );
    Tcl_DStringAppendElement ( &dString, "void OffScreenRenderingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for OffScreenRenderingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OffScreenRenderingOff */
    if ( strcmp ( argv[2], "OffScreenRenderingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OffScreenRenderingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OffScreenRenderingOff */
    Tcl_DStringAppendElement ( &dString, " Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n" );
    Tcl_DStringAppendElement ( &dString, "void OffScreenRenderingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for OffScreenRenderingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetWholeZMin */
    if ( strcmp ( argv[2], "GetWholeZMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeZMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeZMin */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkImageViewer2::GetSliceMin() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWholeZMin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetWholeZMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetWholeZMax */
    if ( strcmp ( argv[2], "GetWholeZMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeZMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeZMax */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkImageViewer2::GetSliceMax() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWholeZMax ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetWholeZMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetZSlice */
    if ( strcmp ( argv[2], "GetZSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZSlice */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkImageViewer2::GetSlice() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZSlice ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for GetZSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetZSlice */
    if ( strcmp ( argv[2], "SetZSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZSlice */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkImageViewer2::SetSlice() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZSlice (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageViewer2" );
    /* Closing for SetZSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
