// python wrapper for vtkImageViewer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageViewer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageViewerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageViewerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkImageViewer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  const char    *temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  vtkImageViewer  *temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageViewer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageViewer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageViewer_GetWindowName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  char    *temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetWindowName();
      }
    else
      {
      temp20 = op->GetWindowName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkImageViewer_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  vtkImageData  *temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetInputConnection(temp0);
      }
    else
      {
      op->SetInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkImageViewer_GetWholeZMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int      temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetWholeZMin();
      }
    else
      {
      temp20 = op->GetWholeZMin();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_GetWholeZMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int      temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetWholeZMax();
      }
    else
      {
      temp20 = op->GetWholeZMax();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_GetZSlice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int      temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetZSlice();
      }
    else
      {
      temp20 = op->GetZSlice();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SetZSlice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int      temp0;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetZSlice(temp0);
      }
    else
      {
      op->SetZSlice(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_GetColorWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  double   temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetColorWindow();
      }
    else
      {
      temp20 = op->GetColorWindow();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_GetColorLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  double   temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetColorLevel();
      }
    else
      {
      temp20 = op->GetColorLevel();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SetColorWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  double   temp0;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetColorWindow(temp0);
      }
    else
      {
      op->SetColorWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SetColorLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  double   temp0;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetColorLevel(temp0);
      }
    else
      {
      op->SetColorLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SetDisplayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  void    *temp0;
  int      size0;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetDisplayId in vtkImageViewer was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetDisplayId in vtkImageViewer was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetDisplayId(temp0);
      }
    else
      {
      op->SetDisplayId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SetWindowId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  void    *temp0;
  int      size0;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetWindowId in vtkImageViewer was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetWindowId in vtkImageViewer was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetWindowId(temp0);
      }
    else
      {
      op->SetWindowId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SetParentId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  void    *temp0;
  int      size0;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetParentId in vtkImageViewer was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetParentId in vtkImageViewer was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetParentId(temp0);
      }
    else
      {
      op->SetParentId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkImageViewer_GetGrayScaleHint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int      temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetGrayScaleHint();
      }
    else
      {
      temp20 = op->GetGrayScaleHint();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkImageViewer_SetGrayScaleHint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int      temp0;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetGrayScaleHint(temp0);
      }
    else
      {
      op->SetGrayScaleHint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkImageViewer_GrayScaleHintOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::GrayScaleHintOn();
      }
    else
      {
      op->GrayScaleHintOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkImageViewer_GrayScaleHintOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::GrayScaleHintOff();
      }
    else
      {
      op->GrayScaleHintOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


static PyObject *PyvtkImageViewer_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int     *temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int      temp0;
  int      temp1;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetPosition(temp0,temp1);
      }
    else
      {
      op->SetPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int     *temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int      temp0;
  int      temp1;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetSize(temp0,temp1);
      }
    else
      {
      op->SetSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetSize(temp0);
      }
    else
      {
      op->SetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  vtkRenderWindow  *temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  vtkRenderer  *temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_GetImageMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  vtkImageMapper  *temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetImageMapper();
      }
    else
      {
      temp20 = op->GetImageMapper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_GetActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  vtkActor2D  *temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetActor2D();
      }
    else
      {
      temp20 = op->GetActor2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_SetupInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetupInteractor(temp0);
      }
    else
      {
      op->SetupInteractor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkImageViewer_SetOffScreenRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int      temp0;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::SetOffScreenRendering(temp0);
      }
    else
      {
      op->SetOffScreenRendering(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_GetOffScreenRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  int      temp20;
  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageViewer::GetOffScreenRendering();
      }
    else
      {
      temp20 = op->GetOffScreenRendering();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_OffScreenRenderingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::OffScreenRenderingOn();
      }
    else
      {
      op->OffScreenRenderingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageViewer_OffScreenRenderingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageViewer *op;

  op = (vtkImageViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageViewer::OffScreenRenderingOff();
      }
    else
      {
      op->OffScreenRenderingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageViewerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageViewer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageViewer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageViewer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageViewer\nC++: vtkImageViewer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageViewer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageViewer\nC++: vtkImageViewer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetWindowName",                (PyCFunction)PyvtkImageViewer_GetWindowName, 1,
   (char*)"V.GetWindowName() -> string\nC++: char *GetWindowName ();return this RenderWindow GetWindowName \n\n Get name of rendering window\n"},
  {(char*)"Render",                (PyCFunction)PyvtkImageViewer_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render (void );\n\n Render the resulting image.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkImageViewer_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: void SetInput (vtkImageData *in);this ImageMapper SetInput in \n\n Set/Get the input to the viewer.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkImageViewer_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();return this ImageMapper GetInput \n\n Set/Get the input to the viewer.\n"},
  {(char*)"SetInputConnection",                (PyCFunction)PyvtkImageViewer_SetInputConnection, 1,
   (char*)"V.SetInputConnection(vtkAlgorithmOutput)\nC++: virtual void SetInputConnection (vtkAlgorithmOutput *input);this ImageMapper SetInputConnection input \n\n Set/Get the input to the viewer.\n"},
  {(char*)"GetWholeZMin",                (PyCFunction)PyvtkImageViewer_GetWholeZMin, 1,
   (char*)"V.GetWholeZMin() -> int\nC++: int GetWholeZMin ();return this ImageMapper GetWholeZMin \n\n What is the possible Min/ Max z slices available.\n"},
  {(char*)"GetWholeZMax",                (PyCFunction)PyvtkImageViewer_GetWholeZMax, 1,
   (char*)"V.GetWholeZMax() -> int\nC++: int GetWholeZMax ();return this ImageMapper GetWholeZMax \n\n What is the possible Min/ Max z slices available.\n"},
  {(char*)"GetZSlice",                (PyCFunction)PyvtkImageViewer_GetZSlice, 1,
   (char*)"V.GetZSlice() -> int\nC++: int GetZSlice ();return this ImageMapper GetZSlice \n\n Set/Get the current Z Slice to display\n"},
  {(char*)"SetZSlice",                (PyCFunction)PyvtkImageViewer_SetZSlice, 1,
   (char*)"V.SetZSlice(int)\nC++: void SetZSlice (int s);this ImageMapper SetZSlice s \n\n Set/Get the current Z Slice to display\n"},
  {(char*)"GetColorWindow",                (PyCFunction)PyvtkImageViewer_GetColorWindow, 1,
   (char*)"V.GetColorWindow() -> float\nC++: double GetColorWindow ();return this ImageMapper GetColorWindow \n\n Sets window/level for mapping pixels to colors.\n"},
  {(char*)"GetColorLevel",                (PyCFunction)PyvtkImageViewer_GetColorLevel, 1,
   (char*)"V.GetColorLevel() -> float\nC++: double GetColorLevel ();return this ImageMapper GetColorLevel \n\n Sets window/level for mapping pixels to colors.\n"},
  {(char*)"SetColorWindow",                (PyCFunction)PyvtkImageViewer_SetColorWindow, 1,
   (char*)"V.SetColorWindow(float)\nC++: void SetColorWindow (double s);this ImageMapper SetColorWindow s \n\n Sets window/level for mapping pixels to colors.\n"},
  {(char*)"SetColorLevel",                (PyCFunction)PyvtkImageViewer_SetColorLevel, 1,
   (char*)"V.SetColorLevel(float)\nC++: void SetColorLevel (double s);this ImageMapper SetColorLevel s \n\n Sets window/level for mapping pixels to colors.\n"},
  {(char*)"SetDisplayId",                (PyCFunction)PyvtkImageViewer_SetDisplayId, 1,
   (char*)"V.SetDisplayId(string)\nC++: void SetDisplayId (void *a);this RenderWindow SetDisplayId a \n\n These are here for using a tk window.\n"},
  {(char*)"SetWindowId",                (PyCFunction)PyvtkImageViewer_SetWindowId, 1,
   (char*)"V.SetWindowId(string)\nC++: void SetWindowId (void *a);this RenderWindow SetWindowId a \n\n These are here for using a tk window.\n"},
  {(char*)"SetParentId",                (PyCFunction)PyvtkImageViewer_SetParentId, 1,
   (char*)"V.SetParentId(string)\nC++: void SetParentId (void *a);this RenderWindow SetParentId a \n\n These are here for using a tk window.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetGrayScaleHint",                (PyCFunction)PyvtkImageViewer_GetGrayScaleHint, 1,
   (char*)"V.GetGrayScaleHint() -> int\nC++: int GetGrayScaleHint ();\n\n By default this is a color viewer.  GrayScaleHintOn will improve the\n appearance of gray scale images on some systems.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetGrayScaleHint",                (PyCFunction)PyvtkImageViewer_SetGrayScaleHint, 1,
   (char*)"V.SetGrayScaleHint(int)\nC++: void SetGrayScaleHint (int );\n\n By default this is a color viewer.  GrayScaleHintOn will improve the\n appearance of gray scale images on some systems.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GrayScaleHintOn",                (PyCFunction)PyvtkImageViewer_GrayScaleHintOn, 1,
   (char*)"V.GrayScaleHintOn()\nC++: void GrayScaleHintOn ();\n\n By default this is a color viewer.  GrayScaleHintOn will improve the\n appearance of gray scale images on some systems.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GrayScaleHintOff",                (PyCFunction)PyvtkImageViewer_GrayScaleHintOff, 1,
   (char*)"V.GrayScaleHintOff()\nC++: void GrayScaleHintOff ();\n\n By default this is a color viewer.  GrayScaleHintOn will improve the\n appearance of gray scale images on some systems.\n"},
#endif
  {(char*)"GetPosition",                (PyCFunction)PyvtkImageViewer_GetPosition, 1,
   (char*)"V.GetPosition() -> (int, int)\nC++: int *GetPosition ();return this RenderWindow GetPosition \n\n Set/Get the position in screen coordinates of the rendering window.\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkImageViewer_SetPosition, 1,
   (char*)"V.SetPosition(int, int)\nC++: void SetPosition (int a, int b);this RenderWindow SetPosition a b \nV.SetPosition((int, int))\nC++: virtual void SetPosition (int a[2]);\n\n Set/Get the position in screen coordinates of the rendering window.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkImageViewer_GetSize, 1,
   (char*)"V.GetSize() -> (int, int)\nC++: int *GetSize ();return this RenderWindow GetSize \n\n Set/Get the size of the window in screen coordinates in pixels.\n"},
  {(char*)"SetSize",                (PyCFunction)PyvtkImageViewer_SetSize, 1,
   (char*)"V.SetSize(int, int)\nC++: void SetSize (int a, int b);this RenderWindow SetSize a b \nV.SetSize((int, int))\nC++: virtual void SetSize (int a[2]);\n\n Set/Get the size of the window in screen coordinates in pixels.\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkImageViewer_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Get the internal objects\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkImageViewer_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n Get the internal objects\n"},
  {(char*)"GetImageMapper",                (PyCFunction)PyvtkImageViewer_GetImageMapper, 1,
   (char*)"V.GetImageMapper() -> vtkImageMapper\nC++: vtkImageMapper *GetImageMapper ();\n\n Get the internal objects\n"},
  {(char*)"GetActor2D",                (PyCFunction)PyvtkImageViewer_GetActor2D, 1,
   (char*)"V.GetActor2D() -> vtkActor2D\nC++: vtkActor2D *GetActor2D ();\n\n Get the internal objects\n"},
  {(char*)"SetupInteractor",                (PyCFunction)PyvtkImageViewer_SetupInteractor, 1,
   (char*)"V.SetupInteractor(vtkRenderWindowInteractor)\nC++: void SetupInteractor (vtkRenderWindowInteractor *);\n\n Create and attach an interactor for this window\n"},
  {(char*)"SetOffScreenRendering",                (PyCFunction)PyvtkImageViewer_SetOffScreenRendering, 1,
   (char*)"V.SetOffScreenRendering(int)\nC++: void SetOffScreenRendering (int );\n\n Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n"},
  {(char*)"GetOffScreenRendering",                (PyCFunction)PyvtkImageViewer_GetOffScreenRendering, 1,
   (char*)"V.GetOffScreenRendering() -> int\nC++: int GetOffScreenRendering ();\n\n Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n"},
  {(char*)"OffScreenRenderingOn",                (PyCFunction)PyvtkImageViewer_OffScreenRenderingOn, 1,
   (char*)"V.OffScreenRenderingOn()\nC++: void OffScreenRenderingOn ();\n\n Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n"},
  {(char*)"OffScreenRenderingOff",                (PyCFunction)PyvtkImageViewer_OffScreenRenderingOff, 1,
   (char*)"V.OffScreenRenderingOff()\nC++: void OffScreenRenderingOff ();\n\n Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageViewerDoc[] = {
  (char*)"vtkImageViewer - Display a 2d image.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkImageViewer is a convenience class for displaying a 2d image.  It\n packages up the functionality found in vtkRenderWindow, vtkRenderer,\n vtkActor2D and vtkImageMapper into a single easy to use class.  Behind the\n scenes these four classes are actually used to to provide the required\n functionality. vtkImageViewer is simply a wrapper around them.\n\n",
  "See Also:\n\n vtkRenderWindow vtkRenderer vtkImageMapper vtkActor2D\n\n",
  NULL
};

static vtkObjectBase *vtkImageViewerStaticNew()
{
  return vtkImageViewer::New();
}

PyObject *PyVTKClass_vtkImageViewerNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageViewerStaticNew,
                        PyvtkImageViewerMethods,
                        (char*)"vtkImageViewer",modulename,
                        (char**)vtkImageViewerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

