// python wrapper for vtkImagingFactory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImagingFactory.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImagingFactoryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImagingFactoryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkImagingFactory_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagingFactory *op;

  const char    *temp20;
  op = (vtkImagingFactory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagingFactory::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImagingFactory_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagingFactory *op;

  char    *temp0;
  int      temp20;
  op = (vtkImagingFactory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagingFactory::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagingFactory_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagingFactory *op;

  vtkImagingFactory  *temp20;
  op = (vtkImagingFactory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagingFactory::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagingFactory_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImagingFactory  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImagingFactory::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImagingFactory_CreateInstance(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkImagingFactory::CreateInstance(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagingFactory_SetUseMesaClasses(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkImagingFactory::SetUseMesaClasses(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagingFactory_GetUseMesaClasses(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkImagingFactory::GetUseMesaClasses();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImagingFactoryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImagingFactory_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImagingFactory_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImagingFactory_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImagingFactory\nC++: vtkImagingFactory *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImagingFactory_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImagingFactory\nC++: vtkImagingFactory *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CreateInstance",                (PyCFunction)PyvtkImagingFactory_CreateInstance, 1,
   (char*)"V.CreateInstance(string) -> vtkObject\nC++: static vtkObject *CreateInstance (const char *vtkclassname);\n\n Create and return an instance of the named vtk object.\n This method first checks the vtkObjectFactory to support\n dynamic loading. \n"},
  {(char*)"SetUseMesaClasses",                (PyCFunction)PyvtkImagingFactory_SetUseMesaClasses, 1,
   (char*)"V.SetUseMesaClasses(int)\nC++: static void SetUseMesaClasses (int use);\n\n This option enables the creation of Mesa classes\n instead of the OpenGL classes when using mangled Mesa.\n"},
  {(char*)"GetUseMesaClasses",                (PyCFunction)PyvtkImagingFactory_GetUseMesaClasses, 1,
   (char*)"V.GetUseMesaClasses() -> int\nC++: static int GetUseMesaClasses ();\n\n This option enables the creation of Mesa classes\n instead of the OpenGL classes when using mangled Mesa.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImagingFactoryDoc[] = {
  (char*)"vtkImagingFactory - \n\n",
  "Super Class:\n\n vtkObject\n\n",
  NULL
};

static vtkObjectBase *vtkImagingFactoryStaticNew()
{
  return vtkImagingFactory::New();
}

PyObject *PyVTKClass_vtkImagingFactoryNew(char *modulename)
{
  return PyVTKClass_New(&vtkImagingFactoryStaticNew,
                        PyvtkImagingFactoryMethods,
                        (char*)"vtkImagingFactory",modulename,
                        (char**)vtkImagingFactoryDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

