// python wrapper for vtkImporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImporter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImporterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImporterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkImporter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImporter *op;

  const char    *temp20;
  op = (vtkImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImporter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImporter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImporter *op;

  char    *temp0;
  int      temp20;
  op = (vtkImporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImporter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImporter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImporter *op;

  vtkImporter  *temp20;
  op = (vtkImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImporter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImporter_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImporter *op;

  vtkRenderer  *temp20;
  op = (vtkImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImporter::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImporter_SetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImporter *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkImporter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImporter::SetRenderWindow(temp0);
      }
    else
      {
      op->SetRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImporter_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImporter *op;

  vtkRenderWindow  *temp20;
  op = (vtkImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImporter::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImporter_Read(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImporter *op;

  op = (vtkImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImporter::Read();
      }
    else
      {
      op->Read();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImporter_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImporter *op;

  op = (vtkImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImporter::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImporterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImporter\nC++: vtkImporter *NewInstance ();\n\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkImporter_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n"},
  {(char*)"SetRenderWindow",                (PyCFunction)PyvtkImporter_SetRenderWindow, 1,
   (char*)"V.SetRenderWindow(vtkRenderWindow)\nC++: virtual void SetRenderWindow (vtkRenderWindow *);\n\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkImporter_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n"},
  {(char*)"Read",                (PyCFunction)PyvtkImporter_Read, 1,
   (char*)"V.Read()\nC++: void Read ();\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkImporter_Update, 1,
   (char*)"V.Update()\nC++: void Update ();this Read \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImporterDoc[] = {
  (char*)"vtkImporter - importer abstract class\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkImporter is an abstract class that specifies the protocol for\n importing actors, cameras, lights and properties into a\n vtkRenderWindow. The following takes place:\n 1) Create a RenderWindow and Renderer if none is provided.\n 2) Call ImportBegin, if ImportBegin returns False, return\n 3) Call ReadData, which calls:\n  a) Import the Actors\n  b) Import the cameras\n  c) Import the lights\n  d) Import",
  (char*)" the Properties\n 7) Call ImportEnd\n\n Subclasses optionally implement the ImportActors, ImportCameras,\n ImportLights and ImportProperties or ReadData methods. An ImportBegin and\n ImportEnd can optionally be provided to perform Importer-specific\n initialization and termination.  The Read method initiates the import\n process. If a RenderWindow is provided, its Renderer will contained\n the imported ob",
  (char*)"jects. If the RenderWindow has no Renderer, one is\n created. If no RenderWindow is provided, both a RenderWindow and\n Renderer will be created. Both the RenderWindow and Renderer can be\n accessed using Get methods.\n\n",
  "See Also:\n\n vtk3DSImporter vtkExporter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImporterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImporterMethods,
                        (char*)"vtkImporter",modulename,
                        (char**)vtkImporterDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

