// python wrapper for vtkInteractorEventRecorder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInteractorEventRecorder.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInteractorEventRecorderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInteractorEventRecorderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorObserverNew(char *); }

static PyObject *PyvtkInteractorEventRecorder_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  const char    *temp20;
  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorEventRecorder::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  char    *temp0;
  int      temp20;
  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorEventRecorder::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  vtkInteractorEventRecorder  *temp20;
  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorEventRecorder::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInteractorEventRecorder  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInteractorEventRecorder::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  int      temp0;
  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorEventRecorder::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_SetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorEventRecorder::SetInteractor(temp0);
      }
    else
      {
      op->SetInteractor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  char    *temp0;
  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorEventRecorder::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  char    *temp20;
  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorEventRecorder::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_Record(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorEventRecorder::Record();
      }
    else
      {
      op->Record();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_Play(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorEventRecorder::Play();
      }
    else
      {
      op->Play();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_Stop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorEventRecorder::Stop();
      }
    else
      {
      op->Stop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_Rewind(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorEventRecorder::Rewind();
      }
    else
      {
      op->Rewind();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_SetReadFromInputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  int      temp0;
  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorEventRecorder::SetReadFromInputString(temp0);
      }
    else
      {
      op->SetReadFromInputString(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_GetReadFromInputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  int      temp20;
  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorEventRecorder::GetReadFromInputString();
      }
    else
      {
      temp20 = op->GetReadFromInputString();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_ReadFromInputStringOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorEventRecorder::ReadFromInputStringOn();
      }
    else
      {
      op->ReadFromInputStringOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_ReadFromInputStringOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorEventRecorder::ReadFromInputStringOff();
      }
    else
      {
      op->ReadFromInputStringOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_SetInputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  char    *temp0;
  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorEventRecorder::SetInputString(temp0);
      }
    else
      {
      op->SetInputString(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorEventRecorder_GetInputString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorEventRecorder *op;

  char    *temp20;
  op = (vtkInteractorEventRecorder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorEventRecorder::GetInputString();
      }
    else
      {
      temp20 = op->GetInputString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInteractorEventRecorderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInteractorEventRecorder_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInteractorEventRecorder_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInteractorEventRecorder_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInteractorEventRecorder\nC++: vtkInteractorEventRecorder *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInteractorEventRecorder_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInteractorEventRecorder\nC++: vtkInteractorEventRecorder *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkInteractorEventRecorder_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n"},
  {(char*)"SetInteractor",                (PyCFunction)PyvtkInteractorEventRecorder_SetInteractor, 1,
   (char*)"V.SetInteractor(vtkRenderWindowInteractor)\nC++: virtual void SetInteractor (vtkRenderWindowInteractor *iren);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkInteractorEventRecorder_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set/Get the name of a file events should be written to/from.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkInteractorEventRecorder_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set/Get the name of a file events should be written to/from.\n"},
  {(char*)"Record",                (PyCFunction)PyvtkInteractorEventRecorder_Record, 1,
   (char*)"V.Record()\nC++: void Record ();\n\n Invoke this method to begin recording events. The events will be\n recorded to the filename indicated.\n"},
  {(char*)"Play",                (PyCFunction)PyvtkInteractorEventRecorder_Play, 1,
   (char*)"V.Play()\nC++: void Play ();\n\n Invoke this method to begin playing events from the current position.\n The events will be played back from the filename indicated.\n"},
  {(char*)"Stop",                (PyCFunction)PyvtkInteractorEventRecorder_Stop, 1,
   (char*)"V.Stop()\nC++: void Stop ();\n\n Invoke this method to stop recording/playing events.\n"},
  {(char*)"Rewind",                (PyCFunction)PyvtkInteractorEventRecorder_Rewind, 1,
   (char*)"V.Rewind()\nC++: void Rewind ();\n\n Rewind to the beginning of the file.\n"},
  {(char*)"SetReadFromInputString",                (PyCFunction)PyvtkInteractorEventRecorder_SetReadFromInputString, 1,
   (char*)"V.SetReadFromInputString(int)\nC++: void SetReadFromInputString (int );\n\n Enable reading from an InputString as compared to the default\n behavior, which is to read from a file.\n"},
  {(char*)"GetReadFromInputString",                (PyCFunction)PyvtkInteractorEventRecorder_GetReadFromInputString, 1,
   (char*)"V.GetReadFromInputString() -> int\nC++: int GetReadFromInputString ();\n\n Enable reading from an InputString as compared to the default\n behavior, which is to read from a file.\n"},
  {(char*)"ReadFromInputStringOn",                (PyCFunction)PyvtkInteractorEventRecorder_ReadFromInputStringOn, 1,
   (char*)"V.ReadFromInputStringOn()\nC++: void ReadFromInputStringOn ();\n\n Enable reading from an InputString as compared to the default\n behavior, which is to read from a file.\n"},
  {(char*)"ReadFromInputStringOff",                (PyCFunction)PyvtkInteractorEventRecorder_ReadFromInputStringOff, 1,
   (char*)"V.ReadFromInputStringOff()\nC++: void ReadFromInputStringOff ();\n\n Enable reading from an InputString as compared to the default\n behavior, which is to read from a file.\n"},
  {(char*)"SetInputString",                (PyCFunction)PyvtkInteractorEventRecorder_SetInputString, 1,
   (char*)"V.SetInputString(string)\nC++: void SetInputString (char *);\n\n Set/Get the string to read from.\n"},
  {(char*)"GetInputString",                (PyCFunction)PyvtkInteractorEventRecorder_GetInputString, 1,
   (char*)"V.GetInputString() -> string\nC++: char *GetInputString ();\n\n Set/Get the string to read from.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInteractorEventRecorderDoc[] = {
  (char*)"vtkInteractorEventRecorder - record and play VTK events passing through a vtkRenderWindowInteractor\n\n",
  "Super Class:\n\n vtkInteractorObserver\n\n",
  (char*)" vtkInteractorEventRecorder records all VTK events invoked from a\n vtkRenderWindowInteractor. The events are recorded to a\n file. vtkInteractorEventRecorder can also be used to play those events\n back and invoke them on an vtkRenderWindowInteractor. (Note: the events\n can also be played back from a file or string.)\n\n The format of the event file is simple. It is:\n  EventName X Y ctrl shift keycode",
  (char*)" repeatCount keySym\n The format also allows \"#\" comments.\n\n",
  "See Also:\n\n vtkInteractorObserver vtkCallback\n\n",
  NULL
};

static vtkObjectBase *vtkInteractorEventRecorderStaticNew()
{
  return vtkInteractorEventRecorder::New();
}

PyObject *PyVTKClass_vtkInteractorEventRecorderNew(char *modulename)
{
  return PyVTKClass_New(&vtkInteractorEventRecorderStaticNew,
                        PyvtkInteractorEventRecorderMethods,
                        (char*)"vtkInteractorEventRecorder",modulename,
                        (char**)vtkInteractorEventRecorderDoc,
                        PyVTKClass_vtkInteractorObserverNew(modulename));
}

