// python wrapper for vtkInteractorObserver object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInteractorObserver.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInteractorObserverNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInteractorObserverNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkInteractorObserver_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  const char    *temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  char    *temp0;
  int      temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  vtkInteractorObserver  *temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  int      temp0;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_GetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  int      temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::GetEnabled();
      }
    else
      {
      temp20 = op->GetEnabled();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_EnabledOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::EnabledOn();
      }
    else
      {
      op->EnabledOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_EnabledOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::EnabledOff();
      }
    else
      {
      op->EnabledOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_On(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::On();
      }
    else
      {
      op->On();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_Off(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::Off();
      }
    else
      {
      op->Off();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_SetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::SetInteractor(temp0);
      }
    else
      {
      op->SetInteractor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkInteractorObserver_GetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  vtkRenderWindowInteractor  *temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::GetInteractor();
      }
    else
      {
      temp20 = op->GetInteractor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_SetPriority(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  float    temp0;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::SetPriority(temp0);
      }
    else
      {
      op->SetPriority(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_GetPriorityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  float    temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::GetPriorityMinValue();
      }
    else
      {
      temp20 = op->GetPriorityMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_GetPriorityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  float    temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::GetPriorityMaxValue();
      }
    else
      {
      temp20 = op->GetPriorityMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_GetPriority(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  float    temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::GetPriority();
      }
    else
      {
      temp20 = op->GetPriority();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_SetKeyPressActivation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  int      temp0;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::SetKeyPressActivation(temp0);
      }
    else
      {
      op->SetKeyPressActivation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_GetKeyPressActivation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  int      temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::GetKeyPressActivation();
      }
    else
      {
      temp20 = op->GetKeyPressActivation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_KeyPressActivationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::KeyPressActivationOn();
      }
    else
      {
      op->KeyPressActivationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_KeyPressActivationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::KeyPressActivationOff();
      }
    else
      {
      op->KeyPressActivationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_SetKeyPressActivationValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  char     temp0;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"c", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::SetKeyPressActivationValue(temp0);
      }
    else
      {
      op->SetKeyPressActivationValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_GetKeyPressActivationValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  char     temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::GetKeyPressActivationValue();
      }
    else
      {
      temp20 = op->GetKeyPressActivationValue();
      }
    return PyString_FromStringAndSize((char *)&temp20,1);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_GetDefaultRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  vtkRenderer  *temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::GetDefaultRenderer();
      }
    else
      {
      temp20 = op->GetDefaultRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_SetDefaultRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::SetDefaultRenderer(temp0);
      }
    else
      {
      op->SetDefaultRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkInteractorObserver_GetCurrentRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  vtkRenderer  *temp20;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorObserver::GetCurrentRenderer();
      }
    else
      {
      temp20 = op->GetCurrentRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_SetCurrentRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::SetCurrentRenderer(temp0);
      }
    else
      {
      op->SetCurrentRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkInteractorObserver_OnChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorObserver::OnChar();
      }
    else
      {
      op->OnChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorObserver_ComputeDisplayToWorld(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer  *temp0;
  PyObject *tempH0;
  double   temp1;
  double   temp2;
  double   temp3;
  double temp4[4];
  if ((PyArg_ParseTuple(args, (char*)"Oddd(dddd)", &tempH0, &temp1, &temp2, &temp3, temp4 + 0, temp4 + 1, temp4 + 2, temp4 + 3)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break26;
      {
      vtkInteractorObserver::ComputeDisplayToWorld(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,4,temp4,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkInteractorObserver_ComputeWorldToDisplay(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer  *temp0;
  PyObject *tempH0;
  double   temp1;
  double   temp2;
  double   temp3;
  double temp4[3];
  if ((PyArg_ParseTuple(args, (char*)"Oddd(ddd)", &tempH0, &temp1, &temp2, &temp3, temp4 + 0, temp4 + 1, temp4 + 2)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break27;
      {
      vtkInteractorObserver::ComputeWorldToDisplay(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}

static PyMethodDef PyvtkInteractorObserverMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInteractorObserver_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInteractorObserver_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInteractorObserver_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInteractorObserver\nC++: vtkInteractorObserver *NewInstance ();\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkInteractorObserver_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods for turning the interactor observer on and off, and determining\n its state. All subclasses must provide the SetEnabled() method.\n Enabling a vtkInteractorObserver has the side effect of adding\n observers; disabling it removes the observers. Prior to enabling the\n vtkInteractorObserver you must set the render window interactor (via\n SetInteractor()).\n"},
  {(char*)"GetEnabled",                (PyCFunction)PyvtkInteractorObserver_GetEnabled, 1,
   (char*)"V.GetEnabled() -> int\nC++: int GetEnabled ();return this Enabled \n\n Methods for turning the interactor observer on and off, and determining\n its state. All subclasses must provide the SetEnabled() method.\n Enabling a vtkInteractorObserver has the side effect of adding\n observers; disabling it removes the observers. Prior to enabling the\n vtkInteractorObserver you must set the render window interactor (via\n SetInteractor()).\n"},
  {(char*)"EnabledOn",                (PyCFunction)PyvtkInteractorObserver_EnabledOn, 1,
   (char*)"V.EnabledOn()\nC++: void EnabledOn ();this SetEnabled \n\n Methods for turning the interactor observer on and off, and determining\n its state. All subclasses must provide the SetEnabled() method.\n Enabling a vtkInteractorObserver has the side effect of adding\n observers; disabling it removes the observers. Prior to enabling the\n vtkInteractorObserver you must set the render window interactor (via\n SetInteractor()).\n"},
  {(char*)"EnabledOff",                (PyCFunction)PyvtkInteractorObserver_EnabledOff, 1,
   (char*)"V.EnabledOff()\nC++: void EnabledOff ();this SetEnabled \n\n Methods for turning the interactor observer on and off, and determining\n its state. All subclasses must provide the SetEnabled() method.\n Enabling a vtkInteractorObserver has the side effect of adding\n observers; disabling it removes the observers. Prior to enabling the\n vtkInteractorObserver you must set the render window interactor (via\n SetInteractor()).\n"},
  {(char*)"On",                (PyCFunction)PyvtkInteractorObserver_On, 1,
   (char*)"V.On()\nC++: void On ();this SetEnabled \n\n Methods for turning the interactor observer on and off, and determining\n its state. All subclasses must provide the SetEnabled() method.\n Enabling a vtkInteractorObserver has the side effect of adding\n observers; disabling it removes the observers. Prior to enabling the\n vtkInteractorObserver you must set the render window interactor (via\n SetInteractor()).\n"},
  {(char*)"Off",                (PyCFunction)PyvtkInteractorObserver_Off, 1,
   (char*)"V.Off()\nC++: void Off ();this SetEnabled \n\n This method is used to associate the widget with the render window\n interactor.  Observers of the appropriate events invoked in the render\n window interactor are set up as a result of this method invocation.\n The SetInteractor() method must be invoked prior to enabling the\n vtkInteractorObserver.\n"},
  {(char*)"SetInteractor",                (PyCFunction)PyvtkInteractorObserver_SetInteractor, 1,
   (char*)"V.SetInteractor(vtkRenderWindowInteractor)\nC++: virtual void SetInteractor (vtkRenderWindowInteractor *iren);\n\n This method is used to associate the widget with the render window\n interactor.  Observers of the appropriate events invoked in the render\n window interactor are set up as a result of this method invocation.\n The SetInteractor() method must be invoked prior to enabling the\n vtkInteractorObserver.\n"},
  {(char*)"GetInteractor",                (PyCFunction)PyvtkInteractorObserver_GetInteractor, 1,
   (char*)"V.GetInteractor() -> vtkRenderWindowInteractor\nC++: vtkRenderWindowInteractor *GetInteractor ();\n\n This method is used to associate the widget with the render window\n interactor.  Observers of the appropriate events invoked in the render\n window interactor are set up as a result of this method invocation.\n The SetInteractor() method must be invoked prior to enabling the\n vtkInteractorObserver.\n"},
  {(char*)"SetPriority",                (PyCFunction)PyvtkInteractorObserver_SetPriority, 1,
   (char*)"V.SetPriority(float)\nC++: void SetPriority (float );\n\n Set/Get the priority at which events are processed. This is used when\n multiple interactor observers are used simultaneously. The default value\n is 0.0 (lowest priority.) Note that when multiple interactor observer\n have the same priority, then the last observer added will process the\n event first. (Note: once the SetInteractor() method has been called,\n changing the priority does not effect event processing. You will have\n to SetInteractor(NULL), change priority, and then SetInteractor(iren)\n to have the priority take effect.)\n"},
  {(char*)"GetPriorityMinValue",                (PyCFunction)PyvtkInteractorObserver_GetPriorityMinValue, 1,
   (char*)"V.GetPriorityMinValue() -> float\nC++: float GetPriorityMinValue ();\n\n Set/Get the priority at which events are processed. This is used when\n multiple interactor observers are used simultaneously. The default value\n is 0.0 (lowest priority.) Note that when multiple interactor observer\n have the same priority, then the last observer added will process the\n event first. (Note: once the SetInteractor() method has been called,\n changing the priority does not effect event processing. You will have\n to SetInteractor(NULL), change priority, and then SetInteractor(iren)\n to have the priority take effect.)\n"},
  {(char*)"GetPriorityMaxValue",                (PyCFunction)PyvtkInteractorObserver_GetPriorityMaxValue, 1,
   (char*)"V.GetPriorityMaxValue() -> float\nC++: float GetPriorityMaxValue ();\n\n Set/Get the priority at which events are processed. This is used when\n multiple interactor observers are used simultaneously. The default value\n is 0.0 (lowest priority.) Note that when multiple interactor observer\n have the same priority, then the last observer added will process the\n event first. (Note: once the SetInteractor() method has been called,\n changing the priority does not effect event processing. You will have\n to SetInteractor(NULL), change priority, and then SetInteractor(iren)\n to have the priority take effect.)\n"},
  {(char*)"GetPriority",                (PyCFunction)PyvtkInteractorObserver_GetPriority, 1,
   (char*)"V.GetPriority() -> float\nC++: float GetPriority ();\n\n Set/Get the priority at which events are processed. This is used when\n multiple interactor observers are used simultaneously. The default value\n is 0.0 (lowest priority.) Note that when multiple interactor observer\n have the same priority, then the last observer added will process the\n event first. (Note: once the SetInteractor() method has been called,\n changing the priority does not effect event processing. You will have\n to SetInteractor(NULL), change priority, and then SetInteractor(iren)\n to have the priority take effect.)\n"},
  {(char*)"SetKeyPressActivation",                (PyCFunction)PyvtkInteractorObserver_SetKeyPressActivation, 1,
   (char*)"V.SetKeyPressActivation(int)\nC++: void SetKeyPressActivation (int );\n\n Enable/Disable of the use of a keypress to turn on and off the\n interactor observer. (By default, the keypress is 'i' for \"interactor\n observer\".)  Set the KeyPressActivationValue to change which key\n activates the widget.)\n"},
  {(char*)"GetKeyPressActivation",                (PyCFunction)PyvtkInteractorObserver_GetKeyPressActivation, 1,
   (char*)"V.GetKeyPressActivation() -> int\nC++: int GetKeyPressActivation ();\n\n Enable/Disable of the use of a keypress to turn on and off the\n interactor observer. (By default, the keypress is 'i' for \"interactor\n observer\".)  Set the KeyPressActivationValue to change which key\n activates the widget.)\n"},
  {(char*)"KeyPressActivationOn",                (PyCFunction)PyvtkInteractorObserver_KeyPressActivationOn, 1,
   (char*)"V.KeyPressActivationOn()\nC++: void KeyPressActivationOn ();\n\n Enable/Disable of the use of a keypress to turn on and off the\n interactor observer. (By default, the keypress is 'i' for \"interactor\n observer\".)  Set the KeyPressActivationValue to change which key\n activates the widget.)\n"},
  {(char*)"KeyPressActivationOff",                (PyCFunction)PyvtkInteractorObserver_KeyPressActivationOff, 1,
   (char*)"V.KeyPressActivationOff()\nC++: void KeyPressActivationOff ();\n\n Enable/Disable of the use of a keypress to turn on and off the\n interactor observer. (By default, the keypress is 'i' for \"interactor\n observer\".)  Set the KeyPressActivationValue to change which key\n activates the widget.)\n"},
  {(char*)"SetKeyPressActivationValue",                (PyCFunction)PyvtkInteractorObserver_SetKeyPressActivationValue, 1,
   (char*)"V.SetKeyPressActivationValue(char)\nC++: void SetKeyPressActivationValue (char );\n\n Specify which key press value to use to activate the interactor observer\n (if key press activation is enabled). By default, the key press\n activation value is 'i'. Note: once the SetInteractor() method is\n invoked, changing the key press activation value will not affect the key\n press until SetInteractor(NULL)/SetInteractor(iren) is called.\n"},
  {(char*)"GetKeyPressActivationValue",                (PyCFunction)PyvtkInteractorObserver_GetKeyPressActivationValue, 1,
   (char*)"V.GetKeyPressActivationValue() -> char\nC++: char GetKeyPressActivationValue ();\n\n Specify which key press value to use to activate the interactor observer\n (if key press activation is enabled). By default, the key press\n activation value is 'i'. Note: once the SetInteractor() method is\n invoked, changing the key press activation value will not affect the key\n press until SetInteractor(NULL)/SetInteractor(iren) is called.\n"},
  {(char*)"GetDefaultRenderer",                (PyCFunction)PyvtkInteractorObserver_GetDefaultRenderer, 1,
   (char*)"V.GetDefaultRenderer() -> vtkRenderer\nC++: vtkRenderer *GetDefaultRenderer ();\n\n Set/Get the default renderer to use when activating the interactor \n observer. Normally when the widget is activated (SetEnabled(1) or when \n keypress activation takes place), the renderer over which the mouse\n pointer is positioned is used. Alternatively, you can specify the\n renderer to bind the interactor to when the interactor observer is\n activated. \n"},
  {(char*)"SetDefaultRenderer",                (PyCFunction)PyvtkInteractorObserver_SetDefaultRenderer, 1,
   (char*)"V.SetDefaultRenderer(vtkRenderer)\nC++: virtual void SetDefaultRenderer (vtkRenderer *);\n\n Set/Get the default renderer to use when activating the interactor \n observer. Normally when the widget is activated (SetEnabled(1) or when \n keypress activation takes place), the renderer over which the mouse\n pointer is positioned is used. Alternatively, you can specify the\n renderer to bind the interactor to when the interactor observer is\n activated. \n"},
  {(char*)"GetCurrentRenderer",                (PyCFunction)PyvtkInteractorObserver_GetCurrentRenderer, 1,
   (char*)"V.GetCurrentRenderer() -> vtkRenderer\nC++: vtkRenderer *GetCurrentRenderer ();\n\n Set/Get the current renderer. Normally when the widget is activated \n (SetEnabled(1) or when keypress activation takes place), the renderer\n over which the mouse pointer is positioned is used and assigned to\n this Ivar. Alternatively, you might want to set the CurrentRenderer\n explicitly.\n WARNING: note that if the DefaultRenderer Ivar is set (see above), \n it will always override the parameter passed to SetCurrentRenderer,\n unless it is NULL.\n (i.e., SetCurrentRenderer(foo) = SetCurrentRenderer(DefaultRenderer).\n"},
  {(char*)"SetCurrentRenderer",                (PyCFunction)PyvtkInteractorObserver_SetCurrentRenderer, 1,
   (char*)"V.SetCurrentRenderer(vtkRenderer)\nC++: virtual void SetCurrentRenderer (vtkRenderer *);\n\n Set/Get the current renderer. Normally when the widget is activated \n (SetEnabled(1) or when keypress activation takes place), the renderer\n over which the mouse pointer is positioned is used and assigned to\n this Ivar. Alternatively, you might want to set the CurrentRenderer\n explicitly.\n WARNING: note that if the DefaultRenderer Ivar is set (see above), \n it will always override the parameter passed to SetCurrentRenderer,\n unless it is NULL.\n (i.e., SetCurrentRenderer(foo) = SetCurrentRenderer(DefaultRenderer).\n"},
  {(char*)"OnChar",                (PyCFunction)PyvtkInteractorObserver_OnChar, 1,
   (char*)"V.OnChar()\nC++: virtual void OnChar ();\n\n Sets up the keypress-i event. \n"},
  {(char*)"ComputeDisplayToWorld",                (PyCFunction)PyvtkInteractorObserver_ComputeDisplayToWorld, 1,
   (char*)"V.ComputeDisplayToWorld(vtkRenderer, float, float, float, (float, float, float, float))\nC++: static void ComputeDisplayToWorld (vtkRenderer *ren, double x, double y, double z, double worldPt[4]);\n\n Convenience methods for outside classes. Make sure that the\n parameter \"ren\" is not-null.\n"},
  {(char*)"ComputeWorldToDisplay",                (PyCFunction)PyvtkInteractorObserver_ComputeWorldToDisplay, 1,
   (char*)"V.ComputeWorldToDisplay(vtkRenderer, float, float, float, (float, float, float))\nC++: static void ComputeWorldToDisplay (vtkRenderer *ren, double x, double y, double z, double displayPt[3]);\n\n Convenience methods for outside classes. Make sure that the\n parameter \"ren\" is not-null.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInteractorObserverDoc[] = {
  (char*)"vtkInteractorObserver - an abstract superclass for classes observing events invoked by vtkRenderWindowInteractor\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkInteractorObserver is an abstract superclass for subclasses that observe\n events invoked by vtkRenderWindowInteractor. These subclasses are \n typically things like 3D widgets; objects that interact with actors\n in the scene, or interactively probe the scene for information.\n\n vtkInteractorObserver defines the method SetInteractor() and enables and\n disables the processing of events by the vtkI",
  (char*)"nteractorObserver. Use the\n methods EnabledOn() or SetEnabled(1) to turn on the interactor observer,\n and the methods EnabledOff() or SetEnabled(0) to turn off the interactor.\n\n To support interactive manipulation of objects, this class (and\n subclasses) invoke the events StartInteractionEvent, InteractionEvent, and\n EndInteractionEvent.  These events are invoked when the\n vtkInteractorObserver en",
  (char*)"ters a state where rapid response is desired:\n mouse motion, etc. The events can be used, for example, to set the desired\n update frame rate (StartInteractionEvent), operate on data or update a\n pipeline (InteractionEvent), and set the desired frame rate back to normal\n values (EndInteractionEvent). Two other events, EnableEvent and\n DisableEvent, are invoked when the interactor observer is enable",
  (char*)"d or\n disabled.\n\n",
  "See Also:\n\n vtk3DWidget vtkBoxWidget vtkLineWidget\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInteractorObserverNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInteractorObserverMethods,
                        (char*)"vtkInteractorObserver",modulename,
                        (char**)vtkInteractorObserverDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

