// tcl wrapper for vtkInteractorStyleFlight object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleFlight.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkInteractorStyleFlightNewCommand()
{
  vtkInteractorStyleFlight *temp = vtkInteractorStyleFlight::New();
  return static_cast<ClientData>(temp);
}

int vtkInteractorStyleCppCommand(vtkInteractorStyle *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorStyleFlightCppCommand(vtkInteractorStyleFlight *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInteractorStyleFlightCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInteractorStyleFlightCppCommand(static_cast<vtkInteractorStyleFlight *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorStyleFlightCppCommand(vtkInteractorStyleFlight *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInteractorStyleFlight",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkInteractorStyleCppCommand(static_cast<vtkInteractorStyle *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorStyle"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleFlight  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleFlight");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleFlight  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleFlight");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInteractorStyleFlight  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleFlight");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMotionStepSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMotionStepSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMotionStepSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMotionStepSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMotionAccelerationFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMotionAccelerationFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMotionAccelerationFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMotionAccelerationFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAngleStepSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAngleStepSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAngleStepSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAngleStepSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAngleAccelerationFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAngleAccelerationFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAngleAccelerationFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAngleAccelerationFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDisableMotion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisableMotion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisableMotion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisableMotion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisableMotionOn",argv[1]))&&(argc == 2))
    {
    op->DisableMotionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableMotionOff",argv[1]))&&(argc == 2))
    {
    op->DisableMotionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRestoreUpVector",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRestoreUpVector(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRestoreUpVector",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRestoreUpVector();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RestoreUpVectorOn",argv[1]))&&(argc == 2))
    {
    op->RestoreUpVectorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RestoreUpVectorOff",argv[1]))&&(argc == 2))
    {
    op->RestoreUpVectorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDefaultUpVector",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDefaultUpVector();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultUpVector",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDefaultUpVector(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 2))
    {
    op->OnMouseMove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnChar",argv[1]))&&(argc == 2))
    {
    op->OnChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyDown",argv[1]))&&(argc == 2))
    {
    op->OnKeyDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyUp",argv[1]))&&(argc == 2))
    {
    op->OnKeyUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnTimer",argv[1]))&&(argc == 2))
    {
    op->OnTimer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ForwardFly",argv[1]))&&(argc == 2))
    {
    op->ForwardFly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReverseFly",argv[1]))&&(argc == 2))
    {
    op->ReverseFly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartForwardFly",argv[1]))&&(argc == 2))
    {
    op->StartForwardFly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndForwardFly",argv[1]))&&(argc == 2))
    {
    op->EndForwardFly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartReverseFly",argv[1]))&&(argc == 2))
    {
    op->StartReverseFly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndReverseFly",argv[1]))&&(argc == 2))
    {
    op->EndReverseFly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkInteractorStyleFlightCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkInteractorStyleCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorStyleFlight:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMotionStepSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMotionStepSize\n",NULL);
    Tcl_AppendResult(interp,"  SetMotionAccelerationFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMotionAccelerationFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetAngleStepSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAngleStepSize\n",NULL);
    Tcl_AppendResult(interp,"  SetAngleAccelerationFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAngleAccelerationFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableMotion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableMotion\n",NULL);
    Tcl_AppendResult(interp,"  DisableMotionOn\n",NULL);
    Tcl_AppendResult(interp,"  DisableMotionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRestoreUpVector\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRestoreUpVector\n",NULL);
    Tcl_AppendResult(interp,"  RestoreUpVectorOn\n",NULL);
    Tcl_AppendResult(interp,"  RestoreUpVectorOff\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultUpVector\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultUpVector\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseMove\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnChar\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyDown\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyUp\n",NULL);
    Tcl_AppendResult(interp,"  OnTimer\n",NULL);
    Tcl_AppendResult(interp,"  ForwardFly\n",NULL);
    Tcl_AppendResult(interp,"  ReverseFly\n",NULL);
    Tcl_AppendResult(interp,"  StartForwardFly\n",NULL);
    Tcl_AppendResult(interp,"  EndForwardFly\n",NULL);
    Tcl_AppendResult(interp,"  StartReverseFly\n",NULL);
    Tcl_AppendResult(interp,"  EndReverseFly\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorStyleCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetMotionStepSize" );
    Tcl_DStringAppendElement ( &dString, "GetMotionStepSize" );
    Tcl_DStringAppendElement ( &dString, "SetMotionAccelerationFactor" );
    Tcl_DStringAppendElement ( &dString, "GetMotionAccelerationFactor" );
    Tcl_DStringAppendElement ( &dString, "SetAngleStepSize" );
    Tcl_DStringAppendElement ( &dString, "GetAngleStepSize" );
    Tcl_DStringAppendElement ( &dString, "SetAngleAccelerationFactor" );
    Tcl_DStringAppendElement ( &dString, "GetAngleAccelerationFactor" );
    Tcl_DStringAppendElement ( &dString, "SetDisableMotion" );
    Tcl_DStringAppendElement ( &dString, "GetDisableMotion" );
    Tcl_DStringAppendElement ( &dString, "DisableMotionOn" );
    Tcl_DStringAppendElement ( &dString, "DisableMotionOff" );
    Tcl_DStringAppendElement ( &dString, "SetRestoreUpVector" );
    Tcl_DStringAppendElement ( &dString, "GetRestoreUpVector" );
    Tcl_DStringAppendElement ( &dString, "RestoreUpVectorOn" );
    Tcl_DStringAppendElement ( &dString, "RestoreUpVectorOff" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultUpVector" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultUpVector" );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    Tcl_DStringAppendElement ( &dString, "OnKeyDown" );
    Tcl_DStringAppendElement ( &dString, "OnKeyUp" );
    Tcl_DStringAppendElement ( &dString, "OnTimer" );
    Tcl_DStringAppendElement ( &dString, "ForwardFly" );
    Tcl_DStringAppendElement ( &dString, "ReverseFly" );
    Tcl_DStringAppendElement ( &dString, "StartForwardFly" );
    Tcl_DStringAppendElement ( &dString, "EndForwardFly" );
    Tcl_DStringAppendElement ( &dString, "StartReverseFly" );
    Tcl_DStringAppendElement ( &dString, "EndReverseFly" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorStyleCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyleFlight *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMotionStepSize */
    if ( strcmp ( argv[2], "SetMotionStepSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMotionStepSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMotionStepSize */
    Tcl_DStringAppendElement ( &dString, " Set the basic unit step size : by default 1/250 of bounding diagonal\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMotionStepSize (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for SetMotionStepSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMotionStepSize */
    if ( strcmp ( argv[2], "GetMotionStepSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMotionStepSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMotionStepSize */
    Tcl_DStringAppendElement ( &dString, " Set the basic unit step size : by default 1/250 of bounding diagonal\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMotionStepSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for GetMotionStepSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMotionAccelerationFactor */
    if ( strcmp ( argv[2], "SetMotionAccelerationFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMotionAccelerationFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMotionAccelerationFactor */
    Tcl_DStringAppendElement ( &dString, " Set acceleration factor when shift key is applied : default 10\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMotionAccelerationFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for SetMotionAccelerationFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMotionAccelerationFactor */
    if ( strcmp ( argv[2], "GetMotionAccelerationFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMotionAccelerationFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMotionAccelerationFactor */
    Tcl_DStringAppendElement ( &dString, " Set acceleration factor when shift key is applied : default 10\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMotionAccelerationFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for GetMotionAccelerationFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAngleStepSize */
    if ( strcmp ( argv[2], "SetAngleStepSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAngleStepSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAngleStepSize */
    Tcl_DStringAppendElement ( &dString, " Set the basic angular unit for turning : default 1 degree\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAngleStepSize (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for SetAngleStepSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAngleStepSize */
    if ( strcmp ( argv[2], "GetAngleStepSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAngleStepSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAngleStepSize */
    Tcl_DStringAppendElement ( &dString, " Set the basic angular unit for turning : default 1 degree\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAngleStepSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for GetAngleStepSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAngleAccelerationFactor */
    if ( strcmp ( argv[2], "SetAngleAccelerationFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAngleAccelerationFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAngleAccelerationFactor */
    Tcl_DStringAppendElement ( &dString, " Set angular acceleration when shift key is applied : default 5\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAngleAccelerationFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for SetAngleAccelerationFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAngleAccelerationFactor */
    if ( strcmp ( argv[2], "GetAngleAccelerationFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAngleAccelerationFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAngleAccelerationFactor */
    Tcl_DStringAppendElement ( &dString, " Set angular acceleration when shift key is applied : default 5\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAngleAccelerationFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for GetAngleAccelerationFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisableMotion */
    if ( strcmp ( argv[2], "SetDisableMotion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisableMotion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisableMotion */
    Tcl_DStringAppendElement ( &dString, " Disable motion (temporarily - for viewing etc)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisableMotion (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for SetDisableMotion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisableMotion */
    if ( strcmp ( argv[2], "GetDisableMotion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisableMotion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisableMotion */
    Tcl_DStringAppendElement ( &dString, " Disable motion (temporarily - for viewing etc)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDisableMotion ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for GetDisableMotion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisableMotionOn */
    if ( strcmp ( argv[2], "DisableMotionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableMotionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableMotionOn */
    Tcl_DStringAppendElement ( &dString, " Disable motion (temporarily - for viewing etc)\n" );
    Tcl_DStringAppendElement ( &dString, "void DisableMotionOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for DisableMotionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisableMotionOff */
    if ( strcmp ( argv[2], "DisableMotionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableMotionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableMotionOff */
    Tcl_DStringAppendElement ( &dString, " Disable motion (temporarily - for viewing etc)\n" );
    Tcl_DStringAppendElement ( &dString, "void DisableMotionOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for DisableMotionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRestoreUpVector */
    if ( strcmp ( argv[2], "SetRestoreUpVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRestoreUpVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRestoreUpVector */
    Tcl_DStringAppendElement ( &dString, " When flying, apply a restorative force to the \"Up\" vector.\n This is activated when the current 'up' is close to the actual 'up'\n (as defined in DefaultUpVector). This prevents excessive twisting forces\n when viewing from arbitrary angles, but keep the horizon level when\n the user is flying over terrain.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRestoreUpVector (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for SetRestoreUpVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRestoreUpVector */
    if ( strcmp ( argv[2], "GetRestoreUpVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRestoreUpVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRestoreUpVector */
    Tcl_DStringAppendElement ( &dString, " When flying, apply a restorative force to the \"Up\" vector.\n This is activated when the current 'up' is close to the actual 'up'\n (as defined in DefaultUpVector). This prevents excessive twisting forces\n when viewing from arbitrary angles, but keep the horizon level when\n the user is flying over terrain.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRestoreUpVector ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for GetRestoreUpVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RestoreUpVectorOn */
    if ( strcmp ( argv[2], "RestoreUpVectorOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RestoreUpVectorOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RestoreUpVectorOn */
    Tcl_DStringAppendElement ( &dString, " When flying, apply a restorative force to the \"Up\" vector.\n This is activated when the current 'up' is close to the actual 'up'\n (as defined in DefaultUpVector). This prevents excessive twisting forces\n when viewing from arbitrary angles, but keep the horizon level when\n the user is flying over terrain.\n" );
    Tcl_DStringAppendElement ( &dString, "void RestoreUpVectorOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for RestoreUpVectorOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RestoreUpVectorOff */
    if ( strcmp ( argv[2], "RestoreUpVectorOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RestoreUpVectorOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RestoreUpVectorOff */
    Tcl_DStringAppendElement ( &dString, " When flying, apply a restorative force to the \"Up\" vector.\n This is activated when the current 'up' is close to the actual 'up'\n (as defined in DefaultUpVector). This prevents excessive twisting forces\n when viewing from arbitrary angles, but keep the horizon level when\n the user is flying over terrain.\n" );
    Tcl_DStringAppendElement ( &dString, "void RestoreUpVectorOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for RestoreUpVectorOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultUpVector */
    if ( strcmp ( argv[2], "GetDefaultUpVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultUpVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultUpVector */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDefaultUpVector ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for GetDefaultUpVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultUpVector */
    if ( strcmp ( argv[2], "SetDefaultUpVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultUpVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultUpVector */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultUpVector (double  \\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for SetDefaultUpVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseMove */
    if ( strcmp ( argv[2], "OnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Mouse event bindings for flight\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMouseMove ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for OnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonDown */
    if ( strcmp ( argv[2], "OnLeftButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonDown */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Mouse event bindings for flight\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonDown ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for OnLeftButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonUp */
    if ( strcmp ( argv[2], "OnLeftButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonUp */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Mouse event bindings for flight\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonUp ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for OnLeftButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMiddleButtonDown */
    if ( strcmp ( argv[2], "OnMiddleButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMiddleButtonDown */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Mouse event bindings for flight\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMiddleButtonDown ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for OnMiddleButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMiddleButtonUp */
    if ( strcmp ( argv[2], "OnMiddleButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMiddleButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMiddleButtonUp */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Mouse event bindings for flight\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMiddleButtonUp ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for OnMiddleButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonDown */
    if ( strcmp ( argv[2], "OnRightButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonDown */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Mouse event bindings for flight\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonDown ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for OnRightButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonUp */
    if ( strcmp ( argv[2], "OnRightButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonUp */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Mouse event bindings for flight\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonUp ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for OnRightButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnChar */
    if ( strcmp ( argv[2], "OnChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnChar */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Keyboard event bindings for flight\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnChar ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for OnChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnKeyDown */
    if ( strcmp ( argv[2], "OnKeyDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnKeyDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnKeyDown */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Keyboard event bindings for flight\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnKeyDown ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for OnKeyDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnKeyUp */
    if ( strcmp ( argv[2], "OnKeyUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnKeyUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnKeyUp */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Keyboard event bindings for flight\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnKeyUp ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for OnKeyUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnTimer */
    if ( strcmp ( argv[2], "OnTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnTimer */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Keyboard event bindings for flight\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnTimer ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for OnTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ForwardFly */
    if ( strcmp ( argv[2], "ForwardFly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForwardFly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForwardFly */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Keyboard event bindings for flight\n\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ForwardFly ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for ForwardFly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseFly */
    if ( strcmp ( argv[2], "ReverseFly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseFly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseFly */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Keyboard event bindings for flight\n\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReverseFly ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for ReverseFly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartForwardFly */
    if ( strcmp ( argv[2], "StartForwardFly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartForwardFly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartForwardFly */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Keyboard event bindings for flight\n\n\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartForwardFly ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for StartForwardFly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndForwardFly */
    if ( strcmp ( argv[2], "EndForwardFly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndForwardFly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndForwardFly */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Keyboard event bindings for flight\n\n\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndForwardFly ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for EndForwardFly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartReverseFly */
    if ( strcmp ( argv[2], "StartReverseFly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartReverseFly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartReverseFly */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Keyboard event bindings for flight\n\n\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartReverseFly ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for StartReverseFly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndReverseFly */
    if ( strcmp ( argv[2], "EndReverseFly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndReverseFly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndReverseFly */
    Tcl_DStringAppendElement ( &dString, " Concrete implementation of Keyboard event bindings for flight\n\n\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndReverseFly ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleFlight" );
    /* Closing for EndReverseFly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkInteractorStyleCppCommand(static_cast<vtkInteractorStyle *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
