// tcl wrapper for vtkInteractorStyleImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleImage.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkInteractorStyleImageNewCommand()
{
  vtkInteractorStyleImage *temp = vtkInteractorStyleImage::New();
  return static_cast<ClientData>(temp);
}

int vtkInteractorStyleTrackballCameraCppCommand(vtkInteractorStyleTrackballCamera *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorStyleImageCppCommand(vtkInteractorStyleImage *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInteractorStyleImageCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInteractorStyleImageCppCommand(static_cast<vtkInteractorStyleImage *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorStyleImageCppCommand(vtkInteractorStyleImage *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInteractorStyleImage",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkInteractorStyleTrackballCameraCppCommand(static_cast<vtkInteractorStyleTrackballCamera *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorStyleTrackballCamera"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleImage  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleImage");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleImage  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleImage");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInteractorStyleImage  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleImage");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindowLevelStartPosition",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetWindowLevelStartPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetWindowLevelCurrentPosition",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetWindowLevelCurrentPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 2))
    {
    op->OnMouseMove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnChar",argv[1]))&&(argc == 2))
    {
    op->OnChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WindowLevel",argv[1]))&&(argc == 2))
    {
    op->WindowLevel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Pick",argv[1]))&&(argc == 2))
    {
    op->Pick();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartWindowLevel",argv[1]))&&(argc == 2))
    {
    op->StartWindowLevel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndWindowLevel",argv[1]))&&(argc == 2))
    {
    op->EndWindowLevel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartPick",argv[1]))&&(argc == 2))
    {
    op->StartPick();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndPick",argv[1]))&&(argc == 2))
    {
    op->EndPick();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkInteractorStyleImageCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkInteractorStyleTrackballCameraCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorStyleImage:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowLevelStartPosition\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowLevelCurrentPosition\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseMove\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnChar\n",NULL);
    Tcl_AppendResult(interp,"  WindowLevel\n",NULL);
    Tcl_AppendResult(interp,"  Pick\n",NULL);
    Tcl_AppendResult(interp,"  StartWindowLevel\n",NULL);
    Tcl_AppendResult(interp,"  EndWindowLevel\n",NULL);
    Tcl_AppendResult(interp,"  StartPick\n",NULL);
    Tcl_AppendResult(interp,"  EndPick\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorStyleTrackballCameraCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevelStartPosition" );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevelCurrentPosition" );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    Tcl_DStringAppendElement ( &dString, "WindowLevel" );
    Tcl_DStringAppendElement ( &dString, "Pick" );
    Tcl_DStringAppendElement ( &dString, "StartWindowLevel" );
    Tcl_DStringAppendElement ( &dString, "EndWindowLevel" );
    Tcl_DStringAppendElement ( &dString, "StartPick" );
    Tcl_DStringAppendElement ( &dString, "EndPick" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorStyleTrackballCameraCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyleImage *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowLevelStartPosition */
    if ( strcmp ( argv[2], "GetWindowLevelStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevelStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowLevelStartPosition */
    Tcl_DStringAppendElement ( &dString, " Some useful information for handling window level\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetWindowLevelStartPosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for GetWindowLevelStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowLevelCurrentPosition */
    if ( strcmp ( argv[2], "GetWindowLevelCurrentPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevelCurrentPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowLevelCurrentPosition */
    Tcl_DStringAppendElement ( &dString, " Some useful information for handling window level\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetWindowLevelCurrentPosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for GetWindowLevelCurrentPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseMove */
    if ( strcmp ( argv[2], "OnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMouseMove ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for OnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonDown */
    if ( strcmp ( argv[2], "OnLeftButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonDown */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonDown ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for OnLeftButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnLeftButtonUp */
    if ( strcmp ( argv[2], "OnLeftButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnLeftButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnLeftButtonUp */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnLeftButtonUp ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for OnLeftButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonDown */
    if ( strcmp ( argv[2], "OnRightButtonDown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonDown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonDown */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonDown ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for OnRightButtonDown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnRightButtonUp */
    if ( strcmp ( argv[2], "OnRightButtonUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnRightButtonUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnRightButtonUp */
    Tcl_DStringAppendElement ( &dString, " Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnRightButtonUp ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for OnRightButtonUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnChar */
    if ( strcmp ( argv[2], "OnChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnChar */
    Tcl_DStringAppendElement ( &dString, " Override the \"fly-to\" (f keypress) for images.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnChar ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for OnChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WindowLevel */
    if ( strcmp ( argv[2], "WindowLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WindowLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WindowLevel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void WindowLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for WindowLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pick */
    if ( strcmp ( argv[2], "Pick" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pick" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pick */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void Pick ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for Pick */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWindowLevel */
    if ( strcmp ( argv[2], "StartWindowLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWindowLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWindowLevel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartWindowLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for StartWindowLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndWindowLevel */
    if ( strcmp ( argv[2], "EndWindowLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndWindowLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndWindowLevel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndWindowLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for EndWindowLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartPick */
    if ( strcmp ( argv[2], "StartPick" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartPick" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartPick */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartPick ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for StartPick */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndPick */
    if ( strcmp ( argv[2], "EndPick" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndPick" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndPick */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndPick ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleImage" );
    /* Closing for EndPick */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkInteractorStyleTrackballCameraCppCommand(static_cast<vtkInteractorStyleTrackballCamera *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
