// python wrapper for vtkInteractorStyleTrackball object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInteractorStyleTrackball.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInteractorStyleTrackballNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInteractorStyleTrackballNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorStyleSwitchNew(char *); }

static PyObject *PyvtkInteractorStyleTrackball_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleTrackball *op;

  const char    *temp20;
  op = (vtkInteractorStyleTrackball *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleTrackball::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleTrackball_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleTrackball *op;

  char    *temp0;
  int      temp20;
  op = (vtkInteractorStyleTrackball *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleTrackball::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleTrackball_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleTrackball *op;

  vtkInteractorStyleTrackball  *temp20;
  op = (vtkInteractorStyleTrackball *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleTrackball::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleTrackball_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInteractorStyleTrackball  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInteractorStyleTrackball::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkInteractorStyleTrackballMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInteractorStyleTrackball_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInteractorStyleTrackball_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInteractorStyleTrackball_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInteractorStyleTrackball\nC++: vtkInteractorStyleTrackball *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInteractorStyleTrackball_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInteractorStyleTrackball\nC++: vtkInteractorStyleTrackball *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInteractorStyleTrackballDoc[] = {
  (char*)"vtkInteractorStyleTrackball - provides trackball motion control\n\n",
  "Super Class:\n\n vtkInteractorStyleSwitch\n\n",
  (char*)" vtkInteractorStyleTrackball is an implementation of vtkInteractorStyle\n that defines the trackball style. It is now deprecated and as such a\n subclass of vtkInteractorStyleSwitch\n\n",
  "See Also:\n\n vtkInteractorStyleSwitch vtkInteractorStyleTrackballActor vtkInteractorStyleJoystickCamera\n\n",
  NULL
};

static vtkObjectBase *vtkInteractorStyleTrackballStaticNew()
{
  return vtkInteractorStyleTrackball::New();
}

PyObject *PyVTKClass_vtkInteractorStyleTrackballNew(char *modulename)
{
  return PyVTKClass_New(&vtkInteractorStyleTrackballStaticNew,
                        PyvtkInteractorStyleTrackballMethods,
                        (char*)"vtkInteractorStyleTrackball",modulename,
                        (char**)vtkInteractorStyleTrackballDoc,
                        PyVTKClass_vtkInteractorStyleSwitchNew(modulename));
}

