// tcl wrapper for vtkLODActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLODActor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLODActorNewCommand()
{
  vtkLODActor *temp = vtkLODActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActorCppCommand(vtkActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLODActorCppCommand(vtkLODActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLODActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLODActorCppCommand(static_cast<vtkLODActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLODActorCppCommand(vtkLODActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLODActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLODActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLODActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLODActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLODActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLODActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLODActor");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkMapper  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkMapper"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLODMapper",argv[1]))&&(argc == 3))
    {
    vtkMapper  *temp0;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMapper"),interp,error));
    if (!error)
    {
    op->AddLODMapper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLowResFilter",argv[1]))&&(argc == 3))
    {
    vtkPolyDataAlgorithm  *temp0;
    error = 0;

    temp0 = (vtkPolyDataAlgorithm *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyDataAlgorithm"),interp,error));
    if (!error)
    {
    op->SetLowResFilter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMediumResFilter",argv[1]))&&(argc == 3))
    {
    vtkPolyDataAlgorithm  *temp0;
    error = 0;

    temp0 = (vtkPolyDataAlgorithm *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyDataAlgorithm"),interp,error));
    if (!error)
    {
    op->SetMediumResFilter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLowResFilter",argv[1]))&&(argc == 2))
    {
    vtkPolyDataAlgorithm  *temp20;
    temp20 = (op)->GetLowResFilter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("GetMediumResFilter",argv[1]))&&(argc == 2))
    {
    vtkPolyDataAlgorithm  *temp20;
    temp20 = (op)->GetMediumResFilter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCloudPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCloudPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfCloudPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfCloudPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODMappers",argv[1]))&&(argc == 2))
    {
    vtkMapperCollection  *temp20;
    temp20 = (op)->GetLODMappers();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMapperCollection");
    return TCL_OK;
    }
  if ((!strcmp("Modified",argv[1]))&&(argc == 2))
    {
    op->Modified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLODActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLODActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddLODMapper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLowResFilter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMediumResFilter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLowResFilter\n",NULL);
    Tcl_AppendResult(interp,"  GetMediumResFilter\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCloudPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfCloudPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLODMappers\n",NULL);
    Tcl_AppendResult(interp,"  Modified\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "AddLODMapper" );
    Tcl_DStringAppendElement ( &dString, "SetLowResFilter" );
    Tcl_DStringAppendElement ( &dString, "SetMediumResFilter" );
    Tcl_DStringAppendElement ( &dString, "GetLowResFilter" );
    Tcl_DStringAppendElement ( &dString, "GetMediumResFilter" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCloudPoints" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfCloudPoints" );
    Tcl_DStringAppendElement ( &dString, "GetLODMappers" );
    Tcl_DStringAppendElement ( &dString, "Modified" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a vtkLODActor with the following defaults: origin(0,0,0) \n position=(0,0,0) scale=(1,1,1) visibility=1 pickable=1 dragable=1\n orientation=(0,0,0). NumberOfCloudPoints is set to 150.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkLODActor *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " This causes the actor to be rendered. It, in turn, will render the actor's\n property and then mapper.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render (vtkRenderer *, vtkMapper *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " This method is used internally by the rendering process. We overide \n the superclass method to properly set the estimated render time.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources (vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLODMapper */
    if ( strcmp ( argv[2], "AddLODMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLODMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLODMapper */
    Tcl_DStringAppendElement ( &dString, " Add another level of detail.  They do not have to be in any order\n of complexity.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddLODMapper (vtkMapper *mapper);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for AddLODMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLowResFilter */
    if ( strcmp ( argv[2], "SetLowResFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLowResFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataAlgorithm" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLowResFilter */
    Tcl_DStringAppendElement ( &dString, " You may plug in your own filters to decimate/subsample the input. The\n default is to use a vtkOutlineFilter (low-res) and vtkMaskPoints \n (medium-res).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLowResFilter (vtkPolyDataAlgorithm *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for SetLowResFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMediumResFilter */
    if ( strcmp ( argv[2], "SetMediumResFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMediumResFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataAlgorithm" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMediumResFilter */
    Tcl_DStringAppendElement ( &dString, " You may plug in your own filters to decimate/subsample the input. The\n default is to use a vtkOutlineFilter (low-res) and vtkMaskPoints \n (medium-res).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMediumResFilter (vtkPolyDataAlgorithm *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for SetMediumResFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLowResFilter */
    if ( strcmp ( argv[2], "GetLowResFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLowResFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLowResFilter */
    Tcl_DStringAppendElement ( &dString, " You may plug in your own filters to decimate/subsample the input. The\n default is to use a vtkOutlineFilter (low-res) and vtkMaskPoints \n (medium-res).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataAlgorithm *GetLowResFilter ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for GetLowResFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMediumResFilter */
    if ( strcmp ( argv[2], "GetMediumResFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMediumResFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMediumResFilter */
    Tcl_DStringAppendElement ( &dString, " You may plug in your own filters to decimate/subsample the input. The\n default is to use a vtkOutlineFilter (low-res) and vtkMaskPoints \n (medium-res).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataAlgorithm *GetMediumResFilter ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for GetMediumResFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCloudPoints */
    if ( strcmp ( argv[2], "GetNumberOfCloudPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCloudPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCloudPoints */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of random points for the point cloud.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCloudPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for GetNumberOfCloudPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfCloudPoints */
    if ( strcmp ( argv[2], "SetNumberOfCloudPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfCloudPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfCloudPoints */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of random points for the point cloud.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfCloudPoints (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for SetNumberOfCloudPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLODMappers */
    if ( strcmp ( argv[2], "GetLODMappers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLODMappers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLODMappers */
    Tcl_DStringAppendElement ( &dString, " All the mappers for different LODs are stored here.\n The order is not important.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMapperCollection *GetLODMappers ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for GetLODMappers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Modified */
    if ( strcmp ( argv[2], "Modified" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Modified" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Modified */
    Tcl_DStringAppendElement ( &dString, " When this objects gets modified, this method also modifies the object.\n" );
    Tcl_DStringAppendElement ( &dString, "void Modified ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for Modified */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of an LOD actor. Overloads the virtual vtkProp method.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy (vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODActor" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
