// tcl wrapper for vtkLODProp3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLODProp3D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLODProp3DNewCommand()
{
  vtkLODProp3D *temp = vtkLODProp3D::New();
  return static_cast<ClientData>(temp);
}

int vtkProp3DCppCommand(vtkProp3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLODProp3DCppCommand(vtkLODProp3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLODProp3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLODProp3DCppCommand(static_cast<vtkLODProp3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLODProp3DCppCommand(vtkLODProp3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLODProp3D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkProp3DCppCommand(static_cast<vtkProp3D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkProp3D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkProp3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp3D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLODProp3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLODProp3D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLODProp3D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLODProp3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 7))
    {
    vtkMapper  *temp0;
    vtkProperty  *temp1;
    vtkProperty  *temp2;
    vtkTexture  *temp3;
    double   temp4;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMapper"),interp,error));
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkProperty"),interp,error));
    temp2 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkProperty"),interp,error));
    temp3 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkTexture"),interp,error));
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 6))
    {
    vtkMapper  *temp0;
    vtkProperty  *temp1;
    vtkTexture  *temp2;
    double   temp3;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMapper"),interp,error));
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkProperty"),interp,error));
    temp2 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkTexture"),interp,error));
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 6))
    {
    vtkMapper  *temp0;
    vtkProperty  *temp1;
    vtkProperty  *temp2;
    double   temp3;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMapper"),interp,error));
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkProperty"),interp,error));
    temp2 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkProperty"),interp,error));
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 5))
    {
    vtkMapper  *temp0;
    vtkProperty  *temp1;
    double   temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMapper"),interp,error));
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkProperty"),interp,error));
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 5))
    {
    vtkMapper  *temp0;
    vtkTexture  *temp1;
    double   temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMapper"),interp,error));
    temp1 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkTexture"),interp,error));
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 4))
    {
    vtkMapper  *temp0;
    double   temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMapper"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 5))
    {
    vtkAbstractVolumeMapper  *temp0;
    vtkVolumeProperty  *temp1;
    double   temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkAbstractVolumeMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractVolumeMapper"),interp,error));
    temp1 = (vtkVolumeProperty *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolumeProperty"),interp,error));
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 4))
    {
    vtkAbstractVolumeMapper  *temp0;
    double   temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkAbstractVolumeMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractVolumeMapper"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfLODs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLODs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveLOD",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODProperty",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkProperty  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetLODProperty(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODProperty",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkVolumeProperty  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkVolumeProperty *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolumeProperty"),interp,error));
    if (!error)
    {
    op->SetLODProperty(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODMapper",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkMapper  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkMapper"),interp,error));
    if (!error)
    {
    op->SetLODMapper(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODMapper",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAbstractVolumeMapper  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAbstractVolumeMapper *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAbstractVolumeMapper"),interp,error));
    if (!error)
    {
    op->SetLODMapper(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODMapper",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAbstractMapper3D  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLODMapper(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractMapper3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODBackfaceProperty",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkProperty  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetLODBackfaceProperty(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODTexture",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkTexture  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkTexture"),interp,error));
    if (!error)
    {
    op->SetLODTexture(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EnableLOD",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->EnableLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableLOD",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DisableLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsLODEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsLODEnabled(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODLevel",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetLODLevel(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLODLevel(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODIndexLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLODIndexLevel(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODEstimatedRenderTime",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLODEstimatedRenderTime(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODIndexEstimatedRenderTime",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLODIndexEstimatedRenderTime(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAutomaticLODSelection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutomaticLODSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutomaticLODSelectionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticLODSelectionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutomaticLODSelectionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticLODSelectionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutomaticLODSelection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticLODSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticLODSelectionOn",argv[1]))&&(argc == 2))
    {
    op->AutomaticLODSelectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticLODSelectionOff",argv[1]))&&(argc == 2))
    {
    op->AutomaticLODSelectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedLODID",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectedLODID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedLODID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedLODID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastRenderedLODID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLastRenderedLODID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickLODID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPickLODID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolumes",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetVolumes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectedPickLODID",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectedPickLODID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPickLODID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedPickLODID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutomaticPickLODSelection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutomaticPickLODSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutomaticPickLODSelectionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticPickLODSelectionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutomaticPickLODSelectionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticPickLODSelectionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutomaticPickLODSelection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticPickLODSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticPickLODSelectionOn",argv[1]))&&(argc == 2))
    {
    op->AutomaticPickLODSelectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticPickLODSelectionOff",argv[1]))&&(argc == 2))
    {
    op->AutomaticPickLODSelectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLODProp3DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkProp3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLODProp3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLODs\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentIndex\n",NULL);
    Tcl_AppendResult(interp,"  RemoveLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLODProperty\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLODProperty\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLODMapper\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLODMapper\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLODMapper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLODBackfaceProperty\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLODTexture\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  EnableLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsLODEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLODLevel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLODLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLODIndexLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLODEstimatedRenderTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLODIndexEstimatedRenderTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAutomaticLODSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticLODSelectionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticLODSelectionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticLODSelection\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticLODSelectionOn\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticLODSelectionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedLODID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedLODID\n",NULL);
    Tcl_AppendResult(interp,"  GetLastRenderedLODID\n",NULL);
    Tcl_AppendResult(interp,"  GetPickLODID\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPickLODID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPickLODID\n",NULL);
    Tcl_AppendResult(interp,"  SetAutomaticPickLODSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticPickLODSelectionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticPickLODSelectionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticPickLODSelection\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticPickLODSelectionOn\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticPickLODSelectionOff\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkProp3DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLODs" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentIndex" );
    Tcl_DStringAppendElement ( &dString, "RemoveLOD" );
    Tcl_DStringAppendElement ( &dString, "SetLODProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLODProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLODMapper" );
    Tcl_DStringAppendElement ( &dString, "SetLODMapper" );
    Tcl_DStringAppendElement ( &dString, "GetLODMapper" );
    Tcl_DStringAppendElement ( &dString, "SetLODBackfaceProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLODTexture" );
    Tcl_DStringAppendElement ( &dString, "EnableLOD" );
    Tcl_DStringAppendElement ( &dString, "DisableLOD" );
    Tcl_DStringAppendElement ( &dString, "IsLODEnabled" );
    Tcl_DStringAppendElement ( &dString, "SetLODLevel" );
    Tcl_DStringAppendElement ( &dString, "GetLODLevel" );
    Tcl_DStringAppendElement ( &dString, "GetLODIndexLevel" );
    Tcl_DStringAppendElement ( &dString, "GetLODEstimatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "GetLODIndexEstimatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticLODSelection" );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticLODSelectionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticLODSelectionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticLODSelection" );
    Tcl_DStringAppendElement ( &dString, "AutomaticLODSelectionOn" );
    Tcl_DStringAppendElement ( &dString, "AutomaticLODSelectionOff" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedLODID" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedLODID" );
    Tcl_DStringAppendElement ( &dString, "GetLastRenderedLODID" );
    Tcl_DStringAppendElement ( &dString, "GetPickLODID" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "GetVolumes" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPickLODID" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPickLODID" );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticPickLODSelection" );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticPickLODSelectionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticPickLODSelectionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticPickLODSelection" );
    Tcl_DStringAppendElement ( &dString, "AutomaticPickLODSelectionOn" );
    Tcl_DStringAppendElement ( &dString, "AutomaticPickLODSelectionOff" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkProp3DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create an instance of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "typedef struct vtkProp3D Prop3D int Prop3DType int ID double EstimatedTime int State double Level vtkLODProp3DEntry static vtkLODProp3D *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Standard vtkProp method to get 3D bounds of a 3D prop\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Standard vtkProp method to get 3D bounds of a 3D prop\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds (double bounds\\[6\\]);this vtkProp3D GetBounds bounds " );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLOD */
    if ( strcmp ( argv[2], "AddLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLOD */
    Tcl_DStringAppendElement ( &dString, " Add a level of detail with a given mapper, property, backface property,\n texture, and guess of rendering time.  The property and texture fields\n can be set to NULL (the other methods are included for script access\n where null variables are not allowed). The time field can be set to 0.0\n indicating that no initial guess for rendering time is being supplied.\n The returned integer value is an ID that can be used later to delete\n this LOD, or set it as the selected LOD.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddLOD (vtkMapper *m, vtkProperty *p, vtkProperty *back, vtkTexture *t, double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AddLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLOD */
    if ( strcmp ( argv[2], "AddLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLOD */
    Tcl_DStringAppendElement ( &dString, " Add a level of detail with a given mapper, property, backface property,\n texture, and guess of rendering time.  The property and texture fields\n can be set to NULL (the other methods are included for script access\n where null variables are not allowed). The time field can be set to 0.0\n indicating that no initial guess for rendering time is being supplied.\n The returned integer value is an ID that can be used later to delete\n this LOD, or set it as the selected LOD.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddLOD (vtkMapper *m, vtkProperty *p, vtkTexture *t, double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AddLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLOD */
    if ( strcmp ( argv[2], "AddLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLOD */
    Tcl_DStringAppendElement ( &dString, " Add a level of detail with a given mapper, property, backface property,\n texture, and guess of rendering time.  The property and texture fields\n can be set to NULL (the other methods are included for script access\n where null variables are not allowed). The time field can be set to 0.0\n indicating that no initial guess for rendering time is being supplied.\n The returned integer value is an ID that can be used later to delete\n this LOD, or set it as the selected LOD.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddLOD (vtkMapper *m, vtkProperty *p, vtkProperty *back, double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AddLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLOD */
    if ( strcmp ( argv[2], "AddLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLOD */
    Tcl_DStringAppendElement ( &dString, " Add a level of detail with a given mapper, property, backface property,\n texture, and guess of rendering time.  The property and texture fields\n can be set to NULL (the other methods are included for script access\n where null variables are not allowed). The time field can be set to 0.0\n indicating that no initial guess for rendering time is being supplied.\n The returned integer value is an ID that can be used later to delete\n this LOD, or set it as the selected LOD.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddLOD (vtkMapper *m, vtkProperty *p, double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AddLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLOD */
    if ( strcmp ( argv[2], "AddLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLOD */
    Tcl_DStringAppendElement ( &dString, " Add a level of detail with a given mapper, property, backface property,\n texture, and guess of rendering time.  The property and texture fields\n can be set to NULL (the other methods are included for script access\n where null variables are not allowed). The time field can be set to 0.0\n indicating that no initial guess for rendering time is being supplied.\n The returned integer value is an ID that can be used later to delete\n this LOD, or set it as the selected LOD.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddLOD (vtkMapper *m, vtkTexture *t, double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AddLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLOD */
    if ( strcmp ( argv[2], "AddLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLOD */
    Tcl_DStringAppendElement ( &dString, " Add a level of detail with a given mapper, property, backface property,\n texture, and guess of rendering time.  The property and texture fields\n can be set to NULL (the other methods are included for script access\n where null variables are not allowed). The time field can be set to 0.0\n indicating that no initial guess for rendering time is being supplied.\n The returned integer value is an ID that can be used later to delete\n this LOD, or set it as the selected LOD.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddLOD (vtkMapper *m, double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AddLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLOD */
    if ( strcmp ( argv[2], "AddLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLOD */
    Tcl_DStringAppendElement ( &dString, " Add a level of detail with a given mapper, property, backface property,\n texture, and guess of rendering time.  The property and texture fields\n can be set to NULL (the other methods are included for script access\n where null variables are not allowed). The time field can be set to 0.0\n indicating that no initial guess for rendering time is being supplied.\n The returned integer value is an ID that can be used later to delete\n this LOD, or set it as the selected LOD.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddLOD (vtkAbstractVolumeMapper *m, vtkVolumeProperty *p, double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AddLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLOD */
    if ( strcmp ( argv[2], "AddLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLOD */
    Tcl_DStringAppendElement ( &dString, " Add a level of detail with a given mapper, property, backface property,\n texture, and guess of rendering time.  The property and texture fields\n can be set to NULL (the other methods are included for script access\n where null variables are not allowed). The time field can be set to 0.0\n indicating that no initial guess for rendering time is being supplied.\n The returned integer value is an ID that can be used later to delete\n this LOD, or set it as the selected LOD.\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddLOD (vtkAbstractVolumeMapper *m, double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AddLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLODs */
    if ( strcmp ( argv[2], "GetNumberOfLODs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLODs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLODs */
    Tcl_DStringAppendElement ( &dString, " Get the current number of LODs.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLODs ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetNumberOfLODs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentIndex */
    if ( strcmp ( argv[2], "GetCurrentIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentIndex */
    Tcl_DStringAppendElement ( &dString, " Get the current index, used to determine the ID of the next LOD that is\n added.  Useful for guessing what IDs have been used (with NumberOfLODs,\n without depending on the constructor initialization to 1000.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCurrentIndex ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetCurrentIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveLOD */
    if ( strcmp ( argv[2], "RemoveLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveLOD */
    Tcl_DStringAppendElement ( &dString, " Delete a level of detail given an ID. This is the ID returned by the\n AddLOD method\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveLOD (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for RemoveLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLODProperty */
    if ( strcmp ( argv[2], "SetLODProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLODProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLODProperty */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get the property of an LOD. Since the LOD could be\n a volume or an actor, you have to pass in the pointer to the property\n to get it. The returned property will be NULL if the id is not valid,\n or the property is of the wrong type for the corresponding Prop3D.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLODProperty (int id, vtkProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SetLODProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLODProperty */
    if ( strcmp ( argv[2], "SetLODProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLODProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLODProperty */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get the property of an LOD. Since the LOD could be\n a volume or an actor, you have to pass in the pointer to the property\n to get it. The returned property will be NULL if the id is not valid,\n or the property is of the wrong type for the corresponding Prop3D.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLODProperty (int id, vtkVolumeProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SetLODProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLODMapper */
    if ( strcmp ( argv[2], "SetLODMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLODMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLODMapper */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get the mapper of an LOD. Since the LOD could be\n a volume or an actor, you have to pass in the pointer to the mapper\n to get it. The returned mapper will be NULL if the id is not valid,\n or the mapper is of the wrong type for the corresponding Prop3D.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLODMapper (int id, vtkMapper *m);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SetLODMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLODMapper */
    if ( strcmp ( argv[2], "SetLODMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLODMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractVolumeMapper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLODMapper */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get the mapper of an LOD. Since the LOD could be\n a volume or an actor, you have to pass in the pointer to the mapper\n to get it. The returned mapper will be NULL if the id is not valid,\n or the mapper is of the wrong type for the corresponding Prop3D.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLODMapper (int id, vtkAbstractVolumeMapper *m);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SetLODMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLODMapper */
    if ( strcmp ( argv[2], "GetLODMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLODMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLODMapper */
    Tcl_DStringAppendElement ( &dString, " Get the LODMapper as an vtkAbstractMapper3D.  It is the user's\n respondibility to safe down cast this to a vtkMapper or vtkVolumeMapper\n as appropriate.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractMapper3D *GetLODMapper (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetLODMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLODBackfaceProperty */
    if ( strcmp ( argv[2], "SetLODBackfaceProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLODBackfaceProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLODBackfaceProperty */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get the backface property of an LOD. This method is only\n valid for LOD ids that are Actors (not Volumes)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLODBackfaceProperty (int id, vtkProperty *t);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SetLODBackfaceProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLODTexture */
    if ( strcmp ( argv[2], "SetLODTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLODTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLODTexture */
    Tcl_DStringAppendElement ( &dString, " Methods to set / get the texture of an LOD. This method is only\n valid for LOD ids that are Actors (not Volumes)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLODTexture (int id, vtkTexture *t);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SetLODTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableLOD */
    if ( strcmp ( argv[2], "EnableLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableLOD */
    Tcl_DStringAppendElement ( &dString, " Enable / disable a particular LOD. If it is disabled, it will not\n be used during automatic selection, but can be selected as the\n LOD if automatic LOD selection is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void EnableLOD (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for EnableLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisableLOD */
    if ( strcmp ( argv[2], "DisableLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableLOD */
    Tcl_DStringAppendElement ( &dString, " Enable / disable a particular LOD. If it is disabled, it will not\n be used during automatic selection, but can be selected as the\n LOD if automatic LOD selection is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisableLOD (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for DisableLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsLODEnabled */
    if ( strcmp ( argv[2], "IsLODEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsLODEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsLODEnabled */
    Tcl_DStringAppendElement ( &dString, " Enable / disable a particular LOD. If it is disabled, it will not\n be used during automatic selection, but can be selected as the\n LOD if automatic LOD selection is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsLODEnabled (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for IsLODEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLODLevel */
    if ( strcmp ( argv[2], "SetLODLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLODLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLODLevel */
    Tcl_DStringAppendElement ( &dString, " Set the level of a particular LOD. When a LOD is selected for\n rendering because it has the largest render time that fits within\n the allocated time, all LOD are then checked to see if any one can\n render faster but has a lower (more resolution/better) level.\n This quantity is a double to ensure that a level can be inserted \n between 2 and 3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLODLevel (int id, double level);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SetLODLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLODLevel */
    if ( strcmp ( argv[2], "GetLODLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLODLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLODLevel */
    Tcl_DStringAppendElement ( &dString, " Set the level of a particular LOD. When a LOD is selected for\n rendering because it has the largest render time that fits within\n the allocated time, all LOD are then checked to see if any one can\n render faster but has a lower (more resolution/better) level.\n This quantity is a double to ensure that a level can be inserted \n between 2 and 3.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLODLevel (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetLODLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLODIndexLevel */
    if ( strcmp ( argv[2], "GetLODIndexLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLODIndexLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLODIndexLevel */
    Tcl_DStringAppendElement ( &dString, " Set the level of a particular LOD. When a LOD is selected for\n rendering because it has the largest render time that fits within\n the allocated time, all LOD are then checked to see if any one can\n render faster but has a lower (more resolution/better) level.\n This quantity is a double to ensure that a level can be inserted \n between 2 and 3.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLODIndexLevel (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetLODIndexLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLODEstimatedRenderTime */
    if ( strcmp ( argv[2], "GetLODEstimatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLODEstimatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLODEstimatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " Access method that can be used to find out the estimated render time\n (the thing used to select an LOD) for a given LOD ID or index. \n Value is returned in seconds.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLODEstimatedRenderTime (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetLODEstimatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLODIndexEstimatedRenderTime */
    if ( strcmp ( argv[2], "GetLODIndexEstimatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLODIndexEstimatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLODIndexEstimatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " Access method that can be used to find out the estimated render time\n (the thing used to select an LOD) for a given LOD ID or index. \n Value is returned in seconds.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLODIndexEstimatedRenderTime (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetLODIndexEstimatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutomaticLODSelection */
    if ( strcmp ( argv[2], "SetAutomaticLODSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticLODSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutomaticLODSelection */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutomaticLODSelection (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SetAutomaticLODSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomaticLODSelectionMinValue */
    if ( strcmp ( argv[2], "GetAutomaticLODSelectionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticLODSelectionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomaticLODSelectionMinValue */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutomaticLODSelectionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetAutomaticLODSelectionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomaticLODSelectionMaxValue */
    if ( strcmp ( argv[2], "GetAutomaticLODSelectionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticLODSelectionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomaticLODSelectionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutomaticLODSelectionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetAutomaticLODSelectionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomaticLODSelection */
    if ( strcmp ( argv[2], "GetAutomaticLODSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticLODSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomaticLODSelection */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutomaticLODSelection ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetAutomaticLODSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticLODSelectionOn */
    if ( strcmp ( argv[2], "AutomaticLODSelectionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticLODSelectionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticLODSelectionOn */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticLODSelectionOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AutomaticLODSelectionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticLODSelectionOff */
    if ( strcmp ( argv[2], "AutomaticLODSelectionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticLODSelectionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticLODSelectionOff */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticLODSelectionOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AutomaticLODSelectionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedLODID */
    if ( strcmp ( argv[2], "SetSelectedLODID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedLODID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedLODID */
    Tcl_DStringAppendElement ( &dString, " Set the id of the LOD that is to be drawn when automatic LOD selection\n is turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedLODID (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SetSelectedLODID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedLODID */
    if ( strcmp ( argv[2], "GetSelectedLODID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedLODID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedLODID */
    Tcl_DStringAppendElement ( &dString, " Set the id of the LOD that is to be drawn when automatic LOD selection\n is turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectedLODID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetSelectedLODID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastRenderedLODID */
    if ( strcmp ( argv[2], "GetLastRenderedLODID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastRenderedLODID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastRenderedLODID */
    Tcl_DStringAppendElement ( &dString, " Get the ID of the previously (during the last render) selected LOD index\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLastRenderedLODID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetLastRenderedLODID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickLODID */
    if ( strcmp ( argv[2], "GetPickLODID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickLODID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickLODID */
    Tcl_DStringAppendElement ( &dString, " Get the ID of the appropriate pick LOD index\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPickLODID (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetPickLODID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, " For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors (vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumes */
    if ( strcmp ( argv[2], "GetVolumes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumes */
    Tcl_DStringAppendElement ( &dString, " For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetVolumes (vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetVolumes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedPickLODID */
    if ( strcmp ( argv[2], "SetSelectedPickLODID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPickLODID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedPickLODID */
    Tcl_DStringAppendElement ( &dString, " Set the id of the LOD that is to be used for picking when  automatic \n LOD pick selection is turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedPickLODID (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SetSelectedPickLODID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPickLODID */
    if ( strcmp ( argv[2], "GetSelectedPickLODID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPickLODID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPickLODID */
    Tcl_DStringAppendElement ( &dString, " Set the id of the LOD that is to be used for picking when  automatic \n LOD pick selection is turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectedPickLODID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetSelectedPickLODID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutomaticPickLODSelection */
    if ( strcmp ( argv[2], "SetAutomaticPickLODSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticPickLODSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutomaticPickLODSelection */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutomaticPickLODSelection (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for SetAutomaticPickLODSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomaticPickLODSelectionMinValue */
    if ( strcmp ( argv[2], "GetAutomaticPickLODSelectionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticPickLODSelectionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomaticPickLODSelectionMinValue */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutomaticPickLODSelectionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetAutomaticPickLODSelectionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomaticPickLODSelectionMaxValue */
    if ( strcmp ( argv[2], "GetAutomaticPickLODSelectionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticPickLODSelectionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomaticPickLODSelectionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutomaticPickLODSelectionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetAutomaticPickLODSelectionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomaticPickLODSelection */
    if ( strcmp ( argv[2], "GetAutomaticPickLODSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticPickLODSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomaticPickLODSelection */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutomaticPickLODSelection ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for GetAutomaticPickLODSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticPickLODSelectionOn */
    if ( strcmp ( argv[2], "AutomaticPickLODSelectionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticPickLODSelectionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticPickLODSelectionOn */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticPickLODSelectionOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AutomaticPickLODSelectionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticPickLODSelectionOff */
    if ( strcmp ( argv[2], "AutomaticPickLODSelectionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticPickLODSelectionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticPickLODSelectionOff */
    Tcl_DStringAppendElement ( &dString, " Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticPickLODSelectionOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for AutomaticPickLODSelectionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of this vtkLODProp3D.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy (vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkLODProp3D" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkProp3DCppCommand(static_cast<vtkProp3D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
