// python wrapper for vtkLabeledDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLabeledDataMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLabeledDataMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLabeledDataMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMapper2DNew(char *); }

static PyObject *PyvtkLabeledDataMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  const char    *temp20;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledDataMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledDataMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  vtkLabeledDataMapper  *temp20;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledDataMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLabeledDataMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLabeledDataMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  char    *temp0;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetLabelFormat(temp0);
      }
    else
      {
      op->SetLabelFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_GetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  char    *temp20;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledDataMapper::GetLabelFormat();
      }
    else
      {
      temp20 = op->GetLabelFormat();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetLabeledComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  int      temp0;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetLabeledComponent(temp0);
      }
    else
      {
      op->SetLabeledComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_GetLabeledComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  int      temp20;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledDataMapper::GetLabeledComponent();
      }
    else
      {
      temp20 = op->GetLabeledComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetFieldDataArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  int      temp0;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetFieldDataArray(temp0);
      }
    else
      {
      op->SetFieldDataArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_GetFieldDataArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  int      temp20;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledDataMapper::GetFieldDataArray();
      }
    else
      {
      temp20 = op->GetFieldDataArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetFieldDataName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  char    *temp0;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetFieldDataName(temp0);
      }
    else
      {
      op->SetFieldDataName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_GetFieldDataName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  char    *temp20;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledDataMapper::GetFieldDataName();
      }
    else
      {
      temp20 = op->GetFieldDataName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  vtkDataSet  *temp20;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledDataMapper::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetLabelMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  int      temp0;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetLabelMode(temp0);
      }
    else
      {
      op->SetLabelMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_GetLabelMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  int      temp20;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledDataMapper::GetLabelMode();
      }
    else
      {
      temp20 = op->GetLabelMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetLabelModeToLabelIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetLabelModeToLabelIds();
      }
    else
      {
      op->SetLabelModeToLabelIds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetLabelModeToLabelScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetLabelModeToLabelScalars();
      }
    else
      {
      op->SetLabelModeToLabelScalars();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetLabelModeToLabelVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetLabelModeToLabelVectors();
      }
    else
      {
      op->SetLabelModeToLabelVectors();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetLabelModeToLabelNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetLabelModeToLabelNormals();
      }
    else
      {
      op->SetLabelModeToLabelNormals();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetLabelModeToLabelTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetLabelModeToLabelTCoords();
      }
    else
      {
      op->SetLabelModeToLabelTCoords();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetLabelModeToLabelTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetLabelModeToLabelTensors();
      }
    else
      {
      op->SetLabelModeToLabelTensors();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetLabelModeToLabelFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetLabelModeToLabelFieldData();
      }
    else
      {
      op->SetLabelModeToLabelFieldData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetLabelTextProperty(temp0);
      }
    else
      {
      op->SetLabelTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_GetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  vtkTextProperty  *temp20;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledDataMapper::GetLabelTextProperty();
      }
    else
      {
      temp20 = op->GetLabelTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break25;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::RenderOpaqueGeometry(temp0,temp1);
      }
    else
      {
      op->RenderOpaqueGeometry(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break26;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::RenderOverlay(temp0,temp1);
      }
    else
      {
      op->RenderOverlay(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  vtkTransform  *temp20;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabeledDataMapper::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabeledDataMapper_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabeledDataMapper *op;

  vtkTransform  *temp0;
  PyObject *tempH0;
  op = (vtkLabeledDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabeledDataMapper::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}

static PyMethodDef PyvtkLabeledDataMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLabeledDataMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLabeledDataMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLabeledDataMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLabeledDataMapper\nC++: vtkLabeledDataMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLabeledDataMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLabeledDataMapper\nC++: vtkLabeledDataMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLabelFormat",                (PyCFunction)PyvtkLabeledDataMapper_SetLabelFormat, 1,
   (char*)"V.SetLabelFormat(string)\nC++: void SetLabelFormat (char *);\n\n Set/Get the format with which to print the labels.  This should\n be a printf-style format string.\n\n By default, the mapper will try to print each component of the\n tuple using a sane format: %d for integers, %f for floats, %g for\n doubles, %ld for longs, et cetera.  If you need a different\n format, set it here.  You can do things like limit the number of\n significant digits, add prefixes/suffixes, basically anything\n that printf can do.  If you only want to print one component of a\n vector, see the ivar LabeledComponent.\n"},
  {(char*)"GetLabelFormat",                (PyCFunction)PyvtkLabeledDataMapper_GetLabelFormat, 1,
   (char*)"V.GetLabelFormat() -> string\nC++: char *GetLabelFormat ();\n\n Set/Get the format with which to print the labels.  This should\n be a printf-style format string.\n\n By default, the mapper will try to print each component of the\n tuple using a sane format: %d for integers, %f for floats, %g for\n doubles, %ld for longs, et cetera.  If you need a different\n format, set it here.  You can do things like limit the number of\n significant digits, add prefixes/suffixes, basically anything\n that printf can do.  If you only want to print one component of a\n vector, see the ivar LabeledComponent.\n"},
  {(char*)"SetLabeledComponent",                (PyCFunction)PyvtkLabeledDataMapper_SetLabeledComponent, 1,
   (char*)"V.SetLabeledComponent(int)\nC++: void SetLabeledComponent (int );\n\n Set/Get the component number to label if the data to print has\n more than one component. For example, all the components of\n scalars, vectors, normals, etc. are labeled by default\n (LabeledComponent=(-1)). However, if this ivar is nonnegative,\n then only the one component specified is labeled.\n"},
  {(char*)"GetLabeledComponent",                (PyCFunction)PyvtkLabeledDataMapper_GetLabeledComponent, 1,
   (char*)"V.GetLabeledComponent() -> int\nC++: int GetLabeledComponent ();\n\n Set/Get the component number to label if the data to print has\n more than one component. For example, all the components of\n scalars, vectors, normals, etc. are labeled by default\n (LabeledComponent=(-1)). However, if this ivar is nonnegative,\n then only the one component specified is labeled.\n"},
  {(char*)"SetFieldDataArray",                (PyCFunction)PyvtkLabeledDataMapper_SetFieldDataArray, 1,
   (char*)"V.SetFieldDataArray(int)\nC++: void SetFieldDataArray (int arrayIndex);\n\n Set/Get the field data array to label. This instance variable is\n only applicable if field data is labeled.  This will clear\n FieldDataName when set.\n"},
  {(char*)"GetFieldDataArray",                (PyCFunction)PyvtkLabeledDataMapper_GetFieldDataArray, 1,
   (char*)"V.GetFieldDataArray() -> int\nC++: int GetFieldDataArray ();\n\n Set/Get the field data array to label. This instance variable is\n only applicable if field data is labeled.  This will clear\n FieldDataName when set.\n"},
  {(char*)"SetFieldDataName",                (PyCFunction)PyvtkLabeledDataMapper_SetFieldDataName, 1,
   (char*)"V.SetFieldDataName(string)\nC++: void SetFieldDataName (const char *arrayName);\n\n Set/Get the name of the field data array to label.  This instance\n variable is only applicable if field data is labeled.  This will\n override FieldDataArray when set.\n"},
  {(char*)"GetFieldDataName",                (PyCFunction)PyvtkLabeledDataMapper_GetFieldDataName, 1,
   (char*)"V.GetFieldDataName() -> string\nC++: char *GetFieldDataName ();\n\n Set/Get the name of the field data array to label.  This instance\n variable is only applicable if field data is labeled.  This will\n override FieldDataArray when set.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkLabeledDataMapper_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: virtual void SetInput (vtkDataObject *);\n\n Set the input dataset to the mapper. This mapper handles any type of data.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkLabeledDataMapper_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\n\n Use GetInputDataObject() to get the input data object for composite\n datasets.\n"},
  {(char*)"SetLabelMode",                (PyCFunction)PyvtkLabeledDataMapper_SetLabelMode, 1,
   (char*)"V.SetLabelMode(int)\nC++: void SetLabelMode (int );\n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetLabeledComponent to control which components to plot.\n"},
  {(char*)"GetLabelMode",                (PyCFunction)PyvtkLabeledDataMapper_GetLabelMode, 1,
   (char*)"V.GetLabelMode() -> int\nC++: int GetLabelMode ();\n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetLabeledComponent to control which components to plot.\n"},
  {(char*)"SetLabelModeToLabelIds",                (PyCFunction)PyvtkLabeledDataMapper_SetLabelModeToLabelIds, 1,
   (char*)"V.SetLabelModeToLabelIds()\nC++: void SetLabelModeToLabelIds ();this SetLabelMode VTK_LABEL_IDS \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetLabeledComponent to control which components to plot.\n"},
  {(char*)"SetLabelModeToLabelScalars",                (PyCFunction)PyvtkLabeledDataMapper_SetLabelModeToLabelScalars, 1,
   (char*)"V.SetLabelModeToLabelScalars()\nC++: void SetLabelModeToLabelScalars ();this SetLabelMode VTK_LABEL_SCALARS \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetLabeledComponent to control which components to plot.\n"},
  {(char*)"SetLabelModeToLabelVectors",                (PyCFunction)PyvtkLabeledDataMapper_SetLabelModeToLabelVectors, 1,
   (char*)"V.SetLabelModeToLabelVectors()\nC++: void SetLabelModeToLabelVectors ();this SetLabelMode VTK_LABEL_VECTORS \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetLabeledComponent to control which components to plot.\n"},
  {(char*)"SetLabelModeToLabelNormals",                (PyCFunction)PyvtkLabeledDataMapper_SetLabelModeToLabelNormals, 1,
   (char*)"V.SetLabelModeToLabelNormals()\nC++: void SetLabelModeToLabelNormals ();this SetLabelMode VTK_LABEL_NORMALS \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetLabeledComponent to control which components to plot.\n"},
  {(char*)"SetLabelModeToLabelTCoords",                (PyCFunction)PyvtkLabeledDataMapper_SetLabelModeToLabelTCoords, 1,
   (char*)"V.SetLabelModeToLabelTCoords()\nC++: void SetLabelModeToLabelTCoords ();this SetLabelMode VTK_LABEL_TCOORDS \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetLabeledComponent to control which components to plot.\n"},
  {(char*)"SetLabelModeToLabelTensors",                (PyCFunction)PyvtkLabeledDataMapper_SetLabelModeToLabelTensors, 1,
   (char*)"V.SetLabelModeToLabelTensors()\nC++: void SetLabelModeToLabelTensors ();this SetLabelMode VTK_LABEL_TENSORS \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetLabeledComponent to control which components to plot.\n"},
  {(char*)"SetLabelModeToLabelFieldData",                (PyCFunction)PyvtkLabeledDataMapper_SetLabelModeToLabelFieldData, 1,
   (char*)"V.SetLabelModeToLabelFieldData()\nC++: void SetLabelModeToLabelFieldData ();this SetLabelMode VTK_LABEL_FIELD_DATA \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetLabeledComponent to control which components to plot.\n"},
  {(char*)"SetLabelTextProperty",                (PyCFunction)PyvtkLabeledDataMapper_SetLabelTextProperty, 1,
   (char*)"V.SetLabelTextProperty(vtkTextProperty)\nC++: virtual void SetLabelTextProperty (vtkTextProperty *p);\n\n Set/Get the text property.\n"},
  {(char*)"GetLabelTextProperty",                (PyCFunction)PyvtkLabeledDataMapper_GetLabelTextProperty, 1,
   (char*)"V.GetLabelTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetLabelTextProperty ();\n\n Set/Get the text property.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkLabeledDataMapper_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport, vtkActor2D)\nC++: void RenderOpaqueGeometry (vtkViewport *viewport, vtkActor2D *actor);\n\n Draw the text to the screen at each input point.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkLabeledDataMapper_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport, vtkActor2D)\nC++: void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor);\n\n Draw the text to the screen at each input point.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkLabeledDataMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkLabeledDataMapper_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkTransform\nC++: vtkTransform *GetTransform ();\n\n The transform to apply to the labels before mapping to 2D.\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkLabeledDataMapper_SetTransform, 1,
   (char*)"V.SetTransform(vtkTransform)\nC++: void SetTransform (vtkTransform *t);\n\n The transform to apply to the labels before mapping to 2D.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLabeledDataMapperDoc[] = {
  (char*)"vtkLabeledDataMapper - draw text labels at dataset points\n\n",
  "Super Class:\n\n vtkMapper2D\n\n",
  (char*)" vtkLabeledDataMapper is a mapper that renders text at dataset\n points. Various items can be labeled including point ids, scalars,\n vectors, normals, texture coordinates, tensors, and field data components.\n\n The format with which the label is drawn is specified using a\n printf style format string. The font attributes of the text can\n be set through the vtkTextProperty associated to this mapper. \n",
  (char*)"\n By default, all the components of multi-component data such as\n vectors, normals, texture coordinates, tensors, and multi-component\n scalars are labeled. However, you can specify a single component if\n you prefer. (Note: the label format specifies the format to use for\n a single component. The label is creating by looping over all components\n and using the label format to render each component.)",
  (char*)"\n\n",
  "Caveats:\n\n Use this filter in combination with vtkSelectVisiblePoints if you want\n to label only points that are visible. If you want to label cells rather\n than points, use the filter vtkCellCenters to generate points at the\n center of the cells. Also, you can use the class vtkIdFilter to\n generate ids as scalars or field data, which can then be labeled.\n\n",
  "See Also:\n\n vtkMapper2D vtkActor2D vtkTextMapper vtkTextProperty vtkSelectVisiblePoints \n vtkIdFilter vtkCellCenters\n\n",
  NULL
};

static vtkObjectBase *vtkLabeledDataMapperStaticNew()
{
  return vtkLabeledDataMapper::New();
}

PyObject *PyVTKClass_vtkLabeledDataMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkLabeledDataMapperStaticNew,
                        PyvtkLabeledDataMapperMethods,
                        (char*)"vtkLabeledDataMapper",modulename,
                        (char**)vtkLabeledDataMapperDoc,
                        PyVTKClass_vtkMapper2DNew(modulename));
}

