// tcl wrapper for vtkLightKit object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLightKit.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLightKitNewCommand()
{
  vtkLightKit *temp = vtkLightKit::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLightKitCppCommand(vtkLightKit *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLightKitCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLightKitCppCommand(static_cast<vtkLightKit *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLightKitCppCommand(vtkLightKit *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLightKit",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLightKit  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLightKit");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLightKit  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLightKit");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLightKit  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLightKit");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKeyLightIntensity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetKeyLightIntensity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyLightIntensity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyLightIntensity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyToFillRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetKeyToFillRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyToFillRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyToFillRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKeyToFillRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyToFillRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKeyToFillRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyToFillRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyToHeadRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetKeyToHeadRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyToHeadRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyToHeadRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKeyToHeadRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyToHeadRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKeyToHeadRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyToHeadRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyToBackRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetKeyToBackRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyToBackRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyToBackRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKeyToBackRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyToBackRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKeyToBackRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyToBackRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyLightWarmth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetKeyLightWarmth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyLightWarmth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyLightWarmth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFillLightWarmth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFillLightWarmth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFillLightWarmth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFillLightWarmth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHeadLightWarmth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHeadLightWarmth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeadLightWarmth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeadLightWarmth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBackLightWarmth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBackLightWarmth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackLightWarmth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBackLightWarmth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKeyLightColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetKeyLightColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetFillLightColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetFillLightColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetHeadLightColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetHeadLightColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetBackLightColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBackLightColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetHeadlightWarmth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHeadlightWarmth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetHeadlightWarmth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeadlightWarmth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#endif
  if ((!strcmp("MaintainLuminanceOn",argv[1]))&&(argc == 2))
    {
    op->MaintainLuminanceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaintainLuminanceOff",argv[1]))&&(argc == 2))
    {
    op->MaintainLuminanceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaintainLuminance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaintainLuminance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaintainLuminance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaintainLuminance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKeyLightAngle",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetKeyLightAngle(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKeyLightAngle",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetKeyLightAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKeyLightElevation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetKeyLightElevation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKeyLightAzimuth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetKeyLightAzimuth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyLightAngle",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetKeyLightAngle();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetKeyLightElevation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyLightElevation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKeyLightAzimuth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyLightAzimuth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFillLightAngle",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetFillLightAngle(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFillLightAngle",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetFillLightAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFillLightElevation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFillLightElevation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFillLightAzimuth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFillLightAzimuth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFillLightAngle",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetFillLightAngle();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetFillLightElevation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFillLightElevation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFillLightAzimuth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFillLightAzimuth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBackLightAngle",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetBackLightAngle(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackLightAngle",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetBackLightAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackLightElevation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBackLightElevation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackLightAzimuth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBackLightAzimuth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackLightAngle",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBackLightAngle();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetBackLightElevation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBackLightElevation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBackLightAzimuth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBackLightAzimuth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddLightsToRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->AddLightsToRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveLightsFromRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->RemoveLightsFromRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkLightKit  *temp0;
    error = 0;

    temp0 = (vtkLightKit *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLightKit"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Modified",argv[1]))&&(argc == 2))
    {
    op->Modified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetStringFromType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetStringFromType(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStringFromSubType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetStringFromSubType(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShortStringFromSubType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetShortStringFromSubType(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLightKitCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLightKit:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyLightIntensity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyLightIntensity\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyToFillRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyToFillRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyToFillRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyToFillRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyToHeadRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyToHeadRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyToHeadRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyToHeadRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyToBackRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyToBackRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyToBackRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyToBackRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyLightWarmth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyLightWarmth\n",NULL);
    Tcl_AppendResult(interp,"  SetFillLightWarmth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFillLightWarmth\n",NULL);
    Tcl_AppendResult(interp,"  SetHeadLightWarmth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeadLightWarmth\n",NULL);
    Tcl_AppendResult(interp,"  SetBackLightWarmth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackLightWarmth\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyLightColor\n",NULL);
    Tcl_AppendResult(interp,"  GetFillLightColor\n",NULL);
    Tcl_AppendResult(interp,"  GetHeadLightColor\n",NULL);
    Tcl_AppendResult(interp,"  GetBackLightColor\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetHeadlightWarmth\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetHeadlightWarmth\n",NULL);
#endif
    Tcl_AppendResult(interp,"  MaintainLuminanceOn\n",NULL);
    Tcl_AppendResult(interp,"  MaintainLuminanceOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMaintainLuminance\n",NULL);
    Tcl_AppendResult(interp,"  SetMaintainLuminance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyLightAngle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyLightAngle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyLightElevation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyLightAzimuth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyLightAngle\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyLightElevation\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyLightAzimuth\n",NULL);
    Tcl_AppendResult(interp,"  SetFillLightAngle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFillLightAngle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFillLightElevation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFillLightAzimuth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFillLightAngle\n",NULL);
    Tcl_AppendResult(interp,"  GetFillLightElevation\n",NULL);
    Tcl_AppendResult(interp,"  GetFillLightAzimuth\n",NULL);
    Tcl_AppendResult(interp,"  SetBackLightAngle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackLightAngle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackLightElevation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBackLightAzimuth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackLightAngle\n",NULL);
    Tcl_AppendResult(interp,"  GetBackLightElevation\n",NULL);
    Tcl_AppendResult(interp,"  GetBackLightAzimuth\n",NULL);
    Tcl_AppendResult(interp,"  AddLightsToRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveLightsFromRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Modified\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  GetStringFromType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStringFromSubType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShortStringFromSubType\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightIntensity" );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightIntensity" );
    Tcl_DStringAppendElement ( &dString, "SetKeyToFillRatio" );
    Tcl_DStringAppendElement ( &dString, "GetKeyToFillRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetKeyToFillRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetKeyToFillRatio" );
    Tcl_DStringAppendElement ( &dString, "SetKeyToHeadRatio" );
    Tcl_DStringAppendElement ( &dString, "GetKeyToHeadRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetKeyToHeadRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetKeyToHeadRatio" );
    Tcl_DStringAppendElement ( &dString, "SetKeyToBackRatio" );
    Tcl_DStringAppendElement ( &dString, "GetKeyToBackRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetKeyToBackRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetKeyToBackRatio" );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightWarmth" );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightWarmth" );
    Tcl_DStringAppendElement ( &dString, "SetFillLightWarmth" );
    Tcl_DStringAppendElement ( &dString, "GetFillLightWarmth" );
    Tcl_DStringAppendElement ( &dString, "SetHeadLightWarmth" );
    Tcl_DStringAppendElement ( &dString, "GetHeadLightWarmth" );
    Tcl_DStringAppendElement ( &dString, "SetBackLightWarmth" );
    Tcl_DStringAppendElement ( &dString, "GetBackLightWarmth" );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightColor" );
    Tcl_DStringAppendElement ( &dString, "GetFillLightColor" );
    Tcl_DStringAppendElement ( &dString, "GetHeadLightColor" );
    Tcl_DStringAppendElement ( &dString, "GetBackLightColor" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetHeadlightWarmth" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetHeadlightWarmth" );
#endif
    Tcl_DStringAppendElement ( &dString, "MaintainLuminanceOn" );
    Tcl_DStringAppendElement ( &dString, "MaintainLuminanceOff" );
    Tcl_DStringAppendElement ( &dString, "GetMaintainLuminance" );
    Tcl_DStringAppendElement ( &dString, "SetMaintainLuminance" );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightAngle" );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightAngle" );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightElevation" );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightAzimuth" );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightAngle" );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightElevation" );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightAzimuth" );
    Tcl_DStringAppendElement ( &dString, "SetFillLightAngle" );
    Tcl_DStringAppendElement ( &dString, "SetFillLightAngle" );
    Tcl_DStringAppendElement ( &dString, "SetFillLightElevation" );
    Tcl_DStringAppendElement ( &dString, "SetFillLightAzimuth" );
    Tcl_DStringAppendElement ( &dString, "GetFillLightAngle" );
    Tcl_DStringAppendElement ( &dString, "GetFillLightElevation" );
    Tcl_DStringAppendElement ( &dString, "GetFillLightAzimuth" );
    Tcl_DStringAppendElement ( &dString, "SetBackLightAngle" );
    Tcl_DStringAppendElement ( &dString, "SetBackLightAngle" );
    Tcl_DStringAppendElement ( &dString, "SetBackLightElevation" );
    Tcl_DStringAppendElement ( &dString, "SetBackLightAzimuth" );
    Tcl_DStringAppendElement ( &dString, "GetBackLightAngle" );
    Tcl_DStringAppendElement ( &dString, "GetBackLightElevation" );
    Tcl_DStringAppendElement ( &dString, "GetBackLightAzimuth" );
    Tcl_DStringAppendElement ( &dString, "AddLightsToRenderer" );
    Tcl_DStringAppendElement ( &dString, "RemoveLightsFromRenderer" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "Modified" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "GetStringFromType" );
    Tcl_DStringAppendElement ( &dString, "GetStringFromSubType" );
    Tcl_DStringAppendElement ( &dString, "GetShortStringFromSubType" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLightKit *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyLightIntensity */
    if ( strcmp ( argv[2], "SetKeyLightIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyLightIntensity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the intensity of the key light.  The key light is the\n brightest light in the scene.  The intensities of the other two\n lights are ratios of the key light's intensity.  \n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyLightIntensity (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetKeyLightIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyLightIntensity */
    if ( strcmp ( argv[2], "GetKeyLightIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyLightIntensity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the intensity of the key light.  The key light is the\n brightest light in the scene.  The intensities of the other two\n lights are ratios of the key light's intensity.  \n" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyLightIntensity ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyLightIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyToFillRatio */
    if ( strcmp ( argv[2], "SetKeyToFillRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyToFillRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyToFillRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-fill ratio.  This ratio controls\n how bright the fill light is compared to the key light: larger\n values correspond to a dimmer fill light.  The purpose of the\n fill light is to light parts of the object not lit by the key\n light, while still maintaining constrast.  This type of lighting\n may correspond to indirect illumination from the key light, bounced\n off a wall, floor, or other object.  The fill light should never\n be brighter than the key li ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyToFillRatio (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetKeyToFillRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyToFillRatioMinValue */
    if ( strcmp ( argv[2], "GetKeyToFillRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyToFillRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyToFillRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-fill ratio.  This ratio controls\n how bright the fill light is compared to the key light: larger\n values correspond to a dimmer fill light.  The purpose of the\n fill light is to light parts of the object not lit by the key\n light, while still maintaining constrast.  This type of lighting\n may correspond to indirect illumination from the key light, bounced\n off a wall, floor, or other object.  The fill light should never\n be brighter than the key li ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyToFillRatioMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyToFillRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyToFillRatioMaxValue */
    if ( strcmp ( argv[2], "GetKeyToFillRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyToFillRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyToFillRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-fill ratio.  This ratio controls\n how bright the fill light is compared to the key light: larger\n values correspond to a dimmer fill light.  The purpose of the\n fill light is to light parts of the object not lit by the key\n light, while still maintaining constrast.  This type of lighting\n may correspond to indirect illumination from the key light, bounced\n off a wall, floor, or other object.  The fill light should never\n be brighter than the key li ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyToFillRatioMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyToFillRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyToFillRatio */
    if ( strcmp ( argv[2], "GetKeyToFillRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyToFillRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyToFillRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-fill ratio.  This ratio controls\n how bright the fill light is compared to the key light: larger\n values correspond to a dimmer fill light.  The purpose of the\n fill light is to light parts of the object not lit by the key\n light, while still maintaining constrast.  This type of lighting\n may correspond to indirect illumination from the key light, bounced\n off a wall, floor, or other object.  The fill light should never\n be brighter than the key li ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyToFillRatio ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyToFillRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyToHeadRatio */
    if ( strcmp ( argv[2], "SetKeyToHeadRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyToHeadRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyToHeadRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-headlight ratio.  Similar to the key-to-fill\n ratio, this ratio controls how bright the headlight light is\n compared to the key light: larger values correspond to a dimmer\n headlight light.  The headlight is special kind of fill light,\n lighting only the parts of the object that the camera can see.\n As such, a headlight tends to reduce the contrast of a scene.  It\n can be used to fill in \"shadows\" of the object missed by the key\n and fill lights. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyToHeadRatio (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetKeyToHeadRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyToHeadRatioMinValue */
    if ( strcmp ( argv[2], "GetKeyToHeadRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyToHeadRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyToHeadRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-headlight ratio.  Similar to the key-to-fill\n ratio, this ratio controls how bright the headlight light is\n compared to the key light: larger values correspond to a dimmer\n headlight light.  The headlight is special kind of fill light,\n lighting only the parts of the object that the camera can see.\n As such, a headlight tends to reduce the contrast of a scene.  It\n can be used to fill in \"shadows\" of the object missed by the key\n and fill lights. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyToHeadRatioMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyToHeadRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyToHeadRatioMaxValue */
    if ( strcmp ( argv[2], "GetKeyToHeadRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyToHeadRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyToHeadRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-headlight ratio.  Similar to the key-to-fill\n ratio, this ratio controls how bright the headlight light is\n compared to the key light: larger values correspond to a dimmer\n headlight light.  The headlight is special kind of fill light,\n lighting only the parts of the object that the camera can see.\n As such, a headlight tends to reduce the contrast of a scene.  It\n can be used to fill in \"shadows\" of the object missed by the key\n and fill lights. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyToHeadRatioMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyToHeadRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyToHeadRatio */
    if ( strcmp ( argv[2], "GetKeyToHeadRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyToHeadRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyToHeadRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-headlight ratio.  Similar to the key-to-fill\n ratio, this ratio controls how bright the headlight light is\n compared to the key light: larger values correspond to a dimmer\n headlight light.  The headlight is special kind of fill light,\n lighting only the parts of the object that the camera can see.\n As such, a headlight tends to reduce the contrast of a scene.  It\n can be used to fill in \"shadows\" of the object missed by the key\n and fill lights. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyToHeadRatio ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyToHeadRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyToBackRatio */
    if ( strcmp ( argv[2], "SetKeyToBackRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyToBackRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyToBackRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-back light ratio.  This ratio controls\n how bright the back lights are compared to the key light: larger\n values correspond to dimmer back lights.  The back lights fill\n in the remaining high-contrast regions behind the object.\n Values between 2 and 10 are good.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyToBackRatio (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetKeyToBackRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyToBackRatioMinValue */
    if ( strcmp ( argv[2], "GetKeyToBackRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyToBackRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyToBackRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-back light ratio.  This ratio controls\n how bright the back lights are compared to the key light: larger\n values correspond to dimmer back lights.  The back lights fill\n in the remaining high-contrast regions behind the object.\n Values between 2 and 10 are good.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyToBackRatioMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyToBackRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyToBackRatioMaxValue */
    if ( strcmp ( argv[2], "GetKeyToBackRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyToBackRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyToBackRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-back light ratio.  This ratio controls\n how bright the back lights are compared to the key light: larger\n values correspond to dimmer back lights.  The back lights fill\n in the remaining high-contrast regions behind the object.\n Values between 2 and 10 are good.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyToBackRatioMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyToBackRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyToBackRatio */
    if ( strcmp ( argv[2], "GetKeyToBackRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyToBackRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyToBackRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the key-to-back light ratio.  This ratio controls\n how bright the back lights are compared to the key light: larger\n values correspond to dimmer back lights.  The back lights fill\n in the remaining high-contrast regions behind the object.\n Values between 2 and 10 are good.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyToBackRatio ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyToBackRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyLightWarmth */
    if ( strcmp ( argv[2], "SetKeyLightWarmth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightWarmth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyLightWarmth */
    Tcl_DStringAppendElement ( &dString, " Set the warmth of each the lights.  Warmth is a parameter that\n varies from 0 to 1, where 0 is \"cold\" (looks icy or lit by a very\n blue sky), 1 is \"warm\" (the red of a very red sunset, or the\n embers of a campfire), and 0.5 is a neutral white.  The warmth\n scale is non-linear. Warmth values close to 0.5 are subtly\n \"warmer\" or \"cooler,\" much like a warmer tungsten incandescent\n bulb, a cooler halogen, or daylight (cooler still).  Moving\n further away from 0.5 ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyLightWarmth (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetKeyLightWarmth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyLightWarmth */
    if ( strcmp ( argv[2], "GetKeyLightWarmth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightWarmth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyLightWarmth */
    Tcl_DStringAppendElement ( &dString, " Set the warmth of each the lights.  Warmth is a parameter that\n varies from 0 to 1, where 0 is \"cold\" (looks icy or lit by a very\n blue sky), 1 is \"warm\" (the red of a very red sunset, or the\n embers of a campfire), and 0.5 is a neutral white.  The warmth\n scale is non-linear. Warmth values close to 0.5 are subtly\n \"warmer\" or \"cooler,\" much like a warmer tungsten incandescent\n bulb, a cooler halogen, or daylight (cooler still).  Moving\n further away from 0.5 ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyLightWarmth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyLightWarmth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFillLightWarmth */
    if ( strcmp ( argv[2], "SetFillLightWarmth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFillLightWarmth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFillLightWarmth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFillLightWarmth (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetFillLightWarmth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFillLightWarmth */
    if ( strcmp ( argv[2], "GetFillLightWarmth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFillLightWarmth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFillLightWarmth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetFillLightWarmth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetFillLightWarmth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeadLightWarmth */
    if ( strcmp ( argv[2], "SetHeadLightWarmth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeadLightWarmth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeadLightWarmth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHeadLightWarmth (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetHeadLightWarmth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeadLightWarmth */
    if ( strcmp ( argv[2], "GetHeadLightWarmth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeadLightWarmth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeadLightWarmth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetHeadLightWarmth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetHeadLightWarmth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackLightWarmth */
    if ( strcmp ( argv[2], "SetBackLightWarmth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackLightWarmth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackLightWarmth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackLightWarmth (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetBackLightWarmth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackLightWarmth */
    if ( strcmp ( argv[2], "GetBackLightWarmth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackLightWarmth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackLightWarmth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetBackLightWarmth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetBackLightWarmth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyLightColor */
    if ( strcmp ( argv[2], "GetKeyLightColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyLightColor */
    Tcl_DStringAppendElement ( &dString, " Returns the floating-point RGB values of each of the light's color.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetKeyLightColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyLightColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFillLightColor */
    if ( strcmp ( argv[2], "GetFillLightColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFillLightColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFillLightColor */
    Tcl_DStringAppendElement ( &dString, " Returns the floating-point RGB values of each of the light's color.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetFillLightColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetFillLightColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeadLightColor */
    if ( strcmp ( argv[2], "GetHeadLightColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeadLightColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeadLightColor */
    Tcl_DStringAppendElement ( &dString, " Returns the floating-point RGB values of each of the light's color.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetHeadLightColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetHeadLightColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackLightColor */
    if ( strcmp ( argv[2], "GetBackLightColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackLightColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackLightColor */
    Tcl_DStringAppendElement ( &dString, " Returns the floating-point RGB values of each of the light's color.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetBackLightColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetBackLightColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetHeadlightWarmth */
    if ( strcmp ( argv[2], "SetHeadlightWarmth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeadlightWarmth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeadlightWarmth */
    Tcl_DStringAppendElement ( &dString, " To maintain a deprecation API:\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeadlightWarmth (double v);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetHeadlightWarmth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetHeadlightWarmth */
    if ( strcmp ( argv[2], "GetHeadlightWarmth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeadlightWarmth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeadlightWarmth */
    Tcl_DStringAppendElement ( &dString, " To maintain a deprecation API:\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeadlightWarmth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetHeadlightWarmth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
    /* Starting function: MaintainLuminanceOn */
    if ( strcmp ( argv[2], "MaintainLuminanceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaintainLuminanceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaintainLuminanceOn */
    Tcl_DStringAppendElement ( &dString, " If MaintainLuminance is set, the LightKit will attempt to maintain\n the apparent intensity of lights based on their perceptual brightnesses.\n By default, MaintainLuminance is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void MaintainLuminanceOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for MaintainLuminanceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaintainLuminanceOff */
    if ( strcmp ( argv[2], "MaintainLuminanceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaintainLuminanceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaintainLuminanceOff */
    Tcl_DStringAppendElement ( &dString, " If MaintainLuminance is set, the LightKit will attempt to maintain\n the apparent intensity of lights based on their perceptual brightnesses.\n By default, MaintainLuminance is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void MaintainLuminanceOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for MaintainLuminanceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaintainLuminance */
    if ( strcmp ( argv[2], "GetMaintainLuminance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaintainLuminance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaintainLuminance */
    Tcl_DStringAppendElement ( &dString, " If MaintainLuminance is set, the LightKit will attempt to maintain\n the apparent intensity of lights based on their perceptual brightnesses.\n By default, MaintainLuminance is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaintainLuminance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetMaintainLuminance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaintainLuminance */
    if ( strcmp ( argv[2], "SetMaintainLuminance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaintainLuminance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaintainLuminance */
    Tcl_DStringAppendElement ( &dString, " If MaintainLuminance is set, the LightKit will attempt to maintain\n the apparent intensity of lights based on their perceptual brightnesses.\n By default, MaintainLuminance is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaintainLuminance (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetMaintainLuminance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyLightAngle */
    if ( strcmp ( argv[2], "SetKeyLightAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyLightAngle */
    Tcl_DStringAppendElement ( &dString, " Get/Set the position of the key, fill, and back lights\n using angular methods.  Elevation corresponds to latitude,\n azimuth to longitude.  It is recommended that the key light\n always be on the viewer's side of the object and above the\n object, while the fill light generally lights the part of the object\n not lit by the fill light.  The headlight, which is always located\n at the viewer, can then be used to reduce the contrast in the image.\n There are a pair of back l ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyLightAngle (double elevation, double azimuth);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetKeyLightAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyLightAngle */
    if ( strcmp ( argv[2], "SetKeyLightAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyLightAngle */
    Tcl_DStringAppendElement ( &dString, " Get/Set the position of the key, fill, and back lights\n using angular methods.  Elevation corresponds to latitude,\n azimuth to longitude.  It is recommended that the key light\n always be on the viewer's side of the object and above the\n object, while the fill light generally lights the part of the object\n not lit by the fill light.  The headlight, which is always located\n at the viewer, can then be used to reduce the contrast in the image.\n There are a pair of back l ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyLightAngle (double angle\\[2\\]);this SetKeyLightAngle angle angle " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetKeyLightAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyLightElevation */
    if ( strcmp ( argv[2], "SetKeyLightElevation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightElevation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyLightElevation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyLightElevation (double x);this SetKeyLightAngle x this KeyLightAngle " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetKeyLightElevation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyLightAzimuth */
    if ( strcmp ( argv[2], "SetKeyLightAzimuth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyLightAzimuth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyLightAzimuth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyLightAzimuth (double x);this SetKeyLightAngle this KeyLightAngle x " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetKeyLightAzimuth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyLightAngle */
    if ( strcmp ( argv[2], "GetKeyLightAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyLightAngle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double  *GetKeyLightAngle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyLightAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyLightElevation */
    if ( strcmp ( argv[2], "GetKeyLightElevation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightElevation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyLightElevation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyLightElevation ();double ang this GetKeyLightAngle ang return ang " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyLightElevation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyLightAzimuth */
    if ( strcmp ( argv[2], "GetKeyLightAzimuth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyLightAzimuth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyLightAzimuth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetKeyLightAzimuth ();double ang this GetKeyLightAngle ang return ang " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetKeyLightAzimuth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFillLightAngle */
    if ( strcmp ( argv[2], "SetFillLightAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFillLightAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFillLightAngle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFillLightAngle (double elevation, double azimuth);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetFillLightAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFillLightAngle */
    if ( strcmp ( argv[2], "SetFillLightAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFillLightAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFillLightAngle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFillLightAngle (double angle\\[2\\]);this SetFillLightAngle angle angle " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetFillLightAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFillLightElevation */
    if ( strcmp ( argv[2], "SetFillLightElevation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFillLightElevation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFillLightElevation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFillLightElevation (double x);this SetFillLightAngle x this FillLightAngle " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetFillLightElevation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFillLightAzimuth */
    if ( strcmp ( argv[2], "SetFillLightAzimuth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFillLightAzimuth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFillLightAzimuth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFillLightAzimuth (double x);this SetFillLightAngle this FillLightAngle x " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetFillLightAzimuth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFillLightAngle */
    if ( strcmp ( argv[2], "GetFillLightAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFillLightAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFillLightAngle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double  *GetFillLightAngle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetFillLightAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFillLightElevation */
    if ( strcmp ( argv[2], "GetFillLightElevation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFillLightElevation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFillLightElevation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetFillLightElevation ();double ang this GetFillLightAngle ang return ang " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetFillLightElevation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFillLightAzimuth */
    if ( strcmp ( argv[2], "GetFillLightAzimuth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFillLightAzimuth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFillLightAzimuth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetFillLightAzimuth ();double ang this GetFillLightAngle ang return ang " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetFillLightAzimuth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackLightAngle */
    if ( strcmp ( argv[2], "SetBackLightAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackLightAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackLightAngle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackLightAngle (double elevation, double azimuth);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetBackLightAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackLightAngle */
    if ( strcmp ( argv[2], "SetBackLightAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackLightAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackLightAngle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackLightAngle (double angle\\[2\\]);this SetBackLightAngle angle angle " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetBackLightAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackLightElevation */
    if ( strcmp ( argv[2], "SetBackLightElevation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackLightElevation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackLightElevation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackLightElevation (double x);this SetBackLightAngle x this BackLightAngle " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetBackLightElevation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackLightAzimuth */
    if ( strcmp ( argv[2], "SetBackLightAzimuth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackLightAzimuth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackLightAzimuth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackLightAzimuth (double x);this SetBackLightAngle this BackLightAngle x " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for SetBackLightAzimuth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackLightAngle */
    if ( strcmp ( argv[2], "GetBackLightAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackLightAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackLightAngle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double  *GetBackLightAngle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetBackLightAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackLightElevation */
    if ( strcmp ( argv[2], "GetBackLightElevation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackLightElevation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackLightElevation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetBackLightElevation ();double ang this GetBackLightAngle ang return ang " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetBackLightElevation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackLightAzimuth */
    if ( strcmp ( argv[2], "GetBackLightAzimuth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackLightAzimuth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackLightAzimuth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetBackLightAzimuth ();double ang this GetBackLightAngle ang return ang " );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetBackLightAzimuth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLightsToRenderer */
    if ( strcmp ( argv[2], "AddLightsToRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLightsToRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLightsToRenderer */
    Tcl_DStringAppendElement ( &dString, " Add lights to, or remove lights from, a renderer.  \n Lights may be added to more than one renderer, if desired.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddLightsToRenderer (vtkRenderer *renderer);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for AddLightsToRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveLightsFromRenderer */
    if ( strcmp ( argv[2], "RemoveLightsFromRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveLightsFromRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveLightsFromRenderer */
    Tcl_DStringAppendElement ( &dString, " Add lights to, or remove lights from, a renderer.  \n Lights may be added to more than one renderer, if desired.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveLightsFromRenderer (vtkRenderer *renderer);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for RemoveLightsFromRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy (vtkLightKit *kit);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Modified */
    if ( strcmp ( argv[2], "Modified" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Modified" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Modified */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Modified ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for Modified */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Update ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStringFromType */
    if ( strcmp ( argv[2], "GetStringFromType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStringFromType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStringFromType */
    Tcl_DStringAppendElement ( &dString, " Helper method to go from a enum type to a string type\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetStringFromType (int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetStringFromType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStringFromSubType */
    if ( strcmp ( argv[2], "GetStringFromSubType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStringFromSubType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStringFromSubType */
    Tcl_DStringAppendElement ( &dString, " Helper method to go from a enum subtype to a string subtype\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetStringFromSubType (int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetStringFromSubType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShortStringFromSubType */
    if ( strcmp ( argv[2], "GetShortStringFromSubType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShortStringFromSubType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShortStringFromSubType */
    Tcl_DStringAppendElement ( &dString, " Helper method to go from a enum subtype to a string subtype\n The difference from GetStringFromSubType is that it returns\n a shorter strings (usefull for GUI with minimun space)\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetShortStringFromSubType (int subtype);" );
    Tcl_DStringAppendElement ( &dString, "vtkLightKit" );
    /* Closing for GetShortStringFromSubType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
