// python wrapper for vtkLight object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLight.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLightNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLightNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkLight_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  const char    *temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  char    *temp0;
  int      temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  vtkLight  *temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLight  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLight::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLight_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkLight_SetAmbientColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetAmbientColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetAmbientColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLight *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetAmbientColor(temp0);
      }
    else
      {
      op->SetAmbientColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetAmbientColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double  *temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetAmbientColor();
      }
    else
      {
      temp20 = op->GetAmbientColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetDiffuseColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetDiffuseColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetDiffuseColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLight *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetDiffuseColor(temp0);
      }
    else
      {
      op->SetDiffuseColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetDiffuseColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double  *temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetDiffuseColor();
      }
    else
      {
      temp20 = op->GetDiffuseColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetSpecularColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetSpecularColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetSpecularColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLight *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetSpecularColor(temp0);
      }
    else
      {
      op->SetSpecularColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetSpecularColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double  *temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetSpecularColor();
      }
    else
      {
      temp20 = op->GetSpecularColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLight *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetColor(temp0);
      }
    else
      {
      op->SetColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double temp0[3];
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::GetColor(temp0);
      }
    else
      {
      op->GetColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLight *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetColor();
      }
    else
      {
      temp20 = op->GetColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLight *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double  *temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetFocalPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetFocalPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLight *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetFocalPoint(temp0);
      }
    else
      {
      op->SetFocalPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double  *temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetFocalPoint();
      }
    else
      {
      temp20 = op->GetFocalPoint();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp0;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetIntensity(temp0);
      }
    else
      {
      op->SetIntensity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetIntensity();
      }
    else
      {
      temp20 = op->GetIntensity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetSwitch(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  int      temp0;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetSwitch(temp0);
      }
    else
      {
      op->SetSwitch(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetSwitch(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  int      temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetSwitch();
      }
    else
      {
      temp20 = op->GetSwitch();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SwitchOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SwitchOn();
      }
    else
      {
      op->SwitchOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SwitchOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SwitchOff();
      }
    else
      {
      op->SwitchOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetPositional(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  int      temp0;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetPositional(temp0);
      }
    else
      {
      op->SetPositional(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetPositional(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  int      temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetPositional();
      }
    else
      {
      temp20 = op->GetPositional();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_PositionalOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::PositionalOn();
      }
    else
      {
      op->PositionalOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_PositionalOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::PositionalOff();
      }
    else
      {
      op->PositionalOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetExponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp0;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetExponent(temp0);
      }
    else
      {
      op->SetExponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetExponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetExponent();
      }
    else
      {
      temp20 = op->GetExponent();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetConeAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp0;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetConeAngle(temp0);
      }
    else
      {
      op->SetConeAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetConeAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetConeAngle();
      }
    else
      {
      temp20 = op->GetConeAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetAttenuationValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetAttenuationValues(temp0,temp1,temp2);
      }
    else
      {
      op->SetAttenuationValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLight *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetAttenuationValues(temp0);
      }
    else
      {
      op->SetAttenuationValues(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetAttenuationValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double  *temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetAttenuationValues();
      }
    else
      {
      temp20 = op->GetAttenuationValues();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetTransformMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetTransformMatrix(temp0);
      }
    else
      {
      op->SetTransformMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkLight_GetTransformMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  vtkMatrix4x4  *temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetTransformMatrix();
      }
    else
      {
      temp20 = op->GetTransformMatrix();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetTransformedPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double temp0[3];
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::GetTransformedPosition(temp0);
      }
    else
      {
      op->GetTransformedPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLight *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetTransformedPosition();
      }
    else
      {
      temp20 = op->GetTransformedPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetTransformedFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double temp0[3];
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::GetTransformedFocalPoint(temp0);
      }
    else
      {
      op->GetTransformedFocalPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLight *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetTransformedFocalPoint();
      }
    else
      {
      temp20 = op->GetTransformedFocalPoint();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetDirectionAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  double   temp0;
  double   temp1;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetDirectionAngle(temp0,temp1);
      }
    else
      {
      op->SetDirectionAngle(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLight *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetDirectionAngle(temp0);
      }
    else
      {
      op->SetDirectionAngle(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  vtkLight  *temp0;
  PyObject *tempH0;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLight *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLight");
    if (!temp0 && tempH0 != Py_None) goto break49;
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break49:
  return NULL;
}


static PyObject *PyvtkLight_SetLightType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  int      temp0;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetLightType(temp0);
      }
    else
      {
      op->SetLightType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_GetLightType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  int      temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::GetLightType();
      }
    else
      {
      temp20 = op->GetLightType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetLightTypeToHeadlight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetLightTypeToHeadlight();
      }
    else
      {
      op->SetLightTypeToHeadlight();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetLightTypeToSceneLight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetLightTypeToSceneLight();
      }
    else
      {
      op->SetLightTypeToSceneLight();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_SetLightTypeToCameraLight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLight::SetLightTypeToCameraLight();
      }
    else
      {
      op->SetLightTypeToCameraLight();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_LightTypeIsHeadlight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  int      temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::LightTypeIsHeadlight();
      }
    else
      {
      temp20 = op->LightTypeIsHeadlight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_LightTypeIsSceneLight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  int      temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::LightTypeIsSceneLight();
      }
    else
      {
      temp20 = op->LightTypeIsSceneLight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLight_LightTypeIsCameraLight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLight *op;

  int      temp20;
  op = (vtkLight *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLight::LightTypeIsCameraLight();
      }
    else
      {
      temp20 = op->LightTypeIsCameraLight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLightMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLight_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLight_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLight_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLight\nC++: vtkLight *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLight_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLight\nC++: vtkLight *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkLight_Render, 1,
   (char*)"V.Render(vtkRenderer, int)\nC++: virtual void Render (vtkRenderer *, int );\n\n Abstract interface to renderer. Each concrete subclass of vtkLight\n will load its data into the graphics system in response to this method\n invocation. The actual loading is performed by a vtkLightDevice\n subclass, which will get created automatically.\n"},
  {(char*)"SetAmbientColor",                (PyCFunction)PyvtkLight_SetAmbientColor, 1,
   (char*)"V.SetAmbientColor(float, float, float)\nC++: void SetAmbientColor (double , double , double );\nV.SetAmbientColor((float, float, float))\nC++: void SetAmbientColor (double  a[3]);\n\n Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n"},
  {(char*)"GetAmbientColor",                (PyCFunction)PyvtkLight_GetAmbientColor, 1,
   (char*)"V.GetAmbientColor() -> (float, float, float)\nC++: double  *GetAmbientColor ();\n\n Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n"},
  {(char*)"SetDiffuseColor",                (PyCFunction)PyvtkLight_SetDiffuseColor, 1,
   (char*)"V.SetDiffuseColor(float, float, float)\nC++: void SetDiffuseColor (double , double , double );\nV.SetDiffuseColor((float, float, float))\nC++: void SetDiffuseColor (double  a[3]);\n\n Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n"},
  {(char*)"GetDiffuseColor",                (PyCFunction)PyvtkLight_GetDiffuseColor, 1,
   (char*)"V.GetDiffuseColor() -> (float, float, float)\nC++: double  *GetDiffuseColor ();\n\n Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n"},
  {(char*)"SetSpecularColor",                (PyCFunction)PyvtkLight_SetSpecularColor, 1,
   (char*)"V.SetSpecularColor(float, float, float)\nC++: void SetSpecularColor (double , double , double );\nV.SetSpecularColor((float, float, float))\nC++: void SetSpecularColor (double  a[3]);\n\n Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n"},
  {(char*)"GetSpecularColor",                (PyCFunction)PyvtkLight_GetSpecularColor, 1,
   (char*)"V.GetSpecularColor() -> (float, float, float)\nC++: double  *GetSpecularColor ();\n\n Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkLight_SetColor, 1,
   (char*)"V.SetColor(float, float, float)\nC++: void SetColor (double , double , double );\nV.SetColor((float, float, float))\nC++: void SetColor (double a[3]);this SetColor a a a \n\n Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkLight_GetColor, 1,
   (char*)"V.GetColor((float, float, float))\nC++: void GetColor (double rgb[3]);\nV.GetColor() -> (float, float, float)\nC++: double *GetColor ();\n\n Set/Get the color of the light. It is possible to set the ambient,\n diffuse and specular colors separately. The SetColor() method sets\n the diffuse and specular colors to the same color (this is a feature\n to preserve backward compatbility.)\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkLight_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double , double , double );\nV.SetPosition((float, float, float))\nC++: void SetPosition (double  a[3]);\n\n Set/Get the position of the light.\n Note: The position of the light is defined in the coordinate\n space indicated by its transformation matrix (if it exists).\n Thus, to get the light's world space position, use \n vtkGetTransformedPosition() instead of vtkGetPosition().\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkLight_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double  *GetPosition ();\n\n Set/Get the position of the light.\n Note: The position of the light is defined in the coordinate\n space indicated by its transformation matrix (if it exists).\n Thus, to get the light's world space position, use \n vtkGetTransformedPosition() instead of vtkGetPosition().\n"},
  {(char*)"SetFocalPoint",                (PyCFunction)PyvtkLight_SetFocalPoint, 1,
   (char*)"V.SetFocalPoint(float, float, float)\nC++: void SetFocalPoint (double , double , double );\nV.SetFocalPoint((float, float, float))\nC++: void SetFocalPoint (double  a[3]);\n\n Set/Get the point at which the light is shining.\n Note: The focal point of the light is defined in the coordinate\n space indicated by its transformation matrix (if it exists).\n Thus, to get the light's world space focal point, use \n vtkGetTransformedFocalPoint() instead of vtkGetFocalPoint().\n"},
  {(char*)"GetFocalPoint",                (PyCFunction)PyvtkLight_GetFocalPoint, 1,
   (char*)"V.GetFocalPoint() -> (float, float, float)\nC++: double  *GetFocalPoint ();\n\n Set/Get the point at which the light is shining.\n Note: The focal point of the light is defined in the coordinate\n space indicated by its transformation matrix (if it exists).\n Thus, to get the light's world space focal point, use \n vtkGetTransformedFocalPoint() instead of vtkGetFocalPoint().\n"},
  {(char*)"SetIntensity",                (PyCFunction)PyvtkLight_SetIntensity, 1,
   (char*)"V.SetIntensity(float)\nC++: void SetIntensity (double );\n\n Set/Get the brightness of the light (from one to zero).\n"},
  {(char*)"GetIntensity",                (PyCFunction)PyvtkLight_GetIntensity, 1,
   (char*)"V.GetIntensity() -> float\nC++: double GetIntensity ();\n\n Set/Get the brightness of the light (from one to zero).\n"},
  {(char*)"SetSwitch",                (PyCFunction)PyvtkLight_SetSwitch, 1,
   (char*)"V.SetSwitch(int)\nC++: void SetSwitch (int );\n\n Turn the light on or off.\n"},
  {(char*)"GetSwitch",                (PyCFunction)PyvtkLight_GetSwitch, 1,
   (char*)"V.GetSwitch() -> int\nC++: int GetSwitch ();\n\n Turn the light on or off.\n"},
  {(char*)"SwitchOn",                (PyCFunction)PyvtkLight_SwitchOn, 1,
   (char*)"V.SwitchOn()\nC++: void SwitchOn ();\n\n Turn the light on or off.\n"},
  {(char*)"SwitchOff",                (PyCFunction)PyvtkLight_SwitchOff, 1,
   (char*)"V.SwitchOff()\nC++: void SwitchOff ();\n\n Turn the light on or off.\n"},
  {(char*)"SetPositional",                (PyCFunction)PyvtkLight_SetPositional, 1,
   (char*)"V.SetPositional(int)\nC++: void SetPositional (int );\n\n Turn positional lighting on or off.\n"},
  {(char*)"GetPositional",                (PyCFunction)PyvtkLight_GetPositional, 1,
   (char*)"V.GetPositional() -> int\nC++: int GetPositional ();\n\n Turn positional lighting on or off.\n"},
  {(char*)"PositionalOn",                (PyCFunction)PyvtkLight_PositionalOn, 1,
   (char*)"V.PositionalOn()\nC++: void PositionalOn ();\n\n Turn positional lighting on or off.\n"},
  {(char*)"PositionalOff",                (PyCFunction)PyvtkLight_PositionalOff, 1,
   (char*)"V.PositionalOff()\nC++: void PositionalOff ();\n\n Turn positional lighting on or off.\n"},
  {(char*)"SetExponent",                (PyCFunction)PyvtkLight_SetExponent, 1,
   (char*)"V.SetExponent(float)\nC++: void SetExponent (double );\n\n Set/Get the exponent of the cosine used in positional lighting.\n"},
  {(char*)"GetExponent",                (PyCFunction)PyvtkLight_GetExponent, 1,
   (char*)"V.GetExponent() -> float\nC++: double GetExponent ();\n\n Set/Get the exponent of the cosine used in positional lighting.\n"},
  {(char*)"SetConeAngle",                (PyCFunction)PyvtkLight_SetConeAngle, 1,
   (char*)"V.SetConeAngle(float)\nC++: void SetConeAngle (double );\n\n Set/Get the lighting cone angle of a positional light in degrees.\n A value of 180 indicates that you want no spot lighting effects\n just a positional light.\n"},
  {(char*)"GetConeAngle",                (PyCFunction)PyvtkLight_GetConeAngle, 1,
   (char*)"V.GetConeAngle() -> float\nC++: double GetConeAngle ();\n\n Set/Get the lighting cone angle of a positional light in degrees.\n A value of 180 indicates that you want no spot lighting effects\n just a positional light.\n"},
  {(char*)"SetAttenuationValues",                (PyCFunction)PyvtkLight_SetAttenuationValues, 1,
   (char*)"V.SetAttenuationValues(float, float, float)\nC++: void SetAttenuationValues (double , double , double );\nV.SetAttenuationValues((float, float, float))\nC++: void SetAttenuationValues (double  a[3]);\n\n Set/Get the quadratic attenuation constants. They are specified as\n constant, linear, and quadratic, in that order.\n"},
  {(char*)"GetAttenuationValues",                (PyCFunction)PyvtkLight_GetAttenuationValues, 1,
   (char*)"V.GetAttenuationValues() -> (float, float, float)\nC++: double  *GetAttenuationValues ();\n\n Set/Get the quadratic attenuation constants. They are specified as\n constant, linear, and quadratic, in that order.\n"},
  {(char*)"SetTransformMatrix",                (PyCFunction)PyvtkLight_SetTransformMatrix, 1,
   (char*)"V.SetTransformMatrix(vtkMatrix4x4)\nC++: virtual void SetTransformMatrix (vtkMatrix4x4 *);\n\n Set/Get the light's transformation matrix.  If a matrix is set for\n a light, the light's parameters (position and focal point) are \n transformed by the matrix before being rendered.\n"},
  {(char*)"GetTransformMatrix",                (PyCFunction)PyvtkLight_GetTransformMatrix, 1,
   (char*)"V.GetTransformMatrix() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetTransformMatrix ();\n\n Set/Get the light's transformation matrix.  If a matrix is set for\n a light, the light's parameters (position and focal point) are \n transformed by the matrix before being rendered.\n"},
  {(char*)"GetTransformedPosition",                (PyCFunction)PyvtkLight_GetTransformedPosition, 1,
   (char*)"V.GetTransformedPosition((float, float, float))\nC++: void GetTransformedPosition (double a[3]);\nV.GetTransformedPosition() -> (float, float, float)\nC++: double *GetTransformedPosition ();\n\n Get the position of the light, modified by the transformation matrix\n (if it exists).\n"},
  {(char*)"GetTransformedFocalPoint",                (PyCFunction)PyvtkLight_GetTransformedFocalPoint, 1,
   (char*)"V.GetTransformedFocalPoint((float, float, float))\nC++: void GetTransformedFocalPoint (double a[3]);\nV.GetTransformedFocalPoint() -> (float, float, float)\nC++: double *GetTransformedFocalPoint ();\n\n Get the focal point of the light, modified by the transformation matrix\n (if it exists).\n"},
  {(char*)"SetDirectionAngle",                (PyCFunction)PyvtkLight_SetDirectionAngle, 1,
   (char*)"V.SetDirectionAngle(float, float)\nC++: void SetDirectionAngle (double elevation, double azimuth);\nV.SetDirectionAngle((float, float))\nC++: void SetDirectionAngle (double ang[2]);this SetDirectionAngle ang ang \n\n Set the position and focal point of a light based on elevation and\n azimuth.  The light is moved so it is shining from the given angle.\n Angles are given in degrees.  If the light is a\n positional light, it is made directional instead.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkLight_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkLight)\nC++: void DeepCopy (vtkLight *light);\n\n Perform deep copy of this light.\n"},
  {(char*)"SetLightType",                (PyCFunction)PyvtkLight_SetLightType, 1,
   (char*)"V.SetLightType(int)\nC++: void SetLightType (int );\n\n Set/Get the type of the light.\n A SceneLight is a light located in the world coordinate space.  A light\n is initially created as a scene light.\n\n A Headlight is always located at the camera and is pointed at the \n camera's focal point.  The renderer is free to modify the position and\n focal point of the camera at any time.\n\n A CameraLight is also attached to the camera, but is not necessarily\n located at the camera's position.  CameraLights are defined in a \n coordinate space where the camera is located at (0, 0, 1), looking\n towards (0, 0, 0) at a distance of 1, with up being (0, 1, 0).\n\n Note: Use SetLightTypeToSceneLight, rather than SetLightType(3), since\n the former clears the light's transform matrix.\n"},
  {(char*)"GetLightType",                (PyCFunction)PyvtkLight_GetLightType, 1,
   (char*)"V.GetLightType() -> int\nC++: int GetLightType ();\n\n Set/Get the type of the light.\n A SceneLight is a light located in the world coordinate space.  A light\n is initially created as a scene light.\n\n A Headlight is always located at the camera and is pointed at the \n camera's focal point.  The renderer is free to modify the position and\n focal point of the camera at any time.\n\n A CameraLight is also attached to the camera, but is not necessarily\n located at the camera's position.  CameraLights are defined in a \n coordinate space where the camera is located at (0, 0, 1), looking\n towards (0, 0, 0) at a distance of 1, with up being (0, 1, 0).\n\n Note: Use SetLightTypeToSceneLight, rather than SetLightType(3), since\n the former clears the light's transform matrix.\n"},
  {(char*)"SetLightTypeToHeadlight",                (PyCFunction)PyvtkLight_SetLightTypeToHeadlight, 1,
   (char*)"V.SetLightTypeToHeadlight()\nC++: void SetLightTypeToHeadlight ();this SetLightType VTK_LIGHT_TYPE_HEADLIGHT \n\n Set/Get the type of the light.\n A SceneLight is a light located in the world coordinate space.  A light\n is initially created as a scene light.\n\n A Headlight is always located at the camera and is pointed at the \n camera's focal point.  The renderer is free to modify the position and\n focal point of the camera at any time.\n\n A CameraLight is also attached to the camera, but is not necessarily\n located at the camera's position.  CameraLights are defined in a \n coordinate space where the camera is located at (0, 0, 1), looking\n towards (0, 0, 0) at a distance of 1, with up being (0, 1, 0).\n\n Note: Use SetLightTypeToSceneLight, rather than SetLightType(3), since\n the former clears the light's transform matrix.\n"},
  {(char*)"SetLightTypeToSceneLight",                (PyCFunction)PyvtkLight_SetLightTypeToSceneLight, 1,
   (char*)"V.SetLightTypeToSceneLight()\nC++: void SetLightTypeToSceneLight ();this SetTransformMatrix NULL this SetLightType VTK_LIGHT_TYPE_SCENE_LIGHT \n\n Set/Get the type of the light.\n A SceneLight is a light located in the world coordinate space.  A light\n is initially created as a scene light.\n\n A Headlight is always located at the camera and is pointed at the \n camera's focal point.  The renderer is free to modify the position and\n focal point of the camera at any time.\n\n A CameraLight is also attached to the camera, but is not necessarily\n located at the camera's position.  CameraLights are defined in a \n coordinate space where the camera is located at (0, 0, 1), looking\n towards (0, 0, 0) at a distance of 1, with up being (0, 1, 0).\n\n Note: Use SetLightTypeToSceneLight, rather than SetLightType(3), since\n the former clears the light's transform matrix.\n"},
  {(char*)"SetLightTypeToCameraLight",                (PyCFunction)PyvtkLight_SetLightTypeToCameraLight, 1,
   (char*)"V.SetLightTypeToCameraLight()\nC++: void SetLightTypeToCameraLight ();this SetLightType VTK_LIGHT_TYPE_CAMERA_LIGHT \n\n Query the type of the light.\n"},
  {(char*)"LightTypeIsHeadlight",                (PyCFunction)PyvtkLight_LightTypeIsHeadlight, 1,
   (char*)"V.LightTypeIsHeadlight() -> int\nC++: int LightTypeIsHeadlight ();\n\n Query the type of the light.\n"},
  {(char*)"LightTypeIsSceneLight",                (PyCFunction)PyvtkLight_LightTypeIsSceneLight, 1,
   (char*)"V.LightTypeIsSceneLight() -> int\nC++: int LightTypeIsSceneLight ();\n\n Query the type of the light.\n"},
  {(char*)"LightTypeIsCameraLight",                (PyCFunction)PyvtkLight_LightTypeIsCameraLight, 1,
   (char*)"V.LightTypeIsCameraLight() -> int\nC++: int LightTypeIsCameraLight ();\n\n Query the type of the light.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLightDoc[] = {
  (char*)"vtkLight - a virtual light for 3D rendering\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkLight is a virtual light for 3D rendering. It provides methods to locate\n and point the light, turn it on and off, and set its brightness and color.\n In addition to the basic infinite distance point light source attributes,\n you also can specify the light attenuation values and cone angle.\n These attributes are only used if the light is a positional light.\n The default is a directional light (",
  (char*)"e.g. infinite point light source).\n\n Lights have a type that describes how the light should move with respect\n to the camera.  A Headlight is always located at the current camera position\n and shines on the camera's focal point.  A CameraLight also moves with\n the camera, but may not be coincident to it.  CameraLights are defined\n in a normalized coordinate space where the camera is located at (0,",
  (char*)" 0, 1),\n the camera is looking at (0, 0, 0), and up is (0, 1, 0).  Finally, a \n SceneLight is part of the scene itself and does not move with the camera.\n (Renderers are responsible for moving the light based on its type.)\n\n Lights have a transformation matrix that describes the space in which\n they are positioned.  A light's world space position and focal point\n are defined by their local positio",
  (char*)"n and focal point, transformed by\n their transformation matrix (if it exists).\n\n",
  NULL
};

static vtkObjectBase *vtkLightStaticNew()
{
  return vtkLight::New();
}

PyObject *PyVTKClass_vtkLightNew(char *modulename)
{
  return PyVTKClass_New(&vtkLightStaticNew,
                        PyvtkLightMethods,
                        (char*)"vtkLight",modulename,
                        (char**)vtkLightDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

