// python wrapper for vtkLightingPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLightingPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLightingPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLightingPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataPainterNew(char *); }

static PyObject *PyvtkLightingPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightingPainter *op;

  const char    *temp20;
  op = (vtkLightingPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightingPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLightingPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightingPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkLightingPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightingPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightingPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightingPainter *op;

  vtkLightingPainter  *temp20;
  op = (vtkLightingPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightingPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightingPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLightingPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLightingPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkLightingPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLightingPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLightingPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLightingPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLightingPainter\nC++: vtkLightingPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLightingPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLightingPainter\nC++: vtkLightingPainter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLightingPainterDoc[] = {
  (char*)"vtkLightingPainter - abstract class defining interface for painter\n\n",
  "Super Class:\n\n vtkPolyDataPainter\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkLightingPainterStaticNew()
{
  return vtkLightingPainter::New();
}

PyObject *PyVTKClass_vtkLightingPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkLightingPainterStaticNew,
                        PyvtkLightingPainterMethods,
                        (char*)"vtkLightingPainter",modulename,
                        (char**)vtkLightingPainterDoc,
                        PyVTKClass_vtkPolyDataPainterNew(modulename));
}

