// python wrapper for vtkLinesPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLinesPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLinesPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLinesPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPrimitivePainterNew(char *); }

static PyObject *PyvtkLinesPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinesPainter *op;

  const char    *temp20;
  op = (vtkLinesPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinesPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLinesPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinesPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkLinesPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinesPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinesPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinesPainter *op;

  vtkLinesPainter  *temp20;
  op = (vtkLinesPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinesPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinesPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLinesPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLinesPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkLinesPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLinesPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLinesPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLinesPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLinesPainter\nC++: vtkLinesPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLinesPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLinesPainter\nC++: vtkLinesPainter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLinesPainterDoc[] = {
  (char*)"vtkLinesPainter - painter that paints lines.\n\n",
  "Super Class:\n\n vtkPrimitivePainter\n\n",
  (char*)" This painter tries to paint lines efficiently. Request to Render\n any other primitive are ignored and not passed to the delegate painter, \n if any. This painter cannot handle cell colors/normals. If they are \n present the request is passed on to the Delegate painter. If this \n class is able to render the primitive, the render request is not\n propagated to the delegate painter.\n \n\n",
  NULL
};

static vtkObjectBase *vtkLinesPainterStaticNew()
{
  return vtkLinesPainter::New();
}

PyObject *PyVTKClass_vtkLinesPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkLinesPainterStaticNew,
                        PyvtkLinesPainterMethods,
                        (char*)"vtkLinesPainter",modulename,
                        (char**)vtkLinesPainterDoc,
                        PyVTKClass_vtkPrimitivePainterNew(modulename));
}

