// python wrapper for vtkOBJExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOBJExporter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOBJExporterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOBJExporterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExporterNew(char *); }

static PyObject *PyvtkOBJExporter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBJExporter *op;

  const char    *temp20;
  op = (vtkOBJExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBJExporter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOBJExporter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBJExporter *op;

  char    *temp0;
  int      temp20;
  op = (vtkOBJExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBJExporter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOBJExporter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBJExporter *op;

  vtkOBJExporter  *temp20;
  op = (vtkOBJExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBJExporter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOBJExporter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOBJExporter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOBJExporter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOBJExporter_SetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBJExporter *op;

  char    *temp0;
  op = (vtkOBJExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOBJExporter::SetFilePrefix(temp0);
      }
    else
      {
      op->SetFilePrefix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOBJExporter_GetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBJExporter *op;

  char    *temp20;
  op = (vtkOBJExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBJExporter::GetFilePrefix();
      }
    else
      {
      temp20 = op->GetFilePrefix();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOBJExporterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOBJExporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOBJExporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOBJExporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOBJExporter\nC++: vtkOBJExporter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOBJExporter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOBJExporter\nC++: vtkOBJExporter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFilePrefix",                (PyCFunction)PyvtkOBJExporter_SetFilePrefix, 1,
   (char*)"V.SetFilePrefix(string)\nC++: void SetFilePrefix (char *);\n\n Specify the prefix of the files to write out. The resulting filenames\n will have .obj and .mtl appended to them.\n"},
  {(char*)"GetFilePrefix",                (PyCFunction)PyvtkOBJExporter_GetFilePrefix, 1,
   (char*)"V.GetFilePrefix() -> string\nC++: char *GetFilePrefix ();\n\n Specify the prefix of the files to write out. The resulting filenames\n will have .obj and .mtl appended to them.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOBJExporterDoc[] = {
  (char*)"vtkOBJExporter - export a scene into Wavefront format.\n\n",
  "Super Class:\n\n vtkExporter\n\n",
  (char*)" vtkOBJExporter is a concrete subclass of vtkExporter that writes wavefront\n .OBJ files in ASCII form. It also writes out a mtl file that contains the\n material properties. The filenames are derived by appending the .obj and\n .mtl suffix onto the user specified FilePrefix.\n\n\n",
  "See Also:\n\n vtkExporter\n\n",
  NULL
};

static vtkObjectBase *vtkOBJExporterStaticNew()
{
  return vtkOBJExporter::New();
}

PyObject *PyVTKClass_vtkOBJExporterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOBJExporterStaticNew,
                        PyvtkOBJExporterMethods,
                        (char*)"vtkOBJExporter",modulename,
                        (char**)vtkOBJExporterDoc,
                        PyVTKClass_vtkExporterNew(modulename));
}

