// python wrapper for vtkOOGLExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOOGLExporter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOOGLExporterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOOGLExporterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExporterNew(char *); }

static PyObject *PyvtkOOGLExporter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOOGLExporter *op;

  const char    *temp20;
  op = (vtkOOGLExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOOGLExporter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOOGLExporter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOOGLExporter *op;

  char    *temp0;
  int      temp20;
  op = (vtkOOGLExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOOGLExporter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOOGLExporter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOOGLExporter *op;

  vtkOOGLExporter  *temp20;
  op = (vtkOOGLExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOOGLExporter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOOGLExporter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOOGLExporter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOOGLExporter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOOGLExporter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOOGLExporter *op;

  char    *temp0;
  op = (vtkOOGLExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOOGLExporter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOOGLExporter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOOGLExporter *op;

  char    *temp20;
  op = (vtkOOGLExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOOGLExporter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOOGLExporterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOOGLExporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOOGLExporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOOGLExporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOOGLExporter\nC++: vtkOOGLExporter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOOGLExporter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOOGLExporter\nC++: vtkOOGLExporter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkOOGLExporter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify the name of the Geomview file to write.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkOOGLExporter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify the name of the Geomview file to write.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOOGLExporterDoc[] = {
  (char*)"vtkOOGLExporter - export a scene into Geomview OOGL format.\n\n",
  "Super Class:\n\n vtkExporter\n\n",
  (char*)" vtkOOGLExporter is a concrete subclass of vtkExporter that writes\n Geomview OOGL files.\n\n\n",
  "See Also:\n\n vtkExporter\n\n",
  NULL
};

static vtkObjectBase *vtkOOGLExporterStaticNew()
{
  return vtkOOGLExporter::New();
}

PyObject *PyVTKClass_vtkOOGLExporterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOOGLExporterStaticNew,
                        PyvtkOOGLExporterMethods,
                        (char*)"vtkOOGLExporter",modulename,
                        (char**)vtkOOGLExporterDoc,
                        PyVTKClass_vtkExporterNew(modulename));
}

