// python wrapper for vtkObserverMediator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkObserverMediator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkObserverMediatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkObserverMediatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkObserverMediator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObserverMediator *op;

  const char    *temp20;
  op = (vtkObserverMediator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObserverMediator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkObserverMediator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObserverMediator *op;

  char    *temp0;
  int      temp20;
  op = (vtkObserverMediator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObserverMediator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObserverMediator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObserverMediator *op;

  vtkObserverMediator  *temp20;
  op = (vtkObserverMediator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObserverMediator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObserverMediator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkObserverMediator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkObserverMediator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkObserverMediator_SetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObserverMediator *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  op = (vtkObserverMediator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkObserverMediator::SetInteractor(temp0);
      }
    else
      {
      op->SetInteractor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkObserverMediator_GetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObserverMediator *op;

  vtkRenderWindowInteractor  *temp20;
  op = (vtkObserverMediator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObserverMediator::GetInteractor();
      }
    else
      {
      temp20 = op->GetInteractor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObserverMediator_RequestCursorShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObserverMediator *op;

  vtkInteractorObserver  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  op = (vtkObserverMediator *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInteractorObserver *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInteractorObserver");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObserverMediator::RequestCursorShape(temp0,temp1);
      }
    else
      {
      temp20 = op->RequestCursorShape(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkObserverMediator_RemoveAllCursorShapeRequests(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObserverMediator *op;

  vtkInteractorObserver  *temp0;
  PyObject *tempH0;
  op = (vtkObserverMediator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInteractorObserver *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInteractorObserver");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkObserverMediator::RemoveAllCursorShapeRequests(temp0);
      }
    else
      {
      op->RemoveAllCursorShapeRequests(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkObserverMediatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkObserverMediator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkObserverMediator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkObserverMediator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkObserverMediator\nC++: vtkObserverMediator *NewInstance ();\n\n Standard macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkObserverMediator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkObserverMediator\nC++: vtkObserverMediator *SafeDownCast (vtkObject* o);\n\n Standard macros.\n"},
  {(char*)"SetInteractor",                (PyCFunction)PyvtkObserverMediator_SetInteractor, 1,
   (char*)"V.SetInteractor(vtkRenderWindowInteractor)\nC++: void SetInteractor (vtkRenderWindowInteractor *iren);\n\n Specify the instance of vtkRenderWindow whose cursor shape is\n to be managed.\n"},
  {(char*)"GetInteractor",                (PyCFunction)PyvtkObserverMediator_GetInteractor, 1,
   (char*)"V.GetInteractor() -> vtkRenderWindowInteractor\nC++: vtkRenderWindowInteractor *GetInteractor ();\n\n Specify the instance of vtkRenderWindow whose cursor shape is\n to be managed.\n"},
  {(char*)"RequestCursorShape",                (PyCFunction)PyvtkObserverMediator_RequestCursorShape, 1,
   (char*)"V.RequestCursorShape(vtkInteractorObserver, int) -> int\nC++: int RequestCursorShape (vtkInteractorObserver *, int cursorShape);\n\n Method used to request a cursor shape. Note that the shape is specified\n using one of the integral values determined in vtkRenderWindow.h. The \n method returns a non-zero value if the shape was successfully changed.\n"},
  {(char*)"RemoveAllCursorShapeRequests",                (PyCFunction)PyvtkObserverMediator_RemoveAllCursorShapeRequests, 1,
   (char*)"V.RemoveAllCursorShapeRequests(vtkInteractorObserver)\nC++: void RemoveAllCursorShapeRequests (vtkInteractorObserver *);\n\n Remove all requests for cursor shape from a given interactor.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkObserverMediatorDoc[] = {
  (char*)"vtkObserverMediator - manage contention for cursors and other resources\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" The vtkObserverMediator is a helper class that manages requests for\n cursor changes from multiple interactor observers (e.g. widgets). It keeps\n a list of widgets (and their priorities) and their current requests for\n cursor shape. It then satisfies requests based on widget priority and the\n relative importance of the request (e.g., a lower priority widget\n requesting a particular cursor shape wi",
  (char*)"ll overrule a higher priority\n widget requesting a default shape).\n\n",
  "See Also:\n\n vtkAbstractWidget vtkWidgetRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkObserverMediatorStaticNew()
{
  return vtkObserverMediator::New();
}

PyObject *PyVTKClass_vtkObserverMediatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkObserverMediatorStaticNew,
                        PyvtkObserverMediatorMethods,
                        (char*)"vtkObserverMediator",modulename,
                        (char**)vtkObserverMediatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

