// python wrapper for vtkOpenGLActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActorNew(char *); }

static PyObject *PyvtkOpenGLActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLActor *op;

  const char    *temp20;
  op = (vtkOpenGLActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLActor *op;

  vtkOpenGLActor  *temp20;
  op = (vtkOpenGLActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLActor_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLActor *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkMapper  *temp1;
  PyObject *tempH1;
  op = (vtkOpenGLActor *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMapper");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLActor::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkOpenGLActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLActor\nC++: vtkOpenGLActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLActor\nC++: vtkOpenGLActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkOpenGLActor_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkMapper)\nC++: void Render (vtkRenderer *ren, vtkMapper *mapper);\n\n Actual actor render method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLActorDoc[] = {
  (char*)"vtkOpenGLActor - OpenGL actor\n\n",
  "Super Class:\n\n vtkActor\n\n",
  (char*)" vtkOpenGLActor is a concrete implementation of the abstract class vtkActor.\n vtkOpenGLActor interfaces to the OpenGL rendering library.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLActorStaticNew()
{
  return vtkOpenGLActor::New();
}

PyObject *PyVTKClass_vtkOpenGLActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLActorStaticNew,
                        PyvtkOpenGLActorMethods,
                        (char*)"vtkOpenGLActor",modulename,
                        (char**)vtkOpenGLActorDoc,
                        PyVTKClass_vtkActorNew(modulename));
}

