// python wrapper for vtkOpenGLCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLCamera.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLCameraNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLCameraNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCameraNew(char *); }

static PyObject *PyvtkOpenGLCamera_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLCamera *op;

  const char    *temp20;
  op = (vtkOpenGLCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLCamera::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLCamera_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLCamera *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLCamera *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLCamera::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLCamera_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLCamera *op;

  vtkOpenGLCamera  *temp20;
  op = (vtkOpenGLCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLCamera::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLCamera_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLCamera  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLCamera::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLCamera_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLCamera *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLCamera *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLCamera::Render(temp0);
      }
    else
      {
      op->Render(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOpenGLCamera_UpdateViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLCamera *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLCamera *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLCamera::UpdateViewport(temp0);
      }
    else
      {
      op->UpdateViewport(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkOpenGLCameraMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLCamera_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLCamera_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLCamera_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLCamera\nC++: vtkOpenGLCamera *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLCamera_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLCamera\nC++: vtkOpenGLCamera *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkOpenGLCamera_Render, 1,
   (char*)"V.Render(vtkRenderer)\nC++: void Render (vtkRenderer *ren);\n\n Implement base class method.\n"},
  {(char*)"UpdateViewport",                (PyCFunction)PyvtkOpenGLCamera_UpdateViewport, 1,
   (char*)"V.UpdateViewport(vtkRenderer)\nC++: void UpdateViewport (vtkRenderer *ren);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLCameraDoc[] = {
  (char*)"vtkOpenGLCamera - OpenGL camera\n\n",
  "Super Class:\n\n vtkCamera\n\n",
  (char*)" vtkOpenGLCamera is a concrete implementation of the abstract class\n vtkCamera.  vtkOpenGLCamera interfaces to the OpenGL rendering library.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLCameraStaticNew()
{
  return vtkOpenGLCamera::New();
}

PyObject *PyVTKClass_vtkOpenGLCameraNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLCameraStaticNew,
                        PyvtkOpenGLCameraMethods,
                        (char*)"vtkOpenGLCamera",modulename,
                        (char**)vtkOpenGLCameraDoc,
                        PyVTKClass_vtkCameraNew(modulename));
}

