// python wrapper for vtkOpenGLClipPlanesPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLClipPlanesPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLClipPlanesPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLClipPlanesPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkClipPlanesPainterNew(char *); }

static PyObject *PyvtkOpenGLClipPlanesPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLClipPlanesPainter *op;

  const char    *temp20;
  op = (vtkOpenGLClipPlanesPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLClipPlanesPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLClipPlanesPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLClipPlanesPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLClipPlanesPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLClipPlanesPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLClipPlanesPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLClipPlanesPainter *op;

  vtkOpenGLClipPlanesPainter  *temp20;
  op = (vtkOpenGLClipPlanesPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLClipPlanesPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLClipPlanesPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLClipPlanesPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLClipPlanesPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkOpenGLClipPlanesPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLClipPlanesPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLClipPlanesPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLClipPlanesPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLClipPlanesPainter\nC++: vtkOpenGLClipPlanesPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLClipPlanesPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLClipPlanesPainter\nC++: vtkOpenGLClipPlanesPainter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLClipPlanesPainterDoc[] = {
  (char*)"vtkOpenGLClipPlanesPainter - painter that manages clipping\n\n",
  "Super Class:\n\n vtkClipPlanesPainter\n\n",
  (char*)" This painter is an openGL specific painter which handles clipplanes.\n This painter must typically be placed before the painter that \n do the primitive rendering.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLClipPlanesPainterStaticNew()
{
  return vtkOpenGLClipPlanesPainter::New();
}

PyObject *PyVTKClass_vtkOpenGLClipPlanesPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLClipPlanesPainterStaticNew,
                        PyvtkOpenGLClipPlanesPainterMethods,
                        (char*)"vtkOpenGLClipPlanesPainter",modulename,
                        (char**)vtkOpenGLClipPlanesPainterDoc,
                        PyVTKClass_vtkClipPlanesPainterNew(modulename));
}

