// python wrapper for vtkOpenGLCoincidentTopologyResolutionPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLCoincidentTopologyResolutionPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLCoincidentTopologyResolutionPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLCoincidentTopologyResolutionPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCoincidentTopologyResolutionPainterNew(char *); }

static PyObject *PyvtkOpenGLCoincidentTopologyResolutionPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLCoincidentTopologyResolutionPainter *op;

  const char    *temp20;
  op = (vtkOpenGLCoincidentTopologyResolutionPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLCoincidentTopologyResolutionPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLCoincidentTopologyResolutionPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLCoincidentTopologyResolutionPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLCoincidentTopologyResolutionPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLCoincidentTopologyResolutionPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLCoincidentTopologyResolutionPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLCoincidentTopologyResolutionPainter *op;

  vtkOpenGLCoincidentTopologyResolutionPainter  *temp20;
  op = (vtkOpenGLCoincidentTopologyResolutionPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLCoincidentTopologyResolutionPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLCoincidentTopologyResolutionPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLCoincidentTopologyResolutionPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLCoincidentTopologyResolutionPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkOpenGLCoincidentTopologyResolutionPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLCoincidentTopologyResolutionPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLCoincidentTopologyResolutionPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLCoincidentTopologyResolutionPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLCoincidentTopologyResolutionPainter\nC++: vtkOpenGLCoincidentTopologyResolutionPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLCoincidentTopologyResolutionPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLCoincidentTopologyResolutionPainter\nC++: vtkOpenGLCoincidentTopologyResolutionPainter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLCoincidentTopologyResolutionPainterDoc[] = {
  (char*)"vtkOpenGLCoincidentTopologyResolutionPainter\n\n",
  "Super Class:\n\n vtkCoincidentTopologyResolutionPainter\n\n",
  (char*)" Implementation for vtkCoincidentTopologyResolutionPainter using OpenGL.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLCoincidentTopologyResolutionPainterStaticNew()
{
  return vtkOpenGLCoincidentTopologyResolutionPainter::New();
}

PyObject *PyVTKClass_vtkOpenGLCoincidentTopologyResolutionPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLCoincidentTopologyResolutionPainterStaticNew,
                        PyvtkOpenGLCoincidentTopologyResolutionPainterMethods,
                        (char*)"vtkOpenGLCoincidentTopologyResolutionPainter",modulename,
                        (char**)vtkOpenGLCoincidentTopologyResolutionPainterDoc,
                        PyVTKClass_vtkCoincidentTopologyResolutionPainterNew(modulename));
}

