// python wrapper for vtkOpenGLDisplayListPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLDisplayListPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLDisplayListPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLDisplayListPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDisplayListPainterNew(char *); }

static PyObject *PyvtkOpenGLDisplayListPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLDisplayListPainter *op;

  const char    *temp20;
  op = (vtkOpenGLDisplayListPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLDisplayListPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLDisplayListPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLDisplayListPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLDisplayListPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLDisplayListPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLDisplayListPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLDisplayListPainter *op;

  vtkOpenGLDisplayListPainter  *temp20;
  op = (vtkOpenGLDisplayListPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLDisplayListPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLDisplayListPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLDisplayListPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLDisplayListPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLDisplayListPainter_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLDisplayListPainter *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLDisplayListPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLDisplayListPainter::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkOpenGLDisplayListPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLDisplayListPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLDisplayListPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLDisplayListPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLDisplayListPainter\nC++: vtkOpenGLDisplayListPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLDisplayListPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLDisplayListPainter\nC++: vtkOpenGLDisplayListPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkOpenGLDisplayListPainter_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release. In this case, releases the display lists.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLDisplayListPainterDoc[] = {
  (char*)"vtkOpenGLDisplayListPainter - display list painter using OpenGL.\n\n",
  "Super Class:\n\n vtkDisplayListPainter\n\n",
  (char*)" vtkOpenGLDisplayListPainter creates an OpenGL display list for rendering.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLDisplayListPainterStaticNew()
{
  return vtkOpenGLDisplayListPainter::New();
}

PyObject *PyVTKClass_vtkOpenGLDisplayListPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLDisplayListPainterStaticNew,
                        PyvtkOpenGLDisplayListPainterMethods,
                        (char*)"vtkOpenGLDisplayListPainter",modulename,
                        (char**)vtkOpenGLDisplayListPainterDoc,
                        PyVTKClass_vtkDisplayListPainterNew(modulename));
}

