// tcl wrapper for vtkOpenGLExtensionManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLExtensionManager.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkOpenGLExtensionManagerNewCommand()
{
  vtkOpenGLExtensionManager *temp = vtkOpenGLExtensionManager::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOpenGLExtensionManagerCppCommand(vtkOpenGLExtensionManager *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkOpenGLExtensionManagerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOpenGLExtensionManagerCppCommand(static_cast<vtkOpenGLExtensionManager *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOpenGLExtensionManagerCppCommand(vtkOpenGLExtensionManager *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOpenGLExtensionManager",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOpenGLExtensionManager  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLExtensionManager");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkOpenGLExtensionManager  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLExtensionManager");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkOpenGLExtensionManager  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLExtensionManager");
    return TCL_OK;
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetExtensionsString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetExtensionsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("ExtensionSupported",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->ExtensionSupported(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadExtension",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->LoadExtension(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadSupportedExtension",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->LoadSupportedExtension(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadCorePromotedExtension",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->LoadCorePromotedExtension(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkOpenGLExtensionManagerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOpenGLExtensionManager:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  GetExtensionsString\n",NULL);
    Tcl_AppendResult(interp,"  ExtensionSupported\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadExtension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadSupportedExtension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadCorePromotedExtension\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "GetExtensionsString" );
    Tcl_DStringAppendElement ( &dString, "ExtensionSupported" );
    Tcl_DStringAppendElement ( &dString, "LoadExtension" );
    Tcl_DStringAppendElement ( &dString, "LoadSupportedExtension" );
    Tcl_DStringAppendElement ( &dString, "LoadCorePromotedExtension" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOpenGLExtensionManager *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the render window to query extensions on.  If set to null,\n justs queries the current render window.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetRenderWindow ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderWindow */
    if ( strcmp ( argv[2], "SetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the render window to query extensions on.  If set to null,\n justs queries the current render window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderWindow (vtkRenderWindow *renwin);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for SetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Updates the extensions string.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtensionsString */
    if ( strcmp ( argv[2], "GetExtensionsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtensionsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtensionsString */
    Tcl_DStringAppendElement ( &dString, " Returns a string listing all available extensions.  Call Update first\n to validate this string.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetExtensionsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetExtensionsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtensionSupported */
    if ( strcmp ( argv[2], "ExtensionSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtensionSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtensionSupported */
    Tcl_DStringAppendElement ( &dString, " Returns true if the extension is supported, false otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ExtensionSupported (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for ExtensionSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoadExtension */
    if ( strcmp ( argv[2], "LoadExtension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoadExtension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoadExtension */
    Tcl_DStringAppendElement ( &dString, " Loads all the functions associated with the given extension into the\n appropriate static members of vtkgl. This method emits a warning if the\n requested extension is not supported. It emits an error if the extension\n does not load successfully.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LoadExtension (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for LoadExtension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoadSupportedExtension */
    if ( strcmp ( argv[2], "LoadSupportedExtension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoadSupportedExtension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoadSupportedExtension */
    Tcl_DStringAppendElement ( &dString, " Returns true if the extension is supported and loaded successfully,\n false otherwise. This method will \"fail silently/gracefully\" if the\n extension is not supported or does not load properly. It emits neither\n warnings nor errors. It is up to the caller to determine if the\n extension loaded properly by paying attention to the return value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int LoadSupportedExtension (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for LoadSupportedExtension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoadCorePromotedExtension */
    if ( strcmp ( argv[2], "LoadCorePromotedExtension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoadCorePromotedExtension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoadCorePromotedExtension */
    Tcl_DStringAppendElement ( &dString, " Loads all the functions associated with the given core-promoted extension\n into the appropriate static members of vtkgl associated with the OpenGL\n version that promoted the extension as a core feature. This method emits a\n warning if the requested extension is not supported. It emits an error if\n the extension does not load successfully.\n\n For instance, extension GL_ARB_multitexture was promoted as a core\n feature into OpenGL 1.3. An implementation that uses this\n  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LoadCorePromotedExtension (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for LoadCorePromotedExtension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
