// python wrapper for vtkOpenGLImageActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLImageActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLImageActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLImageActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageActorNew(char *); }

static PyObject *PyvtkOpenGLImageActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLImageActor *op;

  const char    *temp20;
  op = (vtkOpenGLImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLImageActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLImageActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLImageActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLImageActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLImageActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLImageActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLImageActor *op;

  vtkOpenGLImageActor  *temp20;
  op = (vtkOpenGLImageActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLImageActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLImageActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLImageActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLImageActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLImageActor_Load(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLImageActor *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLImageActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLImageActor::Load(temp0);
      }
    else
      {
      op->Load(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOpenGLImageActor_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLImageActor *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLImageActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLImageActor::Render(temp0);
      }
    else
      {
      op->Render(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkOpenGLImageActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLImageActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLImageActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLImageActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkOpenGLImageActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLImageActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLImageActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLImageActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLImageActor\nC++: vtkOpenGLImageActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLImageActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLImageActor\nC++: vtkOpenGLImageActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Load",                (PyCFunction)PyvtkOpenGLImageActor_Load, 1,
   (char*)"V.Load(vtkRenderer)\nC++: void Load (vtkRenderer *ren);\n\n Implement base class method.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkOpenGLImageActor_Render, 1,
   (char*)"V.Render(vtkRenderer)\nC++: void Render (vtkRenderer *ren);\n\n Implement base class method.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkOpenGLImageActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this texture.\n The parameter window could be used to determine which graphic\n resources to release. Using the same texture object in multiple\n render windows is NOT currently supported. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLImageActorDoc[] = {
  (char*)"vtkOpenGLImageActor - OpenGL texture map\n\n",
  "Super Class:\n\n vtkImageActor\n\n",
  (char*)" vtkOpenGLImageActor is a concrete implementation of the abstract class \n vtkImageActor. vtkOpenGLImageActor interfaces to the OpenGL rendering library.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLImageActorStaticNew()
{
  return vtkOpenGLImageActor::New();
}

PyObject *PyVTKClass_vtkOpenGLImageActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLImageActorStaticNew,
                        PyvtkOpenGLImageActorMethods,
                        (char*)"vtkOpenGLImageActor",modulename,
                        (char**)vtkOpenGLImageActorDoc,
                        PyVTKClass_vtkImageActorNew(modulename));
}

