// python wrapper for vtkOpenGLLightingPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLLightingPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLLightingPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLLightingPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLightingPainterNew(char *); }

static PyObject *PyvtkOpenGLLightingPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLLightingPainter *op;

  const char    *temp20;
  op = (vtkOpenGLLightingPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLLightingPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLLightingPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLLightingPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLLightingPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLLightingPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLLightingPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLLightingPainter *op;

  vtkOpenGLLightingPainter  *temp20;
  op = (vtkOpenGLLightingPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLLightingPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLLightingPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLLightingPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLLightingPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLLightingPainter_GetTimeToDraw(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLLightingPainter *op;

  double   temp20;
  op = (vtkOpenGLLightingPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLLightingPainter::GetTimeToDraw();
      }
    else
      {
      temp20 = op->GetTimeToDraw();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenGLLightingPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLLightingPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLLightingPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLLightingPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLLightingPainter\nC++: vtkOpenGLLightingPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLLightingPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLLightingPainter\nC++: vtkOpenGLLightingPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetTimeToDraw",                (PyCFunction)PyvtkOpenGLLightingPainter_GetTimeToDraw, 1,
   (char*)"V.GetTimeToDraw() -> float\nC++: virtual double GetTimeToDraw ();return this TimeToDraw \n\n This painter overrides GetTimeToDraw() to never pass the request to the\n delegate. This is done since this class may propagate a single render\n request multiple times to the delegate. In that case the time accumulation\n responsibility is borne by the painter causing the multiple rendering\n requests i.e. this painter itself.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLLightingPainterDoc[] = {
  (char*)"vtkOpenGLLightingPainter - painter that manages lighting.\n\n",
  "Super Class:\n\n vtkLightingPainter\n\n",
  (char*)" This painter manages lighting.\n Ligting is disabled when rendering points/lines and no normals are present\n or rendering Polygons/TStrips and representation is points and no normals \n are present.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLLightingPainterStaticNew()
{
  return vtkOpenGLLightingPainter::New();
}

PyObject *PyVTKClass_vtkOpenGLLightingPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLLightingPainterStaticNew,
                        PyvtkOpenGLLightingPainterMethods,
                        (char*)"vtkOpenGLLightingPainter",modulename,
                        (char**)vtkOpenGLLightingPainterDoc,
                        PyVTKClass_vtkLightingPainterNew(modulename));
}

