// python wrapper for vtkOpenGLPainterDeviceAdapter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLPainterDeviceAdapter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLPainterDeviceAdapterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLPainterDeviceAdapterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPainterDeviceAdapterNew(char *); }

static PyObject *PyvtkOpenGLPainterDeviceAdapter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  const char    *temp20;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPainterDeviceAdapter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPainterDeviceAdapter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  vtkOpenGLPainterDeviceAdapter  *temp20;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPainterDeviceAdapter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLPainterDeviceAdapter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLPainterDeviceAdapter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_BeginPrimitive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::BeginPrimitive(temp0);
      }
    else
      {
      op->BeginPrimitive(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_EndPrimitive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::EndPrimitive();
      }
    else
      {
      op->EndPrimitive();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_IsAttributesSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  int      temp20;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPainterDeviceAdapter::IsAttributesSupported(temp0);
      }
    else
      {
      temp20 = op->IsAttributesSupported(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_SendAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  void    *temp3;
  int      size3;
  unsigned long     temp4;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"iiis#l", &temp0, &temp1, &temp2, &temp3, &size3, &temp4);
  if (op)
    {
    temp3 = vtkPythonUnmanglePointer((char *)temp3,&size3,(char*)"void_p");
    if (size3 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendAttribute in vtkOpenGLPainterDeviceAdapter was of incorrect type.");
      return NULL;
      }
    else if (size3 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendAttribute in vtkOpenGLPainterDeviceAdapter was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::SendAttribute(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SendAttribute(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_SetAttributePointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  void    *temp4;
  int      size4;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"iiiis#", &temp0, &temp1, &temp2, &temp3, &temp4, &size4);
  if (op)
    {
    temp4 = vtkPythonUnmanglePointer((char *)temp4,&size4,(char*)"void_p");
    if (size4 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetAttributePointer in vtkOpenGLPainterDeviceAdapter was of incorrect type.");
      return NULL;
      }
    else if (size4 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetAttributePointer in vtkOpenGLPainterDeviceAdapter was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::SetAttributePointer(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetAttributePointer(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_EnableAttributeArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::EnableAttributeArray(temp0);
      }
    else
      {
      op->EnableAttributeArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_DisableAttributeArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::DisableAttributeArray(temp0);
      }
    else
      {
      op->DisableAttributeArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_DrawArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::DrawArrays(temp0,temp1,temp2);
      }
    else
      {
      op->DrawArrays(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_DrawElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  vtkIdType   temp1;
  int      temp2;
  void    *temp3;
  int      size3;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"iiis#", &temp0, &temp1, &temp2, &temp3, &size3);
  if (op)
    {
    temp3 = vtkPythonUnmanglePointer((char *)temp3,&size3,(char*)"void_p");
    if (size3 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to DrawElements in vtkOpenGLPainterDeviceAdapter was of incorrect type.");
      return NULL;
      }
    else if (size3 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to DrawElements in vtkOpenGLPainterDeviceAdapter was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::DrawElements(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->DrawElements(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_Compatible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPainterDeviceAdapter::Compatible(temp0);
      }
    else
      {
      temp20 = op->Compatible(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_MakeLighting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::MakeLighting(temp0);
      }
    else
      {
      op->MakeLighting(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_QueryLighting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp20;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPainterDeviceAdapter::QueryLighting();
      }
    else
      {
      temp20 = op->QueryLighting();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_MakeMultisampling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::MakeMultisampling(temp0);
      }
    else
      {
      op->MakeMultisampling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_QueryMultisampling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp20;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPainterDeviceAdapter::QueryMultisampling();
      }
    else
      {
      temp20 = op->QueryMultisampling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_MakeBlending(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::MakeBlending(temp0);
      }
    else
      {
      op->MakeBlending(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_QueryBlending(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp20;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPainterDeviceAdapter::QueryBlending();
      }
    else
      {
      temp20 = op->QueryBlending();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_MakeVertexEmphasis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::MakeVertexEmphasis(temp0);
      }
    else
      {
      op->MakeVertexEmphasis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_Stencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::Stencil(temp0);
      }
    else
      {
      op->Stencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_WriteStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  vtkIdType   temp0;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::WriteStencil(temp0);
      }
    else
      {
      op->WriteStencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPainterDeviceAdapter_TestStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPainterDeviceAdapter *op;

  vtkIdType   temp0;
  op = (vtkOpenGLPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPainterDeviceAdapter::TestStencil(temp0);
      }
    else
      {
      op->TestStencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenGLPainterDeviceAdapterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLPainterDeviceAdapter\nC++: vtkOpenGLPainterDeviceAdapter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLPainterDeviceAdapter\nC++: vtkOpenGLPainterDeviceAdapter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"BeginPrimitive",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_BeginPrimitive, 1,
   (char*)"V.BeginPrimitive(int)\nC++: virtual void BeginPrimitive (int mode);\n\n Converts mode from VTK_* to GL_* and calls glBegin.\n"},
  {(char*)"EndPrimitive",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_EndPrimitive, 1,
   (char*)"V.EndPrimitive()\nC++: virtual void EndPrimitive ();\n\n Calls glEnd.\n"},
  {(char*)"IsAttributesSupported",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_IsAttributesSupported, 1,
   (char*)"V.IsAttributesSupported(int) -> int\nC++: virtual int IsAttributesSupported (int attribute);\n\n Returns if the given attribute type is supported by the device.\n Returns 1 is supported, 0 otherwise.\n"},
  {(char*)"SendAttribute",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_SendAttribute, 1,
   (char*)"V.SendAttribute(int, int, int, string, int)\nC++: virtual void SendAttribute (int index, int components, int type, const void *attribute, unsigned long offset);\n\n Calls one of glVertex*, glNormal*, glColor*, or glTexCoord*.\n"},
  {(char*)"SetAttributePointer",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_SetAttributePointer, 1,
   (char*)"V.SetAttributePointer(int, int, int, int, string)\nC++: virtual void SetAttributePointer (int index, int numcomponents, int type, int stride, const void *pointer);\n\n Calls one of glVertexPointer, glNormalPointer, glColorPointer, or\n glTexCoordPointer.\n"},
  {(char*)"EnableAttributeArray",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_EnableAttributeArray, 1,
   (char*)"V.EnableAttributeArray(int)\nC++: virtual void EnableAttributeArray (int index);\n\n Calls glEnableClientState or glDisableClientState.\n"},
  {(char*)"DisableAttributeArray",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_DisableAttributeArray, 1,
   (char*)"V.DisableAttributeArray(int)\nC++: virtual void DisableAttributeArray (int index);\n\n Calls glEnableClientState or glDisableClientState.\n"},
  {(char*)"DrawArrays",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_DrawArrays, 1,
   (char*)"V.DrawArrays(int, int, int)\nC++: virtual void DrawArrays (int mode, vtkIdType first, vtkIdType count);\n\n Calls glDrawArrays.  Mode is converted from VTK_* to GL_*.\n"},
  {(char*)"DrawElements",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_DrawElements, 1,
   (char*)"V.DrawElements(int, int, int, string)\nC++: virtual void DrawElements (int mode, vtkIdType count, int type, void *indices);\n\n Calls glDrawElements.  Mode and type are converted from VTK_* to GL_*.\n"},
  {(char*)"Compatible",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_Compatible, 1,
   (char*)"V.Compatible(vtkRenderer) -> int\nC++: virtual int Compatible (vtkRenderer *renderer);\n\n Returns true if renderer is a vtkOpenGLRenderer.\n"},
  {(char*)"MakeLighting",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_MakeLighting, 1,
   (char*)"V.MakeLighting(int)\nC++: virtual void MakeLighting (int mode);\n\n Turns lighting on and off.\n"},
  {(char*)"QueryLighting",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_QueryLighting, 1,
   (char*)"V.QueryLighting() -> int\nC++: virtual int QueryLighting ();\n\n Returns current lighting setting.\n"},
  {(char*)"MakeMultisampling",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_MakeMultisampling, 1,
   (char*)"V.MakeMultisampling(int)\nC++: virtual void MakeMultisampling (int mode);\n\n Turns antialiasing on and off.\n"},
  {(char*)"QueryMultisampling",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_QueryMultisampling, 1,
   (char*)"V.QueryMultisampling() -> int\nC++: virtual int QueryMultisampling ();\n\n Returns current antialiasing setting.\n"},
  {(char*)"MakeBlending",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_MakeBlending, 1,
   (char*)"V.MakeBlending(int)\nC++: virtual void MakeBlending (int mode);\n\n Turns blending on and off.\n"},
  {(char*)"QueryBlending",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_QueryBlending, 1,
   (char*)"V.QueryBlending() -> int\nC++: virtual int QueryBlending ();\n\n Returns current blending setting.\n"},
  {(char*)"MakeVertexEmphasis",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_MakeVertexEmphasis, 1,
   (char*)"V.MakeVertexEmphasis(int)\nC++: virtual void MakeVertexEmphasis (int mode);\n\n Turns emphasis of vertices on or off for vertex selection.\n When emphasized verts are drawn nearer to the camera and are drawn \n larger than normal to make selection of them more reliable.\n"},
  {(char*)"Stencil",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_Stencil, 1,
   (char*)"V.Stencil(int)\nC++: virtual void Stencil (int on);\n\n Control use of the stencil buffer (for vertex selection).\n"},
  {(char*)"WriteStencil",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_WriteStencil, 1,
   (char*)"V.WriteStencil(int)\nC++: virtual void WriteStencil (vtkIdType value);\n\n Control use of the stencil buffer (for vertex selection).\n"},
  {(char*)"TestStencil",                (PyCFunction)PyvtkOpenGLPainterDeviceAdapter_TestStencil, 1,
   (char*)"V.TestStencil(int)\nC++: virtual void TestStencil (vtkIdType value);\n\n Control use of the stencil buffer (for vertex selection).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLPainterDeviceAdapterDoc[] = {
  (char*)"vtkOpenGLPainterDeviceAdapter - An adapter between a vtkPainter and a rendering device.\n\n",
  "Super Class:\n\n vtkPainterDeviceAdapter\n\n",
  (char*)"\n An adapter between vtkPainter and the OpenGL rendering system.  Only a\n handful of attributes with special meaning are supported.  The OpenGL\n attribute used for each attribute is given below.\n\n \\verbatim\n vtkDataSetAttributes::NORMALS          glNormal\n vtkDataSetAttributes:::SCALARS         glColor\n vtkDataSetAttributes::TCOORDS          glTexCoord\n vtkDataSetAttributes::NUM_ATTRIBUTES   glVer",
  (char*)"tex\n \\endverbatim\n\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLPainterDeviceAdapterStaticNew()
{
  return vtkOpenGLPainterDeviceAdapter::New();
}

PyObject *PyVTKClass_vtkOpenGLPainterDeviceAdapterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLPainterDeviceAdapterStaticNew,
                        PyvtkOpenGLPainterDeviceAdapterMethods,
                        (char*)"vtkOpenGLPainterDeviceAdapter",modulename,
                        (char**)vtkOpenGLPainterDeviceAdapterDoc,
                        PyVTKClass_vtkPainterDeviceAdapterNew(modulename));
}

