// python wrapper for vtkOpenGLPolyDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLPolyDataMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLPolyDataMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLPolyDataMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataMapperNew(char *); }

static PyObject *PyvtkOpenGLPolyDataMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPolyDataMapper *op;

  const char    *temp20;
  op = (vtkOpenGLPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPolyDataMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPolyDataMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPolyDataMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPolyDataMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPolyDataMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPolyDataMapper *op;

  vtkOpenGLPolyDataMapper  *temp20;
  op = (vtkOpenGLPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPolyDataMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPolyDataMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLPolyDataMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLPolyDataMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLPolyDataMapper_RenderPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPolyDataMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  op = (vtkOpenGLPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPolyDataMapper::RenderPiece(temp0,temp1);
      }
    else
      {
      op->RenderPiece(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOpenGLPolyDataMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPolyDataMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPolyDataMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkOpenGLPolyDataMapper_Draw(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPolyDataMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkOpenGLPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPolyDataMapper::Draw(temp0,temp1);
      }
    else
      {
      temp20 = op->Draw(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkOpenGLPolyDataMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLPolyDataMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLPolyDataMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLPolyDataMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLPolyDataMapper\nC++: vtkOpenGLPolyDataMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLPolyDataMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLPolyDataMapper\nC++: vtkOpenGLPolyDataMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderPiece",                (PyCFunction)PyvtkOpenGLPolyDataMapper_RenderPiece, 1,
   (char*)"V.RenderPiece(vtkRenderer, vtkActor)\nC++: virtual void RenderPiece (vtkRenderer *ren, vtkActor *a);\n\n Implement superclass render method.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkOpenGLPolyDataMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"Draw",                (PyCFunction)PyvtkOpenGLPolyDataMapper_Draw, 1,
   (char*)"V.Draw(vtkRenderer, vtkActor) -> int\nC++: virtual int Draw (vtkRenderer *ren, vtkActor *a);\n\n Draw method for OpenGL.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLPolyDataMapperDoc[] = {
  (char*)"vtkOpenGLPolyDataMapper - a PolyDataMapper for the OpenGL library\n\n",
  "Super Class:\n\n vtkPolyDataMapper\n\n",
  (char*)" vtkOpenGLPolyDataMapper is a subclass of vtkPolyDataMapper.\n vtkOpenGLPolyDataMapper is a geometric PolyDataMapper for the OpenGL \n rendering library.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLPolyDataMapperStaticNew()
{
  return vtkOpenGLPolyDataMapper::New();
}

PyObject *PyVTKClass_vtkOpenGLPolyDataMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLPolyDataMapperStaticNew,
                        PyvtkOpenGLPolyDataMapperMethods,
                        (char*)"vtkOpenGLPolyDataMapper",modulename,
                        (char**)vtkOpenGLPolyDataMapperDoc,
                        PyVTKClass_vtkPolyDataMapperNew(modulename));
}

