// python wrapper for vtkOpenGLRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLRenderWindow.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLRenderWindowNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLRenderWindowNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderWindowNew(char *); }

static PyObject *PyvtkOpenGLRenderWindow_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  const char    *temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  vtkOpenGLRenderWindow  *temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_SetGlobalMaximumNumberOfMultiSamples(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkOpenGLRenderWindow::SetGlobalMaximumNumberOfMultiSamples(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetGlobalMaximumNumberOfMultiSamples(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkOpenGLRenderWindow::GetGlobalMaximumNumberOfMultiSamples();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_StereoUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLRenderWindow::StereoUpdate();
      }
    else
      {
      op->StereoUpdate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  PyObject *tempH5;
  int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiiO", &temp0, &temp1, &temp2, &temp3, &temp4, &tempH5);
  if (op)
    {
    temp5 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkUnsignedCharArray");
    if (!temp5 && tempH5 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_SetPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  PyObject *tempH4;
  int      temp5;
  int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiOi", &temp0, &temp1, &temp2, &temp3, &tempH4, &temp5);
  if (op)
    {
    temp4 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkUnsignedCharArray");
    if (!temp4 && tempH4 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetRGBAPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkFloatArray  *temp5;
  PyObject *tempH5;
  int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiiO", &temp0, &temp1, &temp2, &temp3, &temp4, &tempH5);
  if (op)
    {
    temp5 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkFloatArray");
    if (!temp5 && tempH5 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_SetRGBAPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  PyObject *tempH4;
  int      temp5;
  int      temp6;
  int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiOii", &temp0, &temp1, &temp2, &temp3, &tempH4, &temp5, &temp6);
  if (op)
    {
    temp4 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkFloatArray");
    if (!temp4 && tempH4 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      temp20 = op->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetRGBACharPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  PyObject *tempH5;
  int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiiO", &temp0, &temp1, &temp2, &temp3, &temp4, &tempH5);
  if (op)
    {
    temp5 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkUnsignedCharArray");
    if (!temp5 && tempH5 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_SetRGBACharPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  PyObject *tempH4;
  int      temp5;
  int      temp6;
  int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiOii", &temp0, &temp1, &temp2, &temp3, &tempH4, &temp5, &temp6);
  if (op)
    {
    temp4 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkUnsignedCharArray");
    if (!temp4 && tempH4 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      temp20 = op->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetZbufferData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  PyObject *tempH4;
  int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiO", &temp0, &temp1, &temp2, &temp3, &tempH4);
  if (op)
    {
    temp4 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkFloatArray");
    if (!temp4 && tempH4 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetZbufferData(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_SetZbufferData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  PyObject *tempH4;
  int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiO", &temp0, &temp1, &temp2, &temp3, &tempH4);
  if (op)
    {
    temp4 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkFloatArray");
    if (!temp4 && tempH4 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::SetZbufferData(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_MakeCurrent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->MakeCurrent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetDepthBufferSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetDepthBufferSize();
      }
    else
      {
      temp20 = op->GetDepthBufferSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_OpenGLInit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLRenderWindow::OpenGLInit();
      }
    else
      {
      op->OpenGLInit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetBackLeftBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  unsigned int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetBackLeftBuffer();
      }
    else
      {
      temp20 = op->GetBackLeftBuffer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetBackRightBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  unsigned int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetBackRightBuffer();
      }
    else
      {
      temp20 = op->GetBackRightBuffer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetFrontLeftBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  unsigned int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetFrontLeftBuffer();
      }
    else
      {
      temp20 = op->GetFrontLeftBuffer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetFrontRightBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  unsigned int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetFrontRightBuffer();
      }
    else
      {
      temp20 = op->GetFrontRightBuffer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetBackBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  unsigned int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetBackBuffer();
      }
    else
      {
      temp20 = op->GetBackBuffer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetFrontBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  unsigned int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetFrontBuffer();
      }
    else
      {
      temp20 = op->GetFrontBuffer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_CheckGraphicError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLRenderWindow::CheckGraphicError();
      }
    else
      {
      op->CheckGraphicError();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_HasGraphicError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::HasGraphicError();
      }
    else
      {
      temp20 = op->HasGraphicError();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetLastGraphicErrorString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  const char    *temp20;
  op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetLastGraphicErrorString();
      }
    else
      {
      temp20 = op->GetLastGraphicErrorString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenGLRenderWindowMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLRenderWindow_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLRenderWindow_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLRenderWindow_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLRenderWindow\nC++: vtkOpenGLRenderWindow *NewInstance ();\n\n"},
  {(char*)"SetGlobalMaximumNumberOfMultiSamples",                (PyCFunction)PyvtkOpenGLRenderWindow_SetGlobalMaximumNumberOfMultiSamples, 1,
   (char*)"V.SetGlobalMaximumNumberOfMultiSamples(int)\nC++: static void SetGlobalMaximumNumberOfMultiSamples (int val);\n\n Set/Get the maximum number of multisamples\n"},
  {(char*)"GetGlobalMaximumNumberOfMultiSamples",                (PyCFunction)PyvtkOpenGLRenderWindow_GetGlobalMaximumNumberOfMultiSamples, 1,
   (char*)"V.GetGlobalMaximumNumberOfMultiSamples() -> int\nC++: static int GetGlobalMaximumNumberOfMultiSamples ();\n\n Set/Get the maximum number of multisamples\n"},
  {(char*)"StereoUpdate",                (PyCFunction)PyvtkOpenGLRenderWindow_StereoUpdate, 1,
   (char*)"V.StereoUpdate()\nC++: virtual void StereoUpdate ();\n\n Update system if needed due to stereo rendering.\n"},
  {(char*)"GetPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_GetPixelData, 1,
   (char*)"V.GetPixelData(int, int, int, int, int, vtkUnsignedCharArray) -> int\nC++: virtual int GetPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data);\n\n Set/Get the pixel data of an image, transmitted as RGBRGB... \n"},
  {(char*)"SetPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_SetPixelData, 1,
   (char*)"V.SetPixelData(int, int, int, int, vtkUnsignedCharArray, int) -> int\nC++: virtual int SetPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front);\n\n Set/Get the pixel data of an image, transmitted as RGBRGB... \n"},
  {(char*)"GetRGBAPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_GetRGBAPixelData, 1,
   (char*)"V.GetRGBAPixelData(int, int, int, int, int, vtkFloatArray) -> int\nC++: virtual int GetRGBAPixelData (int x, int y, int x2, int y2, int front, vtkFloatArray *data);\n\n Set/Get the pixel data of an image, transmitted as RGBARGBA... \n"},
  {(char*)"SetRGBAPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_SetRGBAPixelData, 1,
   (char*)"V.SetRGBAPixelData(int, int, int, int, vtkFloatArray, int, int) -> int\nC++: virtual int SetRGBAPixelData (int x, int y, int x2, int y2, vtkFloatArray *data, int front, int blend);\n\n Set/Get the pixel data of an image, transmitted as RGBARGBA... \n"},
  {(char*)"GetRGBACharPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_GetRGBACharPixelData, 1,
   (char*)"V.GetRGBACharPixelData(int, int, int, int, int, vtkUnsignedCharArray) -> int\nC++: virtual int GetRGBACharPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data);\n\n Set/Get the pixel data of an image, transmitted as RGBARGBA... \n"},
  {(char*)"SetRGBACharPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_SetRGBACharPixelData, 1,
   (char*)"V.SetRGBACharPixelData(int, int, int, int, vtkUnsignedCharArray, int, int) -> int\nC++: virtual int SetRGBACharPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front, int blend);\n\n Set/Get the pixel data of an image, transmitted as RGBARGBA... \n"},
  {(char*)"GetZbufferData",                (PyCFunction)PyvtkOpenGLRenderWindow_GetZbufferData, 1,
   (char*)"V.GetZbufferData(int, int, int, int, vtkFloatArray) -> int\nC++: virtual int GetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *z);\n\n Set/Get the zbuffer data from an image\n"},
  {(char*)"SetZbufferData",                (PyCFunction)PyvtkOpenGLRenderWindow_SetZbufferData, 1,
   (char*)"V.SetZbufferData(int, int, int, int, vtkFloatArray) -> int\nC++: virtual int SetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *buffer);\n\n Set/Get the zbuffer data from an image\n"},
  {(char*)"MakeCurrent",                (PyCFunction)PyvtkOpenGLRenderWindow_MakeCurrent, 1,
   (char*)"V.MakeCurrent()\nC++: void MakeCurrent () = 0;\n\n Make this window the current OpenGL context.\n"},
  {(char*)"GetDepthBufferSize",                (PyCFunction)PyvtkOpenGLRenderWindow_GetDepthBufferSize, 1,
   (char*)"V.GetDepthBufferSize() -> int\nC++: int GetDepthBufferSize ();\n\n Get the size of the depth buffer.\n"},
  {(char*)"OpenGLInit",                (PyCFunction)PyvtkOpenGLRenderWindow_OpenGLInit, 1,
   (char*)"V.OpenGLInit()\nC++: virtual void OpenGLInit ();\n\n Initialize OpenGL for this window.\n"},
  {(char*)"GetBackLeftBuffer",                (PyCFunction)PyvtkOpenGLRenderWindow_GetBackLeftBuffer, 1,
   (char*)"V.GetBackLeftBuffer() -> int\nC++: unsigned int GetBackLeftBuffer ();\n\n Return the OpenGL name of the back left buffer.\n It is GL_BACK_LEFT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n"},
  {(char*)"GetBackRightBuffer",                (PyCFunction)PyvtkOpenGLRenderWindow_GetBackRightBuffer, 1,
   (char*)"V.GetBackRightBuffer() -> int\nC++: unsigned int GetBackRightBuffer ();\n\n Return the OpenGL name of the back right buffer.\n It is GL_BACK_RIGHT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT+1 if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n"},
  {(char*)"GetFrontLeftBuffer",                (PyCFunction)PyvtkOpenGLRenderWindow_GetFrontLeftBuffer, 1,
   (char*)"V.GetFrontLeftBuffer() -> int\nC++: unsigned int GetFrontLeftBuffer ();\n\n Return the OpenGL name of the front left buffer.\n It is GL_FRONT_LEFT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n"},
  {(char*)"GetFrontRightBuffer",                (PyCFunction)PyvtkOpenGLRenderWindow_GetFrontRightBuffer, 1,
   (char*)"V.GetFrontRightBuffer() -> int\nC++: unsigned int GetFrontRightBuffer ();\n\n Return the OpenGL name of the front right buffer.\n It is GL_FRONT_RIGHT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT+1 if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n"},
  {(char*)"GetBackBuffer",                (PyCFunction)PyvtkOpenGLRenderWindow_GetBackBuffer, 1,
   (char*)"V.GetBackBuffer() -> int\nC++: unsigned int GetBackBuffer ();\n\n Return the OpenGL name of the back left buffer.\n It is GL_BACK if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n"},
  {(char*)"GetFrontBuffer",                (PyCFunction)PyvtkOpenGLRenderWindow_GetFrontBuffer, 1,
   (char*)"V.GetFrontBuffer() -> int\nC++: unsigned int GetFrontBuffer ();\n\n Return the OpenGL name of the front left buffer.\n It is GL_FRONT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n"},
  {(char*)"CheckGraphicError",                (PyCFunction)PyvtkOpenGLRenderWindow_CheckGraphicError, 1,
   (char*)"V.CheckGraphicError()\nC++: virtual void CheckGraphicError ();\n\n Update graphic error status, regardless of ReportGraphicErrors flag.\n It means this method can be used in any context and is not restricted to\n debug mode.\n"},
  {(char*)"HasGraphicError",                (PyCFunction)PyvtkOpenGLRenderWindow_HasGraphicError, 1,
   (char*)"V.HasGraphicError() -> int\nC++: virtual int HasGraphicError ();\n\n Return the last graphic error status. Initial value is false.\n"},
  {(char*)"GetLastGraphicErrorString",                (PyCFunction)PyvtkOpenGLRenderWindow_GetLastGraphicErrorString, 1,
   (char*)"V.GetLastGraphicErrorString() -> string\nC++: virtual const char *GetLastGraphicErrorString ();\n\n Return a string matching the last graphic error status.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLRenderWindowDoc[] = {
  (char*)"vtkOpenGLRenderWindow - OpenGL rendering window\n\n",
  "Super Class:\n\n vtkRenderWindow\n\n",
  (char*)" vtkOpenGLRenderWindow is a concrete implementation of the abstract class\n vtkRenderWindow. vtkOpenGLRenderer interfaces to the OpenGL graphics\n library. Application programmers should normally use vtkRenderWindow\n instead of the OpenGL specific version.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkOpenGLRenderWindowNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkOpenGLRenderWindowMethods,
                        (char*)"vtkOpenGLRenderWindow",modulename,
                        (char**)vtkOpenGLRenderWindowDoc,
                        PyVTKClass_vtkRenderWindowNew(modulename));
}

