// python wrapper for vtkOpenGLRenderer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLRenderer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLRendererNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLRendererNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRendererNew(char *); }

static PyObject *PyvtkOpenGLRenderer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderer *op;

  const char    *temp20;
  op = (vtkOpenGLRenderer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderer *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLRenderer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderer *op;

  vtkOpenGLRenderer  *temp20;
  op = (vtkOpenGLRenderer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLRenderer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLRenderer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderer_DeviceRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderer *op;

  op = (vtkOpenGLRenderer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLRenderer::DeviceRender();
      }
    else
      {
      op->DeviceRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderer_DeviceRenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderer *op;

  op = (vtkOpenGLRenderer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLRenderer::DeviceRenderTranslucentPolygonalGeometry();
      }
    else
      {
      op->DeviceRenderTranslucentPolygonalGeometry();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderer_ClearLights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderer *op;

  op = (vtkOpenGLRenderer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLRenderer::ClearLights();
      }
    else
      {
      op->ClearLights();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderer_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderer *op;

  op = (vtkOpenGLRenderer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLRenderer::Clear();
      }
    else
      {
      op->Clear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderer_UpdateLights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderer *op;

  int      temp20;
  op = (vtkOpenGLRenderer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderer::UpdateLights();
      }
    else
      {
      temp20 = op->UpdateLights();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderer_GetDepthPeelingHigherLayer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderer *op;

  int      temp20;
  op = (vtkOpenGLRenderer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderer::GetDepthPeelingHigherLayer();
      }
    else
      {
      temp20 = op->GetDepthPeelingHigherLayer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenGLRendererMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLRenderer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLRenderer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLRenderer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLRenderer\nC++: vtkOpenGLRenderer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLRenderer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLRenderer\nC++: vtkOpenGLRenderer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DeviceRender",                (PyCFunction)PyvtkOpenGLRenderer_DeviceRender, 1,
   (char*)"V.DeviceRender()\nC++: void DeviceRender (void );\n\n Concrete open gl render method.\n"},
  {(char*)"DeviceRenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkOpenGLRenderer_DeviceRenderTranslucentPolygonalGeometry, 1,
   (char*)"V.DeviceRenderTranslucentPolygonalGeometry()\nC++: virtual void DeviceRenderTranslucentPolygonalGeometry ();\n\n Render translucent polygonal geometry. Default implementation just call\n UpdateTranslucentPolygonalGeometry().\n Subclasses of vtkRenderer that can deal with depth peeling must\n override this method.\n"},
  {(char*)"ClearLights",                (PyCFunction)PyvtkOpenGLRenderer_ClearLights, 1,
   (char*)"V.ClearLights()\nC++: void ClearLights (void );\n\n Internal method temporarily removes lights before reloading them\n into graphics pipeline.\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkOpenGLRenderer_Clear, 1,
   (char*)"V.Clear()\nC++: void Clear (void );\n\n"},
  {(char*)"UpdateLights",                (PyCFunction)PyvtkOpenGLRenderer_UpdateLights, 1,
   (char*)"V.UpdateLights() -> int\nC++: int UpdateLights (void );\n\n Ask lights to load themselves into graphics pipeline.\n"},
  {(char*)"GetDepthPeelingHigherLayer",                (PyCFunction)PyvtkOpenGLRenderer_GetDepthPeelingHigherLayer, 1,
   (char*)"V.GetDepthPeelingHigherLayer() -> int\nC++: int GetDepthPeelingHigherLayer ();\n\n Is rendering at translucent geometry stage using depth peeling and\n rendering a layer other than the first one? (Boolean value)\n If so, the uniform variables UseTexture and Texture can be set.\n (Used by vtkOpenGLProperty or vtkOpenGLTexture)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLRendererDoc[] = {
  (char*)"vtkOpenGLRenderer - OpenGL renderer\n\n",
  "Super Class:\n\n vtkRenderer\n\n",
  (char*)" vtkOpenGLRenderer is a concrete implementation of the abstract class\n vtkRenderer. vtkOpenGLRenderer interfaces to the OpenGL graphics library.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLRendererStaticNew()
{
  return vtkOpenGLRenderer::New();
}

PyObject *PyVTKClass_vtkOpenGLRendererNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLRendererStaticNew,
                        PyvtkOpenGLRendererMethods,
                        (char*)"vtkOpenGLRenderer",modulename,
                        (char**)vtkOpenGLRendererDoc,
                        PyVTKClass_vtkRendererNew(modulename));
}

