// python wrapper for vtkOpenGLRepresentationPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLRepresentationPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLRepresentationPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLRepresentationPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRepresentationPainterNew(char *); }

static PyObject *PyvtkOpenGLRepresentationPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRepresentationPainter *op;

  const char    *temp20;
  op = (vtkOpenGLRepresentationPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRepresentationPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRepresentationPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRepresentationPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLRepresentationPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRepresentationPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRepresentationPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRepresentationPainter *op;

  vtkOpenGLRepresentationPainter  *temp20;
  op = (vtkOpenGLRepresentationPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRepresentationPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRepresentationPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLRepresentationPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLRepresentationPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLRepresentationPainter_GetTimeToDraw(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRepresentationPainter *op;

  double   temp20;
  op = (vtkOpenGLRepresentationPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRepresentationPainter::GetTimeToDraw();
      }
    else
      {
      temp20 = op->GetTimeToDraw();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenGLRepresentationPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLRepresentationPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLRepresentationPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLRepresentationPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLRepresentationPainter\nC++: vtkOpenGLRepresentationPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLRepresentationPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLRepresentationPainter\nC++: vtkOpenGLRepresentationPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetTimeToDraw",                (PyCFunction)PyvtkOpenGLRepresentationPainter_GetTimeToDraw, 1,
   (char*)"V.GetTimeToDraw() -> float\nC++: virtual double GetTimeToDraw ();return this TimeToDraw \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLRepresentationPainterDoc[] = {
  (char*)"vtkOpenGLRepresentationPainter - painter handling representation \n\n",
  "Super Class:\n\n vtkRepresentationPainter\n\n",
  (char*)" This is OpenGL implementation of a painter handling representation \n i.e. Points, Wireframe, Surface.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLRepresentationPainterStaticNew()
{
  return vtkOpenGLRepresentationPainter::New();
}

PyObject *PyVTKClass_vtkOpenGLRepresentationPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLRepresentationPainterStaticNew,
                        PyvtkOpenGLRepresentationPainterMethods,
                        (char*)"vtkOpenGLRepresentationPainter",modulename,
                        (char**)vtkOpenGLRepresentationPainterDoc,
                        PyVTKClass_vtkRepresentationPainterNew(modulename));
}

