// python wrapper for vtkOpenGLScalarsToColorsPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLScalarsToColorsPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLScalarsToColorsPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLScalarsToColorsPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkScalarsToColorsPainterNew(char *); }

static PyObject *PyvtkOpenGLScalarsToColorsPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLScalarsToColorsPainter *op;

  const char    *temp20;
  op = (vtkOpenGLScalarsToColorsPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLScalarsToColorsPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLScalarsToColorsPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLScalarsToColorsPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLScalarsToColorsPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLScalarsToColorsPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLScalarsToColorsPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLScalarsToColorsPainter *op;

  vtkOpenGLScalarsToColorsPainter  *temp20;
  op = (vtkOpenGLScalarsToColorsPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLScalarsToColorsPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLScalarsToColorsPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLScalarsToColorsPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLScalarsToColorsPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLScalarsToColorsPainter_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLScalarsToColorsPainter *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLScalarsToColorsPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLScalarsToColorsPainter::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOpenGLScalarsToColorsPainter_GetPremultiplyColorsWithAlpha(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLScalarsToColorsPainter *op;

  vtkActor  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkOpenGLScalarsToColorsPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLScalarsToColorsPainter::GetPremultiplyColorsWithAlpha(temp0);
      }
    else
      {
      temp20 = op->GetPremultiplyColorsWithAlpha(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkOpenGLScalarsToColorsPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLScalarsToColorsPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLScalarsToColorsPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLScalarsToColorsPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLScalarsToColorsPainter\nC++: vtkOpenGLScalarsToColorsPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLScalarsToColorsPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLScalarsToColorsPainter\nC++: vtkOpenGLScalarsToColorsPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkOpenGLScalarsToColorsPainter_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release. \n"},
  {(char*)"GetPremultiplyColorsWithAlpha",                (PyCFunction)PyvtkOpenGLScalarsToColorsPainter_GetPremultiplyColorsWithAlpha, 1,
   (char*)"V.GetPremultiplyColorsWithAlpha(vtkActor) -> int\nC++: virtual int GetPremultiplyColorsWithAlpha (vtkActor *actor);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLScalarsToColorsPainterDoc[] = {
  (char*)"vtkOpenGLScalarsToColorsPainter - implementation of\n\n",
  "Super Class:\n\n vtkScalarsToColorsPainter\n\n",
  (char*)" vtkOpenGLScalarsToColorsPainter is a concrete subclass of\n vtkScalarsToColorsPainter which uses OpenGL for color mapping.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLScalarsToColorsPainterStaticNew()
{
  return vtkOpenGLScalarsToColorsPainter::New();
}

PyObject *PyVTKClass_vtkOpenGLScalarsToColorsPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLScalarsToColorsPainterStaticNew,
                        PyvtkOpenGLScalarsToColorsPainterMethods,
                        (char*)"vtkOpenGLScalarsToColorsPainter",modulename,
                        (char**)vtkOpenGLScalarsToColorsPainterDoc,
                        PyVTKClass_vtkScalarsToColorsPainterNew(modulename));
}

