// python wrapper for vtkOpenGLTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLTexture.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLTextureNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLTextureNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTextureNew(char *); }

static PyObject *PyvtkOpenGLTexture_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLTexture *op;

  const char    *temp20;
  op = (vtkOpenGLTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLTexture::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLTexture_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLTexture *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLTexture *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLTexture::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLTexture_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLTexture *op;

  vtkOpenGLTexture  *temp20;
  op = (vtkOpenGLTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLTexture::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLTexture_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLTexture  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLTexture::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLTexture_Load(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLTexture *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLTexture *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLTexture::Load(temp0);
      }
    else
      {
      op->Load(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOpenGLTexture_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLTexture *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLTexture *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLTexture::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkOpenGLTexture_GetIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLTexture *op;

  long     temp20;
  op = (vtkOpenGLTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLTexture::GetIndex();
      }
    else
      {
      temp20 = op->GetIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenGLTextureMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLTexture_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLTexture_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLTexture_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLTexture\nC++: vtkOpenGLTexture *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLTexture_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLTexture\nC++: vtkOpenGLTexture *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Load",                (PyCFunction)PyvtkOpenGLTexture_Load, 1,
   (char*)"V.Load(vtkRenderer)\nC++: void Load (vtkRenderer *ren);\n\n Implement base class method.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkOpenGLTexture_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this texture.\n The parameter window could be used to determine which graphic\n resources to release. Using the same texture object in multiple\n render windows is NOT currently supported. \n"},
  {(char*)"GetIndex",                (PyCFunction)PyvtkOpenGLTexture_GetIndex, 1,
   (char*)"V.GetIndex() -> int\nC++: long GetIndex ();\n\n Get the openGL texture name to which this texture is bound.\n This is available only if GL version >= 1.1\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLTextureDoc[] = {
  (char*)"vtkOpenGLTexture - OpenGL texture map\n\n",
  "Super Class:\n\n vtkTexture\n\n",
  (char*)" vtkOpenGLTexture is a concrete implementation of the abstract class \n vtkTexture. vtkOpenGLTexture interfaces to the OpenGL rendering library.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLTextureStaticNew()
{
  return vtkOpenGLTexture::New();
}

PyObject *PyVTKClass_vtkOpenGLTextureNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLTextureStaticNew,
                        PyvtkOpenGLTextureMethods,
                        (char*)"vtkOpenGLTexture",modulename,
                        (char**)vtkOpenGLTextureDoc,
                        PyVTKClass_vtkTextureNew(modulename));
}

