// python wrapper for vtkPOVExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPOVExporter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPOVExporterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPOVExporterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExporterNew(char *); }

static PyObject *PyvtkPOVExporter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOVExporter *op;

  const char    *temp20;
  op = (vtkPOVExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOVExporter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPOVExporter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOVExporter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPOVExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOVExporter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPOVExporter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOVExporter *op;

  vtkPOVExporter  *temp20;
  op = (vtkPOVExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOVExporter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPOVExporter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPOVExporter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPOVExporter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPOVExporter_SetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOVExporter *op;

  char    *temp0;
  op = (vtkPOVExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPOVExporter::SetFilePrefix(temp0);
      }
    else
      {
      op->SetFilePrefix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPOVExporter_GetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOVExporter *op;

  char    *temp20;
  op = (vtkPOVExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOVExporter::GetFilePrefix();
      }
    else
      {
      temp20 = op->GetFilePrefix();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPOVExporterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPOVExporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPOVExporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPOVExporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPOVExporter\nC++: vtkPOVExporter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPOVExporter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPOVExporter\nC++: vtkPOVExporter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFilePrefix",                (PyCFunction)PyvtkPOVExporter_SetFilePrefix, 1,
   (char*)"V.SetFilePrefix(string)\nC++: void SetFilePrefix (char *);\n\n"},
  {(char*)"GetFilePrefix",                (PyCFunction)PyvtkPOVExporter_GetFilePrefix, 1,
   (char*)"V.GetFilePrefix() -> string\nC++: char *GetFilePrefix ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPOVExporterDoc[] = {
  (char*)"vtkPOVExporter - Export scene into povray format.\n\n",
  "Super Class:\n\n vtkExporter\n\n",
  (char*)" This Exporter can be attached to a render window in order to generate \n scene description files for the Persistance of Vision Raytracer\n www.povray.org.\n\n .SECTION Thanks\n Li-Ta Lo (ollie@lanl.gov) and Jim Ahrens (ahrens@lanl.gov)\n Los Alamos National Laboratory\n\n",
  NULL
};

static vtkObjectBase *vtkPOVExporterStaticNew()
{
  return vtkPOVExporter::New();
}

PyObject *PyVTKClass_vtkPOVExporterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPOVExporterStaticNew,
                        PyvtkPOVExporterMethods,
                        (char*)"vtkPOVExporter",modulename,
                        (char**)vtkPOVExporterDoc,
                        PyVTKClass_vtkExporterNew(modulename));
}

