// python wrapper for vtkPainterDeviceAdapter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPainterDeviceAdapter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPainterDeviceAdapterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPainterDeviceAdapterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkPainterDeviceAdapter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  const char    *temp20;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainterDeviceAdapter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainterDeviceAdapter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  vtkPainterDeviceAdapter  *temp20;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainterDeviceAdapter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPainterDeviceAdapter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPainterDeviceAdapter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_BeginPrimitive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->BeginPrimitive(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_EndPrimitive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->EndPrimitive();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_IsAttributesSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  int      temp20;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsAttributesSupported(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_SendAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  void    *temp3;
  int      size3;
  unsigned long     temp4;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"iiis#l", &temp0, &temp1, &temp2, &temp3, &size3, &temp4);
  if (op)
    {
    temp3 = vtkPythonUnmanglePointer((char *)temp3,&size3,(char*)"void_p");
    if (size3 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendAttribute in vtkPainterDeviceAdapter was of incorrect type.");
      return NULL;
      }
    else if (size3 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendAttribute in vtkPainterDeviceAdapter was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SendAttribute(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_SetAttributePointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkPainterDeviceAdapter::SetAttributePointer(temp0,temp1);
      }
    else
      {
      op->SetAttributePointer(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  void    *temp4;
  int      size4;
  PyErr_Clear();
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"iiiis#", &temp0, &temp1, &temp2, &temp3, &temp4, &size4);
  if (op)
    {
    temp4 = vtkPythonUnmanglePointer((char *)temp4,&size4,(char*)"void_p");
    if (size4 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetAttributePointer in vtkPainterDeviceAdapter was of incorrect type.");
      return NULL;
      }
    else if (size4 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetAttributePointer in vtkPainterDeviceAdapter was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetAttributePointer(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_EnableAttributeArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->EnableAttributeArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_DisableAttributeArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->DisableAttributeArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_DrawArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->DrawArrays(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_DrawElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  vtkIdType   temp1;
  int      temp2;
  void    *temp3;
  int      size3;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"iiis#", &temp0, &temp1, &temp2, &temp3, &size3);
  if (op)
    {
    temp3 = vtkPythonUnmanglePointer((char *)temp3,&size3,(char*)"void_p");
    if (size3 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to DrawElements in vtkPainterDeviceAdapter was of incorrect type.");
      return NULL;
      }
    else if (size3 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to DrawElements in vtkPainterDeviceAdapter was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->DrawElements(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_Compatible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Compatible(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_MakeLighting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->MakeLighting(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_QueryLighting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp20;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->QueryLighting();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_MakeMultisampling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->MakeMultisampling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_QueryMultisampling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp20;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->QueryMultisampling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_MakeBlending(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->MakeBlending(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_QueryBlending(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp20;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->QueryBlending();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_MakeVertexEmphasis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->MakeVertexEmphasis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_Stencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  int      temp0;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Stencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_WriteStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  vtkIdType   temp0;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->WriteStencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterDeviceAdapter_TestStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterDeviceAdapter *op;

  vtkIdType   temp0;
  op = (vtkPainterDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->TestStencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPainterDeviceAdapterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPainterDeviceAdapter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPainterDeviceAdapter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPainterDeviceAdapter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPainterDeviceAdapter\nC++: vtkPainterDeviceAdapter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPainterDeviceAdapter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPainterDeviceAdapter\nC++: vtkPainterDeviceAdapter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"BeginPrimitive",                (PyCFunction)PyvtkPainterDeviceAdapter_BeginPrimitive, 1,
   (char*)"V.BeginPrimitive(int)\nC++: virtual void BeginPrimitive (int mode) = 0;\n\n Signals the start of sending a primitive to the graphics card.  The\n mode is one of VTK_VERTEX, VTK_POLY_VERTEX, VTK_LINE, VTK_POLY_LINE,\n VTK_TRIANGLE, VTK_TRIANGLE_STRIP, VTK_POLYGON, or VTK_QUAD.  The\n primitive is defined by the attributes sent between the calls to\n BeginPrimitive and EndPrimitive.  You do not need to call\n EndPrimitive/BeginPrimitive between primitives that have a constant\n number of points (i.e. VTK_VERTEX, VTK_LINE, VTK_TRIANGLE, and\n VTK_QUAD).\n"},
  {(char*)"EndPrimitive",                (PyCFunction)PyvtkPainterDeviceAdapter_EndPrimitive, 1,
   (char*)"V.EndPrimitive()\nC++: virtual void EndPrimitive () = 0;\n\n Signals the end of sending a primitive to the graphics card.\n"},
  {(char*)"IsAttributesSupported",                (PyCFunction)PyvtkPainterDeviceAdapter_IsAttributesSupported, 1,
   (char*)"V.IsAttributesSupported(int) -> int\nC++: virtual int IsAttributesSupported (int attribute) = 0;\n\n Returns if the given attribute type is supported by the device.\n Returns 1 is supported, 0 otherwise.\n"},
  {(char*)"SendAttribute",                (PyCFunction)PyvtkPainterDeviceAdapter_SendAttribute, 1,
   (char*)"V.SendAttribute(int, int, int, string, int)\nC++: virtual void SendAttribute (int index, int components, int type, const void *attribute, unsigned long offset) = 0;\n\n Sends a single attribute to the graphics card.  The index parameter\n identifies the attribute.  Some indices have special meaning (see\n vtkPainter for details).  The components parameter gives the number of\n components in the attribute.  In general, components must be between\n 1-4, but a rendering system may impose even more constraints.  The\n type parameter is a VTK type enumeration (VTK_FLOAT, VTK_INT, etc.).\n Again, a rendering system may not support all types for all\n attributes.  The attribute parameter is the actual data for the\n attribute.\n If offset is specified, it is added to attribute pointer after\n it has been casted to the proper type.\n"},
  {(char*)"SetAttributePointer",                (PyCFunction)PyvtkPainterDeviceAdapter_SetAttributePointer, 1,
   (char*)"V.SetAttributePointer(int, vtkDataArray)\nC++: void SetAttributePointer (int index, vtkDataArray *attributeArray);\nV.SetAttributePointer(int, int, int, int, string)\nC++: virtual void SetAttributePointer (int index, int numcomponents, int type, int stride, const void *pointer) = 0;\n\n Sets an array of attributes.  This allows you to send all the data for\n a particular attribute with one call, thus greatly reducing function\n call overhead.  Once set, the array is enabled with\n EnableAttributeArray, and the data is sent with a call to DrawArrays\n DrawElements.\n"},
  {(char*)"EnableAttributeArray",                (PyCFunction)PyvtkPainterDeviceAdapter_EnableAttributeArray, 1,
   (char*)"V.EnableAttributeArray(int)\nC++: virtual void EnableAttributeArray (int index) = 0;\n\n Enable/disable the attribute array set with SetAttributePointer.\n"},
  {(char*)"DisableAttributeArray",                (PyCFunction)PyvtkPainterDeviceAdapter_DisableAttributeArray, 1,
   (char*)"V.DisableAttributeArray(int)\nC++: virtual void DisableAttributeArray (int index) = 0;\n\n Enable/disable the attribute array set with SetAttributePointer.\n"},
  {(char*)"DrawArrays",                (PyCFunction)PyvtkPainterDeviceAdapter_DrawArrays, 1,
   (char*)"V.DrawArrays(int, int, int)\nC++: virtual void DrawArrays (int mode, vtkIdType first, vtkIdType count) = 0;\n\n Send a section of the enabled attribute pointers to the graphics card\n to define a primitive.  The mode is one of VTK_VERTEX,\n VTK_POLY_VERTEX, VTK_LINE, VTK_POLY_LINE, VTK_TRIANGLE,\n VTK_TRIANGLE_STRIP, VTK_POLYGON, or VTK_QUAD.  It identifies which\n type of primitive the attribute data is defining.  The parameters\n first and count identify what part of the attribute arrays define the\n given primitive.  If mode is a primitive that has a constant number of\n points (i.e. VTK_VERTEX, VTK_LINE, VTK_TRIANGLE, and VTK_QUAD), you\n may draw multiple primitives with one call to DrawArrays.\n"},
  {(char*)"DrawElements",                (PyCFunction)PyvtkPainterDeviceAdapter_DrawElements, 1,
   (char*)"V.DrawElements(int, int, int, string)\nC++: virtual void DrawElements (int mode, vtkIdType count, int type, void *indices) = 0;\n\n Send items in the attribute pointers to the graphics card to define a\n primitive.  The mode is one of VTK_VERTEX, VTK_POLY_VERTEX, VTK_LINE,\n VTK_POLY_LINE, VTK_TRIANGLE, VTK_TRIANGLE_STRIP, VTK_POLYGON, or\n VTK_QUAD.  It identifies which type of primitive the attribute data is\n defining.  The indices array holds the list of attribute elements that\n define the primitive.  The count and type parameters give the number\n and data type of the indices array.  The type parameter is a VTK type\n enumeration (VTK_UNSIGNED_INT, ...).  The type should be an integer\n type (for obvious reasons).  If mode is a primitive that has a\n constant number of points (i.e. VTK_VERTEX, VTK_LINE, VTK_TRIANGLE,\n and VTK_QUAD), you may draw multiple primitives with one call to\n DrawArrays.\n"},
  {(char*)"Compatible",                (PyCFunction)PyvtkPainterDeviceAdapter_Compatible, 1,
   (char*)"V.Compatible(vtkRenderer) -> int\nC++: virtual int Compatible (vtkRenderer *renderer) = 0;\n\n Returns true if this device adapter is compatable with the given\n vtkRenderer.\n"},
  {(char*)"MakeLighting",                (PyCFunction)PyvtkPainterDeviceAdapter_MakeLighting, 1,
   (char*)"V.MakeLighting(int)\nC++: virtual void MakeLighting (int mode) = 0;\n\n Turns lighting on and off.\n"},
  {(char*)"QueryLighting",                (PyCFunction)PyvtkPainterDeviceAdapter_QueryLighting, 1,
   (char*)"V.QueryLighting() -> int\nC++: virtual int QueryLighting () = 0;\n\n Returns current lighting setting.\n"},
  {(char*)"MakeMultisampling",                (PyCFunction)PyvtkPainterDeviceAdapter_MakeMultisampling, 1,
   (char*)"V.MakeMultisampling(int)\nC++: virtual void MakeMultisampling (int mode) = 0;\n\n Turns antialiasing on and off.\n"},
  {(char*)"QueryMultisampling",                (PyCFunction)PyvtkPainterDeviceAdapter_QueryMultisampling, 1,
   (char*)"V.QueryMultisampling() -> int\nC++: virtual int QueryMultisampling () = 0;\n\n Returns current antialiasing setting.\n"},
  {(char*)"MakeBlending",                (PyCFunction)PyvtkPainterDeviceAdapter_MakeBlending, 1,
   (char*)"V.MakeBlending(int)\nC++: virtual void MakeBlending (int mode) = 0;\n\n Turns blending on and off.\n"},
  {(char*)"QueryBlending",                (PyCFunction)PyvtkPainterDeviceAdapter_QueryBlending, 1,
   (char*)"V.QueryBlending() -> int\nC++: virtual int QueryBlending () = 0;\n\n Returns current blending setting.\n"},
  {(char*)"MakeVertexEmphasis",                (PyCFunction)PyvtkPainterDeviceAdapter_MakeVertexEmphasis, 1,
   (char*)"V.MakeVertexEmphasis(int)\nC++: virtual void MakeVertexEmphasis (int mode) = 0;\n\n Turns emphasis of vertices on or off for vertex selection.\n"},
  {(char*)"Stencil",                (PyCFunction)PyvtkPainterDeviceAdapter_Stencil, 1,
   (char*)"V.Stencil(int)\nC++: virtual void Stencil (int on) = 0;\n\n Control use of the stencil buffer (for vertex selection).\n"},
  {(char*)"WriteStencil",                (PyCFunction)PyvtkPainterDeviceAdapter_WriteStencil, 1,
   (char*)"V.WriteStencil(int)\nC++: virtual void WriteStencil (vtkIdType value) = 0;\n\n Control use of the stencil buffer (for vertex selection).\n"},
  {(char*)"TestStencil",                (PyCFunction)PyvtkPainterDeviceAdapter_TestStencil, 1,
   (char*)"V.TestStencil(int)\nC++: virtual void TestStencil (vtkIdType value) = 0;\n\n Control use of the stencil buffer (for vertex selection).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPainterDeviceAdapterDoc[] = {
  (char*)"vtkPainterDeviceAdapter - An adapter between a vtkPainter and a rendering device.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"\n This class is an adapter between a vtkPainter and a rendering device (such\n as an OpenGL machine).  Having an abstract adapter allows vtkPainters\n to be re-used for any rendering system.\n\n Although VTK really only uses OpenGL right now, there are reasons to\n swap out the rendering functions.  Sometimes MESA with mangled names\n is used.  Also, different shader extensions use different functions.\n",
  (char*)" Furthermore, Cg also has its own interface.\n\n The interface for this class should be familier to anyone experienced\n with OpenGL.\n\n\n",
  "See Also:\n\n vtkPainter\n\n\n",
  NULL
};

static vtkObjectBase *vtkPainterDeviceAdapterStaticNew()
{
  return vtkPainterDeviceAdapter::New();
}

PyObject *PyVTKClass_vtkPainterDeviceAdapterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPainterDeviceAdapterStaticNew,
                        PyvtkPainterDeviceAdapterMethods,
                        (char*)"vtkPainterDeviceAdapter",modulename,
                        (char**)vtkPainterDeviceAdapterDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

