// tcl wrapper for vtkPainterDeviceAdapter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPainterDeviceAdapter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPainterDeviceAdapterNewCommand()
{
  vtkPainterDeviceAdapter *temp = vtkPainterDeviceAdapter::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPainterDeviceAdapterCppCommand(vtkPainterDeviceAdapter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPainterDeviceAdapterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPainterDeviceAdapterCppCommand(static_cast<vtkPainterDeviceAdapter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPainterDeviceAdapterCppCommand(vtkPainterDeviceAdapter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPainterDeviceAdapter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPainterDeviceAdapter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPainterDeviceAdapter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPainterDeviceAdapter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPainterDeviceAdapter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPainterDeviceAdapter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPainterDeviceAdapter");
    return TCL_OK;
    }
    }
  if ((!strcmp("BeginPrimitive",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->BeginPrimitive(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EndPrimitive",argv[1]))&&(argc == 2))
    {
    op->EndPrimitive();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsAttributesSupported",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsAttributesSupported(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttributePointer",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataArray  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    op->SetAttributePointer(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EnableAttributeArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->EnableAttributeArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableAttributeArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DisableAttributeArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawArrays",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->DrawArrays(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Compatible",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    temp20 = (op)->Compatible(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("MakeLighting",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->MakeLighting(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("QueryLighting",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->QueryLighting();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MakeMultisampling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->MakeMultisampling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("QueryMultisampling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->QueryMultisampling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MakeBlending",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->MakeBlending(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("QueryBlending",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->QueryBlending();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MakeVertexEmphasis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->MakeVertexEmphasis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Stencil",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Stencil(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WriteStencil",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->WriteStencil(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TestStencil",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->TestStencil(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPainterDeviceAdapterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPainterDeviceAdapter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BeginPrimitive\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EndPrimitive\n",NULL);
    Tcl_AppendResult(interp,"  IsAttributesSupported\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributePointer\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  EnableAttributeArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableAttributeArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DrawArrays\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Compatible\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MakeLighting\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QueryLighting\n",NULL);
    Tcl_AppendResult(interp,"  MakeMultisampling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QueryMultisampling\n",NULL);
    Tcl_AppendResult(interp,"  MakeBlending\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QueryBlending\n",NULL);
    Tcl_AppendResult(interp,"  MakeVertexEmphasis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Stencil\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WriteStencil\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TestStencil\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "BeginPrimitive" );
    Tcl_DStringAppendElement ( &dString, "EndPrimitive" );
    Tcl_DStringAppendElement ( &dString, "IsAttributesSupported" );
    Tcl_DStringAppendElement ( &dString, "SetAttributePointer" );
    Tcl_DStringAppendElement ( &dString, "EnableAttributeArray" );
    Tcl_DStringAppendElement ( &dString, "DisableAttributeArray" );
    Tcl_DStringAppendElement ( &dString, "DrawArrays" );
    Tcl_DStringAppendElement ( &dString, "Compatible" );
    Tcl_DStringAppendElement ( &dString, "MakeLighting" );
    Tcl_DStringAppendElement ( &dString, "QueryLighting" );
    Tcl_DStringAppendElement ( &dString, "MakeMultisampling" );
    Tcl_DStringAppendElement ( &dString, "QueryMultisampling" );
    Tcl_DStringAppendElement ( &dString, "MakeBlending" );
    Tcl_DStringAppendElement ( &dString, "QueryBlending" );
    Tcl_DStringAppendElement ( &dString, "MakeVertexEmphasis" );
    Tcl_DStringAppendElement ( &dString, "Stencil" );
    Tcl_DStringAppendElement ( &dString, "WriteStencil" );
    Tcl_DStringAppendElement ( &dString, "TestStencil" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPainterDeviceAdapter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BeginPrimitive */
    if ( strcmp ( argv[2], "BeginPrimitive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BeginPrimitive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BeginPrimitive */
    Tcl_DStringAppendElement ( &dString, " Signals the start of sending a primitive to the graphics card.  The\n mode is one of VTK_VERTEX, VTK_POLY_VERTEX, VTK_LINE, VTK_POLY_LINE,\n VTK_TRIANGLE, VTK_TRIANGLE_STRIP, VTK_POLYGON, or VTK_QUAD.  The\n primitive is defined by the attributes sent between the calls to\n BeginPrimitive and EndPrimitive.  You do not need to call\n EndPrimitive/BeginPrimitive between primitives that have a constant\n number of points (i.e. VTK_VERTEX, VTK_LINE, VTK_TRIANGLE, and\n VTK_QUAD ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BeginPrimitive (int mode) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for BeginPrimitive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndPrimitive */
    if ( strcmp ( argv[2], "EndPrimitive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndPrimitive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndPrimitive */
    Tcl_DStringAppendElement ( &dString, " Signals the end of sending a primitive to the graphics card.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndPrimitive () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for EndPrimitive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsAttributesSupported */
    if ( strcmp ( argv[2], "IsAttributesSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsAttributesSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsAttributesSupported */
    Tcl_DStringAppendElement ( &dString, " Returns if the given attribute type is supported by the device.\n Returns 1 is supported, 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsAttributesSupported (int attribute) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for IsAttributesSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributePointer */
    if ( strcmp ( argv[2], "SetAttributePointer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributePointer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributePointer */
    Tcl_DStringAppendElement ( &dString, " Sets an array of attributes.  This allows you to send all the data for\n a particular attribute with one call, thus greatly reducing function\n call overhead.  Once set, the array is enabled with\n EnableAttributeArray, and the data is sent with a call to DrawArrays\n DrawElements.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributePointer (int index, vtkDataArray *attributeArray);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for SetAttributePointer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableAttributeArray */
    if ( strcmp ( argv[2], "EnableAttributeArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableAttributeArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableAttributeArray */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the attribute array set with SetAttributePointer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EnableAttributeArray (int index) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for EnableAttributeArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisableAttributeArray */
    if ( strcmp ( argv[2], "DisableAttributeArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableAttributeArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableAttributeArray */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the attribute array set with SetAttributePointer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisableAttributeArray (int index) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for DisableAttributeArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawArrays */
    if ( strcmp ( argv[2], "DrawArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawArrays */
    Tcl_DStringAppendElement ( &dString, " Send a section of the enabled attribute pointers to the graphics card\n to define a primitive.  The mode is one of VTK_VERTEX,\n VTK_POLY_VERTEX, VTK_LINE, VTK_POLY_LINE, VTK_TRIANGLE,\n VTK_TRIANGLE_STRIP, VTK_POLYGON, or VTK_QUAD.  It identifies which\n type of primitive the attribute data is defining.  The parameters\n first and count identify what part of the attribute arrays define the\n given primitive.  If mode is a primitive that has a constant number of\n points (i ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawArrays (int mode, vtkIdType first, vtkIdType count) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for DrawArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Compatible */
    if ( strcmp ( argv[2], "Compatible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Compatible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Compatible */
    Tcl_DStringAppendElement ( &dString, " Returns true if this device adapter is compatable with the given\n vtkRenderer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Compatible (vtkRenderer *renderer) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for Compatible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeLighting */
    if ( strcmp ( argv[2], "MakeLighting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeLighting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeLighting */
    Tcl_DStringAppendElement ( &dString, " Turns lighting on and off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MakeLighting (int mode) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for MakeLighting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QueryLighting */
    if ( strcmp ( argv[2], "QueryLighting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QueryLighting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QueryLighting */
    Tcl_DStringAppendElement ( &dString, " Returns current lighting setting.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int QueryLighting () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for QueryLighting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeMultisampling */
    if ( strcmp ( argv[2], "MakeMultisampling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeMultisampling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeMultisampling */
    Tcl_DStringAppendElement ( &dString, " Turns antialiasing on and off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MakeMultisampling (int mode) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for MakeMultisampling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QueryMultisampling */
    if ( strcmp ( argv[2], "QueryMultisampling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QueryMultisampling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QueryMultisampling */
    Tcl_DStringAppendElement ( &dString, " Returns current antialiasing setting.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int QueryMultisampling () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for QueryMultisampling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeBlending */
    if ( strcmp ( argv[2], "MakeBlending" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeBlending" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeBlending */
    Tcl_DStringAppendElement ( &dString, " Turns blending on and off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MakeBlending (int mode) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for MakeBlending */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QueryBlending */
    if ( strcmp ( argv[2], "QueryBlending" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QueryBlending" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QueryBlending */
    Tcl_DStringAppendElement ( &dString, " Returns current blending setting.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int QueryBlending () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for QueryBlending */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeVertexEmphasis */
    if ( strcmp ( argv[2], "MakeVertexEmphasis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeVertexEmphasis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeVertexEmphasis */
    Tcl_DStringAppendElement ( &dString, " Turns emphasis of vertices on or off for vertex selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MakeVertexEmphasis (int mode) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for MakeVertexEmphasis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Stencil */
    if ( strcmp ( argv[2], "Stencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Stencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Stencil */
    Tcl_DStringAppendElement ( &dString, " Control use of the stencil buffer (for vertex selection).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Stencil (int on) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for Stencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteStencil */
    if ( strcmp ( argv[2], "WriteStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteStencil */
    Tcl_DStringAppendElement ( &dString, " Control use of the stencil buffer (for vertex selection).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteStencil (vtkIdType value) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for WriteStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TestStencil */
    if ( strcmp ( argv[2], "TestStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TestStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TestStencil */
    Tcl_DStringAppendElement ( &dString, " Control use of the stencil buffer (for vertex selection).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TestStencil (vtkIdType value) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter" );
    /* Closing for TestStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
