// python wrapper for vtkPainterPolyDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPainterPolyDataMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPainterPolyDataMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPainterPolyDataMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataMapperNew(char *); }

static PyObject *PyvtkPainterPolyDataMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  const char    *temp20;
  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainterPolyDataMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterPolyDataMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainterPolyDataMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterPolyDataMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  vtkPainterPolyDataMapper  *temp20;
  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainterPolyDataMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterPolyDataMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPainterPolyDataMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPainterPolyDataMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPainterPolyDataMapper_RenderPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPainterPolyDataMapper::RenderPiece(temp0,temp1);
      }
    else
      {
      op->RenderPiece(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPainterPolyDataMapper_GetPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  vtkPainter  *temp20;
  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainterPolyDataMapper::GetPainter();
      }
    else
      {
      temp20 = op->GetPainter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterPolyDataMapper_SetPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  vtkPainter  *temp0;
  PyObject *tempH0;
  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPainter");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkPainterPolyDataMapper::SetPainter(temp0);
      }
    else
      {
      op->SetPainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkPainterPolyDataMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkPainterPolyDataMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkPainterPolyDataMapper_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  double temp0[6];
  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPainterPolyDataMapper::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainterPolyDataMapper::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterPolyDataMapper_MapDataArrayToVertexAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"zzii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPainterPolyDataMapper::MapDataArrayToVertexAttribute(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->MapDataArrayToVertexAttribute(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterPolyDataMapper_RemoveVertexAttributeMapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  char    *temp0;
  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPainterPolyDataMapper::RemoveVertexAttributeMapping(temp0);
      }
    else
      {
      op->RemoveVertexAttributeMapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainterPolyDataMapper_RemoveAllVertexAttributeMappings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainterPolyDataMapper *op;

  op = (vtkPainterPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPainterPolyDataMapper::RemoveAllVertexAttributeMappings();
      }
    else
      {
      op->RemoveAllVertexAttributeMappings();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPainterPolyDataMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPainterPolyDataMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPainterPolyDataMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPainterPolyDataMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPainterPolyDataMapper\nC++: vtkPainterPolyDataMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPainterPolyDataMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPainterPolyDataMapper\nC++: vtkPainterPolyDataMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderPiece",                (PyCFunction)PyvtkPainterPolyDataMapper_RenderPiece, 1,
   (char*)"V.RenderPiece(vtkRenderer, vtkActor)\nC++: virtual void RenderPiece (vtkRenderer *ren, vtkActor *act);\n\n Implemented by sub classes. Actual rendering is done here.\n"},
  {(char*)"GetPainter",                (PyCFunction)PyvtkPainterPolyDataMapper_GetPainter, 1,
   (char*)"V.GetPainter() -> vtkPainter\nC++: vtkPainter *GetPainter ();\n\n Get/Set the painter used to do the actual rendering.\n By default, vtkDefaultPainter is used to build the rendering \n painter chain for color mapping/clipping etc. followed by \n a vtkChooserPainter which renders the primitives.\n"},
  {(char*)"SetPainter",                (PyCFunction)PyvtkPainterPolyDataMapper_SetPainter, 1,
   (char*)"V.SetPainter(vtkPainter)\nC++: void SetPainter (vtkPainter *);\n\n Get/Set the painter used to do the actual rendering.\n By default, vtkDefaultPainter is used to build the rendering \n painter chain for color mapping/clipping etc. followed by \n a vtkChooserPainter which renders the primitives.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkPainterPolyDataMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release. Merely propagates the call to the painter.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkPainterPolyDataMapper_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);\nV.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\n\n Re-implement the superclass GetBounds method.\n"},
  {(char*)"MapDataArrayToVertexAttribute",                (PyCFunction)PyvtkPainterPolyDataMapper_MapDataArrayToVertexAttribute, 1,
   (char*)"V.MapDataArrayToVertexAttribute(string, string, int, int)\nC++: virtual void MapDataArrayToVertexAttribute (const char *vertexAttributeName, const char *dataArrayName, int fieldAssociation, int componentno);\n\n Select a data array from the point/cell data\n and map it to a generic vertex attribute. \n vertexAttributeName is the name of the vertex attribute.\n dataArrayName is the name of the data array.\n fieldAssociation indicates when the data array is a point data array or\n cell data array (vtkDataObject::FIELD_ASSOCIATION_POINTS or\n (vtkDataObject::FIELD_ASSOCIATION_CELLS).\n componentno indicates which component from the data array must be passed as\n the attribute. If -1, then all components are passed.\n"},
  {(char*)"RemoveVertexAttributeMapping",                (PyCFunction)PyvtkPainterPolyDataMapper_RemoveVertexAttributeMapping, 1,
   (char*)"V.RemoveVertexAttributeMapping(string)\nC++: virtual void RemoveVertexAttributeMapping (const char *vertexAttributeName);\n\n Remove a vertex attribute mapping.\n"},
  {(char*)"RemoveAllVertexAttributeMappings",                (PyCFunction)PyvtkPainterPolyDataMapper_RemoveAllVertexAttributeMappings, 1,
   (char*)"V.RemoveAllVertexAttributeMappings()\nC++: virtual void RemoveAllVertexAttributeMappings ();\n\n Remove all vertex attributes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPainterPolyDataMapperDoc[] = {
  (char*)"vtkPainterPolyDataMapper - PolyDataMapper using painters\n\n",
  "Super Class:\n\n vtkPolyDataMapper\n\n",
  (char*)" PolyDataMapper that uses painters to do the actual rendering.\n .SECTION Thanks\n Support for generic vertex attributes in VTK was contributed in\n collaboration with Stephane Ploix at EDF.\n\n",
  NULL
};

static vtkObjectBase *vtkPainterPolyDataMapperStaticNew()
{
  return vtkPainterPolyDataMapper::New();
}

PyObject *PyVTKClass_vtkPainterPolyDataMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkPainterPolyDataMapperStaticNew,
                        PyvtkPainterPolyDataMapperMethods,
                        (char*)"vtkPainterPolyDataMapper",modulename,
                        (char**)vtkPainterPolyDataMapperDoc,
                        PyVTKClass_vtkPolyDataMapperNew(modulename));
}

