// python wrapper for vtkPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  const char    *temp20;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkPainter  *temp20;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_STATIC_DATA(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkPainter::STATIC_DATA();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_CONSERVE_MEMORY(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkPainter::CONSERVE_MEMORY();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_HIGH_QUALITY(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkPainter::HIGH_QUALITY();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_GetInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkInformation  *temp20;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainter::GetInformation();
      }
    else
      {
      temp20 = op->GetInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_SetInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkPainter::SetInformation(temp0);
      }
    else
      {
      op->SetInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkPainter_GetDelegatePainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkPainter  *temp20;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainter::GetDelegatePainter();
      }
    else
      {
      temp20 = op->GetDelegatePainter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_SetDelegatePainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkPainter  *temp0;
  PyObject *tempH0;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPainter");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkPainter::SetDelegatePainter(temp0);
      }
    else
      {
      op->SetDelegatePainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkPainter_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkPainter::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkPainter_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkPainter::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkPainter_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  unsigned long     temp2;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"OOl", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break12;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkPainter::Render(temp0,temp1,temp2);
      }
    else
      {
      op->Render(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkPainter_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkPainter::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkPainter_SetProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  double   temp0;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPainter::SetProgress(temp0);
      }
    else
      {
      op->SetProgress(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_GetProgressMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  double   temp20;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainter::GetProgressMinValue();
      }
    else
      {
      temp20 = op->GetProgressMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_GetProgressMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  double   temp20;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainter::GetProgressMaxValue();
      }
    else
      {
      temp20 = op->GetProgressMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_GetProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  double   temp20;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainter::GetProgress();
      }
    else
      {
      temp20 = op->GetProgress();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_GetTimeToDraw(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  double   temp20;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainter::GetTimeToDraw();
      }
    else
      {
      temp20 = op->GetTimeToDraw();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_UpdateBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  double temp0[6];
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPainter::UpdateBounds(temp0);
      }
    else
      {
      op->UpdateBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkPainter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkPainter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkDataObject  *temp20;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPainter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPainter *op;

  vtkDataObject  *temp20;
  op = (vtkPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPainter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPainter\nC++: vtkPainter *NewInstance ();\n\n"},
  {(char*)"STATIC_DATA",                (PyCFunction)PyvtkPainter_STATIC_DATA, 1,
   (char*)"V.STATIC_DATA() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *STATIC_DATA ();\n\n Keys used to specify control the behaviour of the painter.\n When on, the painter assumes that the poly data changes infrequently.\n It is thus more likely to take time and memory to build auxiliary data\n structures for faster frame rates.  Is off by default.  \n"},
  {(char*)"CONSERVE_MEMORY",                (PyCFunction)PyvtkPainter_CONSERVE_MEMORY, 1,
   (char*)"V.CONSERVE_MEMORY() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *CONSERVE_MEMORY ();\n\n Keys used to specify control the behaviour of the painter.\n When on, the painter avoids using more memory than it has to.  Thus,\n auxiliary data structures for faster rendering may not be built.  Is off\n by default. \n"},
  {(char*)"HIGH_QUALITY",                (PyCFunction)PyvtkPainter_HIGH_QUALITY, 1,
   (char*)"V.HIGH_QUALITY() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *HIGH_QUALITY ();\n\n Keys used to specify control the behaviour of the painter.\n When off, the painter may make approximations that will make the rendering\n go faster but may degrade image quality.  Is on by default.\n"},
  {(char*)"GetInformation",                (PyCFunction)PyvtkPainter_GetInformation, 1,
   (char*)"V.GetInformation() -> vtkInformation\nC++: vtkInformation *GetInformation ();\n\n Get/Set the information object associated with this painter.\n"},
  {(char*)"SetInformation",                (PyCFunction)PyvtkPainter_SetInformation, 1,
   (char*)"V.SetInformation(vtkInformation)\nC++: virtual void SetInformation (vtkInformation *);\n\n Get/Set the information object associated with this painter.\n"},
  {(char*)"GetDelegatePainter",                (PyCFunction)PyvtkPainter_GetDelegatePainter, 1,
   (char*)"V.GetDelegatePainter() -> vtkPainter\nC++: vtkPainter *GetDelegatePainter ();\n\n Set/Get the painter to which this painter should propagare its draw calls.\n"},
  {(char*)"SetDelegatePainter",                (PyCFunction)PyvtkPainter_SetDelegatePainter, 1,
   (char*)"V.SetDelegatePainter(vtkPainter)\nC++: virtual void SetDelegatePainter (vtkPainter *);\n\n Set/Get the painter to which this painter should propagare its draw calls.\n"},
  {(char*)"Register",                (PyCFunction)PyvtkPainter_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *o);\n\n Take part in garbage collection.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkPainter_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n Take part in garbage collection.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkPainter_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkActor, int)\nC++: virtual void Render (vtkRenderer *renderer, vtkActor *actor, unsigned long typeflags);\n\n Generates rendering primitives of appropriate type(s). Multiple types \n of primitives can be requested by or-ring the primitive flags. \n Default implementation calls UpdateDelegatePainter() to update the \n deletagate painter and then calls RenderInternal().\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkPainter_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this painter.\n The parameter window could be used to determine which graphic\n resources to release. \n The call is propagated to the delegate painter, if any.\n"},
  {(char*)"SetProgress",                (PyCFunction)PyvtkPainter_SetProgress, 1,
   (char*)"V.SetProgress(float)\nC++: void SetProgress (double );\n\n Set/Get the execution progress of a process object.\n"},
  {(char*)"GetProgressMinValue",                (PyCFunction)PyvtkPainter_GetProgressMinValue, 1,
   (char*)"V.GetProgressMinValue() -> float\nC++: double GetProgressMinValue ();\n\n Set/Get the execution progress of a process object.\n"},
  {(char*)"GetProgressMaxValue",                (PyCFunction)PyvtkPainter_GetProgressMaxValue, 1,
   (char*)"V.GetProgressMaxValue() -> float\nC++: double GetProgressMaxValue ();\n\n Set/Get the execution progress of a process object.\n"},
  {(char*)"GetProgress",                (PyCFunction)PyvtkPainter_GetProgress, 1,
   (char*)"V.GetProgress() -> float\nC++: double GetProgress ();\n\n Set/Get the execution progress of a process object.\n"},
  {(char*)"GetTimeToDraw",                (PyCFunction)PyvtkPainter_GetTimeToDraw, 1,
   (char*)"V.GetTimeToDraw() -> float\nC++: virtual double GetTimeToDraw ();\n\n Get the time required to draw the geometry last time it was rendered.\n Default implementation adds the current TimeToDraw with that of the\n delegate painter.\n"},
  {(char*)"UpdateBounds",                (PyCFunction)PyvtkPainter_UpdateBounds, 1,
   (char*)"V.UpdateBounds((float, float, float, float, float, float))\nC++: virtual void UpdateBounds (double bounds[6]);\n\n Expand or shrink the estimated bounds of the object based on the\n geometric transformations performed in the painter. If the painter\n does not modify the geometry, the bounds are passed through.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPainter_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *);\n\n Set the data object to paint. Currently we only support one data object per\n painter chain.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkPainter_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();\n\n Set the data object to paint. Currently we only support one data object per\n painter chain.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkPainter_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkDataObject\nC++: virtual vtkDataObject *GetOutput ();return this Input \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPainterDoc[] = {
  (char*)"vtkPainter - Abstract class for drawing poly data.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This defines the interface for a Painter. Painters are helpers used\n by Mapper to perform the rendering. The mapper sets up a chain of painters\n and passes the render request to the painter. Every painter may have a \n delegate painter to which the render request is forwarded. The Painter may\n modify the request or data before passing it to the delegate painter. \n All the information to control th",
  (char*)"e rendering must be passed to the painter\n using the vtkInformation object. A concrete painter may read special keys\n from the vtkInformation object and affect the rendering.\n\n\n",
  "See Also:\n\n vtkPainterPolyDataMapper\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPainterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPainterMethods,
                        (char*)"vtkPainter",modulename,
                        (char**)vtkPainterDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

