// tcl wrapper for vtkPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPainter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPainterCppCommand(vtkPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPainterCppCommand(static_cast<vtkPainter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPainterCppCommand(vtkPainter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPainter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPainter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPainter");
    return TCL_OK;
    }
  if ((!strcmp("STATIC_DATA",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->STATIC_DATA();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("CONSERVE_MEMORY",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->CONSERVE_MEMORY();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("HIGH_QUALITY",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->HIGH_QUALITY();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("GetInformation",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetInformation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("SetInformation",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->SetInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDelegatePainter",argv[1]))&&(argc == 2))
    {
    vtkPainter  *temp20;
    temp20 = (op)->GetDelegatePainter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPainter");
    return TCL_OK;
    }
  if ((!strcmp("SetDelegatePainter",argv[1]))&&(argc == 3))
    {
    vtkPainter  *temp0;
    error = 0;

    temp0 = (vtkPainter *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPainter"),interp,error));
    if (!error)
    {
    op->SetDelegatePainter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 5))
    {
    vtkRenderer  *temp0;
    vtkActor  *temp1;
    unsigned long     temp2;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkActor *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkActor"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->Render(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProgress",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetProgress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProgressMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProgressMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProgressMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProgressMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProgress",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProgress();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimeToDraw",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTimeToDraw();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->UpdateBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPainterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPainter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  STATIC_DATA\n",NULL);
    Tcl_AppendResult(interp,"  CONSERVE_MEMORY\n",NULL);
    Tcl_AppendResult(interp,"  HIGH_QUALITY\n",NULL);
    Tcl_AppendResult(interp,"  GetInformation\n",NULL);
    Tcl_AppendResult(interp,"  SetInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDelegatePainter\n",NULL);
    Tcl_AppendResult(interp,"  SetDelegatePainter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProgress\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProgress\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeToDraw\n",NULL);
    Tcl_AppendResult(interp,"  UpdateBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "STATIC_DATA" );
    Tcl_DStringAppendElement ( &dString, "CONSERVE_MEMORY" );
    Tcl_DStringAppendElement ( &dString, "HIGH_QUALITY" );
    Tcl_DStringAppendElement ( &dString, "GetInformation" );
    Tcl_DStringAppendElement ( &dString, "SetInformation" );
    Tcl_DStringAppendElement ( &dString, "GetDelegatePainter" );
    Tcl_DStringAppendElement ( &dString, "SetDelegatePainter" );
    Tcl_DStringAppendElement ( &dString, "Register" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetProgress" );
    Tcl_DStringAppendElement ( &dString, "GetProgressMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetProgressMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetProgress" );
    Tcl_DStringAppendElement ( &dString, "GetTimeToDraw" );
    Tcl_DStringAppendElement ( &dString, "UpdateBounds" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: STATIC_DATA */
    if ( strcmp ( argv[2], "STATIC_DATA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "STATIC_DATA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for STATIC_DATA */
    Tcl_DStringAppendElement ( &dString, " Keys used to specify control the behaviour of the painter.\n When on, the painter assumes that the poly data changes infrequently.\n It is thus more likely to take time and memory to build auxiliary data\n structures for faster frame rates.  Is off by default.  \n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *STATIC_DATA ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for STATIC_DATA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CONSERVE_MEMORY */
    if ( strcmp ( argv[2], "CONSERVE_MEMORY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CONSERVE_MEMORY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CONSERVE_MEMORY */
    Tcl_DStringAppendElement ( &dString, " Keys used to specify control the behaviour of the painter.\n When on, the painter avoids using more memory than it has to.  Thus,\n auxiliary data structures for faster rendering may not be built.  Is off\n by default. \n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *CONSERVE_MEMORY ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for CONSERVE_MEMORY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HIGH_QUALITY */
    if ( strcmp ( argv[2], "HIGH_QUALITY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HIGH_QUALITY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HIGH_QUALITY */
    Tcl_DStringAppendElement ( &dString, " Keys used to specify control the behaviour of the painter.\n When off, the painter may make approximations that will make the rendering\n go faster but may degrade image quality.  Is on by default.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *HIGH_QUALITY ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for HIGH_QUALITY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInformation */
    if ( strcmp ( argv[2], "GetInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInformation */
    Tcl_DStringAppendElement ( &dString, " Get/Set the information object associated with this painter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetInformation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for GetInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInformation */
    if ( strcmp ( argv[2], "SetInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInformation */
    Tcl_DStringAppendElement ( &dString, " Get/Set the information object associated with this painter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInformation (vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for SetInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDelegatePainter */
    if ( strcmp ( argv[2], "GetDelegatePainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDelegatePainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDelegatePainter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the painter to which this painter should propagare its draw calls.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter *GetDelegatePainter ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for GetDelegatePainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDelegatePainter */
    if ( strcmp ( argv[2], "SetDelegatePainter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDelegatePainter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDelegatePainter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the painter to which this painter should propagare its draw calls.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDelegatePainter (vtkPainter *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for SetDelegatePainter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Register */
    if ( strcmp ( argv[2], "Register" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Register" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Register */
    Tcl_DStringAppendElement ( &dString, " Take part in garbage collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Register (vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for Register */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, " Take part in garbage collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnRegister (vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Generates rendering primitives of appropriate type(s). Multiple types \n of primitives can be requested by or-ring the primitive flags. \n Default implementation calls UpdateDelegatePainter() to update the \n deletagate painter and then calls RenderInternal().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render (vtkRenderer *renderer, vtkActor *actor, unsigned long typeflags);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this painter.\n The parameter window could be used to determine which graphic\n resources to release. \n The call is propagated to the delegate painter, if any.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources (vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProgress */
    if ( strcmp ( argv[2], "SetProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProgress */
    Tcl_DStringAppendElement ( &dString, " Set/Get the execution progress of a process object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProgress (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for SetProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProgressMinValue */
    if ( strcmp ( argv[2], "GetProgressMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProgressMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProgressMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the execution progress of a process object.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetProgressMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for GetProgressMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProgressMaxValue */
    if ( strcmp ( argv[2], "GetProgressMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProgressMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProgressMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the execution progress of a process object.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetProgressMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for GetProgressMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProgress */
    if ( strcmp ( argv[2], "GetProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProgress */
    Tcl_DStringAppendElement ( &dString, " Set/Get the execution progress of a process object.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetProgress ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for GetProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeToDraw */
    if ( strcmp ( argv[2], "GetTimeToDraw" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeToDraw" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeToDraw */
    Tcl_DStringAppendElement ( &dString, " Get the time required to draw the geometry last time it was rendered.\n Default implementation adds the current TimeToDraw with that of the\n delegate painter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTimeToDraw ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for GetTimeToDraw */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateBounds */
    if ( strcmp ( argv[2], "UpdateBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateBounds */
    Tcl_DStringAppendElement ( &dString, " Expand or shrink the estimated bounds of the object based on the\n geometric transformations performed in the painter. If the painter\n does not modify the geometry, the bounds are passed through.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateBounds (double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for UpdateBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the data object to paint. Currently we only support one data object per\n painter chain.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput (vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Set the data object to paint. Currently we only support one data object per\n painter chain.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataObject *GetOutput ();return this Input " );
    Tcl_DStringAppendElement ( &dString, "vtkPainter" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
