// tcl wrapper for vtkParallelCoordinatesActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelCoordinatesActor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkParallelCoordinatesActorNewCommand()
{
  vtkParallelCoordinatesActor *temp = vtkParallelCoordinatesActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParallelCoordinatesActorCppCommand(vtkParallelCoordinatesActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParallelCoordinatesActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParallelCoordinatesActorCppCommand(static_cast<vtkParallelCoordinatesActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParallelCoordinatesActorCppCommand(vtkParallelCoordinatesActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParallelCoordinatesActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParallelCoordinatesActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkParallelCoordinatesActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkParallelCoordinatesActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesActor");
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentVariables",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIndependentVariables(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndependentVariablesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentVariablesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIndependentVariablesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentVariablesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIndependentVariables",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentVariables();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentVariablesToColumns",argv[1]))&&(argc == 2))
    {
    op->SetIndependentVariablesToColumns();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentVariablesToRows",argv[1]))&&(argc == 2))
    {
    op->SetIndependentVariablesToRows();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfLabelsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabelsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkParallelCoordinatesActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParallelCoordinatesActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentVariables\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentVariablesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentVariablesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentVariables\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentVariablesToColumns\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentVariablesToRows\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariables" );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariablesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariablesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariables" );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariablesToColumns" );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariablesToRows" );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActor2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with autorange computation; \n the number of labels set to 5 for the x and y axes; \n a label format of \"%-#6.3g\"; and x coordinates computed from point\n ids.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkParallelCoordinatesActor *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndependentVariables */
    if ( strcmp ( argv[2], "SetIndependentVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndependentVariables */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndependentVariables (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for SetIndependentVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndependentVariablesMinValue */
    if ( strcmp ( argv[2], "GetIndependentVariablesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariablesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndependentVariablesMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndependentVariablesMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetIndependentVariablesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndependentVariablesMaxValue */
    if ( strcmp ( argv[2], "GetIndependentVariablesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariablesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndependentVariablesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndependentVariablesMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetIndependentVariablesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndependentVariables */
    if ( strcmp ( argv[2], "GetIndependentVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndependentVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndependentVariables */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndependentVariables ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetIndependentVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndependentVariablesToColumns */
    if ( strcmp ( argv[2], "SetIndependentVariablesToColumns" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariablesToColumns" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndependentVariablesToColumns */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndependentVariablesToColumns ();this SetIndependentVariables VTK_IV_COLUMN " );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for SetIndependentVariablesToColumns */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndependentVariablesToRows */
    if ( strcmp ( argv[2], "SetIndependentVariablesToRows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndependentVariablesToRows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndependentVariablesToRows */
    Tcl_DStringAppendElement ( &dString, " Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndependentVariablesToRows ();this SetIndependentVariables VTK_IV_ROW " );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for SetIndependentVariablesToRows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitle */
    if ( strcmp ( argv[2], "SetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the parallel coordinates plot.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitle (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for SetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the parallel coordinates plot.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTitle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfLabels */
    if ( strcmp ( argv[2], "SetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along each axis.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfLabels (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for SetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabelsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfLabelsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along each axis.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabelsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetNumberOfLabelsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabelsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfLabelsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along each axis.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabelsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetNumberOfLabelsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabels */
    if ( strcmp ( argv[2], "GetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along each axis.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelFormat (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the axes.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabelFormat ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleTextProperty */
    if ( strcmp ( argv[2], "SetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleTextProperty (vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for SetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleTextProperty */
    if ( strcmp ( argv[2], "GetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTitleTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelTextProperty */
    if ( strcmp ( argv[2], "SetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelTextProperty (vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for SetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelTextProperty */
    if ( strcmp ( argv[2], "GetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetLabelTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the parallel coordinates plot.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry (vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw the parallel coordinates plot.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay (vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return " );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the input to the parallel coordinates actor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput (vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Remove a dataset from the list of data to append.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources (vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
