// python wrapper for vtkPointPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPointPicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointPickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointPickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPickerNew(char *); }

static PyObject *PyvtkPointPicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPicker *op;

  const char    *temp20;
  op = (vtkPointPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPicker *op;

  char    *temp0;
  int      temp20;
  op = (vtkPointPicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPicker *op;

  vtkPointPicker  *temp20;
  op = (vtkPointPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPicker_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointPicker  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointPicker::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointPicker_GetPointId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPicker *op;

  vtkIdType   temp20;
  op = (vtkPointPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPicker::GetPointId();
      }
    else
      {
      temp20 = op->GetPointId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPointPickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointPicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointPicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointPicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointPicker\nC++: vtkPointPicker *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointPicker_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointPicker\nC++: vtkPointPicker *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetPointId",                (PyCFunction)PyvtkPointPicker_GetPointId, 1,
   (char*)"V.GetPointId() -> int\nC++: vtkIdType GetPointId ();\n\n Get the id of the picked point. If PointId = -1, nothing was picked.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointPickerDoc[] = {
  (char*)"vtkPointPicker - select a point by shooting a ray into a graphics window\n\n",
  "Super Class:\n\n vtkPicker\n\n",
  "See Also:\n\n vtkPicker vtkCellPicker.\n\n",
  NULL
};

static vtkObjectBase *vtkPointPickerStaticNew()
{
  return vtkPointPicker::New();
}

PyObject *PyVTKClass_vtkPointPickerNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointPickerStaticNew,
                        PyvtkPointPickerMethods,
                        (char*)"vtkPointPicker",modulename,
                        (char**)vtkPointPickerDoc,
                        PyVTKClass_vtkPickerNew(modulename));
}

