// tcl wrapper for vtkPolyDataMapper2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataMapper2D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPolyDataMapper2DNewCommand()
{
  vtkPolyDataMapper2D *temp = vtkPolyDataMapper2D::New();
  return static_cast<ClientData>(temp);
}

int vtkMapper2DCppCommand(vtkMapper2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPolyDataMapper2DCppCommand(vtkPolyDataMapper2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPolyDataMapper2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPolyDataMapper2DCppCommand(static_cast<vtkPolyDataMapper2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPolyDataMapper2DCppCommand(vtkPolyDataMapper2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPolyDataMapper2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMapper2DCppCommand(static_cast<vtkMapper2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMapper2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPolyDataMapper2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataMapper2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPolyDataMapper2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataMapper2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPolyDataMapper2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataMapper2D");
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultLookupTable",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultLookupTable();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalarVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ScalarVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ScalarVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToMapScalars",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToMapScalars();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetColorModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetColorModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseLookupTableScalarRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseLookupTableScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseLookupTableScalarRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseLookupTableScalarRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseLookupTableScalarRangeOn",argv[1]))&&(argc == 2))
    {
    op->UseLookupTableScalarRangeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseLookupTableScalarRangeOff",argv[1]))&&(argc == 2))
    {
    op->UseLookupTableScalarRangeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetScalarRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUsePointData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUsePointData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUseCellData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUseCellData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUsePointFieldData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUsePointFieldData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUseCellFieldData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUseCellFieldData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorByArrayComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ColorByArrayComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorByArrayComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ColorByArrayComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetArrayId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrayAccessMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayAccessMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTransformCoordinate",argv[1]))&&(argc == 3))
    {
    vtkCoordinate  *temp0;
    error = 0;

    temp0 = (vtkCoordinate *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCoordinate"),interp,error));
    if (!error)
    {
    op->SetTransformCoordinate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransformCoordinate",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetTransformCoordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("MapScalars",argv[1]))&&(argc == 3))
    {
    double   temp0;
    vtkUnsignedCharArray  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->MapScalars(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkAbstractMapper  *temp0;
    error = 0;

    temp0 = (vtkAbstractMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractMapper"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPolyDataMapper2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMapper2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPolyDataMapper2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ScalarVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalarVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetColorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToMapScalars\n",NULL);
    Tcl_AppendResult(interp,"  GetColorModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetUseLookupTableScalarRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseLookupTableScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  UseLookupTableScalarRangeOn\n",NULL);
    Tcl_AppendResult(interp,"  UseLookupTableScalarRangeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUsePointData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUseCellData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUsePointFieldData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUseCellFieldData\n",NULL);
    Tcl_AppendResult(interp,"  ColorByArrayComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ColorByArrayComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayId\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayAccessMode\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetTransformCoordinate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTransformCoordinate\n",NULL);
    Tcl_AppendResult(interp,"  MapScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMapper2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetScalarVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetScalarVisibility" );
    Tcl_DStringAppendElement ( &dString, "ScalarVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "ScalarVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToMapScalars" );
    Tcl_DStringAppendElement ( &dString, "GetColorModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetUseLookupTableScalarRange" );
    Tcl_DStringAppendElement ( &dString, "GetUseLookupTableScalarRange" );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOn" );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointData" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellData" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointFieldData" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellFieldData" );
    Tcl_DStringAppendElement ( &dString, "ColorByArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "ColorByArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetArrayId" );
    Tcl_DStringAppendElement ( &dString, "GetArrayAccessMode" );
    Tcl_DStringAppendElement ( &dString, "GetArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetTransformCoordinate" );
    Tcl_DStringAppendElement ( &dString, "GetTransformCoordinate" );
    Tcl_DStringAppendElement ( &dString, "MapScalars" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMapper2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPolyDataMapper2D *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the input to the mapper.  \n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput (vtkPolyData *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Set the input to the mapper.  \n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Specify a lookup table for the mapper to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLookupTable (vtkScalarsToColors *lut);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Specify a lookup table for the mapper to use.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetLookupTable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultLookupTable */
    if ( strcmp ( argv[2], "CreateDefaultLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLookupTable */
    Tcl_DStringAppendElement ( &dString, " Create default lookup table. Generally used to create one when none\n is available with the scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateDefaultLookupTable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for CreateDefaultLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarVisibility */
    if ( strcmp ( argv[2], "SetScalarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether scalar data is used to color objects.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetScalarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarVisibility */
    if ( strcmp ( argv[2], "GetScalarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether scalar data is used to color objects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetScalarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarVisibilityOn */
    if ( strcmp ( argv[2], "ScalarVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether scalar data is used to color objects.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for ScalarVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarVisibilityOff */
    if ( strcmp ( argv[2], "ScalarVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether scalar data is used to color objects.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for ScalarVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorMode */
    if ( strcmp ( argv[2], "SetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorMode */
    Tcl_DStringAppendElement ( &dString, " Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n ColorByArrayComponent() method.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorMode */
    if ( strcmp ( argv[2], "GetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorMode */
    Tcl_DStringAppendElement ( &dString, " Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n ColorByArrayComponent() method.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToDefault */
    if ( strcmp ( argv[2], "SetColorModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n ColorByArrayComponent() method.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToDefault ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetColorModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToMapScalars */
    if ( strcmp ( argv[2], "SetColorModeToMapScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToMapScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToMapScalars */
    Tcl_DStringAppendElement ( &dString, " Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n ColorByArrayComponent() method.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToMapScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetColorModeToMapScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorModeAsString */
    if ( strcmp ( argv[2], "GetColorModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorModeAsString */
    Tcl_DStringAppendElement ( &dString, " Return the method of coloring scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetColorModeAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetColorModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseLookupTableScalarRange */
    if ( strcmp ( argv[2], "SetUseLookupTableScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseLookupTableScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseLookupTableScalarRange */
    Tcl_DStringAppendElement ( &dString, " Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseLookupTableScalarRange (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetUseLookupTableScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseLookupTableScalarRange */
    if ( strcmp ( argv[2], "GetUseLookupTableScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseLookupTableScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseLookupTableScalarRange */
    Tcl_DStringAppendElement ( &dString, " Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseLookupTableScalarRange ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetUseLookupTableScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseLookupTableScalarRangeOn */
    if ( strcmp ( argv[2], "UseLookupTableScalarRangeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseLookupTableScalarRangeOn */
    Tcl_DStringAppendElement ( &dString, " Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseLookupTableScalarRangeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for UseLookupTableScalarRangeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseLookupTableScalarRangeOff */
    if ( strcmp ( argv[2], "UseLookupTableScalarRangeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseLookupTableScalarRangeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseLookupTableScalarRangeOff */
    Tcl_DStringAppendElement ( &dString, " Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseLookupTableScalarRangeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for UseLookupTableScalarRangeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarRange */
    if ( strcmp ( argv[2], "SetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarRange */
    Tcl_DStringAppendElement ( &dString, " Specify range in terms of scalar minimum and maximum (smin,smax). These\n values are used to map scalars into lookup table. Has no effect when\n UseLookupTableScalarRange is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarRange (double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarRange */
    if ( strcmp ( argv[2], "SetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarRange */
    Tcl_DStringAppendElement ( &dString, " Specify range in terms of scalar minimum and maximum (smin,smax). These\n values are used to map scalars into lookup table. Has no effect when\n UseLookupTableScalarRange is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarRange (double  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarRange */
    if ( strcmp ( argv[2], "GetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarRange */
    Tcl_DStringAppendElement ( &dString, " Specify range in terms of scalar minimum and maximum (smin,smax). These\n values are used to map scalars into lookup table. Has no effect when\n UseLookupTableScalarRange is true.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetScalarRange ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMode */
    if ( strcmp ( argv[2], "SetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarMode */
    if ( strcmp ( argv[2], "GetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToDefault */
    if ( strcmp ( argv[2], "SetScalarModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToDefault ();this SetScalarMode VTK_SCALAR_MODE_DEFAULT " );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetScalarModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUsePointData */
    if ( strcmp ( argv[2], "SetScalarModeToUsePointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUsePointData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUsePointData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetScalarModeToUsePointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUseCellData */
    if ( strcmp ( argv[2], "SetScalarModeToUseCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUseCellData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUseCellData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetScalarModeToUseCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUsePointFieldData */
    if ( strcmp ( argv[2], "SetScalarModeToUsePointFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUsePointFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUsePointFieldData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUsePointFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_FIELD_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetScalarModeToUsePointFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToUseCellFieldData */
    if ( strcmp ( argv[2], "SetScalarModeToUseCellFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToUseCellFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToUseCellFieldData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToUseCellFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_FIELD_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetScalarModeToUseCellFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorByArrayComponent */
    if ( strcmp ( argv[2], "ColorByArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorByArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorByArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Choose which component of which field data array to color by.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorByArrayComponent (int arrayNum, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for ColorByArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorByArrayComponent */
    if ( strcmp ( argv[2], "ColorByArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorByArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorByArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Choose which component of which field data array to color by.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorByArrayComponent (char *arrayName, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for ColorByArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayName */
    if ( strcmp ( argv[2], "GetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to color by.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetArrayName ();return this ArrayName " );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayId */
    if ( strcmp ( argv[2], "GetArrayId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayId */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to color by.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrayId ();return this ArrayId " );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetArrayId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayAccessMode */
    if ( strcmp ( argv[2], "GetArrayAccessMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayAccessMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayAccessMode */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to color by.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrayAccessMode ();return this ArrayAccessMode " );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetArrayAccessMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayComponent */
    if ( strcmp ( argv[2], "GetArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Overload standard modified time function. If lookup table is modified,\n then this object is modified as well.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArrayComponent ();return this ArrayComponent " );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Overload standard modified time function. If lookup table is modified,\n then this object is modified as well.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransformCoordinate */
    if ( strcmp ( argv[2], "SetTransformCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransformCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransformCoordinate */
    Tcl_DStringAppendElement ( &dString, " Specify a vtkCoordinate object to be used to transform the vtkPolyData\n point coordinates. By default (no vtkCoordinate specified), the point \n coordinates are taken as local display coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTransformCoordinate (vtkCoordinate *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for SetTransformCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransformCoordinate */
    if ( strcmp ( argv[2], "GetTransformCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransformCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransformCoordinate */
    Tcl_DStringAppendElement ( &dString, " Specify a vtkCoordinate object to be used to transform the vtkPolyData\n point coordinates. By default (no vtkCoordinate specified), the point \n coordinates are taken as local display coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate *GetTransformCoordinate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for GetTransformCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MapScalars */
    if ( strcmp ( argv[2], "MapScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MapScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MapScalars */
    Tcl_DStringAppendElement ( &dString, " Map the scalars (if there are any scalars and ScalarVisibility is on)\n through the lookup table, returning an unsigned char RGBA array. This is\n typically done as part of the rendering process. The alpha parameter \n allows the blending of the scalars with an additional alpha (typically\n which comes from a vtkActor, etc.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray *MapScalars (double alpha);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for MapScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractMapper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Make a shallow copy of this mapper.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy (vtkAbstractMapper *m);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMapper2DCppCommand(static_cast<vtkMapper2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
