// python wrapper for vtkPolyDataPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolyDataPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPainterNew(char *); }

static PyObject *PyvtkPolyDataPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPainter *op;

  const char    *temp20;
  op = (vtkPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPainter *op;

  vtkPolyDataPainter  *temp20;
  op = (vtkPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPainter_GetInputAsPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPainter *op;

  vtkPolyData  *temp20;
  op = (vtkPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPainter::GetInputAsPolyData();
      }
    else
      {
      temp20 = op->GetInputAsPolyData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPainter_GetOutputAsPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPainter *op;

  vtkPolyData  *temp20;
  op = (vtkPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPainter::GetOutputAsPolyData();
      }
    else
      {
      temp20 = op->GetOutputAsPolyData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPainter_BUILD_NORMALS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkPolyDataPainter::BUILD_NORMALS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPainter_DISABLE_SCALAR_COLOR(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkPolyDataPainter::DISABLE_SCALAR_COLOR();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPainter_DATA_ARRAY_TO_VERTEX_ATTRIBUTE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkPolyDataPainter::DATA_ARRAY_TO_VERTEX_ATTRIBUTE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPainter_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPainter *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  unsigned long     temp2;
  op = (vtkPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"OOl", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPainter::Render(temp0,temp1,temp2);
      }
    else
      {
      op->Render(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkPolyDataPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataPainter\nC++: vtkPolyDataPainter *NewInstance ();\n\n"},
  {(char*)"GetInputAsPolyData",                (PyCFunction)PyvtkPolyDataPainter_GetInputAsPolyData, 1,
   (char*)"V.GetInputAsPolyData() -> vtkPolyData\nC++: vtkPolyData *GetInputAsPolyData ();\n\n Get/set the poly data to render.\n"},
  {(char*)"GetOutputAsPolyData",                (PyCFunction)PyvtkPolyDataPainter_GetOutputAsPolyData, 1,
   (char*)"V.GetOutputAsPolyData() -> vtkPolyData\nC++: vtkPolyData *GetOutputAsPolyData ();\n\n Get the output polydata from this Painter. The default \n implementation forwards the input polydata as the output.\n"},
  {(char*)"BUILD_NORMALS",                (PyCFunction)PyvtkPolyDataPainter_BUILD_NORMALS, 1,
   (char*)"V.BUILD_NORMALS() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *BUILD_NORMALS ();\n\n Keys used to specify control the behaviour of the painter.\n When on, the painter creates normals when none are available in the\n polydata. On by default.\n"},
  {(char*)"DISABLE_SCALAR_COLOR",                (PyCFunction)PyvtkPolyDataPainter_DISABLE_SCALAR_COLOR, 1,
   (char*)"V.DISABLE_SCALAR_COLOR() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DISABLE_SCALAR_COLOR ();\n\n Key added to disable any scalar coloring for the current pass.\n"},
  {(char*)"DATA_ARRAY_TO_VERTEX_ATTRIBUTE",                (PyCFunction)PyvtkPolyDataPainter_DATA_ARRAY_TO_VERTEX_ATTRIBUTE, 1,
   (char*)"V.DATA_ARRAY_TO_VERTEX_ATTRIBUTE() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *DATA_ARRAY_TO_VERTEX_ATTRIBUTE ();\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkPolyDataPainter_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkActor, int)\nC++: virtual void Render (vtkRenderer *renderer, vtkActor *actor, unsigned long typeflags);\n\n Overridden to stop the render call if input polydata is not set,\n since PolyDataPainter cannot paint without any polydata input.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataPainterDoc[] = {
  (char*)"vtkPolyDataPainter - Abstract class for drawing poly data.\n\n",
  "Super Class:\n\n vtkPainter\n\n",
  (char*)" vtkPolyDataPainter encapsulates a method of drawing poly data.  This is a subset\n of what a mapper does.  The painter does no maintenance of the rendering\n state (camera, lights, etc.).  It is solely responsible for issuing\n rendering commands that build graphics primitives.\n\n To simplify coding, an implementation of vtkPolyDataPainter is allowed to support\n only certain types of poly data or cer",
  (char*)"tain types of primitives. \n\n\n",
  "See Also:\n\n vtkDefaultPainter\n vtkStandardPainter\n vtkPainterDeviceAdapter\n\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPolyDataPainterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPolyDataPainterMethods,
                        (char*)"vtkPolyDataPainter",modulename,
                        (char**)vtkPolyDataPainterDoc,
                        PyVTKClass_vtkPainterNew(modulename));
}

