// python wrapper for vtkPolygonsPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolygonsPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolygonsPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolygonsPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPrimitivePainterNew(char *); }

static PyObject *PyvtkPolygonsPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonsPainter *op;

  const char    *temp20;
  op = (vtkPolygonsPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonsPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonsPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonsPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolygonsPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonsPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonsPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonsPainter *op;

  vtkPolygonsPainter  *temp20;
  op = (vtkPolygonsPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonsPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonsPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolygonsPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolygonsPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkPolygonsPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolygonsPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolygonsPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolygonsPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolygonsPainter\nC++: vtkPolygonsPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolygonsPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolygonsPainter\nC++: vtkPolygonsPainter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolygonsPainterDoc[] = {
  (char*)"vtkPolygonsPainter - this painter paints polygons.\n\n",
  "Super Class:\n\n vtkPrimitivePainter\n\n",
  (char*)" This painter renders Polys in vtkPolyData. It can render the polys\n in any representation (VTK_POINTS, VTK_WIREFRAME, VTK_SURFACE).\n\n",
  NULL
};

static vtkObjectBase *vtkPolygonsPainterStaticNew()
{
  return vtkPolygonsPainter::New();
}

PyObject *PyVTKClass_vtkPolygonsPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolygonsPainterStaticNew,
                        PyvtkPolygonsPainterMethods,
                        (char*)"vtkPolygonsPainter",modulename,
                        (char**)vtkPolygonsPainterDoc,
                        PyVTKClass_vtkPrimitivePainterNew(modulename));
}

