// python wrapper for vtkPrimitivePainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPrimitivePainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPrimitivePainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPrimitivePainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataPainterNew(char *); }

static PyObject *PyvtkPrimitivePainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPrimitivePainter *op;

  const char    *temp20;
  op = (vtkPrimitivePainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPrimitivePainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPrimitivePainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPrimitivePainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPrimitivePainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPrimitivePainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPrimitivePainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPrimitivePainter *op;

  vtkPrimitivePainter  *temp20;
  op = (vtkPrimitivePainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPrimitivePainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPrimitivePainter_GetSupportedPrimitive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPrimitivePainter *op;

  int      temp20;
  op = (vtkPrimitivePainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPrimitivePainter::GetSupportedPrimitive();
      }
    else
      {
      temp20 = op->GetSupportedPrimitive();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPrimitivePainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPrimitivePainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPrimitivePainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPrimitivePainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPrimitivePainter\nC++: vtkPrimitivePainter *NewInstance ();\n\n"},
  {(char*)"GetSupportedPrimitive",                (PyCFunction)PyvtkPrimitivePainter_GetSupportedPrimitive, 1,
   (char*)"V.GetSupportedPrimitive() -> int\nC++: int GetSupportedPrimitive ();\n\n Get the type of primitive supported by this painter.\n This must be set by concrete subclasses.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPrimitivePainterDoc[] = {
  (char*)"vtkPrimitivePainter - superclass for class that handle single\n\n",
  "Super Class:\n\n vtkPolyDataPainter\n\n",
  (char*)" This is the abstract superclass for classes that handle single type\n of primitive i.e. verts, lines, polys or tstrips. \n Concrete subclasses will pass a Render() call to the delegate painter,\n if any, only if it could not render.\n .SECTION Thanks\n Support for generic vertex attributes in VTK was contributed in\n collaboration with Stephane Ploix at EDF.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPrimitivePainterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPrimitivePainterMethods,
                        (char*)"vtkPrimitivePainter",modulename,
                        (char**)vtkPrimitivePainterDoc,
                        PyVTKClass_vtkPolyDataPainterNew(modulename));
}

