// python wrapper for vtkProp3DCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProp3DCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProp3DCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProp3DCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPropCollectionNew(char *); }

static PyObject *PyvtkProp3DCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3DCollection *op;

  const char    *temp20;
  op = (vtkProp3DCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3DCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3DCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3DCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkProp3DCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3DCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3DCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3DCollection *op;

  vtkProp3DCollection  *temp20;
  op = (vtkProp3DCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3DCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3DCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProp3DCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProp3DCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProp3DCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3DCollection *op;

  vtkProp3D  *temp0;
  PyObject *tempH0;
  op = (vtkProp3DCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp3D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3DCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkProp3DCollection_GetNextProp3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3DCollection *op;

  vtkProp3D  *temp20;
  op = (vtkProp3DCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3DCollection::GetNextProp3D();
      }
    else
      {
      temp20 = op->GetNextProp3D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3DCollection_GetLastProp3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3DCollection *op;

  vtkProp3D  *temp20;
  op = (vtkProp3DCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3DCollection::GetLastProp3D();
      }
    else
      {
      temp20 = op->GetLastProp3D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProp3DCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProp3DCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProp3DCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProp3DCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProp3DCollection\nC++: vtkProp3DCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProp3DCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProp3DCollection\nC++: vtkProp3DCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkProp3DCollection_AddItem, 1,
   (char*)"V.AddItem(vtkProp3D)\nC++: void AddItem (vtkProp3D *p);\n\n Add an actor to the list.\n"},
  {(char*)"GetNextProp3D",                (PyCFunction)PyvtkProp3DCollection_GetNextProp3D, 1,
   (char*)"V.GetNextProp3D() -> vtkProp3D\nC++: vtkProp3D *GetNextProp3D ();\n\n Get the next actor in the list.\n"},
  {(char*)"GetLastProp3D",                (PyCFunction)PyvtkProp3DCollection_GetLastProp3D, 1,
   (char*)"V.GetLastProp3D() -> vtkProp3D\nC++: vtkProp3D *GetLastProp3D ();\n\n Get the last actor in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProp3DCollectionDoc[] = {
  (char*)"vtkProp3DCollection - a list of 3D props\n\n",
  "Super Class:\n\n vtkPropCollection\n\n",
  (char*)" vtkProp3DCollection represents and provides methods to manipulate a list of\n 3D props (i.e., vtkProp3D and subclasses). The list is unsorted and \n duplicate entries are not prevented.\n\n",
  "See Also:\n\n vtkProp3D vtkCollection \n\n",
  NULL
};

static vtkObjectBase *vtkProp3DCollectionStaticNew()
{
  return vtkProp3DCollection::New();
}

PyObject *PyVTKClass_vtkProp3DCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkProp3DCollectionStaticNew,
                        PyvtkProp3DCollectionMethods,
                        (char*)"vtkProp3DCollection",modulename,
                        (char**)vtkProp3DCollectionDoc,
                        PyVTKClass_vtkPropCollectionNew(modulename));
}

