// tcl wrapper for vtkProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProperty.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPropertyNewCommand()
{
  vtkProperty *temp = vtkProperty::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPropertyCppCommand(vtkProperty *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPropertyCppCommand(static_cast<vtkProperty *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPropertyCppCommand(vtkProperty *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkProperty",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkProperty  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkActor  *temp0;
    vtkRenderer  *temp1;
    error = 0;

    temp0 = (vtkActor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkActor"),interp,error));
    temp1 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BackfaceRender",argv[1]))&&(argc == 4))
    {
    vtkActor  *temp0;
    vtkRenderer  *temp1;
    error = 0;

    temp0 = (vtkActor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkActor"),interp,error));
    temp1 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->BackfaceRender(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInterpolation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationToFlat",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationToFlat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationToGouraud",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationToGouraud();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationToPhong",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationToPhong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetInterpolationAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRepresentationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepresentationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRepresentationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepresentationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRepresentation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepresentation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationToPoints",argv[1]))&&(argc == 2))
    {
    op->SetRepresentationToPoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationToWireframe",argv[1]))&&(argc == 2))
    {
    op->SetRepresentationToWireframe();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationToSurface",argv[1]))&&(argc == 2))
    {
    op->SetRepresentationToSurface();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRepresentationAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetRepresentationAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAmbient",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAmbient(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAmbientMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAmbientMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAmbientMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAmbientMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAmbient",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAmbient();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffuse",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffuse(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffuseMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffuseMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDiffuseMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffuseMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDiffuse",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffuse();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSpecular",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSpecular(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecularMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSpecularMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSpecularMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSpecularMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSpecular",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSpecular();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSpecularPower",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSpecularPower(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecularPowerMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSpecularPowerMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSpecularPowerMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSpecularPowerMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSpecularPower",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSpecularPower();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOpacityMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOpacityMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOpacityMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOpacityMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAmbientColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetAmbientColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAmbientColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetAmbientColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAmbientColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAmbientColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDiffuseColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDiffuseColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDiffuseColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDiffuseColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffuseColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDiffuseColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSpecularColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSpecularColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpecularColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSpecularColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecularColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSpecularColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEdgeVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEdgeVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EdgeVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->EdgeVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EdgeVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->EdgeVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetEdgeColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetEdgeColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetEdgeColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLineWidth",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLineWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineWidthMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLineWidthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLineWidthMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLineWidthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLineWidth",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLineWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLineStipplePattern",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLineStipplePattern(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineStipplePattern",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLineStipplePattern();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLineStippleRepeatFactor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLineStippleRepeatFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineStippleRepeatFactorMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLineStippleRepeatFactorMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLineStippleRepeatFactorMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLineStippleRepeatFactorMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLineStippleRepeatFactor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLineStippleRepeatFactor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointSize",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPointSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointSizeMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPointSizeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointSizeMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPointSizeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointSize",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPointSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBackfaceCulling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBackfaceCulling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBackfaceCulling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBackfaceCulling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BackfaceCullingOn",argv[1]))&&(argc == 2))
    {
    op->BackfaceCullingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BackfaceCullingOff",argv[1]))&&(argc == 2))
    {
    op->BackfaceCullingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFrontfaceCulling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFrontfaceCulling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFrontfaceCulling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFrontfaceCulling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FrontfaceCullingOn",argv[1]))&&(argc == 2))
    {
    op->FrontfaceCullingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FrontfaceCullingOff",argv[1]))&&(argc == 2))
    {
    op->FrontfaceCullingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaterial",argv[1]))&&(argc == 2))
    {
    vtkXMLMaterial  *temp20;
    temp20 = (op)->GetMaterial();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLMaterial");
    return TCL_OK;
    }
  if ((!strcmp("GetMaterialName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetMaterialName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("LoadMaterial",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->LoadMaterial(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadMaterialFromString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->LoadMaterialFromString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadMaterial",argv[1]))&&(argc == 3))
    {
    vtkXMLMaterial  *temp0;
    error = 0;

    temp0 = (vtkXMLMaterial *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkXMLMaterial"),interp,error));
    if (!error)
    {
    op->LoadMaterial(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShading",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShading(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShading",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShading();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShadingOn",argv[1]))&&(argc == 2))
    {
    op->ShadingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShadingOff",argv[1]))&&(argc == 2))
    {
    op->ShadingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetShaderProgram",argv[1]))&&(argc == 2))
    {
    vtkShaderProgram  *temp20;
    temp20 = (op)->GetShaderProgram();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkShaderProgram");
    return TCL_OK;
    }
  if ((!strcmp("AddShaderVariable",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddShaderVariable(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddShaderVariable",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    float    temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->AddShaderVariable(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddShaderVariable",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    double   temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->AddShaderVariable(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddShaderVariable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AddShaderVariable(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddShaderVariable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    float    temp1;
    float    temp2;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->AddShaderVariable(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddShaderVariable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    double   temp1;
    double   temp2;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->AddShaderVariable(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddShaderVariable",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->AddShaderVariable(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddShaderVariable",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->AddShaderVariable(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddShaderVariable",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->AddShaderVariable(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTexture",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkTexture  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkTexture"),interp,error));
    if (!error)
    {
    op->SetTexture(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTexture",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkTexture  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetTexture(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexture");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveTexture",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->RemoveTexture(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllTextures",argv[1]))&&(argc == 2))
    {
    op->RemoveAllTextures();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTextures",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTextures();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPropertyCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkProperty:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BackfaceRender\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolation\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationToFlat\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationToGouraud\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationToPhong\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationToPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationToWireframe\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationToSurface\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentationAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColor\n",NULL);
    Tcl_AppendResult(interp,"  GetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbient\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbientMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbientMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbient\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffuse\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuseMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuseMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuse\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecular\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecularMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecularMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecular\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecularPower\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecularPowerMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecularPowerMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecularPower\n",NULL);
    Tcl_AppendResult(interp,"  SetOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacityMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacityMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbientColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbientColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbientColor\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffuseColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffuseColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuseColor\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecularColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecularColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecularColor\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EdgeVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  EdgeVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeColor\n",NULL);
    Tcl_AppendResult(interp,"  SetLineWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineWidthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLineWidthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLineWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetLineStipplePattern\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineStipplePattern\n",NULL);
    Tcl_AppendResult(interp,"  SetLineStippleRepeatFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineStippleRepeatFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLineStippleRepeatFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLineStippleRepeatFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetPointSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPointSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPointSize\n",NULL);
    Tcl_AppendResult(interp,"  GetBackfaceCulling\n",NULL);
    Tcl_AppendResult(interp,"  SetBackfaceCulling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BackfaceCullingOn\n",NULL);
    Tcl_AppendResult(interp,"  BackfaceCullingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFrontfaceCulling\n",NULL);
    Tcl_AppendResult(interp,"  SetFrontfaceCulling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FrontfaceCullingOn\n",NULL);
    Tcl_AppendResult(interp,"  FrontfaceCullingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterial\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialName\n",NULL);
    Tcl_AppendResult(interp,"  LoadMaterial\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadMaterialFromString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadMaterial\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetShading\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShading\n",NULL);
    Tcl_AppendResult(interp,"  ShadingOn\n",NULL);
    Tcl_AppendResult(interp,"  ShadingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetShaderProgram\n",NULL);
    Tcl_AppendResult(interp,"  AddShaderVariable\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddShaderVariable\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddShaderVariable\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddShaderVariable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddShaderVariable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddShaderVariable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddShaderVariable\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddShaderVariable\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddShaderVariable\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTexture\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTexture\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveTexture\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllTextures\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTextures\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "BackfaceRender" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolation" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolation" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationToFlat" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationToGouraud" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationToPhong" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationAsString" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToPoints" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToWireframe" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToSurface" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationAsString" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    Tcl_DStringAppendElement ( &dString, "GetAmbientMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAmbientMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAmbient" );
    Tcl_DStringAppendElement ( &dString, "SetDiffuse" );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDiffuse" );
    Tcl_DStringAppendElement ( &dString, "SetSpecular" );
    Tcl_DStringAppendElement ( &dString, "GetSpecularMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSpecularMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSpecular" );
    Tcl_DStringAppendElement ( &dString, "SetSpecularPower" );
    Tcl_DStringAppendElement ( &dString, "GetSpecularPowerMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSpecularPowerMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSpecularPower" );
    Tcl_DStringAppendElement ( &dString, "SetOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetOpacityMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOpacityMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetAmbientColor" );
    Tcl_DStringAppendElement ( &dString, "SetAmbientColor" );
    Tcl_DStringAppendElement ( &dString, "GetAmbientColor" );
    Tcl_DStringAppendElement ( &dString, "SetDiffuseColor" );
    Tcl_DStringAppendElement ( &dString, "SetDiffuseColor" );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseColor" );
    Tcl_DStringAppendElement ( &dString, "SetSpecularColor" );
    Tcl_DStringAppendElement ( &dString, "SetSpecularColor" );
    Tcl_DStringAppendElement ( &dString, "GetSpecularColor" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeVisibility" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeVisibility" );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColor" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColor" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColor" );
    Tcl_DStringAppendElement ( &dString, "SetLineWidth" );
    Tcl_DStringAppendElement ( &dString, "GetLineWidthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLineWidthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLineWidth" );
    Tcl_DStringAppendElement ( &dString, "SetLineStipplePattern" );
    Tcl_DStringAppendElement ( &dString, "GetLineStipplePattern" );
    Tcl_DStringAppendElement ( &dString, "SetLineStippleRepeatFactor" );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactor" );
    Tcl_DStringAppendElement ( &dString, "SetPointSize" );
    Tcl_DStringAppendElement ( &dString, "GetPointSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPointSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPointSize" );
    Tcl_DStringAppendElement ( &dString, "GetBackfaceCulling" );
    Tcl_DStringAppendElement ( &dString, "SetBackfaceCulling" );
    Tcl_DStringAppendElement ( &dString, "BackfaceCullingOn" );
    Tcl_DStringAppendElement ( &dString, "BackfaceCullingOff" );
    Tcl_DStringAppendElement ( &dString, "GetFrontfaceCulling" );
    Tcl_DStringAppendElement ( &dString, "SetFrontfaceCulling" );
    Tcl_DStringAppendElement ( &dString, "FrontfaceCullingOn" );
    Tcl_DStringAppendElement ( &dString, "FrontfaceCullingOff" );
    Tcl_DStringAppendElement ( &dString, "GetMaterial" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialName" );
    Tcl_DStringAppendElement ( &dString, "LoadMaterial" );
    Tcl_DStringAppendElement ( &dString, "LoadMaterialFromString" );
    Tcl_DStringAppendElement ( &dString, "LoadMaterial" );
    Tcl_DStringAppendElement ( &dString, "SetShading" );
    Tcl_DStringAppendElement ( &dString, "GetShading" );
    Tcl_DStringAppendElement ( &dString, "ShadingOn" );
    Tcl_DStringAppendElement ( &dString, "ShadingOff" );
    Tcl_DStringAppendElement ( &dString, "GetShaderProgram" );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    Tcl_DStringAppendElement ( &dString, "SetTexture" );
    Tcl_DStringAppendElement ( &dString, "GetTexture" );
    Tcl_DStringAppendElement ( &dString, "RemoveTexture" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllTextures" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTextures" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with object color, ambient color, diffuse color,\n specular color, and edge color white; ambient coefficient=0; diffuse \n coefficient=0; specular coefficient=0; specular power=1; Gouraud shading;\n and surface representation. Backface and frontface culling are off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkProperty *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Assign one property to another. \n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy (vtkProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " This method causes the property to set up whatever is required for\n its instance variables. This is actually handled by a subclass of\n vtkProperty, which is created automatically. This\n method includes the invoking actor as an argument which can\n be used by property devices that require the actor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render (vtkActor *, vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BackfaceRender */
    if ( strcmp ( argv[2], "BackfaceRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BackfaceRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BackfaceRender */
    Tcl_DStringAppendElement ( &dString, " This method renders the property as a backface property. TwoSidedLighting\n must be turned off to see any backface properties. Note that only\n colors and opacity are used for backface properties. Other properties\n such as Representation, Culling are specified by the Property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BackfaceRender (vtkActor *, vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for BackfaceRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolation */
    if ( strcmp ( argv[2], "SetInterpolation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolation */
    Tcl_DStringAppendElement ( &dString, " Set the shading interpolation method for an object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetInterpolation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationMinValue */
    if ( strcmp ( argv[2], "GetInterpolationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the shading interpolation method for an object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetInterpolationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationMaxValue */
    if ( strcmp ( argv[2], "GetInterpolationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the shading interpolation method for an object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetInterpolationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolation */
    if ( strcmp ( argv[2], "GetInterpolation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolation */
    Tcl_DStringAppendElement ( &dString, " Set the shading interpolation method for an object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetInterpolation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationToFlat */
    if ( strcmp ( argv[2], "SetInterpolationToFlat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationToFlat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationToFlat */
    Tcl_DStringAppendElement ( &dString, " Set the shading interpolation method for an object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationToFlat ();this SetInterpolation VTK_FLAT " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetInterpolationToFlat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationToGouraud */
    if ( strcmp ( argv[2], "SetInterpolationToGouraud" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationToGouraud" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationToGouraud */
    Tcl_DStringAppendElement ( &dString, " Set the shading interpolation method for an object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationToGouraud ();this SetInterpolation VTK_GOURAUD " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetInterpolationToGouraud */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationToPhong */
    if ( strcmp ( argv[2], "SetInterpolationToPhong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationToPhong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationToPhong */
    Tcl_DStringAppendElement ( &dString, " Set the shading interpolation method for an object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationToPhong ();this SetInterpolation VTK_PHONG " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetInterpolationToPhong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationAsString */
    if ( strcmp ( argv[2], "GetInterpolationAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationAsString */
    Tcl_DStringAppendElement ( &dString, " Set the shading interpolation method for an object.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetInterpolationAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetInterpolationAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Control the surface geometry representation for the object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentationMinValue */
    if ( strcmp ( argv[2], "GetRepresentationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentationMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the surface geometry representation for the object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRepresentationMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetRepresentationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentationMaxValue */
    if ( strcmp ( argv[2], "GetRepresentationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the surface geometry representation for the object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRepresentationMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetRepresentationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentation */
    if ( strcmp ( argv[2], "GetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Control the surface geometry representation for the object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRepresentation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationToPoints */
    if ( strcmp ( argv[2], "SetRepresentationToPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationToPoints */
    Tcl_DStringAppendElement ( &dString, " Control the surface geometry representation for the object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentationToPoints ();this SetRepresentation VTK_POINTS " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetRepresentationToPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationToWireframe */
    if ( strcmp ( argv[2], "SetRepresentationToWireframe" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToWireframe" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationToWireframe */
    Tcl_DStringAppendElement ( &dString, " Control the surface geometry representation for the object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentationToWireframe ();this SetRepresentation VTK_WIREFRAME " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetRepresentationToWireframe */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationToSurface */
    if ( strcmp ( argv[2], "SetRepresentationToSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationToSurface */
    Tcl_DStringAppendElement ( &dString, " Control the surface geometry representation for the object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentationToSurface ();this SetRepresentation VTK_SURFACE " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetRepresentationToSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentationAsString */
    if ( strcmp ( argv[2], "GetRepresentationAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentationAsString */
    Tcl_DStringAppendElement ( &dString, " Control the surface geometry representation for the object.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetRepresentationAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetRepresentationAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set the color of the object. Has the side effect of setting the\n ambient diffuse and specular colors as well. This is basically\n a quick overall color setting method.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColor (double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set the color of the object. Has the side effect of setting the\n ambient diffuse and specular colors as well. This is basically\n a quick overall color setting method.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColor (double a\\[3\\]);this SetColor a a a " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColor */
    if ( strcmp ( argv[2], "GetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColor */
    Tcl_DStringAppendElement ( &dString, " Set the color of the object. Has the side effect of setting the\n ambient diffuse and specular colors as well. This is basically\n a quick overall color setting method.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColor */
    if ( strcmp ( argv[2], "GetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColor */
    Tcl_DStringAppendElement ( &dString, " Set the color of the object. Has the side effect of setting the\n ambient diffuse and specular colors as well. This is basically\n a quick overall color setting method.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetColor (double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAmbient */
    if ( strcmp ( argv[2], "SetAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAmbient */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ambient lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAmbient (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmbientMinValue */
    if ( strcmp ( argv[2], "GetAmbientMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmbientMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmbientMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ambient lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAmbientMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetAmbientMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmbientMaxValue */
    if ( strcmp ( argv[2], "GetAmbientMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmbientMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmbientMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ambient lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAmbientMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetAmbientMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmbient */
    if ( strcmp ( argv[2], "GetAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmbient */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ambient lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAmbient ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffuse */
    if ( strcmp ( argv[2], "SetDiffuse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffuse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffuse */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diffuse lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffuse (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetDiffuse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffuseMinValue */
    if ( strcmp ( argv[2], "GetDiffuseMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffuseMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diffuse lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffuseMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetDiffuseMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffuseMaxValue */
    if ( strcmp ( argv[2], "GetDiffuseMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffuseMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diffuse lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffuseMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetDiffuseMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffuse */
    if ( strcmp ( argv[2], "GetDiffuse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffuse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffuse */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diffuse lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffuse ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetDiffuse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpecular */
    if ( strcmp ( argv[2], "SetSpecular" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpecular" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpecular */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpecular (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetSpecular */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecularMinValue */
    if ( strcmp ( argv[2], "GetSpecularMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecularMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecularMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSpecularMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetSpecularMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecularMaxValue */
    if ( strcmp ( argv[2], "GetSpecularMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecularMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecularMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSpecularMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetSpecularMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecular */
    if ( strcmp ( argv[2], "GetSpecular" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecular" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecular */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSpecular ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetSpecular */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpecularPower */
    if ( strcmp ( argv[2], "SetSpecularPower" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpecularPower" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpecularPower */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular power.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpecularPower (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetSpecularPower */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecularPowerMinValue */
    if ( strcmp ( argv[2], "GetSpecularPowerMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecularPowerMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecularPowerMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular power.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSpecularPowerMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetSpecularPowerMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecularPowerMaxValue */
    if ( strcmp ( argv[2], "GetSpecularPowerMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecularPowerMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecularPowerMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular power.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSpecularPowerMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetSpecularPowerMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecularPower */
    if ( strcmp ( argv[2], "GetSpecularPower" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecularPower" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecularPower */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular power.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSpecularPower ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetSpecularPower */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOpacity */
    if ( strcmp ( argv[2], "SetOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOpacity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOpacity (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpacityMinValue */
    if ( strcmp ( argv[2], "GetOpacityMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacityMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacityMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOpacityMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetOpacityMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpacityMaxValue */
    if ( strcmp ( argv[2], "GetOpacityMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacityMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacityMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOpacityMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetOpacityMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpacity */
    if ( strcmp ( argv[2], "GetOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOpacity ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAmbientColor */
    if ( strcmp ( argv[2], "SetAmbientColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAmbientColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAmbientColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ambient surface color. Not all renderers support separate\n ambient and diffuse colors. From a physical standpoint it really\n doesn't make too much sense to have both. For the rendering\n libraries that don't support both, the diffuse color is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAmbientColor (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetAmbientColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAmbientColor */
    if ( strcmp ( argv[2], "SetAmbientColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAmbientColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAmbientColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ambient surface color. Not all renderers support separate\n ambient and diffuse colors. From a physical standpoint it really\n doesn't make too much sense to have both. For the rendering\n libraries that don't support both, the diffuse color is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAmbientColor (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetAmbientColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmbientColor */
    if ( strcmp ( argv[2], "GetAmbientColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmbientColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmbientColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ambient surface color. Not all renderers support separate\n ambient and diffuse colors. From a physical standpoint it really\n doesn't make too much sense to have both. For the rendering\n libraries that don't support both, the diffuse color is used.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetAmbientColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetAmbientColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffuseColor */
    if ( strcmp ( argv[2], "SetDiffuseColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffuseColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffuseColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diffuse surface color.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffuseColor (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetDiffuseColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffuseColor */
    if ( strcmp ( argv[2], "SetDiffuseColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffuseColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffuseColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diffuse surface color.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffuseColor (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetDiffuseColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffuseColor */
    if ( strcmp ( argv[2], "GetDiffuseColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffuseColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffuseColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diffuse surface color.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDiffuseColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetDiffuseColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpecularColor */
    if ( strcmp ( argv[2], "SetSpecularColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpecularColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpecularColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular surface color.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpecularColor (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetSpecularColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpecularColor */
    if ( strcmp ( argv[2], "SetSpecularColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpecularColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpecularColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular surface color.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpecularColor (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetSpecularColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecularColor */
    if ( strcmp ( argv[2], "GetSpecularColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecularColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecularColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular surface color.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetSpecularColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetSpecularColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeVisibility */
    if ( strcmp ( argv[2], "GetEdgeVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the visibility of edges. On some renderers it is\n possible to render the edges of geometric primitives separately\n from the interior.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEdgeVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetEdgeVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeVisibility */
    if ( strcmp ( argv[2], "SetEdgeVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the visibility of edges. On some renderers it is\n possible to render the edges of geometric primitives separately\n from the interior.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetEdgeVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeVisibilityOn */
    if ( strcmp ( argv[2], "EdgeVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the visibility of edges. On some renderers it is\n possible to render the edges of geometric primitives separately\n from the interior.\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgeVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for EdgeVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeVisibilityOff */
    if ( strcmp ( argv[2], "EdgeVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the visibility of edges. On some renderers it is\n possible to render the edges of geometric primitives separately\n from the interior.\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgeVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for EdgeVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeColor */
    if ( strcmp ( argv[2], "SetEdgeColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color of primitive edges (if edge visibility is enabled).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeColor (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetEdgeColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeColor */
    if ( strcmp ( argv[2], "SetEdgeColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color of primitive edges (if edge visibility is enabled).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeColor (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetEdgeColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeColor */
    if ( strcmp ( argv[2], "GetEdgeColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color of primitive edges (if edge visibility is enabled).\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetEdgeColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetEdgeColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineWidth */
    if ( strcmp ( argv[2], "SetLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineWidth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineWidth (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineWidthMinValue */
    if ( strcmp ( argv[2], "GetLineWidthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineWidthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineWidthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLineWidthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetLineWidthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineWidthMaxValue */
    if ( strcmp ( argv[2], "GetLineWidthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineWidthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineWidthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLineWidthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetLineWidthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineWidth */
    if ( strcmp ( argv[2], "GetLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineWidth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLineWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineStipplePattern */
    if ( strcmp ( argv[2], "SetLineStipplePattern" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineStipplePattern" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineStipplePattern */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling pattern of a Line, as a 16-bit binary pattern \n (1 = pixel on, 0 = pixel off).\n This is only implemented for OpenGL. The default is 0xFFFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineStipplePattern (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetLineStipplePattern */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineStipplePattern */
    if ( strcmp ( argv[2], "GetLineStipplePattern" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineStipplePattern" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineStipplePattern */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling pattern of a Line, as a 16-bit binary pattern \n (1 = pixel on, 0 = pixel off).\n This is only implemented for OpenGL. The default is 0xFFFF.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLineStipplePattern ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetLineStipplePattern */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineStippleRepeatFactor */
    if ( strcmp ( argv[2], "SetLineStippleRepeatFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineStippleRepeatFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineStippleRepeatFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineStippleRepeatFactor (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetLineStippleRepeatFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineStippleRepeatFactorMinValue */
    if ( strcmp ( argv[2], "GetLineStippleRepeatFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineStippleRepeatFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLineStippleRepeatFactorMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetLineStippleRepeatFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineStippleRepeatFactorMaxValue */
    if ( strcmp ( argv[2], "GetLineStippleRepeatFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineStippleRepeatFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLineStippleRepeatFactorMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetLineStippleRepeatFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineStippleRepeatFactor */
    if ( strcmp ( argv[2], "GetLineStippleRepeatFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineStippleRepeatFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLineStippleRepeatFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetLineStippleRepeatFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointSize */
    if ( strcmp ( argv[2], "SetPointSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diameter of a point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointSize (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetPointSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointSizeMinValue */
    if ( strcmp ( argv[2], "GetPointSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diameter of a point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPointSizeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetPointSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointSizeMaxValue */
    if ( strcmp ( argv[2], "GetPointSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diameter of a point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPointSizeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetPointSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointSize */
    if ( strcmp ( argv[2], "GetPointSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diameter of a point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPointSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetPointSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackfaceCulling */
    if ( strcmp ( argv[2], "GetBackfaceCulling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackfaceCulling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackfaceCulling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off fast culling of polygons based on orientation of normal\n with respect to camera. If backface culling is on, polygons facing\n away from camera are not drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBackfaceCulling ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetBackfaceCulling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackfaceCulling */
    if ( strcmp ( argv[2], "SetBackfaceCulling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackfaceCulling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackfaceCulling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off fast culling of polygons based on orientation of normal\n with respect to camera. If backface culling is on, polygons facing\n away from camera are not drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackfaceCulling (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetBackfaceCulling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BackfaceCullingOn */
    if ( strcmp ( argv[2], "BackfaceCullingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BackfaceCullingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BackfaceCullingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off fast culling of polygons based on orientation of normal\n with respect to camera. If backface culling is on, polygons facing\n away from camera are not drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void BackfaceCullingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for BackfaceCullingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BackfaceCullingOff */
    if ( strcmp ( argv[2], "BackfaceCullingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BackfaceCullingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BackfaceCullingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off fast culling of polygons based on orientation of normal\n with respect to camera. If backface culling is on, polygons facing\n away from camera are not drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void BackfaceCullingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for BackfaceCullingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrontfaceCulling */
    if ( strcmp ( argv[2], "GetFrontfaceCulling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrontfaceCulling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrontfaceCulling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off fast culling of polygons based on orientation of normal\n with respect to camera. If frontface culling is on, polygons facing\n towards camera are not drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFrontfaceCulling ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetFrontfaceCulling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrontfaceCulling */
    if ( strcmp ( argv[2], "SetFrontfaceCulling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrontfaceCulling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrontfaceCulling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off fast culling of polygons based on orientation of normal\n with respect to camera. If frontface culling is on, polygons facing\n towards camera are not drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFrontfaceCulling (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetFrontfaceCulling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FrontfaceCullingOn */
    if ( strcmp ( argv[2], "FrontfaceCullingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FrontfaceCullingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FrontfaceCullingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off fast culling of polygons based on orientation of normal\n with respect to camera. If frontface culling is on, polygons facing\n towards camera are not drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void FrontfaceCullingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for FrontfaceCullingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FrontfaceCullingOff */
    if ( strcmp ( argv[2], "FrontfaceCullingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FrontfaceCullingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FrontfaceCullingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off fast culling of polygons based on orientation of normal\n with respect to camera. If frontface culling is on, polygons facing\n towards camera are not drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void FrontfaceCullingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for FrontfaceCullingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaterial */
    if ( strcmp ( argv[2], "GetMaterial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterial */
    Tcl_DStringAppendElement ( &dString, " Get the material representation used for shading. The material will be used\n only when shading is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial *GetMaterial ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetMaterial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaterialName */
    if ( strcmp ( argv[2], "GetMaterialName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialName */
    Tcl_DStringAppendElement ( &dString, " Returns the name of the material currenly loaded, if any.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetMaterialName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetMaterialName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoadMaterial */
    if ( strcmp ( argv[2], "LoadMaterial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoadMaterial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoadMaterial */
    Tcl_DStringAppendElement ( &dString, " Load the material. The material can be the name of a\n built-on material or the filename for a VTK material XML description.\n" );
    Tcl_DStringAppendElement ( &dString, "void LoadMaterial (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for LoadMaterial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoadMaterialFromString */
    if ( strcmp ( argv[2], "LoadMaterialFromString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoadMaterialFromString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoadMaterialFromString */
    Tcl_DStringAppendElement ( &dString, " Load the material given the contents of the material file.\n" );
    Tcl_DStringAppendElement ( &dString, "void LoadMaterialFromString (const char *materialxml);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for LoadMaterialFromString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoadMaterial */
    if ( strcmp ( argv[2], "LoadMaterial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoadMaterial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoadMaterial */
    Tcl_DStringAppendElement ( &dString, " Load the material given the material representation.\n" );
    Tcl_DStringAppendElement ( &dString, "void LoadMaterial (vtkXMLMaterial *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for LoadMaterial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShading */
    if ( strcmp ( argv[2], "SetShading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShading */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable shading. When shading is enabled, the\n Material must be set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShading (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetShading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShading */
    if ( strcmp ( argv[2], "GetShading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShading */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable shading. When shading is enabled, the\n Material must be set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShading ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetShading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShadingOn */
    if ( strcmp ( argv[2], "ShadingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShadingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShadingOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable shading. When shading is enabled, the\n Material must be set.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShadingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for ShadingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShadingOff */
    if ( strcmp ( argv[2], "ShadingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShadingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShadingOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable shading. When shading is enabled, the\n Material must be set.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShadingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for ShadingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaderProgram */
    if ( strcmp ( argv[2], "GetShaderProgram" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaderProgram" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaderProgram */
    Tcl_DStringAppendElement ( &dString, " Get the Shader program. If Material is not set/or not loaded properly,\n this will return null.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram *GetShaderProgram ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetShaderProgram */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddShaderVariable */
    if ( strcmp ( argv[2], "AddShaderVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddShaderVariable */
    Tcl_DStringAppendElement ( &dString, " Methods to provide to add shader variables from tcl.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddShaderVariable (const char *name, int v);this AddShaderVariable name v " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for AddShaderVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddShaderVariable */
    if ( strcmp ( argv[2], "AddShaderVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddShaderVariable */
    Tcl_DStringAppendElement ( &dString, " Methods to provide to add shader variables from tcl.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddShaderVariable (const char *name, float v);this AddShaderVariable name v " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for AddShaderVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddShaderVariable */
    if ( strcmp ( argv[2], "AddShaderVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddShaderVariable */
    Tcl_DStringAppendElement ( &dString, " Methods to provide to add shader variables from tcl.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddShaderVariable (const char *name, double v);this AddShaderVariable name v " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for AddShaderVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddShaderVariable */
    if ( strcmp ( argv[2], "AddShaderVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddShaderVariable */
    Tcl_DStringAppendElement ( &dString, " Methods to provide to add shader variables from tcl.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddShaderVariable (const char *name, int v1, int v2);int v v v1 v v2 this AddShaderVariable name v " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for AddShaderVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddShaderVariable */
    if ( strcmp ( argv[2], "AddShaderVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddShaderVariable */
    Tcl_DStringAppendElement ( &dString, " Methods to provide to add shader variables from tcl.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddShaderVariable (const char *name, float v1, float v2);float v v v1 v v2 this AddShaderVariable name v " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for AddShaderVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddShaderVariable */
    if ( strcmp ( argv[2], "AddShaderVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddShaderVariable */
    Tcl_DStringAppendElement ( &dString, " Methods to provide to add shader variables from tcl.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddShaderVariable (const char *name, double v1, double v2);double v v v1 v v2 this AddShaderVariable name v " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for AddShaderVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddShaderVariable */
    if ( strcmp ( argv[2], "AddShaderVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddShaderVariable */
    Tcl_DStringAppendElement ( &dString, " Methods to provide to add shader variables from tcl.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddShaderVariable (const char *name, int v1, int v2, int v3);int v v v1 v v2 v v3 this AddShaderVariable name v " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for AddShaderVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddShaderVariable */
    if ( strcmp ( argv[2], "AddShaderVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddShaderVariable */
    Tcl_DStringAppendElement ( &dString, " Methods to provide to add shader variables from tcl.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddShaderVariable (const char *name, float v1, float v2, float v3);float v v v1 v v2 v v3 this AddShaderVariable name v " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for AddShaderVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddShaderVariable */
    if ( strcmp ( argv[2], "AddShaderVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddShaderVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddShaderVariable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the texture object to control rendering texture maps.  This will\n be a vtkTexture object. A property does not need to have an associated\n texture map and multiple properties can share one texture. Textures\n must be assigned unique names.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddShaderVariable (const char *name, double v1, double v2, double v3);double v v v1 v v2 v v3 this AddShaderVariable name v " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for AddShaderVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTexture */
    if ( strcmp ( argv[2], "SetTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTexture */
    Tcl_DStringAppendElement ( &dString, " Set/Get the texture object to control rendering texture maps.  This will\n be a vtkTexture object. A property does not need to have an associated\n texture map and multiple properties can share one texture. Textures\n must be assigned unique names.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTexture (const char *name, vtkTexture *texture);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for SetTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTexture */
    if ( strcmp ( argv[2], "GetTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTexture */
    Tcl_DStringAppendElement ( &dString, " Set/Get the texture object to control rendering texture maps.  This will\n be a vtkTexture object. A property does not need to have an associated\n texture map and multiple properties can share one texture. Textures\n must be assigned unique names.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture *GetTexture (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveTexture */
    if ( strcmp ( argv[2], "RemoveTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveTexture */
    Tcl_DStringAppendElement ( &dString, " Remove a texture from the collection. Note that the\n indices of all the subsquent textures, if any, will change.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveTexture (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for RemoveTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllTextures */
    if ( strcmp ( argv[2], "RemoveAllTextures" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllTextures" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllTextures */
    Tcl_DStringAppendElement ( &dString, " Remove all the textures.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllTextures ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for RemoveAllTextures */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTextures */
    if ( strcmp ( argv[2], "GetNumberOfTextures" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTextures" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTextures */
    Tcl_DStringAppendElement ( &dString, " Returns the number of textures in this property.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTextures ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for GetNumberOfTextures */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this\n property. The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources (vtkWindow *win);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
