// python wrapper for vtkQuaternionInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQuaternionInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQuaternionInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQuaternionInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkQuaternionInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  const char    *temp20;
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuaternionInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  char    *temp0;
  int      temp20;
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuaternionInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  vtkQuaternionInterpolator  *temp20;
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuaternionInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQuaternionInterpolator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQuaternionInterpolator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_GetNumberOfQuaternions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  int      temp20;
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuaternionInterpolator::GetNumberOfQuaternions();
      }
    else
      {
      temp20 = op->GetNumberOfQuaternions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_GetMinimumT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  double   temp20;
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuaternionInterpolator::GetMinimumT();
      }
    else
      {
      temp20 = op->GetMinimumT();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_GetMaximumT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  double   temp20;
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuaternionInterpolator::GetMaximumT();
      }
    else
      {
      temp20 = op->GetMaximumT();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuaternionInterpolator::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_AddQuaternion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  double   temp0;
  double temp1[4];
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"d(dddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuaternionInterpolator::AddQuaternion(temp0,temp1);
      }
    else
      {
      op->AddQuaternion(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_RemoveQuaternion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  double   temp0;
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuaternionInterpolator::RemoveQuaternion(temp0);
      }
    else
      {
      op->RemoveQuaternion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_InterpolateQuaternion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  double   temp0;
  double temp1[4];
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"d(dddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuaternionInterpolator::InterpolateQuaternion(temp0,temp1);
      }
    else
      {
      op->InterpolateQuaternion(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_SetInterpolationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  int      temp0;
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuaternionInterpolator::SetInterpolationType(temp0);
      }
    else
      {
      op->SetInterpolationType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_GetInterpolationTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  int      temp20;
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuaternionInterpolator::GetInterpolationTypeMinValue();
      }
    else
      {
      temp20 = op->GetInterpolationTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_GetInterpolationTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  int      temp20;
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuaternionInterpolator::GetInterpolationTypeMaxValue();
      }
    else
      {
      temp20 = op->GetInterpolationTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_GetInterpolationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  int      temp20;
  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuaternionInterpolator::GetInterpolationType();
      }
    else
      {
      temp20 = op->GetInterpolationType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_SetInterpolationTypeToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuaternionInterpolator::SetInterpolationTypeToLinear();
      }
    else
      {
      op->SetInterpolationTypeToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuaternionInterpolator_SetInterpolationTypeToSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuaternionInterpolator *op;

  op = (vtkQuaternionInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuaternionInterpolator::SetInterpolationTypeToSpline();
      }
    else
      {
      op->SetInterpolationTypeToSpline();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkQuaternionInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQuaternionInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQuaternionInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQuaternionInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQuaternionInterpolator\nC++: vtkQuaternionInterpolator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQuaternionInterpolator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQuaternionInterpolator\nC++: vtkQuaternionInterpolator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfQuaternions",                (PyCFunction)PyvtkQuaternionInterpolator_GetNumberOfQuaternions, 1,
   (char*)"V.GetNumberOfQuaternions() -> int\nC++: int GetNumberOfQuaternions ();\n\n Return the number of quaternions in the list of quaternions to be\n interpolated.\n"},
  {(char*)"GetMinimumT",                (PyCFunction)PyvtkQuaternionInterpolator_GetMinimumT, 1,
   (char*)"V.GetMinimumT() -> float\nC++: double GetMinimumT ();\n\n Obtain some information about the interpolation range. The numbers\n returned (corresponding to parameter t, usually thought of as time)\n are undefined if the list of transforms is empty. This is a convenience\n method for interpolation.\n"},
  {(char*)"GetMaximumT",                (PyCFunction)PyvtkQuaternionInterpolator_GetMaximumT, 1,
   (char*)"V.GetMaximumT() -> float\nC++: double GetMaximumT ();\n\n Obtain some information about the interpolation range. The numbers\n returned (corresponding to parameter t, usually thought of as time)\n are undefined if the list of transforms is empty. This is a convenience\n method for interpolation.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkQuaternionInterpolator_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Reset the class so that it contains no data; i.e., the array of (t,q[4])\n information is discarded.\n"},
  {(char*)"AddQuaternion",                (PyCFunction)PyvtkQuaternionInterpolator_AddQuaternion, 1,
   (char*)"V.AddQuaternion(float, (float, float, float, float))\nC++: void AddQuaternion (double t, double q[4]);\n\n Add another quaternion to the list of quaternions to be interpolated.\n Note that using the same time t value more than once replaces the\n previous quaternion at t.  At least one quaternions must be added to\n define an interpolation functios.\n"},
  {(char*)"RemoveQuaternion",                (PyCFunction)PyvtkQuaternionInterpolator_RemoveQuaternion, 1,
   (char*)"V.RemoveQuaternion(float)\nC++: void RemoveQuaternion (double t);\n\n Delete the quaternion at a particular parameter t. If there is no\n quaternion tuple defined at t, then the method does nothing.\n"},
  {(char*)"InterpolateQuaternion",                (PyCFunction)PyvtkQuaternionInterpolator_InterpolateQuaternion, 1,
   (char*)"V.InterpolateQuaternion(float, (float, float, float, float))\nC++: void InterpolateQuaternion (double t, double q[4]);\n\n Interpolate the list of quaternions and determine a new quaternion\n (i.e., fill in the quaternion provided). If t is outside the range of\n (min,max) values, then t is clamped to lie within the range. \n"},
  {(char*)"SetInterpolationType",                (PyCFunction)PyvtkQuaternionInterpolator_SetInterpolationType, 1,
   (char*)"V.SetInterpolationType(int)\nC++: void SetInterpolationType (int );\n\n Specify which type of function to use for interpolation. By default\n (SetInterpolationFunctionToSpline()), cubic spline interpolation using a\n modifed Kochanek basis is employed. Otherwise, if\n SetInterpolationFunctionToLinear() is invoked, linear spherical interpolation\n is used between each pair of quaternions.\n"},
  {(char*)"GetInterpolationTypeMinValue",                (PyCFunction)PyvtkQuaternionInterpolator_GetInterpolationTypeMinValue, 1,
   (char*)"V.GetInterpolationTypeMinValue() -> int\nC++: int GetInterpolationTypeMinValue ();\n\n Specify which type of function to use for interpolation. By default\n (SetInterpolationFunctionToSpline()), cubic spline interpolation using a\n modifed Kochanek basis is employed. Otherwise, if\n SetInterpolationFunctionToLinear() is invoked, linear spherical interpolation\n is used between each pair of quaternions.\n"},
  {(char*)"GetInterpolationTypeMaxValue",                (PyCFunction)PyvtkQuaternionInterpolator_GetInterpolationTypeMaxValue, 1,
   (char*)"V.GetInterpolationTypeMaxValue() -> int\nC++: int GetInterpolationTypeMaxValue ();\n\n Specify which type of function to use for interpolation. By default\n (SetInterpolationFunctionToSpline()), cubic spline interpolation using a\n modifed Kochanek basis is employed. Otherwise, if\n SetInterpolationFunctionToLinear() is invoked, linear spherical interpolation\n is used between each pair of quaternions.\n"},
  {(char*)"GetInterpolationType",                (PyCFunction)PyvtkQuaternionInterpolator_GetInterpolationType, 1,
   (char*)"V.GetInterpolationType() -> int\nC++: int GetInterpolationType ();\n\n Specify which type of function to use for interpolation. By default\n (SetInterpolationFunctionToSpline()), cubic spline interpolation using a\n modifed Kochanek basis is employed. Otherwise, if\n SetInterpolationFunctionToLinear() is invoked, linear spherical interpolation\n is used between each pair of quaternions.\n"},
  {(char*)"SetInterpolationTypeToLinear",                (PyCFunction)PyvtkQuaternionInterpolator_SetInterpolationTypeToLinear, 1,
   (char*)"V.SetInterpolationTypeToLinear()\nC++: void SetInterpolationTypeToLinear ();this SetInterpolationType INTERPOLATION_TYPE_LINEAR \n\n Specify which type of function to use for interpolation. By default\n (SetInterpolationFunctionToSpline()), cubic spline interpolation using a\n modifed Kochanek basis is employed. Otherwise, if\n SetInterpolationFunctionToLinear() is invoked, linear spherical interpolation\n is used between each pair of quaternions.\n"},
  {(char*)"SetInterpolationTypeToSpline",                (PyCFunction)PyvtkQuaternionInterpolator_SetInterpolationTypeToSpline, 1,
   (char*)"V.SetInterpolationTypeToSpline()\nC++: void SetInterpolationTypeToSpline ();this SetInterpolationType INTERPOLATION_TYPE_SPLINE \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQuaternionInterpolatorDoc[] = {
  (char*)"vtkQuaternionInterpolator - interpolate a quaternion\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class is used to interpolate a series of quaternions representing\n the rotations of a 3D object.  The interpolation may be linear in form\n (using spherical linear interpolation SLERP), or via spline interpolation\n (using SQUAD). In either case the interpolation is specialized to\n quaternions since the interpolation occurs on the surface of the unit\n quaternion sphere.\n\n To use this class, sp",
  (char*)"ecify at least two pairs of (t,q[4]) with the\n AddQuaternion() method.  Next interpolate the tuples with the\n InterpolateQuaternion(t,q[4]) method, where \"t\" must be in the range of\n (t_min,t_max) parameter values specified by the AddQuaternion() method (t\n is clamped otherwise), and q[4] is filled in by the method. \n\n There are several important background references. Ken Shoemake described\n the ",
  (char*)"practical application of quaternions for the interpolation of rotation\n (K. Shoemake, \"Animating rotation with quaternion curves\", Computer\n Graphics (Siggraph '85) 19(3):245--254, 1985). Another fine reference\n (available on-line) is E. B. Dam, M. Koch, and M. Lillholm, Technical\n Report DIKU-TR-98/5, Dept. of Computer Science, University of Copenhagen,\n Denmark.\n\n\n",
  "Caveats:\n\n Note that for two or less quaternions, Slerp (linear) interpolation is\n performed even if spline interpolation is requested. Also, the tangents to\n the first and last segments of spline interpolation are (arbitrarily)\n defined by repeating the first and last quaternions.\n\n There are several methods particular to quaternions (norms, products,\n etc.) implemented interior to this class. These may be moved to a separate\n quaternion class at some point.\n\n",
  NULL
};

static vtkObjectBase *vtkQuaternionInterpolatorStaticNew()
{
  return vtkQuaternionInterpolator::New();
}

PyObject *PyVTKClass_vtkQuaternionInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkQuaternionInterpolatorStaticNew,
                        PyvtkQuaternionInterpolatorMethods,
                        (char*)"vtkQuaternionInterpolator",modulename,
                        (char**)vtkQuaternionInterpolatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

