// python wrapper for vtkRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderWindowInteractor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderWindowInteractorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderWindowInteractorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkRenderWindowInteractor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  const char    *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkRenderWindowInteractor  *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderWindowInteractor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderWindowInteractor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_ReInitialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::ReInitialize();
      }
    else
      {
      op->ReInitialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_Start(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::Start();
      }
    else
      {
      op->Start();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_Enable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::Enable();
      }
    else
      {
      op->Enable();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_Disable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::Disable();
      }
    else
      {
      op->Disable();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetEnabled();
      }
    else
      {
      temp20 = op->GetEnabled();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetRenderWindow(temp0);
      }
    else
      {
      op->SetRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkRenderWindow  *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_UpdateSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp1;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::UpdateSize(temp0,temp1);
      }
    else
      {
      op->UpdateSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_CreateTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::CreateTimer(temp0);
      }
    else
      {
      temp20 = op->CreateTimer(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_DestroyTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::DestroyTimer();
      }
    else
      {
      temp20 = op->DestroyTimer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::DestroyTimer(temp0);
      }
    else
      {
      temp20 = op->DestroyTimer(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_CreateRepeatingTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  unsigned long     temp0;
  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::CreateRepeatingTimer(temp0);
      }
    else
      {
      temp20 = op->CreateRepeatingTimer(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_CreateOneShotTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  unsigned long     temp0;
  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::CreateOneShotTimer(temp0);
      }
    else
      {
      temp20 = op->CreateOneShotTimer(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_IsOneShotTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::IsOneShotTimer(temp0);
      }
    else
      {
      temp20 = op->IsOneShotTimer(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetTimerDuration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  unsigned long     temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetTimerDuration(temp0);
      }
    else
      {
      temp20 = op->GetTimerDuration(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  unsigned long     temp20;
  PyErr_Clear();
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetTimerDuration();
      }
    else
      {
      temp20 = op->GetTimerDuration();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_ResetTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::ResetTimer(temp0);
      }
    else
      {
      temp20 = op->ResetTimer(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetVTKTimerId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetVTKTimerId(temp0);
      }
    else
      {
      temp20 = op->GetVTKTimerId(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetTimerDuration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  unsigned long     temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetTimerDuration(temp0);
      }
    else
      {
      op->SetTimerDuration(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetTimerDurationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  unsigned long     temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetTimerDurationMinValue();
      }
    else
      {
      temp20 = op->GetTimerDurationMinValue();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetTimerDurationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  unsigned long     temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetTimerDurationMaxValue();
      }
    else
      {
      temp20 = op->GetTimerDurationMaxValue();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetTimerEventId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetTimerEventId(temp0);
      }
    else
      {
      op->SetTimerEventId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetTimerEventId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetTimerEventId();
      }
    else
      {
      temp20 = op->GetTimerEventId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetTimerEventType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetTimerEventType(temp0);
      }
    else
      {
      op->SetTimerEventType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetTimerEventType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetTimerEventType();
      }
    else
      {
      temp20 = op->GetTimerEventType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetTimerEventDuration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetTimerEventDuration(temp0);
      }
    else
      {
      op->SetTimerEventDuration(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetTimerEventDuration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetTimerEventDuration();
      }
    else
      {
      temp20 = op->GetTimerEventDuration();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetTimerEventPlatformId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetTimerEventPlatformId(temp0);
      }
    else
      {
      op->SetTimerEventPlatformId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetTimerEventPlatformId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetTimerEventPlatformId();
      }
    else
      {
      temp20 = op->GetTimerEventPlatformId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_TerminateApp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::TerminateApp();
      }
    else
      {
      op->TerminateApp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetInteractorStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkInteractorObserver  *temp0;
  PyObject *tempH0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInteractorObserver *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInteractorObserver");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetInteractorStyle(temp0);
      }
    else
      {
      op->SetInteractorStyle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetInteractorStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkInteractorObserver  *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetInteractorStyle();
      }
    else
      {
      temp20 = op->GetInteractorStyle();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetLightFollowCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetLightFollowCamera(temp0);
      }
    else
      {
      op->SetLightFollowCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetLightFollowCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetLightFollowCamera();
      }
    else
      {
      temp20 = op->GetLightFollowCamera();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_LightFollowCameraOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::LightFollowCameraOn();
      }
    else
      {
      op->LightFollowCameraOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_LightFollowCameraOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::LightFollowCameraOff();
      }
    else
      {
      op->LightFollowCameraOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetDesiredUpdateRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  double   temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetDesiredUpdateRate(temp0);
      }
    else
      {
      op->SetDesiredUpdateRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetDesiredUpdateRateMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  double   temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetDesiredUpdateRateMinValue();
      }
    else
      {
      temp20 = op->GetDesiredUpdateRateMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetDesiredUpdateRateMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  double   temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetDesiredUpdateRateMaxValue();
      }
    else
      {
      temp20 = op->GetDesiredUpdateRateMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetDesiredUpdateRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  double   temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetDesiredUpdateRate();
      }
    else
      {
      temp20 = op->GetDesiredUpdateRate();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetStillUpdateRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  double   temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetStillUpdateRate(temp0);
      }
    else
      {
      op->SetStillUpdateRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetStillUpdateRateMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  double   temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetStillUpdateRateMinValue();
      }
    else
      {
      temp20 = op->GetStillUpdateRateMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetStillUpdateRateMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  double   temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetStillUpdateRateMaxValue();
      }
    else
      {
      temp20 = op->GetStillUpdateRateMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetStillUpdateRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  double   temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetStillUpdateRate();
      }
    else
      {
      temp20 = op->GetStillUpdateRate();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetInitialized(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetInitialized();
      }
    else
      {
      temp20 = op->GetInitialized();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetPicker(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkAbstractPicker  *temp0;
  PyObject *tempH0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractPicker *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractPicker");
    if (!temp0 && tempH0 != Py_None) goto break51;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetPicker(temp0);
      }
    else
      {
      op->SetPicker(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break51:
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetPicker(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkAbstractPicker  *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetPicker();
      }
    else
      {
      temp20 = op->GetPicker();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_CreateDefaultPicker(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkAbstractPropPicker  *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::CreateDefaultPicker();
      }
    else
      {
      temp20 = op->CreateDefaultPicker();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_ExitCallback(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::ExitCallback();
      }
    else
      {
      op->ExitCallback();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_UserCallback(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::UserCallback();
      }
    else
      {
      op->UserCallback();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_StartPickCallback(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::StartPickCallback();
      }
    else
      {
      op->StartPickCallback();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_EndPickCallback(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::EndPickCallback();
      }
    else
      {
      op->EndPickCallback();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_HideCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::HideCursor();
      }
    else
      {
      op->HideCursor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_ShowCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::ShowCursor();
      }
    else
      {
      op->ShowCursor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_FlyTo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"Oddd", &tempH0, &temp1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::FlyTo(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->FlyTo(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break61:
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_FlyToImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double   temp1;
  double   temp2;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"Odd", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break62;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::FlyToImage(temp0,temp1,temp2);
      }
    else
      {
      op->FlyToImage(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break62:
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetNumberOfFlyFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetNumberOfFlyFrames(temp0);
      }
    else
      {
      op->SetNumberOfFlyFrames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetNumberOfFlyFramesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetNumberOfFlyFramesMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfFlyFramesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetNumberOfFlyFramesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetNumberOfFlyFramesMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfFlyFramesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetNumberOfFlyFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetNumberOfFlyFrames();
      }
    else
      {
      temp20 = op->GetNumberOfFlyFrames();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetDolly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  double   temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetDolly(temp0);
      }
    else
      {
      op->SetDolly(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetDolly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  double   temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetDolly();
      }
    else
      {
      temp20 = op->GetDolly();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetEventPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int     *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetEventPosition();
      }
    else
      {
      temp20 = op->GetEventPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetLastEventPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int     *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetLastEventPosition();
      }
    else
      {
      temp20 = op->GetLastEventPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetLastEventPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp1;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetLastEventPosition(temp0,temp1);
      }
    else
      {
      op->SetLastEventPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetLastEventPosition(temp0);
      }
    else
      {
      op->SetLastEventPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetEventPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp1;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetEventPosition(temp0,temp1);
      }
    else
      {
      op->SetEventPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetEventPosition(temp0);
      }
    else
      {
      op->SetEventPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetEventPositionFlipY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp1;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetEventPositionFlipY(temp0,temp1);
      }
    else
      {
      op->SetEventPositionFlipY(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetEventPositionFlipY(temp0);
      }
    else
      {
      op->SetEventPositionFlipY(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetAltKey(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetAltKey(temp0);
      }
    else
      {
      op->SetAltKey(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetAltKey(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetAltKey();
      }
    else
      {
      temp20 = op->GetAltKey();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetControlKey(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetControlKey(temp0);
      }
    else
      {
      op->SetControlKey(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetControlKey(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetControlKey();
      }
    else
      {
      temp20 = op->GetControlKey();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetShiftKey(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetShiftKey(temp0);
      }
    else
      {
      op->SetShiftKey(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetShiftKey(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetShiftKey();
      }
    else
      {
      temp20 = op->GetShiftKey();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetKeyCode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  char     temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"c", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetKeyCode(temp0);
      }
    else
      {
      op->SetKeyCode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetKeyCode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  char     temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetKeyCode();
      }
    else
      {
      temp20 = op->GetKeyCode();
      }
    return PyString_FromStringAndSize((char *)&temp20,1);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetRepeatCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetRepeatCount(temp0);
      }
    else
      {
      op->SetRepeatCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetRepeatCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetRepeatCount();
      }
    else
      {
      temp20 = op->GetRepeatCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetKeySym(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  char    *temp0;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetKeySym(temp0);
      }
    else
      {
      op->SetKeySym(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetKeySym(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  char    *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetKeySym();
      }
    else
      {
      temp20 = op->GetKeySym();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetEventInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char     temp4;
  int      temp5;
  char    *temp6;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"iiiiciz", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetEventInformation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      op->SetEventInformation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetEventInformationFlipY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char     temp4;
  int      temp5;
  char    *temp6;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"iiiiciz", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetEventInformationFlipY(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      op->SetEventInformationFlipY(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetKeyEventInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"iiciz", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetKeyEventInformation(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetKeyEventInformation(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp1;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetSize(temp0,temp1);
      }
    else
      {
      op->SetSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetSize(temp0);
      }
    else
      {
      op->SetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int     *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_SetEventSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp1;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetEventSize(temp0,temp1);
      }
    else
      {
      op->SetEventSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowInteractor::SetEventSize(temp0);
      }
    else
      {
      op->SetEventSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetEventSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int     *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetEventSize();
      }
    else
      {
      temp20 = op->GetEventSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_FindPokedRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  int      temp0;
  int      temp1;
  vtkRenderer  *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::FindPokedRenderer(temp0,temp1);
      }
    else
      {
      temp20 = op->FindPokedRenderer(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowInteractor_GetObserverMediator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor *op;

  vtkObserverMediator  *temp20;
  op = (vtkRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowInteractor::GetObserverMediator();
      }
    else
      {
      temp20 = op->GetObserverMediator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRenderWindowInteractorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderWindowInteractor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderWindowInteractor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderWindowInteractor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderWindowInteractor\nC++: vtkRenderWindowInteractor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderWindowInteractor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderWindowInteractor\nC++: vtkRenderWindowInteractor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkRenderWindowInteractor_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Prepare for handling events. This must be called before the\n interactor will work.\n"},
  {(char*)"ReInitialize",                (PyCFunction)PyvtkRenderWindowInteractor_ReInitialize, 1,
   (char*)"V.ReInitialize()\nC++: void ReInitialize ();this Initialized this Enabled this Initialize \n\n This Method detects loops of RenderWindow-Interactor,\n so objects are freed properly.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkRenderWindowInteractor_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n This Method detects loops of RenderWindow-Interactor,\n so objects are freed properly.\n"},
  {(char*)"Start",                (PyCFunction)PyvtkRenderWindowInteractor_Start, 1,
   (char*)"V.Start()\nC++: virtual void Start ();\n\n Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n"},
  {(char*)"Enable",                (PyCFunction)PyvtkRenderWindowInteractor_Enable, 1,
   (char*)"V.Enable()\nC++: virtual void Enable ();this Enabled this Modified \n\n Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n"},
  {(char*)"Disable",                (PyCFunction)PyvtkRenderWindowInteractor_Disable, 1,
   (char*)"V.Disable()\nC++: virtual void Disable ();this Enabled this Modified \n\n Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n"},
  {(char*)"GetEnabled",                (PyCFunction)PyvtkRenderWindowInteractor_GetEnabled, 1,
   (char*)"V.GetEnabled() -> int\nC++: int GetEnabled ();\n\n Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n"},
  {(char*)"SetRenderWindow",                (PyCFunction)PyvtkRenderWindowInteractor_SetRenderWindow, 1,
   (char*)"V.SetRenderWindow(vtkRenderWindow)\nC++: void SetRenderWindow (vtkRenderWindow *aren);\n\n Set/Get the rendering window being controlled by this object.\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkRenderWindowInteractor_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Set/Get the rendering window being controlled by this object.\n"},
  {(char*)"UpdateSize",                (PyCFunction)PyvtkRenderWindowInteractor_UpdateSize, 1,
   (char*)"V.UpdateSize(int, int)\nC++: virtual void UpdateSize (int x, int y);\n\n Event loop notification member for window size change.\n Window size is measured in pixels.\n"},
  {(char*)"CreateTimer",                (PyCFunction)PyvtkRenderWindowInteractor_CreateTimer, 1,
   (char*)"V.CreateTimer(int) -> int\nC++: virtual int CreateTimer (int timerType);\n\n This class provides two groups of methods for manipulating timers.  The\n first group (CreateTimer(timerType) and DestroyTimer()) implicitly use\n an internal timer id (and are present for backward compatibility). The\n second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),\n ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can\n be independently managed. In the first group, the CreateTimer() method\n takes an argument indicating whether the timer is created the first time\n (timerType==VTKI_TIMER_FIRST) or whether it is being reset\n (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this\n was how one shot and repeating timers were managed.) In the second\n group, the create methods take a timer duration argument (in\n milliseconds) and return a timer id. Thus the ResetTimer(timerId) and\n DestroyTimer(timerId) methods take this timer id and operate on the\n timer as appropriate. Methods are also available for deter ...\n [Truncated]\n"},
  {(char*)"DestroyTimer",                (PyCFunction)PyvtkRenderWindowInteractor_DestroyTimer, 1,
   (char*)"V.DestroyTimer() -> int\nC++: virtual int DestroyTimer ();\nV.DestroyTimer(int) -> int\nC++: int DestroyTimer (int timerId);\n\n This class provides two groups of methods for manipulating timers.  The\n first group (CreateTimer(timerType) and DestroyTimer()) implicitly use\n an internal timer id (and are present for backward compatibility). The\n second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),\n ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can\n be independently managed. In the first group, the CreateTimer() method\n takes an argument indicating whether the timer is created the first time\n (timerType==VTKI_TIMER_FIRST) or whether it is being reset\n (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this\n was how one shot and repeating timers were managed.) In the second\n group, the create methods take a timer duration argument (in\n milliseconds) and return a timer id. Thus the ResetTimer(timerId) and\n DestroyTimer(timerId) methods take this timer id and operate on the\n timer as appropriate. Methods are also available for deter ...\n [Truncated]\n"},
  {(char*)"CreateRepeatingTimer",                (PyCFunction)PyvtkRenderWindowInteractor_CreateRepeatingTimer, 1,
   (char*)"V.CreateRepeatingTimer(int) -> int\nC++: int CreateRepeatingTimer (unsigned long duration);\n\n This class provides two groups of methods for manipulating timers.  The\n first group (CreateTimer(timerType) and DestroyTimer()) implicitly use\n an internal timer id (and are present for backward compatibility). The\n second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),\n ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can\n be independently managed. In the first group, the CreateTimer() method\n takes an argument indicating whether the timer is created the first time\n (timerType==VTKI_TIMER_FIRST) or whether it is being reset\n (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this\n was how one shot and repeating timers were managed.) In the second\n group, the create methods take a timer duration argument (in\n milliseconds) and return a timer id. Thus the ResetTimer(timerId) and\n DestroyTimer(timerId) methods take this timer id and operate on the\n timer as appropriate. Methods are also available for deter ...\n [Truncated]\n"},
  {(char*)"CreateOneShotTimer",                (PyCFunction)PyvtkRenderWindowInteractor_CreateOneShotTimer, 1,
   (char*)"V.CreateOneShotTimer(int) -> int\nC++: int CreateOneShotTimer (unsigned long duration);\n\n This class provides two groups of methods for manipulating timers.  The\n first group (CreateTimer(timerType) and DestroyTimer()) implicitly use\n an internal timer id (and are present for backward compatibility). The\n second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),\n ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can\n be independently managed. In the first group, the CreateTimer() method\n takes an argument indicating whether the timer is created the first time\n (timerType==VTKI_TIMER_FIRST) or whether it is being reset\n (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this\n was how one shot and repeating timers were managed.) In the second\n group, the create methods take a timer duration argument (in\n milliseconds) and return a timer id. Thus the ResetTimer(timerId) and\n DestroyTimer(timerId) methods take this timer id and operate on the\n timer as appropriate. Methods are also available for deter ...\n [Truncated]\n"},
  {(char*)"IsOneShotTimer",                (PyCFunction)PyvtkRenderWindowInteractor_IsOneShotTimer, 1,
   (char*)"V.IsOneShotTimer(int) -> int\nC++: int IsOneShotTimer (int timerId);\n\n This class provides two groups of methods for manipulating timers.  The\n first group (CreateTimer(timerType) and DestroyTimer()) implicitly use\n an internal timer id (and are present for backward compatibility). The\n second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),\n ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can\n be independently managed. In the first group, the CreateTimer() method\n takes an argument indicating whether the timer is created the first time\n (timerType==VTKI_TIMER_FIRST) or whether it is being reset\n (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this\n was how one shot and repeating timers were managed.) In the second\n group, the create methods take a timer duration argument (in\n milliseconds) and return a timer id. Thus the ResetTimer(timerId) and\n DestroyTimer(timerId) methods take this timer id and operate on the\n timer as appropriate. Methods are also available for deter ...\n [Truncated]\n"},
  {(char*)"GetTimerDuration",                (PyCFunction)PyvtkRenderWindowInteractor_GetTimerDuration, 1,
   (char*)"V.GetTimerDuration(int) -> int\nC++: unsigned long GetTimerDuration (int timerId);\nV.GetTimerDuration() -> int\nC++: long unsigned GetTimerDuration ();\n\n This class provides two groups of methods for manipulating timers.  The\n first group (CreateTimer(timerType) and DestroyTimer()) implicitly use\n an internal timer id (and are present for backward compatibility). The\n second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),\n ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can\n be independently managed. In the first group, the CreateTimer() method\n takes an argument indicating whether the timer is created the first time\n (timerType==VTKI_TIMER_FIRST) or whether it is being reset\n (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this\n was how one shot and repeating timers were managed.) In the second\n group, the create methods take a timer duration argument (in\n milliseconds) and return a timer id. Thus the ResetTimer(timerId) and\n DestroyTimer(timerId) methods take this timer id and operate on the\n timer as appropriate. Methods are also available for deter ...\n [Truncated]\n"},
  {(char*)"ResetTimer",                (PyCFunction)PyvtkRenderWindowInteractor_ResetTimer, 1,
   (char*)"V.ResetTimer(int) -> int\nC++: int ResetTimer (int timerId);\n\n This class provides two groups of methods for manipulating timers.  The\n first group (CreateTimer(timerType) and DestroyTimer()) implicitly use\n an internal timer id (and are present for backward compatibility). The\n second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),\n ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can\n be independently managed. In the first group, the CreateTimer() method\n takes an argument indicating whether the timer is created the first time\n (timerType==VTKI_TIMER_FIRST) or whether it is being reset\n (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this\n was how one shot and repeating timers were managed.) In the second\n group, the create methods take a timer duration argument (in\n milliseconds) and return a timer id. Thus the ResetTimer(timerId) and\n DestroyTimer(timerId) methods take this timer id and operate on the\n timer as appropriate. Methods are also available for deter ...\n [Truncated]\n"},
  {(char*)"GetVTKTimerId",                (PyCFunction)PyvtkRenderWindowInteractor_GetVTKTimerId, 1,
   (char*)"V.GetVTKTimerId(int) -> int\nC++: virtual int GetVTKTimerId (int platformTimerId);\n\n This class provides two groups of methods for manipulating timers.  The\n first group (CreateTimer(timerType) and DestroyTimer()) implicitly use\n an internal timer id (and are present for backward compatibility). The\n second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),\n ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can\n be independently managed. In the first group, the CreateTimer() method\n takes an argument indicating whether the timer is created the first time\n (timerType==VTKI_TIMER_FIRST) or whether it is being reset\n (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this\n was how one shot and repeating timers were managed.) In the second\n group, the create methods take a timer duration argument (in\n milliseconds) and return a timer id. Thus the ResetTimer(timerId) and\n DestroyTimer(timerId) methods take this timer id and operate on the\n timer as appropriate. Methods are also available for deter ...\n [Truncated]\n"},
  {(char*)"SetTimerDuration",                (PyCFunction)PyvtkRenderWindowInteractor_SetTimerDuration, 1,
   (char*)"V.SetTimerDuration(int)\nC++: void SetTimerDuration (unsigned long );\n\n Specify the default timer interval (in milliseconds). (This is used in\n conjunction with the timer methods described previously, e.g.,\n CreateTimer() uses this value; and CreateRepeatingTimer(duration) and\n CreateOneShotTimer(duration) use the default value if the parameter\n \"duration\" is less than or equal to zero.) Care must be taken when\n adjusting the timer interval from the default value of 10\n milliseconds--it may adversely affect the interactors.\n"},
  {(char*)"GetTimerDurationMinValue",                (PyCFunction)PyvtkRenderWindowInteractor_GetTimerDurationMinValue, 1,
   (char*)"V.GetTimerDurationMinValue() -> int\nC++: unsigned GetTimerDurationMinValue ();\n\n Specify the default timer interval (in milliseconds). (This is used in\n conjunction with the timer methods described previously, e.g.,\n CreateTimer() uses this value; and CreateRepeatingTimer(duration) and\n CreateOneShotTimer(duration) use the default value if the parameter\n \"duration\" is less than or equal to zero.) Care must be taken when\n adjusting the timer interval from the default value of 10\n milliseconds--it may adversely affect the interactors.\n"},
  {(char*)"GetTimerDurationMaxValue",                (PyCFunction)PyvtkRenderWindowInteractor_GetTimerDurationMaxValue, 1,
   (char*)"V.GetTimerDurationMaxValue() -> int\nC++: unsigned GetTimerDurationMaxValue ();\n\n Specify the default timer interval (in milliseconds). (This is used in\n conjunction with the timer methods described previously, e.g.,\n CreateTimer() uses this value; and CreateRepeatingTimer(duration) and\n CreateOneShotTimer(duration) use the default value if the parameter\n \"duration\" is less than or equal to zero.) Care must be taken when\n adjusting the timer interval from the default value of 10\n milliseconds--it may adversely affect the interactors.\n"},
  {(char*)"SetTimerEventId",                (PyCFunction)PyvtkRenderWindowInteractor_SetTimerEventId, 1,
   (char*)"V.SetTimerEventId(int)\nC++: void SetTimerEventId (int );\n\n These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent should\n simply destroy the platform specific timer created by CreateTimerEvent.\n See vtkGenericRenderWindowInteractor's InternalCreateTimer and\n InternalDestroyTimer for an example.\n"},
  {(char*)"GetTimerEventId",                (PyCFunction)PyvtkRenderWindowInteractor_GetTimerEventId, 1,
   (char*)"V.GetTimerEventId() -> int\nC++: int GetTimerEventId ();\n\n These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent should\n simply destroy the platform specific timer created by CreateTimerEvent.\n See vtkGenericRenderWindowInteractor's InternalCreateTimer and\n InternalDestroyTimer for an example.\n"},
  {(char*)"SetTimerEventType",                (PyCFunction)PyvtkRenderWindowInteractor_SetTimerEventType, 1,
   (char*)"V.SetTimerEventType(int)\nC++: void SetTimerEventType (int );\n\n These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent should\n simply destroy the platform specific timer created by CreateTimerEvent.\n See vtkGenericRenderWindowInteractor's InternalCreateTimer and\n InternalDestroyTimer for an example.\n"},
  {(char*)"GetTimerEventType",                (PyCFunction)PyvtkRenderWindowInteractor_GetTimerEventType, 1,
   (char*)"V.GetTimerEventType() -> int\nC++: int GetTimerEventType ();\n\n These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent should\n simply destroy the platform specific timer created by CreateTimerEvent.\n See vtkGenericRenderWindowInteractor's InternalCreateTimer and\n InternalDestroyTimer for an example.\n"},
  {(char*)"SetTimerEventDuration",                (PyCFunction)PyvtkRenderWindowInteractor_SetTimerEventDuration, 1,
   (char*)"V.SetTimerEventDuration(int)\nC++: void SetTimerEventDuration (int );\n\n These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent should\n simply destroy the platform specific timer created by CreateTimerEvent.\n See vtkGenericRenderWindowInteractor's InternalCreateTimer and\n InternalDestroyTimer for an example.\n"},
  {(char*)"GetTimerEventDuration",                (PyCFunction)PyvtkRenderWindowInteractor_GetTimerEventDuration, 1,
   (char*)"V.GetTimerEventDuration() -> int\nC++: int GetTimerEventDuration ();\n\n These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent should\n simply destroy the platform specific timer created by CreateTimerEvent.\n See vtkGenericRenderWindowInteractor's InternalCreateTimer and\n InternalDestroyTimer for an example.\n"},
  {(char*)"SetTimerEventPlatformId",                (PyCFunction)PyvtkRenderWindowInteractor_SetTimerEventPlatformId, 1,
   (char*)"V.SetTimerEventPlatformId(int)\nC++: void SetTimerEventPlatformId (int );\n\n These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent should\n simply destroy the platform specific timer created by CreateTimerEvent.\n See vtkGenericRenderWindowInteractor's InternalCreateTimer and\n InternalDestroyTimer for an example.\n"},
  {(char*)"GetTimerEventPlatformId",                (PyCFunction)PyvtkRenderWindowInteractor_GetTimerEventPlatformId, 1,
   (char*)"V.GetTimerEventPlatformId() -> int\nC++: int GetTimerEventPlatformId ();\n\n These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent should\n simply destroy the platform specific timer created by CreateTimerEvent.\n See vtkGenericRenderWindowInteractor's InternalCreateTimer and\n InternalDestroyTimer for an example.\n"},
  {(char*)"TerminateApp",                (PyCFunction)PyvtkRenderWindowInteractor_TerminateApp, 1,
   (char*)"V.TerminateApp()\nC++: virtual void TerminateApp (void );\n\n External switching between joystick/trackball/new? modes. Initial value\n is a vtkInteractorStyleSwitch object.\n"},
  {(char*)"SetInteractorStyle",                (PyCFunction)PyvtkRenderWindowInteractor_SetInteractorStyle, 1,
   (char*)"V.SetInteractorStyle(vtkInteractorObserver)\nC++: virtual void SetInteractorStyle (vtkInteractorObserver *);\n\n External switching between joystick/trackball/new? modes. Initial value\n is a vtkInteractorStyleSwitch object.\n"},
  {(char*)"GetInteractorStyle",                (PyCFunction)PyvtkRenderWindowInteractor_GetInteractorStyle, 1,
   (char*)"V.GetInteractorStyle() -> vtkInteractorObserver\nC++: vtkInteractorObserver *GetInteractorStyle ();\n\n External switching between joystick/trackball/new? modes. Initial value\n is a vtkInteractorStyleSwitch object.\n"},
  {(char*)"SetLightFollowCamera",                (PyCFunction)PyvtkRenderWindowInteractor_SetLightFollowCamera, 1,
   (char*)"V.SetLightFollowCamera(int)\nC++: void SetLightFollowCamera (int );\n\n Turn on/off the automatic repositioning of lights as the camera moves.\n"},
  {(char*)"GetLightFollowCamera",                (PyCFunction)PyvtkRenderWindowInteractor_GetLightFollowCamera, 1,
   (char*)"V.GetLightFollowCamera() -> int\nC++: int GetLightFollowCamera ();\n\n Turn on/off the automatic repositioning of lights as the camera moves.\n"},
  {(char*)"LightFollowCameraOn",                (PyCFunction)PyvtkRenderWindowInteractor_LightFollowCameraOn, 1,
   (char*)"V.LightFollowCameraOn()\nC++: void LightFollowCameraOn ();\n\n Turn on/off the automatic repositioning of lights as the camera moves.\n"},
  {(char*)"LightFollowCameraOff",                (PyCFunction)PyvtkRenderWindowInteractor_LightFollowCameraOff, 1,
   (char*)"V.LightFollowCameraOff()\nC++: void LightFollowCameraOff ();\n\n Turn on/off the automatic repositioning of lights as the camera moves.\n"},
  {(char*)"SetDesiredUpdateRate",                (PyCFunction)PyvtkRenderWindowInteractor_SetDesiredUpdateRate, 1,
   (char*)"V.SetDesiredUpdateRate(float)\nC++: void SetDesiredUpdateRate (double );\n\n Set/Get the desired update rate. This is used by vtkLODActor's to tell\n them how quickly they need to render.  This update is in effect only\n when the camera is being rotated, or zoomed.  When the interactor is\n still, the StillUpdateRate is used instead.\n"},
  {(char*)"GetDesiredUpdateRateMinValue",                (PyCFunction)PyvtkRenderWindowInteractor_GetDesiredUpdateRateMinValue, 1,
   (char*)"V.GetDesiredUpdateRateMinValue() -> float\nC++: double GetDesiredUpdateRateMinValue ();\n\n Set/Get the desired update rate. This is used by vtkLODActor's to tell\n them how quickly they need to render.  This update is in effect only\n when the camera is being rotated, or zoomed.  When the interactor is\n still, the StillUpdateRate is used instead.\n"},
  {(char*)"GetDesiredUpdateRateMaxValue",                (PyCFunction)PyvtkRenderWindowInteractor_GetDesiredUpdateRateMaxValue, 1,
   (char*)"V.GetDesiredUpdateRateMaxValue() -> float\nC++: double GetDesiredUpdateRateMaxValue ();\n\n Set/Get the desired update rate. This is used by vtkLODActor's to tell\n them how quickly they need to render.  This update is in effect only\n when the camera is being rotated, or zoomed.  When the interactor is\n still, the StillUpdateRate is used instead.\n"},
  {(char*)"GetDesiredUpdateRate",                (PyCFunction)PyvtkRenderWindowInteractor_GetDesiredUpdateRate, 1,
   (char*)"V.GetDesiredUpdateRate() -> float\nC++: double GetDesiredUpdateRate ();\n\n Set/Get the desired update rate. This is used by vtkLODActor's to tell\n them how quickly they need to render.  This update is in effect only\n when the camera is being rotated, or zoomed.  When the interactor is\n still, the StillUpdateRate is used instead.\n"},
  {(char*)"SetStillUpdateRate",                (PyCFunction)PyvtkRenderWindowInteractor_SetStillUpdateRate, 1,
   (char*)"V.SetStillUpdateRate(float)\nC++: void SetStillUpdateRate (double );\n\n Set/Get the desired update rate when movement has stopped.\n See the SetDesiredUpdateRate method.\n"},
  {(char*)"GetStillUpdateRateMinValue",                (PyCFunction)PyvtkRenderWindowInteractor_GetStillUpdateRateMinValue, 1,
   (char*)"V.GetStillUpdateRateMinValue() -> float\nC++: double GetStillUpdateRateMinValue ();\n\n Set/Get the desired update rate when movement has stopped.\n See the SetDesiredUpdateRate method.\n"},
  {(char*)"GetStillUpdateRateMaxValue",                (PyCFunction)PyvtkRenderWindowInteractor_GetStillUpdateRateMaxValue, 1,
   (char*)"V.GetStillUpdateRateMaxValue() -> float\nC++: double GetStillUpdateRateMaxValue ();\n\n Set/Get the desired update rate when movement has stopped.\n See the SetDesiredUpdateRate method.\n"},
  {(char*)"GetStillUpdateRate",                (PyCFunction)PyvtkRenderWindowInteractor_GetStillUpdateRate, 1,
   (char*)"V.GetStillUpdateRate() -> float\nC++: double GetStillUpdateRate ();\n\n Set/Get the desired update rate when movement has stopped.\n See the SetDesiredUpdateRate method.\n"},
  {(char*)"GetInitialized",                (PyCFunction)PyvtkRenderWindowInteractor_GetInitialized, 1,
   (char*)"V.GetInitialized() -> int\nC++: int GetInitialized ();\n\n See whether interactor has been initialized yet.\n"},
  {(char*)"SetPicker",                (PyCFunction)PyvtkRenderWindowInteractor_SetPicker, 1,
   (char*)"V.SetPicker(vtkAbstractPicker)\nC++: virtual void SetPicker (vtkAbstractPicker *);\n\n Set/Get the object used to perform pick operations. In order to\n pick instances of vtkProp, the picker must be a subclass of \n vtkAbstractPropPicker, meaning that it can identify a particular \n instance of vtkProp.\n"},
  {(char*)"GetPicker",                (PyCFunction)PyvtkRenderWindowInteractor_GetPicker, 1,
   (char*)"V.GetPicker() -> vtkAbstractPicker\nC++: vtkAbstractPicker *GetPicker ();\n\n Set/Get the object used to perform pick operations. In order to\n pick instances of vtkProp, the picker must be a subclass of \n vtkAbstractPropPicker, meaning that it can identify a particular \n instance of vtkProp.\n"},
  {(char*)"CreateDefaultPicker",                (PyCFunction)PyvtkRenderWindowInteractor_CreateDefaultPicker, 1,
   (char*)"V.CreateDefaultPicker() -> vtkAbstractPropPicker\nC++: virtual vtkAbstractPropPicker *CreateDefaultPicker ();\n\n Create default picker. Used to create one when none is specified.\n Default is an instance of vtkPropPicker.\n"},
  {(char*)"ExitCallback",                (PyCFunction)PyvtkRenderWindowInteractor_ExitCallback, 1,
   (char*)"V.ExitCallback()\nC++: virtual void ExitCallback ();\n\n These methods correspond to the the Exit, User and Pick\n callbacks. They allow for the Style to invoke them.\n"},
  {(char*)"UserCallback",                (PyCFunction)PyvtkRenderWindowInteractor_UserCallback, 1,
   (char*)"V.UserCallback()\nC++: virtual void UserCallback ();\n\n These methods correspond to the the Exit, User and Pick\n callbacks. They allow for the Style to invoke them.\n"},
  {(char*)"StartPickCallback",                (PyCFunction)PyvtkRenderWindowInteractor_StartPickCallback, 1,
   (char*)"V.StartPickCallback()\nC++: virtual void StartPickCallback ();\n\n These methods correspond to the the Exit, User and Pick\n callbacks. They allow for the Style to invoke them.\n"},
  {(char*)"EndPickCallback",                (PyCFunction)PyvtkRenderWindowInteractor_EndPickCallback, 1,
   (char*)"V.EndPickCallback()\nC++: virtual void EndPickCallback ();\n\n These methods correspond to the the Exit, User and Pick\n callbacks. They allow for the Style to invoke them.\n"},
  {(char*)"HideCursor",                (PyCFunction)PyvtkRenderWindowInteractor_HideCursor, 1,
   (char*)"V.HideCursor()\nC++: void HideCursor ();\n\n Hide or show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n"},
  {(char*)"ShowCursor",                (PyCFunction)PyvtkRenderWindowInteractor_ShowCursor, 1,
   (char*)"V.ShowCursor()\nC++: void ShowCursor ();\n\n Hide or show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkRenderWindowInteractor_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render ();\n\n Render the scene. Just pass the render call on to the \n associated vtkRenderWindow.\n"},
  {(char*)"FlyTo",                (PyCFunction)PyvtkRenderWindowInteractor_FlyTo, 1,
   (char*)"V.FlyTo(vtkRenderer, float, float, float)\nC++: void FlyTo (vtkRenderer *ren, double x, double y, double z);\n\n Given a position x, move the current camera's focal point to x.\n The movement is animated over the number of frames specified in\n NumberOfFlyFrames. The LOD desired frame rate is used.\n"},
  {(char*)"FlyToImage",                (PyCFunction)PyvtkRenderWindowInteractor_FlyToImage, 1,
   (char*)"V.FlyToImage(vtkRenderer, float, float)\nC++: void FlyToImage (vtkRenderer *ren, double x, double y);\n\n Given a position x, move the current camera's focal point to x.\n The movement is animated over the number of frames specified in\n NumberOfFlyFrames. The LOD desired frame rate is used.\n"},
  {(char*)"SetNumberOfFlyFrames",                (PyCFunction)PyvtkRenderWindowInteractor_SetNumberOfFlyFrames, 1,
   (char*)"V.SetNumberOfFlyFrames(int)\nC++: void SetNumberOfFlyFrames (int );\n\n Set the number of frames to fly to when FlyTo is invoked.\n"},
  {(char*)"GetNumberOfFlyFramesMinValue",                (PyCFunction)PyvtkRenderWindowInteractor_GetNumberOfFlyFramesMinValue, 1,
   (char*)"V.GetNumberOfFlyFramesMinValue() -> int\nC++: int GetNumberOfFlyFramesMinValue ();\n\n Set the number of frames to fly to when FlyTo is invoked.\n"},
  {(char*)"GetNumberOfFlyFramesMaxValue",                (PyCFunction)PyvtkRenderWindowInteractor_GetNumberOfFlyFramesMaxValue, 1,
   (char*)"V.GetNumberOfFlyFramesMaxValue() -> int\nC++: int GetNumberOfFlyFramesMaxValue ();\n\n Set the number of frames to fly to when FlyTo is invoked.\n"},
  {(char*)"GetNumberOfFlyFrames",                (PyCFunction)PyvtkRenderWindowInteractor_GetNumberOfFlyFrames, 1,
   (char*)"V.GetNumberOfFlyFrames() -> int\nC++: int GetNumberOfFlyFrames ();\n\n Set the number of frames to fly to when FlyTo is invoked.\n"},
  {(char*)"SetDolly",                (PyCFunction)PyvtkRenderWindowInteractor_SetDolly, 1,
   (char*)"V.SetDolly(float)\nC++: void SetDolly (double );\n\n Set the total Dolly value to use when flying to (FlyTo()) a\n specified point. Negative values fly away from the point.\n"},
  {(char*)"GetDolly",                (PyCFunction)PyvtkRenderWindowInteractor_GetDolly, 1,
   (char*)"V.GetDolly() -> float\nC++: double GetDolly ();\n\n Set the total Dolly value to use when flying to (FlyTo()) a\n specified point. Negative values fly away from the point.\n"},
  {(char*)"GetEventPosition",                (PyCFunction)PyvtkRenderWindowInteractor_GetEventPosition, 1,
   (char*)"V.GetEventPosition() -> (int, int)\nC++: int  *GetEventPosition ();\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"GetLastEventPosition",                (PyCFunction)PyvtkRenderWindowInteractor_GetLastEventPosition, 1,
   (char*)"V.GetLastEventPosition() -> (int, int)\nC++: int  *GetLastEventPosition ();\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"SetLastEventPosition",                (PyCFunction)PyvtkRenderWindowInteractor_SetLastEventPosition, 1,
   (char*)"V.SetLastEventPosition(int, int)\nC++: void SetLastEventPosition (int , int );\nV.SetLastEventPosition((int, int))\nC++: void SetLastEventPosition (int  a[2]);\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"SetEventPosition",                (PyCFunction)PyvtkRenderWindowInteractor_SetEventPosition, 1,
   (char*)"V.SetEventPosition(int, int)\nC++: virtual void SetEventPosition (int x, int y);vtkDebugMacro this GetClassName this x y if this EventPosition x this EventPosition y this LastEventPosition this EventPosition this LastEventPosition this EventPosition this EventPosition x this EventPosition y this Modified \nV.SetEventPosition((int, int))\nC++: virtual void SetEventPosition (int pos[2]);this SetEventPosition pos pos \n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"SetEventPositionFlipY",                (PyCFunction)PyvtkRenderWindowInteractor_SetEventPositionFlipY, 1,
   (char*)"V.SetEventPositionFlipY(int, int)\nC++: virtual void SetEventPositionFlipY (int x, int y);this SetEventPosition x this Size y \nV.SetEventPositionFlipY((int, int))\nC++: virtual void SetEventPositionFlipY (int pos[2]);this SetEventPositionFlipY pos pos \n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"SetAltKey",                (PyCFunction)PyvtkRenderWindowInteractor_SetAltKey, 1,
   (char*)"V.SetAltKey(int)\nC++: void SetAltKey (int );\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"GetAltKey",                (PyCFunction)PyvtkRenderWindowInteractor_GetAltKey, 1,
   (char*)"V.GetAltKey() -> int\nC++: int GetAltKey ();\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"SetControlKey",                (PyCFunction)PyvtkRenderWindowInteractor_SetControlKey, 1,
   (char*)"V.SetControlKey(int)\nC++: void SetControlKey (int );\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"GetControlKey",                (PyCFunction)PyvtkRenderWindowInteractor_GetControlKey, 1,
   (char*)"V.GetControlKey() -> int\nC++: int GetControlKey ();\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"SetShiftKey",                (PyCFunction)PyvtkRenderWindowInteractor_SetShiftKey, 1,
   (char*)"V.SetShiftKey(int)\nC++: void SetShiftKey (int );\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"GetShiftKey",                (PyCFunction)PyvtkRenderWindowInteractor_GetShiftKey, 1,
   (char*)"V.GetShiftKey() -> int\nC++: int GetShiftKey ();\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"SetKeyCode",                (PyCFunction)PyvtkRenderWindowInteractor_SetKeyCode, 1,
   (char*)"V.SetKeyCode(char)\nC++: void SetKeyCode (char );\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"GetKeyCode",                (PyCFunction)PyvtkRenderWindowInteractor_GetKeyCode, 1,
   (char*)"V.GetKeyCode() -> char\nC++: char GetKeyCode ();\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"SetRepeatCount",                (PyCFunction)PyvtkRenderWindowInteractor_SetRepeatCount, 1,
   (char*)"V.SetRepeatCount(int)\nC++: void SetRepeatCount (int );\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"GetRepeatCount",                (PyCFunction)PyvtkRenderWindowInteractor_GetRepeatCount, 1,
   (char*)"V.GetRepeatCount() -> int\nC++: int GetRepeatCount ();\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"SetKeySym",                (PyCFunction)PyvtkRenderWindowInteractor_SetKeySym, 1,
   (char*)"V.SetKeySym(string)\nC++: void SetKeySym (char *);\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"GetKeySym",                (PyCFunction)PyvtkRenderWindowInteractor_GetKeySym, 1,
   (char*)"V.GetKeySym() -> string\nC++: char *GetKeySym ();\n\n Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n"},
  {(char*)"SetEventInformation",                (PyCFunction)PyvtkRenderWindowInteractor_SetEventInformation, 1,
   (char*)"V.SetEventInformation(int, int, int, int, char, int, string)\nC++: void SetEventInformation (int x, int y, int ctrl, int shift, char keycode, int repeatcount, const char *keysym);this LastEventPosition this EventPosition this LastEventPosition this EventPosition this EventPosition x this EventPosition y this ControlKey ctrl this ShiftKey shift this KeyCode keycode this RepeatCount repeatcount if keysym this SetKeySym keysym this Modified \n\n Calls SetEventInformation, but flips the Y based on the current Size[1] \n value (i.e. y = this->Size[1] - y - 1).\n"},
  {(char*)"SetEventInformationFlipY",                (PyCFunction)PyvtkRenderWindowInteractor_SetEventInformationFlipY, 1,
   (char*)"V.SetEventInformationFlipY(int, int, int, int, char, int, string)\nC++: void SetEventInformationFlipY (int x, int y, int ctrl, int shift, char keycode, int repeatcount, const char *keysym);this SetEventInformation x this Size y ctrl shift keycode repeatcount keysym \n\n Set all the keyboard-related event information in one call.\n"},
  {(char*)"SetKeyEventInformation",                (PyCFunction)PyvtkRenderWindowInteractor_SetKeyEventInformation, 1,
   (char*)"V.SetKeyEventInformation(int, int, char, int, string)\nC++: void SetKeyEventInformation (int ctrl, int shift, char keycode, int repeatcount, const char *keysym);this ControlKey ctrl this ShiftKey shift this KeyCode keycode this RepeatCount repeatcount if keysym this SetKeySym keysym this Modified \n\n This methods sets the Size ivar of the interactor without\n actually changing the size of the window. Normally\n application programmers would use UpdateSize if anything.\n This is useful for letting someone else change the size of\n the rendering window and just letting the interactor\n know about the change.\n The current event width/height (if any) is in EventSize \n (Expose event, for example).\n Window size is measured in pixels.\n"},
  {(char*)"SetSize",                (PyCFunction)PyvtkRenderWindowInteractor_SetSize, 1,
   (char*)"V.SetSize(int, int)\nC++: void SetSize (int , int );\nV.SetSize((int, int))\nC++: void SetSize (int  a[2]);\n\n This methods sets the Size ivar of the interactor without\n actually changing the size of the window. Normally\n application programmers would use UpdateSize if anything.\n This is useful for letting someone else change the size of\n the rendering window and just letting the interactor\n know about the change.\n The current event width/height (if any) is in EventSize \n (Expose event, for example).\n Window size is measured in pixels.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkRenderWindowInteractor_GetSize, 1,
   (char*)"V.GetSize() -> (int, int)\nC++: int  *GetSize ();\n\n This methods sets the Size ivar of the interactor without\n actually changing the size of the window. Normally\n application programmers would use UpdateSize if anything.\n This is useful for letting someone else change the size of\n the rendering window and just letting the interactor\n know about the change.\n The current event width/height (if any) is in EventSize \n (Expose event, for example).\n Window size is measured in pixels.\n"},
  {(char*)"SetEventSize",                (PyCFunction)PyvtkRenderWindowInteractor_SetEventSize, 1,
   (char*)"V.SetEventSize(int, int)\nC++: void SetEventSize (int , int );\nV.SetEventSize((int, int))\nC++: void SetEventSize (int  a[2]);\n\n This methods sets the Size ivar of the interactor without\n actually changing the size of the window. Normally\n application programmers would use UpdateSize if anything.\n This is useful for letting someone else change the size of\n the rendering window and just letting the interactor\n know about the change.\n The current event width/height (if any) is in EventSize \n (Expose event, for example).\n Window size is measured in pixels.\n"},
  {(char*)"GetEventSize",                (PyCFunction)PyvtkRenderWindowInteractor_GetEventSize, 1,
   (char*)"V.GetEventSize() -> (int, int)\nC++: int  *GetEventSize ();\n\n This methods sets the Size ivar of the interactor without\n actually changing the size of the window. Normally\n application programmers would use UpdateSize if anything.\n This is useful for letting someone else change the size of\n the rendering window and just letting the interactor\n know about the change.\n The current event width/height (if any) is in EventSize \n (Expose event, for example).\n Window size is measured in pixels.\n"},
  {(char*)"FindPokedRenderer",                (PyCFunction)PyvtkRenderWindowInteractor_FindPokedRenderer, 1,
   (char*)"V.FindPokedRenderer(int, int) -> vtkRenderer\nC++: virtual vtkRenderer *FindPokedRenderer (int , int );\n\n When an event occurs, we must determine which Renderer the event\n occurred within, since one RenderWindow may contain multiple\n renderers.\n"},
  {(char*)"GetObserverMediator",                (PyCFunction)PyvtkRenderWindowInteractor_GetObserverMediator, 1,
   (char*)"V.GetObserverMediator() -> vtkObserverMediator\nC++: vtkObserverMediator *GetObserverMediator ();\n\n Return the object used to mediate between vtkInteractorObservers\n contending for resources. Multiple interactor observers will often\n request different resources (e.g., cursor shape); the mediator uses a\n strategy to provide the resource based on priority of the observer plus\n the particular request (default versus non-default cursor shape).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderWindowInteractorDoc[] = {
  (char*)"vtkRenderWindowInteractor - platform-independent render window interaction including picking and frame rate control.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkRenderWindowInteractor provides a platform-independent interaction\n mechanism for mouse/key/time events. It serves as a base class for\n platform-dependent implementations that handle routing of mouse/key/timer\n messages to vtkInteractorObserver and its subclasses. vtkRenderWindowInteractor \n also provides controls for picking, rendering frame rate, and headlights.\n\n vtkRenderWindowInteractor h",
  (char*)"as changed from previous implementations and\n now serves only as a shell to hold user preferences and route messages to\n vtkInteractorStyle. Callbacks are available for many events.  Platform\n specific subclasses should provide methods for manipulating timers,\n TerminateApp, and an event loop if required via\n Initialize/Start/Enable/Disable.\n\n",
  "Caveats:\n\n vtkRenderWindowInteractor routes events through VTK's command/observer\n design pattern. That is, when vtkRenderWindowInteractor (actually, one of\n its subclasses) sees a platform-dependent event, it translates this into\n a VTK event using the InvokeEvent() method. Then any vtkInteractorObservers\n registered for that event are expected to respond as appropriate.\n\n",
  "See Also:\n\n vtkInteractorObserver\n\n",
  NULL
};

static vtkObjectBase *vtkRenderWindowInteractorStaticNew()
{
  return vtkRenderWindowInteractor::New();
}

PyObject *PyVTKClass_vtkRenderWindowInteractorNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderWindowInteractorStaticNew,
                        PyvtkRenderWindowInteractorMethods,
                        (char*)"vtkRenderWindowInteractor",modulename,
                        (char**)vtkRenderWindowInteractorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

