// python wrapper for vtkRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderWindow.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderWindowNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderWindowNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWindowNew(char *); }

static PyObject *PyvtkRenderWindow_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  const char    *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  vtkRenderWindow  *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderWindow  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderWindow::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderWindow_AddRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::AddRenderer(temp0);
      }
    else
      {
      op->AddRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkRenderWindow_RemoveRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::RemoveRenderer(temp0);
      }
    else
      {
      op->RemoveRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkRenderWindow_HasRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::HasRenderer(temp0);
      }
    else
      {
      temp20 = op->HasRenderer(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetRenderLibrary(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkRenderWindow::GetRenderLibrary();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetRenderers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  vtkRendererCollection  *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetRenderers();
      }
    else
      {
      temp20 = op->GetRenderers();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_Start(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Start();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_Finalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Finalize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_Frame(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Frame();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_CopyResultFrame(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::CopyResultFrame();
      }
    else
      {
      op->CopyResultFrame();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_MakeRenderWindowInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  vtkRenderWindowInteractor  *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::MakeRenderWindowInteractor();
      }
    else
      {
      temp20 = op->MakeRenderWindowInteractor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_HideCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->HideCursor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_ShowCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->ShowCursor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetCursorPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  int      temp1;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetCursorPosition(temp0,temp1);
      }
    else
      {
      op->SetCursorPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetCurrentCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetCurrentCursor(temp0);
      }
    else
      {
      op->SetCurrentCursor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetCurrentCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetCurrentCursor();
      }
    else
      {
      temp20 = op->GetCurrentCursor();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetFullScreen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetFullScreen(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetFullScreen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetFullScreen();
      }
    else
      {
      temp20 = op->GetFullScreen();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_FullScreenOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::FullScreenOn();
      }
    else
      {
      op->FullScreenOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_FullScreenOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::FullScreenOff();
      }
    else
      {
      op->FullScreenOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetBorders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetBorders(temp0);
      }
    else
      {
      op->SetBorders(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetBorders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetBorders();
      }
    else
      {
      temp20 = op->GetBorders();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_BordersOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::BordersOn();
      }
    else
      {
      op->BordersOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_BordersOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::BordersOff();
      }
    else
      {
      op->BordersOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetStereoCapableWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetStereoCapableWindow();
      }
    else
      {
      temp20 = op->GetStereoCapableWindow();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_StereoCapableWindowOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::StereoCapableWindowOn();
      }
    else
      {
      op->StereoCapableWindowOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_StereoCapableWindowOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::StereoCapableWindowOff();
      }
    else
      {
      op->StereoCapableWindowOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetStereoCapableWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetStereoCapableWindow(temp0);
      }
    else
      {
      op->SetStereoCapableWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetStereoRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetStereoRender();
      }
    else
      {
      temp20 = op->GetStereoRender();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetStereoRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetStereoRender(temp0);
      }
    else
      {
      op->SetStereoRender(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_StereoRenderOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::StereoRenderOn();
      }
    else
      {
      op->StereoRenderOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_StereoRenderOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::StereoRenderOff();
      }
    else
      {
      op->StereoRenderOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetAlphaBitPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetAlphaBitPlanes(temp0);
      }
    else
      {
      op->SetAlphaBitPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetAlphaBitPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetAlphaBitPlanes();
      }
    else
      {
      temp20 = op->GetAlphaBitPlanes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_AlphaBitPlanesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::AlphaBitPlanesOn();
      }
    else
      {
      op->AlphaBitPlanesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_AlphaBitPlanesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::AlphaBitPlanesOff();
      }
    else
      {
      op->AlphaBitPlanesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetPointSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetPointSmoothing(temp0);
      }
    else
      {
      op->SetPointSmoothing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetPointSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetPointSmoothing();
      }
    else
      {
      temp20 = op->GetPointSmoothing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_PointSmoothingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::PointSmoothingOn();
      }
    else
      {
      op->PointSmoothingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_PointSmoothingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::PointSmoothingOff();
      }
    else
      {
      op->PointSmoothingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetLineSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetLineSmoothing(temp0);
      }
    else
      {
      op->SetLineSmoothing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetLineSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetLineSmoothing();
      }
    else
      {
      temp20 = op->GetLineSmoothing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_LineSmoothingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::LineSmoothingOn();
      }
    else
      {
      op->LineSmoothingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_LineSmoothingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::LineSmoothingOff();
      }
    else
      {
      op->LineSmoothingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetPolygonSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetPolygonSmoothing(temp0);
      }
    else
      {
      op->SetPolygonSmoothing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetPolygonSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetPolygonSmoothing();
      }
    else
      {
      temp20 = op->GetPolygonSmoothing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_PolygonSmoothingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::PolygonSmoothingOn();
      }
    else
      {
      op->PolygonSmoothingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_PolygonSmoothingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::PolygonSmoothingOff();
      }
    else
      {
      op->PolygonSmoothingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetStereoType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetStereoType();
      }
    else
      {
      temp20 = op->GetStereoType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetStereoType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetStereoType(temp0);
      }
    else
      {
      op->SetStereoType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetStereoTypeToCrystalEyes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetStereoTypeToCrystalEyes();
      }
    else
      {
      op->SetStereoTypeToCrystalEyes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetStereoTypeToRedBlue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetStereoTypeToRedBlue();
      }
    else
      {
      op->SetStereoTypeToRedBlue();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetStereoTypeToInterlaced(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetStereoTypeToInterlaced();
      }
    else
      {
      op->SetStereoTypeToInterlaced();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetStereoTypeToLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetStereoTypeToLeft();
      }
    else
      {
      op->SetStereoTypeToLeft();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetStereoTypeToRight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetStereoTypeToRight();
      }
    else
      {
      op->SetStereoTypeToRight();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetStereoTypeToDresden(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetStereoTypeToDresden();
      }
    else
      {
      op->SetStereoTypeToDresden();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetStereoTypeToAnaglyph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetStereoTypeToAnaglyph();
      }
    else
      {
      op->SetStereoTypeToAnaglyph();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetStereoTypeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  const char    *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetStereoTypeAsString();
      }
    else
      {
      temp20 = op->GetStereoTypeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_StereoUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::StereoUpdate();
      }
    else
      {
      op->StereoUpdate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_StereoMidpoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::StereoMidpoint();
      }
    else
      {
      op->StereoMidpoint();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_StereoRenderComplete(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::StereoRenderComplete();
      }
    else
      {
      op->StereoRenderComplete();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetAnaglyphColorSaturation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  float    temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetAnaglyphColorSaturation(temp0);
      }
    else
      {
      op->SetAnaglyphColorSaturation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetAnaglyphColorSaturationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  float    temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetAnaglyphColorSaturationMinValue();
      }
    else
      {
      temp20 = op->GetAnaglyphColorSaturationMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetAnaglyphColorSaturationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  float    temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetAnaglyphColorSaturationMaxValue();
      }
    else
      {
      temp20 = op->GetAnaglyphColorSaturationMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetAnaglyphColorSaturation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  float    temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetAnaglyphColorSaturation();
      }
    else
      {
      temp20 = op->GetAnaglyphColorSaturation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetAnaglyphColorMask(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  int      temp1;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetAnaglyphColorMask(temp0,temp1);
      }
    else
      {
      op->SetAnaglyphColorMask(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetAnaglyphColorMask(temp0);
      }
    else
      {
      op->SetAnaglyphColorMask(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetAnaglyphColorMask(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int     *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetAnaglyphColorMask();
      }
    else
      {
      temp20 = op->GetAnaglyphColorMask();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_WindowRemap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->WindowRemap();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetSwapBuffers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetSwapBuffers(temp0);
      }
    else
      {
      op->SetSwapBuffers(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetSwapBuffers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetSwapBuffers();
      }
    else
      {
      temp20 = op->GetSwapBuffers();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SwapBuffersOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SwapBuffersOn();
      }
    else
      {
      op->SwapBuffersOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SwapBuffersOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SwapBuffersOff();
      }
    else
      {
      op->SwapBuffersOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  PyObject *tempH4;
  int      temp5;
  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiOi", &temp0, &temp1, &temp2, &temp3, &tempH4, &temp5);
  if (op)
    {
    temp4 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkUnsignedCharArray");
    if (!temp4 && tempH4 != Py_None) goto break77;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break77:
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetRGBAPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkFloatArray  *temp5;
  PyObject *tempH5;
  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiiO", &temp0, &temp1, &temp2, &temp3, &temp4, &tempH5);
  if (op)
    {
    temp5 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkFloatArray");
    if (!temp5 && tempH5 != Py_None) goto break78;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break78:
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetRGBAPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  PyObject *tempH4;
  int      temp5;
  int      temp6;
  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiOii", &temp0, &temp1, &temp2, &temp3, &tempH4, &temp5, &temp6);
  if (op)
    {
    temp4 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkFloatArray");
    if (!temp4 && tempH4 != Py_None) goto break79;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break79:
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetRGBACharPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  PyObject *tempH5;
  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiiO", &temp0, &temp1, &temp2, &temp3, &temp4, &tempH5);
  if (op)
    {
    temp5 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkUnsignedCharArray");
    if (!temp5 && tempH5 != Py_None) goto break80;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break80:
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetRGBACharPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  PyObject *tempH4;
  int      temp5;
  int      temp6;
  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiOii", &temp0, &temp1, &temp2, &temp3, &tempH4, &temp5, &temp6);
  if (op)
    {
    temp4 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkUnsignedCharArray");
    if (!temp4 && tempH4 != Py_None) goto break81;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break81:
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetZbufferData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  PyObject *tempH4;
  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiO", &temp0, &temp1, &temp2, &temp3, &tempH4);
  if (op)
    {
    temp4 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkFloatArray");
    if (!temp4 && tempH4 != Py_None) goto break82;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break82:
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetZbufferData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  PyObject *tempH4;
  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiO", &temp0, &temp1, &temp2, &temp3, &tempH4);
  if (op)
    {
    temp4 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkFloatArray");
    if (!temp4 && tempH4 != Py_None) goto break83;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break83:
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetZbufferDataAtPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  int      temp1;
  float    temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetZbufferDataAtPoint(temp0,temp1);
      }
    else
      {
      temp20 = op->GetZbufferDataAtPoint(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetAAFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetAAFrames();
      }
    else
      {
      temp20 = op->GetAAFrames();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetAAFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetAAFrames(temp0);
      }
    else
      {
      op->SetAAFrames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetFDFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetFDFrames();
      }
    else
      {
      temp20 = op->GetFDFrames();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetFDFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetFDFrames(temp0);
      }
    else
      {
      op->SetFDFrames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetSubFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetSubFrames();
      }
    else
      {
      temp20 = op->GetSubFrames();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetSubFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetSubFrames(temp0);
      }
    else
      {
      op->SetSubFrames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetNeverRendered(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetNeverRendered();
      }
    else
      {
      temp20 = op->GetNeverRendered();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetAbortRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetAbortRender();
      }
    else
      {
      temp20 = op->GetAbortRender();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetAbortRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetAbortRender(temp0);
      }
    else
      {
      op->SetAbortRender(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetInAbortCheck(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetInAbortCheck();
      }
    else
      {
      temp20 = op->GetInAbortCheck();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetInAbortCheck(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetInAbortCheck(temp0);
      }
    else
      {
      op->SetInAbortCheck(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_CheckAbortStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::CheckAbortStatus();
      }
    else
      {
      temp20 = op->CheckAbortStatus();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetIsPicking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetIsPicking();
      }
    else
      {
      temp20 = op->GetIsPicking();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetIsPicking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetIsPicking(temp0);
      }
    else
      {
      op->SetIsPicking(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_IsPickingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::IsPickingOn();
      }
    else
      {
      op->IsPickingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_IsPickingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::IsPickingOff();
      }
    else
      {
      op->IsPickingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetEventPending(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetEventPending();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_CheckInRenderStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::CheckInRenderStatus();
      }
    else
      {
      temp20 = op->CheckInRenderStatus();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_ClearInRenderStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::ClearInRenderStatus();
      }
    else
      {
      op->ClearInRenderStatus();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetDesiredUpdateRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  double   temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetDesiredUpdateRate(temp0);
      }
    else
      {
      op->SetDesiredUpdateRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetDesiredUpdateRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  double   temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetDesiredUpdateRate();
      }
    else
      {
      temp20 = op->GetDesiredUpdateRate();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetNumberOfLayers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetNumberOfLayers();
      }
    else
      {
      temp20 = op->GetNumberOfLayers();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetNumberOfLayers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetNumberOfLayers(temp0);
      }
    else
      {
      op->SetNumberOfLayers(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetNumberOfLayersMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetNumberOfLayersMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfLayersMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetNumberOfLayersMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetNumberOfLayersMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfLayersMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  vtkRenderWindowInteractor  *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetInteractor();
      }
    else
      {
      temp20 = op->GetInteractor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break111;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetInteractor(temp0);
      }
    else
      {
      op->SetInteractor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break111:
  return NULL;
}


static PyObject *PyvtkRenderWindow_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break112;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break112:
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetDisplayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  void    *temp0;
  int      size0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetDisplayId in vtkRenderWindow was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetDisplayId in vtkRenderWindow was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetDisplayId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetWindowId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  void    *temp0;
  int      size0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetWindowId in vtkRenderWindow was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetWindowId in vtkRenderWindow was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetWindowId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetNextWindowId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  void    *temp0;
  int      size0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetNextWindowId in vtkRenderWindow was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetNextWindowId in vtkRenderWindow was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetNextWindowId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetParentId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  void    *temp0;
  int      size0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetParentId in vtkRenderWindow was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetParentId in vtkRenderWindow was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetParentId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetGenericDisplayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  void    *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGenericDisplayId();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetGenericWindowId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  void    *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGenericWindowId();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetGenericParentId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  void    *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGenericParentId();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetGenericContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  void    *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGenericContext();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetGenericDrawable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  void    *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGenericDrawable();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetWindowInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  char    *temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetWindowInfo(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetNextWindowInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  char    *temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetNextWindowInfo(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetParentInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  char    *temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetParentInfo(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_MakeCurrent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->MakeCurrent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetForceMakeCurrent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetForceMakeCurrent();
      }
    else
      {
      op->SetForceMakeCurrent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_ReportCapabilities(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  const char    *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::ReportCapabilities();
      }
    else
      {
      temp20 = op->ReportCapabilities();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SupportsOpenGL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::SupportsOpenGL();
      }
    else
      {
      temp20 = op->SupportsOpenGL();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_IsDirect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::IsDirect();
      }
    else
      {
      temp20 = op->IsDirect();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetDepthBufferSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDepthBufferSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetPainterDeviceAdapter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  vtkPainterDeviceAdapter  *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetPainterDeviceAdapter();
      }
    else
      {
      temp20 = op->GetPainterDeviceAdapter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetMultiSamples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetMultiSamples(temp0);
      }
    else
      {
      op->SetMultiSamples(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetMultiSamples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetMultiSamples();
      }
    else
      {
      temp20 = op->GetMultiSamples();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetStencilCapable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetStencilCapable(temp0);
      }
    else
      {
      op->SetStencilCapable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetStencilCapable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetStencilCapable();
      }
    else
      {
      temp20 = op->GetStencilCapable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_StencilCapableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::StencilCapableOn();
      }
    else
      {
      op->StencilCapableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_StencilCapableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::StencilCapableOff();
      }
    else
      {
      op->StencilCapableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_SetReportGraphicErrors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp0;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::SetReportGraphicErrors(temp0);
      }
    else
      {
      op->SetReportGraphicErrors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetReportGraphicErrors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindow::GetReportGraphicErrors();
      }
    else
      {
      temp20 = op->GetReportGraphicErrors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_ReportGraphicErrorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::ReportGraphicErrorsOn();
      }
    else
      {
      op->ReportGraphicErrorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_ReportGraphicErrorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindow::ReportGraphicErrorsOff();
      }
    else
      {
      op->ReportGraphicErrorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_CheckGraphicError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->CheckGraphicError();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_HasGraphicError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  int      temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->HasGraphicError();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindow_GetLastGraphicErrorString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow *op;

  const char    *temp20;
  op = (vtkRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetLastGraphicErrorString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRenderWindowMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderWindow_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderWindow_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderWindow_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderWindow\nC++: vtkRenderWindow *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderWindow_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderWindow\nC++: vtkRenderWindow *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddRenderer",                (PyCFunction)PyvtkRenderWindow_AddRenderer, 1,
   (char*)"V.AddRenderer(vtkRenderer)\nC++: virtual void AddRenderer (vtkRenderer *);\n\n Add a renderer to the list of renderers.\n"},
  {(char*)"RemoveRenderer",                (PyCFunction)PyvtkRenderWindow_RemoveRenderer, 1,
   (char*)"V.RemoveRenderer(vtkRenderer)\nC++: void RemoveRenderer (vtkRenderer *);\n\n Remove a renderer from the list of renderers.\n"},
  {(char*)"HasRenderer",                (PyCFunction)PyvtkRenderWindow_HasRenderer, 1,
   (char*)"V.HasRenderer(vtkRenderer) -> int\nC++: int HasRenderer (vtkRenderer *);\n\n Query if a renderer is in the list of renderers.\n"},
  {(char*)"GetRenderLibrary",                (PyCFunction)PyvtkRenderWindow_GetRenderLibrary, 1,
   (char*)"V.GetRenderLibrary() -> string\nC++: static const char *GetRenderLibrary ();\n\n What rendering library has the user requested\n"},
  {(char*)"GetRenderers",                (PyCFunction)PyvtkRenderWindow_GetRenderers, 1,
   (char*)"V.GetRenderers() -> vtkRendererCollection\nC++: vtkRendererCollection *GetRenderers ();return this Renderers \n\n Return the collection of renderers in the render window.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkRenderWindow_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render ();\n\n Ask each renderer owned by this RenderWindow to render its image and\n synchronize this process.\n"},
  {(char*)"Start",                (PyCFunction)PyvtkRenderWindow_Start, 1,
   (char*)"V.Start()\nC++: virtual void Start () = 0;\n\n Initialize the rendering process.\n"},
  {(char*)"Finalize",                (PyCFunction)PyvtkRenderWindow_Finalize, 1,
   (char*)"V.Finalize()\nC++: virtual void Finalize () = 0;\n\n Finalize the rendering process.\n"},
  {(char*)"Frame",                (PyCFunction)PyvtkRenderWindow_Frame, 1,
   (char*)"V.Frame()\nC++: virtual void Frame () = 0;\n\n A termination method performed at the end of the rendering process\n to do things like swapping buffers (if necessary) or similar actions.\n"},
  {(char*)"CopyResultFrame",                (PyCFunction)PyvtkRenderWindow_CopyResultFrame, 1,
   (char*)"V.CopyResultFrame()\nC++: virtual void CopyResultFrame ();\n\n Performed at the end of the rendering process to generate image.\n This is typically done right before swapping buffers.\n"},
  {(char*)"MakeRenderWindowInteractor",                (PyCFunction)PyvtkRenderWindow_MakeRenderWindowInteractor, 1,
   (char*)"V.MakeRenderWindowInteractor() -> vtkRenderWindowInteractor\nC++: virtual vtkRenderWindowInteractor *MakeRenderWindowInteractor ();\n\n Create an interactor to control renderers in this window. We need\n to know what type of interactor to create, because we might be in\n X Windows or MS Windows.\n"},
  {(char*)"HideCursor",                (PyCFunction)PyvtkRenderWindow_HideCursor, 1,
   (char*)"V.HideCursor()\nC++: virtual void HideCursor () = 0;\n\n Hide or Show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n Set cursor position in window (note that (0,0) is the lower left\n corner).\n"},
  {(char*)"ShowCursor",                (PyCFunction)PyvtkRenderWindow_ShowCursor, 1,
   (char*)"V.ShowCursor()\nC++: virtual void ShowCursor () = 0;\n\n Hide or Show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n Set cursor position in window (note that (0,0) is the lower left\n corner).\n"},
  {(char*)"SetCursorPosition",                (PyCFunction)PyvtkRenderWindow_SetCursorPosition, 1,
   (char*)"V.SetCursorPosition(int, int)\nC++: virtual void SetCursorPosition (int , int );\n\n Hide or Show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n Set cursor position in window (note that (0,0) is the lower left\n corner).\n"},
  {(char*)"SetCurrentCursor",                (PyCFunction)PyvtkRenderWindow_SetCurrentCursor, 1,
   (char*)"V.SetCurrentCursor(int)\nC++: void SetCurrentCursor (int );\n\n Change the shape of the cursor.\n"},
  {(char*)"GetCurrentCursor",                (PyCFunction)PyvtkRenderWindow_GetCurrentCursor, 1,
   (char*)"V.GetCurrentCursor() -> int\nC++: int GetCurrentCursor ();\n\n Change the shape of the cursor.\n"},
  {(char*)"SetFullScreen",                (PyCFunction)PyvtkRenderWindow_SetFullScreen, 1,
   (char*)"V.SetFullScreen(int)\nC++: virtual void SetFullScreen (int ) = 0;\n\n Turn on/off rendering full screen window size.\n"},
  {(char*)"GetFullScreen",                (PyCFunction)PyvtkRenderWindow_GetFullScreen, 1,
   (char*)"V.GetFullScreen() -> int\nC++: int GetFullScreen ();\n\n Turn on/off rendering full screen window size.\n"},
  {(char*)"FullScreenOn",                (PyCFunction)PyvtkRenderWindow_FullScreenOn, 1,
   (char*)"V.FullScreenOn()\nC++: void FullScreenOn ();\n\n Turn on/off rendering full screen window size.\n"},
  {(char*)"FullScreenOff",                (PyCFunction)PyvtkRenderWindow_FullScreenOff, 1,
   (char*)"V.FullScreenOff()\nC++: void FullScreenOff ();\n\n Turn on/off rendering full screen window size.\n"},
  {(char*)"SetBorders",                (PyCFunction)PyvtkRenderWindow_SetBorders, 1,
   (char*)"V.SetBorders(int)\nC++: void SetBorders (int );\n\n Turn on/off window manager borders. Typically, you shouldn't turn the\n borders off, because that bypasses the window manager and can cause\n undesirable behavior.\n"},
  {(char*)"GetBorders",                (PyCFunction)PyvtkRenderWindow_GetBorders, 1,
   (char*)"V.GetBorders() -> int\nC++: int GetBorders ();\n\n Turn on/off window manager borders. Typically, you shouldn't turn the\n borders off, because that bypasses the window manager and can cause\n undesirable behavior.\n"},
  {(char*)"BordersOn",                (PyCFunction)PyvtkRenderWindow_BordersOn, 1,
   (char*)"V.BordersOn()\nC++: void BordersOn ();\n\n Turn on/off window manager borders. Typically, you shouldn't turn the\n borders off, because that bypasses the window manager and can cause\n undesirable behavior.\n"},
  {(char*)"BordersOff",                (PyCFunction)PyvtkRenderWindow_BordersOff, 1,
   (char*)"V.BordersOff()\nC++: void BordersOff ();\n\n Turn on/off window manager borders. Typically, you shouldn't turn the\n borders off, because that bypasses the window manager and can cause\n undesirable behavior.\n"},
  {(char*)"GetStereoCapableWindow",                (PyCFunction)PyvtkRenderWindow_GetStereoCapableWindow, 1,
   (char*)"V.GetStereoCapableWindow() -> int\nC++: int GetStereoCapableWindow ();\n\n Prescribe that the window be created in a stereo-capable mode. This\n method must be called before the window is realized. Default is off.\n"},
  {(char*)"StereoCapableWindowOn",                (PyCFunction)PyvtkRenderWindow_StereoCapableWindowOn, 1,
   (char*)"V.StereoCapableWindowOn()\nC++: void StereoCapableWindowOn ();\n\n Prescribe that the window be created in a stereo-capable mode. This\n method must be called before the window is realized. Default is off.\n"},
  {(char*)"StereoCapableWindowOff",                (PyCFunction)PyvtkRenderWindow_StereoCapableWindowOff, 1,
   (char*)"V.StereoCapableWindowOff()\nC++: void StereoCapableWindowOff ();\n\n Prescribe that the window be created in a stereo-capable mode. This\n method must be called before the window is realized. Default is off.\n"},
  {(char*)"SetStereoCapableWindow",                (PyCFunction)PyvtkRenderWindow_SetStereoCapableWindow, 1,
   (char*)"V.SetStereoCapableWindow(int)\nC++: virtual void SetStereoCapableWindow (int capable);\n\n Prescribe that the window be created in a stereo-capable mode. This\n method must be called before the window is realized. Default is off.\n"},
  {(char*)"GetStereoRender",                (PyCFunction)PyvtkRenderWindow_GetStereoRender, 1,
   (char*)"V.GetStereoRender() -> int\nC++: int GetStereoRender ();\n\n Turn on/off stereo rendering.\n"},
  {(char*)"SetStereoRender",                (PyCFunction)PyvtkRenderWindow_SetStereoRender, 1,
   (char*)"V.SetStereoRender(int)\nC++: void SetStereoRender (int stereo);\n\n Turn on/off stereo rendering.\n"},
  {(char*)"StereoRenderOn",                (PyCFunction)PyvtkRenderWindow_StereoRenderOn, 1,
   (char*)"V.StereoRenderOn()\nC++: void StereoRenderOn ();\n\n Turn on/off stereo rendering.\n"},
  {(char*)"StereoRenderOff",                (PyCFunction)PyvtkRenderWindow_StereoRenderOff, 1,
   (char*)"V.StereoRenderOff()\nC++: void StereoRenderOff ();\n\n Turn on/off stereo rendering.\n"},
  {(char*)"SetAlphaBitPlanes",                (PyCFunction)PyvtkRenderWindow_SetAlphaBitPlanes, 1,
   (char*)"V.SetAlphaBitPlanes(int)\nC++: void SetAlphaBitPlanes (int );\n\n Turn on/off the use of alpha bitplanes.\n"},
  {(char*)"GetAlphaBitPlanes",                (PyCFunction)PyvtkRenderWindow_GetAlphaBitPlanes, 1,
   (char*)"V.GetAlphaBitPlanes() -> int\nC++: int GetAlphaBitPlanes ();\n\n Turn on/off the use of alpha bitplanes.\n"},
  {(char*)"AlphaBitPlanesOn",                (PyCFunction)PyvtkRenderWindow_AlphaBitPlanesOn, 1,
   (char*)"V.AlphaBitPlanesOn()\nC++: void AlphaBitPlanesOn ();\n\n Turn on/off the use of alpha bitplanes.\n"},
  {(char*)"AlphaBitPlanesOff",                (PyCFunction)PyvtkRenderWindow_AlphaBitPlanesOff, 1,
   (char*)"V.AlphaBitPlanesOff()\nC++: void AlphaBitPlanesOff ();\n\n Turn on/off the use of alpha bitplanes.\n"},
  {(char*)"SetPointSmoothing",                (PyCFunction)PyvtkRenderWindow_SetPointSmoothing, 1,
   (char*)"V.SetPointSmoothing(int)\nC++: void SetPointSmoothing (int );\n\n Turn on/off point smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"GetPointSmoothing",                (PyCFunction)PyvtkRenderWindow_GetPointSmoothing, 1,
   (char*)"V.GetPointSmoothing() -> int\nC++: int GetPointSmoothing ();\n\n Turn on/off point smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"PointSmoothingOn",                (PyCFunction)PyvtkRenderWindow_PointSmoothingOn, 1,
   (char*)"V.PointSmoothingOn()\nC++: void PointSmoothingOn ();\n\n Turn on/off point smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"PointSmoothingOff",                (PyCFunction)PyvtkRenderWindow_PointSmoothingOff, 1,
   (char*)"V.PointSmoothingOff()\nC++: void PointSmoothingOff ();\n\n Turn on/off point smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"SetLineSmoothing",                (PyCFunction)PyvtkRenderWindow_SetLineSmoothing, 1,
   (char*)"V.SetLineSmoothing(int)\nC++: void SetLineSmoothing (int );\n\n Turn on/off line smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"GetLineSmoothing",                (PyCFunction)PyvtkRenderWindow_GetLineSmoothing, 1,
   (char*)"V.GetLineSmoothing() -> int\nC++: int GetLineSmoothing ();\n\n Turn on/off line smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"LineSmoothingOn",                (PyCFunction)PyvtkRenderWindow_LineSmoothingOn, 1,
   (char*)"V.LineSmoothingOn()\nC++: void LineSmoothingOn ();\n\n Turn on/off line smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"LineSmoothingOff",                (PyCFunction)PyvtkRenderWindow_LineSmoothingOff, 1,
   (char*)"V.LineSmoothingOff()\nC++: void LineSmoothingOff ();\n\n Turn on/off line smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"SetPolygonSmoothing",                (PyCFunction)PyvtkRenderWindow_SetPolygonSmoothing, 1,
   (char*)"V.SetPolygonSmoothing(int)\nC++: void SetPolygonSmoothing (int );\n\n Turn on/off polygon smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"GetPolygonSmoothing",                (PyCFunction)PyvtkRenderWindow_GetPolygonSmoothing, 1,
   (char*)"V.GetPolygonSmoothing() -> int\nC++: int GetPolygonSmoothing ();\n\n Turn on/off polygon smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"PolygonSmoothingOn",                (PyCFunction)PyvtkRenderWindow_PolygonSmoothingOn, 1,
   (char*)"V.PolygonSmoothingOn()\nC++: void PolygonSmoothingOn ();\n\n Turn on/off polygon smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"PolygonSmoothingOff",                (PyCFunction)PyvtkRenderWindow_PolygonSmoothingOff, 1,
   (char*)"V.PolygonSmoothingOff()\nC++: void PolygonSmoothingOff ();\n\n Turn on/off polygon smoothing. Default is off.\n This must be applied before the first Render.\n"},
  {(char*)"GetStereoType",                (PyCFunction)PyvtkRenderWindow_GetStereoType, 1,
   (char*)"V.GetStereoType() -> int\nC++: int GetStereoType ();\n\n Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the default colors for Anaglyph\n mode is red-cyan.  Interlaced stereo mode produces a composite\n image where horizontal lines alternate between left and right\n views.  StereoLeft and StereoRight modes choose one or the other\n stereo view.  Dresden mode is yet another stereoscopic\n interleaving.\n"},
  {(char*)"SetStereoType",                (PyCFunction)PyvtkRenderWindow_SetStereoType, 1,
   (char*)"V.SetStereoType(int)\nC++: void SetStereoType (int );\n\n Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the default colors for Anaglyph\n mode is red-cyan.  Interlaced stereo mode produces a composite\n image where horizontal lines alternate between left and right\n views.  StereoLeft and StereoRight modes choose one or the other\n stereo view.  Dresden mode is yet another stereoscopic\n interleaving.\n"},
  {(char*)"SetStereoTypeToCrystalEyes",                (PyCFunction)PyvtkRenderWindow_SetStereoTypeToCrystalEyes, 1,
   (char*)"V.SetStereoTypeToCrystalEyes()\nC++: void SetStereoTypeToCrystalEyes ();this SetStereoType VTK_STEREO_CRYSTAL_EYES \n\n Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the default colors for Anaglyph\n mode is red-cyan.  Interlaced stereo mode produces a composite\n image where horizontal lines alternate between left and right\n views.  StereoLeft and StereoRight modes choose one or the other\n stereo view.  Dresden mode is yet another stereoscopic\n interleaving.\n"},
  {(char*)"SetStereoTypeToRedBlue",                (PyCFunction)PyvtkRenderWindow_SetStereoTypeToRedBlue, 1,
   (char*)"V.SetStereoTypeToRedBlue()\nC++: void SetStereoTypeToRedBlue ();this SetStereoType VTK_STEREO_RED_BLUE \n\n Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the default colors for Anaglyph\n mode is red-cyan.  Interlaced stereo mode produces a composite\n image where horizontal lines alternate between left and right\n views.  StereoLeft and StereoRight modes choose one or the other\n stereo view.  Dresden mode is yet another stereoscopic\n interleaving.\n"},
  {(char*)"SetStereoTypeToInterlaced",                (PyCFunction)PyvtkRenderWindow_SetStereoTypeToInterlaced, 1,
   (char*)"V.SetStereoTypeToInterlaced()\nC++: void SetStereoTypeToInterlaced ();this SetStereoType VTK_STEREO_INTERLACED \n\n Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the default colors for Anaglyph\n mode is red-cyan.  Interlaced stereo mode produces a composite\n image where horizontal lines alternate between left and right\n views.  StereoLeft and StereoRight modes choose one or the other\n stereo view.  Dresden mode is yet another stereoscopic\n interleaving.\n"},
  {(char*)"SetStereoTypeToLeft",                (PyCFunction)PyvtkRenderWindow_SetStereoTypeToLeft, 1,
   (char*)"V.SetStereoTypeToLeft()\nC++: void SetStereoTypeToLeft ();this SetStereoType VTK_STEREO_LEFT \n\n Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the default colors for Anaglyph\n mode is red-cyan.  Interlaced stereo mode produces a composite\n image where horizontal lines alternate between left and right\n views.  StereoLeft and StereoRight modes choose one or the other\n stereo view.  Dresden mode is yet another stereoscopic\n interleaving.\n"},
  {(char*)"SetStereoTypeToRight",                (PyCFunction)PyvtkRenderWindow_SetStereoTypeToRight, 1,
   (char*)"V.SetStereoTypeToRight()\nC++: void SetStereoTypeToRight ();this SetStereoType VTK_STEREO_RIGHT \n\n Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the default colors for Anaglyph\n mode is red-cyan.  Interlaced stereo mode produces a composite\n image where horizontal lines alternate between left and right\n views.  StereoLeft and StereoRight modes choose one or the other\n stereo view.  Dresden mode is yet another stereoscopic\n interleaving.\n"},
  {(char*)"SetStereoTypeToDresden",                (PyCFunction)PyvtkRenderWindow_SetStereoTypeToDresden, 1,
   (char*)"V.SetStereoTypeToDresden()\nC++: void SetStereoTypeToDresden ();this SetStereoType VTK_STEREO_DRESDEN \n\n Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the default colors for Anaglyph\n mode is red-cyan.  Interlaced stereo mode produces a composite\n image where horizontal lines alternate between left and right\n views.  StereoLeft and StereoRight modes choose one or the other\n stereo view.  Dresden mode is yet another stereoscopic\n interleaving.\n"},
  {(char*)"SetStereoTypeToAnaglyph",                (PyCFunction)PyvtkRenderWindow_SetStereoTypeToAnaglyph, 1,
   (char*)"V.SetStereoTypeToAnaglyph()\nC++: void SetStereoTypeToAnaglyph ();this SetStereoType VTK_STEREO_ANAGLYPH \n\n Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the default colors for Anaglyph\n mode is red-cyan.  Interlaced stereo mode produces a composite\n image where horizontal lines alternate between left and right\n views.  StereoLeft and StereoRight modes choose one or the other\n stereo view.  Dresden mode is yet another stereoscopic\n interleaving.\n"},
  {(char*)"GetStereoTypeAsString",                (PyCFunction)PyvtkRenderWindow_GetStereoTypeAsString, 1,
   (char*)"V.GetStereoTypeAsString() -> string\nC++: const char *GetStereoTypeAsString ();\n\n Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the default colors for Anaglyph\n mode is red-cyan.  Interlaced stereo mode produces a composite\n image where horizontal lines alternate between left and right\n views.  StereoLeft and StereoRight modes choose one or the other\n stereo view.  Dresden mode is yet another stereoscopic\n interleaving.\n"},
  {(char*)"StereoUpdate",                (PyCFunction)PyvtkRenderWindow_StereoUpdate, 1,
   (char*)"V.StereoUpdate()\nC++: virtual void StereoUpdate ();\n\n Update the system, if needed, due to stereo rendering. For some stereo\n methods, subclasses might need to switch some hardware settings here.\n"},
  {(char*)"StereoMidpoint",                (PyCFunction)PyvtkRenderWindow_StereoMidpoint, 1,
   (char*)"V.StereoMidpoint()\nC++: virtual void StereoMidpoint ();\n\n Intermediate method performs operations required between the rendering\n of the left and right eye.\n"},
  {(char*)"StereoRenderComplete",                (PyCFunction)PyvtkRenderWindow_StereoRenderComplete, 1,
   (char*)"V.StereoRenderComplete()\nC++: virtual void StereoRenderComplete ();\n\n Handles work required once both views have been rendered when using\n stereo rendering.\n"},
  {(char*)"SetAnaglyphColorSaturation",                (PyCFunction)PyvtkRenderWindow_SetAnaglyphColorSaturation, 1,
   (char*)"V.SetAnaglyphColorSaturation(float)\nC++: void SetAnaglyphColorSaturation (float );\n\n"},
  {(char*)"GetAnaglyphColorSaturationMinValue",                (PyCFunction)PyvtkRenderWindow_GetAnaglyphColorSaturationMinValue, 1,
   (char*)"V.GetAnaglyphColorSaturationMinValue() -> float\nC++: float GetAnaglyphColorSaturationMinValue ();\n\n"},
  {(char*)"GetAnaglyphColorSaturationMaxValue",                (PyCFunction)PyvtkRenderWindow_GetAnaglyphColorSaturationMaxValue, 1,
   (char*)"V.GetAnaglyphColorSaturationMaxValue() -> float\nC++: float GetAnaglyphColorSaturationMaxValue ();\n\n"},
  {(char*)"GetAnaglyphColorSaturation",                (PyCFunction)PyvtkRenderWindow_GetAnaglyphColorSaturation, 1,
   (char*)"V.GetAnaglyphColorSaturation() -> float\nC++: float GetAnaglyphColorSaturation ();\n\n"},
  {(char*)"SetAnaglyphColorMask",                (PyCFunction)PyvtkRenderWindow_SetAnaglyphColorMask, 1,
   (char*)"V.SetAnaglyphColorMask(int, int)\nC++: void SetAnaglyphColorMask (int , int );\nV.SetAnaglyphColorMask((int, int))\nC++: void SetAnaglyphColorMask (int  a[2]);\n\n"},
  {(char*)"GetAnaglyphColorMask",                (PyCFunction)PyvtkRenderWindow_GetAnaglyphColorMask, 1,
   (char*)"V.GetAnaglyphColorMask() -> (int, int)\nC++: int  *GetAnaglyphColorMask ();\n\n"},
  {(char*)"WindowRemap",                (PyCFunction)PyvtkRenderWindow_WindowRemap, 1,
   (char*)"V.WindowRemap()\nC++: virtual void WindowRemap () = 0;\n\n Remap the rendering window. This probably only works on UNIX right now.\n It is useful for changing properties that can't normally be changed\n once the window is up.\n"},
  {(char*)"SetSwapBuffers",                (PyCFunction)PyvtkRenderWindow_SetSwapBuffers, 1,
   (char*)"V.SetSwapBuffers(int)\nC++: void SetSwapBuffers (int );\n\n Turn on/off buffer swapping between images.\n"},
  {(char*)"GetSwapBuffers",                (PyCFunction)PyvtkRenderWindow_GetSwapBuffers, 1,
   (char*)"V.GetSwapBuffers() -> int\nC++: int GetSwapBuffers ();\n\n Turn on/off buffer swapping between images.\n"},
  {(char*)"SwapBuffersOn",                (PyCFunction)PyvtkRenderWindow_SwapBuffersOn, 1,
   (char*)"V.SwapBuffersOn()\nC++: void SwapBuffersOn ();\n\n Turn on/off buffer swapping between images.\n"},
  {(char*)"SwapBuffersOff",                (PyCFunction)PyvtkRenderWindow_SwapBuffersOff, 1,
   (char*)"V.SwapBuffersOff()\nC++: void SwapBuffersOff ();\n\n Turn on/off buffer swapping between images.\n"},
  {(char*)"SetPixelData",                (PyCFunction)PyvtkRenderWindow_SetPixelData, 1,
   (char*)"V.SetPixelData(int, int, int, int, vtkUnsignedCharArray, int) -> int\nC++: virtual int SetPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front) = 0;\n\n Set/Get the pixel data of an image, transmitted as RGBRGBRGB. The\n front argument indicates if the front buffer should be used or the back\n buffer. It is the caller's responsibility to delete the resulting\n array. It is very important to realize that the memory in this array\n is organized from the bottom of the window to the top. The origin\n of the screen is in the lower left corner. The y axis increases as\n you go up the screen. So the storage of pixels is from left to right\n and from bottom to top.\n (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on\n the diagonal.\n"},
  {(char*)"GetRGBAPixelData",                (PyCFunction)PyvtkRenderWindow_GetRGBAPixelData, 1,
   (char*)"V.GetRGBAPixelData(int, int, int, int, int, vtkFloatArray) -> int\nC++: virtual int GetRGBAPixelData (int x, int y, int x2, int y2, int front, vtkFloatArray *data) = 0;\n\n Same as Get/SetPixelData except that the image also contains an alpha\n component. The image is transmitted as RGBARGBARGBA... each of which is a\n float value. The \"blend\" parameter controls whether the SetRGBAPixelData\n method blends the data with the previous contents of the frame buffer\n or completely replaces the frame buffer data.\n"},
  {(char*)"SetRGBAPixelData",                (PyCFunction)PyvtkRenderWindow_SetRGBAPixelData, 1,
   (char*)"V.SetRGBAPixelData(int, int, int, int, vtkFloatArray, int, int) -> int\nC++: virtual int SetRGBAPixelData (int , int , int , int , vtkFloatArray *, int , int blend) = 0;\n\n Same as Get/SetPixelData except that the image also contains an alpha\n component. The image is transmitted as RGBARGBARGBA... each of which is a\n float value. The \"blend\" parameter controls whether the SetRGBAPixelData\n method blends the data with the previous contents of the frame buffer\n or completely replaces the frame buffer data.\n"},
  {(char*)"GetRGBACharPixelData",                (PyCFunction)PyvtkRenderWindow_GetRGBACharPixelData, 1,
   (char*)"V.GetRGBACharPixelData(int, int, int, int, int, vtkUnsignedCharArray) -> int\nC++: virtual int GetRGBACharPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data) = 0;\n\n Same as Get/SetPixelData except that the image also contains an alpha\n component. The image is transmitted as RGBARGBARGBA... each of which is a\n float value. The \"blend\" parameter controls whether the SetRGBAPixelData\n method blends the data with the previous contents of the frame buffer\n or completely replaces the frame buffer data.\n"},
  {(char*)"SetRGBACharPixelData",                (PyCFunction)PyvtkRenderWindow_SetRGBACharPixelData, 1,
   (char*)"V.SetRGBACharPixelData(int, int, int, int, vtkUnsignedCharArray, int, int) -> int\nC++: virtual int SetRGBACharPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front, int blend) = 0;\n\n Same as Get/SetPixelData except that the image also contains an alpha\n component. The image is transmitted as RGBARGBARGBA... each of which is a\n float value. The \"blend\" parameter controls whether the SetRGBAPixelData\n method blends the data with the previous contents of the frame buffer\n or completely replaces the frame buffer data.\n"},
  {(char*)"GetZbufferData",                (PyCFunction)PyvtkRenderWindow_GetZbufferData, 1,
   (char*)"V.GetZbufferData(int, int, int, int, vtkFloatArray) -> int\nC++: virtual int GetZbufferData (int x, int y, int x2, int y2, vtkFloatArray *z) = 0;\n\n Set/Get the zbuffer data from the frame buffer.\n (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on\n the diagonal.\n"},
  {(char*)"SetZbufferData",                (PyCFunction)PyvtkRenderWindow_SetZbufferData, 1,
   (char*)"V.SetZbufferData(int, int, int, int, vtkFloatArray) -> int\nC++: virtual int SetZbufferData (int x, int y, int x2, int y2, vtkFloatArray *z) = 0;\n\n Set/Get the zbuffer data from the frame buffer.\n (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on\n the diagonal.\n"},
  {(char*)"GetZbufferDataAtPoint",                (PyCFunction)PyvtkRenderWindow_GetZbufferDataAtPoint, 1,
   (char*)"V.GetZbufferDataAtPoint(int, int) -> float\nC++: float GetZbufferDataAtPoint (int x, int y);float value this GetZbufferData x y x y value return value \n\n Set the number of frames for doing antialiasing. The default is\n zero. Typically five or six will yield reasonable results without\n taking too long.\n"},
  {(char*)"GetAAFrames",                (PyCFunction)PyvtkRenderWindow_GetAAFrames, 1,
   (char*)"V.GetAAFrames() -> int\nC++: int GetAAFrames ();\n\n Set the number of frames for doing antialiasing. The default is\n zero. Typically five or six will yield reasonable results without\n taking too long.\n"},
  {(char*)"SetAAFrames",                (PyCFunction)PyvtkRenderWindow_SetAAFrames, 1,
   (char*)"V.SetAAFrames(int)\nC++: void SetAAFrames (int );\n\n Set the number of frames for doing antialiasing. The default is\n zero. Typically five or six will yield reasonable results without\n taking too long.\n"},
  {(char*)"GetFDFrames",                (PyCFunction)PyvtkRenderWindow_GetFDFrames, 1,
   (char*)"V.GetFDFrames() -> int\nC++: int GetFDFrames ();\n\n Set the number of frames for doing focal depth. The default is zero.\n Depending on how your scene is organized you can get away with as\n few as four frames for focal depth or you might need thirty.\n One thing to note is that if you are using focal depth frames,\n then you will not need many (if any) frames for antialiasing.\n"},
  {(char*)"SetFDFrames",                (PyCFunction)PyvtkRenderWindow_SetFDFrames, 1,
   (char*)"V.SetFDFrames(int)\nC++: void SetFDFrames (int );\n\n Set the number of frames for doing focal depth. The default is zero.\n Depending on how your scene is organized you can get away with as\n few as four frames for focal depth or you might need thirty.\n One thing to note is that if you are using focal depth frames,\n then you will not need many (if any) frames for antialiasing.\n"},
  {(char*)"GetSubFrames",                (PyCFunction)PyvtkRenderWindow_GetSubFrames, 1,
   (char*)"V.GetSubFrames() -> int\nC++: int GetSubFrames ();\n\n Set the number of sub frames for doing motion blur. The default is zero.\n Once this is set greater than one, you will no longer see a new frame\n for every Render().  If you set this to five, you will need to do\n five Render() invocations before seeing the result. This isn't\n very impressive unless something is changing between the Renders.\n Changing this value may reset the current subframe count.\n"},
  {(char*)"SetSubFrames",                (PyCFunction)PyvtkRenderWindow_SetSubFrames, 1,
   (char*)"V.SetSubFrames(int)\nC++: virtual void SetSubFrames (int subFrames);\n\n Set the number of sub frames for doing motion blur. The default is zero.\n Once this is set greater than one, you will no longer see a new frame\n for every Render().  If you set this to five, you will need to do\n five Render() invocations before seeing the result. This isn't\n very impressive unless something is changing between the Renders.\n Changing this value may reset the current subframe count.\n"},
  {(char*)"GetNeverRendered",                (PyCFunction)PyvtkRenderWindow_GetNeverRendered, 1,
   (char*)"V.GetNeverRendered() -> int\nC++: int GetNeverRendered ();\n\n This flag is set if the window hasn't rendered since it was created\n"},
  {(char*)"GetAbortRender",                (PyCFunction)PyvtkRenderWindow_GetAbortRender, 1,
   (char*)"V.GetAbortRender() -> int\nC++: int GetAbortRender ();\n\n This is a flag that can be set to interrupt a rendering that is in\n progress.\n"},
  {(char*)"SetAbortRender",                (PyCFunction)PyvtkRenderWindow_SetAbortRender, 1,
   (char*)"V.SetAbortRender(int)\nC++: void SetAbortRender (int );\n\n This is a flag that can be set to interrupt a rendering that is in\n progress.\n"},
  {(char*)"GetInAbortCheck",                (PyCFunction)PyvtkRenderWindow_GetInAbortCheck, 1,
   (char*)"V.GetInAbortCheck() -> int\nC++: int GetInAbortCheck ();\n\n This is a flag that can be set to interrupt a rendering that is in\n progress.\n"},
  {(char*)"SetInAbortCheck",                (PyCFunction)PyvtkRenderWindow_SetInAbortCheck, 1,
   (char*)"V.SetInAbortCheck(int)\nC++: void SetInAbortCheck (int );\n\n This is a flag that can be set to interrupt a rendering that is in\n progress.\n"},
  {(char*)"CheckAbortStatus",                (PyCFunction)PyvtkRenderWindow_CheckAbortStatus, 1,
   (char*)"V.CheckAbortStatus() -> int\nC++: virtual int CheckAbortStatus ();\n\n This is a flag that can be set to interrupt a rendering that is in\n progress.\n"},
  {(char*)"GetIsPicking",                (PyCFunction)PyvtkRenderWindow_GetIsPicking, 1,
   (char*)"V.GetIsPicking() -> int\nC++: int GetIsPicking ();\n\n"},
  {(char*)"SetIsPicking",                (PyCFunction)PyvtkRenderWindow_SetIsPicking, 1,
   (char*)"V.SetIsPicking(int)\nC++: void SetIsPicking (int );\n\n"},
  {(char*)"IsPickingOn",                (PyCFunction)PyvtkRenderWindow_IsPickingOn, 1,
   (char*)"V.IsPickingOn()\nC++: void IsPickingOn ();\n\n"},
  {(char*)"IsPickingOff",                (PyCFunction)PyvtkRenderWindow_IsPickingOff, 1,
   (char*)"V.IsPickingOff()\nC++: void IsPickingOff ();\n\n"},
  {(char*)"GetEventPending",                (PyCFunction)PyvtkRenderWindow_GetEventPending, 1,
   (char*)"V.GetEventPending() -> int\nC++: virtual int GetEventPending () = 0;\n\n Check to see if a mouse button has been pressed.  All other events\n are ignored by this method.  Ideally, you want to abort the render\n on any event which causes the DesiredUpdateRate to switch from\n a high-quality rate to a more interactive rate.\n"},
  {(char*)"CheckInRenderStatus",                (PyCFunction)PyvtkRenderWindow_CheckInRenderStatus, 1,
   (char*)"V.CheckInRenderStatus() -> int\nC++: virtual int CheckInRenderStatus ();return this InRender \n\n Clear status (after an exception was thrown for example)\n"},
  {(char*)"ClearInRenderStatus",                (PyCFunction)PyvtkRenderWindow_ClearInRenderStatus, 1,
   (char*)"V.ClearInRenderStatus()\nC++: virtual void ClearInRenderStatus ();this InRender \n\n Set/Get the desired update rate. This is used with\n the vtkLODActor class. When using level of detail actors you\n need to specify what update rate you require. The LODActors then\n will pick the correct resolution to meet your desired update rate\n in frames per second. A value of zero indicates that they can use\n all the time they want to.\n"},
  {(char*)"SetDesiredUpdateRate",                (PyCFunction)PyvtkRenderWindow_SetDesiredUpdateRate, 1,
   (char*)"V.SetDesiredUpdateRate(float)\nC++: virtual void SetDesiredUpdateRate (double );\n\n Set/Get the desired update rate. This is used with\n the vtkLODActor class. When using level of detail actors you\n need to specify what update rate you require. The LODActors then\n will pick the correct resolution to meet your desired update rate\n in frames per second. A value of zero indicates that they can use\n all the time they want to.\n"},
  {(char*)"GetDesiredUpdateRate",                (PyCFunction)PyvtkRenderWindow_GetDesiredUpdateRate, 1,
   (char*)"V.GetDesiredUpdateRate() -> float\nC++: double GetDesiredUpdateRate ();\n\n Set/Get the desired update rate. This is used with\n the vtkLODActor class. When using level of detail actors you\n need to specify what update rate you require. The LODActors then\n will pick the correct resolution to meet your desired update rate\n in frames per second. A value of zero indicates that they can use\n all the time they want to.\n"},
  {(char*)"GetNumberOfLayers",                (PyCFunction)PyvtkRenderWindow_GetNumberOfLayers, 1,
   (char*)"V.GetNumberOfLayers() -> int\nC++: int GetNumberOfLayers ();\n\n Get the number of layers for renderers.  Each renderer should have\n its layer set individually.  Some algorithms iterate through all layers,\n so it is not wise to set the number of layers to be exorbitantly large\n (say bigger than 100).\n"},
  {(char*)"SetNumberOfLayers",                (PyCFunction)PyvtkRenderWindow_SetNumberOfLayers, 1,
   (char*)"V.SetNumberOfLayers(int)\nC++: void SetNumberOfLayers (int );\n\n Get the number of layers for renderers.  Each renderer should have\n its layer set individually.  Some algorithms iterate through all layers,\n so it is not wise to set the number of layers to be exorbitantly large\n (say bigger than 100).\n"},
  {(char*)"GetNumberOfLayersMinValue",                (PyCFunction)PyvtkRenderWindow_GetNumberOfLayersMinValue, 1,
   (char*)"V.GetNumberOfLayersMinValue() -> int\nC++: int GetNumberOfLayersMinValue ();\n\n Get the number of layers for renderers.  Each renderer should have\n its layer set individually.  Some algorithms iterate through all layers,\n so it is not wise to set the number of layers to be exorbitantly large\n (say bigger than 100).\n"},
  {(char*)"GetNumberOfLayersMaxValue",                (PyCFunction)PyvtkRenderWindow_GetNumberOfLayersMaxValue, 1,
   (char*)"V.GetNumberOfLayersMaxValue() -> int\nC++: int GetNumberOfLayersMaxValue ();\n\n Get the number of layers for renderers.  Each renderer should have\n its layer set individually.  Some algorithms iterate through all layers,\n so it is not wise to set the number of layers to be exorbitantly large\n (say bigger than 100).\n"},
  {(char*)"GetInteractor",                (PyCFunction)PyvtkRenderWindow_GetInteractor, 1,
   (char*)"V.GetInteractor() -> vtkRenderWindowInteractor\nC++: vtkRenderWindowInteractor *GetInteractor ();\n\n Get the interactor associated with this render window\n"},
  {(char*)"SetInteractor",                (PyCFunction)PyvtkRenderWindow_SetInteractor, 1,
   (char*)"V.SetInteractor(vtkRenderWindowInteractor)\nC++: void SetInteractor (vtkRenderWindowInteractor *);\n\n Set the interactor to the render window\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkRenderWindow_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n This Method detects loops of RenderWindow<->Interactor,\n so objects are freed properly.\n"},
  {(char*)"SetDisplayId",                (PyCFunction)PyvtkRenderWindow_SetDisplayId, 1,
   (char*)"V.SetDisplayId(string)\nC++: virtual void SetDisplayId (void *) = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"SetWindowId",                (PyCFunction)PyvtkRenderWindow_SetWindowId, 1,
   (char*)"V.SetWindowId(string)\nC++: virtual void SetWindowId (void *) = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"SetNextWindowId",                (PyCFunction)PyvtkRenderWindow_SetNextWindowId, 1,
   (char*)"V.SetNextWindowId(string)\nC++: virtual void SetNextWindowId (void *) = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"SetParentId",                (PyCFunction)PyvtkRenderWindow_SetParentId, 1,
   (char*)"V.SetParentId(string)\nC++: virtual void SetParentId (void *) = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"GetGenericDisplayId",                (PyCFunction)PyvtkRenderWindow_GetGenericDisplayId, 1,
   (char*)"V.GetGenericDisplayId() -> string\nC++: virtual void *GetGenericDisplayId () = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"GetGenericWindowId",                (PyCFunction)PyvtkRenderWindow_GetGenericWindowId, 1,
   (char*)"V.GetGenericWindowId() -> string\nC++: virtual void *GetGenericWindowId () = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"GetGenericParentId",                (PyCFunction)PyvtkRenderWindow_GetGenericParentId, 1,
   (char*)"V.GetGenericParentId() -> string\nC++: virtual void *GetGenericParentId () = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"GetGenericContext",                (PyCFunction)PyvtkRenderWindow_GetGenericContext, 1,
   (char*)"V.GetGenericContext() -> string\nC++: virtual void *GetGenericContext () = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"GetGenericDrawable",                (PyCFunction)PyvtkRenderWindow_GetGenericDrawable, 1,
   (char*)"V.GetGenericDrawable() -> string\nC++: virtual void *GetGenericDrawable () = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"SetWindowInfo",                (PyCFunction)PyvtkRenderWindow_SetWindowInfo, 1,
   (char*)"V.SetWindowInfo(string)\nC++: virtual void SetWindowInfo (char *) = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"SetNextWindowInfo",                (PyCFunction)PyvtkRenderWindow_SetNextWindowInfo, 1,
   (char*)"V.SetNextWindowInfo(string)\nC++: virtual void SetNextWindowInfo (char *) = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"SetParentInfo",                (PyCFunction)PyvtkRenderWindow_SetParentInfo, 1,
   (char*)"V.SetParentInfo(string)\nC++: virtual void SetParentInfo (char *) = 0;\n\n Dummy stubs for vtkWindow API.\n"},
  {(char*)"MakeCurrent",                (PyCFunction)PyvtkRenderWindow_MakeCurrent, 1,
   (char*)"V.MakeCurrent()\nC++: virtual void MakeCurrent () = 0;\n\n Make this the current window.\n"},
  {(char*)"SetForceMakeCurrent",                (PyCFunction)PyvtkRenderWindow_SetForceMakeCurrent, 1,
   (char*)"V.SetForceMakeCurrent()\nC++: virtual void SetForceMakeCurrent ();\n\n If called, allow MakeCurrent() to skip cache-check when called.\n MakeCurrent() reverts to original behavior of cache-checking\n on the next render.\n"},
  {(char*)"ReportCapabilities",                (PyCFunction)PyvtkRenderWindow_ReportCapabilities, 1,
   (char*)"V.ReportCapabilities() -> string\nC++: virtual const char *ReportCapabilities ();return \n\n Get report of capabilities for the render window\n"},
  {(char*)"SupportsOpenGL",                (PyCFunction)PyvtkRenderWindow_SupportsOpenGL, 1,
   (char*)"V.SupportsOpenGL() -> int\nC++: virtual int SupportsOpenGL ();return \n\n Does this render window support OpenGL? 0-false, 1-true\n"},
  {(char*)"IsDirect",                (PyCFunction)PyvtkRenderWindow_IsDirect, 1,
   (char*)"V.IsDirect() -> int\nC++: virtual int IsDirect ();return \n\n Is this render window using hardware acceleration? 0-false, 1-true\n"},
  {(char*)"GetDepthBufferSize",                (PyCFunction)PyvtkRenderWindow_GetDepthBufferSize, 1,
   (char*)"V.GetDepthBufferSize() -> int\nC++: virtual int GetDepthBufferSize () = 0;\n\n This method should be defined by the subclass. How many bits of\n precision are there in the zbuffer?\n"},
  {(char*)"GetPainterDeviceAdapter",                (PyCFunction)PyvtkRenderWindow_GetPainterDeviceAdapter, 1,
   (char*)"V.GetPainterDeviceAdapter() -> vtkPainterDeviceAdapter\nC++: vtkPainterDeviceAdapter *GetPainterDeviceAdapter ();\n\n Get the vtkPainterDeviceAdapter which can be used to paint on\n this render window.\n"},
  {(char*)"SetMultiSamples",                (PyCFunction)PyvtkRenderWindow_SetMultiSamples, 1,
   (char*)"V.SetMultiSamples(int)\nC++: void SetMultiSamples (int );\n\n Set / Get the number of multisamples to use for hardware antialiasing.\n"},
  {(char*)"GetMultiSamples",                (PyCFunction)PyvtkRenderWindow_GetMultiSamples, 1,
   (char*)"V.GetMultiSamples() -> int\nC++: int GetMultiSamples ();\n\n Set / Get the number of multisamples to use for hardware antialiasing.\n"},
  {(char*)"SetStencilCapable",                (PyCFunction)PyvtkRenderWindow_SetStencilCapable, 1,
   (char*)"V.SetStencilCapable(int)\nC++: void SetStencilCapable (int );\n\n Set / Get the availability of the stencil buffer.\n"},
  {(char*)"GetStencilCapable",                (PyCFunction)PyvtkRenderWindow_GetStencilCapable, 1,
   (char*)"V.GetStencilCapable() -> int\nC++: int GetStencilCapable ();\n\n Set / Get the availability of the stencil buffer.\n"},
  {(char*)"StencilCapableOn",                (PyCFunction)PyvtkRenderWindow_StencilCapableOn, 1,
   (char*)"V.StencilCapableOn()\nC++: void StencilCapableOn ();\n\n Set / Get the availability of the stencil buffer.\n"},
  {(char*)"StencilCapableOff",                (PyCFunction)PyvtkRenderWindow_StencilCapableOff, 1,
   (char*)"V.StencilCapableOff()\nC++: void StencilCapableOff ();\n\n Set / Get the availability of the stencil buffer.\n"},
  {(char*)"SetReportGraphicErrors",                (PyCFunction)PyvtkRenderWindow_SetReportGraphicErrors, 1,
   (char*)"V.SetReportGraphicErrors(int)\nC++: void SetReportGraphicErrors (int );\n\n Turn on/off report of graphic errors. Initial value is false (off).\n This flag is used by vtkGraphicErrorMacro.\n"},
  {(char*)"GetReportGraphicErrors",                (PyCFunction)PyvtkRenderWindow_GetReportGraphicErrors, 1,
   (char*)"V.GetReportGraphicErrors() -> int\nC++: int GetReportGraphicErrors ();\n\n Turn on/off report of graphic errors. Initial value is false (off).\n This flag is used by vtkGraphicErrorMacro.\n"},
  {(char*)"ReportGraphicErrorsOn",                (PyCFunction)PyvtkRenderWindow_ReportGraphicErrorsOn, 1,
   (char*)"V.ReportGraphicErrorsOn()\nC++: void ReportGraphicErrorsOn ();\n\n Turn on/off report of graphic errors. Initial value is false (off).\n This flag is used by vtkGraphicErrorMacro.\n"},
  {(char*)"ReportGraphicErrorsOff",                (PyCFunction)PyvtkRenderWindow_ReportGraphicErrorsOff, 1,
   (char*)"V.ReportGraphicErrorsOff()\nC++: void ReportGraphicErrorsOff ();\n\n Turn on/off report of graphic errors. Initial value is false (off).\n This flag is used by vtkGraphicErrorMacro.\n"},
  {(char*)"CheckGraphicError",                (PyCFunction)PyvtkRenderWindow_CheckGraphicError, 1,
   (char*)"V.CheckGraphicError()\nC++: virtual void CheckGraphicError () = 0;\n\n Update graphic error status, regardless of ReportGraphicErrors flag.\n It means this method can be used in any context and is not restricted to\n debug mode.\n"},
  {(char*)"HasGraphicError",                (PyCFunction)PyvtkRenderWindow_HasGraphicError, 1,
   (char*)"V.HasGraphicError() -> int\nC++: virtual int HasGraphicError () = 0;\n\n Return the last graphic error status. Initial value is false.\n"},
  {(char*)"GetLastGraphicErrorString",                (PyCFunction)PyvtkRenderWindow_GetLastGraphicErrorString, 1,
   (char*)"V.GetLastGraphicErrorString() -> string\nC++: virtual const char *GetLastGraphicErrorString () = 0;\n\n Return a string matching the last graphic error status.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderWindowDoc[] = {
  (char*)"vtkRenderWindow - create a window for renderers to draw into\n\n",
  "Super Class:\n\n vtkWindow\n\n",
  (char*)" vtkRenderWindow is an abstract object to specify the behavior of a\n rendering window. A rendering window is a window in a graphical user\n interface where renderers draw their images. Methods are provided to\n synchronize the rendering process, set window size, and control double\n buffering.  The window also allows rendering in stereo.  The interlaced\n render stereo type is for output to a VRex ste",
  (char*)"reo projector.  All of the\n odd horizontal lines are from the left eye, and the even lines are from\n the right eye.  The user has to make the render window aligned with the\n VRex projector, or the eye will be swapped.\n\n",
  "Caveats:\n\n In VTK versions 4 and later, the vtkWindowToImageFilter class is\n part of the canonical way to output an image of a window to a file\n (replacing the obsolete SaveImageAsPPM method for vtkRenderWindows\n that existed in 3.2 and earlier).  Connect one of these filters to\n the output of the window, and filter's output to a writer such as\n vtkPNGWriter.\n\n",
  "See Also:\n\n vtkRenderer vtkRenderWindowInteractor vtkWindowToImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkRenderWindowStaticNew()
{
  return vtkRenderWindow::New();
}

PyObject *PyVTKClass_vtkRenderWindowNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderWindowStaticNew,
                        PyvtkRenderWindowMethods,
                        (char*)"vtkRenderWindow",modulename,
                        (char**)vtkRenderWindowDoc,
                        PyVTKClass_vtkWindowNew(modulename));
}

