// python wrapper for vtkRenderedAreaPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderedAreaPicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderedAreaPickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderedAreaPickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAreaPickerNew(char *); }

static PyObject *PyvtkRenderedAreaPicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedAreaPicker *op;

  const char    *temp20;
  op = (vtkRenderedAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedAreaPicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedAreaPicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedAreaPicker *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderedAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedAreaPicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedAreaPicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedAreaPicker *op;

  vtkRenderedAreaPicker  *temp20;
  op = (vtkRenderedAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedAreaPicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedAreaPicker_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderedAreaPicker  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderedAreaPicker::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderedAreaPicker_AreaPick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedAreaPicker *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkRenderer  *temp4;
  PyObject *tempH4;
  int      temp20;
  op = (vtkRenderedAreaPicker *)PyArg_VTKParseTuple(self, args, (char*)"ddddO", &temp0, &temp1, &temp2, &temp3, &tempH4);
  if (op)
    {
    temp4 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkRenderer");
    if (!temp4 && tempH4 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedAreaPicker::AreaPick(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->AreaPick(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkRenderedAreaPickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderedAreaPicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderedAreaPicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderedAreaPicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderedAreaPicker\nC++: vtkRenderedAreaPicker *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderedAreaPicker_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderedAreaPicker\nC++: vtkRenderedAreaPicker *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AreaPick",                (PyCFunction)PyvtkRenderedAreaPicker_AreaPick, 1,
   (char*)"V.AreaPick(float, float, float, float, vtkRenderer) -> int\nC++: virtual int AreaPick (double x0, double y0, double x1, double y1, vtkRenderer *renderer);\n\n Perform pick operation in volume behind the given screen coordinates.\n Props intersecting the selection frustum will be accesible via GetProp3D.\n GetPlanes returns a vtkImplicitFunciton suitable for vtkExtractGeometry.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderedAreaPickerDoc[] = {
  (char*)"vtkRenderedAreaPicker - Uses graphics hardware to picks props behind\n\n",
  "Super Class:\n\n vtkAreaPicker\n\n",
  (char*)" Like vtkAreaPicker, this class picks all props within a selection area \n on the screen. The difference is in implementation. This class uses\n graphics hardware to perform the test where the other uses software \n bounding box/frustum intersection testing. \n\n This picker is more conservative than vtkAreaPicker. It will reject \n some objects that pass the bounding box test of vtkAreaPicker. This \n w",
  (char*)"ill happen, for instance, when picking through a corner of the bounding\n box when the data set does not have any visible geometry in that corner.\n\n",
  NULL
};

static vtkObjectBase *vtkRenderedAreaPickerStaticNew()
{
  return vtkRenderedAreaPicker::New();
}

PyObject *PyVTKClass_vtkRenderedAreaPickerNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderedAreaPickerStaticNew,
                        PyvtkRenderedAreaPickerMethods,
                        (char*)"vtkRenderedAreaPicker",modulename,
                        (char**)vtkRenderedAreaPickerDoc,
                        PyVTKClass_vtkAreaPickerNew(modulename));
}

