// python wrapper for vtkRendererCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRendererCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRendererCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRendererCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkRendererCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererCollection *op;

  const char    *temp20;
  op = (vtkRendererCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkRendererCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererCollection *op;

  vtkRendererCollection  *temp20;
  op = (vtkRendererCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRendererCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRendererCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRendererCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererCollection *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkRendererCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkRendererCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererCollection *op;

  vtkRenderer  *temp20;
  op = (vtkRendererCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererCollection_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererCollection *op;

  op = (vtkRendererCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererCollection::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererCollection_GetFirstRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererCollection *op;

  vtkRenderer  *temp20;
  op = (vtkRendererCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererCollection::GetFirstRenderer();
      }
    else
      {
      temp20 = op->GetFirstRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRendererCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRendererCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRendererCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRendererCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRendererCollection\nC++: vtkRendererCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRendererCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRendererCollection\nC++: vtkRendererCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkRendererCollection_AddItem, 1,
   (char*)"V.AddItem(vtkRenderer)\nC++: void AddItem (vtkRenderer *a);this vtkCollection AddItem a \n\n Get the next Renderer in the list. Return NULL when at the end of the \n list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkRendererCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkRenderer\nC++: vtkRenderer *GetNextItem ();return static_cast vtkRenderer this GetNextItemAsObject \n\n Get the next Renderer in the list. Return NULL when at the end of the \n list.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkRendererCollection_Render, 1,
   (char*)"V.Render()\nC++: void Render ();\n\n Forward the Render() method to each renderer in the list.\n"},
  {(char*)"GetFirstRenderer",                (PyCFunction)PyvtkRendererCollection_GetFirstRenderer, 1,
   (char*)"V.GetFirstRenderer() -> vtkRenderer\nC++: vtkRenderer *GetFirstRenderer ();\n\n Get the first Renderer in the list. Return NULL when at the end of the \n list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRendererCollectionDoc[] = {
  (char*)"vtkRendererCollection - a list of renderers\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkRendererCollection represents and provides methods to manipulate a list \n of renderers (i.e., vtkRenderer and subclasses). The list is unsorted and \n duplicate entries are not prevented.\n\n",
  "See Also:\n\n vtkRenderer vtkCollection\n\n",
  NULL
};

static vtkObjectBase *vtkRendererCollectionStaticNew()
{
  return vtkRendererCollection::New();
}

PyObject *PyVTKClass_vtkRendererCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkRendererCollectionStaticNew,
                        PyvtkRendererCollectionMethods,
                        (char*)"vtkRendererCollection",modulename,
                        (char**)vtkRendererCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

