// tcl wrapper for vtkRendererSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRendererSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRendererSourceNewCommand()
{
  vtkRendererSource *temp = vtkRendererSource::New();
  return static_cast<ClientData>(temp);
}

int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRendererSourceCppCommand(vtkRendererSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRendererSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRendererSourceCppCommand(static_cast<vtkRendererSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRendererSourceCppCommand(vtkRendererSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRendererSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRendererSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRendererSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRendererSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRendererSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRendererSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRendererSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("SetWholeWindow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWholeWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeWindow",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWholeWindow();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WholeWindowOn",argv[1]))&&(argc == 2))
    {
    op->WholeWindowOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WholeWindowOff",argv[1]))&&(argc == 2))
    {
    op->WholeWindowOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRenderFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderFlagOn",argv[1]))&&(argc == 2))
    {
    op->RenderFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderFlagOff",argv[1]))&&(argc == 2))
    {
    op->RenderFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthValues",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDepthValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepthValues",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDepthValues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DepthValuesOn",argv[1]))&&(argc == 2))
    {
    op->DepthValuesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DepthValuesOff",argv[1]))&&(argc == 2))
    {
    op->DepthValuesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthValuesInScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDepthValuesInScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepthValuesInScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDepthValuesInScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DepthValuesInScalarsOn",argv[1]))&&(argc == 2))
    {
    op->DepthValuesInScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DepthValuesInScalarsOff",argv[1]))&&(argc == 2))
    {
    op->DepthValuesInScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRendererSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRendererSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeWindow\n",NULL);
    Tcl_AppendResult(interp,"  WholeWindowOn\n",NULL);
    Tcl_AppendResult(interp,"  WholeWindowOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderFlag\n",NULL);
    Tcl_AppendResult(interp,"  RenderFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  RenderFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthValues\n",NULL);
    Tcl_AppendResult(interp,"  DepthValuesOn\n",NULL);
    Tcl_AppendResult(interp,"  DepthValuesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthValuesInScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthValuesInScalars\n",NULL);
    Tcl_AppendResult(interp,"  DepthValuesInScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  DepthValuesInScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetWholeWindow" );
    Tcl_DStringAppendElement ( &dString, "GetWholeWindow" );
    Tcl_DStringAppendElement ( &dString, "WholeWindowOn" );
    Tcl_DStringAppendElement ( &dString, "WholeWindowOff" );
    Tcl_DStringAppendElement ( &dString, "SetRenderFlag" );
    Tcl_DStringAppendElement ( &dString, "GetRenderFlag" );
    Tcl_DStringAppendElement ( &dString, "RenderFlagOn" );
    Tcl_DStringAppendElement ( &dString, "RenderFlagOff" );
    Tcl_DStringAppendElement ( &dString, "SetDepthValues" );
    Tcl_DStringAppendElement ( &dString, "GetDepthValues" );
    Tcl_DStringAppendElement ( &dString, "DepthValuesOn" );
    Tcl_DStringAppendElement ( &dString, "DepthValuesOff" );
    Tcl_DStringAppendElement ( &dString, "SetDepthValuesInScalars" );
    Tcl_DStringAppendElement ( &dString, "GetDepthValuesInScalars" );
    Tcl_DStringAppendElement ( &dString, "DepthValuesInScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "DepthValuesInScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRendererSource *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime also considering the Renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Indicates what renderer to get the pixel data from.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput (vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Returns which renderer is being used as the source for the pixel data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer *GetInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWholeWindow */
    if ( strcmp ( argv[2], "SetWholeWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWholeWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWholeWindow */
    Tcl_DStringAppendElement ( &dString, " Use the entire RenderWindow as a data source or just the Renderer.\n The default is zero, just the Renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWholeWindow (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for SetWholeWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWholeWindow */
    if ( strcmp ( argv[2], "GetWholeWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeWindow */
    Tcl_DStringAppendElement ( &dString, " Use the entire RenderWindow as a data source or just the Renderer.\n The default is zero, just the Renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWholeWindow ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for GetWholeWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WholeWindowOn */
    if ( strcmp ( argv[2], "WholeWindowOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WholeWindowOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WholeWindowOn */
    Tcl_DStringAppendElement ( &dString, " Use the entire RenderWindow as a data source or just the Renderer.\n The default is zero, just the Renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "void WholeWindowOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for WholeWindowOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WholeWindowOff */
    if ( strcmp ( argv[2], "WholeWindowOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WholeWindowOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WholeWindowOff */
    Tcl_DStringAppendElement ( &dString, " Use the entire RenderWindow as a data source or just the Renderer.\n The default is zero, just the Renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "void WholeWindowOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for WholeWindowOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderFlag */
    if ( strcmp ( argv[2], "SetRenderFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderFlag */
    Tcl_DStringAppendElement ( &dString, " If this flag is on, the Executing causes a render first.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderFlag (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for SetRenderFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderFlag */
    if ( strcmp ( argv[2], "GetRenderFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderFlag */
    Tcl_DStringAppendElement ( &dString, " If this flag is on, the Executing causes a render first.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRenderFlag ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for GetRenderFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderFlagOn */
    if ( strcmp ( argv[2], "RenderFlagOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderFlagOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderFlagOn */
    Tcl_DStringAppendElement ( &dString, " If this flag is on, the Executing causes a render first.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderFlagOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for RenderFlagOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderFlagOff */
    if ( strcmp ( argv[2], "RenderFlagOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderFlagOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderFlagOff */
    Tcl_DStringAppendElement ( &dString, " If this flag is on, the Executing causes a render first.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderFlagOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for RenderFlagOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepthValues */
    if ( strcmp ( argv[2], "SetDepthValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthValues */
    Tcl_DStringAppendElement ( &dString, " A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed into a field data attributes named \"ZBuffer\" .\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthValues (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for SetDepthValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthValues */
    if ( strcmp ( argv[2], "GetDepthValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthValues */
    Tcl_DStringAppendElement ( &dString, " A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed into a field data attributes named \"ZBuffer\" .\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDepthValues ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for GetDepthValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DepthValuesOn */
    if ( strcmp ( argv[2], "DepthValuesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DepthValuesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DepthValuesOn */
    Tcl_DStringAppendElement ( &dString, " A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed into a field data attributes named \"ZBuffer\" .\n" );
    Tcl_DStringAppendElement ( &dString, "void DepthValuesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for DepthValuesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DepthValuesOff */
    if ( strcmp ( argv[2], "DepthValuesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DepthValuesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DepthValuesOff */
    Tcl_DStringAppendElement ( &dString, " A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed into a field data attributes named \"ZBuffer\" .\n" );
    Tcl_DStringAppendElement ( &dString, "void DepthValuesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for DepthValuesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepthValuesInScalars */
    if ( strcmp ( argv[2], "SetDepthValuesInScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthValuesInScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthValuesInScalars */
    Tcl_DStringAppendElement ( &dString, " A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed in the scalars as a fourth Z component (shift and scaled\n to map the full 0..255 range).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthValuesInScalars (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for SetDepthValuesInScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthValuesInScalars */
    if ( strcmp ( argv[2], "GetDepthValuesInScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthValuesInScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthValuesInScalars */
    Tcl_DStringAppendElement ( &dString, " A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed in the scalars as a fourth Z component (shift and scaled\n to map the full 0..255 range).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDepthValuesInScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for GetDepthValuesInScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DepthValuesInScalarsOn */
    if ( strcmp ( argv[2], "DepthValuesInScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DepthValuesInScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DepthValuesInScalarsOn */
    Tcl_DStringAppendElement ( &dString, " A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed in the scalars as a fourth Z component (shift and scaled\n to map the full 0..255 range).\n" );
    Tcl_DStringAppendElement ( &dString, "void DepthValuesInScalarsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for DepthValuesInScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DepthValuesInScalarsOff */
    if ( strcmp ( argv[2], "DepthValuesInScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DepthValuesInScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DepthValuesInScalarsOff */
    Tcl_DStringAppendElement ( &dString, " A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed in the scalars as a fourth Z component (shift and scaled\n to map the full 0..255 range).\n" );
    Tcl_DStringAppendElement ( &dString, "void DepthValuesInScalarsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for DepthValuesInScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object for a port on this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetOutput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererSource" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
