// python wrapper for vtkRepresentationPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRepresentationPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRepresentationPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRepresentationPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataPainterNew(char *); }

static PyObject *PyvtkRepresentationPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRepresentationPainter *op;

  const char    *temp20;
  op = (vtkRepresentationPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRepresentationPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRepresentationPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRepresentationPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkRepresentationPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRepresentationPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRepresentationPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRepresentationPainter *op;

  vtkRepresentationPainter  *temp20;
  op = (vtkRepresentationPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRepresentationPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRepresentationPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRepresentationPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRepresentationPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkRepresentationPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRepresentationPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRepresentationPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRepresentationPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRepresentationPainter\nC++: vtkRepresentationPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRepresentationPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRepresentationPainter\nC++: vtkRepresentationPainter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRepresentationPainterDoc[] = {
  (char*)"vtkRepresentationPainter - painter that handles representation.\n\n",
  "Super Class:\n\n vtkPolyDataPainter\n\n",
  (char*)" This painter merely defines the interface. \n Subclasses will change the polygon rendering mode dependent on \n the graphics library.\n\n",
  NULL
};

static vtkObjectBase *vtkRepresentationPainterStaticNew()
{
  return vtkRepresentationPainter::New();
}

PyObject *PyVTKClass_vtkRepresentationPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkRepresentationPainterStaticNew,
                        PyvtkRepresentationPainterMethods,
                        (char*)"vtkRepresentationPainter",modulename,
                        (char**)vtkRepresentationPainterDoc,
                        PyVTKClass_vtkPolyDataPainterNew(modulename));
}

