// python wrapper for vtkScalarsToColorsPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkScalarsToColorsPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkScalarsToColorsPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkScalarsToColorsPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPainterNew(char *); }

static PyObject *PyvtkScalarsToColorsPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColorsPainter *op;

  const char    *temp20;
  op = (vtkScalarsToColorsPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColorsPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColorsPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkScalarsToColorsPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColorsPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColorsPainter *op;

  vtkScalarsToColorsPainter  *temp20;
  op = (vtkScalarsToColorsPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColorsPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkScalarsToColorsPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkScalarsToColorsPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_USE_LOOKUP_TABLE_SCALAR_RANGE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::USE_LOOKUP_TABLE_SCALAR_RANGE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_SCALAR_RANGE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::SCALAR_RANGE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_SCALAR_MODE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::SCALAR_MODE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_COLOR_MODE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::COLOR_MODE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_INTERPOLATE_SCALARS_BEFORE_MAPPING(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::INTERPOLATE_SCALARS_BEFORE_MAPPING();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_LOOKUP_TABLE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::LOOKUP_TABLE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_SetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColorsPainter *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  op = (vtkScalarsToColorsPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarsToColorsPainter::SetLookupTable(temp0);
      }
    else
      {
      op->SetLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_GetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColorsPainter *op;

  vtkScalarsToColors  *temp20;
  op = (vtkScalarsToColorsPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColorsPainter::GetLookupTable();
      }
    else
      {
      temp20 = op->GetLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_CreateDefaultLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColorsPainter *op;

  op = (vtkScalarsToColorsPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarsToColorsPainter::CreateDefaultLookupTable();
      }
    else
      {
      op->CreateDefaultLookupTable();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_SCALAR_VISIBILITY(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::SCALAR_VISIBILITY();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_ARRAY_ACCESS_MODE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::ARRAY_ACCESS_MODE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_ARRAY_ID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::ARRAY_ID();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_ARRAY_NAME(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationStringKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::ARRAY_NAME();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_ARRAY_COMPONENT(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::ARRAY_COMPONENT();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColorsPainter_SCALAR_MATERIAL_MODE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkScalarsToColorsPainter::SCALAR_MATERIAL_MODE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkScalarsToColorsPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkScalarsToColorsPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkScalarsToColorsPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkScalarsToColorsPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkScalarsToColorsPainter\nC++: vtkScalarsToColorsPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkScalarsToColorsPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkScalarsToColorsPainter\nC++: vtkScalarsToColorsPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"USE_LOOKUP_TABLE_SCALAR_RANGE",                (PyCFunction)PyvtkScalarsToColorsPainter_USE_LOOKUP_TABLE_SCALAR_RANGE, 1,
   (char*)"V.USE_LOOKUP_TABLE_SCALAR_RANGE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *USE_LOOKUP_TABLE_SCALAR_RANGE ();\n\n Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n"},
  {(char*)"SCALAR_RANGE",                (PyCFunction)PyvtkScalarsToColorsPainter_SCALAR_RANGE, 1,
   (char*)"V.SCALAR_RANGE() -> vtkInformationDoubleVectorKey\nC++: static vtkInformationDoubleVectorKey *SCALAR_RANGE ();\n\n Specify range in terms of scalar minimum and maximum (smin,smax). These\n values are used to map scalars into lookup table. Has no effect when\n UseLookupTableScalarRange is true.\n"},
  {(char*)"SCALAR_MODE",                (PyCFunction)PyvtkScalarsToColorsPainter_SCALAR_MODE, 1,
   (char*)"V.SCALAR_MODE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *SCALAR_MODE ();\n\n Control how the painter works with scalar point data and cell attribute\n data. See vtkMapper::ScalarMode for more details.\n"},
  {(char*)"COLOR_MODE",                (PyCFunction)PyvtkScalarsToColorsPainter_COLOR_MODE, 1,
   (char*)"V.COLOR_MODE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *COLOR_MODE ();\n\n Control how the scalar data is mapped to colors. By default \n (ColorModeToDefault), unsigned char scalars are treated as colors, \n and NOT mapped through the lookup table, while everything else is. \n Setting ColorModeToMapScalars means that all scalar data will be mapped \n through the lookup table.\n"},
  {(char*)"INTERPOLATE_SCALARS_BEFORE_MAPPING",                (PyCFunction)PyvtkScalarsToColorsPainter_INTERPOLATE_SCALARS_BEFORE_MAPPING, 1,
   (char*)"V.INTERPOLATE_SCALARS_BEFORE_MAPPING() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *INTERPOLATE_SCALARS_BEFORE_MAPPING ();\n\n By default, vertex color is used to map colors to a surface.\n Colors are interpolated after being mapped.\n This option avoids color interpolation by using a one dimensional\n texture map for the colors.\n"},
  {(char*)"LOOKUP_TABLE",                (PyCFunction)PyvtkScalarsToColorsPainter_LOOKUP_TABLE, 1,
   (char*)"V.LOOKUP_TABLE() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *LOOKUP_TABLE ();\n\n Specify a lookup table for the mapper to use.\n"},
  {(char*)"SetLookupTable",                (PyCFunction)PyvtkScalarsToColorsPainter_SetLookupTable, 1,
   (char*)"V.SetLookupTable(vtkScalarsToColors)\nC++: void SetLookupTable (vtkScalarsToColors *lut);\n\n Specify a lookup table for the mapper to use.\n"},
  {(char*)"GetLookupTable",                (PyCFunction)PyvtkScalarsToColorsPainter_GetLookupTable, 1,
   (char*)"V.GetLookupTable() -> vtkScalarsToColors\nC++: vtkScalarsToColors *GetLookupTable ();\n\n Specify a lookup table for the mapper to use.\n"},
  {(char*)"CreateDefaultLookupTable",                (PyCFunction)PyvtkScalarsToColorsPainter_CreateDefaultLookupTable, 1,
   (char*)"V.CreateDefaultLookupTable()\nC++: virtual void CreateDefaultLookupTable ();\n\n Create default lookup table. Generally used to create one when none\n is available with the scalar data.\n"},
  {(char*)"SCALAR_VISIBILITY",                (PyCFunction)PyvtkScalarsToColorsPainter_SCALAR_VISIBILITY, 1,
   (char*)"V.SCALAR_VISIBILITY() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *SCALAR_VISIBILITY ();\n\n Turn on/off flag to control whether scalar data is used to color objects.\n"},
  {(char*)"ARRAY_ACCESS_MODE",                (PyCFunction)PyvtkScalarsToColorsPainter_ARRAY_ACCESS_MODE, 1,
   (char*)"V.ARRAY_ACCESS_MODE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *ARRAY_ACCESS_MODE ();\n\n Controls what data array is used to generate colors.\n"},
  {(char*)"ARRAY_ID",                (PyCFunction)PyvtkScalarsToColorsPainter_ARRAY_ID, 1,
   (char*)"V.ARRAY_ID() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *ARRAY_ID ();\n\n Controls what data array is used to generate colors.\n"},
  {(char*)"ARRAY_NAME",                (PyCFunction)PyvtkScalarsToColorsPainter_ARRAY_NAME, 1,
   (char*)"V.ARRAY_NAME() -> vtkInformationStringKey\nC++: static vtkInformationStringKey *ARRAY_NAME ();\n\n Controls what data array is used to generate colors.\n"},
  {(char*)"ARRAY_COMPONENT",                (PyCFunction)PyvtkScalarsToColorsPainter_ARRAY_COMPONENT, 1,
   (char*)"V.ARRAY_COMPONENT() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *ARRAY_COMPONENT ();\n\n Controls what data array is used to generate colors.\n"},
  {(char*)"SCALAR_MATERIAL_MODE",                (PyCFunction)PyvtkScalarsToColorsPainter_SCALAR_MATERIAL_MODE, 1,
   (char*)"V.SCALAR_MATERIAL_MODE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *SCALAR_MATERIAL_MODE ();\n\n Set the light-model color mode. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkScalarsToColorsPainterDoc[] = {
  (char*)"vtkScalarsToColorsPainter - painter that converts scalars to \n\n",
  "Super Class:\n\n vtkPainter\n\n",
  (char*)" This is a painter that converts scalars to \n colors. It enable/disables coloring state depending on the ScalarMode.\n This painter is composite dataset enabled.\n\n",
  NULL
};

static vtkObjectBase *vtkScalarsToColorsPainterStaticNew()
{
  return vtkScalarsToColorsPainter::New();
}

PyObject *PyVTKClass_vtkScalarsToColorsPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkScalarsToColorsPainterStaticNew,
                        PyvtkScalarsToColorsPainterMethods,
                        (char*)"vtkScalarsToColorsPainter",modulename,
                        (char**)vtkScalarsToColorsPainterDoc,
                        PyVTKClass_vtkPainterNew(modulename));
}

