// tcl wrapper for vtkScalarsToColorsPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarsToColorsPainter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkScalarsToColorsPainterNewCommand()
{
  vtkScalarsToColorsPainter *temp = vtkScalarsToColorsPainter::New();
  return static_cast<ClientData>(temp);
}

int vtkPainterCppCommand(vtkPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkScalarsToColorsPainterCppCommand(vtkScalarsToColorsPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkScalarsToColorsPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkScalarsToColorsPainterCppCommand(static_cast<vtkScalarsToColorsPainter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkScalarsToColorsPainterCppCommand(vtkScalarsToColorsPainter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkScalarsToColorsPainter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPainterCppCommand(static_cast<vtkPainter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPainter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColorsPainter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColorsPainter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColorsPainter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColorsPainter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkScalarsToColorsPainter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColorsPainter");
    return TCL_OK;
    }
    }
  if ((!strcmp("USE_LOOKUP_TABLE_SCALAR_RANGE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->USE_LOOKUP_TABLE_SCALAR_RANGE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("SCALAR_RANGE",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleVectorKey  *temp20;
    temp20 = (op)->SCALAR_RANGE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationDoubleVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("SCALAR_MODE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->SCALAR_MODE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("COLOR_MODE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->COLOR_MODE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("INTERPOLATE_SCALARS_BEFORE_MAPPING",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->INTERPOLATE_SCALARS_BEFORE_MAPPING();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("LOOKUP_TABLE",argv[1]))&&(argc == 2))
    {
    vtkInformationObjectBaseKey  *temp20;
    temp20 = (op)->LOOKUP_TABLE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationObjectBaseKey");
    return TCL_OK;
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultLookupTable",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultLookupTable();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SCALAR_VISIBILITY",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->SCALAR_VISIBILITY();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("ARRAY_ACCESS_MODE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->ARRAY_ACCESS_MODE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("ARRAY_ID",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->ARRAY_ID();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("ARRAY_NAME",argv[1]))&&(argc == 2))
    {
    vtkInformationStringKey  *temp20;
    temp20 = (op)->ARRAY_NAME();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationStringKey");
    return TCL_OK;
    }
  if ((!strcmp("ARRAY_COMPONENT",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->ARRAY_COMPONENT();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("SCALAR_MATERIAL_MODE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->SCALAR_MATERIAL_MODE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkScalarsToColorsPainterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPainterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkScalarsToColorsPainter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  USE_LOOKUP_TABLE_SCALAR_RANGE\n",NULL);
    Tcl_AppendResult(interp,"  SCALAR_RANGE\n",NULL);
    Tcl_AppendResult(interp,"  SCALAR_MODE\n",NULL);
    Tcl_AppendResult(interp,"  COLOR_MODE\n",NULL);
    Tcl_AppendResult(interp,"  INTERPOLATE_SCALARS_BEFORE_MAPPING\n",NULL);
    Tcl_AppendResult(interp,"  LOOKUP_TABLE\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SCALAR_VISIBILITY\n",NULL);
    Tcl_AppendResult(interp,"  ARRAY_ACCESS_MODE\n",NULL);
    Tcl_AppendResult(interp,"  ARRAY_ID\n",NULL);
    Tcl_AppendResult(interp,"  ARRAY_NAME\n",NULL);
    Tcl_AppendResult(interp,"  ARRAY_COMPONENT\n",NULL);
    Tcl_AppendResult(interp,"  SCALAR_MATERIAL_MODE\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPainterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "USE_LOOKUP_TABLE_SCALAR_RANGE" );
    Tcl_DStringAppendElement ( &dString, "SCALAR_RANGE" );
    Tcl_DStringAppendElement ( &dString, "SCALAR_MODE" );
    Tcl_DStringAppendElement ( &dString, "COLOR_MODE" );
    Tcl_DStringAppendElement ( &dString, "INTERPOLATE_SCALARS_BEFORE_MAPPING" );
    Tcl_DStringAppendElement ( &dString, "LOOKUP_TABLE" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SCALAR_VISIBILITY" );
    Tcl_DStringAppendElement ( &dString, "ARRAY_ACCESS_MODE" );
    Tcl_DStringAppendElement ( &dString, "ARRAY_ID" );
    Tcl_DStringAppendElement ( &dString, "ARRAY_NAME" );
    Tcl_DStringAppendElement ( &dString, "ARRAY_COMPONENT" );
    Tcl_DStringAppendElement ( &dString, "SCALAR_MATERIAL_MODE" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPainterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkScalarsToColorsPainter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: USE_LOOKUP_TABLE_SCALAR_RANGE */
    if ( strcmp ( argv[2], "USE_LOOKUP_TABLE_SCALAR_RANGE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "USE_LOOKUP_TABLE_SCALAR_RANGE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for USE_LOOKUP_TABLE_SCALAR_RANGE */
    Tcl_DStringAppendElement ( &dString, " Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *USE_LOOKUP_TABLE_SCALAR_RANGE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for USE_LOOKUP_TABLE_SCALAR_RANGE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SCALAR_RANGE */
    if ( strcmp ( argv[2], "SCALAR_RANGE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SCALAR_RANGE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SCALAR_RANGE */
    Tcl_DStringAppendElement ( &dString, " Specify range in terms of scalar minimum and maximum (smin,smax). These\n values are used to map scalars into lookup table. Has no effect when\n UseLookupTableScalarRange is true.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationDoubleVectorKey *SCALAR_RANGE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for SCALAR_RANGE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SCALAR_MODE */
    if ( strcmp ( argv[2], "SCALAR_MODE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SCALAR_MODE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SCALAR_MODE */
    Tcl_DStringAppendElement ( &dString, " Control how the painter works with scalar point data and cell attribute\n data. See vtkMapper::ScalarMode for more details.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *SCALAR_MODE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for SCALAR_MODE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: COLOR_MODE */
    if ( strcmp ( argv[2], "COLOR_MODE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "COLOR_MODE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for COLOR_MODE */
    Tcl_DStringAppendElement ( &dString, " Control how the scalar data is mapped to colors. By default \n (ColorModeToDefault), unsigned char scalars are treated as colors, \n and NOT mapped through the lookup table, while everything else is. \n Setting ColorModeToMapScalars means that all scalar data will be mapped \n through the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *COLOR_MODE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for COLOR_MODE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: INTERPOLATE_SCALARS_BEFORE_MAPPING */
    if ( strcmp ( argv[2], "INTERPOLATE_SCALARS_BEFORE_MAPPING" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "INTERPOLATE_SCALARS_BEFORE_MAPPING" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for INTERPOLATE_SCALARS_BEFORE_MAPPING */
    Tcl_DStringAppendElement ( &dString, " By default, vertex color is used to map colors to a surface.\n Colors are interpolated after being mapped.\n This option avoids color interpolation by using a one dimensional\n texture map for the colors.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *INTERPOLATE_SCALARS_BEFORE_MAPPING ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for INTERPOLATE_SCALARS_BEFORE_MAPPING */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LOOKUP_TABLE */
    if ( strcmp ( argv[2], "LOOKUP_TABLE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LOOKUP_TABLE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LOOKUP_TABLE */
    Tcl_DStringAppendElement ( &dString, " Specify a lookup table for the mapper to use.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationObjectBaseKey *LOOKUP_TABLE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for LOOKUP_TABLE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Specify a lookup table for the mapper to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLookupTable (vtkScalarsToColors *lut);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Specify a lookup table for the mapper to use.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetLookupTable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultLookupTable */
    if ( strcmp ( argv[2], "CreateDefaultLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLookupTable */
    Tcl_DStringAppendElement ( &dString, " Create default lookup table. Generally used to create one when none\n is available with the scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateDefaultLookupTable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for CreateDefaultLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SCALAR_VISIBILITY */
    if ( strcmp ( argv[2], "SCALAR_VISIBILITY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SCALAR_VISIBILITY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SCALAR_VISIBILITY */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether scalar data is used to color objects.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *SCALAR_VISIBILITY ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for SCALAR_VISIBILITY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ARRAY_ACCESS_MODE */
    if ( strcmp ( argv[2], "ARRAY_ACCESS_MODE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ARRAY_ACCESS_MODE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ARRAY_ACCESS_MODE */
    Tcl_DStringAppendElement ( &dString, " Controls what data array is used to generate colors.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *ARRAY_ACCESS_MODE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for ARRAY_ACCESS_MODE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ARRAY_ID */
    if ( strcmp ( argv[2], "ARRAY_ID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ARRAY_ID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ARRAY_ID */
    Tcl_DStringAppendElement ( &dString, " Controls what data array is used to generate colors.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *ARRAY_ID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for ARRAY_ID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ARRAY_NAME */
    if ( strcmp ( argv[2], "ARRAY_NAME" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ARRAY_NAME" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ARRAY_NAME */
    Tcl_DStringAppendElement ( &dString, " Controls what data array is used to generate colors.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationStringKey *ARRAY_NAME ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for ARRAY_NAME */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ARRAY_COMPONENT */
    if ( strcmp ( argv[2], "ARRAY_COMPONENT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ARRAY_COMPONENT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ARRAY_COMPONENT */
    Tcl_DStringAppendElement ( &dString, " Controls what data array is used to generate colors.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *ARRAY_COMPONENT ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for ARRAY_COMPONENT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SCALAR_MATERIAL_MODE */
    if ( strcmp ( argv[2], "SCALAR_MATERIAL_MODE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SCALAR_MATERIAL_MODE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SCALAR_MATERIAL_MODE */
    Tcl_DStringAppendElement ( &dString, " Set the light-model color mode. \n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *SCALAR_MATERIAL_MODE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColorsPainter" );
    /* Closing for SCALAR_MATERIAL_MODE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPainterCppCommand(static_cast<vtkPainter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
