// python wrapper for vtkScaledTextActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkScaledTextActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkScaledTextActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkScaledTextActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTextActorNew(char *); }

static PyObject *PyvtkScaledTextActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScaledTextActor *op;

  const char    *temp20;
  op = (vtkScaledTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScaledTextActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkScaledTextActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScaledTextActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkScaledTextActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScaledTextActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScaledTextActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScaledTextActor *op;

  vtkScaledTextActor  *temp20;
  op = (vtkScaledTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScaledTextActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScaledTextActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkScaledTextActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkScaledTextActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkScaledTextActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkScaledTextActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkScaledTextActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkScaledTextActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkScaledTextActor\nC++: vtkScaledTextActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkScaledTextActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkScaledTextActor\nC++: vtkScaledTextActor *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkScaledTextActorDoc[] = {
  (char*)"vtkScaledTextActor - create text that will scale as needed\n\n",
  "Super Class:\n\n vtkTextActor\n\n",
  (char*)" vtkScaledTextActor is deprecated. New code should use vtkTextActor with\n the Scaled = true option.\n\n\n",
  "See Also:\n\n vtkTextActor vtkActor2D vtkTextMapper\n\n",
  NULL
};

static vtkObjectBase *vtkScaledTextActorStaticNew()
{
  return vtkScaledTextActor::New();
}

PyObject *PyVTKClass_vtkScaledTextActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkScaledTextActorStaticNew,
                        PyvtkScaledTextActorMethods,
                        (char*)"vtkScaledTextActor",modulename,
                        (char**)vtkScaledTextActorDoc,
                        PyVTKClass_vtkTextActorNew(modulename));
}

