// python wrapper for vtkScenePicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkScenePicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkScenePickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkScenePickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkScenePicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  const char    *temp20;
  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScenePicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkScenePicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  char    *temp0;
  int      temp20;
  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScenePicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScenePicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  vtkScenePicker  *temp20;
  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScenePicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScenePicker_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkScenePicker  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkScenePicker::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkScenePicker_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkScenePicker::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkScenePicker_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  vtkRenderer  *temp20;
  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScenePicker::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScenePicker_GetCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  int    temp0[2];
  vtkIdType   temp20;
  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScenePicker::GetCellId(temp0);
      }
    else
      {
      temp20 = op->GetCellId(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScenePicker_GetVertexId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  int    temp0[2];
  vtkIdType   temp20;
  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScenePicker::GetVertexId(temp0);
      }
    else
      {
      temp20 = op->GetVertexId(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScenePicker_GetViewProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  int    temp0[2];
  vtkProp  *temp20;
  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScenePicker::GetViewProp(temp0);
      }
    else
      {
      temp20 = op->GetViewProp(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScenePicker_SetEnableVertexPicking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  int      temp0;
  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScenePicker::SetEnableVertexPicking(temp0);
      }
    else
      {
      op->SetEnableVertexPicking(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScenePicker_GetEnableVertexPicking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  int      temp20;
  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScenePicker::GetEnableVertexPicking();
      }
    else
      {
      temp20 = op->GetEnableVertexPicking();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScenePicker_EnableVertexPickingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScenePicker::EnableVertexPickingOn();
      }
    else
      {
      op->EnableVertexPickingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScenePicker_EnableVertexPickingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScenePicker *op;

  op = (vtkScenePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScenePicker::EnableVertexPickingOff();
      }
    else
      {
      op->EnableVertexPickingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkScenePickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkScenePicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkScenePicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkScenePicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkScenePicker\nC++: vtkScenePicker *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkScenePicker_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkScenePicker\nC++: vtkScenePicker *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkScenePicker_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *);\n\n Set the renderer. Scene picks are restricted to the viewport.\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkScenePicker_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n Set the renderer. Scene picks are restricted to the viewport.\n"},
  {(char*)"GetCellId",                (PyCFunction)PyvtkScenePicker_GetCellId, 1,
   (char*)"V.GetCellId((int, int)) -> int\nC++: vtkIdType GetCellId (int displayPos[2]);\n\n Get cell id at the pick position. \n Returns -1 if no cell was picked. \n Makes sense only after Pick has been called.\n"},
  {(char*)"GetVertexId",                (PyCFunction)PyvtkScenePicker_GetVertexId, 1,
   (char*)"V.GetVertexId((int, int)) -> int\nC++: vtkIdType GetVertexId (int displayPos[2]);\n\n Get cell id at the pick position. \n Returns -1 if no cell was picked. \n Makes sense only after Pick has been called.\n"},
  {(char*)"GetViewProp",                (PyCFunction)PyvtkScenePicker_GetViewProp, 1,
   (char*)"V.GetViewProp((int, int)) -> vtkProp\nC++: vtkProp *GetViewProp (int displayPos[2]);\n\n Get actor at the pick position. \n Returns NULL if none. \n Makes sense only after Pick has been called.\n"},
  {(char*)"SetEnableVertexPicking",                (PyCFunction)PyvtkScenePicker_SetEnableVertexPicking, 1,
   (char*)"V.SetEnableVertexPicking(int)\nC++: void SetEnableVertexPicking (int );\n\n Vertex picking (using the method GetVertexId()), required \n additional resources and can slow down still render time by\n 5-10%. Enabled by default.\n"},
  {(char*)"GetEnableVertexPicking",                (PyCFunction)PyvtkScenePicker_GetEnableVertexPicking, 1,
   (char*)"V.GetEnableVertexPicking() -> int\nC++: int GetEnableVertexPicking ();\n\n Vertex picking (using the method GetVertexId()), required \n additional resources and can slow down still render time by\n 5-10%. Enabled by default.\n"},
  {(char*)"EnableVertexPickingOn",                (PyCFunction)PyvtkScenePicker_EnableVertexPickingOn, 1,
   (char*)"V.EnableVertexPickingOn()\nC++: void EnableVertexPickingOn ();\n\n Vertex picking (using the method GetVertexId()), required \n additional resources and can slow down still render time by\n 5-10%. Enabled by default.\n"},
  {(char*)"EnableVertexPickingOff",                (PyCFunction)PyvtkScenePicker_EnableVertexPickingOff, 1,
   (char*)"V.EnableVertexPickingOff()\nC++: void EnableVertexPickingOff ();\n\n Vertex picking (using the method GetVertexId()), required \n additional resources and can slow down still render time by\n 5-10%. Enabled by default.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkScenePickerDoc[] = {
  (char*)"vtkScenePicker - Picks an entire viewport at one shot. \n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" The Scene picker, unline conventional pickers picks an entire viewport at\n one shot and caches the result, which can be retrieved later. \n    The utility of the class arises during <b>Actor Selection</b>. Let's \n say you have a couple of polygonal objects in your scene and you wish to \n have a status bar that indicates the object your mouse is over. Picking\n repeatedly every time your mouse moves",
  (char*)" would be very slow. The \n scene picker automatically picks your viewport every time the camera is\n changed and caches the information. Additionally, it observes the \n vtkRenderWindowInteractor to avoid picking during interaction, so that\n you still maintain your interactivity. In effect, the picker does an\n additional pick-render of your scene every time you stop interacting with\n your scene. As ",
  (char*)"an example, see Rendering/TestScenePicker.\n \n\n",
  "Caveats:\n\n - Unlike a vtkHoverWidget, this class is not timer based. The hover widget\n   picks a scene when the mouse is over an actor for a specified duration.\n - This class uses a vtkVisibleCellSelector under the hood. Hence, it will\n   work only for actors that have opaque geomerty and are rendered by a \n   vtkPolyDataMapper.\n \n\n",
  "See Also:\n\n vtkHoverWidget vtkVisibleCellSelector\n\n",
  NULL
};

static vtkObjectBase *vtkScenePickerStaticNew()
{
  return vtkScenePicker::New();
}

PyObject *PyVTKClass_vtkScenePickerNew(char *modulename)
{
  return PyVTKClass_New(&vtkScenePickerStaticNew,
                        PyvtkScenePickerMethods,
                        (char*)"vtkScenePicker",modulename,
                        (char**)vtkScenePickerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

