// python wrapper for vtkSelectVisiblePoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSelectVisiblePoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSelectVisiblePointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSelectVisiblePointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSelectVisiblePoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  const char    *temp20;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectVisiblePoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  char    *temp0;
  int      temp20;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectVisiblePoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  vtkSelectVisiblePoints  *temp20;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectVisiblePoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSelectVisiblePoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSelectVisiblePoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectVisiblePoints::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  vtkRenderer  *temp20;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectVisiblePoints::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_SetSelectionWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  int      temp0;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectVisiblePoints::SetSelectionWindow(temp0);
      }
    else
      {
      op->SetSelectionWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_GetSelectionWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  int      temp20;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectVisiblePoints::GetSelectionWindow();
      }
    else
      {
      temp20 = op->GetSelectionWindow();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_SelectionWindowOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectVisiblePoints::SelectionWindowOn();
      }
    else
      {
      op->SelectionWindowOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_SelectionWindowOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectVisiblePoints::SelectionWindowOff();
      }
    else
      {
      op->SelectionWindowOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_SetSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectVisiblePoints::SetSelection(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetSelection(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  int    temp0[4];
  PyErr_Clear();
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"(iiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectVisiblePoints::SetSelection(temp0);
      }
    else
      {
      op->SetSelection(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_GetSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  int     *temp20;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectVisiblePoints::GetSelection();
      }
    else
      {
      temp20 = op->GetSelection();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiii",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_SetSelectInvisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  int      temp0;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectVisiblePoints::SetSelectInvisible(temp0);
      }
    else
      {
      op->SetSelectInvisible(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_GetSelectInvisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  int      temp20;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectVisiblePoints::GetSelectInvisible();
      }
    else
      {
      temp20 = op->GetSelectInvisible();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_SelectInvisibleOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectVisiblePoints::SelectInvisibleOn();
      }
    else
      {
      op->SelectInvisibleOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_SelectInvisibleOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectVisiblePoints::SelectInvisibleOff();
      }
    else
      {
      op->SelectInvisibleOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  double   temp0;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectVisiblePoints::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  double   temp20;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectVisiblePoints::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  double   temp20;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectVisiblePoints::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  double   temp20;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectVisiblePoints::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectVisiblePoints_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectVisiblePoints *op;

  unsigned long     temp20;
  op = (vtkSelectVisiblePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectVisiblePoints::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSelectVisiblePointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSelectVisiblePoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSelectVisiblePoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSelectVisiblePoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSelectVisiblePoints\nC++: vtkSelectVisiblePoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSelectVisiblePoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSelectVisiblePoints\nC++: vtkSelectVisiblePoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkSelectVisiblePoints_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: void SetRenderer (vtkRenderer *ren);if this Renderer ren this Renderer ren this Modified \n\n Specify the renderer in which the visibility computation is to be\n performed.\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkSelectVisiblePoints_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();return this Renderer \n\n Set/Get the flag which enables selection in a rectangular display\n region.\n"},
  {(char*)"SetSelectionWindow",                (PyCFunction)PyvtkSelectVisiblePoints_SetSelectionWindow, 1,
   (char*)"V.SetSelectionWindow(int)\nC++: void SetSelectionWindow (int );\n\n Set/Get the flag which enables selection in a rectangular display\n region.\n"},
  {(char*)"GetSelectionWindow",                (PyCFunction)PyvtkSelectVisiblePoints_GetSelectionWindow, 1,
   (char*)"V.GetSelectionWindow() -> int\nC++: int GetSelectionWindow ();\n\n Set/Get the flag which enables selection in a rectangular display\n region.\n"},
  {(char*)"SelectionWindowOn",                (PyCFunction)PyvtkSelectVisiblePoints_SelectionWindowOn, 1,
   (char*)"V.SelectionWindowOn()\nC++: void SelectionWindowOn ();\n\n Set/Get the flag which enables selection in a rectangular display\n region.\n"},
  {(char*)"SelectionWindowOff",                (PyCFunction)PyvtkSelectVisiblePoints_SelectionWindowOff, 1,
   (char*)"V.SelectionWindowOff()\nC++: void SelectionWindowOff ();\n\n Set/Get the flag which enables selection in a rectangular display\n region.\n"},
  {(char*)"SetSelection",                (PyCFunction)PyvtkSelectVisiblePoints_SetSelection, 1,
   (char*)"V.SetSelection(int, int, int, int)\nC++: void SetSelection (int , int , int , int );\nV.SetSelection((int, int, int, int))\nC++: void SetSelection (int  a[4]);\n\n Specify the selection window in display coordinates. You must specify\n a rectangular region using (xmin,xmax,ymin,ymax).\n"},
  {(char*)"GetSelection",                (PyCFunction)PyvtkSelectVisiblePoints_GetSelection, 1,
   (char*)"V.GetSelection() -> (int, int, int, int)\nC++: int  *GetSelection ();\n\n Specify the selection window in display coordinates. You must specify\n a rectangular region using (xmin,xmax,ymin,ymax).\n"},
  {(char*)"SetSelectInvisible",                (PyCFunction)PyvtkSelectVisiblePoints_SetSelectInvisible, 1,
   (char*)"V.SetSelectInvisible(int)\nC++: void SetSelectInvisible (int );\n\n Set/Get the flag which enables inverse selection; i.e., invisible points\n are selected.\n"},
  {(char*)"GetSelectInvisible",                (PyCFunction)PyvtkSelectVisiblePoints_GetSelectInvisible, 1,
   (char*)"V.GetSelectInvisible() -> int\nC++: int GetSelectInvisible ();\n\n Set/Get the flag which enables inverse selection; i.e., invisible points\n are selected.\n"},
  {(char*)"SelectInvisibleOn",                (PyCFunction)PyvtkSelectVisiblePoints_SelectInvisibleOn, 1,
   (char*)"V.SelectInvisibleOn()\nC++: void SelectInvisibleOn ();\n\n Set/Get the flag which enables inverse selection; i.e., invisible points\n are selected.\n"},
  {(char*)"SelectInvisibleOff",                (PyCFunction)PyvtkSelectVisiblePoints_SelectInvisibleOff, 1,
   (char*)"V.SelectInvisibleOff()\nC++: void SelectInvisibleOff ();\n\n Set/Get the flag which enables inverse selection; i.e., invisible points\n are selected.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkSelectVisiblePoints_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance (double );\n\n Set/Get a tolerance to use to determine whether a point is visible. A\n tolerance is usually required because the conversion from world space\n to display space during rendering introduces numerical round-off.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkSelectVisiblePoints_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> float\nC++: double GetToleranceMinValue ();\n\n Set/Get a tolerance to use to determine whether a point is visible. A\n tolerance is usually required because the conversion from world space\n to display space during rendering introduces numerical round-off.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkSelectVisiblePoints_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> float\nC++: double GetToleranceMaxValue ();\n\n Set/Get a tolerance to use to determine whether a point is visible. A\n tolerance is usually required because the conversion from world space\n to display space during rendering introduces numerical round-off.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkSelectVisiblePoints_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance ();\n\n Set/Get a tolerance to use to determine whether a point is visible. A\n tolerance is usually required because the conversion from world space\n to display space during rendering introduces numerical round-off.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkSelectVisiblePoints_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return MTime also considering the renderer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSelectVisiblePointsDoc[] = {
  (char*)"vtkSelectVisiblePoints - extract points that are visible (based on z-buffer calculation)\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSelectVisiblePoints is a filter that selects points based on\n whether they are visible or not. Visibility is determined by\n accessing the z-buffer of a rendering window. (The position of each\n input point is converted into display coordinates, and then the\n z-value at that point is obtained. If within the user-specified\n tolerance, the point is considered visible.)\n\n Points that are visible (o",
  (char*)"r if the ivar SelectInvisible is on,\n invisible points) are passed to the output. Associated data\n attributes are passed to the output as well.\n\n This filter also allows you to specify a rectangular window in display\n (pixel) coordinates in which the visible points must lie. This can be\n used as a sort of local \"brushing\" operation to select just data within\n a window.\n \n\n",
  "Caveats:\n\n You must carefully synchronize the execution of this filter. The\n filter refers to a renderer, which is modified every time a render\n occurs. Therefore, the filter is always out of date, and always\n executes. You may have to perform two rendering passes, or if you\n are using this filter in conjunction with vtkLabeledDataMapper,\n things work out because 2D rendering occurs after the 3D rendering.\n\n",
  NULL
};

static vtkObjectBase *vtkSelectVisiblePointsStaticNew()
{
  return vtkSelectVisiblePoints::New();
}

PyObject *PyVTKClass_vtkSelectVisiblePointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkSelectVisiblePointsStaticNew,
                        PyvtkSelectVisiblePointsMethods,
                        (char*)"vtkSelectVisiblePoints",modulename,
                        (char**)vtkSelectVisiblePointsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

