// python wrapper for vtkShaderDeviceAdapter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkShaderDeviceAdapter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkShaderDeviceAdapterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkShaderDeviceAdapterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkShaderDeviceAdapter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderDeviceAdapter *op;

  const char    *temp20;
  op = (vtkShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderDeviceAdapter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderDeviceAdapter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderDeviceAdapter *op;

  char    *temp0;
  int      temp20;
  op = (vtkShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderDeviceAdapter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderDeviceAdapter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderDeviceAdapter *op;

  vtkShaderDeviceAdapter  *temp20;
  op = (vtkShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderDeviceAdapter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderDeviceAdapter_SendAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderDeviceAdapter *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  void    *temp3;
  int      size3;
  unsigned long     temp4;
  op = (vtkShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"ziis#l", &temp0, &temp1, &temp2, &temp3, &size3, &temp4);
  if (op)
    {
    temp3 = vtkPythonUnmanglePointer((char *)temp3,&size3,(char*)"void_p");
    if (size3 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendAttribute in vtkShaderDeviceAdapter was of incorrect type.");
      return NULL;
      }
    else if (size3 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SendAttribute in vtkShaderDeviceAdapter was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SendAttribute(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderDeviceAdapter_SetShaderProgram(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderDeviceAdapter *op;

  vtkShaderProgram  *temp0;
  PyObject *tempH0;
  op = (vtkShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkShaderProgram *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkShaderProgram");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkShaderDeviceAdapter::SetShaderProgram(temp0);
      }
    else
      {
      op->SetShaderProgram(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkShaderDeviceAdapter_GetShaderProgram(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderDeviceAdapter *op;

  vtkShaderProgram  *temp20;
  op = (vtkShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderDeviceAdapter::GetShaderProgram();
      }
    else
      {
      temp20 = op->GetShaderProgram();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderDeviceAdapter_PrepareForRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderDeviceAdapter *op;

  op = (vtkShaderDeviceAdapter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->PrepareForRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkShaderDeviceAdapterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkShaderDeviceAdapter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkShaderDeviceAdapter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkShaderDeviceAdapter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkShaderDeviceAdapter\nC++: vtkShaderDeviceAdapter *NewInstance ();\n\n"},
  {(char*)"SendAttribute",                (PyCFunction)PyvtkShaderDeviceAdapter_SendAttribute, 1,
   (char*)"V.SendAttribute(string, int, int, string, int)\nC++: virtual void SendAttribute (const char *attrname, int components, int type, const void *attribute, unsigned long offset) = 0;\n\n Sends a single attribute to the graphics card.  \n The attrname parameter identifies the name of attribute.  \n The components parameter gives the number of\n components in the attribute.  In general, components must be between\n 1-4, but a rendering system may impose even more constraints.  The\n type parameter is a VTK type enumeration (VTK_FLOAT, VTK_INT, etc.).\n Again, a rendering system may not support all types for all\n attributes.  The attribute parameter is the actual data for the\n attribute.\n If offset is specified, it is added to attribute pointer \\c after\n it has been casted to the proper type.\n"},
  {(char*)"SetShaderProgram",                (PyCFunction)PyvtkShaderDeviceAdapter_SetShaderProgram, 1,
   (char*)"V.SetShaderProgram(vtkShaderProgram)\nC++: void SetShaderProgram (vtkShaderProgram *pgm);this ShaderProgram pgm \n\n Set the shader program which is being updated by this device adapter.\n The shader program is not reference counted to avoid reference loops.\n"},
  {(char*)"GetShaderProgram",                (PyCFunction)PyvtkShaderDeviceAdapter_GetShaderProgram, 1,
   (char*)"V.GetShaderProgram() -> vtkShaderProgram\nC++: vtkShaderProgram *GetShaderProgram ();\n\n Set the shader program which is being updated by this device adapter.\n The shader program is not reference counted to avoid reference loops.\n"},
  {(char*)"PrepareForRender",                (PyCFunction)PyvtkShaderDeviceAdapter_PrepareForRender, 1,
   (char*)"V.PrepareForRender()\nC++: virtual void PrepareForRender () = 0;\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkShaderDeviceAdapterDoc[] = {
  (char*)"vtkShaderDeviceAdapter - an adapter to pass generic vertex attributes\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"None provided.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkShaderDeviceAdapterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkShaderDeviceAdapterMethods,
                        (char*)"vtkShaderDeviceAdapter",modulename,
                        (char**)vtkShaderDeviceAdapterDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

