// python wrapper for vtkShaderProgram object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkShaderProgram.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkShaderProgramNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkShaderProgramNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkShaderProgram_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  const char    *temp20;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderProgram::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderProgram_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  char    *temp0;
  int      temp20;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderProgram::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderProgram_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  vtkShaderProgram  *temp20;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderProgram::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderProgram_GetMaterial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  vtkXMLMaterial  *temp20;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderProgram::GetMaterial();
      }
    else
      {
      temp20 = op->GetMaterial();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderProgram_SetMaterial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  vtkXMLMaterial  *temp0;
  PyObject *tempH0;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkXMLMaterial *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLMaterial");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkShaderProgram::SetMaterial(temp0);
      }
    else
      {
      op->SetMaterial(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkShaderProgram_AddShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  vtkShader  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkShader *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkShader");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderProgram::AddShader(temp0);
      }
    else
      {
      temp20 = op->AddShader(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkShaderProgram_RemoveShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  int      temp0;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShaderProgram::RemoveShader(temp0);
      }
    else
      {
      op->RemoveShader(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  vtkShader  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkShader *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkShader");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkShaderProgram::RemoveShader(temp0);
      }
    else
      {
      op->RemoveShader(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkShaderProgram_NewShaderIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  vtkCollectionIterator  *temp20;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderProgram::NewShaderIterator();
      }
    else
      {
      temp20 = op->NewShaderIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderProgram_GetNumberOfShaders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  int      temp20;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderProgram::GetNumberOfShaders();
      }
    else
      {
      temp20 = op->GetNumberOfShaders();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderProgram_CreateShaderProgram(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  vtkShaderProgram  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkShaderProgram::CreateShaderProgram(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderProgram_ReadMaterial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShaderProgram::ReadMaterial();
      }
    else
      {
      op->ReadMaterial();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShaderProgram_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  vtkActor  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor");
    if (!temp0 && tempH0 != Py_None) goto break12;
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkShaderProgram_PostRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  vtkActor  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor");
    if (!temp0 && tempH0 != Py_None) goto break13;
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkShaderProgram::PostRender(temp0,temp1);
      }
    else
      {
      op->PostRender(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkShaderProgram_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkShaderProgram::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkShaderProgram_GetShaderDeviceAdapter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShaderProgram *op;

  vtkShaderDeviceAdapter  *temp20;
  op = (vtkShaderProgram *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShaderProgram::GetShaderDeviceAdapter();
      }
    else
      {
      temp20 = op->GetShaderDeviceAdapter();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkShaderProgramMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkShaderProgram_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkShaderProgram_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkShaderProgram_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkShaderProgram\nC++: vtkShaderProgram *NewInstance ();\n\n"},
  {(char*)"GetMaterial",                (PyCFunction)PyvtkShaderProgram_GetMaterial, 1,
   (char*)"V.GetMaterial() -> vtkXMLMaterial\nC++: vtkXMLMaterial *GetMaterial ();\n\n"},
  {(char*)"SetMaterial",                (PyCFunction)PyvtkShaderProgram_SetMaterial, 1,
   (char*)"V.SetMaterial(vtkXMLMaterial)\nC++: virtual void SetMaterial (vtkXMLMaterial *);\n\n"},
  {(char*)"AddShader",                (PyCFunction)PyvtkShaderProgram_AddShader, 1,
   (char*)"V.AddShader(vtkShader) -> int\nC++: int AddShader (vtkShader *shader);\n\n"},
  {(char*)"RemoveShader",                (PyCFunction)PyvtkShaderProgram_RemoveShader, 1,
   (char*)"V.RemoveShader(int)\nC++: void RemoveShader (int index);\nV.RemoveShader(vtkShader)\nC++: void RemoveShader (vtkShader *shader);\n\n Remove a shader at the given index.\n"},
  {(char*)"NewShaderIterator",                (PyCFunction)PyvtkShaderProgram_NewShaderIterator, 1,
   (char*)"V.NewShaderIterator() -> vtkCollectionIterator\nC++: vtkCollectionIterator *NewShaderIterator ();\n\n Returns a new iterator to iterate over the shaders.\n"},
  {(char*)"GetNumberOfShaders",                (PyCFunction)PyvtkShaderProgram_GetNumberOfShaders, 1,
   (char*)"V.GetNumberOfShaders() -> int\nC++: int GetNumberOfShaders ();\n\n Returns the number of shaders available in this\n shader program.\n"},
  {(char*)"CreateShaderProgram",                (PyCFunction)PyvtkShaderProgram_CreateShaderProgram, 1,
   (char*)"V.CreateShaderProgram(int) -> vtkShaderProgram\nC++: static vtkShaderProgram *CreateShaderProgram (int type);\n\n"},
  {(char*)"ReadMaterial",                (PyCFunction)PyvtkShaderProgram_ReadMaterial, 1,
   (char*)"V.ReadMaterial()\nC++: virtual void ReadMaterial ();\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkShaderProgram_Render, 1,
   (char*)"V.Render(vtkActor, vtkRenderer)\nC++: virtual void Render (vtkActor *, vtkRenderer *) = 0;\n\n"},
  {(char*)"PostRender",                (PyCFunction)PyvtkShaderProgram_PostRender, 1,
   (char*)"V.PostRender(vtkActor, vtkRenderer)\nC++: virtual void PostRender (vtkActor *, vtkRenderer *);\n\n Called to unload the shaders after the actor has been rendered.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkShaderProgram_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"GetShaderDeviceAdapter",                (PyCFunction)PyvtkShaderProgram_GetShaderDeviceAdapter, 1,
   (char*)"V.GetShaderDeviceAdapter() -> vtkShaderDeviceAdapter\nC++: vtkShaderDeviceAdapter *GetShaderDeviceAdapter ();\n\n Get the vtkShaderDeviceAdapter which can be used to execute this\n shader program.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkShaderProgramDoc[] = {
  (char*)"vtkShaderProgram\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkShaderProgram is a superclass for managing Hardware Shaders\n defined in the XML Material file and interfacing VTK to those shaders.\n It's concrete descendants are responsible for installing vertex and\n fragment programs to the graphics hardware.\n\n .SECTION Shader Operations are shader library operations that are performed\n on individual shaders, that is, without consideration of the partner sh",
  (char*)"ader.\n\n .SECTION Program Operations are shader library operations that treat the \n vertex and fragment shader as a single unit.\n\n .SECTION Design\n This class is a Strategy pattern for 'Program' operations, which treat\n vertex/fragment shader pairs as a single 'Program', as required by some\n shader libraries (GLSL). Typically, 'Shader' operations are delegated\n to instances of vtkShader (managed by",
  (char*)" descendants of this class)\n while 'Program' operations are handled by descendants of this class,\n vtkCgShaderProgram, vtkGLSLShaderProgram.\n\n\n",
  "See Also:\n\n vtkCgShaderProgram, vtkGLSLShaderProgram\n .SECTION Thanks\n Shader support in VTK includes key contributions by Gary Templet at \n Sandia National Labs.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkShaderProgramNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkShaderProgramMethods,
                        (char*)"vtkShaderProgram",modulename,
                        (char**)vtkShaderProgramDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

