// python wrapper for vtkShader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkShader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkShaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkShaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkShader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  const char    *temp20;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  char    *temp0;
  int      temp20;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  vtkShader  *temp20;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShader_Compile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  int      temp20;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Compile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShader_PassShaderVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  vtkActor  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkShader::PassShaderVariables(temp0,temp1);
      }
    else
      {
      op->PassShaderVariables(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkShader_Bind(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShader::Bind();
      }
    else
      {
      op->Bind();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShader_Unbind(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShader::Unbind();
      }
    else
      {
      op->Unbind();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShader_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkShader::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkShader_SetXMLShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  vtkXMLShader  *temp0;
  PyObject *tempH0;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkXMLShader *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLShader");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkShader::SetXMLShader(temp0);
      }
    else
      {
      op->SetXMLShader(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkShader_GetXMLShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  vtkXMLShader  *temp20;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShader::GetXMLShader();
      }
    else
      {
      temp20 = op->GetXMLShader();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShader_HasShaderVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  char    *temp0;
  int      temp20;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShader::HasShaderVariable(temp0);
      }
    else
      {
      temp20 = op->HasShaderVariable(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShader_GetShaderVariableSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  char    *temp0;
  int      temp20;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShader::GetShaderVariableSize(temp0);
      }
    else
      {
      temp20 = op->GetShaderVariableSize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShader_GetShaderVariableType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  char    *temp0;
  int      temp20;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShader::GetShaderVariableType(temp0);
      }
    else
      {
      temp20 = op->GetShaderVariableType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShader_GetScope(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShader *op;

  int      temp20;
  op = (vtkShader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShader::GetScope();
      }
    else
      {
      temp20 = op->GetScope();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkShaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkShader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkShader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkShader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkShader\nC++: vtkShader *NewInstance ();\n\n"},
  {(char*)"Compile",                (PyCFunction)PyvtkShader_Compile, 1,
   (char*)"V.Compile() -> int\nC++: virtual int Compile () = 0;\n\n Called to compile the shader code.\n The subclasses must only compile the code in this method.\n Returns if the compile was successful.\n Subclasses should compile the code only if it was not\n already compiled.\n"},
  {(char*)"PassShaderVariables",                (PyCFunction)PyvtkShader_PassShaderVariables, 1,
   (char*)"V.PassShaderVariables(vtkActor, vtkRenderer)\nC++: virtual void PassShaderVariables (vtkActor *actor, vtkRenderer *ren);\n\n Called to pass VTK actor/property/light values and other\n Shader variables over to the shader. This is called by the ShaderProgram\n during each render.\n"},
  {(char*)"Bind",                (PyCFunction)PyvtkShader_Bind, 1,
   (char*)"V.Bind()\nC++: virtual void Bind ();\n\n Called to unbind the shader. As with Bind(), this is only applicable\n to Cg.\n"},
  {(char*)"Unbind",                (PyCFunction)PyvtkShader_Unbind, 1,
   (char*)"V.Unbind()\nC++: virtual void Unbind ();\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkShader_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Get/Set the XMLShader representation for this shader.\n A shader is not valid without a XMLShader.\n"},
  {(char*)"SetXMLShader",                (PyCFunction)PyvtkShader_SetXMLShader, 1,
   (char*)"V.SetXMLShader(vtkXMLShader)\nC++: void SetXMLShader (vtkXMLShader *);\n\n Get/Set the XMLShader representation for this shader.\n A shader is not valid without a XMLShader.\n"},
  {(char*)"GetXMLShader",                (PyCFunction)PyvtkShader_GetXMLShader, 1,
   (char*)"V.GetXMLShader() -> vtkXMLShader\nC++: vtkXMLShader *GetXMLShader ();\n\n Get/Set the XMLShader representation for this shader.\n A shader is not valid without a XMLShader.\n"},
  {(char*)"HasShaderVariable",                (PyCFunction)PyvtkShader_HasShaderVariable, 1,
   (char*)"V.HasShaderVariable(string) -> int\nC++: int HasShaderVariable (const char *name);\n\n Indicates if a variable by the given name exists.\n"},
  {(char*)"GetShaderVariableSize",                (PyCFunction)PyvtkShader_GetShaderVariableSize, 1,
   (char*)"V.GetShaderVariableSize(string) -> int\nC++: int GetShaderVariableSize (const char *name);\n\n Get number of elements in a Shader variable. Return 0 if\n failed to find the shader variable.\n"},
  {(char*)"GetShaderVariableType",                (PyCFunction)PyvtkShader_GetShaderVariableType, 1,
   (char*)"V.GetShaderVariableType(string) -> int\nC++: int GetShaderVariableType (const char *name);\n\n Returns the type of a Shader variable with the given name.\n Return 0 on error.\n"},
  {(char*)"GetScope",                (PyCFunction)PyvtkShader_GetScope, 1,
   (char*)"V.GetScope() -> int\nC++: int GetScope ();\n\n Returns the scope of the shader i.e. if it's a vertex or fragment shader.\n (vtkXMLShader::SCOPE_VERTEX or vtkXMLShader::SCOPE_FRAGMENT).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkShaderDoc[] = {
  (char*)"vtkShader\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkShader is a base class for interfacing VTK to hardware shader\n libraries. vtkShader interprets a vtkXMLDataElement that describes a\n particular shader. Descendants of this class inherit this functionality and\n additionally interface to specific shader libraries like NVidia's Cg and\n OpenGL2.0 (GLSL) to perform operations, on individual shaders.\n \n During each render, the vtkShaderProgram calls",
  (char*)" Compile(),\n PassShaderVariables(), Bind() and after the actor has been rendered,\n calls Unbind(), in that order.\n\n",
  "See Also:\n\n vtkCgShader vtkGLSLShader\n .SECTION Thanks\n Shader support in VTK includes key contributions by Gary Templet at \n Sandia National Labs.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkShaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkShaderMethods,
                        (char*)"vtkShader",modulename,
                        (char**)vtkShaderDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

