// python wrapper for vtkStandardPolyDataPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStandardPolyDataPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStandardPolyDataPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStandardPolyDataPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataPainterNew(char *); }

static PyObject *PyvtkStandardPolyDataPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStandardPolyDataPainter *op;

  const char    *temp20;
  op = (vtkStandardPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStandardPolyDataPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStandardPolyDataPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStandardPolyDataPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkStandardPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStandardPolyDataPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStandardPolyDataPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStandardPolyDataPainter *op;

  vtkStandardPolyDataPainter  *temp20;
  op = (vtkStandardPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStandardPolyDataPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStandardPolyDataPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStandardPolyDataPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStandardPolyDataPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkStandardPolyDataPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStandardPolyDataPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStandardPolyDataPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStandardPolyDataPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStandardPolyDataPainter\nC++: vtkStandardPolyDataPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStandardPolyDataPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStandardPolyDataPainter\nC++: vtkStandardPolyDataPainter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStandardPolyDataPainterDoc[] = {
  (char*)"vtkStandardPolyDataPainter - A standard implementation of vtkPolyDataPainter.\n\n",
  "Super Class:\n\n vtkPolyDataPainter\n\n",
  (char*)" vtkStandardPolyDataPainter is a catch-all painter.  It should work with pretty\n much any vtkPolyData, and attributes, and vtkPolyDataPainterDeviceAdapter.  On\n the flip side, the vtkStandardPolyDataPainter will be slower than the more\n special purpose painters.\n\n",
  "See Also:\n\n vtkDefaultPainter\n .SECTION Thanks\n Support for generic vertex attributes in VTK was contributed in\n collaboration with Stephane Ploix at EDF.\n\n",
  NULL
};

static vtkObjectBase *vtkStandardPolyDataPainterStaticNew()
{
  return vtkStandardPolyDataPainter::New();
}

PyObject *PyVTKClass_vtkStandardPolyDataPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkStandardPolyDataPainterStaticNew,
                        PyvtkStandardPolyDataPainterMethods,
                        (char*)"vtkStandardPolyDataPainter",modulename,
                        (char**)vtkStandardPolyDataPainterDoc,
                        PyVTKClass_vtkPolyDataPainterNew(modulename));
}

