// python wrapper for vtkTStripsPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTStripsPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTStripsPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTStripsPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPrimitivePainterNew(char *); }

static PyObject *PyvtkTStripsPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTStripsPainter *op;

  const char    *temp20;
  op = (vtkTStripsPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTStripsPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTStripsPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTStripsPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTStripsPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTStripsPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTStripsPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTStripsPainter *op;

  vtkTStripsPainter  *temp20;
  op = (vtkTStripsPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTStripsPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTStripsPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTStripsPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTStripsPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTStripsPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTStripsPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTStripsPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTStripsPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTStripsPainter\nC++: vtkTStripsPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTStripsPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTStripsPainter\nC++: vtkTStripsPainter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTStripsPainterDoc[] = {
  (char*)"vtkTStripsPainter - painter for triangle strips.\n\n",
  "Super Class:\n\n vtkPrimitivePainter\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkTStripsPainterStaticNew()
{
  return vtkTStripsPainter::New();
}

PyObject *PyVTKClass_vtkTStripsPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTStripsPainterStaticNew,
                        PyvtkTStripsPainterMethods,
                        (char*)"vtkTStripsPainter",modulename,
                        (char**)vtkTStripsPainterDoc,
                        PyVTKClass_vtkPrimitivePainterNew(modulename));
}

