// python wrapper for vtkTextActor3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextActor3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextActor3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextActor3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProp3DNew(char *); }

static PyObject *PyvtkTextActor3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor3D *op;

  const char    *temp20;
  op = (vtkTextActor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextActor3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor3D *op;

  vtkTextActor3D  *temp20;
  op = (vtkTextActor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextActor3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextActor3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextActor3D_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor3D *op;

  char    *temp0;
  op = (vtkTextActor3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor3D::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor3D_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor3D *op;

  char    *temp20;
  op = (vtkTextActor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor3D::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor3D_SetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor3D *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkTextActor3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor3D::SetTextProperty(temp0);
      }
    else
      {
      op->SetTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkTextActor3D_GetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor3D *op;

  vtkTextProperty  *temp20;
  op = (vtkTextActor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor3D::GetTextProperty();
      }
    else
      {
      temp20 = op->GetTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor3D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor3D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkTextActor3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor3D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkTextActor3D_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor3D *op;

  double  *temp20;
  op = (vtkTextActor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor3D::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor3D_GetBoundingBox(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor3D *op;

  int    temp0[4];
  int      temp20;
  op = (vtkTextActor3D *)PyArg_VTKParseTuple(self, args, (char*)"(iiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor3D::GetBoundingBox(temp0);
      }
    else
      {
      temp20 = op->GetBoundingBox(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextActor3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextActor3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextActor3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextActor3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextActor3D\nC++: vtkTextActor3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextActor3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextActor3D\nC++: vtkTextActor3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkTextActor3D_SetInput, 1,
   (char*)"V.SetInput(string)\nC++: void SetInput (char *);\n\n Set the text string to be displayed.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkTextActor3D_GetInput, 1,
   (char*)"V.GetInput() -> string\nC++: char *GetInput ();\n\n Set the text string to be displayed.\n"},
  {(char*)"SetTextProperty",                (PyCFunction)PyvtkTextActor3D_SetTextProperty, 1,
   (char*)"V.SetTextProperty(vtkTextProperty)\nC++: virtual void SetTextProperty (vtkTextProperty *p);\n\n Set/Get the text property.\n"},
  {(char*)"GetTextProperty",                (PyCFunction)PyvtkTextActor3D_GetTextProperty, 1,
   (char*)"V.GetTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTextProperty ();\n\n Set/Get the text property.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkTextActor3D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of this text actor. Overloads the virtual\n vtkProp method.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkTextActor3D_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();\n\n Get the bounds for this Prop3D as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).  \n These are the padded-to-power-of-two texture bounds.\n"},
  {(char*)"GetBoundingBox",                (PyCFunction)PyvtkTextActor3D_GetBoundingBox, 1,
   (char*)"V.GetBoundingBox((int, int, int, int)) -> int\nC++: int GetBoundingBox (int bbox[4]);\n\n Get the Freetype-derived real bounding box for the given vtkTextProperty\n and text string str.  Results are returned in the four element bbox int\n array.  This call can be used for sizing other elements.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextActor3DDoc[] = {
  (char*)"vtkTextActor3D - An actor that displays text.\n\n",
  "Super Class:\n\n vtkProp3D\n\n",
  (char*)" The input text is rendered into a buffer, which in turn is used as a\n texture applied onto a quad (a vtkImageActor is used under the hood).\n .SECTION Warning\n This class is experimental at the moment. \n - The orientation is not optimized, the quad should be oriented, not\n   the text itself when it is rendered in the buffer (we end up with\n   excessively big textures for 45 degrees angles).\n   Thi",
  (char*)"s will be fixed first.\n - No checking is done at the moment regarding hardware texture size limits.\n - Alignment is not supported (soon).\n - Multiline is not supported.\n - Need to fix angle out of 0<->360\n\n\n",
  "See Also:\n\n vtkProp3D\n\n",
  NULL
};

static vtkObjectBase *vtkTextActor3DStaticNew()
{
  return vtkTextActor3D::New();
}

PyObject *PyVTKClass_vtkTextActor3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextActor3DStaticNew,
                        PyvtkTextActor3DMethods,
                        (char*)"vtkTextActor3D",modulename,
                        (char**)vtkTextActor3DDoc,
                        PyVTKClass_vtkProp3DNew(modulename));
}

