// python wrapper for vtkTextActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActor2DNew(char *); }

static PyObject *PyvtkTextActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  const char    *temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkTextActor  *temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextActor_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTextActor_SetMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkPolyDataMapper2D  *temp0;
  PyObject *tempH0;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyDataMapper2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyDataMapper2D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetMapper(temp0);
      }
    else
      {
      op->SetMapper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTextActor_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  char    *temp0;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  char    *temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetMinimumSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp0;
  int      temp1;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetMinimumSize(temp0,temp1);
      }
    else
      {
      op->SetMinimumSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetMinimumSize(temp0);
      }
    else
      {
      op->SetMinimumSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetMinimumSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int     *temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetMinimumSize();
      }
    else
      {
      temp20 = op->GetMinimumSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetMaximumLineHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  float    temp0;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetMaximumLineHeight(temp0);
      }
    else
      {
      op->SetMaximumLineHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetMaximumLineHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  float    temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetMaximumLineHeight();
      }
    else
      {
      temp20 = op->GetMaximumLineHeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetTextScaleMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp0;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetTextScaleMode(temp0);
      }
    else
      {
      op->SetTextScaleMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetTextScaleModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetTextScaleModeMinValue();
      }
    else
      {
      temp20 = op->GetTextScaleModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetTextScaleModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetTextScaleModeMaxValue();
      }
    else
      {
      temp20 = op->GetTextScaleModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetTextScaleMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetTextScaleMode();
      }
    else
      {
      temp20 = op->GetTextScaleMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetTextScaleModeToNone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetTextScaleModeToNone();
      }
    else
      {
      op->SetTextScaleModeToNone();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetTextScaleModeToProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetTextScaleModeToProp();
      }
    else
      {
      op->SetTextScaleModeToProp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetTextScaleModeToViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetTextScaleModeToViewport();
      }
    else
      {
      op->SetTextScaleModeToViewport();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkTextActor_SetScaledText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp0;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetScaledText(temp0);
      }
    else
      {
      op->SetScaledText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkTextActor_GetScaledText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetScaledText();
      }
    else
      {
      temp20 = op->GetScaledText();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkTextActor_ScaledTextOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::ScaledTextOn();
      }
    else
      {
      op->ScaledTextOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkTextActor_ScaledTextOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::ScaledTextOff();
      }
    else
      {
      op->ScaledTextOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


static PyObject *PyvtkTextActor_SetUseBorderAlign(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp0;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetUseBorderAlign(temp0);
      }
    else
      {
      op->SetUseBorderAlign(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetUseBorderAlign(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetUseBorderAlign();
      }
    else
      {
      temp20 = op->GetUseBorderAlign();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_UseBorderAlignOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::UseBorderAlignOn();
      }
    else
      {
      op->UseBorderAlignOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_UseBorderAlignOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::UseBorderAlignOff();
      }
    else
      {
      op->UseBorderAlignOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetAlignmentPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp0;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetAlignmentPoint(temp0);
      }
    else
      {
      op->SetAlignmentPoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetAlignmentPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetAlignmentPoint();
      }
    else
      {
      temp20 = op->GetAlignmentPoint();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  float    temp0;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetOrientation(temp0);
      }
    else
      {
      op->SetOrientation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  float    temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetOrientation();
      }
    else
      {
      temp20 = op->GetOrientation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetTextProperty(temp0);
      }
    else
      {
      op->SetTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkTextActor_GetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkTextProperty  *temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetTextProperty();
      }
    else
      {
      temp20 = op->GetTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetNonLinearFontScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  double   temp0;
  int      temp1;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"di", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetNonLinearFontScale(temp0,temp1);
      }
    else
      {
      op->SetNonLinearFontScale(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_ComputeScaledFont(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break35;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::ComputeScaledFont(temp0);
      }
    else
      {
      op->ComputeScaledFont(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break35:
  return NULL;
}


static PyObject *PyvtkTextActor_GetScaledTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkTextProperty  *temp20;
  op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetScaledTextProperty();
      }
    else
      {
      temp20 = op->GetScaledTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetFontScale(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport  *temp0;
  PyObject *tempH0;
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break37;
      {
      temp20 = vtkTextActor::GetFontScale(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break37:
  return NULL;
}

static PyMethodDef PyvtkTextActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextActor\nC++: vtkTextActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextActor\nC++: vtkTextActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkTextActor_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of this text actor. Overloads the virtual\n vtkProp method.\n"},
  {(char*)"SetMapper",                (PyCFunction)PyvtkTextActor_SetMapper, 1,
   (char*)"V.SetMapper(vtkPolyDataMapper2D)\nC++: void SetMapper (vtkPolyDataMapper2D *mapper);\n\n Override the vtkPolyDataMapper2D that defines the text to be drawn.\n One will be created by default if none is supplied\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkTextActor_SetInput, 1,
   (char*)"V.SetInput(string)\nC++: void SetInput (const char *inputString);\n\n Set the text string to be displayed. \"\\n\" is recognized\n as a carriage return/linefeed (line separator). Only 7-bit ASCII is\n allowed (anything else, such as Latin1 or UTF8, is not acceptable).\n Convenience method to the underlying mapper\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkTextActor_GetInput, 1,
   (char*)"V.GetInput() -> string\nC++: char *GetInput ();\n\n Set the text string to be displayed. \"\\n\" is recognized\n as a carriage return/linefeed (line separator). Only 7-bit ASCII is\n allowed (anything else, such as Latin1 or UTF8, is not acceptable).\n Convenience method to the underlying mapper\n"},
  {(char*)"SetMinimumSize",                (PyCFunction)PyvtkTextActor_SetMinimumSize, 1,
   (char*)"V.SetMinimumSize(int, int)\nC++: void SetMinimumSize (int , int );\nV.SetMinimumSize((int, int))\nC++: void SetMinimumSize (int  a[2]);\n\n Set/Get the minimum size in pixels for this actor.\n Defaults to 10,10.\n Only valid when TextScaleMode is PROP.\n"},
  {(char*)"GetMinimumSize",                (PyCFunction)PyvtkTextActor_GetMinimumSize, 1,
   (char*)"V.GetMinimumSize() -> (int, int)\nC++: int  *GetMinimumSize ();\n\n Set/Get the minimum size in pixels for this actor.\n Defaults to 10,10.\n Only valid when TextScaleMode is PROP.\n"},
  {(char*)"SetMaximumLineHeight",                (PyCFunction)PyvtkTextActor_SetMaximumLineHeight, 1,
   (char*)"V.SetMaximumLineHeight(float)\nC++: void SetMaximumLineHeight (float );\n\n Set/Get the maximum height of a line of text as a\n percentage of the vertical area allocated to this\n scaled text actor. Defaults to 1.0.\n Only valid when TextScaleMode is PROP.\n"},
  {(char*)"GetMaximumLineHeight",                (PyCFunction)PyvtkTextActor_GetMaximumLineHeight, 1,
   (char*)"V.GetMaximumLineHeight() -> float\nC++: float GetMaximumLineHeight ();\n\n Set/Get the maximum height of a line of text as a\n percentage of the vertical area allocated to this\n scaled text actor. Defaults to 1.0.\n Only valid when TextScaleMode is PROP.\n"},
  {(char*)"SetTextScaleMode",                (PyCFunction)PyvtkTextActor_SetTextScaleMode, 1,
   (char*)"V.SetTextScaleMode(int)\nC++: void SetTextScaleMode (int );\n\n Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n"},
  {(char*)"GetTextScaleModeMinValue",                (PyCFunction)PyvtkTextActor_GetTextScaleModeMinValue, 1,
   (char*)"V.GetTextScaleModeMinValue() -> int\nC++: int GetTextScaleModeMinValue ();\n\n Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n"},
  {(char*)"GetTextScaleModeMaxValue",                (PyCFunction)PyvtkTextActor_GetTextScaleModeMaxValue, 1,
   (char*)"V.GetTextScaleModeMaxValue() -> int\nC++: int GetTextScaleModeMaxValue ();\n\n Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n"},
  {(char*)"GetTextScaleMode",                (PyCFunction)PyvtkTextActor_GetTextScaleMode, 1,
   (char*)"V.GetTextScaleMode() -> int\nC++: int GetTextScaleMode ();\n\n Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n"},
  {(char*)"SetTextScaleModeToNone",                (PyCFunction)PyvtkTextActor_SetTextScaleModeToNone, 1,
   (char*)"V.SetTextScaleModeToNone()\nC++: void SetTextScaleModeToNone ();this SetTextScaleMode TEXT_SCALE_MODE_NONE \n\n Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n"},
  {(char*)"SetTextScaleModeToProp",                (PyCFunction)PyvtkTextActor_SetTextScaleModeToProp, 1,
   (char*)"V.SetTextScaleModeToProp()\nC++: void SetTextScaleModeToProp ();this SetTextScaleMode TEXT_SCALE_MODE_PROP \n\n Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n"},
  {(char*)"SetTextScaleModeToViewport",                (PyCFunction)PyvtkTextActor_SetTextScaleModeToViewport, 1,
   (char*)"V.SetTextScaleModeToViewport()\nC++: void SetTextScaleModeToViewport ();this SetTextScaleMode TEXT_SCALE_MODE_VIEWPORT \n\n DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or\n GetTextScaleMode instead.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetScaledText",                (PyCFunction)PyvtkTextActor_SetScaledText, 1,
   (char*)"V.SetScaledText(int)\nC++: void SetScaledText (int );\n\n DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or\n GetTextScaleMode instead.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetScaledText",                (PyCFunction)PyvtkTextActor_GetScaledText, 1,
   (char*)"V.GetScaledText() -> int\nC++: int GetScaledText ();\n\n DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or\n GetTextScaleMode instead.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"ScaledTextOn",                (PyCFunction)PyvtkTextActor_ScaledTextOn, 1,
   (char*)"V.ScaledTextOn()\nC++: void ScaledTextOn ();\n\n DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or\n GetTextScaleMode instead.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"ScaledTextOff",                (PyCFunction)PyvtkTextActor_ScaledTextOff, 1,
   (char*)"V.ScaledTextOff()\nC++: void ScaledTextOff ();\n\n DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or\n GetTextScaleMode instead.\n"},
#endif
  {(char*)"SetUseBorderAlign",                (PyCFunction)PyvtkTextActor_SetUseBorderAlign, 1,
   (char*)"V.SetUseBorderAlign(int)\nC++: void SetUseBorderAlign (int );\n\n Turn on or off the UseBorderAlign option.\n When UseBorderAlign is on, the bounding rectangle is used to align the text,\n which is the proper behavior when using vtkTextRepresentation\n"},
  {(char*)"GetUseBorderAlign",                (PyCFunction)PyvtkTextActor_GetUseBorderAlign, 1,
   (char*)"V.GetUseBorderAlign() -> int\nC++: int GetUseBorderAlign ();\n\n Turn on or off the UseBorderAlign option.\n When UseBorderAlign is on, the bounding rectangle is used to align the text,\n which is the proper behavior when using vtkTextRepresentation\n"},
  {(char*)"UseBorderAlignOn",                (PyCFunction)PyvtkTextActor_UseBorderAlignOn, 1,
   (char*)"V.UseBorderAlignOn()\nC++: void UseBorderAlignOn ();\n\n Turn on or off the UseBorderAlign option.\n When UseBorderAlign is on, the bounding rectangle is used to align the text,\n which is the proper behavior when using vtkTextRepresentation\n"},
  {(char*)"UseBorderAlignOff",                (PyCFunction)PyvtkTextActor_UseBorderAlignOff, 1,
   (char*)"V.UseBorderAlignOff()\nC++: void UseBorderAlignOff ();\n\n Turn on or off the UseBorderAlign option.\n When UseBorderAlign is on, the bounding rectangle is used to align the text,\n which is the proper behavior when using vtkTextRepresentation\n"},
  {(char*)"SetAlignmentPoint",                (PyCFunction)PyvtkTextActor_SetAlignmentPoint, 1,
   (char*)"V.SetAlignmentPoint(int)\nC++: void SetAlignmentPoint (int point);\n\n This method is being depricated.  Use SetJustification and\n SetVerticalJustification in text property instead.\n Set/Get the Alignment point\n if zero (default), the text aligns itself to the bottom left corner\n (which is defined by the PositionCoordinate)\n otherwise the text aligns itself to corner/midpoint or centre\n @verbatim\n      6   7   8\n      3   4   5\n      0   1   2\n @endverbatim\n This is the same as setting the TextProperty's justification.\n Currently TextActor is not oriented around its AlignmentPoint.\n"},
  {(char*)"GetAlignmentPoint",                (PyCFunction)PyvtkTextActor_GetAlignmentPoint, 1,
   (char*)"V.GetAlignmentPoint() -> int\nC++: int GetAlignmentPoint ();\n\n This method is being depricated.  Use SetJustification and\n SetVerticalJustification in text property instead.\n Set/Get the Alignment point\n if zero (default), the text aligns itself to the bottom left corner\n (which is defined by the PositionCoordinate)\n otherwise the text aligns itself to corner/midpoint or centre\n @verbatim\n      6   7   8\n      3   4   5\n      0   1   2\n @endverbatim\n This is the same as setting the TextProperty's justification.\n Currently TextActor is not oriented around its AlignmentPoint.\n"},
  {(char*)"SetOrientation",                (PyCFunction)PyvtkTextActor_SetOrientation, 1,
   (char*)"V.SetOrientation(float)\nC++: void SetOrientation (float orientation);\n\n Counterclockwise rotation around the Alignment point.  \n Units are in degrees and defaults to 0.\n The orientation in the text property rotates the text in the \n texture map.  It will proba ly not give you the effect you\n desire.\n"},
  {(char*)"GetOrientation",                (PyCFunction)PyvtkTextActor_GetOrientation, 1,
   (char*)"V.GetOrientation() -> float\nC++: float GetOrientation ();\n\n Counterclockwise rotation around the Alignment point.  \n Units are in degrees and defaults to 0.\n The orientation in the text property rotates the text in the \n texture map.  It will proba ly not give you the effect you\n desire.\n"},
  {(char*)"SetTextProperty",                (PyCFunction)PyvtkTextActor_SetTextProperty, 1,
   (char*)"V.SetTextProperty(vtkTextProperty)\nC++: virtual void SetTextProperty (vtkTextProperty *p);\n\n Set/Get the text property.\n"},
  {(char*)"GetTextProperty",                (PyCFunction)PyvtkTextActor_GetTextProperty, 1,
   (char*)"V.GetTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTextProperty ();\n\n Set/Get the text property.\n"},
  {(char*)"SetNonLinearFontScale",                (PyCFunction)PyvtkTextActor_SetNonLinearFontScale, 1,
   (char*)"V.SetNonLinearFontScale(float, int)\nC++: virtual void SetNonLinearFontScale (double exponent, int target);\n\n Enable non-linear scaling of font sizes. This is useful in combination\n with scaled text. With small windows you want to use the entire scaled\n text area. With larger windows you want to reduce the font size some so\n that the entire area is not used. These values modify the computed font \n size as follows:  \n   newFontSize = pow(FontSize,exponent)*pow(target,1.0 - exponent)\n typically exponent should be around 0.7 and target should be around 10\n"},
  {(char*)"ComputeScaledFont",                (PyCFunction)PyvtkTextActor_ComputeScaledFont, 1,
   (char*)"V.ComputeScaledFont(vtkViewport)\nC++: virtual void ComputeScaledFont (vtkViewport *viewport);\n\n Compute the scale the font should be given the viewport.  The result\n is placed in the ScaledTextProperty ivar.\n"},
  {(char*)"GetScaledTextProperty",                (PyCFunction)PyvtkTextActor_GetScaledTextProperty, 1,
   (char*)"V.GetScaledTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetScaledTextProperty ();\n\n Get the scaled font.  Use ComputeScaledFont to set the scale for a given\n viewport.\n"},
  {(char*)"GetFontScale",                (PyCFunction)PyvtkTextActor_GetFontScale, 1,
   (char*)"V.GetFontScale(vtkViewport) -> float\nC++: static float GetFontScale (vtkViewport *viewport);\n\n Provide a font scaling based on a viewport.  This is the scaling factor\n used when the TextScaleMode is set to VIEWPORT and has been made public for\n other components to use.  This scaling assumes that the long dimension of\n the viewport is meant to be 6 inches (a typical width of text in a paper)\n and then resizes based on if that long dimension was 72 DPI.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextActorDoc[] = {
  (char*)"vtkTextActor - An actor that displays text. Scaled or unscaled\n\n",
  "Super Class:\n\n vtkActor2D\n\n",
  (char*)" vtkTextActor can be used to place text annotation into a window.\n When TextScaleMode is NONE, the text is fixed font and operation is\n the same as a vtkPolyDataMapper2D/vtkActor2D pair.\n When TextScaleMode is VIEWPORT, the font resizes such that it maintains a\n consistent size relative to the viewport in which it is rendered.\n When TextScaleMode is PROP, the font resizes such that the text fits i",
  (char*)"nside\n the box defined by the position 1 & 2 coordinates. This class replaces the\n deprecated vtkScaledTextActor and acts as a convenient wrapper for\n a vtkTextMapper/vtkActor2D pair.\n Set the text property/attributes through the vtkTextProperty associated to\n this actor.\n\n\n",
  "See Also:\n\n vtkActor2D vtkPolyDataMapper vtkTextProperty vtkFreeTypeUtilities\n\n",
  NULL
};

static vtkObjectBase *vtkTextActorStaticNew()
{
  return vtkTextActor::New();
}

PyObject *PyVTKClass_vtkTextActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextActorStaticNew,
                        PyvtkTextActorMethods,
                        (char*)"vtkTextActor",modulename,
                        (char**)vtkTextActorDoc,
                        PyVTKClass_vtkActor2DNew(modulename));
}

