// tcl wrapper for vtkTextActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextActor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTextActorNewCommand()
{
  vtkTextActor *temp = vtkTextActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTextActorCppCommand(vtkTextActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTextActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTextActorCppCommand(static_cast<vtkTextActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTextActorCppCommand(vtkTextActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTextActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTextActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTextActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTextActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextActor");
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMapper",argv[1]))&&(argc == 3))
    {
    vtkPolyDataMapper2D  *temp0;
    error = 0;

    temp0 = (vtkPolyDataMapper2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyDataMapper2D"),interp,error));
    if (!error)
    {
    op->SetMapper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInput();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetMinimumSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinimumSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetMinimumSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetMinimumSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumLineHeight",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumLineHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumLineHeight",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumLineHeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTextScaleMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTextScaleMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextScaleModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextScaleModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextScaleModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextScaleModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextScaleMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextScaleMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTextScaleModeToNone",argv[1]))&&(argc == 2))
    {
    op->SetTextScaleModeToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTextScaleModeToProp",argv[1]))&&(argc == 2))
    {
    op->SetTextScaleModeToProp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTextScaleModeToViewport",argv[1]))&&(argc == 2))
    {
    op->SetTextScaleModeToViewport();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetScaledText",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaledText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetScaledText",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaledText();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("ScaledTextOn",argv[1]))&&(argc == 2))
    {
    op->ScaledTextOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("ScaledTextOff",argv[1]))&&(argc == 2))
    {
    op->ScaledTextOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#endif
  if ((!strcmp("SetUseBorderAlign",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseBorderAlign(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseBorderAlign",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseBorderAlign();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseBorderAlignOn",argv[1]))&&(argc == 2))
    {
    op->UseBorderAlignOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseBorderAlignOff",argv[1]))&&(argc == 2))
    {
    op->UseBorderAlignOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAlignmentPoint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAlignmentPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAlignmentPoint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAlignmentPoint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientation",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetNonLinearFontScale",argv[1]))&&(argc == 4))
    {
    double   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetNonLinearFontScale(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeScaledFont",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    op->ComputeScaledFont(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaledTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetScaledTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetFontScale",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    float    temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetFontScale(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTextActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTextActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMapper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumSize\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLineHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLineHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetTextScaleMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextScaleModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextScaleModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextScaleMode\n",NULL);
    Tcl_AppendResult(interp,"  SetTextScaleModeToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetTextScaleModeToProp\n",NULL);
    Tcl_AppendResult(interp,"  SetTextScaleModeToViewport\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetScaledText\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetScaledText\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  ScaledTextOn\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  ScaledTextOff\n",NULL);
#endif
    Tcl_AppendResult(interp,"  SetUseBorderAlign\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseBorderAlign\n",NULL);
    Tcl_AppendResult(interp,"  UseBorderAlignOn\n",NULL);
    Tcl_AppendResult(interp,"  UseBorderAlignOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAlignmentPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAlignmentPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetNonLinearFontScale\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeScaledFont\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaledTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetFontScale\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "SetMapper" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumSize" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumSize" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumSize" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLineHeight" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLineHeight" );
    Tcl_DStringAppendElement ( &dString, "SetTextScaleMode" );
    Tcl_DStringAppendElement ( &dString, "GetTextScaleModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextScaleModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextScaleMode" );
    Tcl_DStringAppendElement ( &dString, "SetTextScaleModeToNone" );
    Tcl_DStringAppendElement ( &dString, "SetTextScaleModeToProp" );
    Tcl_DStringAppendElement ( &dString, "SetTextScaleModeToViewport" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetScaledText" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetScaledText" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "ScaledTextOn" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "ScaledTextOff" );
#endif
    Tcl_DStringAppendElement ( &dString, "SetUseBorderAlign" );
    Tcl_DStringAppendElement ( &dString, "GetUseBorderAlign" );
    Tcl_DStringAppendElement ( &dString, "UseBorderAlignOn" );
    Tcl_DStringAppendElement ( &dString, "UseBorderAlignOff" );
    Tcl_DStringAppendElement ( &dString, "SetAlignmentPoint" );
    Tcl_DStringAppendElement ( &dString, "GetAlignmentPoint" );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetNonLinearFontScale" );
    Tcl_DStringAppendElement ( &dString, "ComputeScaledFont" );
    Tcl_DStringAppendElement ( &dString, "GetScaledTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetFontScale" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActor2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with a rectangle in normaled view coordinates\n of (0.2,0.85, 0.8, 0.95).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTextActor *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of this text actor. Overloads the virtual\n vtkProp method.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy (vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMapper */
    if ( strcmp ( argv[2], "SetMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataMapper2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMapper */
    Tcl_DStringAppendElement ( &dString, " Override the vtkPolyDataMapper2D that defines the text to be drawn.\n One will be created by default if none is supplied\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMapper (vtkPolyDataMapper2D *mapper);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the text string to be displayed. \"\\n\" is recognized\n as a carriage return/linefeed (line separator). Only 7-bit ASCII is\n allowed (anything else, such as Latin1 or UTF8, is not acceptable).\n Convenience method to the underlying mapper\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput (const char *inputString);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Set the text string to be displayed. \"\\n\" is recognized\n as a carriage return/linefeed (line separator). Only 7-bit ASCII is\n allowed (anything else, such as Latin1 or UTF8, is not acceptable).\n Convenience method to the underlying mapper\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumSize */
    if ( strcmp ( argv[2], "SetMinimumSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum size in pixels for this actor.\n Defaults to 10,10.\n Only valid when TextScaleMode is PROP.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumSize (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetMinimumSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumSize */
    if ( strcmp ( argv[2], "SetMinimumSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum size in pixels for this actor.\n Defaults to 10,10.\n Only valid when TextScaleMode is PROP.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumSize (int  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetMinimumSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumSize */
    if ( strcmp ( argv[2], "GetMinimumSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum size in pixels for this actor.\n Defaults to 10,10.\n Only valid when TextScaleMode is PROP.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetMinimumSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetMinimumSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumLineHeight */
    if ( strcmp ( argv[2], "SetMaximumLineHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLineHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumLineHeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum height of a line of text as a\n percentage of the vertical area allocated to this\n scaled text actor. Defaults to 1.0.\n Only valid when TextScaleMode is PROP.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumLineHeight (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetMaximumLineHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLineHeight */
    if ( strcmp ( argv[2], "GetMaximumLineHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLineHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLineHeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum height of a line of text as a\n percentage of the vertical area allocated to this\n scaled text actor. Defaults to 1.0.\n Only valid when TextScaleMode is PROP.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumLineHeight ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetMaximumLineHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextScaleMode */
    if ( strcmp ( argv[2], "SetTextScaleMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextScaleMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextScaleMode */
    Tcl_DStringAppendElement ( &dString, " Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextScaleMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetTextScaleMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextScaleModeMinValue */
    if ( strcmp ( argv[2], "GetTextScaleModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextScaleModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextScaleModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextScaleModeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetTextScaleModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextScaleModeMaxValue */
    if ( strcmp ( argv[2], "GetTextScaleModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextScaleModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextScaleModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextScaleModeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetTextScaleModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextScaleMode */
    if ( strcmp ( argv[2], "GetTextScaleMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextScaleMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextScaleMode */
    Tcl_DStringAppendElement ( &dString, " Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextScaleMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetTextScaleMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextScaleModeToNone */
    if ( strcmp ( argv[2], "SetTextScaleModeToNone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextScaleModeToNone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextScaleModeToNone */
    Tcl_DStringAppendElement ( &dString, " Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextScaleModeToNone ();this SetTextScaleMode TEXT_SCALE_MODE_NONE " );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetTextScaleModeToNone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextScaleModeToProp */
    if ( strcmp ( argv[2], "SetTextScaleModeToProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextScaleModeToProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextScaleModeToProp */
    Tcl_DStringAppendElement ( &dString, " Set how text should be scaled.  If set to\n vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the\n size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,\n the text will be scaled to fit exactly in the prop as specified by the\n position 1 & 2 coordinates.  If set to\n vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on\n the size of the viewport it is displayed in.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextScaleModeToProp ();this SetTextScaleMode TEXT_SCALE_MODE_PROP " );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetTextScaleModeToProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextScaleModeToViewport */
    if ( strcmp ( argv[2], "SetTextScaleModeToViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextScaleModeToViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextScaleModeToViewport */
    Tcl_DStringAppendElement ( &dString, " DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or\n GetTextScaleMode instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextScaleModeToViewport ();this SetTextScaleMode TEXT_SCALE_MODE_VIEWPORT " );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetTextScaleModeToViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetScaledText */
    if ( strcmp ( argv[2], "SetScaledText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaledText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaledText */
    Tcl_DStringAppendElement ( &dString, " DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or\n GetTextScaleMode instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaledText (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetScaledText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetScaledText */
    if ( strcmp ( argv[2], "GetScaledText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaledText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaledText */
    Tcl_DStringAppendElement ( &dString, " DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or\n GetTextScaleMode instead.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScaledText ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetScaledText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: ScaledTextOn */
    if ( strcmp ( argv[2], "ScaledTextOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaledTextOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaledTextOn */
    Tcl_DStringAppendElement ( &dString, " DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or\n GetTextScaleMode instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaledTextOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for ScaledTextOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: ScaledTextOff */
    if ( strcmp ( argv[2], "ScaledTextOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaledTextOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaledTextOff */
    Tcl_DStringAppendElement ( &dString, " DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or\n GetTextScaleMode instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaledTextOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for ScaledTextOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
    /* Starting function: SetUseBorderAlign */
    if ( strcmp ( argv[2], "SetUseBorderAlign" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseBorderAlign" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseBorderAlign */
    Tcl_DStringAppendElement ( &dString, " Turn on or off the UseBorderAlign option.\n When UseBorderAlign is on, the bounding rectangle is used to align the text,\n which is the proper behavior when using vtkTextRepresentation\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseBorderAlign (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetUseBorderAlign */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseBorderAlign */
    if ( strcmp ( argv[2], "GetUseBorderAlign" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseBorderAlign" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseBorderAlign */
    Tcl_DStringAppendElement ( &dString, " Turn on or off the UseBorderAlign option.\n When UseBorderAlign is on, the bounding rectangle is used to align the text,\n which is the proper behavior when using vtkTextRepresentation\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseBorderAlign ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetUseBorderAlign */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseBorderAlignOn */
    if ( strcmp ( argv[2], "UseBorderAlignOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseBorderAlignOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseBorderAlignOn */
    Tcl_DStringAppendElement ( &dString, " Turn on or off the UseBorderAlign option.\n When UseBorderAlign is on, the bounding rectangle is used to align the text,\n which is the proper behavior when using vtkTextRepresentation\n" );
    Tcl_DStringAppendElement ( &dString, "void UseBorderAlignOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for UseBorderAlignOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseBorderAlignOff */
    if ( strcmp ( argv[2], "UseBorderAlignOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseBorderAlignOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseBorderAlignOff */
    Tcl_DStringAppendElement ( &dString, " Turn on or off the UseBorderAlign option.\n When UseBorderAlign is on, the bounding rectangle is used to align the text,\n which is the proper behavior when using vtkTextRepresentation\n" );
    Tcl_DStringAppendElement ( &dString, "void UseBorderAlignOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for UseBorderAlignOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAlignmentPoint */
    if ( strcmp ( argv[2], "SetAlignmentPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAlignmentPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAlignmentPoint */
    Tcl_DStringAppendElement ( &dString, " This method is being depricated.  Use SetJustification and\n SetVerticalJustification in text property instead.\n Set/Get the Alignment point\n if zero (default), the text aligns itself to the bottom left corner\n (which is defined by the PositionCoordinate)\n otherwise the text aligns itself to corner/midpoint or centre\n @verbatim\n      6   7   8\n      3   4   5\n      0   1   2\n @endverbatim\n This is the same as setting the TextProperty's justification.\n Currently T ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAlignmentPoint (int point);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetAlignmentPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAlignmentPoint */
    if ( strcmp ( argv[2], "GetAlignmentPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAlignmentPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAlignmentPoint */
    Tcl_DStringAppendElement ( &dString, " This method is being depricated.  Use SetJustification and\n SetVerticalJustification in text property instead.\n Set/Get the Alignment point\n if zero (default), the text aligns itself to the bottom left corner\n (which is defined by the PositionCoordinate)\n otherwise the text aligns itself to corner/midpoint or centre\n @verbatim\n      6   7   8\n      3   4   5\n      0   1   2\n @endverbatim\n This is the same as setting the TextProperty's justification.\n Currently T ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAlignmentPoint ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetAlignmentPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientation */
    if ( strcmp ( argv[2], "SetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientation */
    Tcl_DStringAppendElement ( &dString, " Counterclockwise rotation around the Alignment point.  \n Units are in degrees and defaults to 0.\n The orientation in the text property rotates the text in the \n texture map.  It will proba ly not give you the effect you\n desire.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientation (float orientation);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientation */
    if ( strcmp ( argv[2], "GetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientation */
    Tcl_DStringAppendElement ( &dString, " Counterclockwise rotation around the Alignment point.  \n Units are in degrees and defaults to 0.\n The orientation in the text property rotates the text in the \n texture map.  It will proba ly not give you the effect you\n desire.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetOrientation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextProperty */
    if ( strcmp ( argv[2], "SetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextProperty (vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextProperty */
    if ( strcmp ( argv[2], "GetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNonLinearFontScale */
    if ( strcmp ( argv[2], "SetNonLinearFontScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNonLinearFontScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNonLinearFontScale */
    Tcl_DStringAppendElement ( &dString, " Enable non-linear scaling of font sizes. This is useful in combination\n with scaled text. With small windows you want to use the entire scaled\n text area. With larger windows you want to reduce the font size some so\n that the entire area is not used. These values modify the computed font \n size as follows:  \n   newFontSize = pow(FontSize,exponent)*pow(target,1.0 - exponent)\n typically exponent should be around 0.7 and target should be around 10\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNonLinearFontScale (double exponent, int target);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for SetNonLinearFontScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeScaledFont */
    if ( strcmp ( argv[2], "ComputeScaledFont" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeScaledFont" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeScaledFont */
    Tcl_DStringAppendElement ( &dString, " Compute the scale the font should be given the viewport.  The result\n is placed in the ScaledTextProperty ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeScaledFont (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for ComputeScaledFont */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaledTextProperty */
    if ( strcmp ( argv[2], "GetScaledTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaledTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaledTextProperty */
    Tcl_DStringAppendElement ( &dString, " Get the scaled font.  Use ComputeScaledFont to set the scale for a given\n viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetScaledTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetScaledTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontScale */
    if ( strcmp ( argv[2], "GetFontScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontScale */
    Tcl_DStringAppendElement ( &dString, " Provide a font scaling based on a viewport.  This is the scaling factor\n used when the TextScaleMode is set to VIEWPORT and has been made public for\n other components to use.  This scaling assumes that the long dimension of\n the viewport is meant to be 6 inches (a typical width of text in a paper)\n and then resizes based on if that long dimension was 72 DPI.\n" );
    Tcl_DStringAppendElement ( &dString, "static float GetFontScale (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextActor" );
    /* Closing for GetFontScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
