// python wrapper for vtkTextMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMapper2DNew(char *); }

static PyObject *PyvtkTextMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  const char    *temp20;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  vtkTextMapper  *temp20;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextMapper_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int    temp1[2];
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"O(ii)", &tempH0, temp1 + 0, temp1 + 1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextMapper::GetSize(temp0,temp1);
      }
    else
      {
      op->GetSize(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTextMapper_GetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextMapper::GetWidth(temp0);
      }
    else
      {
      temp20 = op->GetWidth(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTextMapper_GetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextMapper::GetHeight(temp0);
      }
    else
      {
      temp20 = op->GetHeight(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkTextMapper_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  char    *temp0;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextMapper_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  char    *temp20;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextMapper::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextMapper_SetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextMapper::SetTextProperty(temp0);
      }
    else
      {
      op->SetTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkTextMapper_GetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  vtkTextProperty  *temp20;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextMapper::GetTextProperty();
      }
    else
      {
      temp20 = op->GetTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextMapper_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  vtkTextMapper  *temp0;
  PyObject *tempH0;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextMapper");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextMapper::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkTextMapper_GetNumberOfLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextMapper::GetNumberOfLines(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfLines(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  int      temp20;
  PyErr_Clear();
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextMapper::GetNumberOfLines();
      }
    else
      {
      temp20 = op->GetNumberOfLines();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextMapper_SetConstrainedFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextMapper::SetConstrainedFontSize(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->SetConstrainedFontSize(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  /* handle an occurrence */
  {
  vtkTextMapper  *temp0;
  PyObject *tempH0;
  vtkViewport  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp3;
  int      temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"OOii", &tempH0, &tempH1, &temp2, &temp3)))
    {
    temp0 = (vtkTextMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextMapper");
    if (!temp0 && tempH0 != Py_None) goto break15;
    temp1 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkViewport");
    if (!temp1 && tempH1 != Py_None) goto break15;
      {
      temp20 = vtkTextMapper::SetConstrainedFontSize(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkTextMapper_GetSystemFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextMapper *op;

  int      temp0;
  int      temp20;
  op = (vtkTextMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextMapper::GetSystemFontSize(temp0);
      }
    else
      {
      temp20 = op->GetSystemFontSize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextMapper\nC++: vtkTextMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextMapper\nC++: vtkTextMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkTextMapper_GetSize, 1,
   (char*)"V.GetSize(vtkViewport, (int, int))\nC++: virtual void GetSize (vtkViewport *, int size[2]);size size \n\n Return the size[2]/width/height of the rectangle required to draw this\n mapper (in pixels).\n"},
  {(char*)"GetWidth",                (PyCFunction)PyvtkTextMapper_GetWidth, 1,
   (char*)"V.GetWidth(vtkViewport) -> int\nC++: virtual int GetWidth (vtkViewport *v);\n\n Return the size[2]/width/height of the rectangle required to draw this\n mapper (in pixels).\n"},
  {(char*)"GetHeight",                (PyCFunction)PyvtkTextMapper_GetHeight, 1,
   (char*)"V.GetHeight(vtkViewport) -> int\nC++: virtual int GetHeight (vtkViewport *v);\n\n Return the size[2]/width/height of the rectangle required to draw this\n mapper (in pixels).\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkTextMapper_SetInput, 1,
   (char*)"V.SetInput(string)\nC++: virtual void SetInput (const char *inputString);\n\n Set the input text string to the mapper.  The mapper recognizes \"\\n\"\n as a carriage return/linefeed (line separator).\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkTextMapper_GetInput, 1,
   (char*)"V.GetInput() -> string\nC++: char *GetInput ();\n\n Set the input text string to the mapper.  The mapper recognizes \"\\n\"\n as a carriage return/linefeed (line separator).\n"},
  {(char*)"SetTextProperty",                (PyCFunction)PyvtkTextMapper_SetTextProperty, 1,
   (char*)"V.SetTextProperty(vtkTextProperty)\nC++: virtual void SetTextProperty (vtkTextProperty *p);\n\n Set/Get the text property.\n"},
  {(char*)"GetTextProperty",                (PyCFunction)PyvtkTextMapper_GetTextProperty, 1,
   (char*)"V.GetTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTextProperty ();\n\n Set/Get the text property.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkTextMapper_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkTextMapper)\nC++: void ShallowCopy (vtkTextMapper *tm);\n\n Shallow copy of an actor.\n"},
  {(char*)"GetNumberOfLines",                (PyCFunction)PyvtkTextMapper_GetNumberOfLines, 1,
   (char*)"V.GetNumberOfLines(string) -> int\nC++: int GetNumberOfLines (const char *input);\nV.GetNumberOfLines() -> int\nC++: int GetNumberOfLines ();\n\n Determine the number of lines in the input string (delimited by \"\\n\").\n"},
  {(char*)"SetConstrainedFontSize",                (PyCFunction)PyvtkTextMapper_SetConstrainedFontSize, 1,
   (char*)"V.SetConstrainedFontSize(vtkViewport, int, int) -> int\nC++: virtual int SetConstrainedFontSize (vtkViewport *, int targetWidth, int targetHeight);\nV.SetConstrainedFontSize(vtkTextMapper, vtkViewport, int, int) -> int\nC++: static int SetConstrainedFontSize (vtkTextMapper *, vtkViewport *, int targetWidth, int targetHeight);\n\n Set and return the font size required to make this mapper fit in a given \n target rectangle (width x height, in pixels). A static version of the method\n is also available for convenience to other classes (e.g., widgets).  \n"},
  {(char*)"GetSystemFontSize",                (PyCFunction)PyvtkTextMapper_GetSystemFontSize, 1,
   (char*)"V.GetSystemFontSize(int) -> int\nC++: virtual int GetSystemFontSize (int size);return size \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextMapperDoc[] = {
  (char*)"vtkTextMapper - 2D text annotation\n\n",
  "Super Class:\n\n vtkMapper2D\n\n",
  (char*)" vtkTextMapper provides 2D text annotation support for VTK.  It is a\n vtkMapper2D that can be associated with a vtkActor2D and placed into a\n vtkRenderer.\n\n To use vtkTextMapper, specify an input text string.\n\n",
  "See Also:\n\n vtkMapper2D vtkActor2D vtkLegendBoxActor vtkCaptionActor2D vtkVectorText vtkTextProperty\n\n",
  NULL
};

static vtkObjectBase *vtkTextMapperStaticNew()
{
  return vtkTextMapper::New();
}

PyObject *PyVTKClass_vtkTextMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextMapperStaticNew,
                        PyvtkTextMapperMethods,
                        (char*)"vtkTextMapper",modulename,
                        (char**)vtkTextMapperDoc,
                        PyVTKClass_vtkMapper2DNew(modulename));
}

