// python wrapper for vtkTextProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextPropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextPropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTextProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  const char    *temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  vtkTextProperty  *temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextProperty  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextProperty::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextProperty_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetColor(temp0);
      }
    else
      {
      op->SetColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double  *temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetColor();
      }
    else
      {
      temp20 = op->GetColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double   temp0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetOpacity(temp0);
      }
    else
      {
      op->SetOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double   temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetOpacity();
      }
    else
      {
      temp20 = op->GetOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetFontFamily(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetFontFamily(temp0);
      }
    else
      {
      op->SetFontFamily(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetFontFamilyMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetFontFamilyMinValue();
      }
    else
      {
      temp20 = op->GetFontFamilyMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetFontFamilyMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetFontFamilyMaxValue();
      }
    else
      {
      temp20 = op->GetFontFamilyMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetFontFamily(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetFontFamily();
      }
    else
      {
      temp20 = op->GetFontFamily();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetFontFamilyToArial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetFontFamilyToArial();
      }
    else
      {
      op->SetFontFamilyToArial();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetFontFamilyToCourier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetFontFamilyToCourier();
      }
    else
      {
      op->SetFontFamilyToCourier();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetFontFamilyToTimes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetFontFamilyToTimes();
      }
    else
      {
      op->SetFontFamilyToTimes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetFontFamilyFromString(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkTextProperty::GetFontFamilyFromString(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetFontFamilyAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  const char    *temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetFontFamilyAsString();
      }
    else
      {
      temp20 = op->GetFontFamilyAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkTextProperty::GetFontFamilyAsString(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetFontSize(temp0);
      }
    else
      {
      op->SetFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetFontSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetFontSizeMinValue();
      }
    else
      {
      temp20 = op->GetFontSizeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetFontSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetFontSizeMaxValue();
      }
    else
      {
      temp20 = op->GetFontSizeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetFontSize();
      }
    else
      {
      temp20 = op->GetFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetBold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetBold(temp0);
      }
    else
      {
      op->SetBold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetBold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetBold();
      }
    else
      {
      temp20 = op->GetBold();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_BoldOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::BoldOn();
      }
    else
      {
      op->BoldOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_BoldOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::BoldOff();
      }
    else
      {
      op->BoldOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetItalic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetItalic(temp0);
      }
    else
      {
      op->SetItalic(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetItalic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetItalic();
      }
    else
      {
      temp20 = op->GetItalic();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_ItalicOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::ItalicOn();
      }
    else
      {
      op->ItalicOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_ItalicOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::ItalicOff();
      }
    else
      {
      op->ItalicOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetShadow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetShadow(temp0);
      }
    else
      {
      op->SetShadow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetShadow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetShadow();
      }
    else
      {
      temp20 = op->GetShadow();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_ShadowOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::ShadowOn();
      }
    else
      {
      op->ShadowOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_ShadowOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::ShadowOff();
      }
    else
      {
      op->ShadowOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetShadowOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp0;
  int      temp1;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetShadowOffset(temp0,temp1);
      }
    else
      {
      op->SetShadowOffset(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetShadowOffset(temp0);
      }
    else
      {
      op->SetShadowOffset(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetShadowOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int     *temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetShadowOffset();
      }
    else
      {
      temp20 = op->GetShadowOffset();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetShadowColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double temp0[3];
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::GetShadowColor(temp0);
      }
    else
      {
      op->GetShadowColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetJustification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetJustification(temp0);
      }
    else
      {
      op->SetJustification(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetJustificationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetJustificationMinValue();
      }
    else
      {
      temp20 = op->GetJustificationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetJustificationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetJustificationMaxValue();
      }
    else
      {
      temp20 = op->GetJustificationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetJustification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetJustification();
      }
    else
      {
      temp20 = op->GetJustification();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetJustificationToLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetJustificationToLeft();
      }
    else
      {
      op->SetJustificationToLeft();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetJustificationToCentered(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetJustificationToCentered();
      }
    else
      {
      op->SetJustificationToCentered();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetJustificationToRight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetJustificationToRight();
      }
    else
      {
      op->SetJustificationToRight();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetJustificationAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  const char    *temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetJustificationAsString();
      }
    else
      {
      temp20 = op->GetJustificationAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetVerticalJustification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetVerticalJustification(temp0);
      }
    else
      {
      op->SetVerticalJustification(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetVerticalJustificationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetVerticalJustificationMinValue();
      }
    else
      {
      temp20 = op->GetVerticalJustificationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetVerticalJustificationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetVerticalJustificationMaxValue();
      }
    else
      {
      temp20 = op->GetVerticalJustificationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetVerticalJustification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  int      temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetVerticalJustification();
      }
    else
      {
      temp20 = op->GetVerticalJustification();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetVerticalJustificationToBottom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetVerticalJustificationToBottom();
      }
    else
      {
      op->SetVerticalJustificationToBottom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetVerticalJustificationToCentered(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetVerticalJustificationToCentered();
      }
    else
      {
      op->SetVerticalJustificationToCentered();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetVerticalJustificationToTop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetVerticalJustificationToTop();
      }
    else
      {
      op->SetVerticalJustificationToTop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetVerticalJustificationAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  const char    *temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetVerticalJustificationAsString();
      }
    else
      {
      temp20 = op->GetVerticalJustificationAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double   temp0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetOrientation(temp0);
      }
    else
      {
      op->SetOrientation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double   temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetOrientation();
      }
    else
      {
      temp20 = op->GetOrientation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetLineSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double   temp0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetLineSpacing(temp0);
      }
    else
      {
      op->SetLineSpacing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetLineSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double   temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetLineSpacing();
      }
    else
      {
      temp20 = op->GetLineSpacing();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_SetLineOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double   temp0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::SetLineOffset(temp0);
      }
    else
      {
      op->SetLineOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_GetLineOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  double   temp20;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextProperty::GetLineOffset();
      }
    else
      {
      temp20 = op->GetLineOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextProperty_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextProperty *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkTextProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextProperty::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break61:
  return NULL;
}

static PyMethodDef PyvtkTextPropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextProperty\nC++: vtkTextProperty *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextProperty\nC++: vtkTextProperty *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkTextProperty_SetColor, 1,
   (char*)"V.SetColor(float, float, float)\nC++: void SetColor (double , double , double );\nV.SetColor((float, float, float))\nC++: void SetColor (double  a[3]);\n\n Set the color of the text.\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkTextProperty_GetColor, 1,
   (char*)"V.GetColor() -> (float, float, float)\nC++: double  *GetColor ();\n\n Set the color of the text.\n"},
  {(char*)"SetOpacity",                (PyCFunction)PyvtkTextProperty_SetOpacity, 1,
   (char*)"V.SetOpacity(float)\nC++: void SetOpacity (double );\n\n Set/Get the text's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n"},
  {(char*)"GetOpacity",                (PyCFunction)PyvtkTextProperty_GetOpacity, 1,
   (char*)"V.GetOpacity() -> float\nC++: double GetOpacity ();\n\n Set/Get the text's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n"},
  {(char*)"SetFontFamily",                (PyCFunction)PyvtkTextProperty_SetFontFamily, 1,
   (char*)"V.SetFontFamily(int)\nC++: void SetFontFamily (int );\n\n Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL),\n Courier (VTK_COURIER), and Times (VTK_TIMES).\n"},
  {(char*)"GetFontFamilyMinValue",                (PyCFunction)PyvtkTextProperty_GetFontFamilyMinValue, 1,
   (char*)"V.GetFontFamilyMinValue() -> int\nC++: int GetFontFamilyMinValue ();\n\n Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL),\n Courier (VTK_COURIER), and Times (VTK_TIMES).\n"},
  {(char*)"GetFontFamilyMaxValue",                (PyCFunction)PyvtkTextProperty_GetFontFamilyMaxValue, 1,
   (char*)"V.GetFontFamilyMaxValue() -> int\nC++: int GetFontFamilyMaxValue ();\n\n Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL),\n Courier (VTK_COURIER), and Times (VTK_TIMES).\n"},
  {(char*)"GetFontFamily",                (PyCFunction)PyvtkTextProperty_GetFontFamily, 1,
   (char*)"V.GetFontFamily() -> int\nC++: int GetFontFamily ();\n\n Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL),\n Courier (VTK_COURIER), and Times (VTK_TIMES).\n"},
  {(char*)"SetFontFamilyToArial",                (PyCFunction)PyvtkTextProperty_SetFontFamilyToArial, 1,
   (char*)"V.SetFontFamilyToArial()\nC++: void SetFontFamilyToArial ();this SetFontFamily VTK_ARIAL \n\n Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL),\n Courier (VTK_COURIER), and Times (VTK_TIMES).\n"},
  {(char*)"SetFontFamilyToCourier",                (PyCFunction)PyvtkTextProperty_SetFontFamilyToCourier, 1,
   (char*)"V.SetFontFamilyToCourier()\nC++: void SetFontFamilyToCourier ();this SetFontFamily VTK_COURIER \n\n Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL),\n Courier (VTK_COURIER), and Times (VTK_TIMES).\n"},
  {(char*)"SetFontFamilyToTimes",                (PyCFunction)PyvtkTextProperty_SetFontFamilyToTimes, 1,
   (char*)"V.SetFontFamilyToTimes()\nC++: void SetFontFamilyToTimes ();this SetFontFamily VTK_TIMES \n\n Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL),\n Courier (VTK_COURIER), and Times (VTK_TIMES).\n"},
  {(char*)"GetFontFamilyFromString",                (PyCFunction)PyvtkTextProperty_GetFontFamilyFromString, 1,
   (char*)"V.GetFontFamilyFromString(string) -> int\nC++: static int GetFontFamilyFromString (const char *f);\n\n Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL),\n Courier (VTK_COURIER), and Times (VTK_TIMES).\n"},
  {(char*)"GetFontFamilyAsString",                (PyCFunction)PyvtkTextProperty_GetFontFamilyAsString, 1,
   (char*)"V.GetFontFamilyAsString() -> string\nC++: const char *GetFontFamilyAsString ();\nV.GetFontFamilyAsString(int) -> string\nC++: static const char *GetFontFamilyAsString (int f);\n\n Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL),\n Courier (VTK_COURIER), and Times (VTK_TIMES).\n"},
  {(char*)"SetFontSize",                (PyCFunction)PyvtkTextProperty_SetFontSize, 1,
   (char*)"V.SetFontSize(int)\nC++: void SetFontSize (int );\n\n Set/Get the font size (in points).\n"},
  {(char*)"GetFontSizeMinValue",                (PyCFunction)PyvtkTextProperty_GetFontSizeMinValue, 1,
   (char*)"V.GetFontSizeMinValue() -> int\nC++: int GetFontSizeMinValue ();\n\n Set/Get the font size (in points).\n"},
  {(char*)"GetFontSizeMaxValue",                (PyCFunction)PyvtkTextProperty_GetFontSizeMaxValue, 1,
   (char*)"V.GetFontSizeMaxValue() -> int\nC++: int GetFontSizeMaxValue ();\n\n Set/Get the font size (in points).\n"},
  {(char*)"GetFontSize",                (PyCFunction)PyvtkTextProperty_GetFontSize, 1,
   (char*)"V.GetFontSize() -> int\nC++: int GetFontSize ();\n\n Set/Get the font size (in points).\n"},
  {(char*)"SetBold",                (PyCFunction)PyvtkTextProperty_SetBold, 1,
   (char*)"V.SetBold(int)\nC++: void SetBold (int );\n\n Enable/disable text bolding.\n"},
  {(char*)"GetBold",                (PyCFunction)PyvtkTextProperty_GetBold, 1,
   (char*)"V.GetBold() -> int\nC++: int GetBold ();\n\n Enable/disable text bolding.\n"},
  {(char*)"BoldOn",                (PyCFunction)PyvtkTextProperty_BoldOn, 1,
   (char*)"V.BoldOn()\nC++: void BoldOn ();\n\n Enable/disable text bolding.\n"},
  {(char*)"BoldOff",                (PyCFunction)PyvtkTextProperty_BoldOff, 1,
   (char*)"V.BoldOff()\nC++: void BoldOff ();\n\n Enable/disable text bolding.\n"},
  {(char*)"SetItalic",                (PyCFunction)PyvtkTextProperty_SetItalic, 1,
   (char*)"V.SetItalic(int)\nC++: void SetItalic (int );\n\n Enable/disable text italic.\n"},
  {(char*)"GetItalic",                (PyCFunction)PyvtkTextProperty_GetItalic, 1,
   (char*)"V.GetItalic() -> int\nC++: int GetItalic ();\n\n Enable/disable text italic.\n"},
  {(char*)"ItalicOn",                (PyCFunction)PyvtkTextProperty_ItalicOn, 1,
   (char*)"V.ItalicOn()\nC++: void ItalicOn ();\n\n Enable/disable text italic.\n"},
  {(char*)"ItalicOff",                (PyCFunction)PyvtkTextProperty_ItalicOff, 1,
   (char*)"V.ItalicOff()\nC++: void ItalicOff ();\n\n Enable/disable text italic.\n"},
  {(char*)"SetShadow",                (PyCFunction)PyvtkTextProperty_SetShadow, 1,
   (char*)"V.SetShadow(int)\nC++: void SetShadow (int );\n\n Enable/disable text shadow.\n"},
  {(char*)"GetShadow",                (PyCFunction)PyvtkTextProperty_GetShadow, 1,
   (char*)"V.GetShadow() -> int\nC++: int GetShadow ();\n\n Enable/disable text shadow.\n"},
  {(char*)"ShadowOn",                (PyCFunction)PyvtkTextProperty_ShadowOn, 1,
   (char*)"V.ShadowOn()\nC++: void ShadowOn ();\n\n Enable/disable text shadow.\n"},
  {(char*)"ShadowOff",                (PyCFunction)PyvtkTextProperty_ShadowOff, 1,
   (char*)"V.ShadowOff()\nC++: void ShadowOff ();\n\n Enable/disable text shadow.\n"},
  {(char*)"SetShadowOffset",                (PyCFunction)PyvtkTextProperty_SetShadowOffset, 1,
   (char*)"V.SetShadowOffset(int, int)\nC++: void SetShadowOffset (int , int );\nV.SetShadowOffset((int, int))\nC++: void SetShadowOffset (int  a[2]);\n\n Set/Get the shadow offset, i.e. the distance from the text to\n its shadow, in the same unit as FontSize.\n"},
  {(char*)"GetShadowOffset",                (PyCFunction)PyvtkTextProperty_GetShadowOffset, 1,
   (char*)"V.GetShadowOffset() -> (int, int)\nC++: int  *GetShadowOffset ();\n\n Set/Get the shadow offset, i.e. the distance from the text to\n its shadow, in the same unit as FontSize.\n"},
  {(char*)"GetShadowColor",                (PyCFunction)PyvtkTextProperty_GetShadowColor, 1,
   (char*)"V.GetShadowColor((float, float, float))\nC++: void GetShadowColor (double color[3]);\n\n Get the shadow color. It is computed from the Color ivar\n"},
  {(char*)"SetJustification",                (PyCFunction)PyvtkTextProperty_SetJustification, 1,
   (char*)"V.SetJustification(int)\nC++: void SetJustification (int );\n\n Set/Get the horizontal justification to left (default), centered,\n or right.\n"},
  {(char*)"GetJustificationMinValue",                (PyCFunction)PyvtkTextProperty_GetJustificationMinValue, 1,
   (char*)"V.GetJustificationMinValue() -> int\nC++: int GetJustificationMinValue ();\n\n Set/Get the horizontal justification to left (default), centered,\n or right.\n"},
  {(char*)"GetJustificationMaxValue",                (PyCFunction)PyvtkTextProperty_GetJustificationMaxValue, 1,
   (char*)"V.GetJustificationMaxValue() -> int\nC++: int GetJustificationMaxValue ();\n\n Set/Get the horizontal justification to left (default), centered,\n or right.\n"},
  {(char*)"GetJustification",                (PyCFunction)PyvtkTextProperty_GetJustification, 1,
   (char*)"V.GetJustification() -> int\nC++: int GetJustification ();\n\n Set/Get the horizontal justification to left (default), centered,\n or right.\n"},
  {(char*)"SetJustificationToLeft",                (PyCFunction)PyvtkTextProperty_SetJustificationToLeft, 1,
   (char*)"V.SetJustificationToLeft()\nC++: void SetJustificationToLeft ();this SetJustification VTK_TEXT_LEFT \n\n Set/Get the horizontal justification to left (default), centered,\n or right.\n"},
  {(char*)"SetJustificationToCentered",                (PyCFunction)PyvtkTextProperty_SetJustificationToCentered, 1,
   (char*)"V.SetJustificationToCentered()\nC++: void SetJustificationToCentered ();this SetJustification VTK_TEXT_CENTERED \n\n Set/Get the horizontal justification to left (default), centered,\n or right.\n"},
  {(char*)"SetJustificationToRight",                (PyCFunction)PyvtkTextProperty_SetJustificationToRight, 1,
   (char*)"V.SetJustificationToRight()\nC++: void SetJustificationToRight ();this SetJustification VTK_TEXT_RIGHT \n\n Set/Get the horizontal justification to left (default), centered,\n or right.\n"},
  {(char*)"GetJustificationAsString",                (PyCFunction)PyvtkTextProperty_GetJustificationAsString, 1,
   (char*)"V.GetJustificationAsString() -> string\nC++: const char *GetJustificationAsString ();\n\n Set/Get the horizontal justification to left (default), centered,\n or right.\n"},
  {(char*)"SetVerticalJustification",                (PyCFunction)PyvtkTextProperty_SetVerticalJustification, 1,
   (char*)"V.SetVerticalJustification(int)\nC++: void SetVerticalJustification (int );\n\n Set/Get the vertical justification to bottom (default), middle,\n or top.\n"},
  {(char*)"GetVerticalJustificationMinValue",                (PyCFunction)PyvtkTextProperty_GetVerticalJustificationMinValue, 1,
   (char*)"V.GetVerticalJustificationMinValue() -> int\nC++: int GetVerticalJustificationMinValue ();\n\n Set/Get the vertical justification to bottom (default), middle,\n or top.\n"},
  {(char*)"GetVerticalJustificationMaxValue",                (PyCFunction)PyvtkTextProperty_GetVerticalJustificationMaxValue, 1,
   (char*)"V.GetVerticalJustificationMaxValue() -> int\nC++: int GetVerticalJustificationMaxValue ();\n\n Set/Get the vertical justification to bottom (default), middle,\n or top.\n"},
  {(char*)"GetVerticalJustification",                (PyCFunction)PyvtkTextProperty_GetVerticalJustification, 1,
   (char*)"V.GetVerticalJustification() -> int\nC++: int GetVerticalJustification ();\n\n Set/Get the vertical justification to bottom (default), middle,\n or top.\n"},
  {(char*)"SetVerticalJustificationToBottom",                (PyCFunction)PyvtkTextProperty_SetVerticalJustificationToBottom, 1,
   (char*)"V.SetVerticalJustificationToBottom()\nC++: void SetVerticalJustificationToBottom ();this SetVerticalJustification VTK_TEXT_BOTTOM \n\n Set/Get the vertical justification to bottom (default), middle,\n or top.\n"},
  {(char*)"SetVerticalJustificationToCentered",                (PyCFunction)PyvtkTextProperty_SetVerticalJustificationToCentered, 1,
   (char*)"V.SetVerticalJustificationToCentered()\nC++: void SetVerticalJustificationToCentered ();this SetVerticalJustification VTK_TEXT_CENTERED \n\n Set/Get the vertical justification to bottom (default), middle,\n or top.\n"},
  {(char*)"SetVerticalJustificationToTop",                (PyCFunction)PyvtkTextProperty_SetVerticalJustificationToTop, 1,
   (char*)"V.SetVerticalJustificationToTop()\nC++: void SetVerticalJustificationToTop ();this SetVerticalJustification VTK_TEXT_TOP \n\n Set/Get the vertical justification to bottom (default), middle,\n or top.\n"},
  {(char*)"GetVerticalJustificationAsString",                (PyCFunction)PyvtkTextProperty_GetVerticalJustificationAsString, 1,
   (char*)"V.GetVerticalJustificationAsString() -> string\nC++: const char *GetVerticalJustificationAsString ();\n\n Set/Get the vertical justification to bottom (default), middle,\n or top.\n"},
  {(char*)"SetOrientation",                (PyCFunction)PyvtkTextProperty_SetOrientation, 1,
   (char*)"V.SetOrientation(float)\nC++: void SetOrientation (double );\n\n Set/Get the text's orientation (in degrees).\n"},
  {(char*)"GetOrientation",                (PyCFunction)PyvtkTextProperty_GetOrientation, 1,
   (char*)"V.GetOrientation() -> float\nC++: double GetOrientation ();\n\n Set/Get the text's orientation (in degrees).\n"},
  {(char*)"SetLineSpacing",                (PyCFunction)PyvtkTextProperty_SetLineSpacing, 1,
   (char*)"V.SetLineSpacing(float)\nC++: void SetLineSpacing (double );\n\n Set/Get the (extra) spacing between lines,\n expressed as a text height multiplication factor.\n"},
  {(char*)"GetLineSpacing",                (PyCFunction)PyvtkTextProperty_GetLineSpacing, 1,
   (char*)"V.GetLineSpacing() -> float\nC++: double GetLineSpacing ();\n\n Set/Get the (extra) spacing between lines,\n expressed as a text height multiplication factor.\n"},
  {(char*)"SetLineOffset",                (PyCFunction)PyvtkTextProperty_SetLineOffset, 1,
   (char*)"V.SetLineOffset(float)\nC++: void SetLineOffset (double );\n\n Set/Get the vertical offset (measured in pixels).\n"},
  {(char*)"GetLineOffset",                (PyCFunction)PyvtkTextProperty_GetLineOffset, 1,
   (char*)"V.GetLineOffset() -> float\nC++: double GetLineOffset ();\n\n Set/Get the vertical offset (measured in pixels).\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkTextProperty_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkTextProperty)\nC++: void ShallowCopy (vtkTextProperty *tprop);\n\n Shallow copy of a text property.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextPropertyDoc[] = {
  (char*)"vtkTextProperty - represent text properties.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkTextProperty is an object that represents text properties.\n The primary properties that can be set are color, opacity, font size,\n font family horizontal and vertical justification, bold/italic/shadow\n styles.\n\n",
  "See Also:\n\n vtkTextMapper vtkTextActor vtkLegendBoxActor vtkCaptionActor2D\n\n",
  NULL
};

static vtkObjectBase *vtkTextPropertyStaticNew()
{
  return vtkTextProperty::New();
}

PyObject *PyVTKClass_vtkTextPropertyNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextPropertyStaticNew,
                        PyvtkTextPropertyMethods,
                        (char*)"vtkTextProperty",modulename,
                        (char**)vtkTextPropertyDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

