// python wrapper for vtkTexturedActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTexturedActor2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTexturedActor2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTexturedActor2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActor2DNew(char *); }

static PyObject *PyvtkTexturedActor2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedActor2D *op;

  const char    *temp20;
  op = (vtkTexturedActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedActor2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedActor2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedActor2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkTexturedActor2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedActor2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedActor2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedActor2D *op;

  vtkTexturedActor2D  *temp20;
  op = (vtkTexturedActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedActor2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedActor2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTexturedActor2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTexturedActor2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTexturedActor2D_SetTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedActor2D *op;

  vtkTexture  *temp0;
  PyObject *tempH0;
  op = (vtkTexturedActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTexture *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTexture");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTexturedActor2D::SetTexture(temp0);
      }
    else
      {
      op->SetTexture(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTexturedActor2D_GetTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedActor2D *op;

  vtkTexture  *temp20;
  op = (vtkTexturedActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedActor2D::GetTexture();
      }
    else
      {
      temp20 = op->GetTexture();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedActor2D_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedActor2D *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkTexturedActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkTexturedActor2D::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkTexturedActor2D_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedActor2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkTexturedActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedActor2D::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkTexturedActor2D_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedActor2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkTexturedActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedActor2D::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkTexturedActor2D_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedActor2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkTexturedActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedActor2D::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkTexturedActor2D_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedActor2D *op;

  unsigned long     temp20;
  op = (vtkTexturedActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedActor2D::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedActor2D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedActor2D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkTexturedActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkTexturedActor2D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}

static PyMethodDef PyvtkTexturedActor2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTexturedActor2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTexturedActor2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTexturedActor2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTexturedActor2D\nC++: vtkTexturedActor2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTexturedActor2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTexturedActor2D\nC++: vtkTexturedActor2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTexture",                (PyCFunction)PyvtkTexturedActor2D_SetTexture, 1,
   (char*)"V.SetTexture(vtkTexture)\nC++: virtual void SetTexture (vtkTexture *texture);\n\n Set/Get the texture object to control rendering texture maps.  This will\n be a vtkTexture object. An actor does not need to have an associated\n texture map and multiple actors can share one texture.\n"},
  {(char*)"GetTexture",                (PyCFunction)PyvtkTexturedActor2D_GetTexture, 1,
   (char*)"V.GetTexture() -> vtkTexture\nC++: vtkTexture *GetTexture ();\n\n Set/Get the texture object to control rendering texture maps.  This will\n be a vtkTexture object. An actor does not need to have an associated\n texture map and multiple actors can share one texture.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkTexturedActor2D_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *win);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkTexturedActor2D_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkTexturedActor2D_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkTexturedActor2D_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTexturedActor2D_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Return this object's modified time.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkTexturedActor2D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: virtual void ShallowCopy (vtkProp *prop);\n\n Shallow copy of this vtkTexturedActor2D. Overrides vtkActor2D method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTexturedActor2DDoc[] = {
  (char*)"vtkTexturedActor2D - actor that draws 2D data with texture support\n\n",
  "Super Class:\n\n vtkActor2D\n\n",
  (char*)" vtkTexturedActor2D is an Actor2D which has additional support for\n textures, just like vtkActor. To use textures, the geometry must have\n texture coordinates, and the texture must be set with SetTexture().\n\n",
  "See Also:\n\n vtkActor2D vtkProp vtkMapper2D vtkProperty2D\n\n",
  NULL
};

static vtkObjectBase *vtkTexturedActor2DStaticNew()
{
  return vtkTexturedActor2D::New();
}

PyObject *PyVTKClass_vtkTexturedActor2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkTexturedActor2DStaticNew,
                        PyvtkTexturedActor2DMethods,
                        (char*)"vtkTexturedActor2D",modulename,
                        (char**)vtkTexturedActor2DDoc,
                        PyVTKClass_vtkActor2DNew(modulename));
}

