// tcl wrapper for vtkTupleInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTupleInterpolator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTupleInterpolatorNewCommand()
{
  vtkTupleInterpolator *temp = vtkTupleInterpolator::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTupleInterpolatorCppCommand(vtkTupleInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTupleInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTupleInterpolatorCppCommand(static_cast<vtkTupleInterpolator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTupleInterpolatorCppCommand(vtkTupleInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTupleInterpolator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTupleInterpolator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTupleInterpolator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTuples",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTuples();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumT",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumT();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumT",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumT();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveTuple",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->RemoveTuple(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInterpolationType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolationType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToLinear",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToSpline",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToSpline();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolatingSpline",argv[1]))&&(argc == 3))
    {
    vtkSpline  *temp0;
    error = 0;

    temp0 = (vtkSpline *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSpline"),interp,error));
    if (!error)
    {
    op->SetInterpolatingSpline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolatingSpline",argv[1]))&&(argc == 2))
    {
    vtkSpline  *temp20;
    temp20 = (op)->GetInterpolatingSpline();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpline");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTupleInterpolatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTupleInterpolator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponents\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTuples\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumT\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumT\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  RemoveTuple\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationType\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToSpline\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolatingSpline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolatingSpline\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfComponents" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponents" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTuples" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumT" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumT" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "RemoveTuple" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationType" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationType" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToSpline" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatingSpline" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolatingSpline" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTupleInterpolator *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfComponents */
    if ( strcmp ( argv[2], "SetNumberOfComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the number of tuple components to interpolate. Note that setting\n this value discards any previously inserted data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfComponents (int numComp);" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for SetNumberOfComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponents */
    if ( strcmp ( argv[2], "GetNumberOfComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the number of tuple components to interpolate. Note that setting\n this value discards any previously inserted data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponents ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for GetNumberOfComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTuples */
    if ( strcmp ( argv[2], "GetNumberOfTuples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTuples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTuples */
    Tcl_DStringAppendElement ( &dString, " Return the number of tuples in the list of tuples to be\n interpolated.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTuples ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for GetNumberOfTuples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumT */
    if ( strcmp ( argv[2], "GetMinimumT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumT */
    Tcl_DStringAppendElement ( &dString, " Obtain some information about the interpolation range. The numbers\n returned (corresponding to parameter t, usually thought of as time)\n are undefined if the list of transforms is empty. This is a convenience\n method for interpolation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumT ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for GetMinimumT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumT */
    if ( strcmp ( argv[2], "GetMaximumT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumT */
    Tcl_DStringAppendElement ( &dString, " Obtain some information about the interpolation range. The numbers\n returned (corresponding to parameter t, usually thought of as time)\n are undefined if the list of transforms is empty. This is a convenience\n method for interpolation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumT ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for GetMaximumT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Reset the class so that it contains no (t,tuple) information.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveTuple */
    if ( strcmp ( argv[2], "RemoveTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveTuple */
    Tcl_DStringAppendElement ( &dString, " Delete the tuple at a particular parameter t. If there is no\n tuple defined at t, then the method does nothing.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveTuple (double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for RemoveTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationType */
    if ( strcmp ( argv[2], "SetInterpolationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationType */
    Tcl_DStringAppendElement ( &dString, " Specify which type of function to use for interpolation. By default\n spline interpolation (SetInterpolationFunctionToSpline()) is used\n (i.e., a Kochanek spline) and the InterpolatingSpline instance variable\n is used to birth the actual interpolation splines via a combination of\n NewInstance() and DeepCopy(). You may also choose to use linear\n interpolation by invoking SetInterpolationFunctionToLinear(). Note that\n changing the type of interpolation causes previously  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationType (int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for SetInterpolationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationType */
    if ( strcmp ( argv[2], "GetInterpolationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationType */
    Tcl_DStringAppendElement ( &dString, " Specify which type of function to use for interpolation. By default\n spline interpolation (SetInterpolationFunctionToSpline()) is used\n (i.e., a Kochanek spline) and the InterpolatingSpline instance variable\n is used to birth the actual interpolation splines via a combination of\n NewInstance() and DeepCopy(). You may also choose to use linear\n interpolation by invoking SetInterpolationFunctionToLinear(). Note that\n changing the type of interpolation causes previously  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for GetInterpolationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToLinear */
    if ( strcmp ( argv[2], "SetInterpolationTypeToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToLinear */
    Tcl_DStringAppendElement ( &dString, " Specify which type of function to use for interpolation. By default\n spline interpolation (SetInterpolationFunctionToSpline()) is used\n (i.e., a Kochanek spline) and the InterpolatingSpline instance variable\n is used to birth the actual interpolation splines via a combination of\n NewInstance() and DeepCopy(). You may also choose to use linear\n interpolation by invoking SetInterpolationFunctionToLinear(). Note that\n changing the type of interpolation causes previously  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToLinear ();this SetInterpolationType INTERPOLATION_TYPE_LINEAR " );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for SetInterpolationTypeToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToSpline */
    if ( strcmp ( argv[2], "SetInterpolationTypeToSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToSpline */
    Tcl_DStringAppendElement ( &dString, " If the InterpolationType is set to spline, then this method applies. By\n default Kochanek interpolation is used, but you can specify any instance\n of vtkSpline to use. Note that the actual interpolating splines are\n created by invoking NewInstance() followed by DeepCopy() on the\n interpolating spline specified here, for each tuple component to\n interpolate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToSpline ();this SetInterpolationType INTERPOLATION_TYPE_SPLINE " );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for SetInterpolationTypeToSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolatingSpline */
    if ( strcmp ( argv[2], "SetInterpolatingSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolatingSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolatingSpline */
    Tcl_DStringAppendElement ( &dString, " If the InterpolationType is set to spline, then this method applies. By\n default Kochanek interpolation is used, but you can specify any instance\n of vtkSpline to use. Note that the actual interpolating splines are\n created by invoking NewInstance() followed by DeepCopy() on the\n interpolating spline specified here, for each tuple component to\n interpolate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolatingSpline (vtkSpline *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for SetInterpolatingSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolatingSpline */
    if ( strcmp ( argv[2], "GetInterpolatingSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolatingSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolatingSpline */
    Tcl_DStringAppendElement ( &dString, " If the InterpolationType is set to spline, then this method applies. By\n default Kochanek interpolation is used, but you can specify any instance\n of vtkSpline to use. Note that the actual interpolating splines are\n created by invoking NewInstance() followed by DeepCopy() on the\n interpolating spline specified here, for each tuple component to\n interpolate.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline *GetInterpolatingSpline ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    /* Closing for GetInterpolatingSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
