// python wrapper for vtkVisibilitySort object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVisibilitySort.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVisibilitySortNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVisibilitySortNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkVisibilitySort_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  const char    *temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibilitySort::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  char    *temp0;
  int      temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibilitySort::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  vtkVisibilitySort  *temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibilitySort::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InitTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_GetNextCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  vtkIdTypeArray  *temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNextCells();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_SetMaxCellsReturned(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  int      temp0;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibilitySort::SetMaxCellsReturned(temp0);
      }
    else
      {
      op->SetMaxCellsReturned(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_GetMaxCellsReturnedMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  int      temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibilitySort::GetMaxCellsReturnedMinValue();
      }
    else
      {
      temp20 = op->GetMaxCellsReturnedMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_GetMaxCellsReturnedMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  int      temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibilitySort::GetMaxCellsReturnedMaxValue();
      }
    else
      {
      temp20 = op->GetMaxCellsReturnedMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_GetMaxCellsReturned(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  int      temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibilitySort::GetMaxCellsReturned();
      }
    else
      {
      temp20 = op->GetMaxCellsReturned();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_SetModelTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibilitySort::SetModelTransform(temp0);
      }
    else
      {
      op->SetModelTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkVisibilitySort_GetModelTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  vtkMatrix4x4  *temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibilitySort::GetModelTransform();
      }
    else
      {
      temp20 = op->GetModelTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_GetInverseModelTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  vtkMatrix4x4  *temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibilitySort::GetInverseModelTransform();
      }
    else
      {
      temp20 = op->GetInverseModelTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_SetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  vtkCamera  *temp0;
  PyObject *tempH0;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCamera");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibilitySort::SetCamera(temp0);
      }
    else
      {
      op->SetCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkVisibilitySort_GetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  vtkCamera  *temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibilitySort::GetCamera();
      }
    else
      {
      temp20 = op->GetCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibilitySort::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkVisibilitySort_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  vtkDataSet  *temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibilitySort::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_GetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  int      temp20;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibilitySort::GetDirection();
      }
    else
      {
      temp20 = op->GetDirection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_SetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  int      temp0;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibilitySort::SetDirection(temp0);
      }
    else
      {
      op->SetDirection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_SetDirectionToBackToFront(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibilitySort::SetDirectionToBackToFront();
      }
    else
      {
      op->SetDirectionToBackToFront();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_SetDirectionToFrontToBack(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibilitySort::SetDirectionToFrontToBack();
      }
    else
      {
      op->SetDirectionToFrontToBack();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibilitySort_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibilitySort::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkVisibilitySort_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibilitySort *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkVisibilitySort *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibilitySort::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}

static PyMethodDef PyvtkVisibilitySortMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVisibilitySort_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVisibilitySort_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVisibilitySort_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVisibilitySort\nC++: vtkVisibilitySort *NewInstance ();\n\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkVisibilitySort_InitTraversal, 1,
   (char*)"V.InitTraversal()\nC++: virtual void InitTraversal () = 0;\n\n To facilitate incremental sorting algorithms, the cells are retrieved\n in an iteration process.  That is, call InitTraversal to start the\n iteration and call GetNextCells to get the cell IDs in order.\n However, for efficiencies sake, GetNextCells returns an ordered list\n of several id's in once call (but not necessarily all).  GetNextCells\n will return NULL once the entire sorted list is output.  The\n vtkIdTypeArray returned from GetNextCells is a cached array, so do not\n delete it.  At the same note, do not expect the array to be valid\n after subsequent calls to GetNextCells.\n"},
  {(char*)"GetNextCells",                (PyCFunction)PyvtkVisibilitySort_GetNextCells, 1,
   (char*)"V.GetNextCells() -> vtkIdTypeArray\nC++: virtual vtkIdTypeArray *GetNextCells () = 0;\n\n To facilitate incremental sorting algorithms, the cells are retrieved\n in an iteration process.  That is, call InitTraversal to start the\n iteration and call GetNextCells to get the cell IDs in order.\n However, for efficiencies sake, GetNextCells returns an ordered list\n of several id's in once call (but not necessarily all).  GetNextCells\n will return NULL once the entire sorted list is output.  The\n vtkIdTypeArray returned from GetNextCells is a cached array, so do not\n delete it.  At the same note, do not expect the array to be valid\n after subsequent calls to GetNextCells.\n"},
  {(char*)"SetMaxCellsReturned",                (PyCFunction)PyvtkVisibilitySort_SetMaxCellsReturned, 1,
   (char*)"V.SetMaxCellsReturned(int)\nC++: void SetMaxCellsReturned (int );\n\n Set/Get the maximum number of cells that GetNextCells will return\n in one invocation.\n"},
  {(char*)"GetMaxCellsReturnedMinValue",                (PyCFunction)PyvtkVisibilitySort_GetMaxCellsReturnedMinValue, 1,
   (char*)"V.GetMaxCellsReturnedMinValue() -> int\nC++: int GetMaxCellsReturnedMinValue ();\n\n Set/Get the maximum number of cells that GetNextCells will return\n in one invocation.\n"},
  {(char*)"GetMaxCellsReturnedMaxValue",                (PyCFunction)PyvtkVisibilitySort_GetMaxCellsReturnedMaxValue, 1,
   (char*)"V.GetMaxCellsReturnedMaxValue() -> int\nC++: int GetMaxCellsReturnedMaxValue ();\n\n Set/Get the maximum number of cells that GetNextCells will return\n in one invocation.\n"},
  {(char*)"GetMaxCellsReturned",                (PyCFunction)PyvtkVisibilitySort_GetMaxCellsReturned, 1,
   (char*)"V.GetMaxCellsReturned() -> int\nC++: int GetMaxCellsReturned ();\n\n Set/Get the maximum number of cells that GetNextCells will return\n in one invocation.\n"},
  {(char*)"SetModelTransform",                (PyCFunction)PyvtkVisibilitySort_SetModelTransform, 1,
   (char*)"V.SetModelTransform(vtkMatrix4x4)\nC++: virtual void SetModelTransform (vtkMatrix4x4 *mat);\n\n Set/Get the matrix that transforms from object space to world space.\n Generally, you get this matrix from a call to GetMatrix of a vtkProp3D\n (vtkActor).\n"},
  {(char*)"GetModelTransform",                (PyCFunction)PyvtkVisibilitySort_GetModelTransform, 1,
   (char*)"V.GetModelTransform() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetModelTransform ();\n\n Set/Get the matrix that transforms from object space to world space.\n Generally, you get this matrix from a call to GetMatrix of a vtkProp3D\n (vtkActor).\n"},
  {(char*)"GetInverseModelTransform",                (PyCFunction)PyvtkVisibilitySort_GetInverseModelTransform, 1,
   (char*)"V.GetInverseModelTransform() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetInverseModelTransform ();\n\n"},
  {(char*)"SetCamera",                (PyCFunction)PyvtkVisibilitySort_SetCamera, 1,
   (char*)"V.SetCamera(vtkCamera)\nC++: virtual void SetCamera (vtkCamera *camera);\n\n Set/Get the camera that specifies the viewing parameters.\n"},
  {(char*)"GetCamera",                (PyCFunction)PyvtkVisibilitySort_GetCamera, 1,
   (char*)"V.GetCamera() -> vtkCamera\nC++: vtkCamera *GetCamera ();\n\n Set/Get the camera that specifies the viewing parameters.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkVisibilitySort_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *data);\n\n Set/Get the data set containing the cells to sort.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkVisibilitySort_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\n\n Set/Get the data set containing the cells to sort.\n"},
  {(char*)"GetDirection",                (PyCFunction)PyvtkVisibilitySort_GetDirection, 1,
   (char*)"V.GetDirection() -> int\nC++: int GetDirection ();\n\n Set/Get the sorting direction.  Be default, the direction is set\n to back to front.\n"},
  {(char*)"SetDirection",                (PyCFunction)PyvtkVisibilitySort_SetDirection, 1,
   (char*)"V.SetDirection(int)\nC++: void SetDirection (int );\n\n Set/Get the sorting direction.  Be default, the direction is set\n to back to front.\n"},
  {(char*)"SetDirectionToBackToFront",                (PyCFunction)PyvtkVisibilitySort_SetDirectionToBackToFront, 1,
   (char*)"V.SetDirectionToBackToFront()\nC++: void SetDirectionToBackToFront ();this SetDirection BACK_TO_FRONT \n\n Set/Get the sorting direction.  Be default, the direction is set\n to back to front.\n"},
  {(char*)"SetDirectionToFrontToBack",                (PyCFunction)PyvtkVisibilitySort_SetDirectionToFrontToBack, 1,
   (char*)"V.SetDirectionToFrontToBack()\nC++: void SetDirectionToFrontToBack ();this SetDirection FRONT_TO_BACK \n\n Overwritten to enable garbage collection.\n"},
  {(char*)"Register",                (PyCFunction)PyvtkVisibilitySort_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *o);\n\n Overwritten to enable garbage collection.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkVisibilitySort_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n Overwritten to enable garbage collection.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVisibilitySortDoc[] = {
  (char*)"vtkVisibilitySort - Abstract class that can sort cell data along a viewpoint.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkVisibilitySort encapsulates a method for depth sorting the cells of a\n vtkDataSet for a given viewpoint.  It should be noted that subclasses\n are not required to give an absolutely correct sorting.  Many types of\n unstructured grids may have sorting cycles, meaning that there is no\n possible correct sorting.  Some subclasses also only give an approximate\n sorting in the interest of speed.\n\n .S",
  (char*)"ECTION Note\n The Input field of this class tends to causes reference cycles.  To help\n break these cycles, garbage collection is enabled on this object and the\n input parameter is traced.  For this to work, though, an object in the\n loop holding the visibility sort should also report that to the garbage\n collector.\n\n\n",
  NULL
};

PyObject *PyVTKClass_vtkVisibilitySortNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkVisibilitySortMethods,
                        (char*)"vtkVisibilitySort",modulename,
                        (char**)vtkVisibilitySortDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

