// python wrapper for vtkVisibleCellSelector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVisibleCellSelector.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVisibleCellSelectorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVisibleCellSelectorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkVisibleCellSelector_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  const char    *temp20;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibleCellSelector::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  char    *temp0;
  int      temp20;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibleCellSelector::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  vtkVisibleCellSelector  *temp20;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibleCellSelector::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVisibleCellSelector  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVisibleCellSelector::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibleCellSelector::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_SetArea(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  unsigned int      temp3;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibleCellSelector::SetArea(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetArea(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_SetProcessorId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  unsigned int      temp0;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibleCellSelector::SetProcessorId(temp0);
      }
    else
      {
      op->SetProcessorId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_GetProcessorId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  unsigned int      temp20;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibleCellSelector::GetProcessorId();
      }
    else
      {
      temp20 = op->GetProcessorId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_SetRenderPasses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibleCellSelector::SetRenderPasses(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetRenderPasses(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_Select(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibleCellSelector::Select();
      }
    else
      {
      op->Select();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_GetSelectedIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibleCellSelector::GetSelectedIds(temp0);
      }
    else
      {
      op->GetSelectedIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibleCellSelector::GetSelectedIds(temp0);
      }
    else
      {
      op->GetSelectedIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_GetSelectedVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  vtkIdTypeArray  *temp1;
  PyObject *tempH1;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break12;
    temp1 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdTypeArray");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibleCellSelector::GetSelectedVertices(temp0,temp1);
      }
    else
      {
      op->GetSelectedVertices(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_GetActorFromId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  vtkIdType   temp0;
  vtkProp  *temp20;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVisibleCellSelector::GetActorFromId(temp0);
      }
    else
      {
      temp20 = op->GetActorFromId(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVisibleCellSelector_PrintSelectedIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVisibleCellSelector *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkVisibleCellSelector *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkVisibleCellSelector::PrintSelectedIds(temp0);
      }
    else
      {
      op->PrintSelectedIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}

static PyMethodDef PyvtkVisibleCellSelectorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVisibleCellSelector_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVisibleCellSelector_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVisibleCellSelector_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVisibleCellSelector\nC++: vtkVisibleCellSelector *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVisibleCellSelector_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVisibleCellSelector\nC++: vtkVisibleCellSelector *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkVisibleCellSelector_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *);\n\n Call to let this know where to select within.\n"},
  {(char*)"SetArea",                (PyCFunction)PyvtkVisibleCellSelector_SetArea, 1,
   (char*)"V.SetArea(int, int, int, int)\nC++: void SetArea (unsigned int x0, unsigned int y0, unsigned int x1, unsigned int y1);\n\n Call to set the selection area region.\n This crops the selected area to the renderers pixel limits.\n"},
  {(char*)"SetProcessorId",                (PyCFunction)PyvtkVisibleCellSelector_SetProcessorId, 1,
   (char*)"V.SetProcessorId(int)\nC++: virtual void SetProcessorId (unsigned int pid);\n\n Call to let this know what processor number to render as in the processor\n select pass. Internally this adds 1 to pid because 0 is reserved for miss.\n"},
  {(char*)"GetProcessorId",                (PyCFunction)PyvtkVisibleCellSelector_GetProcessorId, 1,
   (char*)"V.GetProcessorId() -> int\nC++: int unsigned GetProcessorId ();\n\n Call to let this know what processor number to render as in the processor\n select pass. Internally this adds 1 to pid because 0 is reserved for miss.\n"},
  {(char*)"SetRenderPasses",                (PyCFunction)PyvtkVisibleCellSelector_SetRenderPasses, 1,
   (char*)"V.SetRenderPasses(int, int, int, int, int, int)\nC++: void SetRenderPasses (int DoProcessor, int DoActor, int DoCellIdHi, int DoCellIdMid, int DoCellIdLo, int DoVertexId);\n\n Call to let this know what selection render passes to do.\n If you have only one processor or one actor, you can leave DoProcessor \n and DoActor as false (the default). If you have less than 2^48 cells in \n any actor, you do not need the CellIdHi pass, or similarly if you have \n less than 2^24 cells, you do not need DoCellIdMid.\n The DoPointId will enable another render pass for determining visible\n vertices.\n"},
  {(char*)"Select",                (PyCFunction)PyvtkVisibleCellSelector_Select, 1,
   (char*)"V.Select()\nC++: void Select ();\n\n Execute the selection algorithm.\n"},
  {(char*)"GetSelectedIds",                (PyCFunction)PyvtkVisibleCellSelector_GetSelectedIds, 1,
   (char*)"V.GetSelectedIds(vtkIdTypeArray)\nC++: void GetSelectedIds (vtkIdTypeArray *ToCopyInto);\nV.GetSelectedIds(vtkSelection)\nC++: void GetSelectedIds (vtkSelection *ToCopyInto);\n\n After Select(), this will return the list of selected Ids.\n The ProcessorId and Actor Id are returned in the first two components.\n The CellId is returned in the last two components (only 64 bits total).\n"},
  {(char*)"GetSelectedVertices",                (PyCFunction)PyvtkVisibleCellSelector_GetSelectedVertices, 1,
   (char*)"V.GetSelectedVertices(vtkIdTypeArray, vtkIdTypeArray)\nC++: void GetSelectedVertices (vtkIdTypeArray *VertexPointers, vtkIdTypeArray *VertexIds);\n\n After Select(), (assuming DoVertexId is on), the will return arrays that\n describe which cell vertices are visible.\n The VertexPointers array contains one index into the VertexIds array for\n every visible cell. Any index may be -1 in which case no vertices were \n visible for that cell. The VertexIds array contains a set of integers for\n each cell that has visible vertices. The first entry in the set is\n the number of visible vertices. The rest are visible vertex ranks. \n A set such at 2,0,4, means that a particular polygon's first and fifth\n vertices were visible.\n"},
  {(char*)"GetActorFromId",                (PyCFunction)PyvtkVisibleCellSelector_GetActorFromId, 1,
   (char*)"V.GetActorFromId(int) -> vtkProp\nC++: vtkProp *GetActorFromId (vtkIdType id);\n\n After a select, this will return a pointer to the actor corresponding to\n a particular id. This will return NULL if id is out of range.\n"},
  {(char*)"PrintSelectedIds",                (PyCFunction)PyvtkVisibleCellSelector_PrintSelectedIds, 1,
   (char*)"V.PrintSelectedIds(vtkIdTypeArray)\nC++: void PrintSelectedIds (vtkIdTypeArray *IdsToPrint);\n\n For debugging - prints out the list of selected ids.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVisibleCellSelectorDoc[] = {
  (char*)"vtkVisibleCellSelector - A helper that orchestrates color buffer\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class can be used to determine what cells are visible within a given\n rectangle of the RenderWindow. To use it, call in order, SetRenderer(), \n SetArea(), SetProcessorId(), SetRenderPasses(), and then Select(). Select \n will cause the attached vtkRenderer to render in a special color mode, \n where each cell is given it own color so that later inspection of the \n Rendered Pixels can determine",
  (char*)" what cells are visible. In practice up to \n five different rendering passes may occur depending on your choices in \n SetRenderPasses. After Select(), a list of the visible cells can be \n obtained by calling GetSelectedIds().\n\n Limitations:\n Antialiasing will break this class. If your graphics card settings force\n their use this class will return invalid results.\n\n Currently only cells from PolyDa",
  (char*)"taMappers can be selected from. When \n vtkRenderer is put into a SelectMode, it temporarily swaps in a new \n vtkIdentColoredPainter to do the color index rendering of each cell in \n each vtkProp that it renders. Until alternatives to vtkIdentColoredPainter\n exist that can do a similar coloration of other vtkDataSet types, only\n polygonal data can be selected. If you need to select other data types",
  (char*)",\n consider using vtkDataSetMapper and turning on it's PassThroughCellIds \n feature, or using vtkFrustumExtractor.\n\n Only Opaque geometry in Actors is selected from. Assemblies and LODMappers \n are not currently supported. \n\n During selection, visible datasets that can not be selected from are\n temporarily hidden so as not to produce invalid indices from their colors.\n\n\n",
  "See Also:\n\n vtkIdentColoredPainter\n\n\n",
  NULL
};

static vtkObjectBase *vtkVisibleCellSelectorStaticNew()
{
  return vtkVisibleCellSelector::New();
}

PyObject *PyVTKClass_vtkVisibleCellSelectorNew(char *modulename)
{
  return PyVTKClass_New(&vtkVisibleCellSelectorStaticNew,
                        PyvtkVisibleCellSelectorMethods,
                        (char*)"vtkVisibleCellSelector",modulename,
                        (char**)vtkVisibleCellSelectorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

