// python wrapper for vtkVolumeProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVolumeProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumePropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumePropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkVolumeProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  const char    *temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  char    *temp0;
  int      temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  vtkVolumeProperty  *temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolumeProperty  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolumeProperty::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVolumeProperty_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  vtkVolumeProperty  *temp0;
  PyObject *tempH0;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVolumeProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolumeProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  unsigned long     temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetIndependentComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetIndependentComponents(temp0);
      }
    else
      {
      op->SetIndependentComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetIndependentComponentsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetIndependentComponentsMinValue();
      }
    else
      {
      temp20 = op->GetIndependentComponentsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetIndependentComponentsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetIndependentComponentsMaxValue();
      }
    else
      {
      temp20 = op->GetIndependentComponentsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetIndependentComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetIndependentComponents();
      }
    else
      {
      temp20 = op->GetIndependentComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_IndependentComponentsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::IndependentComponentsOn();
      }
    else
      {
      op->IndependentComponentsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_IndependentComponentsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::IndependentComponentsOff();
      }
    else
      {
      op->IndependentComponentsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetInterpolationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetInterpolationType(temp0);
      }
    else
      {
      op->SetInterpolationType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetInterpolationTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetInterpolationTypeMinValue();
      }
    else
      {
      temp20 = op->GetInterpolationTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetInterpolationTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetInterpolationTypeMaxValue();
      }
    else
      {
      temp20 = op->GetInterpolationTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetInterpolationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetInterpolationType();
      }
    else
      {
      temp20 = op->GetInterpolationType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetInterpolationTypeToNearest(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetInterpolationTypeToNearest();
      }
    else
      {
      op->SetInterpolationTypeToNearest();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetInterpolationTypeToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetInterpolationTypeToLinear();
      }
    else
      {
      op->SetInterpolationTypeToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetInterpolationTypeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  const char    *temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetInterpolationTypeAsString();
      }
    else
      {
      temp20 = op->GetInterpolationTypeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetComponentWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp1;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetComponentWeight(temp0,temp1);
      }
    else
      {
      op->SetComponentWeight(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetComponentWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetComponentWeight(temp0);
      }
    else
      {
      temp20 = op->GetComponentWeight(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  vtkPiecewiseFunction  *temp1;
  PyObject *tempH1;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPiecewiseFunction *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPiecewiseFunction");
    if (!temp1 && tempH1 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetColor(temp0,temp1);
      }
    else
      {
      op->SetColor(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  vtkPiecewiseFunction  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPiecewiseFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPiecewiseFunction");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetColor(temp0);
      }
    else
      {
      op->SetColor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  vtkColorTransferFunction  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkColorTransferFunction *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkColorTransferFunction");
    if (!temp1 && tempH1 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetColor(temp0,temp1);
      }
    else
      {
      op->SetColor(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  vtkColorTransferFunction  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkColorTransferFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkColorTransferFunction");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetColor(temp0);
      }
    else
      {
      op->SetColor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetColorChannels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  int      temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetColorChannels(temp0);
      }
    else
      {
      temp20 = op->GetColorChannels(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetColorChannels();
      }
    else
      {
      temp20 = op->GetColorChannels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetGrayTransferFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  vtkPiecewiseFunction  *temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetGrayTransferFunction(temp0);
      }
    else
      {
      temp20 = op->GetGrayTransferFunction(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  vtkPiecewiseFunction  *temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetGrayTransferFunction();
      }
    else
      {
      temp20 = op->GetGrayTransferFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetRGBTransferFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  vtkColorTransferFunction  *temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetRGBTransferFunction(temp0);
      }
    else
      {
      temp20 = op->GetRGBTransferFunction(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  vtkColorTransferFunction  *temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetRGBTransferFunction();
      }
    else
      {
      temp20 = op->GetRGBTransferFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetScalarOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  vtkPiecewiseFunction  *temp1;
  PyObject *tempH1;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPiecewiseFunction *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPiecewiseFunction");
    if (!temp1 && tempH1 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetScalarOpacity(temp0,temp1);
      }
    else
      {
      op->SetScalarOpacity(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  vtkPiecewiseFunction  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPiecewiseFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPiecewiseFunction");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetScalarOpacity(temp0);
      }
    else
      {
      op->SetScalarOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetScalarOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  vtkPiecewiseFunction  *temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetScalarOpacity(temp0);
      }
    else
      {
      temp20 = op->GetScalarOpacity(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  vtkPiecewiseFunction  *temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetScalarOpacity();
      }
    else
      {
      temp20 = op->GetScalarOpacity();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetScalarOpacityUnitDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp1;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetScalarOpacityUnitDistance(temp0,temp1);
      }
    else
      {
      op->SetScalarOpacityUnitDistance(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  double   temp0;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetScalarOpacityUnitDistance(temp0);
      }
    else
      {
      op->SetScalarOpacityUnitDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetScalarOpacityUnitDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetScalarOpacityUnitDistance(temp0);
      }
    else
      {
      temp20 = op->GetScalarOpacityUnitDistance(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  double   temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetScalarOpacityUnitDistance();
      }
    else
      {
      temp20 = op->GetScalarOpacityUnitDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetGradientOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  vtkPiecewiseFunction  *temp1;
  PyObject *tempH1;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPiecewiseFunction *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPiecewiseFunction");
    if (!temp1 && tempH1 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetGradientOpacity(temp0,temp1);
      }
    else
      {
      op->SetGradientOpacity(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  vtkPiecewiseFunction  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPiecewiseFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPiecewiseFunction");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetGradientOpacity(temp0);
      }
    else
      {
      op->SetGradientOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetGradientOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  vtkPiecewiseFunction  *temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetGradientOpacity(temp0);
      }
    else
      {
      temp20 = op->GetGradientOpacity(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  vtkPiecewiseFunction  *temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetGradientOpacity();
      }
    else
      {
      temp20 = op->GetGradientOpacity();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetDisableGradientOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  int      temp1;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetDisableGradientOpacity(temp0,temp1);
      }
    else
      {
      op->SetDisableGradientOpacity(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetDisableGradientOpacity(temp0);
      }
    else
      {
      op->SetDisableGradientOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_DisableGradientOpacityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::DisableGradientOpacityOn(temp0);
      }
    else
      {
      op->DisableGradientOpacityOn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::DisableGradientOpacityOn();
      }
    else
      {
      op->DisableGradientOpacityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_DisableGradientOpacityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::DisableGradientOpacityOff(temp0);
      }
    else
      {
      op->DisableGradientOpacityOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::DisableGradientOpacityOff();
      }
    else
      {
      op->DisableGradientOpacityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetDisableGradientOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  int      temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetDisableGradientOpacity(temp0);
      }
    else
      {
      temp20 = op->GetDisableGradientOpacity(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetDisableGradientOpacity();
      }
    else
      {
      temp20 = op->GetDisableGradientOpacity();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetStoredGradientOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  vtkPiecewiseFunction  *temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetStoredGradientOpacity(temp0);
      }
    else
      {
      temp20 = op->GetStoredGradientOpacity(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  vtkPiecewiseFunction  *temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetStoredGradientOpacity();
      }
    else
      {
      temp20 = op->GetStoredGradientOpacity();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetShade(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  int      temp1;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetShade(temp0,temp1);
      }
    else
      {
      op->SetShade(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetShade(temp0);
      }
    else
      {
      op->SetShade(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetShade(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  int      temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetShade(temp0);
      }
    else
      {
      temp20 = op->GetShade(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetShade();
      }
    else
      {
      temp20 = op->GetShade();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_ShadeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::ShadeOn(temp0);
      }
    else
      {
      op->ShadeOn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::ShadeOn();
      }
    else
      {
      op->ShadeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_ShadeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::ShadeOff(temp0);
      }
    else
      {
      op->ShadeOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::ShadeOff();
      }
    else
      {
      op->ShadeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetAmbient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp1;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetAmbient(temp0,temp1);
      }
    else
      {
      op->SetAmbient(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  double   temp0;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetAmbient(temp0);
      }
    else
      {
      op->SetAmbient(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetAmbient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetAmbient(temp0);
      }
    else
      {
      temp20 = op->GetAmbient(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  double   temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetAmbient();
      }
    else
      {
      temp20 = op->GetAmbient();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetDiffuse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp1;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetDiffuse(temp0,temp1);
      }
    else
      {
      op->SetDiffuse(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  double   temp0;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetDiffuse(temp0);
      }
    else
      {
      op->SetDiffuse(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetDiffuse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetDiffuse(temp0);
      }
    else
      {
      temp20 = op->GetDiffuse(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  double   temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetDiffuse();
      }
    else
      {
      temp20 = op->GetDiffuse();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetSpecular(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp1;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetSpecular(temp0,temp1);
      }
    else
      {
      op->SetSpecular(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  double   temp0;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetSpecular(temp0);
      }
    else
      {
      op->SetSpecular(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetSpecular(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetSpecular(temp0);
      }
    else
      {
      temp20 = op->GetSpecular(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  double   temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetSpecular();
      }
    else
      {
      temp20 = op->GetSpecular();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_SetSpecularPower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp1;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetSpecularPower(temp0,temp1);
      }
    else
      {
      op->SetSpecularPower(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  double   temp0;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProperty::SetSpecularPower(temp0);
      }
    else
      {
      op->SetSpecularPower(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProperty_GetSpecularPower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  int      temp0;
  double   temp20;
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetSpecularPower(temp0);
      }
    else
      {
      temp20 = op->GetSpecularPower(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProperty *op;

  double   temp20;
  PyErr_Clear();
  op = (vtkVolumeProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProperty::GetSpecularPower();
      }
    else
      {
      temp20 = op->GetSpecularPower();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumePropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeProperty\nC++: vtkVolumeProperty *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolumeProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolumeProperty\nC++: vtkVolumeProperty *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkVolumeProperty_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkVolumeProperty)\nC++: void DeepCopy (vtkVolumeProperty *p);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkVolumeProperty_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the modified time for this object (or the properties registered\n with this object).\n"},
  {(char*)"SetIndependentComponents",                (PyCFunction)PyvtkVolumeProperty_SetIndependentComponents, 1,
   (char*)"V.SetIndependentComponents(int)\nC++: void SetIndependentComponents (int );\n\n Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component data, the \n first is passed through the first color transfer function and the \n second component is passed through the first opacity transfer function. \n Normals will be generated off of the second component. For 4 component \n data, the first three will directly represent RGB (no lookup table). \n The fourth component will be passed through the first scalar opacity \n transfer function for opacity. Normals will be generated from the fourth \n component.\n"},
  {(char*)"GetIndependentComponentsMinValue",                (PyCFunction)PyvtkVolumeProperty_GetIndependentComponentsMinValue, 1,
   (char*)"V.GetIndependentComponentsMinValue() -> int\nC++: int GetIndependentComponentsMinValue ();\n\n Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component data, the \n first is passed through the first color transfer function and the \n second component is passed through the first opacity transfer function. \n Normals will be generated off of the second component. For 4 component \n data, the first three will directly represent RGB (no lookup table). \n The fourth component will be passed through the first scalar opacity \n transfer function for opacity. Normals will be generated from the fourth \n component.\n"},
  {(char*)"GetIndependentComponentsMaxValue",                (PyCFunction)PyvtkVolumeProperty_GetIndependentComponentsMaxValue, 1,
   (char*)"V.GetIndependentComponentsMaxValue() -> int\nC++: int GetIndependentComponentsMaxValue ();\n\n Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component data, the \n first is passed through the first color transfer function and the \n second component is passed through the first opacity transfer function. \n Normals will be generated off of the second component. For 4 component \n data, the first three will directly represent RGB (no lookup table). \n The fourth component will be passed through the first scalar opacity \n transfer function for opacity. Normals will be generated from the fourth \n component.\n"},
  {(char*)"GetIndependentComponents",                (PyCFunction)PyvtkVolumeProperty_GetIndependentComponents, 1,
   (char*)"V.GetIndependentComponents() -> int\nC++: int GetIndependentComponents ();\n\n Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component data, the \n first is passed through the first color transfer function and the \n second component is passed through the first opacity transfer function. \n Normals will be generated off of the second component. For 4 component \n data, the first three will directly represent RGB (no lookup table). \n The fourth component will be passed through the first scalar opacity \n transfer function for opacity. Normals will be generated from the fourth \n component.\n"},
  {(char*)"IndependentComponentsOn",                (PyCFunction)PyvtkVolumeProperty_IndependentComponentsOn, 1,
   (char*)"V.IndependentComponentsOn()\nC++: void IndependentComponentsOn ();\n\n Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component data, the \n first is passed through the first color transfer function and the \n second component is passed through the first opacity transfer function. \n Normals will be generated off of the second component. For 4 component \n data, the first three will directly represent RGB (no lookup table). \n The fourth component will be passed through the first scalar opacity \n transfer function for opacity. Normals will be generated from the fourth \n component.\n"},
  {(char*)"IndependentComponentsOff",                (PyCFunction)PyvtkVolumeProperty_IndependentComponentsOff, 1,
   (char*)"V.IndependentComponentsOff()\nC++: void IndependentComponentsOff ();\n\n Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component data, the \n first is passed through the first color transfer function and the \n second component is passed through the first opacity transfer function. \n Normals will be generated off of the second component. For 4 component \n data, the first three will directly represent RGB (no lookup table). \n The fourth component will be passed through the first scalar opacity \n transfer function for opacity. Normals will be generated from the fourth \n component.\n"},
  {(char*)"SetInterpolationType",                (PyCFunction)PyvtkVolumeProperty_SetInterpolationType, 1,
   (char*)"V.SetInterpolationType(int)\nC++: void SetInterpolationType (int );\n\n Set the interpolation type for sampling a volume.\n"},
  {(char*)"GetInterpolationTypeMinValue",                (PyCFunction)PyvtkVolumeProperty_GetInterpolationTypeMinValue, 1,
   (char*)"V.GetInterpolationTypeMinValue() -> int\nC++: int GetInterpolationTypeMinValue ();\n\n Set the interpolation type for sampling a volume.\n"},
  {(char*)"GetInterpolationTypeMaxValue",                (PyCFunction)PyvtkVolumeProperty_GetInterpolationTypeMaxValue, 1,
   (char*)"V.GetInterpolationTypeMaxValue() -> int\nC++: int GetInterpolationTypeMaxValue ();\n\n Set the interpolation type for sampling a volume.\n"},
  {(char*)"GetInterpolationType",                (PyCFunction)PyvtkVolumeProperty_GetInterpolationType, 1,
   (char*)"V.GetInterpolationType() -> int\nC++: int GetInterpolationType ();\n\n Set the interpolation type for sampling a volume.\n"},
  {(char*)"SetInterpolationTypeToNearest",                (PyCFunction)PyvtkVolumeProperty_SetInterpolationTypeToNearest, 1,
   (char*)"V.SetInterpolationTypeToNearest()\nC++: void SetInterpolationTypeToNearest ();this SetInterpolationType VTK_NEAREST_INTERPOLATION \n\n Set the interpolation type for sampling a volume.\n"},
  {(char*)"SetInterpolationTypeToLinear",                (PyCFunction)PyvtkVolumeProperty_SetInterpolationTypeToLinear, 1,
   (char*)"V.SetInterpolationTypeToLinear()\nC++: void SetInterpolationTypeToLinear ();this SetInterpolationType VTK_LINEAR_INTERPOLATION \n\n Set the interpolation type for sampling a volume.\n"},
  {(char*)"GetInterpolationTypeAsString",                (PyCFunction)PyvtkVolumeProperty_GetInterpolationTypeAsString, 1,
   (char*)"V.GetInterpolationTypeAsString() -> string\nC++: const char *GetInterpolationTypeAsString (void );\n\n Set the interpolation type for sampling a volume.\n"},
  {(char*)"SetComponentWeight",                (PyCFunction)PyvtkVolumeProperty_SetComponentWeight, 1,
   (char*)"V.SetComponentWeight(int, float)\nC++: virtual void SetComponentWeight (int index, double value);\n\n Set/Get the scalar component weights\n"},
  {(char*)"GetComponentWeight",                (PyCFunction)PyvtkVolumeProperty_GetComponentWeight, 1,
   (char*)"V.GetComponentWeight(int) -> float\nC++: virtual double GetComponentWeight (int index);\n\n Set/Get the scalar component weights\n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkVolumeProperty_SetColor, 1,
   (char*)"V.SetColor(int, vtkPiecewiseFunction)\nC++: void SetColor (int index, vtkPiecewiseFunction *function);\nV.SetColor(vtkPiecewiseFunction)\nC++: void SetColor (vtkPiecewiseFunction *f);this SetColor f \nV.SetColor(int, vtkColorTransferFunction)\nC++: void SetColor (int index, vtkColorTransferFunction *function);\nV.SetColor(vtkColorTransferFunction)\nC++: void SetColor (vtkColorTransferFunction *f);this SetColor f \n\n Set the color of a volume to a gray level transfer function\n for the component indicated by index. This will set the\n color channels for this component to 1.\n"},
  {(char*)"GetColorChannels",                (PyCFunction)PyvtkVolumeProperty_GetColorChannels, 1,
   (char*)"V.GetColorChannels(int) -> int\nC++: int GetColorChannels (int index);\nV.GetColorChannels() -> int\nC++: int GetColorChannels ();return this GetColorChannels \n\n Get the number of color channels in the transfer function\n for the given component.\n"},
  {(char*)"GetGrayTransferFunction",                (PyCFunction)PyvtkVolumeProperty_GetGrayTransferFunction, 1,
   (char*)"V.GetGrayTransferFunction(int) -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *GetGrayTransferFunction (int index);\nV.GetGrayTransferFunction() -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *GetGrayTransferFunction ();return this GetGrayTransferFunction \n\n Get the gray transfer function.\n If no transfer function has been set for this component, a default one\n is created and returned.\n"},
  {(char*)"GetRGBTransferFunction",                (PyCFunction)PyvtkVolumeProperty_GetRGBTransferFunction, 1,
   (char*)"V.GetRGBTransferFunction(int) -> vtkColorTransferFunction\nC++: vtkColorTransferFunction *GetRGBTransferFunction (int index);\nV.GetRGBTransferFunction() -> vtkColorTransferFunction\nC++: vtkColorTransferFunction *GetRGBTransferFunction ();return this GetRGBTransferFunction \n\n Get the RGB transfer function for the given component.\n If no transfer function has been set for this component, a default one\n is created and returned.\n"},
  {(char*)"SetScalarOpacity",                (PyCFunction)PyvtkVolumeProperty_SetScalarOpacity, 1,
   (char*)"V.SetScalarOpacity(int, vtkPiecewiseFunction)\nC++: void SetScalarOpacity (int index, vtkPiecewiseFunction *function);\nV.SetScalarOpacity(vtkPiecewiseFunction)\nC++: void SetScalarOpacity (vtkPiecewiseFunction *f);this SetScalarOpacity f \n\n Set the opacity of a volume to an opacity transfer function based\n on scalar value for the component indicated by index. \n"},
  {(char*)"GetScalarOpacity",                (PyCFunction)PyvtkVolumeProperty_GetScalarOpacity, 1,
   (char*)"V.GetScalarOpacity(int) -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *GetScalarOpacity (int index);\nV.GetScalarOpacity() -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *GetScalarOpacity ();return this GetScalarOpacity \n\n Get the scalar opacity transfer function for the given component.\n If no transfer function has been set for this component, a default one\n is created and returned.\n"},
  {(char*)"SetScalarOpacityUnitDistance",                (PyCFunction)PyvtkVolumeProperty_SetScalarOpacityUnitDistance, 1,
   (char*)"V.SetScalarOpacityUnitDistance(int, float)\nC++: void SetScalarOpacityUnitDistance (int index, double distance);\nV.SetScalarOpacityUnitDistance(float)\nC++: void SetScalarOpacityUnitDistance (double distance);this SetScalarOpacityUnitDistance distance \n\n Set/Get the unit distance on which the scalar opacity transfer function\n is defined. By default this is 1.0, meaning that over a distance of\n 1.0 units, a given opacity (from the transfer function) is accumulated.\n This is adjusted for the actual sampling distance during rendering.\n"},
  {(char*)"GetScalarOpacityUnitDistance",                (PyCFunction)PyvtkVolumeProperty_GetScalarOpacityUnitDistance, 1,
   (char*)"V.GetScalarOpacityUnitDistance(int) -> float\nC++: double GetScalarOpacityUnitDistance (int index);\nV.GetScalarOpacityUnitDistance() -> float\nC++: double GetScalarOpacityUnitDistance ();return this GetScalarOpacityUnitDistance \n\n Set/Get the unit distance on which the scalar opacity transfer function\n is defined. By default this is 1.0, meaning that over a distance of\n 1.0 units, a given opacity (from the transfer function) is accumulated.\n This is adjusted for the actual sampling distance during rendering.\n"},
  {(char*)"SetGradientOpacity",                (PyCFunction)PyvtkVolumeProperty_SetGradientOpacity, 1,
   (char*)"V.SetGradientOpacity(int, vtkPiecewiseFunction)\nC++: void SetGradientOpacity (int index, vtkPiecewiseFunction *function);\nV.SetGradientOpacity(vtkPiecewiseFunction)\nC++: void SetGradientOpacity (vtkPiecewiseFunction *function);this SetGradientOpacity function \n\n Set the opacity of a volume to an opacity transfer function based\n on gradient magnitude for the given component.\n"},
  {(char*)"GetGradientOpacity",                (PyCFunction)PyvtkVolumeProperty_GetGradientOpacity, 1,
   (char*)"V.GetGradientOpacity(int) -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *GetGradientOpacity (int index);\nV.GetGradientOpacity() -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *GetGradientOpacity ();return this GetGradientOpacity \n\n Get the gradient magnitude opacity transfer function for\n the given component.\n If no transfer function has been set for this component, a default one\n is created and returned.\n This default function is always returned if DisableGradientOpacity is On\n for that component.\n"},
  {(char*)"SetDisableGradientOpacity",                (PyCFunction)PyvtkVolumeProperty_SetDisableGradientOpacity, 1,
   (char*)"V.SetDisableGradientOpacity(int, int)\nC++: virtual void SetDisableGradientOpacity (int index, int value);\nV.SetDisableGradientOpacity(int)\nC++: virtual void SetDisableGradientOpacity (int value);this SetDisableGradientOpacity value \n\n Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n"},
  {(char*)"DisableGradientOpacityOn",                (PyCFunction)PyvtkVolumeProperty_DisableGradientOpacityOn, 1,
   (char*)"V.DisableGradientOpacityOn(int)\nC++: virtual void DisableGradientOpacityOn (int index);this SetDisableGradientOpacity index \nV.DisableGradientOpacityOn()\nC++: virtual void DisableGradientOpacityOn ();this DisableGradientOpacityOn \n\n Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n"},
  {(char*)"DisableGradientOpacityOff",                (PyCFunction)PyvtkVolumeProperty_DisableGradientOpacityOff, 1,
   (char*)"V.DisableGradientOpacityOff(int)\nC++: virtual void DisableGradientOpacityOff (int index);this SetDisableGradientOpacity index \nV.DisableGradientOpacityOff()\nC++: virtual void DisableGradientOpacityOff ();this DisableGradientOpacityOff \n\n Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n"},
  {(char*)"GetDisableGradientOpacity",                (PyCFunction)PyvtkVolumeProperty_GetDisableGradientOpacity, 1,
   (char*)"V.GetDisableGradientOpacity(int) -> int\nC++: virtual int GetDisableGradientOpacity (int index);\nV.GetDisableGradientOpacity() -> int\nC++: virtual int GetDisableGradientOpacity ();return this GetDisableGradientOpacity \n\n Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n"},
  {(char*)"GetStoredGradientOpacity",                (PyCFunction)PyvtkVolumeProperty_GetStoredGradientOpacity, 1,
   (char*)"V.GetStoredGradientOpacity(int) -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *GetStoredGradientOpacity (int index);\nV.GetStoredGradientOpacity() -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *GetStoredGradientOpacity ();return this GetStoredGradientOpacity \n\n Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n"},
  {(char*)"SetShade",                (PyCFunction)PyvtkVolumeProperty_SetShade, 1,
   (char*)"V.SetShade(int, int)\nC++: void SetShade (int index, int value);\nV.SetShade(int)\nC++: void SetShade (int value);this SetShade value \n\n Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, specular=0. Shading can be independently\n turned on/off per component.\n"},
  {(char*)"GetShade",                (PyCFunction)PyvtkVolumeProperty_GetShade, 1,
   (char*)"V.GetShade(int) -> int\nC++: int GetShade (int index);\nV.GetShade() -> int\nC++: int GetShade ();return this GetShade \n\n Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, specular=0. Shading can be independently\n turned on/off per component.\n"},
  {(char*)"ShadeOn",                (PyCFunction)PyvtkVolumeProperty_ShadeOn, 1,
   (char*)"V.ShadeOn(int)\nC++: void ShadeOn (int index);\nV.ShadeOn()\nC++: void ShadeOn ();this ShadeOn \n\n Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, specular=0. Shading can be independently\n turned on/off per component.\n"},
  {(char*)"ShadeOff",                (PyCFunction)PyvtkVolumeProperty_ShadeOff, 1,
   (char*)"V.ShadeOff(int)\nC++: void ShadeOff (int index);\nV.ShadeOff()\nC++: void ShadeOff ();this ShadeOff \n\n Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, specular=0. Shading can be independently\n turned on/off per component.\n"},
  {(char*)"SetAmbient",                (PyCFunction)PyvtkVolumeProperty_SetAmbient, 1,
   (char*)"V.SetAmbient(int, float)\nC++: void SetAmbient (int index, double value);\nV.SetAmbient(float)\nC++: void SetAmbient (double value);this SetAmbient value \n\n Set/Get the ambient lighting coefficient.\n"},
  {(char*)"GetAmbient",                (PyCFunction)PyvtkVolumeProperty_GetAmbient, 1,
   (char*)"V.GetAmbient(int) -> float\nC++: double GetAmbient (int index);\nV.GetAmbient() -> float\nC++: double GetAmbient ();return this GetAmbient \n\n Set/Get the ambient lighting coefficient.\n"},
  {(char*)"SetDiffuse",                (PyCFunction)PyvtkVolumeProperty_SetDiffuse, 1,
   (char*)"V.SetDiffuse(int, float)\nC++: void SetDiffuse (int index, double value);\nV.SetDiffuse(float)\nC++: void SetDiffuse (double value);this SetDiffuse value \n\n Set/Get the diffuse lighting coefficient.\n"},
  {(char*)"GetDiffuse",                (PyCFunction)PyvtkVolumeProperty_GetDiffuse, 1,
   (char*)"V.GetDiffuse(int) -> float\nC++: double GetDiffuse (int index);\nV.GetDiffuse() -> float\nC++: double GetDiffuse ();return this GetDiffuse \n\n Set/Get the diffuse lighting coefficient.\n"},
  {(char*)"SetSpecular",                (PyCFunction)PyvtkVolumeProperty_SetSpecular, 1,
   (char*)"V.SetSpecular(int, float)\nC++: void SetSpecular (int index, double value);\nV.SetSpecular(float)\nC++: void SetSpecular (double value);this SetSpecular value \n\n Set/Get the specular lighting coefficient.\n"},
  {(char*)"GetSpecular",                (PyCFunction)PyvtkVolumeProperty_GetSpecular, 1,
   (char*)"V.GetSpecular(int) -> float\nC++: double GetSpecular (int index);\nV.GetSpecular() -> float\nC++: double GetSpecular ();return this GetSpecular \n\n Set/Get the specular lighting coefficient.\n"},
  {(char*)"SetSpecularPower",                (PyCFunction)PyvtkVolumeProperty_SetSpecularPower, 1,
   (char*)"V.SetSpecularPower(int, float)\nC++: void SetSpecularPower (int index, double value);\nV.SetSpecularPower(float)\nC++: void SetSpecularPower (double value);this SetSpecularPower value \n\n Set/Get the specular power.\n"},
  {(char*)"GetSpecularPower",                (PyCFunction)PyvtkVolumeProperty_GetSpecularPower, 1,
   (char*)"V.GetSpecularPower(int) -> float\nC++: double GetSpecularPower (int index);\nV.GetSpecularPower() -> float\nC++: double GetSpecularPower ();return this GetSpecularPower \n\n Set/Get the specular power.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumePropertyDoc[] = {
  (char*)"vtkVolumeProperty - represents the common properties for rendering a volume.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkVolumeProperty is used to represent common properties associated \n with volume rendering. This includes properties for determining the type\n of interpolation to use when sampling a volume, the color of a volume, \n the scalar opacity of a volume, the gradient opacity of a volume, and the \n shading parameters of a volume.\n\n When the scalar opacity or the gradient opacity of a volume is not set,\n",
  (char*)" then the function is defined to be a constant value of 1.0. When a\n scalar and gradient opacity are both set simultaneously, then the opacity\n is defined to be the product of the scalar opacity and gradient opacity \n transfer functions.\n \n Most properties can be set per \"component\" for volume mappers that\n support multiple independent components. If you are using 2 component\n data as LV or 4 comp",
  (char*)"onent data as RGBV (as specified in the mapper) \n only the first scalar opacity and gradient opacity transfer functions\n will be used (and all color functions will be ignored). Omitting the\n index parameter on the Set/Get methods will access index = 0.\n\n",
  "See Also:\n\n vtkPiecewiseFunction vtkColorTransferFunction\n\n",
  NULL
};

static vtkObjectBase *vtkVolumePropertyStaticNew()
{
  return vtkVolumeProperty::New();
}

PyObject *PyVTKClass_vtkVolumePropertyNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumePropertyStaticNew,
                        PyvtkVolumePropertyMethods,
                        (char*)"vtkVolumeProperty",modulename,
                        (char**)vtkVolumePropertyDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

