// tcl wrapper for vtkVolumeProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeProperty.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVolumePropertyNewCommand()
{
  vtkVolumeProperty *temp = vtkVolumeProperty::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVolumePropertyCppCommand(vtkVolumeProperty *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVolumePropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVolumePropertyCppCommand(static_cast<vtkVolumeProperty *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVolumePropertyCppCommand(vtkVolumeProperty *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVolumeProperty",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVolumeProperty  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVolumeProperty  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeProperty");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVolumeProperty  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkVolumeProperty  *temp0;
    error = 0;

    temp0 = (vtkVolumeProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVolumeProperty"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIndependentComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndependentComponentsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentComponentsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIndependentComponentsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentComponentsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIndependentComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IndependentComponentsOn",argv[1]))&&(argc == 2))
    {
    op->IndependentComponentsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IndependentComponentsOff",argv[1]))&&(argc == 2))
    {
    op->IndependentComponentsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolationType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToNearest",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToNearest();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToLinear",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetInterpolationTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetComponentWeight",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetComponentWeight(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentWeight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetComponentWeight(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPiecewiseFunction"),interp,error));
    if (!error)
    {
    op->SetColor(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 3))
    {
    vtkPiecewiseFunction  *temp0;
    error = 0;

    temp0 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPiecewiseFunction"),interp,error));
    if (!error)
    {
    op->SetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkColorTransferFunction  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkColorTransferFunction *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkColorTransferFunction"),interp,error));
    if (!error)
    {
    op->SetColor(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 3))
    {
    vtkColorTransferFunction  *temp0;
    error = 0;

    temp0 = (vtkColorTransferFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkColorTransferFunction"),interp,error));
    if (!error)
    {
    op->SetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorChannels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColorChannels(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorChannels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorChannels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGrayTransferFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGrayTransferFunction(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGrayTransferFunction",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetGrayTransferFunction();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("GetRGBTransferFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkColorTransferFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRGBTransferFunction(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkColorTransferFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRGBTransferFunction",argv[1]))&&(argc == 2))
    {
    vtkColorTransferFunction  *temp20;
    temp20 = (op)->GetRGBTransferFunction();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkColorTransferFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetScalarOpacity",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPiecewiseFunction"),interp,error));
    if (!error)
    {
    op->SetScalarOpacity(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarOpacity",argv[1]))&&(argc == 3))
    {
    vtkPiecewiseFunction  *temp0;
    error = 0;

    temp0 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPiecewiseFunction"),interp,error));
    if (!error)
    {
    op->SetScalarOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarOpacity(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarOpacity",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetScalarOpacity();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetScalarOpacityUnitDistance",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarOpacityUnitDistance(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarOpacityUnitDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScalarOpacityUnitDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarOpacityUnitDistance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarOpacityUnitDistance(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarOpacityUnitDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScalarOpacityUnitDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGradientOpacity",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPiecewiseFunction"),interp,error));
    if (!error)
    {
    op->SetGradientOpacity(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGradientOpacity",argv[1]))&&(argc == 3))
    {
    vtkPiecewiseFunction  *temp0;
    error = 0;

    temp0 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPiecewiseFunction"),interp,error));
    if (!error)
    {
    op->SetGradientOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGradientOpacity(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientOpacity",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetGradientOpacity();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetDisableGradientOpacity",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetDisableGradientOpacity(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDisableGradientOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisableGradientOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableGradientOpacityOn",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DisableGradientOpacityOn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableGradientOpacityOn",argv[1]))&&(argc == 2))
    {
    op->DisableGradientOpacityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableGradientOpacityOff",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DisableGradientOpacityOff(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableGradientOpacityOff",argv[1]))&&(argc == 2))
    {
    op->DisableGradientOpacityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDisableGradientOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDisableGradientOpacity(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisableGradientOpacity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisableGradientOpacity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStoredGradientOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetStoredGradientOpacity(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStoredGradientOpacity",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetStoredGradientOpacity();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetShade",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetShade(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShade",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShade(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShade",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetShade(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShade",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShade();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShadeOn",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ShadeOn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShadeOn",argv[1]))&&(argc == 2))
    {
    op->ShadeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShadeOff",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ShadeOff(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShadeOff",argv[1]))&&(argc == 2))
    {
    op->ShadeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAmbient",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetAmbient(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAmbient",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAmbient(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAmbient",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAmbient(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAmbient",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAmbient();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffuse",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetDiffuse(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDiffuse",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffuse(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffuse",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDiffuse(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffuse",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffuse();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSpecular",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetSpecular(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpecular",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSpecular(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecular",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSpecular(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecular",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSpecular();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSpecularPower",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetSpecularPower(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpecularPower",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSpecularPower(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecularPower",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSpecularPower(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecularPower",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSpecularPower();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVolumePropertyCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVolumeProperty:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentComponentsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentComponentsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentComponents\n",NULL);
    Tcl_AppendResult(interp,"  IndependentComponentsOn\n",NULL);
    Tcl_AppendResult(interp,"  IndependentComponentsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationType\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToNearest\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToLinear\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentWeight\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorChannels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorChannels\n",NULL);
    Tcl_AppendResult(interp,"  GetGrayTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGrayTransferFunction\n",NULL);
    Tcl_AppendResult(interp,"  GetRGBTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRGBTransferFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarOpacity\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarOpacityUnitDistance\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarOpacityUnitDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarOpacityUnitDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarOpacityUnitDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientOpacity\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableGradientOpacity\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableGradientOpacityOn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableGradientOpacityOn\n",NULL);
    Tcl_AppendResult(interp,"  DisableGradientOpacityOff\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableGradientOpacityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableGradientOpacity\n",NULL);
    Tcl_AppendResult(interp,"  GetStoredGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStoredGradientOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetShade\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetShade\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShade\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShade\n",NULL);
    Tcl_AppendResult(interp,"  ShadeOn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShadeOn\n",NULL);
    Tcl_AppendResult(interp,"  ShadeOff\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShadeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbient\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbient\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbient\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbient\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffuse\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffuse\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuse\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuse\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecular\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecular\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecular\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecular\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecularPower\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecularPower\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecularPower\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecularPower\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetIndependentComponents" );
    Tcl_DStringAppendElement ( &dString, "GetIndependentComponentsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIndependentComponentsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIndependentComponents" );
    Tcl_DStringAppendElement ( &dString, "IndependentComponentsOn" );
    Tcl_DStringAppendElement ( &dString, "IndependentComponentsOff" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationType" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationType" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToNearest" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToLinear" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetComponentWeight" );
    Tcl_DStringAppendElement ( &dString, "GetComponentWeight" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "GetColorChannels" );
    Tcl_DStringAppendElement ( &dString, "GetColorChannels" );
    Tcl_DStringAppendElement ( &dString, "GetGrayTransferFunction" );
    Tcl_DStringAppendElement ( &dString, "GetGrayTransferFunction" );
    Tcl_DStringAppendElement ( &dString, "GetRGBTransferFunction" );
    Tcl_DStringAppendElement ( &dString, "GetRGBTransferFunction" );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacityUnitDistance" );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacityUnitDistance" );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacityUnitDistance" );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacityUnitDistance" );
    Tcl_DStringAppendElement ( &dString, "SetGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetDisableGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetDisableGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "DisableGradientOpacityOn" );
    Tcl_DStringAppendElement ( &dString, "DisableGradientOpacityOn" );
    Tcl_DStringAppendElement ( &dString, "DisableGradientOpacityOff" );
    Tcl_DStringAppendElement ( &dString, "DisableGradientOpacityOff" );
    Tcl_DStringAppendElement ( &dString, "GetDisableGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetDisableGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetStoredGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetStoredGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetShade" );
    Tcl_DStringAppendElement ( &dString, "SetShade" );
    Tcl_DStringAppendElement ( &dString, "GetShade" );
    Tcl_DStringAppendElement ( &dString, "GetShade" );
    Tcl_DStringAppendElement ( &dString, "ShadeOn" );
    Tcl_DStringAppendElement ( &dString, "ShadeOn" );
    Tcl_DStringAppendElement ( &dString, "ShadeOff" );
    Tcl_DStringAppendElement ( &dString, "ShadeOff" );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    Tcl_DStringAppendElement ( &dString, "GetAmbient" );
    Tcl_DStringAppendElement ( &dString, "GetAmbient" );
    Tcl_DStringAppendElement ( &dString, "SetDiffuse" );
    Tcl_DStringAppendElement ( &dString, "SetDiffuse" );
    Tcl_DStringAppendElement ( &dString, "GetDiffuse" );
    Tcl_DStringAppendElement ( &dString, "GetDiffuse" );
    Tcl_DStringAppendElement ( &dString, "SetSpecular" );
    Tcl_DStringAppendElement ( &dString, "SetSpecular" );
    Tcl_DStringAppendElement ( &dString, "GetSpecular" );
    Tcl_DStringAppendElement ( &dString, "GetSpecular" );
    Tcl_DStringAppendElement ( &dString, "SetSpecularPower" );
    Tcl_DStringAppendElement ( &dString, "SetSpecularPower" );
    Tcl_DStringAppendElement ( &dString, "GetSpecularPower" );
    Tcl_DStringAppendElement ( &dString, "GetSpecularPower" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkVolumeProperty *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy (vtkVolumeProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the modified time for this object (or the properties registered\n with this object).\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndependentComponents */
    if ( strcmp ( argv[2], "SetIndependentComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndependentComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndependentComponents */
    Tcl_DStringAppendElement ( &dString, " Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component dat ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndependentComponents (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetIndependentComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndependentComponentsMinValue */
    if ( strcmp ( argv[2], "GetIndependentComponentsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndependentComponentsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndependentComponentsMinValue */
    Tcl_DStringAppendElement ( &dString, " Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component dat ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndependentComponentsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetIndependentComponentsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndependentComponentsMaxValue */
    if ( strcmp ( argv[2], "GetIndependentComponentsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndependentComponentsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndependentComponentsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component dat ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndependentComponentsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetIndependentComponentsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndependentComponents */
    if ( strcmp ( argv[2], "GetIndependentComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndependentComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndependentComponents */
    Tcl_DStringAppendElement ( &dString, " Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component dat ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndependentComponents ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetIndependentComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IndependentComponentsOn */
    if ( strcmp ( argv[2], "IndependentComponentsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IndependentComponentsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IndependentComponentsOn */
    Tcl_DStringAppendElement ( &dString, " Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component dat ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void IndependentComponentsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for IndependentComponentsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IndependentComponentsOff */
    if ( strcmp ( argv[2], "IndependentComponentsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IndependentComponentsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IndependentComponentsOff */
    Tcl_DStringAppendElement ( &dString, " Does the data have independent components, or do some define color \n only? If IndependentComponents is On (the default) then each component \n will be independently passed through a lookup table to determine RGBA, \n shaded. Some volume Mappers can handle 1 to 4 component \n unsigned char or unsigned short data (see each mapper header file to\n determine functionality). If IndependentComponents is Off, then you \n must have either 2 or 4 component data. For 2 component dat ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void IndependentComponentsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for IndependentComponentsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationType */
    if ( strcmp ( argv[2], "SetInterpolationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationType */
    Tcl_DStringAppendElement ( &dString, " Set the interpolation type for sampling a volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetInterpolationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationTypeMinValue */
    if ( strcmp ( argv[2], "GetInterpolationTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the interpolation type for sampling a volume.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationTypeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetInterpolationTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationTypeMaxValue */
    if ( strcmp ( argv[2], "GetInterpolationTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the interpolation type for sampling a volume.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationTypeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetInterpolationTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationType */
    if ( strcmp ( argv[2], "GetInterpolationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationType */
    Tcl_DStringAppendElement ( &dString, " Set the interpolation type for sampling a volume.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetInterpolationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToNearest */
    if ( strcmp ( argv[2], "SetInterpolationTypeToNearest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToNearest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToNearest */
    Tcl_DStringAppendElement ( &dString, " Set the interpolation type for sampling a volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToNearest ();this SetInterpolationType VTK_NEAREST_INTERPOLATION " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetInterpolationTypeToNearest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToLinear */
    if ( strcmp ( argv[2], "SetInterpolationTypeToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToLinear */
    Tcl_DStringAppendElement ( &dString, " Set the interpolation type for sampling a volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToLinear ();this SetInterpolationType VTK_LINEAR_INTERPOLATION " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetInterpolationTypeToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationTypeAsString */
    if ( strcmp ( argv[2], "GetInterpolationTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationTypeAsString */
    Tcl_DStringAppendElement ( &dString, " Set the interpolation type for sampling a volume.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetInterpolationTypeAsString (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetInterpolationTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentWeight */
    if ( strcmp ( argv[2], "SetComponentWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar component weights\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetComponentWeight (int index, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetComponentWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentWeight */
    if ( strcmp ( argv[2], "GetComponentWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentWeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar component weights\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetComponentWeight (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetComponentWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set the color of a volume to a gray level transfer function\n for the component indicated by index. This will set the\n color channels for this component to 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColor (int index, vtkPiecewiseFunction *function);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set the color of a volume to a gray level transfer function\n for the component indicated by index. This will set the\n color channels for this component to 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColor (vtkPiecewiseFunction *f);this SetColor f " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set the color of a volume to an RGB transfer function\n for the component indicated by index. This will set the\n color channels for this component to 3.\n This will also recompute the color channels\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColor (int index, vtkColorTransferFunction *function);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set the color of a volume to an RGB transfer function\n for the component indicated by index. This will set the\n color channels for this component to 3.\n This will also recompute the color channels\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColor (vtkColorTransferFunction *f);this SetColor f " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorChannels */
    if ( strcmp ( argv[2], "GetColorChannels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorChannels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorChannels */
    Tcl_DStringAppendElement ( &dString, " Get the number of color channels in the transfer function\n for the given component.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorChannels (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetColorChannels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorChannels */
    if ( strcmp ( argv[2], "GetColorChannels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorChannels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorChannels */
    Tcl_DStringAppendElement ( &dString, " Get the number of color channels in the transfer function\n for the given component.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorChannels ();return this GetColorChannels " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetColorChannels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGrayTransferFunction */
    if ( strcmp ( argv[2], "GetGrayTransferFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGrayTransferFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGrayTransferFunction */
    Tcl_DStringAppendElement ( &dString, " Get the gray transfer function.\n If no transfer function has been set for this component, a default one\n is created and returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction *GetGrayTransferFunction (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetGrayTransferFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGrayTransferFunction */
    if ( strcmp ( argv[2], "GetGrayTransferFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGrayTransferFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGrayTransferFunction */
    Tcl_DStringAppendElement ( &dString, " Get the gray transfer function.\n If no transfer function has been set for this component, a default one\n is created and returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction *GetGrayTransferFunction ();return this GetGrayTransferFunction " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetGrayTransferFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRGBTransferFunction */
    if ( strcmp ( argv[2], "GetRGBTransferFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRGBTransferFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRGBTransferFunction */
    Tcl_DStringAppendElement ( &dString, " Get the RGB transfer function for the given component.\n If no transfer function has been set for this component, a default one\n is created and returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction *GetRGBTransferFunction (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetRGBTransferFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRGBTransferFunction */
    if ( strcmp ( argv[2], "GetRGBTransferFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRGBTransferFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRGBTransferFunction */
    Tcl_DStringAppendElement ( &dString, " Get the RGB transfer function for the given component.\n If no transfer function has been set for this component, a default one\n is created and returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkColorTransferFunction *GetRGBTransferFunction ();return this GetRGBTransferFunction " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetRGBTransferFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarOpacity */
    if ( strcmp ( argv[2], "SetScalarOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarOpacity */
    Tcl_DStringAppendElement ( &dString, " Set the opacity of a volume to an opacity transfer function based\n on scalar value for the component indicated by index. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarOpacity (int index, vtkPiecewiseFunction *function);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetScalarOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarOpacity */
    if ( strcmp ( argv[2], "SetScalarOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarOpacity */
    Tcl_DStringAppendElement ( &dString, " Set the opacity of a volume to an opacity transfer function based\n on scalar value for the component indicated by index. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarOpacity (vtkPiecewiseFunction *f);this SetScalarOpacity f " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetScalarOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarOpacity */
    if ( strcmp ( argv[2], "GetScalarOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarOpacity */
    Tcl_DStringAppendElement ( &dString, " Get the scalar opacity transfer function for the given component.\n If no transfer function has been set for this component, a default one\n is created and returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction *GetScalarOpacity (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetScalarOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarOpacity */
    if ( strcmp ( argv[2], "GetScalarOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarOpacity */
    Tcl_DStringAppendElement ( &dString, " Get the scalar opacity transfer function for the given component.\n If no transfer function has been set for this component, a default one\n is created and returned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction *GetScalarOpacity ();return this GetScalarOpacity " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetScalarOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarOpacityUnitDistance */
    if ( strcmp ( argv[2], "SetScalarOpacityUnitDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacityUnitDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarOpacityUnitDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the unit distance on which the scalar opacity transfer function\n is defined. By default this is 1.0, meaning that over a distance of\n 1.0 units, a given opacity (from the transfer function) is accumulated.\n This is adjusted for the actual sampling distance during rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarOpacityUnitDistance (int index, double distance);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetScalarOpacityUnitDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarOpacityUnitDistance */
    if ( strcmp ( argv[2], "SetScalarOpacityUnitDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarOpacityUnitDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarOpacityUnitDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the unit distance on which the scalar opacity transfer function\n is defined. By default this is 1.0, meaning that over a distance of\n 1.0 units, a given opacity (from the transfer function) is accumulated.\n This is adjusted for the actual sampling distance during rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarOpacityUnitDistance (double distance);this SetScalarOpacityUnitDistance distance " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetScalarOpacityUnitDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarOpacityUnitDistance */
    if ( strcmp ( argv[2], "GetScalarOpacityUnitDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacityUnitDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarOpacityUnitDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the unit distance on which the scalar opacity transfer function\n is defined. By default this is 1.0, meaning that over a distance of\n 1.0 units, a given opacity (from the transfer function) is accumulated.\n This is adjusted for the actual sampling distance during rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScalarOpacityUnitDistance (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetScalarOpacityUnitDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarOpacityUnitDistance */
    if ( strcmp ( argv[2], "GetScalarOpacityUnitDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarOpacityUnitDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarOpacityUnitDistance */
    Tcl_DStringAppendElement ( &dString, " Set the opacity of a volume to an opacity transfer function based\n on gradient magnitude for the given component.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScalarOpacityUnitDistance ();return this GetScalarOpacityUnitDistance " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetScalarOpacityUnitDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGradientOpacity */
    if ( strcmp ( argv[2], "SetGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Set the opacity of a volume to an opacity transfer function based\n on gradient magnitude for the given component.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGradientOpacity (int index, vtkPiecewiseFunction *function);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGradientOpacity */
    if ( strcmp ( argv[2], "SetGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Get the gradient magnitude opacity transfer function for\n the given component.\n If no transfer function has been set for this component, a default one\n is created and returned.\n This default function is always returned if DisableGradientOpacity is On\n for that component.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGradientOpacity (vtkPiecewiseFunction *function);this SetGradientOpacity function " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientOpacity */
    if ( strcmp ( argv[2], "GetGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Get the gradient magnitude opacity transfer function for\n the given component.\n If no transfer function has been set for this component, a default one\n is created and returned.\n This default function is always returned if DisableGradientOpacity is On\n for that component.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction *GetGradientOpacity (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientOpacity */
    if ( strcmp ( argv[2], "GetGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction *GetGradientOpacity ();return this GetGradientOpacity " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisableGradientOpacity */
    if ( strcmp ( argv[2], "SetDisableGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisableGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisableGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDisableGradientOpacity (int index, int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetDisableGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisableGradientOpacity */
    if ( strcmp ( argv[2], "SetDisableGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisableGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisableGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDisableGradientOpacity (int value);this SetDisableGradientOpacity value " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetDisableGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisableGradientOpacityOn */
    if ( strcmp ( argv[2], "DisableGradientOpacityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableGradientOpacityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableGradientOpacityOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisableGradientOpacityOn (int index);this SetDisableGradientOpacity index " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for DisableGradientOpacityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisableGradientOpacityOn */
    if ( strcmp ( argv[2], "DisableGradientOpacityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableGradientOpacityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableGradientOpacityOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisableGradientOpacityOn ();this DisableGradientOpacityOn " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for DisableGradientOpacityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisableGradientOpacityOff */
    if ( strcmp ( argv[2], "DisableGradientOpacityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableGradientOpacityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableGradientOpacityOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisableGradientOpacityOff (int index);this SetDisableGradientOpacity index " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for DisableGradientOpacityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisableGradientOpacityOff */
    if ( strcmp ( argv[2], "DisableGradientOpacityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableGradientOpacityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableGradientOpacityOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisableGradientOpacityOff ();this DisableGradientOpacityOff " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for DisableGradientOpacityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisableGradientOpacity */
    if ( strcmp ( argv[2], "GetDisableGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisableGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisableGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDisableGradientOpacity (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetDisableGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisableGradientOpacity */
    if ( strcmp ( argv[2], "GetDisableGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisableGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisableGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDisableGradientOpacity ();return this GetDisableGradientOpacity " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetDisableGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStoredGradientOpacity */
    if ( strcmp ( argv[2], "GetStoredGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStoredGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStoredGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the gradient opacity function for the given component. \n If set to true, any call to GetGradientOpacity() will return a default\n function for this component. Note that the gradient opacity function is \n still stored, it is not set or reset and can be retrieved using \n GetStoredGradientOpacity().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction *GetStoredGradientOpacity (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetStoredGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStoredGradientOpacity */
    if ( strcmp ( argv[2], "GetStoredGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStoredGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStoredGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction *GetStoredGradientOpacity ();return this GetStoredGradientOpacity " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetStoredGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShade */
    if ( strcmp ( argv[2], "SetShade" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShade" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShade */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShade (int index, int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetShade */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShade */
    if ( strcmp ( argv[2], "SetShade" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShade" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShade */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShade (int value);this SetShade value " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetShade */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShade */
    if ( strcmp ( argv[2], "GetShade" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShade" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShade */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShade (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetShade */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShade */
    if ( strcmp ( argv[2], "GetShade" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShade" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShade */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShade ();return this GetShade " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetShade */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShadeOn */
    if ( strcmp ( argv[2], "ShadeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShadeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShadeOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ShadeOn (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for ShadeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShadeOn */
    if ( strcmp ( argv[2], "ShadeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShadeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShadeOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ShadeOn ();this ShadeOn " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for ShadeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShadeOff */
    if ( strcmp ( argv[2], "ShadeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShadeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShadeOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shading of a volume. If shading is turned off, then\n the mapper for the volume will not perform shading calculations.\n If shading is turned on, the mapper may perform shading \n calculations - in some cases shading does not apply (for example,\n in a maximum intensity projection) and therefore shading will\n not be performed even if this flag is on. For a compositing type\n of mapper, turning shading off is generally the same as setting\n ambient=1, diffuse=0, ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ShadeOff (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for ShadeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShadeOff */
    if ( strcmp ( argv[2], "ShadeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShadeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShadeOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ambient lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShadeOff ();this ShadeOff " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for ShadeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAmbient */
    if ( strcmp ( argv[2], "SetAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAmbient */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ambient lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAmbient (int index, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAmbient */
    if ( strcmp ( argv[2], "SetAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAmbient */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ambient lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAmbient (double value);this SetAmbient value " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmbient */
    if ( strcmp ( argv[2], "GetAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmbient */
    Tcl_DStringAppendElement ( &dString, " Set/Get the ambient lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAmbient (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmbient */
    if ( strcmp ( argv[2], "GetAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmbient */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diffuse lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAmbient ();return this GetAmbient " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffuse */
    if ( strcmp ( argv[2], "SetDiffuse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffuse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffuse */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diffuse lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffuse (int index, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetDiffuse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffuse */
    if ( strcmp ( argv[2], "SetDiffuse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffuse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffuse */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diffuse lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffuse (double value);this SetDiffuse value " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetDiffuse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffuse */
    if ( strcmp ( argv[2], "GetDiffuse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffuse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffuse */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diffuse lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffuse (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetDiffuse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffuse */
    if ( strcmp ( argv[2], "GetDiffuse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffuse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffuse */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffuse ();return this GetDiffuse " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetDiffuse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpecular */
    if ( strcmp ( argv[2], "SetSpecular" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpecular" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpecular */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpecular (int index, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetSpecular */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpecular */
    if ( strcmp ( argv[2], "SetSpecular" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpecular" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpecular */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpecular (double value);this SetSpecular value " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetSpecular */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecular */
    if ( strcmp ( argv[2], "GetSpecular" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecular" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecular */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular lighting coefficient.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSpecular (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetSpecular */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecular */
    if ( strcmp ( argv[2], "GetSpecular" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecular" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecular */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular power.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSpecular ();return this GetSpecular " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetSpecular */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpecularPower */
    if ( strcmp ( argv[2], "SetSpecularPower" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpecularPower" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpecularPower */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular power.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpecularPower (int index, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetSpecularPower */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpecularPower */
    if ( strcmp ( argv[2], "SetSpecularPower" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpecularPower" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpecularPower */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular power.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpecularPower (double value);this SetSpecularPower value " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for SetSpecularPower */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecularPower */
    if ( strcmp ( argv[2], "GetSpecularPower" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecularPower" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecularPower */
    Tcl_DStringAppendElement ( &dString, " Set/Get the specular power.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSpecularPower (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetSpecularPower */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpecularPower */
    if ( strcmp ( argv[2], "GetSpecularPower" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpecularPower" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpecularPower */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetSpecularPower ();return this GetSpecularPower " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProperty" );
    /* Closing for GetSpecularPower */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
