// python wrapper for vtkWindowToImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWindowToImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWindowToImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWindowToImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkWindowToImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  const char    *temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  vtkWindowToImageFilter  *temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWindowToImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWindowToImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  vtkWindow  *temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_SetMagnification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  int      temp0;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::SetMagnification(temp0);
      }
    else
      {
      op->SetMagnification(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_GetMagnificationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  int      temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::GetMagnificationMinValue();
      }
    else
      {
      temp20 = op->GetMagnificationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_GetMagnificationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  int      temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::GetMagnificationMaxValue();
      }
    else
      {
      temp20 = op->GetMagnificationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_GetMagnification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  int      temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::GetMagnification();
      }
    else
      {
      temp20 = op->GetMagnification();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_ReadFrontBufferOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::ReadFrontBufferOn();
      }
    else
      {
      op->ReadFrontBufferOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_ReadFrontBufferOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::ReadFrontBufferOff();
      }
    else
      {
      op->ReadFrontBufferOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_GetReadFrontBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  int      temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::GetReadFrontBuffer();
      }
    else
      {
      temp20 = op->GetReadFrontBuffer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_SetReadFrontBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  int      temp0;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::SetReadFrontBuffer(temp0);
      }
    else
      {
      op->SetReadFrontBuffer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_ShouldRerenderOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::ShouldRerenderOn();
      }
    else
      {
      op->ShouldRerenderOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_ShouldRerenderOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::ShouldRerenderOff();
      }
    else
      {
      op->ShouldRerenderOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_SetShouldRerender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  int      temp0;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::SetShouldRerender(temp0);
      }
    else
      {
      op->SetShouldRerender(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_GetShouldRerender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  int      temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::GetShouldRerender();
      }
    else
      {
      temp20 = op->GetShouldRerender();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_SetViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::SetViewport(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetViewport(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::SetViewport(temp0);
      }
    else
      {
      op->SetViewport(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_GetViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  double  *temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::GetViewport();
      }
    else
      {
      temp20 = op->GetViewport();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_SetInputBufferType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  int      temp0;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::SetInputBufferType(temp0);
      }
    else
      {
      op->SetInputBufferType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_GetInputBufferType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  int      temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::GetInputBufferType();
      }
    else
      {
      temp20 = op->GetInputBufferType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_SetInputBufferTypeToRGB(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::SetInputBufferTypeToRGB();
      }
    else
      {
      op->SetInputBufferTypeToRGB();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_SetInputBufferTypeToRGBA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::SetInputBufferTypeToRGBA();
      }
    else
      {
      op->SetInputBufferTypeToRGBA();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_SetInputBufferTypeToZBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowToImageFilter::SetInputBufferTypeToZBuffer();
      }
    else
      {
      op->SetInputBufferTypeToZBuffer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowToImageFilter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowToImageFilter *op;

  vtkImageData  *temp20;
  op = (vtkWindowToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowToImageFilter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWindowToImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWindowToImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWindowToImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWindowToImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWindowToImageFilter\nC++: vtkWindowToImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWindowToImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWindowToImageFilter\nC++: vtkWindowToImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkWindowToImageFilter_SetInput, 1,
   (char*)"V.SetInput(vtkWindow)\nC++: void SetInput (vtkWindow *input);\n\n Indicates what renderer to get the pixel data from. Initial value is 0.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkWindowToImageFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkWindow\nC++: vtkWindow *GetInput ();\n\n Returns which renderer is being used as the source for the pixel data.\n Initial value is 0.\n"},
  {(char*)"SetMagnification",                (PyCFunction)PyvtkWindowToImageFilter_SetMagnification, 1,
   (char*)"V.SetMagnification(int)\nC++: void SetMagnification (int );\n\n The magnification of the current render window. Initial value is 1.\n"},
  {(char*)"GetMagnificationMinValue",                (PyCFunction)PyvtkWindowToImageFilter_GetMagnificationMinValue, 1,
   (char*)"V.GetMagnificationMinValue() -> int\nC++: int GetMagnificationMinValue ();\n\n The magnification of the current render window. Initial value is 1.\n"},
  {(char*)"GetMagnificationMaxValue",                (PyCFunction)PyvtkWindowToImageFilter_GetMagnificationMaxValue, 1,
   (char*)"V.GetMagnificationMaxValue() -> int\nC++: int GetMagnificationMaxValue ();\n\n The magnification of the current render window. Initial value is 1.\n"},
  {(char*)"GetMagnification",                (PyCFunction)PyvtkWindowToImageFilter_GetMagnification, 1,
   (char*)"V.GetMagnification() -> int\nC++: int GetMagnification ();\n\n The magnification of the current render window. Initial value is 1.\n"},
  {(char*)"ReadFrontBufferOn",                (PyCFunction)PyvtkWindowToImageFilter_ReadFrontBufferOn, 1,
   (char*)"V.ReadFrontBufferOn()\nC++: void ReadFrontBufferOn ();\n\n Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.   \n"},
  {(char*)"ReadFrontBufferOff",                (PyCFunction)PyvtkWindowToImageFilter_ReadFrontBufferOff, 1,
   (char*)"V.ReadFrontBufferOff()\nC++: void ReadFrontBufferOff ();\n\n Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.   \n"},
  {(char*)"GetReadFrontBuffer",                (PyCFunction)PyvtkWindowToImageFilter_GetReadFrontBuffer, 1,
   (char*)"V.GetReadFrontBuffer() -> int\nC++: int GetReadFrontBuffer ();\n\n Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.   \n"},
  {(char*)"SetReadFrontBuffer",                (PyCFunction)PyvtkWindowToImageFilter_SetReadFrontBuffer, 1,
   (char*)"V.SetReadFrontBuffer(int)\nC++: void SetReadFrontBuffer (int );\n\n Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.   \n"},
  {(char*)"ShouldRerenderOn",                (PyCFunction)PyvtkWindowToImageFilter_ShouldRerenderOn, 1,
   (char*)"V.ShouldRerenderOn()\nC++: void ShouldRerenderOn ();\n\n Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if Magnification > 1.)\n"},
  {(char*)"ShouldRerenderOff",                (PyCFunction)PyvtkWindowToImageFilter_ShouldRerenderOff, 1,
   (char*)"V.ShouldRerenderOff()\nC++: void ShouldRerenderOff ();\n\n Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if Magnification > 1.)\n"},
  {(char*)"SetShouldRerender",                (PyCFunction)PyvtkWindowToImageFilter_SetShouldRerender, 1,
   (char*)"V.SetShouldRerender(int)\nC++: void SetShouldRerender (int );\n\n Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if Magnification > 1.)\n"},
  {(char*)"GetShouldRerender",                (PyCFunction)PyvtkWindowToImageFilter_GetShouldRerender, 1,
   (char*)"V.GetShouldRerender() -> int\nC++: int GetShouldRerender ();\n\n Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if Magnification > 1.)\n"},
  {(char*)"SetViewport",                (PyCFunction)PyvtkWindowToImageFilter_SetViewport, 1,
   (char*)"V.SetViewport(float, float, float, float)\nC++: void SetViewport (double , double , double , double );\nV.SetViewport((float, float, float, float))\nC++: void SetViewport (double  a[4]);\n\n Set/get the extents to be used to generate the image. Initial value is\n {0,0,1,1} (This option does not work if Magnification > 1.)\n"},
  {(char*)"GetViewport",                (PyCFunction)PyvtkWindowToImageFilter_GetViewport, 1,
   (char*)"V.GetViewport() -> (float, float, float, float)\nC++: double  *GetViewport ();\n\n Set/get the extents to be used to generate the image. Initial value is\n {0,0,1,1} (This option does not work if Magnification > 1.)\n"},
  {(char*)"SetInputBufferType",                (PyCFunction)PyvtkWindowToImageFilter_SetInputBufferType, 1,
   (char*)"V.SetInputBufferType(int)\nC++: void SetInputBufferType (int );\n\n Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA \n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n"},
  {(char*)"GetInputBufferType",                (PyCFunction)PyvtkWindowToImageFilter_GetInputBufferType, 1,
   (char*)"V.GetInputBufferType() -> int\nC++: int GetInputBufferType ();\n\n Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA \n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n"},
  {(char*)"SetInputBufferTypeToRGB",                (PyCFunction)PyvtkWindowToImageFilter_SetInputBufferTypeToRGB, 1,
   (char*)"V.SetInputBufferTypeToRGB()\nC++: void SetInputBufferTypeToRGB ();this SetInputBufferType VTK_RGB \n\n Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA \n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n"},
  {(char*)"SetInputBufferTypeToRGBA",                (PyCFunction)PyvtkWindowToImageFilter_SetInputBufferTypeToRGBA, 1,
   (char*)"V.SetInputBufferTypeToRGBA()\nC++: void SetInputBufferTypeToRGBA ();this SetInputBufferType VTK_RGBA \n\n Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA \n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n"},
  {(char*)"SetInputBufferTypeToZBuffer",                (PyCFunction)PyvtkWindowToImageFilter_SetInputBufferTypeToZBuffer, 1,
   (char*)"V.SetInputBufferTypeToZBuffer()\nC++: void SetInputBufferTypeToZBuffer ();this SetInputBufferType VTK_ZBUFFER \n\n Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA \n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkWindowToImageFilter_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageData\nC++: vtkImageData *GetOutput ();\n\n Get the output data object for a port on this algorithm.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWindowToImageFilterDoc[] = {
  (char*)"vtkWindowToImageFilter - Use a vtkWindow as input to image pipeline\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkWindowToImageFilter provides methods needed to read the data in\n a vtkWindow and use it as input to the imaging pipeline. This is\n useful for saving an image to a file for example. The window can\n be read as either RGB or RGBA pixels;  in addition, the depth buffer\n can also be read.   RGB and RGBA pixels are of type unsigned char,\n while Z-Buffer data is returned as floats.  Use this filter\n ",
  (char*)"to convert RenderWindows or ImageWindows to an image format.  \n\n\n",
  "Caveats:\n\n A vtkWindow doesn't behave like other parts of the VTK pipeline: its\n modification time doesn't get updated when an image is rendered.  As a\n result, naive use of vtkWindowToImageFilter will produce an image of\n the first image that the window rendered, but which is never updated\n on subsequent window updates.  This behavior is unexpected and in \n general undesirable. \n\n To force an update of the output image, call vtkWindowToImageFilter's \n Modified method after re ...\n [Truncated]\n\n",
  "See Also:\n\n vtkWindow vtkRenderLargeImage\n\n",
  NULL
};

static vtkObjectBase *vtkWindowToImageFilterStaticNew()
{
  return vtkWindowToImageFilter::New();
}

PyObject *PyVTKClass_vtkWindowToImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkWindowToImageFilterStaticNew,
                        PyvtkWindowToImageFilterMethods,
                        (char*)"vtkWindowToImageFilter",modulename,
                        (char**)vtkWindowToImageFilterDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

