// tcl wrapper for vtkWindowToImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWindowToImageFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkWindowToImageFilterNewCommand()
{
  vtkWindowToImageFilter *temp = vtkWindowToImageFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkWindowToImageFilterCppCommand(vtkWindowToImageFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkWindowToImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkWindowToImageFilterCppCommand(static_cast<vtkWindowToImageFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkWindowToImageFilterCppCommand(vtkWindowToImageFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkWindowToImageFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkWindowToImageFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindowToImageFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkWindowToImageFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindowToImageFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkWindowToImageFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindowToImageFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkWindow  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetMagnification",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMagnification(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMagnificationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnificationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMagnificationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnificationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMagnification",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnification();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadFrontBufferOn",argv[1]))&&(argc == 2))
    {
    op->ReadFrontBufferOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadFrontBufferOff",argv[1]))&&(argc == 2))
    {
    op->ReadFrontBufferOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetReadFrontBuffer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadFrontBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReadFrontBuffer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadFrontBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShouldRerenderOn",argv[1]))&&(argc == 2))
    {
    op->ShouldRerenderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShouldRerenderOff",argv[1]))&&(argc == 2))
    {
    op->ShouldRerenderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShouldRerender",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShouldRerender(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShouldRerender",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShouldRerender();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetViewport",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetViewport(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewport",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetViewport(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewport",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewport();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInputBufferType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInputBufferType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputBufferType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInputBufferType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInputBufferTypeToRGB",argv[1]))&&(argc == 2))
    {
    op->SetInputBufferTypeToRGB();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInputBufferTypeToRGBA",argv[1]))&&(argc == 2))
    {
    op->SetInputBufferTypeToRGBA();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInputBufferTypeToZBuffer",argv[1]))&&(argc == 2))
    {
    op->SetInputBufferTypeToZBuffer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkWindowToImageFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkWindowToImageFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnification\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnificationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnificationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnification\n",NULL);
    Tcl_AppendResult(interp,"  ReadFrontBufferOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadFrontBufferOff\n",NULL);
    Tcl_AppendResult(interp,"  GetReadFrontBuffer\n",NULL);
    Tcl_AppendResult(interp,"  SetReadFrontBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShouldRerenderOn\n",NULL);
    Tcl_AppendResult(interp,"  ShouldRerenderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetShouldRerender\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShouldRerender\n",NULL);
    Tcl_AppendResult(interp,"  SetViewport\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewport\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetViewport\n",NULL);
    Tcl_AppendResult(interp,"  SetInputBufferType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputBufferType\n",NULL);
    Tcl_AppendResult(interp,"  SetInputBufferTypeToRGB\n",NULL);
    Tcl_AppendResult(interp,"  SetInputBufferTypeToRGBA\n",NULL);
    Tcl_AppendResult(interp,"  SetInputBufferTypeToZBuffer\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetMagnification" );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMagnification" );
    Tcl_DStringAppendElement ( &dString, "ReadFrontBufferOn" );
    Tcl_DStringAppendElement ( &dString, "ReadFrontBufferOff" );
    Tcl_DStringAppendElement ( &dString, "GetReadFrontBuffer" );
    Tcl_DStringAppendElement ( &dString, "SetReadFrontBuffer" );
    Tcl_DStringAppendElement ( &dString, "ShouldRerenderOn" );
    Tcl_DStringAppendElement ( &dString, "ShouldRerenderOff" );
    Tcl_DStringAppendElement ( &dString, "SetShouldRerender" );
    Tcl_DStringAppendElement ( &dString, "GetShouldRerender" );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    Tcl_DStringAppendElement ( &dString, "GetViewport" );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferType" );
    Tcl_DStringAppendElement ( &dString, "GetInputBufferType" );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToRGB" );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToRGBA" );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToZBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkWindowToImageFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Indicates what renderer to get the pixel data from. Initial value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput (vtkWindow *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Returns which renderer is being used as the source for the pixel data.\n Initial value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow *GetInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMagnification */
    if ( strcmp ( argv[2], "SetMagnification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMagnification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMagnification */
    Tcl_DStringAppendElement ( &dString, " The magnification of the current render window. Initial value is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMagnification (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetMagnification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnificationMinValue */
    if ( strcmp ( argv[2], "GetMagnificationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnificationMinValue */
    Tcl_DStringAppendElement ( &dString, " The magnification of the current render window. Initial value is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnificationMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetMagnificationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnificationMaxValue */
    if ( strcmp ( argv[2], "GetMagnificationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnificationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnificationMaxValue */
    Tcl_DStringAppendElement ( &dString, " The magnification of the current render window. Initial value is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnificationMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetMagnificationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMagnification */
    if ( strcmp ( argv[2], "GetMagnification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMagnification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMagnification */
    Tcl_DStringAppendElement ( &dString, " The magnification of the current render window. Initial value is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMagnification ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetMagnification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadFrontBufferOn */
    if ( strcmp ( argv[2], "ReadFrontBufferOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadFrontBufferOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadFrontBufferOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.   \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadFrontBufferOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for ReadFrontBufferOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadFrontBufferOff */
    if ( strcmp ( argv[2], "ReadFrontBufferOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadFrontBufferOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadFrontBufferOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.   \n" );
    Tcl_DStringAppendElement ( &dString, "void ReadFrontBufferOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for ReadFrontBufferOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReadFrontBuffer */
    if ( strcmp ( argv[2], "GetReadFrontBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReadFrontBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReadFrontBuffer */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.   \n" );
    Tcl_DStringAppendElement ( &dString, "int GetReadFrontBuffer ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetReadFrontBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReadFrontBuffer */
    if ( strcmp ( argv[2], "SetReadFrontBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReadFrontBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReadFrontBuffer */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that determines which buffer to read from.\n The default is to read from the front buffer.   \n" );
    Tcl_DStringAppendElement ( &dString, "void SetReadFrontBuffer (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetReadFrontBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShouldRerenderOn */
    if ( strcmp ( argv[2], "ShouldRerenderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShouldRerenderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShouldRerenderOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if Magnification > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "void ShouldRerenderOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for ShouldRerenderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShouldRerenderOff */
    if ( strcmp ( argv[2], "ShouldRerenderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShouldRerenderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShouldRerenderOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if Magnification > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "void ShouldRerenderOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for ShouldRerenderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShouldRerender */
    if ( strcmp ( argv[2], "SetShouldRerender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShouldRerender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShouldRerender */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if Magnification > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShouldRerender (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetShouldRerender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShouldRerender */
    if ( strcmp ( argv[2], "GetShouldRerender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShouldRerender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShouldRerender */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to re-render the input window. Initial value is true.\n (This option makes no difference if Magnification > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShouldRerender ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetShouldRerender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewport */
    if ( strcmp ( argv[2], "SetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewport */
    Tcl_DStringAppendElement ( &dString, " Set/get the extents to be used to generate the image. Initial value is\n {0,0,1,1} (This option does not work if Magnification > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewport (double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewport */
    if ( strcmp ( argv[2], "SetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewport */
    Tcl_DStringAppendElement ( &dString, " Set/get the extents to be used to generate the image. Initial value is\n {0,0,1,1} (This option does not work if Magnification > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewport (double  a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewport */
    if ( strcmp ( argv[2], "GetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewport */
    Tcl_DStringAppendElement ( &dString, " Set/get the extents to be used to generate the image. Initial value is\n {0,0,1,1} (This option does not work if Magnification > 1.)\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetViewport ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputBufferType */
    if ( strcmp ( argv[2], "SetInputBufferType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputBufferType */
    Tcl_DStringAppendElement ( &dString, " Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA \n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputBufferType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetInputBufferType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputBufferType */
    if ( strcmp ( argv[2], "GetInputBufferType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputBufferType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputBufferType */
    Tcl_DStringAppendElement ( &dString, " Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA \n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInputBufferType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetInputBufferType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputBufferTypeToRGB */
    if ( strcmp ( argv[2], "SetInputBufferTypeToRGB" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToRGB" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputBufferTypeToRGB */
    Tcl_DStringAppendElement ( &dString, " Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA \n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputBufferTypeToRGB ();this SetInputBufferType VTK_RGB " );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetInputBufferTypeToRGB */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputBufferTypeToRGBA */
    if ( strcmp ( argv[2], "SetInputBufferTypeToRGBA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToRGBA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputBufferTypeToRGBA */
    Tcl_DStringAppendElement ( &dString, " Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA \n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputBufferTypeToRGBA ();this SetInputBufferType VTK_RGBA " );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetInputBufferTypeToRGBA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputBufferTypeToZBuffer */
    if ( strcmp ( argv[2], "SetInputBufferTypeToZBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputBufferTypeToZBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputBufferTypeToZBuffer */
    Tcl_DStringAppendElement ( &dString, " Set/get the window buffer from which data will be read.  Choices\n include VTK_RGB (read the color image from the window), VTK_RGBA \n (same, but include the alpha channel), and VTK_ZBUFFER (depth\n buffer, returned as a float array). Initial value is VTK_RGB.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputBufferTypeToZBuffer ();this SetInputBufferType VTK_ZBUFFER " );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for SetInputBufferTypeToZBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object for a port on this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetOutput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowToImageFilter" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
