// python wrapper for vtkWorldPointPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWorldPointPicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWorldPointPickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWorldPointPickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractPickerNew(char *); }

static PyObject *PyvtkWorldPointPicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWorldPointPicker *op;

  const char    *temp20;
  op = (vtkWorldPointPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWorldPointPicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWorldPointPicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWorldPointPicker *op;

  char    *temp0;
  int      temp20;
  op = (vtkWorldPointPicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWorldPointPicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWorldPointPicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWorldPointPicker *op;

  vtkWorldPointPicker  *temp20;
  op = (vtkWorldPointPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWorldPointPicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWorldPointPicker_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWorldPointPicker  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWorldPointPicker::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWorldPointPicker_Pick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWorldPointPicker *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  PyObject *tempH3;
  int      temp20;
  op = (vtkWorldPointPicker *)PyArg_VTKParseTuple(self, args, (char*)"dddO", &temp0, &temp1, &temp2, &tempH3);
  if (op)
    {
    temp3 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkRenderer");
    if (!temp3 && tempH3 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWorldPointPicker::Pick(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Pick(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkWorldPointPicker *op;

  double temp0[3];
  vtkRenderer  *temp1;
  PyObject *tempH1;
  int      temp20;
  PyErr_Clear();
  op = (vtkWorldPointPicker *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1);
  if (op)
    {
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWorldPointPicker::Pick(temp0,temp1);
      }
    else
      {
      temp20 = op->Pick(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkWorldPointPickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWorldPointPicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWorldPointPicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWorldPointPicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWorldPointPicker\nC++: vtkWorldPointPicker *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWorldPointPicker_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWorldPointPicker\nC++: vtkWorldPointPicker *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Pick",                (PyCFunction)PyvtkWorldPointPicker_Pick, 1,
   (char*)"V.Pick(float, float, float, vtkRenderer) -> int\nC++: int Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer);\nV.Pick((float, float, float), vtkRenderer) -> int\nC++: int Pick (double selectionPt[3], vtkRenderer *renderer);return this vtkAbstractPicker Pick selectionPt renderer \n\n Perform the pick. (This method overload's the superclass.)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWorldPointPickerDoc[] = {
  (char*)"vtkWorldPointPicker - find world x,y,z corresponding to display x,y,z\n\n",
  "Super Class:\n\n vtkAbstractPicker\n\n",
  (char*)" vtkWorldPointPicker is used to find the x,y,z world coordinate of a\n screen x,y,z. This picker cannot pick actors and/or mappers, it\n simply determines an x-y-z coordinate in world space. (It will always\n return a x-y-z, even if the selection point is not over a prop/actor.)\n\n",
  "Caveats:\n\n The PickMethod() is not invoked, but StartPickMethod() and EndPickMethod()\n are.\n\n",
  "See Also:\n\n vtkPropPicker vtkPicker vtkCellPicker vtkPointPicker \n\n",
  NULL
};

static vtkObjectBase *vtkWorldPointPickerStaticNew()
{
  return vtkWorldPointPicker::New();
}

PyObject *PyVTKClass_vtkWorldPointPickerNew(char *modulename)
{
  return PyVTKClass_New(&vtkWorldPointPickerStaticNew,
                        PyvtkWorldPointPickerMethods,
                        (char*)"vtkWorldPointPicker",modulename,
                        (char**)vtkWorldPointPickerDoc,
                        PyVTKClass_vtkAbstractPickerNew(modulename));
}

