// python wrapper for vtkXRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXRenderWindowInteractor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXRenderWindowInteractorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXRenderWindowInteractorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderWindowInteractorNew(char *); }

static PyObject *PyvtkXRenderWindowInteractor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  const char    *temp20;
  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXRenderWindowInteractor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  char    *temp0;
  int      temp20;
  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXRenderWindowInteractor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  vtkXRenderWindowInteractor  *temp20;
  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXRenderWindowInteractor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXRenderWindowInteractor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXRenderWindowInteractor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXRenderWindowInteractor::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_TerminateApp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXRenderWindowInteractor::TerminateApp();
      }
    else
      {
      op->TerminateApp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_SetBreakLoopFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  int      temp0;
  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXRenderWindowInteractor::SetBreakLoopFlag(temp0);
      }
    else
      {
      op->SetBreakLoopFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_GetBreakLoopFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  int      temp20;
  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXRenderWindowInteractor::GetBreakLoopFlag();
      }
    else
      {
      temp20 = op->GetBreakLoopFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_BreakLoopFlagOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXRenderWindowInteractor::BreakLoopFlagOn();
      }
    else
      {
      op->BreakLoopFlagOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_BreakLoopFlagOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXRenderWindowInteractor::BreakLoopFlagOff();
      }
    else
      {
      op->BreakLoopFlagOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_Enable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXRenderWindowInteractor::Enable();
      }
    else
      {
      op->Enable();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_Disable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXRenderWindowInteractor::Disable();
      }
    else
      {
      op->Disable();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_Start(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXRenderWindowInteractor::Start();
      }
    else
      {
      op->Start();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXRenderWindowInteractor_UpdateSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXRenderWindowInteractor *op;

  int      temp0;
  int      temp1;
  op = (vtkXRenderWindowInteractor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXRenderWindowInteractor::UpdateSize(temp0,temp1);
      }
    else
      {
      op->UpdateSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXRenderWindowInteractorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXRenderWindowInteractor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXRenderWindowInteractor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXRenderWindowInteractor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXRenderWindowInteractor\nC++: vtkXRenderWindowInteractor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXRenderWindowInteractor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXRenderWindowInteractor\nC++: vtkXRenderWindowInteractor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkXRenderWindowInteractor_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Initializes the event handlers without an XtAppContext.  This is\n good for when you don't have a user interface, but you still\n want to have mouse interaction.\n"},
  {(char*)"TerminateApp",                (PyCFunction)PyvtkXRenderWindowInteractor_TerminateApp, 1,
   (char*)"V.TerminateApp()\nC++: void TerminateApp (void );exit \n\n The BreakLoopFlag is checked in the Start() method.\n Setting it to anything other than zero will cause\n the interactor loop to terminate and return to the\n calling function.\n"},
  {(char*)"SetBreakLoopFlag",                (PyCFunction)PyvtkXRenderWindowInteractor_SetBreakLoopFlag, 1,
   (char*)"V.SetBreakLoopFlag(int)\nC++: void SetBreakLoopFlag (int );\n\n The BreakLoopFlag is checked in the Start() method.\n Setting it to anything other than zero will cause\n the interactor loop to terminate and return to the\n calling function.\n"},
  {(char*)"GetBreakLoopFlag",                (PyCFunction)PyvtkXRenderWindowInteractor_GetBreakLoopFlag, 1,
   (char*)"V.GetBreakLoopFlag() -> int\nC++: int GetBreakLoopFlag ();\n\n The BreakLoopFlag is checked in the Start() method.\n Setting it to anything other than zero will cause\n the interactor loop to terminate and return to the\n calling function.\n"},
  {(char*)"BreakLoopFlagOn",                (PyCFunction)PyvtkXRenderWindowInteractor_BreakLoopFlagOn, 1,
   (char*)"V.BreakLoopFlagOn()\nC++: void BreakLoopFlagOn ();\n\n The BreakLoopFlag is checked in the Start() method.\n Setting it to anything other than zero will cause\n the interactor loop to terminate and return to the\n calling function.\n"},
  {(char*)"BreakLoopFlagOff",                (PyCFunction)PyvtkXRenderWindowInteractor_BreakLoopFlagOff, 1,
   (char*)"V.BreakLoopFlagOff()\nC++: void BreakLoopFlagOff ();\n\n The BreakLoopFlag is checked in the Start() method.\n Setting it to anything other than zero will cause\n the interactor loop to terminate and return to the\n calling function.\n"},
  {(char*)"Enable",                (PyCFunction)PyvtkXRenderWindowInteractor_Enable, 1,
   (char*)"V.Enable()\nC++: virtual void Enable ();\n\n Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n"},
  {(char*)"Disable",                (PyCFunction)PyvtkXRenderWindowInteractor_Disable, 1,
   (char*)"V.Disable()\nC++: virtual void Disable ();\n\n Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n"},
  {(char*)"Start",                (PyCFunction)PyvtkXRenderWindowInteractor_Start, 1,
   (char*)"V.Start()\nC++: virtual void Start ();\n\n This will start up the X event loop and never return. If you\n call this method it will loop processing X events until the\n application is exited.\n"},
  {(char*)"UpdateSize",                (PyCFunction)PyvtkXRenderWindowInteractor_UpdateSize, 1,
   (char*)"V.UpdateSize(int, int)\nC++: virtual void UpdateSize (int , int );\n\n Update the Size data member and set the associated RenderWindow's\n size.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXRenderWindowInteractorDoc[] = {
  (char*)"vtkXRenderWindowInteractor - an X event driven interface for a RenderWindow\n\n",
  "Super Class:\n\n vtkRenderWindowInteractor\n\n",
  (char*)" vtkXRenderWindowInteractor is a convenience object that provides event\n bindings to common graphics functions. For example, camera and actor\n functions such as zoom-in/zoom-out, azimuth, roll, and pan. IT is one of\n the window system specific subclasses of vtkRenderWindowInteractor. Please\n see vtkRenderWindowInteractor documentation for event bindings.\n\n\n",
  "See Also:\n\n vtkRenderWindowInteractor vtkXRenderWindow\n\n",
  NULL
};

static vtkObjectBase *vtkXRenderWindowInteractorStaticNew()
{
  return vtkXRenderWindowInteractor::New();
}

PyObject *PyVTKClass_vtkXRenderWindowInteractorNew(char *modulename)
{
  return PyVTKClass_New(&vtkXRenderWindowInteractorStaticNew,
                        PyvtkXRenderWindowInteractorMethods,
                        (char*)"vtkXRenderWindowInteractor",modulename,
                        (char**)vtkXRenderWindowInteractorDoc,
                        PyVTKClass_vtkRenderWindowInteractorNew(modulename));
}

