// tcl wrapper for vtkXRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXRenderWindowInteractor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkXRenderWindowInteractorNewCommand()
{
  vtkXRenderWindowInteractor *temp = vtkXRenderWindowInteractor::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderWindowInteractorCppCommand(vtkRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXRenderWindowInteractorCppCommand(vtkXRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXRenderWindowInteractorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXRenderWindowInteractorCppCommand(static_cast<vtkXRenderWindowInteractor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXRenderWindowInteractorCppCommand(vtkXRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXRenderWindowInteractor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderWindowInteractorCppCommand(static_cast<vtkRenderWindowInteractor *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderWindowInteractor"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkXRenderWindowInteractor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXRenderWindowInteractor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkXRenderWindowInteractor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXRenderWindowInteractor");
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TerminateApp",argv[1]))&&(argc == 2))
    {
    op->TerminateApp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBreakLoopFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBreakLoopFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBreakLoopFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBreakLoopFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BreakLoopFlagOn",argv[1]))&&(argc == 2))
    {
    op->BreakLoopFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BreakLoopFlagOff",argv[1]))&&(argc == 2))
    {
    op->BreakLoopFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Enable",argv[1]))&&(argc == 2))
    {
    op->Enable();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Disable",argv[1]))&&(argc == 2))
    {
    op->Disable();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->UpdateSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkXRenderWindowInteractorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderWindowInteractorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXRenderWindowInteractor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  TerminateApp\n",NULL);
    Tcl_AppendResult(interp,"  SetBreakLoopFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBreakLoopFlag\n",NULL);
    Tcl_AppendResult(interp,"  BreakLoopFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  BreakLoopFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  Enable\n",NULL);
    Tcl_AppendResult(interp,"  Disable\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  UpdateSize\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderWindowInteractorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "TerminateApp" );
    Tcl_DStringAppendElement ( &dString, "SetBreakLoopFlag" );
    Tcl_DStringAppendElement ( &dString, "GetBreakLoopFlag" );
    Tcl_DStringAppendElement ( &dString, "BreakLoopFlagOn" );
    Tcl_DStringAppendElement ( &dString, "BreakLoopFlagOff" );
    Tcl_DStringAppendElement ( &dString, "Enable" );
    Tcl_DStringAppendElement ( &dString, "Disable" );
    Tcl_DStringAppendElement ( &dString, "Start" );
    Tcl_DStringAppendElement ( &dString, "UpdateSize" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderWindowInteractorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkXRenderWindowInteractor *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initializes the event handlers without an XtAppContext.  This is\n good for when you don't have a user interface, but you still\n want to have mouse interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TerminateApp */
    if ( strcmp ( argv[2], "TerminateApp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TerminateApp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TerminateApp */
    Tcl_DStringAppendElement ( &dString, " The BreakLoopFlag is checked in the Start() method.\n Setting it to anything other than zero will cause\n the interactor loop to terminate and return to the\n calling function.\n" );
    Tcl_DStringAppendElement ( &dString, "void TerminateApp (void );exit " );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for TerminateApp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBreakLoopFlag */
    if ( strcmp ( argv[2], "SetBreakLoopFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBreakLoopFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBreakLoopFlag */
    Tcl_DStringAppendElement ( &dString, " The BreakLoopFlag is checked in the Start() method.\n Setting it to anything other than zero will cause\n the interactor loop to terminate and return to the\n calling function.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBreakLoopFlag (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for SetBreakLoopFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBreakLoopFlag */
    if ( strcmp ( argv[2], "GetBreakLoopFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBreakLoopFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBreakLoopFlag */
    Tcl_DStringAppendElement ( &dString, " The BreakLoopFlag is checked in the Start() method.\n Setting it to anything other than zero will cause\n the interactor loop to terminate and return to the\n calling function.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBreakLoopFlag ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for GetBreakLoopFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BreakLoopFlagOn */
    if ( strcmp ( argv[2], "BreakLoopFlagOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BreakLoopFlagOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BreakLoopFlagOn */
    Tcl_DStringAppendElement ( &dString, " The BreakLoopFlag is checked in the Start() method.\n Setting it to anything other than zero will cause\n the interactor loop to terminate and return to the\n calling function.\n" );
    Tcl_DStringAppendElement ( &dString, "void BreakLoopFlagOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for BreakLoopFlagOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BreakLoopFlagOff */
    if ( strcmp ( argv[2], "BreakLoopFlagOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BreakLoopFlagOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BreakLoopFlagOff */
    Tcl_DStringAppendElement ( &dString, " The BreakLoopFlag is checked in the Start() method.\n Setting it to anything other than zero will cause\n the interactor loop to terminate and return to the\n calling function.\n" );
    Tcl_DStringAppendElement ( &dString, "void BreakLoopFlagOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for BreakLoopFlagOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Enable */
    if ( strcmp ( argv[2], "Enable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Enable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Enable */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Enable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for Enable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Disable */
    if ( strcmp ( argv[2], "Disable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Disable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Disable */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Disable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for Disable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Start */
    if ( strcmp ( argv[2], "Start" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Start" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Start */
    Tcl_DStringAppendElement ( &dString, " This will start up the X event loop and never return. If you\n call this method it will loop processing X events until the\n application is exited.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Start ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for Start */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateSize */
    if ( strcmp ( argv[2], "UpdateSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateSize */
    Tcl_DStringAppendElement ( &dString, " Update the Size data member and set the associated RenderWindow's\n size.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateSize (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXRenderWindowInteractor" );
    /* Closing for UpdateSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderWindowInteractorCppCommand(static_cast<vtkRenderWindowInteractor *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
