// python wrapper for vtkDataRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDataRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  const char    *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkDataRepresentation  *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::SetInputConnection(temp0);
      }
    else
      {
      op->SetInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkDataRepresentation_GetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkAlgorithmOutput  *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetInputConnection();
      }
    else
      {
      temp20 = op->GetInputConnection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_Select(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkView  *temp0;
  PyObject *tempH0;
  vtkSelection  *temp1;
  PyObject *tempH1;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkView *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkView");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSelection");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::Select(temp0,temp1);
      }
    else
      {
      op->Select(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkDataRepresentation_UpdateSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::UpdateSelection(temp0);
      }
    else
      {
      op->UpdateSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkDataRepresentation_GetSelectionLink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkSelectionLink  *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetSelectionLink();
      }
    else
      {
      temp20 = op->GetSelectionLink();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SetSelectionLink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkSelectionLink  *temp0;
  PyObject *tempH0;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelectionLink *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelectionLink");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::SetSelectionLink(temp0);
      }
    else
      {
      op->SetSelectionLink(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}

static PyMethodDef PyvtkDataRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataRepresentation\nC++: vtkDataRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkDataRepresentation_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *input);\n\n A convenience method that calls SetInputConnection on the producer's\n connection.\n"},
  {(char*)"SetInputConnection",                (PyCFunction)PyvtkDataRepresentation_SetInputConnection, 1,
   (char*)"V.SetInputConnection(vtkAlgorithmOutput)\nC++: virtual void SetInputConnection (vtkAlgorithmOutput *conn);\n\n Sets the input pipeline connection to this representation.\n This method should be overridden by subclasses to connect to the\n internal pipeline.\n"},
  {(char*)"GetInputConnection",                (PyCFunction)PyvtkDataRepresentation_GetInputConnection, 1,
   (char*)"V.GetInputConnection() -> vtkAlgorithmOutput\nC++: vtkAlgorithmOutput *GetInputConnection ();\n\n Sets the input pipeline connection to this representation.\n This method should be overridden by subclasses to connect to the\n internal pipeline.\n"},
  {(char*)"Select",                (PyCFunction)PyvtkDataRepresentation_Select, 1,
   (char*)"V.Select(vtkView, vtkSelection)\nC++: void Select (vtkView *view, vtkSelection *selection);\n\n Handle a selection a view.  Subclasses should not generally override this.\n This function calls ConvertSelection() to (possibly) convert the selection\n into something appropriate for linked representations.\n This function then calls UpdateSelection() with the result of the\n conversion.\n"},
  {(char*)"UpdateSelection",                (PyCFunction)PyvtkDataRepresentation_UpdateSelection, 1,
   (char*)"V.UpdateSelection(vtkSelection)\nC++: void UpdateSelection (vtkSelection *selection);\n\n Copies the selection into the representation's linked selection\n and triggers a SelectionChanged event.\n"},
  {(char*)"GetSelectionLink",                (PyCFunction)PyvtkDataRepresentation_GetSelectionLink, 1,
   (char*)"V.GetSelectionLink() -> vtkSelectionLink\nC++: vtkSelectionLink *GetSelectionLink ();\n\n The selection linking object.\n Set the same selection link on multiple representations to link views.\n Subclasses should override SetSelectionLink to additionally connect\n the selection link into the internal selection pipeline.\n"},
  {(char*)"SetSelectionLink",                (PyCFunction)PyvtkDataRepresentation_SetSelectionLink, 1,
   (char*)"V.SetSelectionLink(vtkSelectionLink)\nC++: virtual void SetSelectionLink (vtkSelectionLink *link);\n\n The selection linking object.\n Set the same selection link on multiple representations to link views.\n Subclasses should override SetSelectionLink to additionally connect\n the selection link into the internal selection pipeline.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataRepresentationDoc[] = {
  (char*)"vtkDataRepresentation - The superclass for all representations\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkDataRepresentation the superclass for representations of data objects.\n This class itself may be instantiated and used as a representation\n that simply holds a connection to a pipeline.\n\n If there are multiple representations present in a view, you should use\n a subclass of vtkDataRepresentation.  The representation is\n responsible for taking the input pipeline connection and converting it\n to",
  (char*)" an object usable by a view.  In the most common case, the representation\n will contain the pipeline necessary to convert a data object into an actor\n or set of actors.\n\n The representation has a concept of a selection.  If the user performs a\n selection operation on the view, the view forwards this on to its\n representations.  The representation is responsible for displaying that\n selection in an",
  (char*)" appropriate way.\n\n Representation selections may also be linked.  The representation shares\n the selection by converting it into a view-independent format, then\n setting the selection on its vtkSelectionLink.  Other representations\n sharing the same selection link instance will get the same selection\n from the selection link when the view is updated.  The application is\n responsible for linking r",
  (char*)"epresentations as appropriate by setting the\n same vtkSelectionLink on each linked representation.\n\n",
  NULL
};

static vtkObjectBase *vtkDataRepresentationStaticNew()
{
  return vtkDataRepresentation::New();
}

PyObject *PyVTKClass_vtkDataRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataRepresentationStaticNew,
                        PyvtkDataRepresentationMethods,
                        (char*)"vtkDataRepresentation",modulename,
                        (char**)vtkDataRepresentationDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

