// python wrapper for vtkGraphLayoutView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphLayoutView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphLayoutViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphLayoutViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderViewNew(char *); }

static PyObject *PyvtkGraphLayoutView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  const char    *temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  vtkGraphLayoutView  *temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGraphLayoutView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGraphLayoutView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetVertexLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  char    *temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetVertexLabelArrayName(temp0);
      }
    else
      {
      op->SetVertexLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetVertexLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  const char    *temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetVertexLabelArrayName();
      }
    else
      {
      temp20 = op->GetVertexLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  char    *temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetEdgeLabelArrayName(temp0);
      }
    else
      {
      op->SetEdgeLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  const char    *temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetEdgeLabelArrayName();
      }
    else
      {
      temp20 = op->GetEdgeLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetVertexLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetVertexLabelVisibility(temp0);
      }
    else
      {
      op->SetVertexLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetVertexLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetVertexLabelVisibility();
      }
    else
      {
      temp20 = op->GetVertexLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_VertexLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::VertexLabelVisibilityOn();
      }
    else
      {
      op->VertexLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_VertexLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::VertexLabelVisibilityOff();
      }
    else
      {
      op->VertexLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetEdgeLabelVisibility(temp0);
      }
    else
      {
      op->SetEdgeLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetEdgeLabelVisibility();
      }
    else
      {
      temp20 = op->GetEdgeLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_EdgeLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::EdgeLabelVisibilityOn();
      }
    else
      {
      op->EdgeLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_EdgeLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::EdgeLabelVisibilityOff();
      }
    else
      {
      op->EdgeLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  char    *temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetVertexColorArrayName(temp0);
      }
    else
      {
      op->SetVertexColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  const char    *temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetVertexColorArrayName();
      }
    else
      {
      temp20 = op->GetVertexColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetColorVertices(temp0);
      }
    else
      {
      op->SetColorVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetColorVertices();
      }
    else
      {
      temp20 = op->GetColorVertices();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_ColorVerticesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::ColorVerticesOn();
      }
    else
      {
      op->ColorVerticesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_ColorVerticesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::ColorVerticesOff();
      }
    else
      {
      op->ColorVerticesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  char    *temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetEdgeColorArrayName(temp0);
      }
    else
      {
      op->SetEdgeColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  const char    *temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetEdgeColorArrayName();
      }
    else
      {
      temp20 = op->GetEdgeColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetColorEdges(temp0);
      }
    else
      {
      op->SetColorEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetColorEdges();
      }
    else
      {
      temp20 = op->GetColorEdges();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_ColorEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::ColorEdgesOn();
      }
    else
      {
      op->ColorEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_ColorEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::ColorEdgesOff();
      }
    else
      {
      op->ColorEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetScalingArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  char    *temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetScalingArrayName(temp0);
      }
    else
      {
      op->SetScalingArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetScalingArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  const char    *temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetScalingArrayName();
      }
    else
      {
      temp20 = op->GetScalingArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetScaledGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetScaledGlyphs(temp0);
      }
    else
      {
      op->SetScaledGlyphs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetScaledGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetScaledGlyphs();
      }
    else
      {
      temp20 = op->GetScaledGlyphs();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_ScaledGlyphsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::ScaledGlyphsOn();
      }
    else
      {
      op->ScaledGlyphsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_ScaledGlyphsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::ScaledGlyphsOff();
      }
    else
      {
      op->ScaledGlyphsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  char    *temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  vtkGraphLayoutStrategy  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraphLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraphLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetLayoutStrategyToRandom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetLayoutStrategyToRandom();
      }
    else
      {
      op->SetLayoutStrategyToRandom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetLayoutStrategyToForceDirected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetLayoutStrategyToForceDirected();
      }
    else
      {
      op->SetLayoutStrategyToForceDirected();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetLayoutStrategyToSimple2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetLayoutStrategyToSimple2D();
      }
    else
      {
      op->SetLayoutStrategyToSimple2D();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetLayoutStrategyToClustering2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetLayoutStrategyToClustering2D();
      }
    else
      {
      op->SetLayoutStrategyToClustering2D();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetLayoutStrategyToCommunity2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetLayoutStrategyToCommunity2D();
      }
    else
      {
      op->SetLayoutStrategyToCommunity2D();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetLayoutStrategyToFast2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetLayoutStrategyToFast2D();
      }
    else
      {
      op->SetLayoutStrategyToFast2D();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetLayoutStrategyToPassThrough(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetLayoutStrategyToPassThrough();
      }
    else
      {
      op->SetLayoutStrategyToPassThrough();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetLayoutStrategyToCircular(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetLayoutStrategyToCircular();
      }
    else
      {
      op->SetLayoutStrategyToCircular();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetLayoutStrategyName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  const char    *temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetLayoutStrategyName();
      }
    else
      {
      temp20 = op->GetLayoutStrategyName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  vtkGraphLayoutStrategy  *temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetLayoutStrategy();
      }
    else
      {
      temp20 = op->GetLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetIterationsPerLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  int      temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetIterationsPerLayout(temp0);
      }
    else
      {
      op->SetIterationsPerLayout(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetIconTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  vtkTexture  *temp0;
  PyObject *tempH0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTexture *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTexture");
    if (!temp0 && tempH0 != Py_None) goto break47;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetIconTexture(temp0);
      }
    else
      {
      op->SetIconTexture(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break47:
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_AddIconType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  char    *temp0;
  int      temp1;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::AddIconType(temp0,temp1);
      }
    else
      {
      op->AddIconType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_ClearIconTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::ClearIconTypes();
      }
    else
      {
      op->ClearIconTypes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetIconAlignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  int      temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetIconAlignment(temp0);
      }
    else
      {
      op->SetIconAlignment(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetIconVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetIconVisibility(temp0);
      }
    else
      {
      op->SetIconVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetIconVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  bool   temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetIconVisibility();
      }
    else
      {
      temp20 = op->GetIconVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_IconVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::IconVisibilityOn();
      }
    else
      {
      op->IconVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_IconVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::IconVisibilityOff();
      }
    else
      {
      op->IconVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetIconArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  char    *temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetIconArrayName(temp0);
      }
    else
      {
      op->SetIconArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetIconArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  const char    *temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetIconArrayName();
      }
    else
      {
      temp20 = op->GetIconArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetSelectionArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  char    *temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetSelectionArrayName(temp0);
      }
    else
      {
      op->SetSelectionArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetSelectionArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  const char    *temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetSelectionArrayName();
      }
    else
      {
      temp20 = op->GetSelectionArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetupRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break59;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetupRenderWindow(temp0);
      }
    else
      {
      op->SetupRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break59:
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break60;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break60:
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetVertexLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  int      temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetVertexLabelFontSize(temp0);
      }
    else
      {
      op->SetVertexLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetVertexLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  int      temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetVertexLabelFontSize();
      }
    else
      {
      temp20 = op->GetVertexLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_SetEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  int      temp0;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::SetEdgeLabelFontSize(temp0);
      }
    else
      {
      op->SetEdgeLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_GetEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  int      temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::GetEdgeLabelFontSize();
      }
    else
      {
      temp20 = op->GetEdgeLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_IsLayoutComplete(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  int      temp20;
  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutView::IsLayoutComplete();
      }
    else
      {
      temp20 = op->IsLayoutComplete();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutView_UpdateLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutView::UpdateLayout();
      }
    else
      {
      op->UpdateLayout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphLayoutViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphLayoutView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphLayoutView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphLayoutView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphLayoutView\nC++: vtkGraphLayoutView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGraphLayoutView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphLayoutView\nC++: vtkGraphLayoutView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVertexLabelArrayName",                (PyCFunction)PyvtkGraphLayoutView_SetVertexLabelArrayName, 1,
   (char*)"V.SetVertexLabelArrayName(string)\nC++: void SetVertexLabelArrayName (const char *name);\n\n The array to use for vertex labeling.  Default is \"label\".\n"},
  {(char*)"GetVertexLabelArrayName",                (PyCFunction)PyvtkGraphLayoutView_GetVertexLabelArrayName, 1,
   (char*)"V.GetVertexLabelArrayName() -> string\nC++: const char *GetVertexLabelArrayName ();\n\n The array to use for vertex labeling.  Default is \"label\".\n"},
  {(char*)"SetEdgeLabelArrayName",                (PyCFunction)PyvtkGraphLayoutView_SetEdgeLabelArrayName, 1,
   (char*)"V.SetEdgeLabelArrayName(string)\nC++: void SetEdgeLabelArrayName (const char *name);\n\n The array to use for edge labeling.  Default is \"label\".\n"},
  {(char*)"GetEdgeLabelArrayName",                (PyCFunction)PyvtkGraphLayoutView_GetEdgeLabelArrayName, 1,
   (char*)"V.GetEdgeLabelArrayName() -> string\nC++: const char *GetEdgeLabelArrayName ();\n\n The array to use for edge labeling.  Default is \"label\".\n"},
  {(char*)"SetVertexLabelVisibility",                (PyCFunction)PyvtkGraphLayoutView_SetVertexLabelVisibility, 1,
   (char*)"V.SetVertexLabelVisibility(bool)\nC++: void SetVertexLabelVisibility (bool vis);\n\n Whether to show vertex labels.  Default is off.\n"},
  {(char*)"GetVertexLabelVisibility",                (PyCFunction)PyvtkGraphLayoutView_GetVertexLabelVisibility, 1,
   (char*)"V.GetVertexLabelVisibility() -> bool\nC++: bool GetVertexLabelVisibility ();\n\n Whether to show vertex labels.  Default is off.\n"},
  {(char*)"VertexLabelVisibilityOn",                (PyCFunction)PyvtkGraphLayoutView_VertexLabelVisibilityOn, 1,
   (char*)"V.VertexLabelVisibilityOn()\nC++: void VertexLabelVisibilityOn ();\n\n Whether to show vertex labels.  Default is off.\n"},
  {(char*)"VertexLabelVisibilityOff",                (PyCFunction)PyvtkGraphLayoutView_VertexLabelVisibilityOff, 1,
   (char*)"V.VertexLabelVisibilityOff()\nC++: void VertexLabelVisibilityOff ();\n\n Whether to show vertex labels.  Default is off.\n"},
  {(char*)"SetEdgeLabelVisibility",                (PyCFunction)PyvtkGraphLayoutView_SetEdgeLabelVisibility, 1,
   (char*)"V.SetEdgeLabelVisibility(bool)\nC++: void SetEdgeLabelVisibility (bool vis);\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"GetEdgeLabelVisibility",                (PyCFunction)PyvtkGraphLayoutView_GetEdgeLabelVisibility, 1,
   (char*)"V.GetEdgeLabelVisibility() -> bool\nC++: bool GetEdgeLabelVisibility ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"EdgeLabelVisibilityOn",                (PyCFunction)PyvtkGraphLayoutView_EdgeLabelVisibilityOn, 1,
   (char*)"V.EdgeLabelVisibilityOn()\nC++: void EdgeLabelVisibilityOn ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"EdgeLabelVisibilityOff",                (PyCFunction)PyvtkGraphLayoutView_EdgeLabelVisibilityOff, 1,
   (char*)"V.EdgeLabelVisibilityOff()\nC++: void EdgeLabelVisibilityOff ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"SetVertexColorArrayName",                (PyCFunction)PyvtkGraphLayoutView_SetVertexColorArrayName, 1,
   (char*)"V.SetVertexColorArrayName(string)\nC++: void SetVertexColorArrayName (const char *name);\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"GetVertexColorArrayName",                (PyCFunction)PyvtkGraphLayoutView_GetVertexColorArrayName, 1,
   (char*)"V.GetVertexColorArrayName() -> string\nC++: const char *GetVertexColorArrayName ();\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"SetColorVertices",                (PyCFunction)PyvtkGraphLayoutView_SetColorVertices, 1,
   (char*)"V.SetColorVertices(bool)\nC++: void SetColorVertices (bool vis);\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"GetColorVertices",                (PyCFunction)PyvtkGraphLayoutView_GetColorVertices, 1,
   (char*)"V.GetColorVertices() -> bool\nC++: bool GetColorVertices ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"ColorVerticesOn",                (PyCFunction)PyvtkGraphLayoutView_ColorVerticesOn, 1,
   (char*)"V.ColorVerticesOn()\nC++: void ColorVerticesOn ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"ColorVerticesOff",                (PyCFunction)PyvtkGraphLayoutView_ColorVerticesOff, 1,
   (char*)"V.ColorVerticesOff()\nC++: void ColorVerticesOff ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"SetEdgeColorArrayName",                (PyCFunction)PyvtkGraphLayoutView_SetEdgeColorArrayName, 1,
   (char*)"V.SetEdgeColorArrayName(string)\nC++: void SetEdgeColorArrayName (const char *name);\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"GetEdgeColorArrayName",                (PyCFunction)PyvtkGraphLayoutView_GetEdgeColorArrayName, 1,
   (char*)"V.GetEdgeColorArrayName() -> string\nC++: const char *GetEdgeColorArrayName ();\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"SetColorEdges",                (PyCFunction)PyvtkGraphLayoutView_SetColorEdges, 1,
   (char*)"V.SetColorEdges(bool)\nC++: void SetColorEdges (bool vis);\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"GetColorEdges",                (PyCFunction)PyvtkGraphLayoutView_GetColorEdges, 1,
   (char*)"V.GetColorEdges() -> bool\nC++: bool GetColorEdges ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorEdgesOn",                (PyCFunction)PyvtkGraphLayoutView_ColorEdgesOn, 1,
   (char*)"V.ColorEdgesOn()\nC++: void ColorEdgesOn ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorEdgesOff",                (PyCFunction)PyvtkGraphLayoutView_ColorEdgesOff, 1,
   (char*)"V.ColorEdgesOff()\nC++: void ColorEdgesOff ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"SetScalingArrayName",                (PyCFunction)PyvtkGraphLayoutView_SetScalingArrayName, 1,
   (char*)"V.SetScalingArrayName(string)\nC++: void SetScalingArrayName (const char *name);\n\n The array used for scaling (if ScaledGlyphs is ON)\n"},
  {(char*)"GetScalingArrayName",                (PyCFunction)PyvtkGraphLayoutView_GetScalingArrayName, 1,
   (char*)"V.GetScalingArrayName() -> string\nC++: const char *GetScalingArrayName ();\n\n The array used for scaling (if ScaledGlyphs is ON)\n"},
  {(char*)"SetScaledGlyphs",                (PyCFunction)PyvtkGraphLayoutView_SetScaledGlyphs, 1,
   (char*)"V.SetScaledGlyphs(bool)\nC++: void SetScaledGlyphs (bool arg);\n\n Whether to use scaled glyphs or not.  Default is off.\n"},
  {(char*)"GetScaledGlyphs",                (PyCFunction)PyvtkGraphLayoutView_GetScaledGlyphs, 1,
   (char*)"V.GetScaledGlyphs() -> bool\nC++: bool GetScaledGlyphs ();\n\n Whether to use scaled glyphs or not.  Default is off.\n"},
  {(char*)"ScaledGlyphsOn",                (PyCFunction)PyvtkGraphLayoutView_ScaledGlyphsOn, 1,
   (char*)"V.ScaledGlyphsOn()\nC++: void ScaledGlyphsOn ();\n\n Whether to use scaled glyphs or not.  Default is off.\n"},
  {(char*)"ScaledGlyphsOff",                (PyCFunction)PyvtkGraphLayoutView_ScaledGlyphsOff, 1,
   (char*)"V.ScaledGlyphsOff()\nC++: void ScaledGlyphsOff ();\n\n Whether to use scaled glyphs or not.  Default is off.\n"},
  {(char*)"SetLayoutStrategy",                (PyCFunction)PyvtkGraphLayoutView_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(string)\nC++: void SetLayoutStrategy (const char *name);\nV.SetLayoutStrategy(vtkGraphLayoutStrategy)\nC++: void SetLayoutStrategy (vtkGraphLayoutStrategy *s);\n\n The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout.\n   \"Pass Through\"   - Use locations assigned to the input.\n   \"Circular\"       - Places vertices uniformly on a circle.\n Default is \"Simple 2D\".\n"},
  {(char*)"SetLayoutStrategyToRandom",                (PyCFunction)PyvtkGraphLayoutView_SetLayoutStrategyToRandom, 1,
   (char*)"V.SetLayoutStrategyToRandom()\nC++: void SetLayoutStrategyToRandom ();this SetLayoutStrategy \n\n The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout.\n   \"Pass Through\"   - Use locations assigned to the input.\n   \"Circular\"       - Places vertices uniformly on a circle.\n Default is \"Simple 2D\".\n"},
  {(char*)"SetLayoutStrategyToForceDirected",                (PyCFunction)PyvtkGraphLayoutView_SetLayoutStrategyToForceDirected, 1,
   (char*)"V.SetLayoutStrategyToForceDirected()\nC++: void SetLayoutStrategyToForceDirected ();this SetLayoutStrategy \n\n The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout.\n   \"Pass Through\"   - Use locations assigned to the input.\n   \"Circular\"       - Places vertices uniformly on a circle.\n Default is \"Simple 2D\".\n"},
  {(char*)"SetLayoutStrategyToSimple2D",                (PyCFunction)PyvtkGraphLayoutView_SetLayoutStrategyToSimple2D, 1,
   (char*)"V.SetLayoutStrategyToSimple2D()\nC++: void SetLayoutStrategyToSimple2D ();this SetLayoutStrategy \n\n The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout.\n   \"Pass Through\"   - Use locations assigned to the input.\n   \"Circular\"       - Places vertices uniformly on a circle.\n Default is \"Simple 2D\".\n"},
  {(char*)"SetLayoutStrategyToClustering2D",                (PyCFunction)PyvtkGraphLayoutView_SetLayoutStrategyToClustering2D, 1,
   (char*)"V.SetLayoutStrategyToClustering2D()\nC++: void SetLayoutStrategyToClustering2D ();this SetLayoutStrategy \n\n The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout.\n   \"Pass Through\"   - Use locations assigned to the input.\n   \"Circular\"       - Places vertices uniformly on a circle.\n Default is \"Simple 2D\".\n"},
  {(char*)"SetLayoutStrategyToCommunity2D",                (PyCFunction)PyvtkGraphLayoutView_SetLayoutStrategyToCommunity2D, 1,
   (char*)"V.SetLayoutStrategyToCommunity2D()\nC++: void SetLayoutStrategyToCommunity2D ();this SetLayoutStrategy \n\n The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout.\n   \"Pass Through\"   - Use locations assigned to the input.\n   \"Circular\"       - Places vertices uniformly on a circle.\n Default is \"Simple 2D\".\n"},
  {(char*)"SetLayoutStrategyToFast2D",                (PyCFunction)PyvtkGraphLayoutView_SetLayoutStrategyToFast2D, 1,
   (char*)"V.SetLayoutStrategyToFast2D()\nC++: void SetLayoutStrategyToFast2D ();this SetLayoutStrategy \n\n The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout.\n   \"Pass Through\"   - Use locations assigned to the input.\n   \"Circular\"       - Places vertices uniformly on a circle.\n Default is \"Simple 2D\".\n"},
  {(char*)"SetLayoutStrategyToPassThrough",                (PyCFunction)PyvtkGraphLayoutView_SetLayoutStrategyToPassThrough, 1,
   (char*)"V.SetLayoutStrategyToPassThrough()\nC++: void SetLayoutStrategyToPassThrough ();this SetLayoutStrategy \n\n The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout.\n   \"Pass Through\"   - Use locations assigned to the input.\n   \"Circular\"       - Places vertices uniformly on a circle.\n Default is \"Simple 2D\".\n"},
  {(char*)"SetLayoutStrategyToCircular",                (PyCFunction)PyvtkGraphLayoutView_SetLayoutStrategyToCircular, 1,
   (char*)"V.SetLayoutStrategyToCircular()\nC++: void SetLayoutStrategyToCircular ();this SetLayoutStrategy \n\n The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout.\n   \"Pass Through\"   - Use locations assigned to the input.\n   \"Circular\"       - Places vertices uniformly on a circle.\n Default is \"Simple 2D\".\n"},
  {(char*)"GetLayoutStrategyName",                (PyCFunction)PyvtkGraphLayoutView_GetLayoutStrategyName, 1,
   (char*)"V.GetLayoutStrategyName() -> string\nC++: const char *GetLayoutStrategyName ();return this GetLayoutStrategyNameInternal \n\n The layout strategy to use when performing the graph layout.\n This signature allows an application to create a layout\n object directly and simply set the pointer through this method\n"},
  {(char*)"GetLayoutStrategy",                (PyCFunction)PyvtkGraphLayoutView_GetLayoutStrategy, 1,
   (char*)"V.GetLayoutStrategy() -> vtkGraphLayoutStrategy\nC++: vtkGraphLayoutStrategy *GetLayoutStrategy ();\n\n The layout strategy to use when performing the graph layout.\n This signature allows an application to create a layout\n object directly and simply set the pointer through this method\n"},
  {(char*)"SetIterationsPerLayout",                (PyCFunction)PyvtkGraphLayoutView_SetIterationsPerLayout, 1,
   (char*)"V.SetIterationsPerLayout(int)\nC++: void SetIterationsPerLayout (int iterations);\n\n Set the number of iterations per refresh (defaults to all)\n In other words, the default is to do the entire layout\n and then do a visual refresh. Changing this variable\n to something like '1', will enable an application to\n see the layout as it progresses.\n"},
  {(char*)"SetIconTexture",                (PyCFunction)PyvtkGraphLayoutView_SetIconTexture, 1,
   (char*)"V.SetIconTexture(vtkTexture)\nC++: void SetIconTexture (vtkTexture *texture);\n\n The icon sheet to use for textures.\n"},
  {(char*)"AddIconType",                (PyCFunction)PyvtkGraphLayoutView_AddIconType, 1,
   (char*)"V.AddIconType(string, int)\nC++: void AddIconType (char *type, int index);\n\n Associate the icon at index \"index\" in the vtkTexture to all vertices\n containing \"type\" as a value in the vertex attribute array specified by\n IconArrayName.\n"},
  {(char*)"ClearIconTypes",                (PyCFunction)PyvtkGraphLayoutView_ClearIconTypes, 1,
   (char*)"V.ClearIconTypes()\nC++: void ClearIconTypes ();\n\n Clear all icon mappings.\n"},
  {(char*)"SetIconAlignment",                (PyCFunction)PyvtkGraphLayoutView_SetIconAlignment, 1,
   (char*)"V.SetIconAlignment(int)\nC++: void SetIconAlignment (int alignment);\n\n Specify where the icons should be placed in relation to the vertex.\n See vtkIconGlyphFilter.h for possible values.\n"},
  {(char*)"SetIconVisibility",                (PyCFunction)PyvtkGraphLayoutView_SetIconVisibility, 1,
   (char*)"V.SetIconVisibility(bool)\nC++: void SetIconVisibility (bool b);\n\n Whether icons are visible (default off).\n"},
  {(char*)"GetIconVisibility",                (PyCFunction)PyvtkGraphLayoutView_GetIconVisibility, 1,
   (char*)"V.GetIconVisibility() -> bool\nC++: bool GetIconVisibility ();\n\n Whether icons are visible (default off).\n"},
  {(char*)"IconVisibilityOn",                (PyCFunction)PyvtkGraphLayoutView_IconVisibilityOn, 1,
   (char*)"V.IconVisibilityOn()\nC++: void IconVisibilityOn ();\n\n Whether icons are visible (default off).\n"},
  {(char*)"IconVisibilityOff",                (PyCFunction)PyvtkGraphLayoutView_IconVisibilityOff, 1,
   (char*)"V.IconVisibilityOff()\nC++: void IconVisibilityOff ();\n\n Whether icons are visible (default off).\n"},
  {(char*)"SetIconArrayName",                (PyCFunction)PyvtkGraphLayoutView_SetIconArrayName, 1,
   (char*)"V.SetIconArrayName(string)\nC++: void SetIconArrayName (const char *name);\n\n The array used for assigning icons\n"},
  {(char*)"GetIconArrayName",                (PyCFunction)PyvtkGraphLayoutView_GetIconArrayName, 1,
   (char*)"V.GetIconArrayName() -> string\nC++: const char *GetIconArrayName ();\n\n The array used for assigning icons\n"},
  {(char*)"SetSelectionArrayName",                (PyCFunction)PyvtkGraphLayoutView_SetSelectionArrayName, 1,
   (char*)"V.SetSelectionArrayName(string)\nC++: void SetSelectionArrayName (const char *name);\n\n The array used for populating the selection list\n"},
  {(char*)"GetSelectionArrayName",                (PyCFunction)PyvtkGraphLayoutView_GetSelectionArrayName, 1,
   (char*)"V.GetSelectionArrayName() -> string\nC++: const char *GetSelectionArrayName ();\n\n The array used for populating the selection list\n"},
  {(char*)"SetupRenderWindow",                (PyCFunction)PyvtkGraphLayoutView_SetupRenderWindow, 1,
   (char*)"V.SetupRenderWindow(vtkRenderWindow)\nC++: virtual void SetupRenderWindow (vtkRenderWindow *win);\n\n Sets up interactor style.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkGraphLayoutView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply the theme to this view.\n"},
  {(char*)"SetVertexLabelFontSize",                (PyCFunction)PyvtkGraphLayoutView_SetVertexLabelFontSize, 1,
   (char*)"V.SetVertexLabelFontSize(int)\nC++: virtual void SetVertexLabelFontSize (const int size);\n\n The size of the font used for vertex labeling\n"},
  {(char*)"GetVertexLabelFontSize",                (PyCFunction)PyvtkGraphLayoutView_GetVertexLabelFontSize, 1,
   (char*)"V.GetVertexLabelFontSize() -> int\nC++: virtual int GetVertexLabelFontSize ();\n\n The size of the font used for vertex labeling\n"},
  {(char*)"SetEdgeLabelFontSize",                (PyCFunction)PyvtkGraphLayoutView_SetEdgeLabelFontSize, 1,
   (char*)"V.SetEdgeLabelFontSize(int)\nC++: virtual void SetEdgeLabelFontSize (const int size);\n\n The size of the font used for edge labeling\n"},
  {(char*)"GetEdgeLabelFontSize",                (PyCFunction)PyvtkGraphLayoutView_GetEdgeLabelFontSize, 1,
   (char*)"V.GetEdgeLabelFontSize() -> int\nC++: virtual int GetEdgeLabelFontSize ();\n\n The size of the font used for edge labeling\n"},
  {(char*)"IsLayoutComplete",                (PyCFunction)PyvtkGraphLayoutView_IsLayoutComplete, 1,
   (char*)"V.IsLayoutComplete() -> int\nC++: virtual int IsLayoutComplete ();\n\n Is the graph layout complete? This method is useful\n for when the strategy is iterative and the application\n wants to show the iterative progress of the graph layout\n See Also: UpdateLayout();\n"},
  {(char*)"UpdateLayout",                (PyCFunction)PyvtkGraphLayoutView_UpdateLayout, 1,
   (char*)"V.UpdateLayout()\nC++: virtual void UpdateLayout ();\n\n This method is useful for when the strategy is iterative \n and the application wants to show the iterative progress \n of the graph layout. The application would have something like\n while(!IsLayoutComplete())\n   {\n   UpdateLayout();\n   }\n See Also: IsLayoutComplete();\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphLayoutViewDoc[] = {
  (char*)"vtkGraphLayoutView - Lays out and displays a graph\n\n",
  "Super Class:\n\n vtkRenderView\n\n",
  (char*)" vtkGraphLayoutView performs graph layout and displays a vtkGraph.\n You may color and label the vertices and edges using fields in the graph.\n If coordinates are already assigned to the graph vertices in your graph,\n set the layout strategy to PassThrough in this view. The default layout\n is Fast2D which is fast but not that good, for better layout set the\n layout to Simple2D or ForceDirected. The",
  (char*)"re are also tree and circle\n layout strategies. :)\n \n .SEE ALSO\n vtkFast2DLayoutStrategy\n vtkSimple2DLayoutStrategy\n vtkForceDirectedLayoutStrategy\n\n .SECTION Thanks\n Thanks a bunch to the holographic unfolding pattern.\n\n",
  NULL
};

static vtkObjectBase *vtkGraphLayoutViewStaticNew()
{
  return vtkGraphLayoutView::New();
}

PyObject *PyVTKClass_vtkGraphLayoutViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphLayoutViewStaticNew,
                        PyvtkGraphLayoutViewMethods,
                        (char*)"vtkGraphLayoutView",modulename,
                        (char**)vtkGraphLayoutViewDoc,
                        PyVTKClass_vtkRenderViewNew(modulename));
}

