// tcl wrapper for vtkGraphLayoutView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphLayoutView.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGraphLayoutViewNewCommand()
{
  vtkGraphLayoutView *temp = vtkGraphLayoutView::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderViewCppCommand(vtkRenderView *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGraphLayoutViewCppCommand(vtkGraphLayoutView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGraphLayoutViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGraphLayoutViewCppCommand(static_cast<vtkGraphLayoutView *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGraphLayoutViewCppCommand(vtkGraphLayoutView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGraphLayoutView",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderViewCppCommand(static_cast<vtkRenderView *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderView"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGraphLayoutView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayoutView");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGraphLayoutView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayoutView");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGraphLayoutView  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayoutView");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVertexLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertexLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetVertexLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetVertexLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VertexLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->VertexLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VertexLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->VertexLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEdgeLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEdgeLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EdgeLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->EdgeLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EdgeLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->EdgeLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertexColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorVertices",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorVertices",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorVerticesOn",argv[1]))&&(argc == 2))
    {
    op->ColorVerticesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorVerticesOff",argv[1]))&&(argc == 2))
    {
    op->ColorVerticesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorEdges",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorEdges",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesOn",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesOff",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalingArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalingArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalingArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalingArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScaledGlyphs",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetScaledGlyphs(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaledGlyphs",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetScaledGlyphs();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScaledGlyphsOn",argv[1]))&&(argc == 2))
    {
    op->ScaledGlyphsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaledGlyphsOff",argv[1]))&&(argc == 2))
    {
    op->ScaledGlyphsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategy",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLayoutStrategyToRandom",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToRandom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToForceDirected",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToForceDirected();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToSimple2D",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToSimple2D();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToClustering2D",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToClustering2D();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToCommunity2D",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToCommunity2D();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToFast2D",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToFast2D();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToPassThrough",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToPassThrough();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToCircular",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToCircular();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLayoutStrategyName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLayoutStrategyName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetLayoutStrategy",argv[1]))&&(argc == 2))
    {
    vtkGraphLayoutStrategy  *temp20;
    temp20 = (op)->GetLayoutStrategy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategy",argv[1]))&&(argc == 3))
    {
    vtkGraphLayoutStrategy  *temp0;
    error = 0;

    temp0 = (vtkGraphLayoutStrategy *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraphLayoutStrategy"),interp,error));
    if (!error)
    {
    op->SetLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIterationsPerLayout",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIterationsPerLayout(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIconTexture",argv[1]))&&(argc == 3))
    {
    vtkTexture  *temp0;
    error = 0;

    temp0 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTexture"),interp,error));
    if (!error)
    {
    op->SetIconTexture(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddIconType",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddIconType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearIconTypes",argv[1]))&&(argc == 2))
    {
    op->ClearIconTypes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIconAlignment",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIconAlignment(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIconVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetIconVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetIconVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IconVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->IconVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IconVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->IconVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIconArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetIconArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetIconArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSelectionArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetSelectionArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetupRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetupRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVertexLabelFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVertexLabelFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexLabelFontSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertexLabelFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEdgeLabelFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelFontSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEdgeLabelFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsLayoutComplete",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsLayoutComplete();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateLayout",argv[1]))&&(argc == 2))
    {
    op->UpdateLayout();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGraphLayoutViewCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderViewCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGraphLayoutView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  VertexLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  VertexLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  EdgeLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  EdgeLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetColorVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorVertices\n",NULL);
    Tcl_AppendResult(interp,"  ColorVerticesOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorVerticesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetColorEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorEdges\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalingArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalingArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetScaledGlyphs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaledGlyphs\n",NULL);
    Tcl_AppendResult(interp,"  ScaledGlyphsOn\n",NULL);
    Tcl_AppendResult(interp,"  ScaledGlyphsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToRandom\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToForceDirected\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToSimple2D\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToClustering2D\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToCommunity2D\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToFast2D\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToPassThrough\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToCircular\n",NULL);
    Tcl_AppendResult(interp,"  GetLayoutStrategyName\n",NULL);
    Tcl_AppendResult(interp,"  GetLayoutStrategy\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIterationsPerLayout\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIconTexture\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddIconType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearIconTypes\n",NULL);
    Tcl_AppendResult(interp,"  SetIconAlignment\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIconVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIconVisibility\n",NULL);
    Tcl_AppendResult(interp,"  IconVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  IconVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetIconArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIconArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetupRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexLabelFontSize\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelFontSize\n",NULL);
    Tcl_AppendResult(interp,"  IsLayoutComplete\n",NULL);
    Tcl_AppendResult(interp,"  UpdateLayout\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderViewCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetVertexColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetColorVertices" );
    Tcl_DStringAppendElement ( &dString, "GetColorVertices" );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOn" );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetColorEdges" );
    Tcl_DStringAppendElement ( &dString, "GetColorEdges" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalingArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetScalingArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetScaledGlyphs" );
    Tcl_DStringAppendElement ( &dString, "GetScaledGlyphs" );
    Tcl_DStringAppendElement ( &dString, "ScaledGlyphsOn" );
    Tcl_DStringAppendElement ( &dString, "ScaledGlyphsOff" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToRandom" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToForceDirected" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSimple2D" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToClustering2D" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCommunity2D" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToFast2D" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToPassThrough" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCircular" );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategyName" );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetIterationsPerLayout" );
    Tcl_DStringAppendElement ( &dString, "SetIconTexture" );
    Tcl_DStringAppendElement ( &dString, "AddIconType" );
    Tcl_DStringAppendElement ( &dString, "ClearIconTypes" );
    Tcl_DStringAppendElement ( &dString, "SetIconAlignment" );
    Tcl_DStringAppendElement ( &dString, "SetIconVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetIconVisibility" );
    Tcl_DStringAppendElement ( &dString, "IconVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "IconVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetIconArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetIconArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetupRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "IsLayoutComplete" );
    Tcl_DStringAppendElement ( &dString, "UpdateLayout" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderViewCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGraphLayoutView *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelArrayName */
    if ( strcmp ( argv[2], "SetVertexLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for vertex labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexLabelArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetVertexLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexLabelArrayName */
    if ( strcmp ( argv[2], "GetVertexLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for vertex labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVertexLabelArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetVertexLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelArrayName */
    if ( strcmp ( argv[2], "SetEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for edge labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeLabelArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelArrayName */
    if ( strcmp ( argv[2], "GetEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for edge labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeLabelArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelVisibility */
    if ( strcmp ( argv[2], "SetVertexLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show vertex labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexLabelVisibility (bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetVertexLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexLabelVisibility */
    if ( strcmp ( argv[2], "GetVertexLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show vertex labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetVertexLabelVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetVertexLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VertexLabelVisibilityOn */
    if ( strcmp ( argv[2], "VertexLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VertexLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show vertex labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void VertexLabelVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for VertexLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VertexLabelVisibilityOff */
    if ( strcmp ( argv[2], "VertexLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VertexLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show vertex labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void VertexLabelVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for VertexLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelVisibility */
    if ( strcmp ( argv[2], "SetEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeLabelVisibility (bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelVisibility */
    if ( strcmp ( argv[2], "GetEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetEdgeLabelVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeLabelVisibilityOn */
    if ( strcmp ( argv[2], "EdgeLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgeLabelVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for EdgeLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeLabelVisibilityOff */
    if ( strcmp ( argv[2], "EdgeLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgeLabelVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for EdgeLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexColorArrayName */
    if ( strcmp ( argv[2], "SetVertexColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring vertices.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexColorArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetVertexColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexColorArrayName */
    if ( strcmp ( argv[2], "GetVertexColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring vertices.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVertexColorArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetVertexColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorVertices */
    if ( strcmp ( argv[2], "SetColorVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorVertices */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorVertices (bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetColorVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorVertices */
    if ( strcmp ( argv[2], "GetColorVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorVertices */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetColorVertices ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetColorVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorVerticesOn */
    if ( strcmp ( argv[2], "ColorVerticesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorVerticesOn */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorVerticesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for ColorVerticesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorVerticesOff */
    if ( strcmp ( argv[2], "ColorVerticesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorVerticesOff */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorVerticesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for ColorVerticesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeColorArrayName */
    if ( strcmp ( argv[2], "SetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeColorArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeColorArrayName */
    if ( strcmp ( argv[2], "GetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeColorArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorEdges */
    if ( strcmp ( argv[2], "SetColorEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorEdges */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorEdges (bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetColorEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorEdges */
    if ( strcmp ( argv[2], "GetColorEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorEdges */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetColorEdges ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetColorEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesOn */
    if ( strcmp ( argv[2], "ColorEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesOn */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for ColorEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesOff */
    if ( strcmp ( argv[2], "ColorEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesOff */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for ColorEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalingArrayName */
    if ( strcmp ( argv[2], "SetScalingArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalingArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalingArrayName */
    Tcl_DStringAppendElement ( &dString, " The array used for scaling (if ScaledGlyphs is ON)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalingArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetScalingArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalingArrayName */
    if ( strcmp ( argv[2], "GetScalingArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalingArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalingArrayName */
    Tcl_DStringAppendElement ( &dString, " The array used for scaling (if ScaledGlyphs is ON)\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScalingArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetScalingArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaledGlyphs */
    if ( strcmp ( argv[2], "SetScaledGlyphs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaledGlyphs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaledGlyphs */
    Tcl_DStringAppendElement ( &dString, " Whether to use scaled glyphs or not.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaledGlyphs (bool arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetScaledGlyphs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaledGlyphs */
    if ( strcmp ( argv[2], "GetScaledGlyphs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaledGlyphs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaledGlyphs */
    Tcl_DStringAppendElement ( &dString, " Whether to use scaled glyphs or not.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetScaledGlyphs ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetScaledGlyphs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaledGlyphsOn */
    if ( strcmp ( argv[2], "ScaledGlyphsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaledGlyphsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaledGlyphsOn */
    Tcl_DStringAppendElement ( &dString, " Whether to use scaled glyphs or not.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaledGlyphsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for ScaledGlyphsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaledGlyphsOff */
    if ( strcmp ( argv[2], "ScaledGlyphsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaledGlyphsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaledGlyphsOff */
    Tcl_DStringAppendElement ( &dString, " Whether to use scaled glyphs or not.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaledGlyphsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for ScaledGlyphsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategy */
    if ( strcmp ( argv[2], "SetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategy (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToRandom */
    if ( strcmp ( argv[2], "SetLayoutStrategyToRandom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToRandom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToRandom */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToRandom ();this SetLayoutStrategy " );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetLayoutStrategyToRandom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToForceDirected */
    if ( strcmp ( argv[2], "SetLayoutStrategyToForceDirected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToForceDirected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToForceDirected */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToForceDirected ();this SetLayoutStrategy " );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetLayoutStrategyToForceDirected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToSimple2D */
    if ( strcmp ( argv[2], "SetLayoutStrategyToSimple2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSimple2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToSimple2D */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToSimple2D ();this SetLayoutStrategy " );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetLayoutStrategyToSimple2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToClustering2D */
    if ( strcmp ( argv[2], "SetLayoutStrategyToClustering2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToClustering2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToClustering2D */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToClustering2D ();this SetLayoutStrategy " );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetLayoutStrategyToClustering2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToCommunity2D */
    if ( strcmp ( argv[2], "SetLayoutStrategyToCommunity2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCommunity2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToCommunity2D */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToCommunity2D ();this SetLayoutStrategy " );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetLayoutStrategyToCommunity2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToFast2D */
    if ( strcmp ( argv[2], "SetLayoutStrategyToFast2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToFast2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToFast2D */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToFast2D ();this SetLayoutStrategy " );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetLayoutStrategyToFast2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToPassThrough */
    if ( strcmp ( argv[2], "SetLayoutStrategyToPassThrough" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToPassThrough" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToPassThrough */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToPassThrough ();this SetLayoutStrategy " );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetLayoutStrategyToPassThrough */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToCircular */
    if ( strcmp ( argv[2], "SetLayoutStrategyToCircular" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCircular" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToCircular */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n The possible strings are:\n   \"Random\"         - Randomly places vertices in a box.\n   \"Force Directed\" - A layout in 3D or 2D simulating forces on edges.\n   \"Simple 2D\"      - A simple 2D force directed layout.\n   \"Clustering 2D\"  - A 2D force directed layout that's just like\n                    - simple 2D but uses some techniques to cluster better.\n   \"Fast 2D\"        - A linear-time 2D layout. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToCircular ();this SetLayoutStrategy " );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetLayoutStrategyToCircular */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayoutStrategyName */
    if ( strcmp ( argv[2], "GetLayoutStrategyName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategyName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayoutStrategyName */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n This signature allows an application to create a layout\n object directly and simply set the pointer through this method\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetLayoutStrategyName ();return this GetLayoutStrategyNameInternal " );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetLayoutStrategyName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayoutStrategy */
    if ( strcmp ( argv[2], "GetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n This signature allows an application to create a layout\n object directly and simply set the pointer through this method\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutStrategy *GetLayoutStrategy ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategy */
    if ( strcmp ( argv[2], "SetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutStrategy" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " The layout strategy to use when performing the graph layout.\n This signature allows an application to create a layout\n object directly and simply set the pointer through this method\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategy (vtkGraphLayoutStrategy *s);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIterationsPerLayout */
    if ( strcmp ( argv[2], "SetIterationsPerLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIterationsPerLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIterationsPerLayout */
    Tcl_DStringAppendElement ( &dString, " Set the number of iterations per refresh (defaults to all)\n In other words, the default is to do the entire layout\n and then do a visual refresh. Changing this variable\n to something like '1', will enable an application to\n see the layout as it progresses.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIterationsPerLayout (int iterations);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetIterationsPerLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconTexture */
    if ( strcmp ( argv[2], "SetIconTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconTexture */
    Tcl_DStringAppendElement ( &dString, " The icon sheet to use for textures.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconTexture (vtkTexture *texture);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetIconTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddIconType */
    if ( strcmp ( argv[2], "AddIconType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIconType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIconType */
    Tcl_DStringAppendElement ( &dString, " Associate the icon at index \"index\" in the vtkTexture to all vertices\n containing \"type\" as a value in the vertex attribute array specified by\n IconArrayName.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddIconType (char *type, int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for AddIconType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearIconTypes */
    if ( strcmp ( argv[2], "ClearIconTypes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearIconTypes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearIconTypes */
    Tcl_DStringAppendElement ( &dString, " Clear all icon mappings.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearIconTypes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for ClearIconTypes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconAlignment */
    if ( strcmp ( argv[2], "SetIconAlignment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconAlignment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconAlignment */
    Tcl_DStringAppendElement ( &dString, " Specify where the icons should be placed in relation to the vertex.\n See vtkIconGlyphFilter.h for possible values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconAlignment (int alignment);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetIconAlignment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconVisibility */
    if ( strcmp ( argv[2], "SetIconVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether icons are visible (default off).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconVisibility (bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetIconVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconVisibility */
    if ( strcmp ( argv[2], "GetIconVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether icons are visible (default off).\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetIconVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetIconVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IconVisibilityOn */
    if ( strcmp ( argv[2], "IconVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IconVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IconVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether icons are visible (default off).\n" );
    Tcl_DStringAppendElement ( &dString, "void IconVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for IconVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IconVisibilityOff */
    if ( strcmp ( argv[2], "IconVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IconVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IconVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether icons are visible (default off).\n" );
    Tcl_DStringAppendElement ( &dString, "void IconVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for IconVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconArrayName */
    if ( strcmp ( argv[2], "SetIconArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconArrayName */
    Tcl_DStringAppendElement ( &dString, " The array used for assigning icons\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIconArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetIconArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconArrayName */
    if ( strcmp ( argv[2], "GetIconArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconArrayName */
    Tcl_DStringAppendElement ( &dString, " The array used for assigning icons\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetIconArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetIconArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionArrayName */
    if ( strcmp ( argv[2], "SetSelectionArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionArrayName */
    Tcl_DStringAppendElement ( &dString, " The array used for populating the selection list\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetSelectionArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionArrayName */
    if ( strcmp ( argv[2], "GetSelectionArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionArrayName */
    Tcl_DStringAppendElement ( &dString, " The array used for populating the selection list\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetSelectionArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetSelectionArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetupRenderWindow */
    if ( strcmp ( argv[2], "SetupRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetupRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetupRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Sets up interactor style.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetupRenderWindow (vtkRenderWindow *win);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetupRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Apply the theme to this view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme (vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelFontSize */
    if ( strcmp ( argv[2], "SetVertexLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of the font used for vertex labeling\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexLabelFontSize (const int size);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetVertexLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexLabelFontSize */
    if ( strcmp ( argv[2], "GetVertexLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of the font used for vertex labeling\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVertexLabelFontSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetVertexLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelFontSize */
    if ( strcmp ( argv[2], "SetEdgeLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of the font used for edge labeling\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLabelFontSize (const int size);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for SetEdgeLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelFontSize */
    if ( strcmp ( argv[2], "GetEdgeLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of the font used for edge labeling\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEdgeLabelFontSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for GetEdgeLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsLayoutComplete */
    if ( strcmp ( argv[2], "IsLayoutComplete" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsLayoutComplete" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsLayoutComplete */
    Tcl_DStringAppendElement ( &dString, " Is the graph layout complete? This method is useful\n for when the strategy is iterative and the application\n wants to show the iterative progress of the graph layout\n See Also: UpdateLayout();\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsLayoutComplete ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for IsLayoutComplete */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateLayout */
    if ( strcmp ( argv[2], "UpdateLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateLayout */
    Tcl_DStringAppendElement ( &dString, " This method is useful for when the strategy is iterative \n and the application wants to show the iterative progress \n of the graph layout. The application would have something like\n while(!IsLayoutComplete())\n   {\n   UpdateLayout();\n   }\n See Also: IsLayoutComplete();\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateLayout ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutView" );
    /* Closing for UpdateLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderViewCppCommand(static_cast<vtkRenderView *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
