// python wrapper for vtkRenderView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkViewNew(char *); }

static PyObject *PyvtkRenderView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  const char    *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkRenderView  *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderView_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkRenderer  *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetupRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetupRenderWindow(temp0);
      }
    else
      {
      op->SetupRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkRenderView_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkRenderWindow  *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkRenderView_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetSelectionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetSelectionMode(temp0);
      }
    else
      {
      op->SetSelectionMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetSelectionModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetSelectionModeMinValue();
      }
    else
      {
      temp20 = op->GetSelectionModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetSelectionModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetSelectionModeMaxValue();
      }
    else
      {
      temp20 = op->GetSelectionModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetSelectionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetSelectionMode();
      }
    else
      {
      temp20 = op->GetSelectionMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetSelectionModeToSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetSelectionModeToSurface();
      }
    else
      {
      op->SetSelectionModeToSurface();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetSelectionModeToFrustum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetSelectionModeToFrustum();
      }
    else
      {
      op->SetSelectionModeToFrustum();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRenderViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderView\nC++: vtkRenderView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderView\nC++: vtkRenderView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkRenderView_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n Gets the renderer for this view.\n"},
  {(char*)"SetupRenderWindow",                (PyCFunction)PyvtkRenderView_SetupRenderWindow, 1,
   (char*)"V.SetupRenderWindow(vtkRenderWindow)\nC++: virtual void SetupRenderWindow (vtkRenderWindow *win);\n\n Set up a render window to use this view.\n The superclass adds the renderer to the render window.\n Subclasses should override this to set interactor, etc.\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkRenderView_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Get a handle to the render window.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkRenderView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply a theme to the view.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkRenderView_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Update the view.\n"},
  {(char*)"SetSelectionMode",                (PyCFunction)PyvtkRenderView_SetSelectionMode, 1,
   (char*)"V.SetSelectionMode(int)\nC++: void SetSelectionMode (int );\n\n"},
  {(char*)"GetSelectionModeMinValue",                (PyCFunction)PyvtkRenderView_GetSelectionModeMinValue, 1,
   (char*)"V.GetSelectionModeMinValue() -> int\nC++: int GetSelectionModeMinValue ();\n\n"},
  {(char*)"GetSelectionModeMaxValue",                (PyCFunction)PyvtkRenderView_GetSelectionModeMaxValue, 1,
   (char*)"V.GetSelectionModeMaxValue() -> int\nC++: int GetSelectionModeMaxValue ();\n\n"},
  {(char*)"GetSelectionMode",                (PyCFunction)PyvtkRenderView_GetSelectionMode, 1,
   (char*)"V.GetSelectionMode() -> int\nC++: int GetSelectionMode ();\n\n"},
  {(char*)"SetSelectionModeToSurface",                (PyCFunction)PyvtkRenderView_SetSelectionModeToSurface, 1,
   (char*)"V.SetSelectionModeToSurface()\nC++: void SetSelectionModeToSurface ();this SetSelectionMode SURFACE \n\n"},
  {(char*)"SetSelectionModeToFrustum",                (PyCFunction)PyvtkRenderView_SetSelectionModeToFrustum, 1,
   (char*)"V.SetSelectionModeToFrustum()\nC++: void SetSelectionModeToFrustum ();this SetSelectionMode FRUSTUM \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderViewDoc[] = {
  (char*)"vtkRenderView - A view containing a renderer.\n\n",
  "Super Class:\n\n vtkView\n\n",
  (char*)" vtkRenderView is a view which contains a vtkRenderer.  You may add vtkActors\n directly to the renderer, or add certain vtkDataRepresentation subclasses\n to the renderer.  The render view supports drag selection with the mouse to\n select cells.\n\n This class is also the parent class for any more specialized view which uses\n a renderer.\n\n",
  NULL
};

static vtkObjectBase *vtkRenderViewStaticNew()
{
  return vtkRenderView::New();
}

PyObject *PyVTKClass_vtkRenderViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderViewStaticNew,
                        PyvtkRenderViewMethods,
                        (char*)"vtkRenderView",modulename,
                        (char**)vtkRenderViewDoc,
                        PyVTKClass_vtkViewNew(modulename));
}

