// python wrapper for vtkSurfaceRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSurfaceRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSurfaceRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSurfaceRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataRepresentationNew(char *); }

static PyObject *PyvtkSurfaceRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceRepresentation *op;

  const char    *temp20;
  op = (vtkSurfaceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkSurfaceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceRepresentation *op;

  vtkSurfaceRepresentation  *temp20;
  op = (vtkSurfaceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSurfaceRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSurfaceRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSurfaceRepresentation_SetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceRepresentation *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkSurfaceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceRepresentation::SetInputConnection(temp0);
      }
    else
      {
      op->SetInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSurfaceRepresentation_SetSelectionLink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceRepresentation *op;

  vtkSelectionLink  *temp0;
  PyObject *tempH0;
  op = (vtkSurfaceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelectionLink *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelectionLink");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceRepresentation::SetSelectionLink(temp0);
      }
    else
      {
      op->SetSelectionLink(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkSurfaceRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSurfaceRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSurfaceRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSurfaceRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSurfaceRepresentation\nC++: vtkSurfaceRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSurfaceRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSurfaceRepresentation\nC++: vtkSurfaceRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInputConnection",                (PyCFunction)PyvtkSurfaceRepresentation_SetInputConnection, 1,
   (char*)"V.SetInputConnection(vtkAlgorithmOutput)\nC++: virtual void SetInputConnection (vtkAlgorithmOutput *conn);\n\n Sets the input pipeline connection to this representation.\n"},
  {(char*)"SetSelectionLink",                (PyCFunction)PyvtkSurfaceRepresentation_SetSelectionLink, 1,
   (char*)"V.SetSelectionLink(vtkSelectionLink)\nC++: virtual void SetSelectionLink (vtkSelectionLink *link);\n\n Plugs the selection link into the internal pipeline.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSurfaceRepresentationDoc[] = {
  (char*)"vtkSurfaceRepresentation - Displays a geometric dataset as a surface.\n\n",
  "Super Class:\n\n vtkDataRepresentation\n\n",
  (char*)" vtkSurfaceRepresentation is used to show a geometric dataset in a view.\n The representation uses a vtkGeometryFilter to convert the dataset to\n polygonal data (e.g. volumetric data is converted to its external surface).\n The representation may then be added to vtkRenderView.\n\n",
  NULL
};

static vtkObjectBase *vtkSurfaceRepresentationStaticNew()
{
  return vtkSurfaceRepresentation::New();
}

PyObject *PyVTKClass_vtkSurfaceRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkSurfaceRepresentationStaticNew,
                        PyvtkSurfaceRepresentationMethods,
                        (char*)"vtkSurfaceRepresentation",modulename,
                        (char**)vtkSurfaceRepresentationDoc,
                        PyVTKClass_vtkDataRepresentationNew(modulename));
}

