// python wrapper for vtkTreeLayoutView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeLayoutView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeLayoutViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeLayoutViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderViewNew(char *); }

static PyObject *PyvtkTreeLayoutView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  const char    *temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  vtkTreeLayoutView  *temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeLayoutView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeLayoutView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  char    *temp0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetLabelArrayName(temp0);
      }
    else
      {
      op->SetLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_GetLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  const char    *temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetLabelArrayName();
      }
    else
      {
      temp20 = op->GetLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  bool   temp0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetLabelVisibility(temp0);
      }
    else
      {
      op->SetLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_GetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  bool   temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetLabelVisibility();
      }
    else
      {
      temp20 = op->GetLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_LabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::LabelVisibilityOn();
      }
    else
      {
      op->LabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_LabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::LabelVisibilityOff();
      }
    else
      {
      op->LabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  char    *temp0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetVertexColorArrayName(temp0);
      }
    else
      {
      op->SetVertexColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_GetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  const char    *temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetVertexColorArrayName();
      }
    else
      {
      temp20 = op->GetVertexColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  bool   temp0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetColorVertices(temp0);
      }
    else
      {
      op->SetColorVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_GetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  bool   temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetColorVertices();
      }
    else
      {
      temp20 = op->GetColorVertices();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_ColorVerticesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::ColorVerticesOn();
      }
    else
      {
      op->ColorVerticesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_ColorVerticesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::ColorVerticesOff();
      }
    else
      {
      op->ColorVerticesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  char    *temp0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetEdgeColorArrayName(temp0);
      }
    else
      {
      op->SetEdgeColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_GetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  const char    *temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetEdgeColorArrayName();
      }
    else
      {
      temp20 = op->GetEdgeColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  bool   temp0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetColorEdges(temp0);
      }
    else
      {
      op->SetColorEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_GetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  bool   temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetColorEdges();
      }
    else
      {
      temp20 = op->GetColorEdges();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_ColorEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::ColorEdgesOn();
      }
    else
      {
      op->ColorEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_ColorEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::ColorEdgesOff();
      }
    else
      {
      op->ColorEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  double   temp0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetAngle(temp0);
      }
    else
      {
      op->SetAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_GetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  double   temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetAngle();
      }
    else
      {
      temp20 = op->GetAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetRadial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  bool   temp0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetRadial(temp0);
      }
    else
      {
      op->SetRadial(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_GetRadial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  bool   temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetRadial();
      }
    else
      {
      temp20 = op->GetRadial();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_RadialOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::RadialOn();
      }
    else
      {
      op->RadialOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_RadialOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::RadialOff();
      }
    else
      {
      op->RadialOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetLogSpacingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  double   temp0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetLogSpacingValue(temp0);
      }
    else
      {
      op->SetLogSpacingValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_GetLogSpacingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  double   temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetLogSpacingValue();
      }
    else
      {
      temp20 = op->GetLogSpacingValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetLeafSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  double   temp0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetLeafSpacing(temp0);
      }
    else
      {
      op->SetLeafSpacing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_GetLeafSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  double   temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetLeafSpacing();
      }
    else
      {
      temp20 = op->GetLeafSpacing();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_GetDistanceArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  const char    *temp20;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeLayoutView::GetDistanceArrayName();
      }
    else
      {
      temp20 = op->GetDistanceArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetDistanceArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  char    *temp0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetDistanceArrayName(temp0);
      }
    else
      {
      op->SetDistanceArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_SetupRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::SetupRenderWindow(temp0);
      }
    else
      {
      op->SetupRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkTreeLayoutView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeLayoutView *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkTreeLayoutView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break35;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeLayoutView::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break35:
  return NULL;
}

static PyMethodDef PyvtkTreeLayoutViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeLayoutView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeLayoutView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeLayoutView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeLayoutView\nC++: vtkTreeLayoutView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeLayoutView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeLayoutView\nC++: vtkTreeLayoutView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLabelArrayName",                (PyCFunction)PyvtkTreeLayoutView_SetLabelArrayName, 1,
   (char*)"V.SetLabelArrayName(string)\nC++: void SetLabelArrayName (const char *name);\n\n The array to use for labeling.  Default is \"label\".\n"},
  {(char*)"GetLabelArrayName",                (PyCFunction)PyvtkTreeLayoutView_GetLabelArrayName, 1,
   (char*)"V.GetLabelArrayName() -> string\nC++: const char *GetLabelArrayName ();\n\n The array to use for labeling.  Default is \"label\".\n"},
  {(char*)"SetLabelVisibility",                (PyCFunction)PyvtkTreeLayoutView_SetLabelVisibility, 1,
   (char*)"V.SetLabelVisibility(bool)\nC++: void SetLabelVisibility (bool vis);\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"GetLabelVisibility",                (PyCFunction)PyvtkTreeLayoutView_GetLabelVisibility, 1,
   (char*)"V.GetLabelVisibility() -> bool\nC++: bool GetLabelVisibility ();\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"LabelVisibilityOn",                (PyCFunction)PyvtkTreeLayoutView_LabelVisibilityOn, 1,
   (char*)"V.LabelVisibilityOn()\nC++: void LabelVisibilityOn ();\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"LabelVisibilityOff",                (PyCFunction)PyvtkTreeLayoutView_LabelVisibilityOff, 1,
   (char*)"V.LabelVisibilityOff()\nC++: void LabelVisibilityOff ();\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"SetVertexColorArrayName",                (PyCFunction)PyvtkTreeLayoutView_SetVertexColorArrayName, 1,
   (char*)"V.SetVertexColorArrayName(string)\nC++: void SetVertexColorArrayName (const char *name);\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"GetVertexColorArrayName",                (PyCFunction)PyvtkTreeLayoutView_GetVertexColorArrayName, 1,
   (char*)"V.GetVertexColorArrayName() -> string\nC++: const char *GetVertexColorArrayName ();\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"SetColorVertices",                (PyCFunction)PyvtkTreeLayoutView_SetColorVertices, 1,
   (char*)"V.SetColorVertices(bool)\nC++: void SetColorVertices (bool vis);\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"GetColorVertices",                (PyCFunction)PyvtkTreeLayoutView_GetColorVertices, 1,
   (char*)"V.GetColorVertices() -> bool\nC++: bool GetColorVertices ();\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"ColorVerticesOn",                (PyCFunction)PyvtkTreeLayoutView_ColorVerticesOn, 1,
   (char*)"V.ColorVerticesOn()\nC++: void ColorVerticesOn ();\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"ColorVerticesOff",                (PyCFunction)PyvtkTreeLayoutView_ColorVerticesOff, 1,
   (char*)"V.ColorVerticesOff()\nC++: void ColorVerticesOff ();\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"SetEdgeColorArrayName",                (PyCFunction)PyvtkTreeLayoutView_SetEdgeColorArrayName, 1,
   (char*)"V.SetEdgeColorArrayName(string)\nC++: void SetEdgeColorArrayName (const char *name);\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"GetEdgeColorArrayName",                (PyCFunction)PyvtkTreeLayoutView_GetEdgeColorArrayName, 1,
   (char*)"V.GetEdgeColorArrayName() -> string\nC++: const char *GetEdgeColorArrayName ();\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"SetColorEdges",                (PyCFunction)PyvtkTreeLayoutView_SetColorEdges, 1,
   (char*)"V.SetColorEdges(bool)\nC++: void SetColorEdges (bool vis);\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"GetColorEdges",                (PyCFunction)PyvtkTreeLayoutView_GetColorEdges, 1,
   (char*)"V.GetColorEdges() -> bool\nC++: bool GetColorEdges ();\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"ColorEdgesOn",                (PyCFunction)PyvtkTreeLayoutView_ColorEdgesOn, 1,
   (char*)"V.ColorEdgesOn()\nC++: void ColorEdgesOn ();\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"ColorEdgesOff",                (PyCFunction)PyvtkTreeLayoutView_ColorEdgesOff, 1,
   (char*)"V.ColorEdgesOff()\nC++: void ColorEdgesOff ();\n\n Whether to show labels.  Default is off.\n"},
  {(char*)"SetAngle",                (PyCFunction)PyvtkTreeLayoutView_SetAngle, 1,
   (char*)"V.SetAngle(float)\nC++: void SetAngle (double angle);\n\n The sweep angle of the tree.\n For a standard tree layout, this should be between 0 and 180.\n For a radial tree layout, this can be between 0 and 360.\n"},
  {(char*)"GetAngle",                (PyCFunction)PyvtkTreeLayoutView_GetAngle, 1,
   (char*)"V.GetAngle() -> float\nC++: double GetAngle ();\n\n The sweep angle of the tree.\n For a standard tree layout, this should be between 0 and 180.\n For a radial tree layout, this can be between 0 and 360.\n"},
  {(char*)"SetRadial",                (PyCFunction)PyvtkTreeLayoutView_SetRadial, 1,
   (char*)"V.SetRadial(bool)\nC++: void SetRadial (bool radial);\n\n If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n"},
  {(char*)"GetRadial",                (PyCFunction)PyvtkTreeLayoutView_GetRadial, 1,
   (char*)"V.GetRadial() -> bool\nC++: bool GetRadial ();\n\n If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n"},
  {(char*)"RadialOn",                (PyCFunction)PyvtkTreeLayoutView_RadialOn, 1,
   (char*)"V.RadialOn()\nC++: void RadialOn ();\n\n If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n"},
  {(char*)"RadialOff",                (PyCFunction)PyvtkTreeLayoutView_RadialOff, 1,
   (char*)"V.RadialOff()\nC++: void RadialOff ();\n\n If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n"},
  {(char*)"SetLogSpacingValue",                (PyCFunction)PyvtkTreeLayoutView_SetLogSpacingValue, 1,
   (char*)"V.SetLogSpacingValue(float)\nC++: void SetLogSpacingValue (double value);\n\n The spacing of tree levels. Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels.\n"},
  {(char*)"GetLogSpacingValue",                (PyCFunction)PyvtkTreeLayoutView_GetLogSpacingValue, 1,
   (char*)"V.GetLogSpacingValue() -> float\nC++: double GetLogSpacingValue ();\n\n The spacing of tree levels. Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels.\n"},
  {(char*)"SetLeafSpacing",                (PyCFunction)PyvtkTreeLayoutView_SetLeafSpacing, 1,
   (char*)"V.SetLeafSpacing(float)\nC++: void SetLeafSpacing (double value);\n\n The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n"},
  {(char*)"GetLeafSpacing",                (PyCFunction)PyvtkTreeLayoutView_GetLeafSpacing, 1,
   (char*)"V.GetLeafSpacing() -> float\nC++: double GetLeafSpacing ();\n\n The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n"},
  {(char*)"GetDistanceArrayName",                (PyCFunction)PyvtkTreeLayoutView_GetDistanceArrayName, 1,
   (char*)"V.GetDistanceArrayName() -> string\nC++: const char *GetDistanceArrayName ();\n\n Get/Set the array to use to determine the distance from the\n root.\n"},
  {(char*)"SetDistanceArrayName",                (PyCFunction)PyvtkTreeLayoutView_SetDistanceArrayName, 1,
   (char*)"V.SetDistanceArrayName(string)\nC++: void SetDistanceArrayName (const char *name);\n\n Get/Set the array to use to determine the distance from the\n root.\n"},
  {(char*)"SetupRenderWindow",                (PyCFunction)PyvtkTreeLayoutView_SetupRenderWindow, 1,
   (char*)"V.SetupRenderWindow(vtkRenderWindow)\nC++: virtual void SetupRenderWindow (vtkRenderWindow *win);\n\n Sets up interactor style.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkTreeLayoutView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply the theme to this view.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeLayoutViewDoc[] = {
  (char*)"vtkTreeLayoutView - Lays out and displays a tree.\n\n",
  "Super Class:\n\n vtkRenderView\n\n",
  (char*)" vtkTreeLayoutView displays a tree in radial or standard \"top-down\" format.\n You may specify the vertex labels and colors.\n\n",
  NULL
};

static vtkObjectBase *vtkTreeLayoutViewStaticNew()
{
  return vtkTreeLayoutView::New();
}

PyObject *PyVTKClass_vtkTreeLayoutViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeLayoutViewStaticNew,
                        PyvtkTreeLayoutViewMethods,
                        (char*)"vtkTreeLayoutView",modulename,
                        (char**)vtkTreeLayoutViewDoc,
                        PyVTKClass_vtkRenderViewNew(modulename));
}

