// tcl wrapper for vtkTreeLayoutView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeLayoutView.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTreeLayoutViewNewCommand()
{
  vtkTreeLayoutView *temp = vtkTreeLayoutView::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderViewCppCommand(vtkRenderView *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTreeLayoutViewCppCommand(vtkTreeLayoutView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTreeLayoutViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTreeLayoutViewCppCommand(static_cast<vtkTreeLayoutView *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTreeLayoutViewCppCommand(vtkTreeLayoutView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTreeLayoutView",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderViewCppCommand(static_cast<vtkRenderView *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderView"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTreeLayoutView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeLayoutView");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTreeLayoutView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeLayoutView");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTreeLayoutView  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeLayoutView");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertexColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorVertices",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorVertices",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorVerticesOn",argv[1]))&&(argc == 2))
    {
    op->ColorVerticesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorVerticesOff",argv[1]))&&(argc == 2))
    {
    op->ColorVerticesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorEdges",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorEdges",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesOn",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesOff",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRadial",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetRadial(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadial",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetRadial();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RadialOn",argv[1]))&&(argc == 2))
    {
    op->RadialOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RadialOff",argv[1]))&&(argc == 2))
    {
    op->RadialOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLogSpacingValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLogSpacingValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLogSpacingValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLogSpacingValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLeafSpacing",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLeafSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeafSpacing",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLeafSpacing();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDistanceArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDistanceArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDistanceArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDistanceArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetupRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetupRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTreeLayoutViewCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderViewCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTreeLayoutView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetColorVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorVertices\n",NULL);
    Tcl_AppendResult(interp,"  ColorVerticesOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorVerticesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetColorEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorEdges\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetRadial\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadial\n",NULL);
    Tcl_AppendResult(interp,"  RadialOn\n",NULL);
    Tcl_AppendResult(interp,"  RadialOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLogSpacingValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLogSpacingValue\n",NULL);
    Tcl_AppendResult(interp,"  SetLeafSpacing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeafSpacing\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetDistanceArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetupRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderViewCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetVertexColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetColorVertices" );
    Tcl_DStringAppendElement ( &dString, "GetColorVertices" );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOn" );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetColorEdges" );
    Tcl_DStringAppendElement ( &dString, "GetColorEdges" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "SetAngle" );
    Tcl_DStringAppendElement ( &dString, "GetAngle" );
    Tcl_DStringAppendElement ( &dString, "SetRadial" );
    Tcl_DStringAppendElement ( &dString, "GetRadial" );
    Tcl_DStringAppendElement ( &dString, "RadialOn" );
    Tcl_DStringAppendElement ( &dString, "RadialOff" );
    Tcl_DStringAppendElement ( &dString, "SetLogSpacingValue" );
    Tcl_DStringAppendElement ( &dString, "GetLogSpacingValue" );
    Tcl_DStringAppendElement ( &dString, "SetLeafSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetLeafSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetDistanceArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetupRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderViewCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTreeLayoutView *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelArrayName */
    if ( strcmp ( argv[2], "SetLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelArrayName */
    if ( strcmp ( argv[2], "GetLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetLabelArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelVisibility */
    if ( strcmp ( argv[2], "SetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelVisibility (bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelVisibility */
    if ( strcmp ( argv[2], "GetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLabelVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LabelVisibilityOn */
    if ( strcmp ( argv[2], "LabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void LabelVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for LabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LabelVisibilityOff */
    if ( strcmp ( argv[2], "LabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void LabelVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for LabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexColorArrayName */
    if ( strcmp ( argv[2], "SetVertexColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring vertices.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexColorArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetVertexColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexColorArrayName */
    if ( strcmp ( argv[2], "GetVertexColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring vertices.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVertexColorArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetVertexColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorVertices */
    if ( strcmp ( argv[2], "SetColorVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorVertices */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorVertices (bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetColorVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorVertices */
    if ( strcmp ( argv[2], "GetColorVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorVertices */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetColorVertices ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetColorVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorVerticesOn */
    if ( strcmp ( argv[2], "ColorVerticesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorVerticesOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorVerticesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for ColorVerticesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorVerticesOff */
    if ( strcmp ( argv[2], "ColorVerticesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorVerticesOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorVerticesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for ColorVerticesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeColorArrayName */
    if ( strcmp ( argv[2], "SetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeColorArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeColorArrayName */
    if ( strcmp ( argv[2], "GetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeColorArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorEdges */
    if ( strcmp ( argv[2], "SetColorEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorEdges */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorEdges (bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetColorEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorEdges */
    if ( strcmp ( argv[2], "GetColorEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorEdges */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetColorEdges ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetColorEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesOn */
    if ( strcmp ( argv[2], "ColorEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for ColorEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesOff */
    if ( strcmp ( argv[2], "ColorEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for ColorEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAngle */
    if ( strcmp ( argv[2], "SetAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAngle */
    Tcl_DStringAppendElement ( &dString, " The sweep angle of the tree.\n For a standard tree layout, this should be between 0 and 180.\n For a radial tree layout, this can be between 0 and 360.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAngle (double angle);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAngle */
    if ( strcmp ( argv[2], "GetAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAngle */
    Tcl_DStringAppendElement ( &dString, " The sweep angle of the tree.\n For a standard tree layout, this should be between 0 and 180.\n For a radial tree layout, this can be between 0 and 360.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAngle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadial */
    if ( strcmp ( argv[2], "SetRadial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadial */
    Tcl_DStringAppendElement ( &dString, " If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadial (bool radial);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetRadial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadial */
    if ( strcmp ( argv[2], "GetRadial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadial */
    Tcl_DStringAppendElement ( &dString, " If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetRadial ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetRadial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RadialOn */
    if ( strcmp ( argv[2], "RadialOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RadialOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RadialOn */
    Tcl_DStringAppendElement ( &dString, " If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void RadialOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for RadialOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RadialOff */
    if ( strcmp ( argv[2], "RadialOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RadialOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RadialOff */
    Tcl_DStringAppendElement ( &dString, " If set, the tree is laid out with levels on concentric circles \n around the root. If unset (default), the tree is laid out with \n levels on horizontal lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void RadialOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for RadialOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLogSpacingValue */
    if ( strcmp ( argv[2], "SetLogSpacingValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLogSpacingValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLogSpacingValue */
    Tcl_DStringAppendElement ( &dString, " The spacing of tree levels. Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLogSpacingValue (double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetLogSpacingValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLogSpacingValue */
    if ( strcmp ( argv[2], "GetLogSpacingValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLogSpacingValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLogSpacingValue */
    Tcl_DStringAppendElement ( &dString, " The spacing of tree levels. Levels near zero give more space\n to levels near the root, while levels near one (the default)\n create evenly-spaced levels.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLogSpacingValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetLogSpacingValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeafSpacing */
    if ( strcmp ( argv[2], "SetLeafSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeafSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeafSpacing */
    Tcl_DStringAppendElement ( &dString, " The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeafSpacing (double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetLeafSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeafSpacing */
    if ( strcmp ( argv[2], "GetLeafSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeafSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeafSpacing */
    Tcl_DStringAppendElement ( &dString, " The spacing of leaves.  Levels near one evenly space leaves\n with no gaps between subtrees.  Levels near zero creates\n large gaps between subtrees.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLeafSpacing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetLeafSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceArrayName */
    if ( strcmp ( argv[2], "GetDistanceArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceArrayName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the array to use to determine the distance from the\n root.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDistanceArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for GetDistanceArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDistanceArrayName */
    if ( strcmp ( argv[2], "SetDistanceArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistanceArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistanceArrayName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the array to use to determine the distance from the\n root.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDistanceArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetDistanceArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetupRenderWindow */
    if ( strcmp ( argv[2], "SetupRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetupRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetupRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Sets up interactor style.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetupRenderWindow (vtkRenderWindow *win);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for SetupRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Apply the theme to this view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme (vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeLayoutView" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderViewCppCommand(static_cast<vtkRenderView *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
