// python wrapper for vtkTreeMapView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeMapView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeMapViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeMapViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderViewNew(char *); }

static PyObject *PyvtkTreeMapView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  const char    *temp20;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  vtkTreeMapView  *temp20;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeMapView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeMapView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  char    *temp0;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetColorArrayName(temp0);
      }
    else
      {
      op->SetColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_GetColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  const char    *temp20;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapView::GetColorArrayName();
      }
    else
      {
      temp20 = op->GetColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  char    *temp0;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetSizeArrayName(temp0);
      }
    else
      {
      op->SetSizeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_GetSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  const char    *temp20;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapView::GetSizeArrayName();
      }
    else
      {
      temp20 = op->GetSizeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  char    *temp0;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetLabelArrayName(temp0);
      }
    else
      {
      op->SetLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_GetLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  const char    *temp20;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapView::GetLabelArrayName();
      }
    else
      {
      temp20 = op->GetLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  char    *temp0;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetHoverArrayName(temp0);
      }
    else
      {
      op->SetHoverArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_GetHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  const char    *temp20;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapView::GetHoverArrayName();
      }
    else
      {
      temp20 = op->GetHoverArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  char    *temp0;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetLayoutStrategyToBox(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetLayoutStrategyToBox();
      }
    else
      {
      op->SetLayoutStrategyToBox();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetLayoutStrategyToSliceAndDice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetLayoutStrategyToSliceAndDice();
      }
    else
      {
      op->SetLayoutStrategyToSliceAndDice();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetLayoutStrategyToSquarify(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetLayoutStrategyToSquarify();
      }
    else
      {
      op->SetLayoutStrategyToSquarify();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetBorderPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  double   temp0;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetBorderPercentage(temp0);
      }
    else
      {
      op->SetBorderPercentage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_GetBorderPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  double   temp20;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapView::GetBorderPercentage();
      }
    else
      {
      temp20 = op->GetBorderPercentage();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetFontSizeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetFontSizeRange(temp0,temp1,temp2);
      }
    else
      {
      op->SetFontSizeRange(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_GetFontSizeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  int    temp0[3];
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::GetFontSizeRange(temp0);
      }
    else
      {
      op->GetFontSizeRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetupRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetupRenderWindow(temp0);
      }
    else
      {
      op->SetupRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkTreeMapView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}

static PyMethodDef PyvtkTreeMapViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeMapView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeMapView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeMapView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeMapView\nC++: vtkTreeMapView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeMapView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeMapView\nC++: vtkTreeMapView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetColorArrayName",                (PyCFunction)PyvtkTreeMapView_SetColorArrayName, 1,
   (char*)"V.SetColorArrayName(string)\nC++: void SetColorArrayName (const char *name);\n\n The name of the array used to color the treemap.\n"},
  {(char*)"GetColorArrayName",                (PyCFunction)PyvtkTreeMapView_GetColorArrayName, 1,
   (char*)"V.GetColorArrayName() -> string\nC++: const char *GetColorArrayName ();\n\n The name of the array used to color the treemap.\n"},
  {(char*)"SetSizeArrayName",                (PyCFunction)PyvtkTreeMapView_SetSizeArrayName, 1,
   (char*)"V.SetSizeArrayName(string)\nC++: void SetSizeArrayName (const char *name);\n\n The name of the array used to size the treemap rectangles.\n"},
  {(char*)"GetSizeArrayName",                (PyCFunction)PyvtkTreeMapView_GetSizeArrayName, 1,
   (char*)"V.GetSizeArrayName() -> string\nC++: const char *GetSizeArrayName ();\n\n The name of the array used to size the treemap rectangles.\n"},
  {(char*)"SetLabelArrayName",                (PyCFunction)PyvtkTreeMapView_SetLabelArrayName, 1,
   (char*)"V.SetLabelArrayName(string)\nC++: void SetLabelArrayName (const char *name);\n\n The name of the array used to label the treemap.\n This must be a string array.\n"},
  {(char*)"GetLabelArrayName",                (PyCFunction)PyvtkTreeMapView_GetLabelArrayName, 1,
   (char*)"V.GetLabelArrayName() -> string\nC++: const char *GetLabelArrayName ();\n\n The name of the array used to label the treemap.\n This must be a string array.\n"},
  {(char*)"SetHoverArrayName",                (PyCFunction)PyvtkTreeMapView_SetHoverArrayName, 1,
   (char*)"V.SetHoverArrayName(string)\nC++: void SetHoverArrayName (const char *name);\n\n The name of the array whose value appears when the mouse hovers\n over a rectangle in the treemap.\n This must be a string array.\n"},
  {(char*)"GetHoverArrayName",                (PyCFunction)PyvtkTreeMapView_GetHoverArrayName, 1,
   (char*)"V.GetHoverArrayName() -> string\nC++: const char *GetHoverArrayName ();\n\n The name of the array whose value appears when the mouse hovers\n over a rectangle in the treemap.\n This must be a string array.\n"},
  {(char*)"SetLayoutStrategy",                (PyCFunction)PyvtkTreeMapView_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(string)\nC++: void SetLayoutStrategy (const char *name);\n\n Sets the treemap layout strategy\n"},
  {(char*)"SetLayoutStrategyToBox",                (PyCFunction)PyvtkTreeMapView_SetLayoutStrategyToBox, 1,
   (char*)"V.SetLayoutStrategyToBox()\nC++: void SetLayoutStrategyToBox ();\n\n Sets the treemap layout strategy\n"},
  {(char*)"SetLayoutStrategyToSliceAndDice",                (PyCFunction)PyvtkTreeMapView_SetLayoutStrategyToSliceAndDice, 1,
   (char*)"V.SetLayoutStrategyToSliceAndDice()\nC++: void SetLayoutStrategyToSliceAndDice ();\n\n Sets the treemap layout strategy\n"},
  {(char*)"SetLayoutStrategyToSquarify",                (PyCFunction)PyvtkTreeMapView_SetLayoutStrategyToSquarify, 1,
   (char*)"V.SetLayoutStrategyToSquarify()\nC++: void SetLayoutStrategyToSquarify ();\n\n Sets the treemap layout strategy\n"},
  {(char*)"SetBorderPercentage",                (PyCFunction)PyvtkTreeMapView_SetBorderPercentage, 1,
   (char*)"V.SetBorderPercentage(float)\nC++: void SetBorderPercentage (double pcent);\n\n Sets the amount of border around child rectangles.\n The percentage should be between 0 and 1.\n"},
  {(char*)"GetBorderPercentage",                (PyCFunction)PyvtkTreeMapView_GetBorderPercentage, 1,
   (char*)"V.GetBorderPercentage() -> float\nC++: double GetBorderPercentage ();\n\n Sets the amount of border around child rectangles.\n The percentage should be between 0 and 1.\n"},
  {(char*)"SetFontSizeRange",                (PyCFunction)PyvtkTreeMapView_SetFontSizeRange, 1,
   (char*)"V.SetFontSizeRange(int, int, int)\nC++: void SetFontSizeRange (const int maxSize, const int minSize, const int delta);\n\n The sizes of the fonts used for labeling.\n"},
  {(char*)"GetFontSizeRange",                (PyCFunction)PyvtkTreeMapView_GetFontSizeRange, 1,
   (char*)"V.GetFontSizeRange((int, int, int))\nC++: void GetFontSizeRange (int range[3]);\n\n The sizes of the fonts used for labeling.\n"},
  {(char*)"SetupRenderWindow",                (PyCFunction)PyvtkTreeMapView_SetupRenderWindow, 1,
   (char*)"V.SetupRenderWindow(vtkRenderWindow)\nC++: virtual void SetupRenderWindow (vtkRenderWindow *win);\n\n Sets up interactor style.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkTreeMapView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply the theme to this view.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeMapViewDoc[] = {
  (char*)"vtkTreeMapView - Displays a tree as a tree map.\n\n",
  "Super Class:\n\n vtkRenderView\n\n",
  (char*)" vtkTreeMapView shows a vtkTree in a tree map, where each vertex in the\n tree is represented by a box.  Child boxes are contained within the\n parent box, and may be colored and sized by various parameters.\n\n",
  NULL
};

static vtkObjectBase *vtkTreeMapViewStaticNew()
{
  return vtkTreeMapView::New();
}

PyObject *PyVTKClass_vtkTreeMapViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeMapViewStaticNew,
                        PyvtkTreeMapViewMethods,
                        (char*)"vtkTreeMapView",modulename,
                        (char**)vtkTreeMapViewDoc,
                        PyVTKClass_vtkRenderViewNew(modulename));
}

