// python wrapper for vtkView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  const char    *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  char    *temp0;
  int      temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkView  *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkView_AddRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkDataRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::AddRepresentation(temp0);
      }
    else
      {
      op->AddRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkView_AddRepresentationFromInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::AddRepresentationFromInputConnection(temp0);
      }
    else
      {
      temp20 = op->AddRepresentationFromInputConnection(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkView_AddRepresentationFromInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::AddRepresentationFromInput(temp0);
      }
    else
      {
      temp20 = op->AddRepresentationFromInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkView_RemoveRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkDataRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::RemoveRepresentation(temp0);
      }
    else
      {
      op->RemoveRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::RemoveRepresentation(temp0);
      }
    else
      {
      op->RemoveRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkView_RemoveAllRepresentations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkView::RemoveAllRepresentations();
      }
    else
      {
      op->RemoveAllRepresentations();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkView_GetNumberOfRepresentations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::GetNumberOfRepresentations();
      }
    else
      {
      temp20 = op->GetNumberOfRepresentations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkView_GetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  vtkDataRepresentation  *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::GetRepresentation(temp0);
      }
    else
      {
      temp20 = op->GetRepresentation(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkView_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkView::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkView\nC++: vtkView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkView\nC++: vtkView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddRepresentation",                (PyCFunction)PyvtkView_AddRepresentation, 1,
   (char*)"V.AddRepresentation(vtkDataRepresentation)\nC++: void AddRepresentation (vtkDataRepresentation *rep);\n\n Adds the representation to the view.\n"},
  {(char*)"AddRepresentationFromInputConnection",                (PyCFunction)PyvtkView_AddRepresentationFromInputConnection, 1,
   (char*)"V.AddRepresentationFromInputConnection(vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *AddRepresentationFromInputConnection (vtkAlgorithmOutput *conn);\n\n Convenience method which creates a simple representation with the \n connection and adds it to the view.\n Returns the representation internally created.\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n"},
  {(char*)"AddRepresentationFromInput",                (PyCFunction)PyvtkView_AddRepresentationFromInput, 1,
   (char*)"V.AddRepresentationFromInput(vtkDataObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *AddRepresentationFromInput (vtkDataObject *input);\n\n Convenience method which creates a simple representation with the \n specified input and adds it to the view.\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n"},
  {(char*)"RemoveRepresentation",                (PyCFunction)PyvtkView_RemoveRepresentation, 1,
   (char*)"V.RemoveRepresentation(vtkDataRepresentation)\nC++: void RemoveRepresentation (vtkDataRepresentation *rep);\nV.RemoveRepresentation(vtkAlgorithmOutput)\nC++: void RemoveRepresentation (vtkAlgorithmOutput *rep);\n\n Removes the representation from the view.\n"},
  {(char*)"RemoveAllRepresentations",                (PyCFunction)PyvtkView_RemoveAllRepresentations, 1,
   (char*)"V.RemoveAllRepresentations()\nC++: void RemoveAllRepresentations ();\n\n Removes all representations from the view.\n"},
  {(char*)"GetNumberOfRepresentations",                (PyCFunction)PyvtkView_GetNumberOfRepresentations, 1,
   (char*)"V.GetNumberOfRepresentations() -> int\nC++: int GetNumberOfRepresentations ();\n\n The number of representations in this view.\n"},
  {(char*)"GetRepresentation",                (PyCFunction)PyvtkView_GetRepresentation, 1,
   (char*)"V.GetRepresentation(int) -> vtkDataRepresentation\nC++: vtkDataRepresentation *GetRepresentation (int index);\n\n The representation at a specified index.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkView_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Apply a theme to the view.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkViewDoc[] = {
  (char*)"vtkView - The superclass for all views.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkView is the superclass for views.  A view is generally an area of an\n application's canvas devoted to displaying one or more VTK data objects.\n Associated representations (subclasses of vtkDataRepresentation) are\n responsible for converting the data into a displayable format.  These\n representations are then added to the view.\n\n For views which display only one data object at a time you may se",
  (char*)"t a\n data object or pipeline connection directly on the view itself (e.g.\n vtkGraphLayoutView, vtkTreeLayoutView, vtkLandscapeView, vtkTreeMapView).\n The view will internally create a vtkDataRepresentation for the data.\n\n A view has the concept of linked selection.  If the same data is displayed\n in multiple views, their selections may be linked by setting the same\n vtkSelectionLink on their repre",
  (char*)"sentations (see vtkDataRepresentation).\n\n",
  NULL
};

static vtkObjectBase *vtkViewStaticNew()
{
  return vtkView::New();
}

PyObject *PyVTKClass_vtkViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkViewStaticNew,
                        PyvtkViewMethods,
                        (char*)"vtkView",modulename,
                        (char**)vtkViewDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

