#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkDataRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataRepresentationNewCommand();
int vtkGraphLayoutViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphLayoutViewNewCommand();
int vtkRenderViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderViewNewCommand();
int vtkSurfaceRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSurfaceRepresentationNewCommand();
int vtkTreeLayoutViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeLayoutViewNewCommand();
int vtkTreeMapViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeMapViewNewCommand();
int vtkViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkViewNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkviewstcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkviewstcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkviewstcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkviewstcl_Init(interp);
}


int VTK_EXPORT Vtkviewstcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkDataRepresentation"), vtkDataRepresentationNewCommand,
                  vtkDataRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphLayoutView"), vtkGraphLayoutViewNewCommand,
                  vtkGraphLayoutViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderView"), vtkRenderViewNewCommand,
                  vtkRenderViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSurfaceRepresentation"), vtkSurfaceRepresentationNewCommand,
                  vtkSurfaceRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeLayoutView"), vtkTreeLayoutViewNewCommand,
                  vtkTreeLayoutViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeMapView"), vtkTreeMapViewNewCommand,
                  vtkTreeMapViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkView"), vtkViewNewCommand,
                  vtkViewCommand);
  char pkgName[]="vtkViewsTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
