// python wrapper for vtkEncodedGradientEstimator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEncodedGradientEstimator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEncodedGradientEstimatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEncodedGradientEstimatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkEncodedGradientEstimator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  const char    *temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  char    *temp0;
  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  vtkEncodedGradientEstimator  *temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  vtkImageData  *temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_SetGradientMagnitudeScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  float    temp0;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetGradientMagnitudeScale(temp0);
      }
    else
      {
      op->SetGradientMagnitudeScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetGradientMagnitudeScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  float    temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetGradientMagnitudeScale();
      }
    else
      {
      temp20 = op->GetGradientMagnitudeScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_SetGradientMagnitudeBias(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  float    temp0;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetGradientMagnitudeBias(temp0);
      }
    else
      {
      op->SetGradientMagnitudeBias(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetGradientMagnitudeBias(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  float    temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetGradientMagnitudeBias();
      }
    else
      {
      temp20 = op->GetGradientMagnitudeBias();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_SetBoundsClip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp0;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetBoundsClip(temp0);
      }
    else
      {
      op->SetBoundsClip(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetBoundsClipMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetBoundsClipMinValue();
      }
    else
      {
      temp20 = op->GetBoundsClipMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetBoundsClipMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetBoundsClipMaxValue();
      }
    else
      {
      temp20 = op->GetBoundsClipMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetBoundsClip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetBoundsClip();
      }
    else
      {
      temp20 = op->GetBoundsClip();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_BoundsClipOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::BoundsClipOn();
      }
    else
      {
      op->BoundsClipOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_BoundsClipOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::BoundsClipOff();
      }
    else
      {
      op->BoundsClipOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetBounds(temp0);
      }
    else
      {
      op->SetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int     *temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetEncodedNormalIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp0;
  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetEncodedNormalIndex(temp0);
      }
    else
      {
      temp20 = op->GetEncodedNormalIndex(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetEncodedNormalIndex(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetEncodedNormalIndex(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_SetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp0;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetNumberOfThreads(temp0);
      }
    else
      {
      op->SetNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetNumberOfThreadsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetNumberOfThreadsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetNumberOfThreadsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetNumberOfThreadsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetNumberOfThreads();
      }
    else
      {
      temp20 = op->GetNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_SetDirectionEncoder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  vtkDirectionEncoder  *temp0;
  PyObject *tempH0;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDirectionEncoder *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDirectionEncoder");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetDirectionEncoder(temp0);
      }
    else
      {
      op->SetDirectionEncoder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetDirectionEncoder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  vtkDirectionEncoder  *temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetDirectionEncoder();
      }
    else
      {
      temp20 = op->GetDirectionEncoder();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_SetComputeGradientMagnitudes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp0;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetComputeGradientMagnitudes(temp0);
      }
    else
      {
      op->SetComputeGradientMagnitudes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetComputeGradientMagnitudes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetComputeGradientMagnitudes();
      }
    else
      {
      temp20 = op->GetComputeGradientMagnitudes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_ComputeGradientMagnitudesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::ComputeGradientMagnitudesOn();
      }
    else
      {
      op->ComputeGradientMagnitudesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_ComputeGradientMagnitudesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::ComputeGradientMagnitudesOff();
      }
    else
      {
      op->ComputeGradientMagnitudesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_SetCylinderClip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp0;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetCylinderClip(temp0);
      }
    else
      {
      op->SetCylinderClip(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetCylinderClip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetCylinderClip();
      }
    else
      {
      temp20 = op->GetCylinderClip();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_CylinderClipOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::CylinderClipOn();
      }
    else
      {
      op->CylinderClipOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_CylinderClipOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::CylinderClipOff();
      }
    else
      {
      op->CylinderClipOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetLastUpdateTimeInSeconds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  float    temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetLastUpdateTimeInSeconds();
      }
    else
      {
      temp20 = op->GetLastUpdateTimeInSeconds();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetLastUpdateTimeInCPUSeconds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  float    temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetLastUpdateTimeInCPUSeconds();
      }
    else
      {
      temp20 = op->GetLastUpdateTimeInCPUSeconds();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetUseCylinderClip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetUseCylinderClip();
      }
    else
      {
      temp20 = op->GetUseCylinderClip();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_SetZeroNormalThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  float    temp0;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetZeroNormalThreshold(temp0);
      }
    else
      {
      op->SetZeroNormalThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetZeroNormalThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  float    temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetZeroNormalThreshold();
      }
    else
      {
      temp20 = op->GetZeroNormalThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_SetZeroPad(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp0;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::SetZeroPad(temp0);
      }
    else
      {
      op->SetZeroPad(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetZeroPadMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetZeroPadMinValue();
      }
    else
      {
      temp20 = op->GetZeroPadMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetZeroPadMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetZeroPadMaxValue();
      }
    else
      {
      temp20 = op->GetZeroPadMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_GetZeroPad(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  int      temp20;
  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientEstimator::GetZeroPad();
      }
    else
      {
      temp20 = op->GetZeroPad();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_ZeroPadOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::ZeroPadOn();
      }
    else
      {
      op->ZeroPadOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientEstimator_ZeroPadOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientEstimator::ZeroPadOff();
      }
    else
      {
      op->ZeroPadOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEncodedGradientEstimatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEncodedGradientEstimator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEncodedGradientEstimator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEncodedGradientEstimator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEncodedGradientEstimator\nC++: vtkEncodedGradientEstimator *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkEncodedGradientEstimator_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: virtual void SetInput (vtkImageData *);\n\n Set/Get the scalar input for which the normals will be \n calculated\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkEncodedGradientEstimator_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();\n\n Set/Get the scalar input for which the normals will be \n calculated\n"},
  {(char*)"SetGradientMagnitudeScale",                (PyCFunction)PyvtkEncodedGradientEstimator_SetGradientMagnitudeScale, 1,
   (char*)"V.SetGradientMagnitudeScale(float)\nC++: void SetGradientMagnitudeScale (float );\n\n Set/Get the scale and bias for the gradient magnitude\n"},
  {(char*)"GetGradientMagnitudeScale",                (PyCFunction)PyvtkEncodedGradientEstimator_GetGradientMagnitudeScale, 1,
   (char*)"V.GetGradientMagnitudeScale() -> float\nC++: float GetGradientMagnitudeScale ();\n\n Set/Get the scale and bias for the gradient magnitude\n"},
  {(char*)"SetGradientMagnitudeBias",                (PyCFunction)PyvtkEncodedGradientEstimator_SetGradientMagnitudeBias, 1,
   (char*)"V.SetGradientMagnitudeBias(float)\nC++: void SetGradientMagnitudeBias (float );\n\n Set/Get the scale and bias for the gradient magnitude\n"},
  {(char*)"GetGradientMagnitudeBias",                (PyCFunction)PyvtkEncodedGradientEstimator_GetGradientMagnitudeBias, 1,
   (char*)"V.GetGradientMagnitudeBias() -> float\nC++: float GetGradientMagnitudeBias ();\n\n Set/Get the scale and bias for the gradient magnitude\n"},
  {(char*)"SetBoundsClip",                (PyCFunction)PyvtkEncodedGradientEstimator_SetBoundsClip, 1,
   (char*)"V.SetBoundsClip(int)\nC++: void SetBoundsClip (int );\n\n Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n"},
  {(char*)"GetBoundsClipMinValue",                (PyCFunction)PyvtkEncodedGradientEstimator_GetBoundsClipMinValue, 1,
   (char*)"V.GetBoundsClipMinValue() -> int\nC++: int GetBoundsClipMinValue ();\n\n Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n"},
  {(char*)"GetBoundsClipMaxValue",                (PyCFunction)PyvtkEncodedGradientEstimator_GetBoundsClipMaxValue, 1,
   (char*)"V.GetBoundsClipMaxValue() -> int\nC++: int GetBoundsClipMaxValue ();\n\n Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n"},
  {(char*)"GetBoundsClip",                (PyCFunction)PyvtkEncodedGradientEstimator_GetBoundsClip, 1,
   (char*)"V.GetBoundsClip() -> int\nC++: int GetBoundsClip ();\n\n Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n"},
  {(char*)"BoundsClipOn",                (PyCFunction)PyvtkEncodedGradientEstimator_BoundsClipOn, 1,
   (char*)"V.BoundsClipOn()\nC++: void BoundsClipOn ();\n\n Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n"},
  {(char*)"BoundsClipOff",                (PyCFunction)PyvtkEncodedGradientEstimator_BoundsClipOff, 1,
   (char*)"V.BoundsClipOff()\nC++: void BoundsClipOff ();\n\n Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkEncodedGradientEstimator_SetBounds, 1,
   (char*)"V.SetBounds(int, int, int, int, int, int)\nC++: void SetBounds (int , int , int , int , int , int );\nV.SetBounds((int, int, int, int, int, int))\nC++: void SetBounds (int  a[6]);\n\n Set / Get the bounds of the computation (used if \n this->ComputationBounds is 1.) The bounds are specified\n xmin, xmax, ymin, ymax, zmin, zmax.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkEncodedGradientEstimator_GetBounds, 1,
   (char*)"V.GetBounds() -> (int, int, int, int, int, int)\nC++: int  *GetBounds ();\n\n Set / Get the bounds of the computation (used if \n this->ComputationBounds is 1.) The bounds are specified\n xmin, xmax, ymin, ymax, zmin, zmax.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkEncodedGradientEstimator_Update, 1,
   (char*)"V.Update()\nC++: void Update (void );\n\n Recompute the encoded normals and gradient magnitudes.\n"},
  {(char*)"GetEncodedNormalIndex",                (PyCFunction)PyvtkEncodedGradientEstimator_GetEncodedNormalIndex, 1,
   (char*)"V.GetEncodedNormalIndex(int) -> int\nC++: int GetEncodedNormalIndex (int xyz_index);\nV.GetEncodedNormalIndex(int, int, int) -> int\nC++: int GetEncodedNormalIndex (int x_index, int y_index, int z_index);\n\n Get the encoded normal at an x,y,z location in the volume\n"},
  {(char*)"SetNumberOfThreads",                (PyCFunction)PyvtkEncodedGradientEstimator_SetNumberOfThreads, 1,
   (char*)"V.SetNumberOfThreads(int)\nC++: void SetNumberOfThreads (int );\n\n Get/Set the number of threads to create when encoding normals\n This defaults to the number of available processors on the machine\n"},
  {(char*)"GetNumberOfThreadsMinValue",                (PyCFunction)PyvtkEncodedGradientEstimator_GetNumberOfThreadsMinValue, 1,
   (char*)"V.GetNumberOfThreadsMinValue() -> int\nC++: int GetNumberOfThreadsMinValue ();\n\n Get/Set the number of threads to create when encoding normals\n This defaults to the number of available processors on the machine\n"},
  {(char*)"GetNumberOfThreadsMaxValue",                (PyCFunction)PyvtkEncodedGradientEstimator_GetNumberOfThreadsMaxValue, 1,
   (char*)"V.GetNumberOfThreadsMaxValue() -> int\nC++: int GetNumberOfThreadsMaxValue ();\n\n Get/Set the number of threads to create when encoding normals\n This defaults to the number of available processors on the machine\n"},
  {(char*)"GetNumberOfThreads",                (PyCFunction)PyvtkEncodedGradientEstimator_GetNumberOfThreads, 1,
   (char*)"V.GetNumberOfThreads() -> int\nC++: int GetNumberOfThreads ();\n\n Get/Set the number of threads to create when encoding normals\n This defaults to the number of available processors on the machine\n"},
  {(char*)"SetDirectionEncoder",                (PyCFunction)PyvtkEncodedGradientEstimator_SetDirectionEncoder, 1,
   (char*)"V.SetDirectionEncoder(vtkDirectionEncoder)\nC++: void SetDirectionEncoder (vtkDirectionEncoder *direnc);\n\n Set / Get the direction encoder used to encode normal directions\n to fit within two bytes\n"},
  {(char*)"GetDirectionEncoder",                (PyCFunction)PyvtkEncodedGradientEstimator_GetDirectionEncoder, 1,
   (char*)"V.GetDirectionEncoder() -> vtkDirectionEncoder\nC++: vtkDirectionEncoder *GetDirectionEncoder ();\n\n Set / Get the direction encoder used to encode normal directions\n to fit within two bytes\n"},
  {(char*)"SetComputeGradientMagnitudes",                (PyCFunction)PyvtkEncodedGradientEstimator_SetComputeGradientMagnitudes, 1,
   (char*)"V.SetComputeGradientMagnitudes(int)\nC++: void SetComputeGradientMagnitudes (int );\n\n If you don't want to compute gradient magnitudes (but you\n do want normals for shading) this can be used. Be careful - if\n if you a non-constant gradient magnitude transfer function and\n you turn this on, it may crash\n"},
  {(char*)"GetComputeGradientMagnitudes",                (PyCFunction)PyvtkEncodedGradientEstimator_GetComputeGradientMagnitudes, 1,
   (char*)"V.GetComputeGradientMagnitudes() -> int\nC++: int GetComputeGradientMagnitudes ();\n\n If you don't want to compute gradient magnitudes (but you\n do want normals for shading) this can be used. Be careful - if\n if you a non-constant gradient magnitude transfer function and\n you turn this on, it may crash\n"},
  {(char*)"ComputeGradientMagnitudesOn",                (PyCFunction)PyvtkEncodedGradientEstimator_ComputeGradientMagnitudesOn, 1,
   (char*)"V.ComputeGradientMagnitudesOn()\nC++: void ComputeGradientMagnitudesOn ();\n\n If you don't want to compute gradient magnitudes (but you\n do want normals for shading) this can be used. Be careful - if\n if you a non-constant gradient magnitude transfer function and\n you turn this on, it may crash\n"},
  {(char*)"ComputeGradientMagnitudesOff",                (PyCFunction)PyvtkEncodedGradientEstimator_ComputeGradientMagnitudesOff, 1,
   (char*)"V.ComputeGradientMagnitudesOff()\nC++: void ComputeGradientMagnitudesOff ();\n\n If you don't want to compute gradient magnitudes (but you\n do want normals for shading) this can be used. Be careful - if\n if you a non-constant gradient magnitude transfer function and\n you turn this on, it may crash\n"},
  {(char*)"SetCylinderClip",                (PyCFunction)PyvtkEncodedGradientEstimator_SetCylinderClip, 1,
   (char*)"V.SetCylinderClip(int)\nC++: void SetCylinderClip (int );\n\n If the data in each slice is only contained within a circle circumscribed\n within the slice, and the slice is square, then don't compute anything\n outside the circle. This circle through the slices forms a cylinder.\n"},
  {(char*)"GetCylinderClip",                (PyCFunction)PyvtkEncodedGradientEstimator_GetCylinderClip, 1,
   (char*)"V.GetCylinderClip() -> int\nC++: int GetCylinderClip ();\n\n If the data in each slice is only contained within a circle circumscribed\n within the slice, and the slice is square, then don't compute anything\n outside the circle. This circle through the slices forms a cylinder.\n"},
  {(char*)"CylinderClipOn",                (PyCFunction)PyvtkEncodedGradientEstimator_CylinderClipOn, 1,
   (char*)"V.CylinderClipOn()\nC++: void CylinderClipOn ();\n\n If the data in each slice is only contained within a circle circumscribed\n within the slice, and the slice is square, then don't compute anything\n outside the circle. This circle through the slices forms a cylinder.\n"},
  {(char*)"CylinderClipOff",                (PyCFunction)PyvtkEncodedGradientEstimator_CylinderClipOff, 1,
   (char*)"V.CylinderClipOff()\nC++: void CylinderClipOff ();\n\n If the data in each slice is only contained within a circle circumscribed\n within the slice, and the slice is square, then don't compute anything\n outside the circle. This circle through the slices forms a cylinder.\n"},
  {(char*)"GetLastUpdateTimeInSeconds",                (PyCFunction)PyvtkEncodedGradientEstimator_GetLastUpdateTimeInSeconds, 1,
   (char*)"V.GetLastUpdateTimeInSeconds() -> float\nC++: float GetLastUpdateTimeInSeconds ();\n\n Get the time required for the last update in seconds or cpu seconds\n"},
  {(char*)"GetLastUpdateTimeInCPUSeconds",                (PyCFunction)PyvtkEncodedGradientEstimator_GetLastUpdateTimeInCPUSeconds, 1,
   (char*)"V.GetLastUpdateTimeInCPUSeconds() -> float\nC++: float GetLastUpdateTimeInCPUSeconds ();\n\n Get the time required for the last update in seconds or cpu seconds\n"},
  {(char*)"GetUseCylinderClip",                (PyCFunction)PyvtkEncodedGradientEstimator_GetUseCylinderClip, 1,
   (char*)"V.GetUseCylinderClip() -> int\nC++: int GetUseCylinderClip ();\n\n"},
  {(char*)"SetZeroNormalThreshold",                (PyCFunction)PyvtkEncodedGradientEstimator_SetZeroNormalThreshold, 1,
   (char*)"V.SetZeroNormalThreshold(float)\nC++: void SetZeroNormalThreshold (float v);\n\n Set / Get the ZeroNormalThreshold - this defines the minimum magnitude \n of a gradient that is considered sufficient to define a \n direction. Gradients with magnitudes at or less than this value are given\n a \"zero normal\" index. These are handled specially in the shader, \n and you can set the intensity of light for these zero normals in\n the gradient shader.\n"},
  {(char*)"GetZeroNormalThreshold",                (PyCFunction)PyvtkEncodedGradientEstimator_GetZeroNormalThreshold, 1,
   (char*)"V.GetZeroNormalThreshold() -> float\nC++: float GetZeroNormalThreshold ();\n\n Set / Get the ZeroNormalThreshold - this defines the minimum magnitude \n of a gradient that is considered sufficient to define a \n direction. Gradients with magnitudes at or less than this value are given\n a \"zero normal\" index. These are handled specially in the shader, \n and you can set the intensity of light for these zero normals in\n the gradient shader.\n"},
  {(char*)"SetZeroPad",                (PyCFunction)PyvtkEncodedGradientEstimator_SetZeroPad, 1,
   (char*)"V.SetZeroPad(int)\nC++: void SetZeroPad (int );\n\n Assume that the data value outside the volume is zero when\n computing normals.\n"},
  {(char*)"GetZeroPadMinValue",                (PyCFunction)PyvtkEncodedGradientEstimator_GetZeroPadMinValue, 1,
   (char*)"V.GetZeroPadMinValue() -> int\nC++: int GetZeroPadMinValue ();\n\n Assume that the data value outside the volume is zero when\n computing normals.\n"},
  {(char*)"GetZeroPadMaxValue",                (PyCFunction)PyvtkEncodedGradientEstimator_GetZeroPadMaxValue, 1,
   (char*)"V.GetZeroPadMaxValue() -> int\nC++: int GetZeroPadMaxValue ();\n\n Assume that the data value outside the volume is zero when\n computing normals.\n"},
  {(char*)"GetZeroPad",                (PyCFunction)PyvtkEncodedGradientEstimator_GetZeroPad, 1,
   (char*)"V.GetZeroPad() -> int\nC++: int GetZeroPad ();\n\n Assume that the data value outside the volume is zero when\n computing normals.\n"},
  {(char*)"ZeroPadOn",                (PyCFunction)PyvtkEncodedGradientEstimator_ZeroPadOn, 1,
   (char*)"V.ZeroPadOn()\nC++: void ZeroPadOn ();\n\n Assume that the data value outside the volume is zero when\n computing normals.\n"},
  {(char*)"ZeroPadOff",                (PyCFunction)PyvtkEncodedGradientEstimator_ZeroPadOff, 1,
   (char*)"V.ZeroPadOff()\nC++: void ZeroPadOff ();\n\n Assume that the data value outside the volume is zero when\n computing normals.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEncodedGradientEstimatorDoc[] = {
  (char*)"vtkEncodedGradientEstimator - Superclass for gradient estimation\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkEncodedGradientEstimator is an abstract superclass for gradient \n estimation. It takes a scalar input of vtkImageData, computes\n a gradient value for every point, and encodes this value into a \n three byte value (2 for direction, 1 for magnitude) using the \n vtkDirectionEncoder. The direction encoder is defaulted to a\n vtkRecursiveSphereDirectionEncoder, but can be overridden with the\n SetDire",
  (char*)"ctionEncoder method. The scale and the bias values for the gradient\n magnitude are used to convert it into a one byte value according to\n v = m*scale + bias where m is the magnitude and v is the resulting\n one byte value.\n\n",
  "See Also:\n\n vtkFiniteDifferenceGradientEstimator vtkDirectionEncoder\n\n",
  NULL
};

PyObject *PyVTKClass_vtkEncodedGradientEstimatorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkEncodedGradientEstimatorMethods,
                        (char*)"vtkEncodedGradientEstimator",modulename,
                        (char**)vtkEncodedGradientEstimatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

