// python wrapper for vtkFiniteDifferenceGradientEstimator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFiniteDifferenceGradientEstimator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFiniteDifferenceGradientEstimatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFiniteDifferenceGradientEstimatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkEncodedGradientEstimatorNew(char *); }

static PyObject *PyvtkFiniteDifferenceGradientEstimator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFiniteDifferenceGradientEstimator *op;

  const char    *temp20;
  op = (vtkFiniteDifferenceGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFiniteDifferenceGradientEstimator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFiniteDifferenceGradientEstimator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFiniteDifferenceGradientEstimator *op;

  char    *temp0;
  int      temp20;
  op = (vtkFiniteDifferenceGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFiniteDifferenceGradientEstimator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFiniteDifferenceGradientEstimator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFiniteDifferenceGradientEstimator *op;

  vtkFiniteDifferenceGradientEstimator  *temp20;
  op = (vtkFiniteDifferenceGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFiniteDifferenceGradientEstimator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFiniteDifferenceGradientEstimator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFiniteDifferenceGradientEstimator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFiniteDifferenceGradientEstimator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFiniteDifferenceGradientEstimator_SetSampleSpacingInVoxels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFiniteDifferenceGradientEstimator *op;

  int      temp0;
  op = (vtkFiniteDifferenceGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFiniteDifferenceGradientEstimator::SetSampleSpacingInVoxels(temp0);
      }
    else
      {
      op->SetSampleSpacingInVoxels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFiniteDifferenceGradientEstimator_GetSampleSpacingInVoxels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFiniteDifferenceGradientEstimator *op;

  int      temp20;
  op = (vtkFiniteDifferenceGradientEstimator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFiniteDifferenceGradientEstimator::GetSampleSpacingInVoxels();
      }
    else
      {
      temp20 = op->GetSampleSpacingInVoxels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFiniteDifferenceGradientEstimatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFiniteDifferenceGradientEstimator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFiniteDifferenceGradientEstimator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFiniteDifferenceGradientEstimator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFiniteDifferenceGradientEstimator\nC++: vtkFiniteDifferenceGradientEstimator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFiniteDifferenceGradientEstimator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFiniteDifferenceGradientEstimator\nC++: vtkFiniteDifferenceGradientEstimator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSampleSpacingInVoxels",                (PyCFunction)PyvtkFiniteDifferenceGradientEstimator_SetSampleSpacingInVoxels, 1,
   (char*)"V.SetSampleSpacingInVoxels(int)\nC++: void SetSampleSpacingInVoxels (int );\n\n Set/Get the spacing between samples for the finite differences\n method used to compute the normal. This spacing is in voxel units.\n"},
  {(char*)"GetSampleSpacingInVoxels",                (PyCFunction)PyvtkFiniteDifferenceGradientEstimator_GetSampleSpacingInVoxels, 1,
   (char*)"V.GetSampleSpacingInVoxels() -> int\nC++: int GetSampleSpacingInVoxels ();\n\n Set/Get the spacing between samples for the finite differences\n method used to compute the normal. This spacing is in voxel units.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFiniteDifferenceGradientEstimatorDoc[] = {
  (char*)"vtkFiniteDifferenceGradientEstimator - Use finite differences to estimate gradient.\n\n",
  "Super Class:\n\n vtkEncodedGradientEstimator\n\n",
  (char*)"  vtkFiniteDifferenceGradientEstimator is a concrete subclass of \n  vtkEncodedGradientEstimator that uses a central differences technique to\n  estimate the gradient. The gradient at some sample location (x,y,z)\n  would be estimated by:\n      \n       nx = (f(x-dx,y,z) - f(x+dx,y,z)) / 2*dx;\n       ny = (f(x,y-dy,z) - f(x,y+dy,z)) / 2*dy;\n       nz = (f(x,y,z-dz) - f(x,y,z+dz)) / 2*dz;\n\n  This value",
  (char*)" is normalized to determine a unit direction vector and a\n  magnitude. The normal is computed in voxel space, and \n  dx = dy = dz = SampleSpacingInVoxels. A scaling factor is applied to\n  convert this normal from voxel space to world coordinates.\n\n\n",
  "See Also:\n\n vtkEncodedGradientEstimator\n\n",
  NULL
};

static vtkObjectBase *vtkFiniteDifferenceGradientEstimatorStaticNew()
{
  return vtkFiniteDifferenceGradientEstimator::New();
}

PyObject *PyVTKClass_vtkFiniteDifferenceGradientEstimatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkFiniteDifferenceGradientEstimatorStaticNew,
                        PyvtkFiniteDifferenceGradientEstimatorMethods,
                        (char*)"vtkFiniteDifferenceGradientEstimator",modulename,
                        (char**)vtkFiniteDifferenceGradientEstimatorDoc,
                        PyVTKClass_vtkEncodedGradientEstimatorNew(modulename));
}

