// python wrapper for vtkFixedPointRayCastImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFixedPointRayCastImage.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFixedPointRayCastImageNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFixedPointRayCastImageNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkFixedPointRayCastImage_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  const char    *temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  char    *temp0;
  int      temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  vtkFixedPointRayCastImage  *temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFixedPointRayCastImage  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFixedPointRayCastImage::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_SetImageViewportSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int      temp0;
  int      temp1;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetImageViewportSize(temp0,temp1);
      }
    else
      {
      op->SetImageViewportSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetImageViewportSize(temp0);
      }
    else
      {
      op->SetImageViewportSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_GetImageViewportSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int     *temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetImageViewportSize();
      }
    else
      {
      temp20 = op->GetImageViewportSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_SetImageMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int      temp0;
  int      temp1;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetImageMemorySize(temp0,temp1);
      }
    else
      {
      op->SetImageMemorySize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetImageMemorySize(temp0);
      }
    else
      {
      op->SetImageMemorySize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_GetImageMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int     *temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetImageMemorySize();
      }
    else
      {
      temp20 = op->GetImageMemorySize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_SetImageInUseSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int      temp0;
  int      temp1;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetImageInUseSize(temp0,temp1);
      }
    else
      {
      op->SetImageInUseSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetImageInUseSize(temp0);
      }
    else
      {
      op->SetImageInUseSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_GetImageInUseSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int     *temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetImageInUseSize();
      }
    else
      {
      temp20 = op->GetImageInUseSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_SetImageOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int      temp0;
  int      temp1;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetImageOrigin(temp0,temp1);
      }
    else
      {
      op->SetImageOrigin(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetImageOrigin(temp0);
      }
    else
      {
      op->SetImageOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_GetImageOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int     *temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetImageOrigin();
      }
    else
      {
      temp20 = op->GetImageOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_SetImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  float    temp0;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetImageSampleDistance(temp0);
      }
    else
      {
      op->SetImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_GetImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  float    temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetImageSampleDistance();
      }
    else
      {
      temp20 = op->GetImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_AllocateImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::AllocateImage();
      }
    else
      {
      op->AllocateImage();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_ClearImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::ClearImage();
      }
    else
      {
      op->ClearImage();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_SetZBufferSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int      temp0;
  int      temp1;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetZBufferSize(temp0,temp1);
      }
    else
      {
      op->SetZBufferSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetZBufferSize(temp0);
      }
    else
      {
      op->SetZBufferSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_GetZBufferSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int     *temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetZBufferSize();
      }
    else
      {
      temp20 = op->GetZBufferSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_SetZBufferOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int      temp0;
  int      temp1;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetZBufferOrigin(temp0,temp1);
      }
    else
      {
      op->SetZBufferOrigin(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetZBufferOrigin(temp0);
      }
    else
      {
      op->SetZBufferOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_GetZBufferOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int     *temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetZBufferOrigin();
      }
    else
      {
      temp20 = op->GetZBufferOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_SetUseZBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int      temp0;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::SetUseZBuffer(temp0);
      }
    else
      {
      op->SetUseZBuffer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_GetUseZBufferMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int      temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetUseZBufferMinValue();
      }
    else
      {
      temp20 = op->GetUseZBufferMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_GetUseZBufferMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int      temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetUseZBufferMaxValue();
      }
    else
      {
      temp20 = op->GetUseZBufferMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_GetUseZBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int      temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetUseZBuffer();
      }
    else
      {
      temp20 = op->GetUseZBuffer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_UseZBufferOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::UseZBufferOn();
      }
    else
      {
      op->UseZBufferOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_UseZBufferOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::UseZBufferOff();
      }
    else
      {
      op->UseZBufferOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_GetZBufferValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  int      temp0;
  int      temp1;
  float    temp20;
  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointRayCastImage::GetZBufferValue(temp0,temp1);
      }
    else
      {
      temp20 = op->GetZBufferValue(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointRayCastImage_AllocateZBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointRayCastImage *op;

  op = (vtkFixedPointRayCastImage *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointRayCastImage::AllocateZBuffer();
      }
    else
      {
      op->AllocateZBuffer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFixedPointRayCastImageMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFixedPointRayCastImage_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFixedPointRayCastImage_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFixedPointRayCastImage_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFixedPointRayCastImage\nC++: vtkFixedPointRayCastImage *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFixedPointRayCastImage_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFixedPointRayCastImage\nC++: vtkFixedPointRayCastImage *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetImageViewportSize",                (PyCFunction)PyvtkFixedPointRayCastImage_SetImageViewportSize, 1,
   (char*)"V.SetImageViewportSize(int, int)\nC++: void SetImageViewportSize (int , int );\nV.SetImageViewportSize((int, int))\nC++: void SetImageViewportSize (int  a[2]);\n\n Set / Get the ImageViewportSize. This is the size of the\n whole viewport in pixels.\n"},
  {(char*)"GetImageViewportSize",                (PyCFunction)PyvtkFixedPointRayCastImage_GetImageViewportSize, 1,
   (char*)"V.GetImageViewportSize() -> (int, int)\nC++: int  *GetImageViewportSize ();\n\n Set / Get the ImageViewportSize. This is the size of the\n whole viewport in pixels.\n"},
  {(char*)"SetImageMemorySize",                (PyCFunction)PyvtkFixedPointRayCastImage_SetImageMemorySize, 1,
   (char*)"V.SetImageMemorySize(int, int)\nC++: void SetImageMemorySize (int , int );\nV.SetImageMemorySize((int, int))\nC++: void SetImageMemorySize (int  a[2]);\n\n Set / Get the ImageMemorySize. This is the size in pixels\n of the Image ivar. This will be a power of two in order\n to ensure that the texture can be rendered by graphics\n hardware that requires power of two textures.\n"},
  {(char*)"GetImageMemorySize",                (PyCFunction)PyvtkFixedPointRayCastImage_GetImageMemorySize, 1,
   (char*)"V.GetImageMemorySize() -> (int, int)\nC++: int  *GetImageMemorySize ();\n\n Set / Get the ImageMemorySize. This is the size in pixels\n of the Image ivar. This will be a power of two in order\n to ensure that the texture can be rendered by graphics\n hardware that requires power of two textures.\n"},
  {(char*)"SetImageInUseSize",                (PyCFunction)PyvtkFixedPointRayCastImage_SetImageInUseSize, 1,
   (char*)"V.SetImageInUseSize(int, int)\nC++: void SetImageInUseSize (int , int );\nV.SetImageInUseSize((int, int))\nC++: void SetImageInUseSize (int  a[2]);\n\n Set / Get the size of the image we are actually using. As\n long as the memory size is big enough, but not too big,\n we won't bother deleting and re-allocated, we'll just \n continue to use the memory size we have. This size will\n always be equal to or less than the ImageMemorySize.\n"},
  {(char*)"GetImageInUseSize",                (PyCFunction)PyvtkFixedPointRayCastImage_GetImageInUseSize, 1,
   (char*)"V.GetImageInUseSize() -> (int, int)\nC++: int  *GetImageInUseSize ();\n\n Set / Get the size of the image we are actually using. As\n long as the memory size is big enough, but not too big,\n we won't bother deleting and re-allocated, we'll just \n continue to use the memory size we have. This size will\n always be equal to or less than the ImageMemorySize.\n"},
  {(char*)"SetImageOrigin",                (PyCFunction)PyvtkFixedPointRayCastImage_SetImageOrigin, 1,
   (char*)"V.SetImageOrigin(int, int)\nC++: void SetImageOrigin (int , int );\nV.SetImageOrigin((int, int))\nC++: void SetImageOrigin (int  a[2]);\n\n Set / Get the origin of the image. This is the starting \n pixel within the whole viewport that our Image starts on.\n That is, we could be generating just a subregion of the\n whole viewport due to the fact that our volume occupies \n only a portion of the viewport. The Image pixels will\n start from this location.\n"},
  {(char*)"GetImageOrigin",                (PyCFunction)PyvtkFixedPointRayCastImage_GetImageOrigin, 1,
   (char*)"V.GetImageOrigin() -> (int, int)\nC++: int  *GetImageOrigin ();\n\n Set / Get the origin of the image. This is the starting \n pixel within the whole viewport that our Image starts on.\n That is, we could be generating just a subregion of the\n whole viewport due to the fact that our volume occupies \n only a portion of the viewport. The Image pixels will\n start from this location.\n"},
  {(char*)"SetImageSampleDistance",                (PyCFunction)PyvtkFixedPointRayCastImage_SetImageSampleDistance, 1,
   (char*)"V.SetImageSampleDistance(float)\nC++: void SetImageSampleDistance (float );\n\n Set / Get the ImageSampleDistance that will be used for \n rendering. This is a copy of the value stored in the\n mapper. It is stored here for sharing between all mappers\n that are participating in the creation of this image.\n"},
  {(char*)"GetImageSampleDistance",                (PyCFunction)PyvtkFixedPointRayCastImage_GetImageSampleDistance, 1,
   (char*)"V.GetImageSampleDistance() -> float\nC++: float GetImageSampleDistance ();\n\n Set / Get the ImageSampleDistance that will be used for \n rendering. This is a copy of the value stored in the\n mapper. It is stored here for sharing between all mappers\n that are participating in the creation of this image.\n"},
  {(char*)"AllocateImage",                (PyCFunction)PyvtkFixedPointRayCastImage_AllocateImage, 1,
   (char*)"V.AllocateImage()\nC++: void AllocateImage ();\n\n Call this method once the ImageMemorySize has been set\n the allocate the image. If an image already exists,\n it will be deleted first.\n"},
  {(char*)"ClearImage",                (PyCFunction)PyvtkFixedPointRayCastImage_ClearImage, 1,
   (char*)"V.ClearImage()\nC++: void ClearImage ();\n\n Clear the image to (0,0,0,0) for each pixel.\n"},
  {(char*)"SetZBufferSize",                (PyCFunction)PyvtkFixedPointRayCastImage_SetZBufferSize, 1,
   (char*)"V.SetZBufferSize(int, int)\nC++: void SetZBufferSize (int , int );\nV.SetZBufferSize((int, int))\nC++: void SetZBufferSize (int  a[2]);\n\n Set / Get the size of the ZBuffer in pixels. The zbuffer will\n be captured for the region of the screen covered by the\n ImageInUseSize image. However, due to subsampling, the size\n of the ImageInUseSize image may be smaller than this ZBuffer\n image which will be captured at screen resolution.\n"},
  {(char*)"GetZBufferSize",                (PyCFunction)PyvtkFixedPointRayCastImage_GetZBufferSize, 1,
   (char*)"V.GetZBufferSize() -> (int, int)\nC++: int  *GetZBufferSize ();\n\n Set / Get the size of the ZBuffer in pixels. The zbuffer will\n be captured for the region of the screen covered by the\n ImageInUseSize image. However, due to subsampling, the size\n of the ImageInUseSize image may be smaller than this ZBuffer\n image which will be captured at screen resolution.\n"},
  {(char*)"SetZBufferOrigin",                (PyCFunction)PyvtkFixedPointRayCastImage_SetZBufferOrigin, 1,
   (char*)"V.SetZBufferOrigin(int, int)\nC++: void SetZBufferOrigin (int , int );\nV.SetZBufferOrigin((int, int))\nC++: void SetZBufferOrigin (int  a[2]);\n\n Set / Get the origin of the ZBuffer. This is the distance\n from the lower left corner of the viewport where the ZBuffer\n started (multiply the ImageOrigin by the ImageSampleDistance)\n This is the pixel location on the full resolution viewport\n where the ZBuffer capture will start. These values are used \n to convert the (x,y) pixel location within the ImageInUseSize \n image into a ZBuffer location.\n"},
  {(char*)"GetZBufferOrigin",                (PyCFunction)PyvtkFixedPointRayCastImage_GetZBufferOrigin, 1,
   (char*)"V.GetZBufferOrigin() -> (int, int)\nC++: int  *GetZBufferOrigin ();\n\n Set / Get the origin of the ZBuffer. This is the distance\n from the lower left corner of the viewport where the ZBuffer\n started (multiply the ImageOrigin by the ImageSampleDistance)\n This is the pixel location on the full resolution viewport\n where the ZBuffer capture will start. These values are used \n to convert the (x,y) pixel location within the ImageInUseSize \n image into a ZBuffer location.\n"},
  {(char*)"SetUseZBuffer",                (PyCFunction)PyvtkFixedPointRayCastImage_SetUseZBuffer, 1,
   (char*)"V.SetUseZBuffer(int)\nC++: void SetUseZBuffer (int );\n\n The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n"},
  {(char*)"GetUseZBufferMinValue",                (PyCFunction)PyvtkFixedPointRayCastImage_GetUseZBufferMinValue, 1,
   (char*)"V.GetUseZBufferMinValue() -> int\nC++: int GetUseZBufferMinValue ();\n\n The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n"},
  {(char*)"GetUseZBufferMaxValue",                (PyCFunction)PyvtkFixedPointRayCastImage_GetUseZBufferMaxValue, 1,
   (char*)"V.GetUseZBufferMaxValue() -> int\nC++: int GetUseZBufferMaxValue ();\n\n The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n"},
  {(char*)"GetUseZBuffer",                (PyCFunction)PyvtkFixedPointRayCastImage_GetUseZBuffer, 1,
   (char*)"V.GetUseZBuffer() -> int\nC++: int GetUseZBuffer ();\n\n The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n"},
  {(char*)"UseZBufferOn",                (PyCFunction)PyvtkFixedPointRayCastImage_UseZBufferOn, 1,
   (char*)"V.UseZBufferOn()\nC++: void UseZBufferOn ();\n\n The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n"},
  {(char*)"UseZBufferOff",                (PyCFunction)PyvtkFixedPointRayCastImage_UseZBufferOff, 1,
   (char*)"V.UseZBufferOff()\nC++: void UseZBufferOff ();\n\n The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n"},
  {(char*)"GetZBufferValue",                (PyCFunction)PyvtkFixedPointRayCastImage_GetZBufferValue, 1,
   (char*)"V.GetZBufferValue(int, int) -> float\nC++: float GetZBufferValue (int x, int y);\n\n Get the ZBuffer value corresponding to location (x,y) where (x,y)\n are indexing into the ImageInUse image. This must be converted to\n the zbuffer image coordinates. Nearest neighbor value is returned.\n If UseZBuffer is off, then 1.0 is always returned.\n"},
  {(char*)"AllocateZBuffer",                (PyCFunction)PyvtkFixedPointRayCastImage_AllocateZBuffer, 1,
   (char*)"V.AllocateZBuffer()\nC++: void AllocateZBuffer ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFixedPointRayCastImageDoc[] = {
  (char*)"vtkFixedPointRayCastImage - helper class for a ray cast image\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This is a helper class for storing the ray cast image including the\n underlying data and the size of the image. This class is not intended\n to be used directly - just as an internal class in the \n vtkFixedPointVolumeRayCastMapper so that multiple mappers can share\n the same image. This class also stored the ZBuffer (if necessary due\n to intermixed geometry). Perhaps this class could be generalize",
  (char*)"d\n in the future to be used for other ray cast methods other than the\n fixed point method.\n\n",
  "See Also:\n\n vtkFixedPointVolumeRayCastMapper\n\n",
  NULL
};

static vtkObjectBase *vtkFixedPointRayCastImageStaticNew()
{
  return vtkFixedPointRayCastImage::New();
}

PyObject *PyVTKClass_vtkFixedPointRayCastImageNew(char *modulename)
{
  return PyVTKClass_New(&vtkFixedPointRayCastImageStaticNew,
                        PyvtkFixedPointRayCastImageMethods,
                        (char*)"vtkFixedPointRayCastImage",modulename,
                        (char**)vtkFixedPointRayCastImageDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

