// python wrapper for vtkFixedPointVolumeRayCastMIPHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFixedPointVolumeRayCastMIPHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFixedPointVolumeRayCastMIPHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFixedPointVolumeRayCastMIPHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkFixedPointVolumeRayCastHelperNew(char *); }

static PyObject *PyvtkFixedPointVolumeRayCastMIPHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMIPHelper *op;

  const char    *temp20;
  op = (vtkFixedPointVolumeRayCastMIPHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMIPHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMIPHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMIPHelper *op;

  char    *temp0;
  int      temp20;
  op = (vtkFixedPointVolumeRayCastMIPHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMIPHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMIPHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMIPHelper *op;

  vtkFixedPointVolumeRayCastMIPHelper  *temp20;
  op = (vtkFixedPointVolumeRayCastMIPHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMIPHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMIPHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFixedPointVolumeRayCastMIPHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFixedPointVolumeRayCastMIPHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMIPHelper_GenerateImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMIPHelper *op;

  int      temp0;
  int      temp1;
  vtkVolume  *temp2;
  PyObject *tempH2;
  vtkFixedPointVolumeRayCastMapper  *temp3;
  PyObject *tempH3;
  op = (vtkFixedPointVolumeRayCastMIPHelper *)PyArg_VTKParseTuple(self, args, (char*)"iiOO", &temp0, &temp1, &tempH2, &tempH3);
  if (op)
    {
    temp2 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkVolume");
    if (!temp2 && tempH2 != Py_None) goto break4;
    temp3 = (vtkFixedPointVolumeRayCastMapper *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkFixedPointVolumeRayCastMapper");
    if (!temp3 && tempH3 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMIPHelper::GenerateImage(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->GenerateImage(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkFixedPointVolumeRayCastMIPHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFixedPointVolumeRayCastMIPHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFixedPointVolumeRayCastMIPHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMIPHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFixedPointVolumeRayCastMIPHelper\nC++: vtkFixedPointVolumeRayCastMIPHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFixedPointVolumeRayCastMIPHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFixedPointVolumeRayCastMIPHelper\nC++: vtkFixedPointVolumeRayCastMIPHelper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GenerateImage",                (PyCFunction)PyvtkFixedPointVolumeRayCastMIPHelper_GenerateImage, 1,
   (char*)"V.GenerateImage(int, int, vtkVolume, vtkFixedPointVolumeRayCastMapper)\nC++: virtual void GenerateImage (int threadID, int threadCount, vtkVolume *vol, vtkFixedPointVolumeRayCastMapper *mapper);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFixedPointVolumeRayCastMIPHelperDoc[] = {
  (char*)"vtkFixedPointVolumeRayCastMIPHelper - A helper that generates MIP images for the volume ray cast mapper\n\n",
  "Super Class:\n\n vtkFixedPointVolumeRayCastHelper\n\n",
  (char*)" This is one of the helper classes for the vtkFixedPointVolumeRayCastMapper.\n It will generate maximum intensity images.\n This class should not be used directly, it is a helper class for\n the mapper and has no user-level API.\n\n\n",
  "See Also:\n\n vtkFixedPointVolumeRayCastMapper\n\n",
  NULL
};

static vtkObjectBase *vtkFixedPointVolumeRayCastMIPHelperStaticNew()
{
  return vtkFixedPointVolumeRayCastMIPHelper::New();
}

PyObject *PyVTKClass_vtkFixedPointVolumeRayCastMIPHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkFixedPointVolumeRayCastMIPHelperStaticNew,
                        PyvtkFixedPointVolumeRayCastMIPHelperMethods,
                        (char*)"vtkFixedPointVolumeRayCastMIPHelper",modulename,
                        (char**)vtkFixedPointVolumeRayCastMIPHelperDoc,
                        PyVTKClass_vtkFixedPointVolumeRayCastHelperNew(modulename));
}

