// python wrapper for vtkFixedPointVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFixedPointVolumeRayCastMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFixedPointVolumeRayCastMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFixedPointVolumeRayCastMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkVolumeMapperNew(char *); }

static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  const char    *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkFixedPointVolumeRayCastMapper  *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFixedPointVolumeRayCastMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFixedPointVolumeRayCastMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetSampleDistance(temp0);
      }
    else
      {
      op->SetSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetSampleDistance();
      }
    else
      {
      temp20 = op->GetSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetInteractiveSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetInteractiveSampleDistance(temp0);
      }
    else
      {
      op->SetInteractiveSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetInteractiveSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetInteractiveSampleDistance();
      }
    else
      {
      temp20 = op->GetInteractiveSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetImageSampleDistance(temp0);
      }
    else
      {
      op->SetImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetImageSampleDistance();
      }
    else
      {
      temp20 = op->GetImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetMinimumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetMinimumImageSampleDistance(temp0);
      }
    else
      {
      op->SetMinimumImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetMinimumImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetMinimumImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetMinimumImageSampleDistance();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetMaximumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetMaximumImageSampleDistance(temp0);
      }
    else
      {
      op->SetMaximumImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetMaximumImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetMaximumImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetMaximumImageSampleDistance();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetAutoAdjustSampleDistances(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetAutoAdjustSampleDistances(temp0);
      }
    else
      {
      op->SetAutoAdjustSampleDistances(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetAutoAdjustSampleDistancesMinValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistancesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetAutoAdjustSampleDistancesMaxValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistancesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistances(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetAutoAdjustSampleDistances();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistances();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_AutoAdjustSampleDistancesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::AutoAdjustSampleDistancesOn();
      }
    else
      {
      op->AutoAdjustSampleDistancesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_AutoAdjustSampleDistancesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::AutoAdjustSampleDistancesOff();
      }
    else
      {
      op->AutoAdjustSampleDistancesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetLockSampleDistanceToInputSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetLockSampleDistanceToInputSpacing(temp0);
      }
    else
      {
      op->SetLockSampleDistanceToInputSpacing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetLockSampleDistanceToInputSpacingMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetLockSampleDistanceToInputSpacingMinValue();
      }
    else
      {
      temp20 = op->GetLockSampleDistanceToInputSpacingMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetLockSampleDistanceToInputSpacingMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetLockSampleDistanceToInputSpacingMaxValue();
      }
    else
      {
      temp20 = op->GetLockSampleDistanceToInputSpacingMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetLockSampleDistanceToInputSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetLockSampleDistanceToInputSpacing();
      }
    else
      {
      temp20 = op->GetLockSampleDistanceToInputSpacing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_LockSampleDistanceToInputSpacingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::LockSampleDistanceToInputSpacingOn();
      }
    else
      {
      op->LockSampleDistanceToInputSpacingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_LockSampleDistanceToInputSpacingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::LockSampleDistanceToInputSpacingOff();
      }
    else
      {
      op->LockSampleDistanceToInputSpacingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetNumberOfThreads(temp0);
      }
    else
      {
      op->SetNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetNumberOfThreads();
      }
    else
      {
      temp20 = op->GetNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetIntermixIntersectingGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetIntermixIntersectingGeometry(temp0);
      }
    else
      {
      op->SetIntermixIntersectingGeometry(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetIntermixIntersectingGeometryMinValue();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometryMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetIntermixIntersectingGeometryMaxValue();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometryMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetIntermixIntersectingGeometry();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_IntermixIntersectingGeometryOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::IntermixIntersectingGeometryOn();
      }
    else
      {
      op->IntermixIntersectingGeometryOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_IntermixIntersectingGeometryOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::IntermixIntersectingGeometryOff();
      }
    else
      {
      op->IntermixIntersectingGeometryOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_ComputeRequiredImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"fO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::ComputeRequiredImageSampleDistance(temp0,temp1);
      }
    else
      {
      temp20 = op->ComputeRequiredImageSampleDistance(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break40:
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  vtkVolume  *temp2;
  PyObject *tempH2;
  float    temp20;
  PyErr_Clear();
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"fOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break41;
    temp2 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkVolume");
    if (!temp2 && tempH2 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::ComputeRequiredImageSampleDistance(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeRequiredImageSampleDistance(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkRenderWindow  *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetMIPHelper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkFixedPointVolumeRayCastMIPHelper  *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetMIPHelper();
      }
    else
      {
      temp20 = op->GetMIPHelper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetCompositeHelper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkFixedPointVolumeRayCastCompositeHelper  *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetCompositeHelper();
      }
    else
      {
      temp20 = op->GetCompositeHelper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetCompositeGOHelper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkFixedPointVolumeRayCastCompositeGOHelper  *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetCompositeGOHelper();
      }
    else
      {
      temp20 = op->GetCompositeGOHelper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetCompositeGOShadeHelper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkFixedPointVolumeRayCastCompositeGOShadeHelper  *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetCompositeGOShadeHelper();
      }
    else
      {
      temp20 = op->GetCompositeGOShadeHelper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetCompositeShadeHelper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkFixedPointVolumeRayCastCompositeShadeHelper  *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetCompositeShadeHelper();
      }
    else
      {
      temp20 = op->GetCompositeShadeHelper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetTableShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float   *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetTableShift();
      }
    else
      {
      temp20 = op->GetTableShift();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ffff",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetTableScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float   *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetTableScale();
      }
    else
      {
      temp20 = op->GetTableScale();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ffff",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetShadingRequired(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetShadingRequired();
      }
    else
      {
      temp20 = op->GetShadingRequired();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetGradientOpacityRequired(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetGradientOpacityRequired();
      }
    else
      {
      temp20 = op->GetGradientOpacityRequired();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetCurrentScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkDataArray  *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetCurrentScalars();
      }
    else
      {
      temp20 = op->GetCurrentScalars();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetPreviousScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkDataArray  *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetPreviousScalars();
      }
    else
      {
      temp20 = op->GetPreviousScalars();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkVolume  *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetVolume();
      }
    else
      {
      temp20 = op->GetVolume();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_InitializeRayInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break55;
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::InitializeRayInfo(temp0);
      }
    else
      {
      op->InitializeRayInfo(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break55:
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_ShouldUseNearestNeighborInterpolation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break56;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::ShouldUseNearestNeighborInterpolation(temp0);
      }
    else
      {
      temp20 = op->ShouldUseNearestNeighborInterpolation(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break56:
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetRayCastImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkFixedPointRayCastImage  *temp0;
  PyObject *tempH0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFixedPointRayCastImage *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFixedPointRayCastImage");
    if (!temp0 && tempH0 != Py_None) goto break57;
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetRayCastImage(temp0);
      }
    else
      {
      op->SetRayCastImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break57:
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetRayCastImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkFixedPointRayCastImage  *temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetRayCastImage();
      }
    else
      {
      temp20 = op->GetRayCastImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_PerVolumeInitialization(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkVolume  *temp1;
  PyObject *tempH1;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break59;
    temp1 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolume");
    if (!temp1 && tempH1 != Py_None) goto break59;
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::PerVolumeInitialization(temp0,temp1);
      }
    else
      {
      op->PerVolumeInitialization(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break59:
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_PerSubVolumeInitialization(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkVolume  *temp1;
  PyObject *tempH1;
  int      temp2;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break60;
    temp1 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolume");
    if (!temp1 && tempH1 != Py_None) goto break60;
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::PerSubVolumeInitialization(temp0,temp1,temp2);
      }
    else
      {
      op->PerSubVolumeInitialization(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break60:
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_RenderSubVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::RenderSubVolume();
      }
    else
      {
      op->RenderSubVolume();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_DisplayRenderedImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkVolume  *temp1;
  PyObject *tempH1;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break62;
    temp1 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolume");
    if (!temp1 && tempH1 != Py_None) goto break62;
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::DisplayRenderedImage(temp0,temp1);
      }
    else
      {
      op->DisplayRenderedImage(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break62:
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_AbortRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::AbortRender();
      }
    else
      {
      op->AbortRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_CreateCanonicalView(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  vtkImageData  *temp1;
  PyObject *tempH1;
  int      temp2;
  double temp3[3];
  double temp4[3];
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"OOi(ddd)(ddd)", &tempH0, &tempH1, &temp2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2);
  if (op)
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break64;
    temp1 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkImageData");
    if (!temp1 && tempH1 != Py_None) goto break64;
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::CreateCanonicalView(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->CreateCanonicalView(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break64:
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetEstimatedRenderTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkVolume  *temp1;
  PyObject *tempH1;
  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break65;
    temp1 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolume");
    if (!temp1 && tempH1 != Py_None) goto break65;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetEstimatedRenderTime(temp0,temp1);
      }
    else
      {
      temp20 = op->GetEstimatedRenderTime(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break65:
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  float    temp20;
  PyErr_Clear();
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break66;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetEstimatedRenderTime(temp0);
      }
    else
      {
      temp20 = op->GetEstimatedRenderTime(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break66:
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetFinalColorWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetFinalColorWindow(temp0);
      }
    else
      {
      op->SetFinalColorWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetFinalColorWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetFinalColorWindow();
      }
    else
      {
      temp20 = op->GetFinalColorWindow();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_SetFinalColorLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastMapper::SetFinalColorLevel(temp0);
      }
    else
      {
      op->SetFinalColorLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetFinalColorLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetFinalColorLevel();
      }
    else
      {
      temp20 = op->GetFinalColorLevel();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastMapper_GetFlipMIPComparison(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkFixedPointVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastMapper::GetFlipMIPComparison();
      }
    else
      {
      temp20 = op->GetFlipMIPComparison();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFixedPointVolumeRayCastMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFixedPointVolumeRayCastMapper\nC++: vtkFixedPointVolumeRayCastMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFixedPointVolumeRayCastMapper\nC++: vtkFixedPointVolumeRayCastMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSampleDistance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetSampleDistance, 1,
   (char*)"V.SetSampleDistance(float)\nC++: void SetSampleDistance (float );\n\n Set/Get the distance between samples used for rendering \n when AutoAdjustSampleDistances is off, or when this mapper\n has more than 1 second allocated to it for rendering.\n"},
  {(char*)"GetSampleDistance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetSampleDistance, 1,
   (char*)"V.GetSampleDistance() -> float\nC++: float GetSampleDistance ();\n\n Set/Get the distance between samples used for rendering \n when AutoAdjustSampleDistances is off, or when this mapper\n has more than 1 second allocated to it for rendering.\n"},
  {(char*)"SetInteractiveSampleDistance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetInteractiveSampleDistance, 1,
   (char*)"V.SetInteractiveSampleDistance(float)\nC++: void SetInteractiveSampleDistance (float );\n\n Set/Get the distance between samples when interactive rendering is happening.\n In this case, interactive is defined as this volume mapper having less than 1\n second allocated for rendering. When AutoAdjustSampleDistance is On, and the\n allocated render time is less than 1 second, then this InteractiveSampleDistance\n will be used instead of the SampleDistance above.\n"},
  {(char*)"GetInteractiveSampleDistance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetInteractiveSampleDistance, 1,
   (char*)"V.GetInteractiveSampleDistance() -> float\nC++: float GetInteractiveSampleDistance ();\n\n Set/Get the distance between samples when interactive rendering is happening.\n In this case, interactive is defined as this volume mapper having less than 1\n second allocated for rendering. When AutoAdjustSampleDistance is On, and the\n allocated render time is less than 1 second, then this InteractiveSampleDistance\n will be used instead of the SampleDistance above.\n"},
  {(char*)"SetImageSampleDistance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetImageSampleDistance, 1,
   (char*)"V.SetImageSampleDistance(float)\nC++: void SetImageSampleDistance (float );\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n"},
  {(char*)"GetImageSampleDistanceMinValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetImageSampleDistanceMinValue, 1,
   (char*)"V.GetImageSampleDistanceMinValue() -> float\nC++: float GetImageSampleDistanceMinValue ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n"},
  {(char*)"GetImageSampleDistanceMaxValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetImageSampleDistanceMaxValue, 1,
   (char*)"V.GetImageSampleDistanceMaxValue() -> float\nC++: float GetImageSampleDistanceMaxValue ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n"},
  {(char*)"GetImageSampleDistance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetImageSampleDistance, 1,
   (char*)"V.GetImageSampleDistance() -> float\nC++: float GetImageSampleDistance ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n"},
  {(char*)"SetMinimumImageSampleDistance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetMinimumImageSampleDistance, 1,
   (char*)"V.SetMinimumImageSampleDistance(float)\nC++: void SetMinimumImageSampleDistance (float );\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMinimumImageSampleDistanceMinValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue, 1,
   (char*)"V.GetMinimumImageSampleDistanceMinValue() -> float\nC++: float GetMinimumImageSampleDistanceMinValue ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMinimumImageSampleDistanceMaxValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue, 1,
   (char*)"V.GetMinimumImageSampleDistanceMaxValue() -> float\nC++: float GetMinimumImageSampleDistanceMaxValue ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMinimumImageSampleDistance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistance, 1,
   (char*)"V.GetMinimumImageSampleDistance() -> float\nC++: float GetMinimumImageSampleDistance ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"SetMaximumImageSampleDistance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetMaximumImageSampleDistance, 1,
   (char*)"V.SetMaximumImageSampleDistance(float)\nC++: void SetMaximumImageSampleDistance (float );\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMaximumImageSampleDistanceMinValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue, 1,
   (char*)"V.GetMaximumImageSampleDistanceMinValue() -> float\nC++: float GetMaximumImageSampleDistanceMinValue ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMaximumImageSampleDistanceMaxValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue, 1,
   (char*)"V.GetMaximumImageSampleDistanceMaxValue() -> float\nC++: float GetMaximumImageSampleDistanceMaxValue ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMaximumImageSampleDistance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistance, 1,
   (char*)"V.GetMaximumImageSampleDistance() -> float\nC++: float GetMaximumImageSampleDistance ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"SetAutoAdjustSampleDistances",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetAutoAdjustSampleDistances, 1,
   (char*)"V.SetAutoAdjustSampleDistances(int)\nC++: void SetAutoAdjustSampleDistances (int );\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n"},
  {(char*)"GetAutoAdjustSampleDistancesMinValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue, 1,
   (char*)"V.GetAutoAdjustSampleDistancesMinValue() -> int\nC++: int GetAutoAdjustSampleDistancesMinValue ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n"},
  {(char*)"GetAutoAdjustSampleDistancesMaxValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue, 1,
   (char*)"V.GetAutoAdjustSampleDistancesMaxValue() -> int\nC++: int GetAutoAdjustSampleDistancesMaxValue ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n"},
  {(char*)"GetAutoAdjustSampleDistances",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistances, 1,
   (char*)"V.GetAutoAdjustSampleDistances() -> int\nC++: int GetAutoAdjustSampleDistances ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n"},
  {(char*)"AutoAdjustSampleDistancesOn",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_AutoAdjustSampleDistancesOn, 1,
   (char*)"V.AutoAdjustSampleDistancesOn()\nC++: void AutoAdjustSampleDistancesOn ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n"},
  {(char*)"AutoAdjustSampleDistancesOff",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_AutoAdjustSampleDistancesOff, 1,
   (char*)"V.AutoAdjustSampleDistancesOff()\nC++: void AutoAdjustSampleDistancesOff ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n"},
  {(char*)"SetLockSampleDistanceToInputSpacing",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetLockSampleDistanceToInputSpacing, 1,
   (char*)"V.SetLockSampleDistanceToInputSpacing(int)\nC++: void SetLockSampleDistanceToInputSpacing (int );\n\n Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n"},
  {(char*)"GetLockSampleDistanceToInputSpacingMinValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetLockSampleDistanceToInputSpacingMinValue, 1,
   (char*)"V.GetLockSampleDistanceToInputSpacingMinValue() -> int\nC++: int GetLockSampleDistanceToInputSpacingMinValue ();\n\n Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n"},
  {(char*)"GetLockSampleDistanceToInputSpacingMaxValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetLockSampleDistanceToInputSpacingMaxValue, 1,
   (char*)"V.GetLockSampleDistanceToInputSpacingMaxValue() -> int\nC++: int GetLockSampleDistanceToInputSpacingMaxValue ();\n\n Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n"},
  {(char*)"GetLockSampleDistanceToInputSpacing",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetLockSampleDistanceToInputSpacing, 1,
   (char*)"V.GetLockSampleDistanceToInputSpacing() -> int\nC++: int GetLockSampleDistanceToInputSpacing ();\n\n Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n"},
  {(char*)"LockSampleDistanceToInputSpacingOn",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_LockSampleDistanceToInputSpacingOn, 1,
   (char*)"V.LockSampleDistanceToInputSpacingOn()\nC++: void LockSampleDistanceToInputSpacingOn ();\n\n Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n"},
  {(char*)"LockSampleDistanceToInputSpacingOff",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_LockSampleDistanceToInputSpacingOff, 1,
   (char*)"V.LockSampleDistanceToInputSpacingOff()\nC++: void LockSampleDistanceToInputSpacingOff ();\n\n Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n"},
  {(char*)"SetNumberOfThreads",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetNumberOfThreads, 1,
   (char*)"V.SetNumberOfThreads(int)\nC++: void SetNumberOfThreads (int num);\n\n Set/Get the number of threads to use. This by default is equal to\n the number of available processors detected.\n"},
  {(char*)"GetNumberOfThreads",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetNumberOfThreads, 1,
   (char*)"V.GetNumberOfThreads() -> int\nC++: int GetNumberOfThreads ();\n\n Set/Get the number of threads to use. This by default is equal to\n the number of available processors detected.\n"},
  {(char*)"SetIntermixIntersectingGeometry",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetIntermixIntersectingGeometry, 1,
   (char*)"V.SetIntermixIntersectingGeometry(int)\nC++: void SetIntermixIntersectingGeometry (int );\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"GetIntermixIntersectingGeometryMinValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue, 1,
   (char*)"V.GetIntermixIntersectingGeometryMinValue() -> int\nC++: int GetIntermixIntersectingGeometryMinValue ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"GetIntermixIntersectingGeometryMaxValue",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue, 1,
   (char*)"V.GetIntermixIntersectingGeometryMaxValue() -> int\nC++: int GetIntermixIntersectingGeometryMaxValue ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"GetIntermixIntersectingGeometry",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometry, 1,
   (char*)"V.GetIntermixIntersectingGeometry() -> int\nC++: int GetIntermixIntersectingGeometry ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"IntermixIntersectingGeometryOn",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_IntermixIntersectingGeometryOn, 1,
   (char*)"V.IntermixIntersectingGeometryOn()\nC++: void IntermixIntersectingGeometryOn ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"IntermixIntersectingGeometryOff",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_IntermixIntersectingGeometryOff, 1,
   (char*)"V.IntermixIntersectingGeometryOff()\nC++: void IntermixIntersectingGeometryOff ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"ComputeRequiredImageSampleDistance",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_ComputeRequiredImageSampleDistance, 1,
   (char*)"V.ComputeRequiredImageSampleDistance(float, vtkRenderer) -> float\nC++: float ComputeRequiredImageSampleDistance (float desiredTime, vtkRenderer *ren);\nV.ComputeRequiredImageSampleDistance(float, vtkRenderer, vtkVolume) -> float\nC++: float ComputeRequiredImageSampleDistance (float desiredTime, vtkRenderer *ren, vtkVolume *vol);\n\n What is the image sample distance required to achieve the desired time?\n A version of this method is provided that does not require the volume\n argument since if you are using an LODProp3D you may not know this information.\n If you use this version you must be certain that the ray cast mapper is\n only used for one volume (and not shared among multiple volumes)\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n"},
  {(char*)"GetMIPHelper",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetMIPHelper, 1,
   (char*)"V.GetMIPHelper() -> vtkFixedPointVolumeRayCastMIPHelper\nC++: vtkFixedPointVolumeRayCastMIPHelper *GetMIPHelper ();\n\n"},
  {(char*)"GetCompositeHelper",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetCompositeHelper, 1,
   (char*)"V.GetCompositeHelper() -> vtkFixedPointVolumeRayCastCompositeHelper\nC++: vtkFixedPointVolumeRayCastCompositeHelper *GetCompositeHelper ();\n\n"},
  {(char*)"GetCompositeGOHelper",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetCompositeGOHelper, 1,
   (char*)"V.GetCompositeGOHelper() -> vtkFixedPointVolumeRayCastCompositeGOHelper\nC++: vtkFixedPointVolumeRayCastCompositeGOHelper *GetCompositeGOHelper ();\n\n"},
  {(char*)"GetCompositeGOShadeHelper",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetCompositeGOShadeHelper, 1,
   (char*)"V.GetCompositeGOShadeHelper() -> vtkFixedPointVolumeRayCastCompositeGOShadeHelper\nC++: vtkFixedPointVolumeRayCastCompositeGOShadeHelper *GetCompositeGOShadeHelper ();\n\n"},
  {(char*)"GetCompositeShadeHelper",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetCompositeShadeHelper, 1,
   (char*)"V.GetCompositeShadeHelper() -> vtkFixedPointVolumeRayCastCompositeShadeHelper\nC++: vtkFixedPointVolumeRayCastCompositeShadeHelper *GetCompositeShadeHelper ();\n\n"},
  {(char*)"GetTableShift",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetTableShift, 1,
   (char*)"V.GetTableShift() -> (float, float, float, float)\nC++: float  *GetTableShift ();\n\n"},
  {(char*)"GetTableScale",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetTableScale, 1,
   (char*)"V.GetTableScale() -> (float, float, float, float)\nC++: float  *GetTableScale ();\n\n"},
  {(char*)"GetShadingRequired",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetShadingRequired, 1,
   (char*)"V.GetShadingRequired() -> int\nC++: int GetShadingRequired ();\n\n"},
  {(char*)"GetGradientOpacityRequired",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetGradientOpacityRequired, 1,
   (char*)"V.GetGradientOpacityRequired() -> int\nC++: int GetGradientOpacityRequired ();\n\n"},
  {(char*)"GetCurrentScalars",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetCurrentScalars, 1,
   (char*)"V.GetCurrentScalars() -> vtkDataArray\nC++: vtkDataArray *GetCurrentScalars ();\n\n"},
  {(char*)"GetPreviousScalars",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetPreviousScalars, 1,
   (char*)"V.GetPreviousScalars() -> vtkDataArray\nC++: vtkDataArray *GetPreviousScalars ();\n\n"},
  {(char*)"GetVolume",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetVolume, 1,
   (char*)"V.GetVolume() -> vtkVolume\nC++: vtkVolume *GetVolume ();return this Volume \n\n"},
  {(char*)"InitializeRayInfo",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_InitializeRayInfo, 1,
   (char*)"V.InitializeRayInfo(vtkVolume)\nC++: void InitializeRayInfo (vtkVolume *vol);\n\n"},
  {(char*)"ShouldUseNearestNeighborInterpolation",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_ShouldUseNearestNeighborInterpolation, 1,
   (char*)"V.ShouldUseNearestNeighborInterpolation(vtkVolume) -> int\nC++: int ShouldUseNearestNeighborInterpolation (vtkVolume *vol);\n\n"},
  {(char*)"SetRayCastImage",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetRayCastImage, 1,
   (char*)"V.SetRayCastImage(vtkFixedPointRayCastImage)\nC++: void SetRayCastImage (vtkFixedPointRayCastImage *);\n\n Set / Get the underlying image object. One will be automatically\n created - only need to set it when using from an AMR mapper which\n renders multiple times into the same image.\n"},
  {(char*)"GetRayCastImage",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetRayCastImage, 1,
   (char*)"V.GetRayCastImage() -> vtkFixedPointRayCastImage\nC++: vtkFixedPointRayCastImage *GetRayCastImage ();\n\n Set / Get the underlying image object. One will be automatically\n created - only need to set it when using from an AMR mapper which\n renders multiple times into the same image.\n"},
  {(char*)"PerVolumeInitialization",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_PerVolumeInitialization, 1,
   (char*)"V.PerVolumeInitialization(vtkRenderer, vtkVolume)\nC++: void PerVolumeInitialization (vtkRenderer *, vtkVolume *);\n\n"},
  {(char*)"PerSubVolumeInitialization",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_PerSubVolumeInitialization, 1,
   (char*)"V.PerSubVolumeInitialization(vtkRenderer, vtkVolume, int)\nC++: void PerSubVolumeInitialization (vtkRenderer *, vtkVolume *, int );\n\n"},
  {(char*)"RenderSubVolume",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_RenderSubVolume, 1,
   (char*)"V.RenderSubVolume()\nC++: void RenderSubVolume ();\n\n"},
  {(char*)"DisplayRenderedImage",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_DisplayRenderedImage, 1,
   (char*)"V.DisplayRenderedImage(vtkRenderer, vtkVolume)\nC++: void DisplayRenderedImage (vtkRenderer *, vtkVolume *);\n\n"},
  {(char*)"AbortRender",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_AbortRender, 1,
   (char*)"V.AbortRender()\nC++: void AbortRender ();\n\n"},
  {(char*)"CreateCanonicalView",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_CreateCanonicalView, 1,
   (char*)"V.CreateCanonicalView(vtkVolume, vtkImageData, int, (float, float, float), (float, float, float))\nC++: void CreateCanonicalView (vtkVolume *volume, vtkImageData *image, int blend_mode, double viewDirection[3], double viewUp[3]);\n\n"},
  {(char*)"GetEstimatedRenderTime",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetEstimatedRenderTime, 1,
   (char*)"V.GetEstimatedRenderTime(vtkRenderer, vtkVolume) -> float\nC++: float GetEstimatedRenderTime (vtkRenderer *ren, vtkVolume *vol);return this RetrieveRenderTime ren vol \nV.GetEstimatedRenderTime(vtkRenderer) -> float\nC++: float GetEstimatedRenderTime (vtkRenderer *ren);return this RetrieveRenderTime ren \n\n Get an estimate of the rendering time for a given volume / renderer.\n Only valid if this mapper has been used to render that volume for\n that renderer previously. Estimate is good when the viewing parameters\n have not changed much since that last render.\n"},
  {(char*)"SetFinalColorWindow",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetFinalColorWindow, 1,
   (char*)"V.SetFinalColorWindow(float)\nC++: void SetFinalColorWindow (float );\n\n Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n"},
  {(char*)"GetFinalColorWindow",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetFinalColorWindow, 1,
   (char*)"V.GetFinalColorWindow() -> float\nC++: float GetFinalColorWindow ();\n\n Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n"},
  {(char*)"SetFinalColorLevel",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_SetFinalColorLevel, 1,
   (char*)"V.SetFinalColorLevel(float)\nC++: void SetFinalColorLevel (float );\n\n Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n"},
  {(char*)"GetFinalColorLevel",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetFinalColorLevel, 1,
   (char*)"V.GetFinalColorLevel() -> float\nC++: float GetFinalColorLevel ();\n\n Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n"},
  {(char*)"GetFlipMIPComparison",                (PyCFunction)PyvtkFixedPointVolumeRayCastMapper_GetFlipMIPComparison, 1,
   (char*)"V.GetFlipMIPComparison() -> int\nC++: int GetFlipMIPComparison ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFixedPointVolumeRayCastMapperDoc[] = {
  (char*)"vtkFixedPointVolumeRayCastMapper - A fixed point mapper for volumes\n\n",
  "Super Class:\n\n vtkVolumeMapper\n\n",
  (char*)" This is a software ray caster for rendering volumes in vtkImageData. \n It works with all input data types and up to four components. It performs\n composite or MIP rendering, and can be intermixed with geometric data.\n Space leaping is used to speed up the rendering process. In addition,\n calculation are performed in 15 bit fixed point precision. This mapper\n is threaded, and will interleave scan ",
  (char*)"lines across processors.\n\n This mapper is a good replacement for vtkVolumeRayCastMapper EXCEPT:\n   - it does not do isosurface ray casting\n   - it does only interpolate before classify compositing\n   - it does only maximum scalar value MIP\n\n The vtkVolumeRayCastMapper CANNOT be used in these instances when a\n vtkFixedPointVolumeRayCastMapper can be used:\n   - if the data is not unsigned char or un",
  (char*)"signed short\n   - if the data has more than one component\n\n This mapper handles all data type from unsigned char through double.\n However, some of the internal calcultions are performed in float and\n therefore even the full float range may cause problems for this mapper\n (both in scalar data values and in spacing between samples). \n\n Space leaping is performed by creating a sub-sampled volume. 4x4",
  (char*)"x4 \n cells in the original volume are represented by a min, max, and \n combined gradient and flag value. The min max volume has three \n unsigned shorts per 4x4x4 group of cells from the original volume -\n one reprenting the minumum scalar index (the scalar value adjusted\n to fit in the 15 bit range), the maximum scalar index, and a \n third unsigned short which is both the maximum gradient opacity ",
  (char*)"in\n the neighborhood (an unsigned char) and the flag that is filled\n in for the current lookup tables to indicate whether this region\n can be skipped.\n\n",
  "See Also:\n\n vtkVolumeMapper\n\n",
  NULL
};

static vtkObjectBase *vtkFixedPointVolumeRayCastMapperStaticNew()
{
  return vtkFixedPointVolumeRayCastMapper::New();
}

PyObject *PyVTKClass_vtkFixedPointVolumeRayCastMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkFixedPointVolumeRayCastMapperStaticNew,
                        PyvtkFixedPointVolumeRayCastMapperMethods,
                        (char*)"vtkFixedPointVolumeRayCastMapper",modulename,
                        (char**)vtkFixedPointVolumeRayCastMapperDoc,
                        PyVTKClass_vtkVolumeMapperNew(modulename));
}

