// python wrapper for vtkHAVSVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHAVSVolumeMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHAVSVolumeMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHAVSVolumeMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeMapperNew(char *); }

static PyObject *PyvtkHAVSVolumeMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  const char    *temp20;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHAVSVolumeMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHAVSVolumeMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  vtkHAVSVolumeMapper  *temp20;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHAVSVolumeMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHAVSVolumeMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHAVSVolumeMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SetPartiallyRemoveNonConvexities(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  bool   temp0;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHAVSVolumeMapper::SetPartiallyRemoveNonConvexities(temp0);
      }
    else
      {
      op->SetPartiallyRemoveNonConvexities(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_GetPartiallyRemoveNonConvexities(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  bool   temp20;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHAVSVolumeMapper::GetPartiallyRemoveNonConvexities();
      }
    else
      {
      temp20 = op->GetPartiallyRemoveNonConvexities();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SetLevelOfDetailTargetTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  float    temp0;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHAVSVolumeMapper::SetLevelOfDetailTargetTime(temp0);
      }
    else
      {
      op->SetLevelOfDetailTargetTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_GetLevelOfDetailTargetTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  float    temp20;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHAVSVolumeMapper::GetLevelOfDetailTargetTime();
      }
    else
      {
      temp20 = op->GetLevelOfDetailTargetTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SetLevelOfDetail(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  bool   temp0;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHAVSVolumeMapper::SetLevelOfDetail(temp0);
      }
    else
      {
      op->SetLevelOfDetail(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_GetLevelOfDetail(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  bool   temp20;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHAVSVolumeMapper::GetLevelOfDetail();
      }
    else
      {
      temp20 = op->GetLevelOfDetail();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SetLevelOfDetailMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  int      temp0;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHAVSVolumeMapper::SetLevelOfDetailMethod(temp0);
      }
    else
      {
      op->SetLevelOfDetailMethod(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_GetLevelOfDetailMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  int      temp20;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHAVSVolumeMapper::GetLevelOfDetailMethod();
      }
    else
      {
      temp20 = op->GetLevelOfDetailMethod();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SetLevelOfDetailMethodField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHAVSVolumeMapper::SetLevelOfDetailMethodField();
      }
    else
      {
      op->SetLevelOfDetailMethodField();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SetLevelOfDetailMethodArea(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHAVSVolumeMapper::SetLevelOfDetailMethodArea();
      }
    else
      {
      op->SetLevelOfDetailMethodArea();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SetKBufferSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  int      temp0;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHAVSVolumeMapper::SetKBufferSize(temp0);
      }
    else
      {
      op->SetKBufferSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_GetKBufferSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  int      temp20;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHAVSVolumeMapper::GetKBufferSize();
      }
    else
      {
      temp20 = op->GetKBufferSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SetKBufferSizeTo2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHAVSVolumeMapper::SetKBufferSizeTo2();
      }
    else
      {
      op->SetKBufferSizeTo2();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SetKBufferSizeTo6(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHAVSVolumeMapper::SetKBufferSizeTo6();
      }
    else
      {
      op->SetKBufferSizeTo6();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SupportedByHardware(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  bool   temp20;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHAVSVolumeMapper::SupportedByHardware();
      }
    else
      {
      temp20 = op->SupportedByHardware();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_SetGPUDataStructures(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  bool   temp0;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetGPUDataStructures(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHAVSVolumeMapper_GetGPUDataStructures(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHAVSVolumeMapper *op;

  bool   temp20;
  op = (vtkHAVSVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHAVSVolumeMapper::GetGPUDataStructures();
      }
    else
      {
      temp20 = op->GetGPUDataStructures();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHAVSVolumeMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHAVSVolumeMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHAVSVolumeMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHAVSVolumeMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHAVSVolumeMapper\nC++: vtkHAVSVolumeMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHAVSVolumeMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHAVSVolumeMapper\nC++: vtkHAVSVolumeMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPartiallyRemoveNonConvexities",                (PyCFunction)PyvtkHAVSVolumeMapper_SetPartiallyRemoveNonConvexities, 1,
   (char*)"V.SetPartiallyRemoveNonConvexities(bool)\nC++: void SetPartiallyRemoveNonConvexities (bool );\n\n regions by removing ray segments larger than the max cell size.\n"},
  {(char*)"GetPartiallyRemoveNonConvexities",                (PyCFunction)PyvtkHAVSVolumeMapper_GetPartiallyRemoveNonConvexities, 1,
   (char*)"V.GetPartiallyRemoveNonConvexities() -> bool\nC++: bool GetPartiallyRemoveNonConvexities ();\n\n regions by removing ray segments larger than the max cell size.\n"},
  {(char*)"SetLevelOfDetailTargetTime",                (PyCFunction)PyvtkHAVSVolumeMapper_SetLevelOfDetailTargetTime, 1,
   (char*)"V.SetLevelOfDetailTargetTime(float)\nC++: void SetLevelOfDetailTargetTime (float );\n\n Set/get the desired level of detail target time measured in frames/sec.\n"},
  {(char*)"GetLevelOfDetailTargetTime",                (PyCFunction)PyvtkHAVSVolumeMapper_GetLevelOfDetailTargetTime, 1,
   (char*)"V.GetLevelOfDetailTargetTime() -> float\nC++: float GetLevelOfDetailTargetTime ();\n\n Set/get the desired level of detail target time measured in frames/sec.\n"},
  {(char*)"SetLevelOfDetail",                (PyCFunction)PyvtkHAVSVolumeMapper_SetLevelOfDetail, 1,
   (char*)"V.SetLevelOfDetail(bool)\nC++: void SetLevelOfDetail (bool );\n\n Turn on/off level-of-detail volume rendering\n"},
  {(char*)"GetLevelOfDetail",                (PyCFunction)PyvtkHAVSVolumeMapper_GetLevelOfDetail, 1,
   (char*)"V.GetLevelOfDetail() -> bool\nC++: bool GetLevelOfDetail ();\n\n Turn on/off level-of-detail volume rendering\n"},
  {(char*)"SetLevelOfDetailMethod",                (PyCFunction)PyvtkHAVSVolumeMapper_SetLevelOfDetailMethod, 1,
   (char*)"V.SetLevelOfDetailMethod(int)\nC++: void SetLevelOfDetailMethod (int );\n\n Set/get the current level-of-detail method\n"},
  {(char*)"GetLevelOfDetailMethod",                (PyCFunction)PyvtkHAVSVolumeMapper_GetLevelOfDetailMethod, 1,
   (char*)"V.GetLevelOfDetailMethod() -> int\nC++: int GetLevelOfDetailMethod ();\n\n Set/get the current level-of-detail method\n"},
  {(char*)"SetLevelOfDetailMethodField",                (PyCFunction)PyvtkHAVSVolumeMapper_SetLevelOfDetailMethodField, 1,
   (char*)"V.SetLevelOfDetailMethodField()\nC++: void SetLevelOfDetailMethodField ();this SetLevelOfDetailMethod VTK_FIELD_LEVEL_OF_DETAIL \n\n Set/get the current level-of-detail method\n"},
  {(char*)"SetLevelOfDetailMethodArea",                (PyCFunction)PyvtkHAVSVolumeMapper_SetLevelOfDetailMethodArea, 1,
   (char*)"V.SetLevelOfDetailMethodArea()\nC++: void SetLevelOfDetailMethodArea ();this SetLevelOfDetailMethod VTK_AREA_LEVEL_OF_DETAIL \n\n Set the kbuffer size\n"},
  {(char*)"SetKBufferSize",                (PyCFunction)PyvtkHAVSVolumeMapper_SetKBufferSize, 1,
   (char*)"V.SetKBufferSize(int)\nC++: void SetKBufferSize (int );\n\n Set the kbuffer size\n"},
  {(char*)"GetKBufferSize",                (PyCFunction)PyvtkHAVSVolumeMapper_GetKBufferSize, 1,
   (char*)"V.GetKBufferSize() -> int\nC++: int GetKBufferSize ();\n\n Set the kbuffer size\n"},
  {(char*)"SetKBufferSizeTo2",                (PyCFunction)PyvtkHAVSVolumeMapper_SetKBufferSizeTo2, 1,
   (char*)"V.SetKBufferSizeTo2()\nC++: void SetKBufferSizeTo2 ();this SetKBufferSize VTK_KBUFFER_SIZE_2 \n\n Set the kbuffer size\n"},
  {(char*)"SetKBufferSizeTo6",                (PyCFunction)PyvtkHAVSVolumeMapper_SetKBufferSizeTo6, 1,
   (char*)"V.SetKBufferSizeTo6()\nC++: void SetKBufferSizeTo6 ();this SetKBufferSize VTK_KBUFFER_SIZE_6 \n\n Check hardware support for the HAVS algorithm.  Necessary\n features include off-screen rendering, 32-bit fp textures, multiple\n render targets, and framebuffer objects.\n Subclasses must override this method to indicate if supported by Hardware.\n"},
  {(char*)"SupportedByHardware",                (PyCFunction)PyvtkHAVSVolumeMapper_SupportedByHardware, 1,
   (char*)"V.SupportedByHardware() -> bool\nC++: virtual bool SupportedByHardware ();return false \n\n Set/get whether or not the data structures should be stored on the GPU \n for better peformance.\n"},
  {(char*)"SetGPUDataStructures",                (PyCFunction)PyvtkHAVSVolumeMapper_SetGPUDataStructures, 1,
   (char*)"V.SetGPUDataStructures(bool)\nC++: virtual void SetGPUDataStructures (bool ) = 0;\n\n Set/get whether or not the data structures should be stored on the GPU \n for better peformance.\n"},
  {(char*)"GetGPUDataStructures",                (PyCFunction)PyvtkHAVSVolumeMapper_GetGPUDataStructures, 1,
   (char*)"V.GetGPUDataStructures() -> bool\nC++: bool GetGPUDataStructures ();\n\n Set/get whether or not the data structures should be stored on the GPU \n for better peformance.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHAVSVolumeMapperDoc[] = {
  (char*)"vtkHAVSVolumeMapper - Hardware-Assisted Visibility Sorting unstructured grid mapper\n\n",
  "Super Class:\n\n vtkUnstructuredGridVolumeMapper\n\n",
  (char*)"\n vtkHAVSVolumeMapper is a class that renders polygonal data\n (represented as an unstructured grid) using the Hardware-Assisted\n Visibility Sorting (HAVS) algorithm.  First the unique triangles are sorted\n in object space, then they are sorted in image space using a fixed size\n A-buffer implemented on the GPU called the k-buffer.  The HAVS algorithm\n excels at rendering large datasets quickly.  Th",
  (char*)"e trade-off is that the\n algorithm may produce some rendering artifacts due to an insufficient k\n size (currently 2 or 6 is supported) or read/write race conditions.\n \n A built in level-of-detail (LOD) approach samples the geometry using one of\n two heuristics (field or area).  If LOD is enabled, the amount of geometry\n that is sampled and rendered changes dynamically to stay within the target\n fr",
  (char*)"ame rate.  The field sampling method generally works best for datasets\n with cell sizes that don't vary much in size.  On the contrary, the area\n sampling approach gives better approximations when the volume has a lot of\n variation in cell size.\n\n The HAVS algorithm uses several advanced features on graphics hardware.\n The k-buffer sorting network is implemented using framebuffer objects\n (FBOs) w",
  (char*)"ith multiple render targets (MRTs).  Therefore, only cards that\n support these features can run the algorithm (at least an ATI 9500 or an\n NVidia NV40 (6600)).\n\n .SECTION Notes\n\n Several issues had to be addressed to get the HAVS algorithm working within\n the vtk framework.  These additions forced the code to forsake speed for\n the sake of compliance and robustness.\n\n The HAVS algorithm operates o",
  (char*)"n the triangles that compose the mesh.\n Therefore, before rendering, the cells are decomposed into unique triangles\n and stored on the GPU for efficient rendering.  The use of GPU data\n structures is only recommended if the entire geometry can fit in graphics\n memory.  Otherwise this feature should be disabled. \n\n Another new feature is the handling of mixed data types (eg., polygonal\n data with v",
  (char*)"olume data).  This is handled by reading the z-buffer from the\n current window and copying it into the framebuffer object for off-screen\n rendering.  The depth test is then enabled so that the volume only appears\n over the opaque geometry.  Finally, the results of the off-screen rendering\n are blended into the framebuffer as a transparent, view-aligned texture. \n \n Instead of using a preintegrated",
  (char*)" 3D lookup table for storing the ray\n integral, this implementation uses partial pre-integration.  This improves\n the performance of dynamic transfer function updates by avoiding a costly\n preprocess of the table.\n\n A final change to the original algorithm is the handling of non-convexities\n in the mesh.  Due to read/write hazards that may create undesired artifacts\n with non-convexities when usin",
  (char*)"g a inside/outside toggle in the fragment\n program, another approach was employed.  To handle non-convexities, the\n fragment shader determines if a ray-gap is larger than the max cell size\n and kill the fragment if so.  This approximation performs rather well in\n practice but may miss small non-convexities.\n \n For more information on the HAVS algorithm see:\n\n  \"Hardware-Assisted Visibility Sorting",
  (char*)" for Unstructured Volume\n Rendering\" by S. P. Callahan, M. Ikits, J. L. D. Comba, and C. T. Silva, \n IEEE Transactions of Visualization and Computer Graphics; May/June 2005.\n\n For more information on the Level-of-Detail algorithm, see:\n\n \"Interactive Rendering of Large Unstructured Grids Using Dynamic\n Level-of-Detail\" by S. P. Callahan, J. L. D. Comba, P. Shirley, and\n C. T. Silva, Proceedings of",
  (char*)" IEEE Visualization '05, Oct. 2005.\n\n .SECTION Acknowledgments\n\n This code was developed by Steven P. Callahan under the supervision\n of Prof. Claudio T. Silva. The code also contains contributions\n from Milan Ikits, Linh Ha, Huy T. Vo, Carlos E. Scheidegger, and \n Joao L. D. Comba.  \n\n The work was supported by grants, contracts, and gifts from the\n National Science Foundation, the Department of ",
  (char*)"Energy, the Army\n Research Office, and IBM.\n\n The port of HAVS to VTK and ParaView has been primarily supported\n by Sandia National Labs.\n\n\n",
  NULL
};

static vtkObjectBase *vtkHAVSVolumeMapperStaticNew()
{
  return vtkHAVSVolumeMapper::New();
}

PyObject *PyVTKClass_vtkHAVSVolumeMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkHAVSVolumeMapperStaticNew,
                        PyvtkHAVSVolumeMapperMethods,
                        (char*)"vtkHAVSVolumeMapper",modulename,
                        (char**)vtkHAVSVolumeMapperDoc,
                        PyVTKClass_vtkUnstructuredGridVolumeMapperNew(modulename));
}

