// tcl wrapper for vtkHAVSVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHAVSVolumeMapper.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkHAVSVolumeMapperNewCommand()
{
  vtkHAVSVolumeMapper *temp = vtkHAVSVolumeMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridVolumeMapperCppCommand(vtkUnstructuredGridVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHAVSVolumeMapperCppCommand(vtkHAVSVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkHAVSVolumeMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkHAVSVolumeMapperCppCommand(static_cast<vtkHAVSVolumeMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHAVSVolumeMapperCppCommand(vtkHAVSVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkHAVSVolumeMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridVolumeMapperCppCommand(static_cast<vtkUnstructuredGridVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridVolumeMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkHAVSVolumeMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHAVSVolumeMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkHAVSVolumeMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHAVSVolumeMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkHAVSVolumeMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHAVSVolumeMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPartiallyRemoveNonConvexities",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetPartiallyRemoveNonConvexities(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartiallyRemoveNonConvexities",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetPartiallyRemoveNonConvexities();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLevelOfDetailTargetTime",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLevelOfDetailTargetTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLevelOfDetailTargetTime",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLevelOfDetailTargetTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLevelOfDetail",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLevelOfDetail(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLevelOfDetail",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLevelOfDetail();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLevelOfDetailMethod",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLevelOfDetailMethod(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLevelOfDetailMethod",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLevelOfDetailMethod();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLevelOfDetailMethodField",argv[1]))&&(argc == 2))
    {
    op->SetLevelOfDetailMethodField();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLevelOfDetailMethodArea",argv[1]))&&(argc == 2))
    {
    op->SetLevelOfDetailMethodArea();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetKBufferSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetKBufferSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKBufferSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetKBufferSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKBufferSizeTo2",argv[1]))&&(argc == 2))
    {
    op->SetKBufferSizeTo2();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetKBufferSizeTo6",argv[1]))&&(argc == 2))
    {
    op->SetKBufferSizeTo6();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SupportedByHardware",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->SupportedByHardware();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGPUDataStructures",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGPUDataStructures(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGPUDataStructures",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGPUDataStructures();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkHAVSVolumeMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHAVSVolumeMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPartiallyRemoveNonConvexities\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPartiallyRemoveNonConvexities\n",NULL);
    Tcl_AppendResult(interp,"  SetLevelOfDetailTargetTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLevelOfDetailTargetTime\n",NULL);
    Tcl_AppendResult(interp,"  SetLevelOfDetail\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLevelOfDetail\n",NULL);
    Tcl_AppendResult(interp,"  SetLevelOfDetailMethod\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLevelOfDetailMethod\n",NULL);
    Tcl_AppendResult(interp,"  SetLevelOfDetailMethodField\n",NULL);
    Tcl_AppendResult(interp,"  SetLevelOfDetailMethodArea\n",NULL);
    Tcl_AppendResult(interp,"  SetKBufferSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKBufferSize\n",NULL);
    Tcl_AppendResult(interp,"  SetKBufferSizeTo2\n",NULL);
    Tcl_AppendResult(interp,"  SetKBufferSizeTo6\n",NULL);
    Tcl_AppendResult(interp,"  SupportedByHardware\n",NULL);
    Tcl_AppendResult(interp,"  SetGPUDataStructures\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGPUDataStructures\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetPartiallyRemoveNonConvexities" );
    Tcl_DStringAppendElement ( &dString, "GetPartiallyRemoveNonConvexities" );
    Tcl_DStringAppendElement ( &dString, "SetLevelOfDetailTargetTime" );
    Tcl_DStringAppendElement ( &dString, "GetLevelOfDetailTargetTime" );
    Tcl_DStringAppendElement ( &dString, "SetLevelOfDetail" );
    Tcl_DStringAppendElement ( &dString, "GetLevelOfDetail" );
    Tcl_DStringAppendElement ( &dString, "SetLevelOfDetailMethod" );
    Tcl_DStringAppendElement ( &dString, "GetLevelOfDetailMethod" );
    Tcl_DStringAppendElement ( &dString, "SetLevelOfDetailMethodField" );
    Tcl_DStringAppendElement ( &dString, "SetLevelOfDetailMethodArea" );
    Tcl_DStringAppendElement ( &dString, "SetKBufferSize" );
    Tcl_DStringAppendElement ( &dString, "GetKBufferSize" );
    Tcl_DStringAppendElement ( &dString, "SetKBufferSizeTo2" );
    Tcl_DStringAppendElement ( &dString, "SetKBufferSizeTo6" );
    Tcl_DStringAppendElement ( &dString, "SupportedByHardware" );
    Tcl_DStringAppendElement ( &dString, "SetGPUDataStructures" );
    Tcl_DStringAppendElement ( &dString, "GetGPUDataStructures" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridVolumeMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHAVSVolumeMapper *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPartiallyRemoveNonConvexities */
    if ( strcmp ( argv[2], "SetPartiallyRemoveNonConvexities" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPartiallyRemoveNonConvexities" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPartiallyRemoveNonConvexities */
    Tcl_DStringAppendElement ( &dString, " regions by removing ray segments larger than the max cell size.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPartiallyRemoveNonConvexities (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SetPartiallyRemoveNonConvexities */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartiallyRemoveNonConvexities */
    if ( strcmp ( argv[2], "GetPartiallyRemoveNonConvexities" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartiallyRemoveNonConvexities" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartiallyRemoveNonConvexities */
    Tcl_DStringAppendElement ( &dString, " regions by removing ray segments larger than the max cell size.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetPartiallyRemoveNonConvexities ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for GetPartiallyRemoveNonConvexities */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLevelOfDetailTargetTime */
    if ( strcmp ( argv[2], "SetLevelOfDetailTargetTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLevelOfDetailTargetTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLevelOfDetailTargetTime */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired level of detail target time measured in frames/sec.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLevelOfDetailTargetTime (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SetLevelOfDetailTargetTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevelOfDetailTargetTime */
    if ( strcmp ( argv[2], "GetLevelOfDetailTargetTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevelOfDetailTargetTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevelOfDetailTargetTime */
    Tcl_DStringAppendElement ( &dString, " Set/get the desired level of detail target time measured in frames/sec.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLevelOfDetailTargetTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for GetLevelOfDetailTargetTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLevelOfDetail */
    if ( strcmp ( argv[2], "SetLevelOfDetail" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLevelOfDetail" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLevelOfDetail */
    Tcl_DStringAppendElement ( &dString, " Turn on/off level-of-detail volume rendering\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLevelOfDetail (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SetLevelOfDetail */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevelOfDetail */
    if ( strcmp ( argv[2], "GetLevelOfDetail" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevelOfDetail" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevelOfDetail */
    Tcl_DStringAppendElement ( &dString, " Turn on/off level-of-detail volume rendering\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLevelOfDetail ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for GetLevelOfDetail */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLevelOfDetailMethod */
    if ( strcmp ( argv[2], "SetLevelOfDetailMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLevelOfDetailMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLevelOfDetailMethod */
    Tcl_DStringAppendElement ( &dString, " Set/get the current level-of-detail method\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLevelOfDetailMethod (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SetLevelOfDetailMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevelOfDetailMethod */
    if ( strcmp ( argv[2], "GetLevelOfDetailMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevelOfDetailMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevelOfDetailMethod */
    Tcl_DStringAppendElement ( &dString, " Set/get the current level-of-detail method\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLevelOfDetailMethod ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for GetLevelOfDetailMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLevelOfDetailMethodField */
    if ( strcmp ( argv[2], "SetLevelOfDetailMethodField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLevelOfDetailMethodField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLevelOfDetailMethodField */
    Tcl_DStringAppendElement ( &dString, " Set/get the current level-of-detail method\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLevelOfDetailMethodField ();this SetLevelOfDetailMethod VTK_FIELD_LEVEL_OF_DETAIL " );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SetLevelOfDetailMethodField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLevelOfDetailMethodArea */
    if ( strcmp ( argv[2], "SetLevelOfDetailMethodArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLevelOfDetailMethodArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLevelOfDetailMethodArea */
    Tcl_DStringAppendElement ( &dString, " Set the kbuffer size\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLevelOfDetailMethodArea ();this SetLevelOfDetailMethod VTK_AREA_LEVEL_OF_DETAIL " );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SetLevelOfDetailMethodArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKBufferSize */
    if ( strcmp ( argv[2], "SetKBufferSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKBufferSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKBufferSize */
    Tcl_DStringAppendElement ( &dString, " Set the kbuffer size\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKBufferSize (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SetKBufferSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKBufferSize */
    if ( strcmp ( argv[2], "GetKBufferSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKBufferSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKBufferSize */
    Tcl_DStringAppendElement ( &dString, " Set the kbuffer size\n" );
    Tcl_DStringAppendElement ( &dString, "int GetKBufferSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for GetKBufferSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKBufferSizeTo2 */
    if ( strcmp ( argv[2], "SetKBufferSizeTo2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKBufferSizeTo2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKBufferSizeTo2 */
    Tcl_DStringAppendElement ( &dString, " Set the kbuffer size\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKBufferSizeTo2 ();this SetKBufferSize VTK_KBUFFER_SIZE_2 " );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SetKBufferSizeTo2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKBufferSizeTo6 */
    if ( strcmp ( argv[2], "SetKBufferSizeTo6" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKBufferSizeTo6" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKBufferSizeTo6 */
    Tcl_DStringAppendElement ( &dString, " Check hardware support for the HAVS algorithm.  Necessary\n features include off-screen rendering, 32-bit fp textures, multiple\n render targets, and framebuffer objects.\n Subclasses must override this method to indicate if supported by Hardware.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKBufferSizeTo6 ();this SetKBufferSize VTK_KBUFFER_SIZE_6 " );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SetKBufferSizeTo6 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SupportedByHardware */
    if ( strcmp ( argv[2], "SupportedByHardware" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SupportedByHardware" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SupportedByHardware */
    Tcl_DStringAppendElement ( &dString, " Set/get whether or not the data structures should be stored on the GPU \n for better peformance.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool SupportedByHardware ();return false " );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SupportedByHardware */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGPUDataStructures */
    if ( strcmp ( argv[2], "SetGPUDataStructures" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGPUDataStructures" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGPUDataStructures */
    Tcl_DStringAppendElement ( &dString, " Set/get whether or not the data structures should be stored on the GPU \n for better peformance.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGPUDataStructures (bool ) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for SetGPUDataStructures */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGPUDataStructures */
    if ( strcmp ( argv[2], "GetGPUDataStructures" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGPUDataStructures" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGPUDataStructures */
    Tcl_DStringAppendElement ( &dString, " Set/get whether or not the data structures should be stored on the GPU \n for better peformance.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGPUDataStructures ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHAVSVolumeMapper" );
    /* Closing for GetGPUDataStructures */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridVolumeMapperCppCommand(static_cast<vtkUnstructuredGridVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
