// python wrapper for vtkOpenGLProjectedTetrahedraMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLProjectedTetrahedraMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLProjectedTetrahedraMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLProjectedTetrahedraMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProjectedTetrahedraMapperNew(char *); }

static PyObject *PyvtkOpenGLProjectedTetrahedraMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLProjectedTetrahedraMapper *op;

  const char    *temp20;
  op = (vtkOpenGLProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLProjectedTetrahedraMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLProjectedTetrahedraMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLProjectedTetrahedraMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLProjectedTetrahedraMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLProjectedTetrahedraMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLProjectedTetrahedraMapper *op;

  vtkOpenGLProjectedTetrahedraMapper  *temp20;
  op = (vtkOpenGLProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLProjectedTetrahedraMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLProjectedTetrahedraMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLProjectedTetrahedraMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLProjectedTetrahedraMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLProjectedTetrahedraMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLProjectedTetrahedraMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLProjectedTetrahedraMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOpenGLProjectedTetrahedraMapper_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLProjectedTetrahedraMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkVolume  *temp1;
  PyObject *tempH1;
  op = (vtkOpenGLProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolume");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLProjectedTetrahedraMapper::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkOpenGLProjectedTetrahedraMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLProjectedTetrahedraMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLProjectedTetrahedraMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLProjectedTetrahedraMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLProjectedTetrahedraMapper\nC++: vtkOpenGLProjectedTetrahedraMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLProjectedTetrahedraMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLProjectedTetrahedraMapper\nC++: vtkOpenGLProjectedTetrahedraMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkOpenGLProjectedTetrahedraMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *window);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkOpenGLProjectedTetrahedraMapper_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkVolume)\nC++: virtual void Render (vtkRenderer *renderer, vtkVolume *volume);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLProjectedTetrahedraMapperDoc[] = {
  (char*)"vtkOpenGLProjectedTetrahedraMapper - OpenGL implementation of PT\n\n",
  "Super Class:\n\n vtkProjectedTetrahedraMapper\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLProjectedTetrahedraMapperStaticNew()
{
  return vtkOpenGLProjectedTetrahedraMapper::New();
}

PyObject *PyVTKClass_vtkOpenGLProjectedTetrahedraMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLProjectedTetrahedraMapperStaticNew,
                        PyvtkOpenGLProjectedTetrahedraMapperMethods,
                        (char*)"vtkOpenGLProjectedTetrahedraMapper",modulename,
                        (char**)vtkOpenGLProjectedTetrahedraMapperDoc,
                        PyVTKClass_vtkProjectedTetrahedraMapperNew(modulename));
}

