// python wrapper for vtkOpenGLVolumeTextureMapper2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLVolumeTextureMapper2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLVolumeTextureMapper2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLVolumeTextureMapper2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkVolumeTextureMapper2DNew(char *); }

static PyObject *PyvtkOpenGLVolumeTextureMapper2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLVolumeTextureMapper2D *op;

  const char    *temp20;
  op = (vtkOpenGLVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLVolumeTextureMapper2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLVolumeTextureMapper2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLVolumeTextureMapper2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLVolumeTextureMapper2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLVolumeTextureMapper2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLVolumeTextureMapper2D *op;

  vtkOpenGLVolumeTextureMapper2D  *temp20;
  op = (vtkOpenGLVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLVolumeTextureMapper2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLVolumeTextureMapper2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLVolumeTextureMapper2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLVolumeTextureMapper2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkOpenGLVolumeTextureMapper2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLVolumeTextureMapper2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLVolumeTextureMapper2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLVolumeTextureMapper2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLVolumeTextureMapper2D\nC++: vtkOpenGLVolumeTextureMapper2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLVolumeTextureMapper2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLVolumeTextureMapper2D\nC++: vtkOpenGLVolumeTextureMapper2D *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLVolumeTextureMapper2DDoc[] = {
  (char*)"vtkOpenGLVolumeTextureMapper2D - Abstract class for a volume mapper\n\n",
  "Super Class:\n\n vtkVolumeTextureMapper2D\n\n",
  (char*)" vtkOpenGLVolumeTextureMapper2D renders a volume using 2D texture mapping.\n\n",
  "See Also:\n\n vtkVolumeMapper\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLVolumeTextureMapper2DStaticNew()
{
  return vtkOpenGLVolumeTextureMapper2D::New();
}

PyObject *PyVTKClass_vtkOpenGLVolumeTextureMapper2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLVolumeTextureMapper2DStaticNew,
                        PyvtkOpenGLVolumeTextureMapper2DMethods,
                        (char*)"vtkOpenGLVolumeTextureMapper2D",modulename,
                        (char**)vtkOpenGLVolumeTextureMapper2DDoc,
                        PyVTKClass_vtkVolumeTextureMapper2DNew(modulename));
}

