// python wrapper for vtkProjectedTetrahedraMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProjectedTetrahedraMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProjectedTetrahedraMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProjectedTetrahedraMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeMapperNew(char *); }

static PyObject *PyvtkProjectedTetrahedraMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  const char    *temp20;
  op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  vtkProjectedTetrahedraMapper  *temp20;
  op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProjectedTetrahedraMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProjectedTetrahedraMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_SetVisibilitySort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  vtkVisibilitySort  *temp0;
  PyObject *tempH0;
  op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVisibilitySort *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVisibilitySort");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::SetVisibilitySort(temp0);
      }
    else
      {
      op->SetVisibilitySort(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_GetVisibilitySort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  vtkVisibilitySort  *temp20;
  op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::GetVisibilitySort();
      }
    else
      {
      temp20 = op->GetVisibilitySort();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_MapScalarsToColors(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkVolumeProperty  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  if ((PyArg_ParseTuple(args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkVolumeProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolumeProperty");
    if (!temp1 && tempH1 != Py_None) goto break6;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break6;
      {
      vtkProjectedTetrahedraMapper::MapScalarsToColors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_TransformPoints(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints  *temp0;
  PyObject *tempH0;
  float  temp1[16];
  float  temp2[16];
  vtkFloatArray  *temp3;
  PyObject *tempH3;
  if ((PyArg_ParseTuple(args, (char*)"O(ffffffffffffffff)(ffffffffffffffff)O", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8, temp1 + 9, temp1 + 10, temp1 + 11, temp1 + 12, temp1 + 13, temp1 + 14, temp1 + 15, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8, temp2 + 9, temp2 + 10, temp2 + 11, temp2 + 12, temp2 + 13, temp2 + 14, temp2 + 15, &tempH3)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp3 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkFloatArray");
    if (!temp3 && tempH3 != Py_None) goto break7;
      {
      vtkProjectedTetrahedraMapper::TransformPoints(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkProjectedTetrahedraMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProjectedTetrahedraMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProjectedTetrahedraMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProjectedTetrahedraMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProjectedTetrahedraMapper\nC++: vtkProjectedTetrahedraMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProjectedTetrahedraMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProjectedTetrahedraMapper\nC++: vtkProjectedTetrahedraMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVisibilitySort",                (PyCFunction)PyvtkProjectedTetrahedraMapper_SetVisibilitySort, 1,
   (char*)"V.SetVisibilitySort(vtkVisibilitySort)\nC++: virtual void SetVisibilitySort (vtkVisibilitySort *sort);\n\n"},
  {(char*)"GetVisibilitySort",                (PyCFunction)PyvtkProjectedTetrahedraMapper_GetVisibilitySort, 1,
   (char*)"V.GetVisibilitySort() -> vtkVisibilitySort\nC++: vtkVisibilitySort *GetVisibilitySort ();\n\n"},
  {(char*)"MapScalarsToColors",                (PyCFunction)PyvtkProjectedTetrahedraMapper_MapScalarsToColors, 1,
   (char*)"V.MapScalarsToColors(vtkDataArray, vtkVolumeProperty, vtkDataArray)\nC++: static void MapScalarsToColors (vtkDataArray *colors, vtkVolumeProperty *property, vtkDataArray *scalars);\n\n"},
  {(char*)"TransformPoints",                (PyCFunction)PyvtkProjectedTetrahedraMapper_TransformPoints, 1,
   (char*)"V.TransformPoints(vtkPoints, (float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float), (float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float), vtkFloatArray)\nC++: static void TransformPoints (vtkPoints *inPoints, const float projection_mat[16], const float modelview_mat[16], vtkFloatArray *outPoints);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProjectedTetrahedraMapperDoc[] = {
  (char*)"vtkProjectedTetrahedraMapper - Unstructured grid volume renderer.\n\n",
  "Super Class:\n\n vtkUnstructuredGridVolumeMapper\n\n",
  (char*)" vtkProjectedTetrahedraMapper is an implementation of the classic\n Projected Tetrahedra algorithm presented by Shirley and Tuchman in \"A\n Polygonal Approximation to Direct Scalar Volume Rendering\" in Computer\n Graphics, December 1990.\n\n .SECTION Bugs\n This mapper relies highly on the implementation of the OpenGL pipeline.\n A typically hardware driver has lots of options and some settings can\n caus",
  (char*)"e this mapper to produce artifacts.\n\n\n",
  NULL
};

static vtkObjectBase *vtkProjectedTetrahedraMapperStaticNew()
{
  return vtkProjectedTetrahedraMapper::New();
}

PyObject *PyVTKClass_vtkProjectedTetrahedraMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkProjectedTetrahedraMapperStaticNew,
                        PyvtkProjectedTetrahedraMapperMethods,
                        (char*)"vtkProjectedTetrahedraMapper",modulename,
                        (char**)vtkProjectedTetrahedraMapperDoc,
                        PyVTKClass_vtkUnstructuredGridVolumeMapperNew(modulename));
}

