// python wrapper for vtkSphericalDirectionEncoder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSphericalDirectionEncoder.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSphericalDirectionEncoderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSphericalDirectionEncoderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDirectionEncoderNew(char *); }

static PyObject *PyvtkSphericalDirectionEncoder_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphericalDirectionEncoder *op;

  const char    *temp20;
  op = (vtkSphericalDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphericalDirectionEncoder::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSphericalDirectionEncoder_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphericalDirectionEncoder *op;

  char    *temp0;
  int      temp20;
  op = (vtkSphericalDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphericalDirectionEncoder::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphericalDirectionEncoder_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphericalDirectionEncoder *op;

  vtkSphericalDirectionEncoder  *temp20;
  op = (vtkSphericalDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphericalDirectionEncoder::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphericalDirectionEncoder_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSphericalDirectionEncoder  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSphericalDirectionEncoder::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSphericalDirectionEncoder_GetEncodedDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphericalDirectionEncoder *op;

  float  temp0[3];
  int      temp20;
  op = (vtkSphericalDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphericalDirectionEncoder::GetEncodedDirection(temp0);
      }
    else
      {
      temp20 = op->GetEncodedDirection(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphericalDirectionEncoder_GetDecodedGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphericalDirectionEncoder *op;

  int      temp0;
  float   *temp20;
  op = (vtkSphericalDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphericalDirectionEncoder::GetDecodedGradient(temp0);
      }
    else
      {
      temp20 = op->GetDecodedGradient(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSphericalDirectionEncoder_GetNumberOfEncodedDirections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphericalDirectionEncoder *op;

  int      temp20;
  op = (vtkSphericalDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphericalDirectionEncoder::GetNumberOfEncodedDirections();
      }
    else
      {
      temp20 = op->GetNumberOfEncodedDirections();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSphericalDirectionEncoderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSphericalDirectionEncoder_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSphericalDirectionEncoder_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSphericalDirectionEncoder_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSphericalDirectionEncoder\nC++: vtkSphericalDirectionEncoder *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSphericalDirectionEncoder_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSphericalDirectionEncoder\nC++: vtkSphericalDirectionEncoder *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetEncodedDirection",                (PyCFunction)PyvtkSphericalDirectionEncoder_GetEncodedDirection, 1,
   (char*)"V.GetEncodedDirection((float, float, float)) -> int\nC++: int GetEncodedDirection (float n[3]);\n\n Given a normal vector n, return the encoded direction  \n"},
  {(char*)"GetDecodedGradient",                (PyCFunction)PyvtkSphericalDirectionEncoder_GetDecodedGradient, 1,
   (char*)"V.GetDecodedGradient(int) -> (float, float, float)\nC++: float *GetDecodedGradient (int value);\n\n/ Given an encoded value, return a pointer to the normal vector\n"},
  {(char*)"GetNumberOfEncodedDirections",                (PyCFunction)PyvtkSphericalDirectionEncoder_GetNumberOfEncodedDirections, 1,
   (char*)"V.GetNumberOfEncodedDirections() -> int\nC++: int GetNumberOfEncodedDirections (void );return \n\n Get the decoded gradient table. There are \n this->GetNumberOfEncodedDirections() entries in the table, each\n containing a normal (direction) vector. This is a flat structure - \n 3 times the number of directions floats in an array.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSphericalDirectionEncoderDoc[] = {
  (char*)"vtkSphericalDirectionEncoder - A direction encoder based on spherical coordinates\n\n",
  "Super Class:\n\n vtkDirectionEncoder\n\n",
  (char*)" vtkSphericalDirectionEncoder is a direction encoder which uses spherical\n coordinates for mapping (nx, ny, nz) into an azimuth, elevation pair.\n\n\n",
  "See Also:\n\n vtkDirectionEncoder\n\n",
  NULL
};

static vtkObjectBase *vtkSphericalDirectionEncoderStaticNew()
{
  return vtkSphericalDirectionEncoder::New();
}

PyObject *PyVTKClass_vtkSphericalDirectionEncoderNew(char *modulename)
{
  return PyVTKClass_New(&vtkSphericalDirectionEncoderStaticNew,
                        PyvtkSphericalDirectionEncoderMethods,
                        (char*)"vtkSphericalDirectionEncoder",modulename,
                        (char**)vtkSphericalDirectionEncoderDoc,
                        PyVTKClass_vtkDirectionEncoderNew(modulename));
}

