// python wrapper for vtkUnstructuredGridLinearRayIntegrator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnstructuredGridLinearRayIntegrator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridLinearRayIntegratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridLinearRayIntegratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayIntegratorNew(char *); }

static PyObject *PyvtkUnstructuredGridLinearRayIntegrator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridLinearRayIntegrator *op;

  const char    *temp20;
  op = (vtkUnstructuredGridLinearRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridLinearRayIntegrator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridLinearRayIntegrator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridLinearRayIntegrator *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnstructuredGridLinearRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridLinearRayIntegrator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridLinearRayIntegrator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridLinearRayIntegrator *op;

  vtkUnstructuredGridLinearRayIntegrator  *temp20;
  op = (vtkUnstructuredGridLinearRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridLinearRayIntegrator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridLinearRayIntegrator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnstructuredGridLinearRayIntegrator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnstructuredGridLinearRayIntegrator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridLinearRayIntegrator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridLinearRayIntegrator *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  op = (vtkUnstructuredGridLinearRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridLinearRayIntegrator::Initialize(temp0,temp1);
      }
    else
      {
      op->Initialize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridLinearRayIntegrator_Integrate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridLinearRayIntegrator *op;

  vtkDoubleArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  float  temp3[4];
  op = (vtkUnstructuredGridLinearRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"OOO(ffff)", &tempH0, &tempH1, &tempH2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3);
  if (op)
    {
    temp0 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDoubleArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break5;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridLinearRayIntegrator::Integrate(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->Integrate(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,3,temp3,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridLinearRayIntegrator_IntegrateRay(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  float  temp5[4];
  if ((PyArg_ParseTuple(args, (char*)"ddddd(ffff)", &temp0, &temp1, &temp2, &temp3, &temp4, temp5 + 0, temp5 + 1, temp5 + 2, temp5 + 3)))
    {
      {
      vtkUnstructuredGridLinearRayIntegrator::IntegrateRay(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    if (vtkPythonCheckArray(args,5,temp5,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  double   temp0;
  double temp1[3];
  double   temp2;
  double temp3[3];
  double   temp4;
  float  temp5[4];
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"d(ddd)d(ddd)d(ffff)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &temp2, temp3 + 0, temp3 + 1, temp3 + 2, &temp4, temp5 + 0, temp5 + 1, temp5 + 2, temp5 + 3)))
    {
      {
      vtkUnstructuredGridLinearRayIntegrator::IntegrateRay(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    if (vtkPythonCheckArray(args,5,temp5,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridLinearRayIntegrator_Psi(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"fff", &temp0, &temp1, &temp2)))
    {
      {
      temp20 = vtkUnstructuredGridLinearRayIntegrator::Psi(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridLinearRayIntegratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridLinearRayIntegrator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridLinearRayIntegrator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridLinearRayIntegrator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridLinearRayIntegrator\nC++: vtkUnstructuredGridLinearRayIntegrator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnstructuredGridLinearRayIntegrator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnstructuredGridLinearRayIntegrator\nC++: vtkUnstructuredGridLinearRayIntegrator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkUnstructuredGridLinearRayIntegrator_Initialize, 1,
   (char*)"V.Initialize(vtkVolume, vtkDataArray)\nC++: virtual void Initialize (vtkVolume *volume, vtkDataArray *scalars);\n\n"},
  {(char*)"Integrate",                (PyCFunction)PyvtkUnstructuredGridLinearRayIntegrator_Integrate, 1,
   (char*)"V.Integrate(vtkDoubleArray, vtkDataArray, vtkDataArray, (float, float, float, float))\nC++: virtual void Integrate (vtkDoubleArray *intersectionLengths, vtkDataArray *nearIntersections, vtkDataArray *farIntersections, float color[4]);\n\n"},
  {(char*)"IntegrateRay",                (PyCFunction)PyvtkUnstructuredGridLinearRayIntegrator_IntegrateRay, 1,
   (char*)"V.IntegrateRay(float, float, float, float, float, (float, float, float, float))\nC++: static void IntegrateRay (double length, double intensity_front, double attenuation_front, double intensity_back, double attenuation_back, float color[4]);\nV.IntegrateRay(float, (float, float, float), float, (float, float, float), float, (float, float, float, float))\nC++: static void IntegrateRay (double length, const double color_front[3], double attenuation_front, const double color_back[3], double attenuation_back, float color[4]);\n\n Integrates a single ray segment.  \\c color is blended with the result\n (with \\c color in front).  The result is written back into \\c color.\n"},
  {(char*)"Psi",                (PyCFunction)PyvtkUnstructuredGridLinearRayIntegrator_Psi, 1,
   (char*)"V.Psi(float, float, float) -> float\nC++: static float Psi (float length, float attenuation_front, float attenuation_back);\n\n Computes Psi (as defined by Moreland and Angel, \"A Fast High Accuracy\n Volume Renderer for Unstructured Data\").\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridLinearRayIntegratorDoc[] = {
  (char*)"vtkUnstructuredGridLinearRayIntegrator - performs piecewise linear ray integration.\n\n",
  "Super Class:\n\n vtkUnstructuredGridVolumeRayIntegrator\n\n",
  (char*)"\n vtkUnstructuredGridLinearRayIntegrator performs piecewise linear ray\n integration.  Considering that transfer functions in VTK are piecewise\n linear, this class should give the \"correct\" integration under most\n circumstances.  However, the computations performed are fairly hefty and\n should, for the most part, only be used as a benchmark for other, faster\n methods.\n\n\n",
  "See Also:\n\n vtkUnstructuredGridPartialPreIntegration\n\n\n",
  NULL
};

static vtkObjectBase *vtkUnstructuredGridLinearRayIntegratorStaticNew()
{
  return vtkUnstructuredGridLinearRayIntegrator::New();
}

PyObject *PyVTKClass_vtkUnstructuredGridLinearRayIntegratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnstructuredGridLinearRayIntegratorStaticNew,
                        PyvtkUnstructuredGridLinearRayIntegratorMethods,
                        (char*)"vtkUnstructuredGridLinearRayIntegrator",modulename,
                        (char**)vtkUnstructuredGridLinearRayIntegratorDoc,
                        PyVTKClass_vtkUnstructuredGridVolumeRayIntegratorNew(modulename));
}

