// python wrapper for vtkUnstructuredGridPreIntegration object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnstructuredGridPreIntegration.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridPreIntegrationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridPreIntegrationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayIntegratorNew(char *); }

static PyObject *PyvtkUnstructuredGridPreIntegration_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  const char    *temp20;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridPreIntegration::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridPreIntegration::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  vtkUnstructuredGridPreIntegration  *temp20;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridPreIntegration::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnstructuredGridPreIntegration  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnstructuredGridPreIntegration::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridPreIntegration::Initialize(temp0,temp1);
      }
    else
      {
      op->Initialize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_Integrate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  vtkDoubleArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  float  temp3[4];
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"OOO(ffff)", &tempH0, &tempH1, &tempH2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3);
  if (op)
    {
    temp0 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDoubleArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break5;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridPreIntegration::Integrate(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->Integrate(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,3,temp3,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_GetIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  vtkUnstructuredGridVolumeRayIntegrator  *temp20;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridPreIntegration::GetIntegrator();
      }
    else
      {
      temp20 = op->GetIntegrator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_SetIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  vtkUnstructuredGridVolumeRayIntegrator  *temp0;
  PyObject *tempH0;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnstructuredGridVolumeRayIntegrator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGridVolumeRayIntegrator");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridPreIntegration::SetIntegrator(temp0);
      }
    else
      {
      op->SetIntegrator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_SetIntegrationTableScalarResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  int      temp0;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridPreIntegration::SetIntegrationTableScalarResolution(temp0);
      }
    else
      {
      op->SetIntegrationTableScalarResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_GetIntegrationTableScalarResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  int      temp20;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridPreIntegration::GetIntegrationTableScalarResolution();
      }
    else
      {
      temp20 = op->GetIntegrationTableScalarResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_SetIntegrationTableLengthResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  int      temp0;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridPreIntegration::SetIntegrationTableLengthResolution(temp0);
      }
    else
      {
      op->SetIntegrationTableLengthResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_GetIntegrationTableLengthResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  int      temp20;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridPreIntegration::GetIntegrationTableLengthResolution();
      }
    else
      {
      temp20 = op->GetIntegrationTableLengthResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_GetIntegrationTableScalarShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  int      temp0;
  double   temp20;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridPreIntegration::GetIntegrationTableScalarShift(temp0);
      }
    else
      {
      temp20 = op->GetIntegrationTableScalarShift(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_GetIntegrationTableScalarScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  int      temp0;
  double   temp20;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridPreIntegration::GetIntegrationTableScalarScale(temp0);
      }
    else
      {
      temp20 = op->GetIntegrationTableScalarScale(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_GetIntegrationTableLengthScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  double   temp20;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridPreIntegration::GetIntegrationTableLengthScale();
      }
    else
      {
      temp20 = op->GetIntegrationTableLengthScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_GetIncrementalPreIntegration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  int      temp20;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridPreIntegration::GetIncrementalPreIntegration();
      }
    else
      {
      temp20 = op->GetIncrementalPreIntegration();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_SetIncrementalPreIntegration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  int      temp0;
  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridPreIntegration::SetIncrementalPreIntegration(temp0);
      }
    else
      {
      op->SetIncrementalPreIntegration(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_IncrementalPreIntegrationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridPreIntegration::IncrementalPreIntegrationOn();
      }
    else
      {
      op->IncrementalPreIntegrationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridPreIntegration_IncrementalPreIntegrationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridPreIntegration *op;

  op = (vtkUnstructuredGridPreIntegration *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridPreIntegration::IncrementalPreIntegrationOff();
      }
    else
      {
      op->IncrementalPreIntegrationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridPreIntegrationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridPreIntegration\nC++: vtkUnstructuredGridPreIntegration *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnstructuredGridPreIntegration\nC++: vtkUnstructuredGridPreIntegration *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_Initialize, 1,
   (char*)"V.Initialize(vtkVolume, vtkDataArray)\nC++: virtual void Initialize (vtkVolume *volume, vtkDataArray *scalars);\n\n"},
  {(char*)"Integrate",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_Integrate, 1,
   (char*)"V.Integrate(vtkDoubleArray, vtkDataArray, vtkDataArray, (float, float, float, float))\nC++: virtual void Integrate (vtkDoubleArray *intersectionLengths, vtkDataArray *nearIntersections, vtkDataArray *farIntersections, float color[4]);\n\n"},
  {(char*)"GetIntegrator",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_GetIntegrator, 1,
   (char*)"V.GetIntegrator() -> vtkUnstructuredGridVolumeRayIntegrator\nC++: vtkUnstructuredGridVolumeRayIntegrator *GetIntegrator ();\n\n The class used to fill the pre integration table.  By default, a\n vtkUnstructuredGridPartialPreIntegration is built.\n"},
  {(char*)"SetIntegrator",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_SetIntegrator, 1,
   (char*)"V.SetIntegrator(vtkUnstructuredGridVolumeRayIntegrator)\nC++: virtual void SetIntegrator (vtkUnstructuredGridVolumeRayIntegrator *);\n\n The class used to fill the pre integration table.  By default, a\n vtkUnstructuredGridPartialPreIntegration is built.\n"},
  {(char*)"SetIntegrationTableScalarResolution",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_SetIntegrationTableScalarResolution, 1,
   (char*)"V.SetIntegrationTableScalarResolution(int)\nC++: void SetIntegrationTableScalarResolution (int );\n\n Set/Get the size of the integration table built.\n"},
  {(char*)"GetIntegrationTableScalarResolution",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_GetIntegrationTableScalarResolution, 1,
   (char*)"V.GetIntegrationTableScalarResolution() -> int\nC++: int GetIntegrationTableScalarResolution ();\n\n Set/Get the size of the integration table built.\n"},
  {(char*)"SetIntegrationTableLengthResolution",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_SetIntegrationTableLengthResolution, 1,
   (char*)"V.SetIntegrationTableLengthResolution(int)\nC++: void SetIntegrationTableLengthResolution (int );\n\n Set/Get the size of the integration table built.\n"},
  {(char*)"GetIntegrationTableLengthResolution",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_GetIntegrationTableLengthResolution, 1,
   (char*)"V.GetIntegrationTableLengthResolution() -> int\nC++: int GetIntegrationTableLengthResolution ();\n\n Set/Get the size of the integration table built.\n"},
  {(char*)"GetIntegrationTableScalarShift",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_GetIntegrationTableScalarShift, 1,
   (char*)"V.GetIntegrationTableScalarShift(int) -> float\nC++: virtual double GetIntegrationTableScalarShift (int component);\n\n Get how an integration table is indexed.\n"},
  {(char*)"GetIntegrationTableScalarScale",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_GetIntegrationTableScalarScale, 1,
   (char*)"V.GetIntegrationTableScalarScale(int) -> float\nC++: virtual double GetIntegrationTableScalarScale (int component);\n\n Get how an integration table is indexed.\n"},
  {(char*)"GetIntegrationTableLengthScale",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_GetIntegrationTableLengthScale, 1,
   (char*)"V.GetIntegrationTableLengthScale() -> float\nC++: virtual double GetIntegrationTableLengthScale ();\n\n Get how an integration table is indexed.\n"},
  {(char*)"GetIncrementalPreIntegration",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_GetIncrementalPreIntegration, 1,
   (char*)"V.GetIncrementalPreIntegration() -> int\nC++: int GetIncrementalPreIntegration ();\n\n Get/set whether to use incremental pre-integration (by default it's\n on).  Incremental pre-integration is much faster but can introduce\n error due to numerical imprecision.  Under most circumstances, the\n error is not noticable.\n"},
  {(char*)"SetIncrementalPreIntegration",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_SetIncrementalPreIntegration, 1,
   (char*)"V.SetIncrementalPreIntegration(int)\nC++: void SetIncrementalPreIntegration (int );\n\n Get/set whether to use incremental pre-integration (by default it's\n on).  Incremental pre-integration is much faster but can introduce\n error due to numerical imprecision.  Under most circumstances, the\n error is not noticable.\n"},
  {(char*)"IncrementalPreIntegrationOn",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_IncrementalPreIntegrationOn, 1,
   (char*)"V.IncrementalPreIntegrationOn()\nC++: void IncrementalPreIntegrationOn ();\n\n Get/set whether to use incremental pre-integration (by default it's\n on).  Incremental pre-integration is much faster but can introduce\n error due to numerical imprecision.  Under most circumstances, the\n error is not noticable.\n"},
  {(char*)"IncrementalPreIntegrationOff",                (PyCFunction)PyvtkUnstructuredGridPreIntegration_IncrementalPreIntegrationOff, 1,
   (char*)"V.IncrementalPreIntegrationOff()\nC++: void IncrementalPreIntegrationOff ();\n\n Get/set whether to use incremental pre-integration (by default it's\n on).  Incremental pre-integration is much faster but can introduce\n error due to numerical imprecision.  Under most circumstances, the\n error is not noticable.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridPreIntegrationDoc[] = {
  (char*)"vtkUnstructuredGridPreIntegration - performs ray integration with pre-integration tables.\n\n",
  "Super Class:\n\n vtkUnstructuredGridVolumeRayIntegrator\n\n",
  (char*)"\n vtkUnstructuredGridPreIntegration performs ray integration by looking\n into a precomputed table.  The result should be equivalent to that\n computed by vtkUnstructuredGridLinearRayIntegrator and\n vtkUnstructuredGridPartialPreIntegration, but faster than either one.\n The pre-integration algorithm was first introduced by Roettger, Kraus,\n and Ertl in \"Hardware-Accelerated Volume And Isosurface Rend",
  (char*)"ering Based\n On Cell-Projection.\"\n\n Due to table size limitations, a table can only be indexed by\n independent scalars.  Thus, dependent scalars are not supported.\n\n\n",
  NULL
};

static vtkObjectBase *vtkUnstructuredGridPreIntegrationStaticNew()
{
  return vtkUnstructuredGridPreIntegration::New();
}

PyObject *PyVTKClass_vtkUnstructuredGridPreIntegrationNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnstructuredGridPreIntegrationStaticNew,
                        PyvtkUnstructuredGridPreIntegrationMethods,
                        (char*)"vtkUnstructuredGridPreIntegration",modulename,
                        (char**)vtkUnstructuredGridPreIntegrationDoc,
                        PyVTKClass_vtkUnstructuredGridVolumeRayIntegratorNew(modulename));
}

