// tcl wrapper for vtkUnstructuredGridPreIntegration object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridPreIntegration.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkUnstructuredGridPreIntegrationNewCommand()
{
  vtkUnstructuredGridPreIntegration *temp = vtkUnstructuredGridPreIntegration::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridVolumeRayIntegratorCppCommand(vtkUnstructuredGridVolumeRayIntegrator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkUnstructuredGridPreIntegrationCppCommand(vtkUnstructuredGridPreIntegration *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkUnstructuredGridPreIntegrationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkUnstructuredGridPreIntegrationCppCommand(static_cast<vtkUnstructuredGridPreIntegration *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkUnstructuredGridPreIntegrationCppCommand(vtkUnstructuredGridPreIntegration *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkUnstructuredGridPreIntegration",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridVolumeRayIntegratorCppCommand(static_cast<vtkUnstructuredGridVolumeRayIntegrator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridVolumeRayIntegrator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridPreIntegration  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridPreIntegration");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkUnstructuredGridPreIntegration  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridPreIntegration");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridPreIntegration  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridPreIntegration");
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 4))
    {
    vtkVolume  *temp0;
    vtkDataArray  *temp1;
    error = 0;

    temp0 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVolume"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    op->Initialize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrator",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridVolumeRayIntegrator  *temp20;
    temp20 = (op)->GetIntegrator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridVolumeRayIntegrator");
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrator",argv[1]))&&(argc == 3))
    {
    vtkUnstructuredGridVolumeRayIntegrator  *temp0;
    error = 0;

    temp0 = (vtkUnstructuredGridVolumeRayIntegrator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnstructuredGridVolumeRayIntegrator"),interp,error));
    if (!error)
    {
    op->SetIntegrator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIntegrationTableScalarResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationTableScalarResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationTableScalarResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationTableScalarResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationTableLengthResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationTableLengthResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationTableLengthResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationTableLengthResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationTableScalarShift",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetIntegrationTableScalarShift(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationTableScalarScale",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetIntegrationTableScalarScale(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationTableLengthScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIntegrationTableLengthScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIncrementalPreIntegration",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIncrementalPreIntegration();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIncrementalPreIntegration",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIncrementalPreIntegration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IncrementalPreIntegrationOn",argv[1]))&&(argc == 2))
    {
    op->IncrementalPreIntegrationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IncrementalPreIntegrationOff",argv[1]))&&(argc == 2))
    {
    op->IncrementalPreIntegrationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkUnstructuredGridPreIntegrationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridVolumeRayIntegratorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkUnstructuredGridPreIntegration:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrator\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationTableScalarResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationTableScalarResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationTableLengthResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationTableLengthResolution\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationTableScalarShift\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationTableScalarScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationTableLengthScale\n",NULL);
    Tcl_AppendResult(interp,"  GetIncrementalPreIntegration\n",NULL);
    Tcl_AppendResult(interp,"  SetIncrementalPreIntegration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IncrementalPreIntegrationOn\n",NULL);
    Tcl_AppendResult(interp,"  IncrementalPreIntegrationOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridVolumeRayIntegratorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationTableScalarResolution" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationTableScalarResolution" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationTableLengthResolution" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationTableLengthResolution" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationTableScalarShift" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationTableScalarScale" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationTableLengthScale" );
    Tcl_DStringAppendElement ( &dString, "GetIncrementalPreIntegration" );
    Tcl_DStringAppendElement ( &dString, "SetIncrementalPreIntegration" );
    Tcl_DStringAppendElement ( &dString, "IncrementalPreIntegrationOn" );
    Tcl_DStringAppendElement ( &dString, "IncrementalPreIntegrationOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridVolumeRayIntegratorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkUnstructuredGridPreIntegration *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize (vtkVolume *volume, vtkDataArray *scalars);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrator */
    if ( strcmp ( argv[2], "GetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrator */
    Tcl_DStringAppendElement ( &dString, " The class used to fill the pre integration table.  By default, a\n vtkUnstructuredGridPartialPreIntegration is built.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayIntegrator *GetIntegrator ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for GetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrator */
    if ( strcmp ( argv[2], "SetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayIntegrator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrator */
    Tcl_DStringAppendElement ( &dString, " The class used to fill the pre integration table.  By default, a\n vtkUnstructuredGridPartialPreIntegration is built.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetIntegrator (vtkUnstructuredGridVolumeRayIntegrator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for SetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationTableScalarResolution */
    if ( strcmp ( argv[2], "SetIntegrationTableScalarResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationTableScalarResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationTableScalarResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the integration table built.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationTableScalarResolution (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for SetIntegrationTableScalarResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationTableScalarResolution */
    if ( strcmp ( argv[2], "GetIntegrationTableScalarResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationTableScalarResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationTableScalarResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the integration table built.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationTableScalarResolution ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for GetIntegrationTableScalarResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationTableLengthResolution */
    if ( strcmp ( argv[2], "SetIntegrationTableLengthResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationTableLengthResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationTableLengthResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the integration table built.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationTableLengthResolution (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for SetIntegrationTableLengthResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationTableLengthResolution */
    if ( strcmp ( argv[2], "GetIntegrationTableLengthResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationTableLengthResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationTableLengthResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the integration table built.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationTableLengthResolution ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for GetIntegrationTableLengthResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationTableScalarShift */
    if ( strcmp ( argv[2], "GetIntegrationTableScalarShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationTableScalarShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationTableScalarShift */
    Tcl_DStringAppendElement ( &dString, " Get how an integration table is indexed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetIntegrationTableScalarShift (int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for GetIntegrationTableScalarShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationTableScalarScale */
    if ( strcmp ( argv[2], "GetIntegrationTableScalarScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationTableScalarScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationTableScalarScale */
    Tcl_DStringAppendElement ( &dString, " Get how an integration table is indexed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetIntegrationTableScalarScale (int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for GetIntegrationTableScalarScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationTableLengthScale */
    if ( strcmp ( argv[2], "GetIntegrationTableLengthScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationTableLengthScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationTableLengthScale */
    Tcl_DStringAppendElement ( &dString, " Get how an integration table is indexed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetIntegrationTableLengthScale ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for GetIntegrationTableLengthScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIncrementalPreIntegration */
    if ( strcmp ( argv[2], "GetIncrementalPreIntegration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIncrementalPreIntegration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIncrementalPreIntegration */
    Tcl_DStringAppendElement ( &dString, " Get/set whether to use incremental pre-integration (by default it's\n on).  Incremental pre-integration is much faster but can introduce\n error due to numerical imprecision.  Under most circumstances, the\n error is not noticable.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIncrementalPreIntegration ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for GetIncrementalPreIntegration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIncrementalPreIntegration */
    if ( strcmp ( argv[2], "SetIncrementalPreIntegration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIncrementalPreIntegration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIncrementalPreIntegration */
    Tcl_DStringAppendElement ( &dString, " Get/set whether to use incremental pre-integration (by default it's\n on).  Incremental pre-integration is much faster but can introduce\n error due to numerical imprecision.  Under most circumstances, the\n error is not noticable.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIncrementalPreIntegration (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for SetIncrementalPreIntegration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncrementalPreIntegrationOn */
    if ( strcmp ( argv[2], "IncrementalPreIntegrationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncrementalPreIntegrationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncrementalPreIntegrationOn */
    Tcl_DStringAppendElement ( &dString, " Get/set whether to use incremental pre-integration (by default it's\n on).  Incremental pre-integration is much faster but can introduce\n error due to numerical imprecision.  Under most circumstances, the\n error is not noticable.\n" );
    Tcl_DStringAppendElement ( &dString, "void IncrementalPreIntegrationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for IncrementalPreIntegrationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncrementalPreIntegrationOff */
    if ( strcmp ( argv[2], "IncrementalPreIntegrationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncrementalPreIntegrationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncrementalPreIntegrationOff */
    Tcl_DStringAppendElement ( &dString, " Get/set whether to use incremental pre-integration (by default it's\n on).  Incremental pre-integration is much faster but can introduce\n error due to numerical imprecision.  Under most circumstances, the\n error is not noticable.\n" );
    Tcl_DStringAppendElement ( &dString, "void IncrementalPreIntegrationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridPreIntegration" );
    /* Closing for IncrementalPreIntegrationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridVolumeRayIntegratorCppCommand(static_cast<vtkUnstructuredGridVolumeRayIntegrator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
