// python wrapper for vtkUnstructuredGridVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnstructuredGridVolumeMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridVolumeMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractVolumeMapperNew(char *); }

static PyObject *PyvtkUnstructuredGridVolumeMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeMapper *op;

  const char    *temp20;
  op = (vtkUnstructuredGridVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnstructuredGridVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeMapper *op;

  vtkUnstructuredGridVolumeMapper  *temp20;
  op = (vtkUnstructuredGridVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeMapper_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeMapper *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  op = (vtkUnstructuredGridVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeMapper *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkUnstructuredGridVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeMapper_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeMapper *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkUnstructuredGridVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeMapper::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeMapper_SetBlendMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeMapper *op;

  int      temp0;
  op = (vtkUnstructuredGridVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeMapper::SetBlendMode(temp0);
      }
    else
      {
      op->SetBlendMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeMapper_SetBlendModeToComposite(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeMapper *op;

  op = (vtkUnstructuredGridVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeMapper::SetBlendModeToComposite();
      }
    else
      {
      op->SetBlendModeToComposite();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeMapper_SetBlendModeToMaximumIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeMapper *op;

  op = (vtkUnstructuredGridVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeMapper::SetBlendModeToMaximumIntensity();
      }
    else
      {
      op->SetBlendModeToMaximumIntensity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeMapper_GetBlendMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeMapper *op;

  int      temp20;
  op = (vtkUnstructuredGridVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeMapper::GetBlendMode();
      }
    else
      {
      temp20 = op->GetBlendMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridVolumeMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridVolumeMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridVolumeMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridVolumeMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridVolumeMapper\nC++: vtkUnstructuredGridVolumeMapper *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkUnstructuredGridVolumeMapper_SetInput, 1,
   (char*)"V.SetInput(vtkUnstructuredGrid)\nC++: virtual void SetInput (vtkUnstructuredGrid *);\nV.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *);\n\n Set/Get the input data\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkUnstructuredGridVolumeMapper_GetInput, 1,
   (char*)"V.GetInput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetInput ();\n\n Set/Get the input data\n"},
  {(char*)"SetBlendMode",                (PyCFunction)PyvtkUnstructuredGridVolumeMapper_SetBlendMode, 1,
   (char*)"V.SetBlendMode(int)\nC++: void SetBlendMode (int );\n\n"},
  {(char*)"SetBlendModeToComposite",                (PyCFunction)PyvtkUnstructuredGridVolumeMapper_SetBlendModeToComposite, 1,
   (char*)"V.SetBlendModeToComposite()\nC++: void SetBlendModeToComposite ();this SetBlendMode vtkUnstructuredGridVolumeMapper COMPOSITE_BLEND \n\n"},
  {(char*)"SetBlendModeToMaximumIntensity",                (PyCFunction)PyvtkUnstructuredGridVolumeMapper_SetBlendModeToMaximumIntensity, 1,
   (char*)"V.SetBlendModeToMaximumIntensity()\nC++: void SetBlendModeToMaximumIntensity ();this SetBlendMode vtkUnstructuredGridVolumeMapper MAXIMUM_INTENSITY_BLEND \n\n"},
  {(char*)"GetBlendMode",                (PyCFunction)PyvtkUnstructuredGridVolumeMapper_GetBlendMode, 1,
   (char*)"V.GetBlendMode() -> int\nC++: int GetBlendMode ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridVolumeMapperDoc[] = {
  (char*)"vtkUnstructuredGridVolumeMapper - Abstract class for a unstructured grid volume mapper\n\n",
  "Super Class:\n\n vtkAbstractVolumeMapper\n\n",
  (char*)" vtkUnstructuredGridVolumeMapper is the abstract definition of a volume mapper for \n unstructured data (vtkUnstructuredGrid).  Several  basic types of volume mappers \n are supported as subclasses\n\n",
  "See Also:\n\n vtkUnstructuredGridVolumeRayCastMapper\n\n",
  NULL
};

PyObject *PyVTKClass_vtkUnstructuredGridVolumeMapperNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkUnstructuredGridVolumeMapperMethods,
                        (char*)"vtkUnstructuredGridVolumeMapper",modulename,
                        (char**)vtkUnstructuredGridVolumeMapperDoc,
                        PyVTKClass_vtkAbstractVolumeMapperNew(modulename));
}

