// python wrapper for vtkUnstructuredGridVolumeRayCastFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnstructuredGridVolumeRayCastFunction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayCastFunctionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayCastFunctionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkUnstructuredGridVolumeRayCastFunction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastFunction *op;

  const char    *temp20;
  op = (vtkUnstructuredGridVolumeRayCastFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastFunction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastFunction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastFunction *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnstructuredGridVolumeRayCastFunction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastFunction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastFunction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastFunction *op;

  vtkUnstructuredGridVolumeRayCastFunction  *temp20;
  op = (vtkUnstructuredGridVolumeRayCastFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastFunction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridVolumeRayCastFunctionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridVolumeRayCastFunction\nC++: vtkUnstructuredGridVolumeRayCastFunction *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridVolumeRayCastFunctionDoc[] = {
  (char*)"vtkUnstructuredGridVolumeRayCastFunction - a superclass for ray casting functions\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkUnstructuredGridVolumeRayCastFunction is a superclass for ray casting functions that \n can be used within a vtkUnstructuredGridVolumeRayCastMapper. \n\n",
  "See Also:\n\n vtkUnstructuredGridVolumeRayCastMapper vtkUnstructuredGridVolumeRayIntegrator\n\n",
  NULL
};

PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayCastFunctionNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkUnstructuredGridVolumeRayCastFunctionMethods,
                        (char*)"vtkUnstructuredGridVolumeRayCastFunction",modulename,
                        (char**)vtkUnstructuredGridVolumeRayCastFunctionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

