// python wrapper for vtkUnstructuredGridVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnstructuredGridVolumeRayCastMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayCastMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayCastMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeMapperNew(char *); }

static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  const char    *temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  vtkUnstructuredGridVolumeRayCastMapper  *temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnstructuredGridVolumeRayCastMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnstructuredGridVolumeRayCastMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_SetImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::SetImageSampleDistance(temp0);
      }
    else
      {
      op->SetImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetImageSampleDistance();
      }
    else
      {
      temp20 = op->GetImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_SetMinimumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::SetMinimumImageSampleDistance(temp0);
      }
    else
      {
      op->SetMinimumImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetMinimumImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetMinimumImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetMinimumImageSampleDistance();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_SetMaximumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::SetMaximumImageSampleDistance(temp0);
      }
    else
      {
      op->SetMaximumImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetMaximumImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetMaximumImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetMaximumImageSampleDistance();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_SetAutoAdjustSampleDistances(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  int      temp0;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::SetAutoAdjustSampleDistances(temp0);
      }
    else
      {
      op->SetAutoAdjustSampleDistances(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetAutoAdjustSampleDistancesMinValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistancesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetAutoAdjustSampleDistancesMaxValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistancesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistances(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetAutoAdjustSampleDistances();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistances();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_AutoAdjustSampleDistancesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::AutoAdjustSampleDistancesOn();
      }
    else
      {
      op->AutoAdjustSampleDistancesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_AutoAdjustSampleDistancesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::AutoAdjustSampleDistancesOff();
      }
    else
      {
      op->AutoAdjustSampleDistancesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_SetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  int      temp0;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::SetNumberOfThreads(temp0);
      }
    else
      {
      op->SetNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetNumberOfThreads();
      }
    else
      {
      temp20 = op->GetNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_SetIntermixIntersectingGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  int      temp0;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::SetIntermixIntersectingGeometry(temp0);
      }
    else
      {
      op->SetIntermixIntersectingGeometry(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetIntermixIntersectingGeometryMinValue();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometryMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetIntermixIntersectingGeometryMaxValue();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometryMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetIntermixIntersectingGeometry();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_IntermixIntersectingGeometryOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::IntermixIntersectingGeometryOn();
      }
    else
      {
      op->IntermixIntersectingGeometryOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_IntermixIntersectingGeometryOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::IntermixIntersectingGeometryOff();
      }
    else
      {
      op->IntermixIntersectingGeometryOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_SetRayCastFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  vtkUnstructuredGridVolumeRayCastFunction  *temp0;
  PyObject *tempH0;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnstructuredGridVolumeRayCastFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGridVolumeRayCastFunction");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::SetRayCastFunction(temp0);
      }
    else
      {
      op->SetRayCastFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetRayCastFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  vtkUnstructuredGridVolumeRayCastFunction  *temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetRayCastFunction();
      }
    else
      {
      temp20 = op->GetRayCastFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_SetRayIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  vtkUnstructuredGridVolumeRayIntegrator  *temp0;
  PyObject *tempH0;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnstructuredGridVolumeRayIntegrator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGridVolumeRayIntegrator");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::SetRayIntegrator(temp0);
      }
    else
      {
      op->SetRayIntegrator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_GetRayIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  vtkUnstructuredGridVolumeRayIntegrator  *temp20;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastMapper::GetRayIntegrator();
      }
    else
      {
      temp20 = op->GetRayIntegrator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastMapper_CastRays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastMapper *op;

  int      temp0;
  int      temp1;
  op = (vtkUnstructuredGridVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastMapper::CastRays(temp0,temp1);
      }
    else
      {
      op->CastRays(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridVolumeRayCastMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridVolumeRayCastMapper\nC++: vtkUnstructuredGridVolumeRayCastMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnstructuredGridVolumeRayCastMapper\nC++: vtkUnstructuredGridVolumeRayCastMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetImageSampleDistance",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_SetImageSampleDistance, 1,
   (char*)"V.SetImageSampleDistance(float)\nC++: void SetImageSampleDistance (float );\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n"},
  {(char*)"GetImageSampleDistanceMinValue",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistanceMinValue, 1,
   (char*)"V.GetImageSampleDistanceMinValue() -> float\nC++: float GetImageSampleDistanceMinValue ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n"},
  {(char*)"GetImageSampleDistanceMaxValue",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistanceMaxValue, 1,
   (char*)"V.GetImageSampleDistanceMaxValue() -> float\nC++: float GetImageSampleDistanceMaxValue ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n"},
  {(char*)"GetImageSampleDistance",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistance, 1,
   (char*)"V.GetImageSampleDistance() -> float\nC++: float GetImageSampleDistance ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n"},
  {(char*)"SetMinimumImageSampleDistance",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_SetMinimumImageSampleDistance, 1,
   (char*)"V.SetMinimumImageSampleDistance(float)\nC++: void SetMinimumImageSampleDistance (float );\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMinimumImageSampleDistanceMinValue",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue, 1,
   (char*)"V.GetMinimumImageSampleDistanceMinValue() -> float\nC++: float GetMinimumImageSampleDistanceMinValue ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMinimumImageSampleDistanceMaxValue",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue, 1,
   (char*)"V.GetMinimumImageSampleDistanceMaxValue() -> float\nC++: float GetMinimumImageSampleDistanceMaxValue ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMinimumImageSampleDistance",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistance, 1,
   (char*)"V.GetMinimumImageSampleDistance() -> float\nC++: float GetMinimumImageSampleDistance ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"SetMaximumImageSampleDistance",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_SetMaximumImageSampleDistance, 1,
   (char*)"V.SetMaximumImageSampleDistance(float)\nC++: void SetMaximumImageSampleDistance (float );\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMaximumImageSampleDistanceMinValue",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue, 1,
   (char*)"V.GetMaximumImageSampleDistanceMinValue() -> float\nC++: float GetMaximumImageSampleDistanceMinValue ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMaximumImageSampleDistanceMaxValue",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue, 1,
   (char*)"V.GetMaximumImageSampleDistanceMaxValue() -> float\nC++: float GetMaximumImageSampleDistanceMaxValue ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMaximumImageSampleDistance",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistance, 1,
   (char*)"V.GetMaximumImageSampleDistance() -> float\nC++: float GetMaximumImageSampleDistance ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"SetAutoAdjustSampleDistances",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_SetAutoAdjustSampleDistances, 1,
   (char*)"V.SetAutoAdjustSampleDistances(int)\nC++: void SetAutoAdjustSampleDistances (int );\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"GetAutoAdjustSampleDistancesMinValue",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue, 1,
   (char*)"V.GetAutoAdjustSampleDistancesMinValue() -> int\nC++: int GetAutoAdjustSampleDistancesMinValue ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"GetAutoAdjustSampleDistancesMaxValue",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue, 1,
   (char*)"V.GetAutoAdjustSampleDistancesMaxValue() -> int\nC++: int GetAutoAdjustSampleDistancesMaxValue ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"GetAutoAdjustSampleDistances",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistances, 1,
   (char*)"V.GetAutoAdjustSampleDistances() -> int\nC++: int GetAutoAdjustSampleDistances ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"AutoAdjustSampleDistancesOn",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_AutoAdjustSampleDistancesOn, 1,
   (char*)"V.AutoAdjustSampleDistancesOn()\nC++: void AutoAdjustSampleDistancesOn ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"AutoAdjustSampleDistancesOff",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_AutoAdjustSampleDistancesOff, 1,
   (char*)"V.AutoAdjustSampleDistancesOff()\nC++: void AutoAdjustSampleDistancesOff ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"SetNumberOfThreads",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_SetNumberOfThreads, 1,
   (char*)"V.SetNumberOfThreads(int)\nC++: void SetNumberOfThreads (int );\n\n Set/Get the number of threads to use. This by default is equal to\n the number of available processors detected.\n"},
  {(char*)"GetNumberOfThreads",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetNumberOfThreads, 1,
   (char*)"V.GetNumberOfThreads() -> int\nC++: int GetNumberOfThreads ();\n\n Set/Get the number of threads to use. This by default is equal to\n the number of available processors detected.\n"},
  {(char*)"SetIntermixIntersectingGeometry",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_SetIntermixIntersectingGeometry, 1,
   (char*)"V.SetIntermixIntersectingGeometry(int)\nC++: void SetIntermixIntersectingGeometry (int );\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"GetIntermixIntersectingGeometryMinValue",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue, 1,
   (char*)"V.GetIntermixIntersectingGeometryMinValue() -> int\nC++: int GetIntermixIntersectingGeometryMinValue ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"GetIntermixIntersectingGeometryMaxValue",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue, 1,
   (char*)"V.GetIntermixIntersectingGeometryMaxValue() -> int\nC++: int GetIntermixIntersectingGeometryMaxValue ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"GetIntermixIntersectingGeometry",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometry, 1,
   (char*)"V.GetIntermixIntersectingGeometry() -> int\nC++: int GetIntermixIntersectingGeometry ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"IntermixIntersectingGeometryOn",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_IntermixIntersectingGeometryOn, 1,
   (char*)"V.IntermixIntersectingGeometryOn()\nC++: void IntermixIntersectingGeometryOn ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"IntermixIntersectingGeometryOff",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_IntermixIntersectingGeometryOff, 1,
   (char*)"V.IntermixIntersectingGeometryOff()\nC++: void IntermixIntersectingGeometryOff ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"SetRayCastFunction",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_SetRayCastFunction, 1,
   (char*)"V.SetRayCastFunction(vtkUnstructuredGridVolumeRayCastFunction)\nC++: virtual void SetRayCastFunction (vtkUnstructuredGridVolumeRayCastFunction *f);\n\n Set/Get the helper class for casting rays.\n"},
  {(char*)"GetRayCastFunction",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetRayCastFunction, 1,
   (char*)"V.GetRayCastFunction() -> vtkUnstructuredGridVolumeRayCastFunction\nC++: vtkUnstructuredGridVolumeRayCastFunction *GetRayCastFunction ();\n\n Set/Get the helper class for casting rays.\n"},
  {(char*)"SetRayIntegrator",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_SetRayIntegrator, 1,
   (char*)"V.SetRayIntegrator(vtkUnstructuredGridVolumeRayIntegrator)\nC++: virtual void SetRayIntegrator (vtkUnstructuredGridVolumeRayIntegrator *ri);\n\n Set/Get the helper class for integrating rays.  If set to NULL, a\n default integrator will be assigned.\n"},
  {(char*)"GetRayIntegrator",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_GetRayIntegrator, 1,
   (char*)"V.GetRayIntegrator() -> vtkUnstructuredGridVolumeRayIntegrator\nC++: vtkUnstructuredGridVolumeRayIntegrator *GetRayIntegrator ();\n\n Set/Get the helper class for integrating rays.  If set to NULL, a\n default integrator will be assigned.\n"},
  {(char*)"CastRays",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastMapper_CastRays, 1,
   (char*)"V.CastRays(int, int)\nC++: void CastRays (int threadID, int threadCount);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridVolumeRayCastMapperDoc[] = {
  (char*)"vtkUnstructuredGridVolumeRayCastMapper - A software mapper for unstructured volumes\n\n",
  "Super Class:\n\n vtkUnstructuredGridVolumeMapper\n\n",
  (char*)" This is a software ray caster for rendering volumes in vtkUnstructuredGrid. \n\n",
  "See Also:\n\n vtkVolumeMapper\n\n",
  NULL
};

static vtkObjectBase *vtkUnstructuredGridVolumeRayCastMapperStaticNew()
{
  return vtkUnstructuredGridVolumeRayCastMapper::New();
}

PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayCastMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnstructuredGridVolumeRayCastMapperStaticNew,
                        PyvtkUnstructuredGridVolumeRayCastMapperMethods,
                        (char*)"vtkUnstructuredGridVolumeRayCastMapper",modulename,
                        (char**)vtkUnstructuredGridVolumeRayCastMapperDoc,
                        PyVTKClass_vtkUnstructuredGridVolumeMapperNew(modulename));
}

