// tcl wrapper for vtkVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeMapper.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkAbstractVolumeMapperCppCommand(vtkAbstractVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVolumeMapperCppCommand(vtkVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVolumeMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVolumeMapperCppCommand(vtkVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVolumeMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractVolumeMapperCppCommand(static_cast<vtkAbstractVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractVolumeMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVolumeMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeMapper");
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetBlendMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBlendMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBlendModeToComposite",argv[1]))&&(argc == 2))
    {
    op->SetBlendModeToComposite();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBlendModeToMaximumIntensity",argv[1]))&&(argc == 2))
    {
    op->SetBlendModeToMaximumIntensity();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBlendModeToMinimumIntensity",argv[1]))&&(argc == 2))
    {
    op->SetBlendModeToMinimumIntensity();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBlendMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBlendMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCropping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCropping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCroppingMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCroppingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCroppingMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCroppingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCropping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCropping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CroppingOn",argv[1]))&&(argc == 2))
    {
    op->CroppingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CroppingOff",argv[1]))&&(argc == 2))
    {
    op->CroppingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCroppingRegionPlanes",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetCroppingRegionPlanes(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCroppingRegionPlanes",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetCroppingRegionPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCroppingRegionPlanes",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCroppingRegionPlanes();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetVoxelCroppingRegionPlanes",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetVoxelCroppingRegionPlanes();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCroppingRegionFlags",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCroppingRegionFlags(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCroppingRegionFlagsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCroppingRegionFlagsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCroppingRegionFlagsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCroppingRegionFlagsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCroppingRegionFlags",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCroppingRegionFlags();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCroppingRegionFlagsToSubVolume",argv[1]))&&(argc == 2))
    {
    op->SetCroppingRegionFlagsToSubVolume();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCroppingRegionFlagsToFence",argv[1]))&&(argc == 2))
    {
    op->SetCroppingRegionFlagsToFence();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCroppingRegionFlagsToInvertedFence",argv[1]))&&(argc == 2))
    {
    op->SetCroppingRegionFlagsToInvertedFence();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCroppingRegionFlagsToCross",argv[1]))&&(argc == 2))
    {
    op->SetCroppingRegionFlagsToCross();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCroppingRegionFlagsToInvertedCross",argv[1]))&&(argc == 2))
    {
    op->SetCroppingRegionFlagsToInvertedCross();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVolumeMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVolumeMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendModeToComposite\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendModeToMaximumIntensity\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendModeToMinimumIntensity\n",NULL);
    Tcl_AppendResult(interp,"  GetBlendMode\n",NULL);
    Tcl_AppendResult(interp,"  SetCropping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCroppingMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCroppingMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCropping\n",NULL);
    Tcl_AppendResult(interp,"  CroppingOn\n",NULL);
    Tcl_AppendResult(interp,"  CroppingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegionPlanes\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegionPlanes\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCroppingRegionPlanes\n",NULL);
    Tcl_AppendResult(interp,"  GetVoxelCroppingRegionPlanes\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegionFlags\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCroppingRegionFlagsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCroppingRegionFlagsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCroppingRegionFlags\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegionFlagsToSubVolume\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegionFlagsToFence\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegionFlagsToInvertedFence\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegionFlagsToCross\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegionFlagsToInvertedCross\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetBlendMode" );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToComposite" );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMaximumIntensity" );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMinimumIntensity" );
    Tcl_DStringAppendElement ( &dString, "GetBlendMode" );
    Tcl_DStringAppendElement ( &dString, "SetCropping" );
    Tcl_DStringAppendElement ( &dString, "GetCroppingMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCroppingMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCropping" );
    Tcl_DStringAppendElement ( &dString, "CroppingOn" );
    Tcl_DStringAppendElement ( &dString, "CroppingOff" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionPlanes" );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionPlanes" );
    Tcl_DStringAppendElement ( &dString, "GetVoxelCroppingRegionPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlags" );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionFlagsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionFlagsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionFlags" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlagsToSubVolume" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlagsToFence" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlagsToInvertedFence" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlagsToCross" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlagsToInvertedCross" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractVolumeMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput (vtkImageData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput (vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input data\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendMode */
    if ( strcmp ( argv[2], "SetBlendMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Currently this is only supported\n by the vtkFixedPointVolumeRayCastMapper - other mappers\n have different ways to set this (supplying a function\n to a vtkVolumeRayCastMapper) or don't have any options\n (vtkVolumeTextureMapper2D supports only compositing)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetBlendMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendModeToComposite */
    if ( strcmp ( argv[2], "SetBlendModeToComposite" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToComposite" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendModeToComposite */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Currently this is only supported\n by the vtkFixedPointVolumeRayCastMapper - other mappers\n have different ways to set this (supplying a function\n to a vtkVolumeRayCastMapper) or don't have any options\n (vtkVolumeTextureMapper2D supports only compositing)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendModeToComposite ();this SetBlendMode vtkVolumeMapper COMPOSITE_BLEND " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetBlendModeToComposite */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendModeToMaximumIntensity */
    if ( strcmp ( argv[2], "SetBlendModeToMaximumIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMaximumIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendModeToMaximumIntensity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Currently this is only supported\n by the vtkFixedPointVolumeRayCastMapper - other mappers\n have different ways to set this (supplying a function\n to a vtkVolumeRayCastMapper) or don't have any options\n (vtkVolumeTextureMapper2D supports only compositing)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendModeToMaximumIntensity ();this SetBlendMode vtkVolumeMapper MAXIMUM_INTENSITY_BLEND " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetBlendModeToMaximumIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendModeToMinimumIntensity */
    if ( strcmp ( argv[2], "SetBlendModeToMinimumIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMinimumIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendModeToMinimumIntensity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Currently this is only supported\n by the vtkFixedPointVolumeRayCastMapper - other mappers\n have different ways to set this (supplying a function\n to a vtkVolumeRayCastMapper) or don't have any options\n (vtkVolumeTextureMapper2D supports only compositing)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendModeToMinimumIntensity ();this SetBlendMode vtkVolumeMapper MINIMUM_INTENSITY_BLEND " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetBlendModeToMinimumIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlendMode */
    if ( strcmp ( argv[2], "GetBlendMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlendMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlendMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Currently this is only supported\n by the vtkFixedPointVolumeRayCastMapper - other mappers\n have different ways to set this (supplying a function\n to a vtkVolumeRayCastMapper) or don't have any options\n (vtkVolumeTextureMapper2D supports only compositing)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBlendMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for GetBlendMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCropping */
    if ( strcmp ( argv[2], "SetCropping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCropping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCropping */
    Tcl_DStringAppendElement ( &dString, " Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCropping (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetCropping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCroppingMinValue */
    if ( strcmp ( argv[2], "GetCroppingMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCroppingMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCroppingMinValue */
    Tcl_DStringAppendElement ( &dString, " Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCroppingMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for GetCroppingMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCroppingMaxValue */
    if ( strcmp ( argv[2], "GetCroppingMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCroppingMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCroppingMaxValue */
    Tcl_DStringAppendElement ( &dString, " Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCroppingMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for GetCroppingMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCropping */
    if ( strcmp ( argv[2], "GetCropping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCropping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCropping */
    Tcl_DStringAppendElement ( &dString, " Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCropping ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for GetCropping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CroppingOn */
    if ( strcmp ( argv[2], "CroppingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CroppingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CroppingOn */
    Tcl_DStringAppendElement ( &dString, " Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n" );
    Tcl_DStringAppendElement ( &dString, "void CroppingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for CroppingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CroppingOff */
    if ( strcmp ( argv[2], "CroppingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CroppingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CroppingOff */
    Tcl_DStringAppendElement ( &dString, " Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n" );
    Tcl_DStringAppendElement ( &dString, "void CroppingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for CroppingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegionPlanes */
    if ( strcmp ( argv[2], "SetCroppingRegionPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionPlanes */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax )\n These planes are defined in volume coordinates - spacing and origin are\n considered.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegionPlanes (double , double , double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetCroppingRegionPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegionPlanes */
    if ( strcmp ( argv[2], "SetCroppingRegionPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionPlanes */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax )\n These planes are defined in volume coordinates - spacing and origin are\n considered.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegionPlanes (double  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetCroppingRegionPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCroppingRegionPlanes */
    if ( strcmp ( argv[2], "GetCroppingRegionPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCroppingRegionPlanes */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax )\n These planes are defined in volume coordinates - spacing and origin are\n considered.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetCroppingRegionPlanes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for GetCroppingRegionPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVoxelCroppingRegionPlanes */
    if ( strcmp ( argv[2], "GetVoxelCroppingRegionPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVoxelCroppingRegionPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVoxelCroppingRegionPlanes */
    Tcl_DStringAppendElement ( &dString, " Get the cropping region planes in voxels. Only valid during the \n rendering process\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetVoxelCroppingRegionPlanes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for GetVoxelCroppingRegionPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegionFlags */
    if ( strcmp ( argv[2], "SetCroppingRegionFlags" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlags" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionFlags */
    Tcl_DStringAppendElement ( &dString, " Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fen ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegionFlags (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetCroppingRegionFlags */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCroppingRegionFlagsMinValue */
    if ( strcmp ( argv[2], "GetCroppingRegionFlagsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionFlagsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCroppingRegionFlagsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fen ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCroppingRegionFlagsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for GetCroppingRegionFlagsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCroppingRegionFlagsMaxValue */
    if ( strcmp ( argv[2], "GetCroppingRegionFlagsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionFlagsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCroppingRegionFlagsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fen ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCroppingRegionFlagsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for GetCroppingRegionFlagsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCroppingRegionFlags */
    if ( strcmp ( argv[2], "GetCroppingRegionFlags" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionFlags" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCroppingRegionFlags */
    Tcl_DStringAppendElement ( &dString, " Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fen ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCroppingRegionFlags ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for GetCroppingRegionFlags */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegionFlagsToSubVolume */
    if ( strcmp ( argv[2], "SetCroppingRegionFlagsToSubVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlagsToSubVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionFlagsToSubVolume */
    Tcl_DStringAppendElement ( &dString, " Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fen ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegionFlagsToSubVolume ();this SetCroppingRegionFlags VTK_CROP_SUBVOLUME " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetCroppingRegionFlagsToSubVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegionFlagsToFence */
    if ( strcmp ( argv[2], "SetCroppingRegionFlagsToFence" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlagsToFence" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionFlagsToFence */
    Tcl_DStringAppendElement ( &dString, " Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fen ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegionFlagsToFence ();this SetCroppingRegionFlags VTK_CROP_FENCE " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetCroppingRegionFlagsToFence */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegionFlagsToInvertedFence */
    if ( strcmp ( argv[2], "SetCroppingRegionFlagsToInvertedFence" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlagsToInvertedFence" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionFlagsToInvertedFence */
    Tcl_DStringAppendElement ( &dString, " Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fen ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegionFlagsToInvertedFence ();this SetCroppingRegionFlags VTK_CROP_INVERTED_FENCE " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetCroppingRegionFlagsToInvertedFence */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegionFlagsToCross */
    if ( strcmp ( argv[2], "SetCroppingRegionFlagsToCross" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlagsToCross" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionFlagsToCross */
    Tcl_DStringAppendElement ( &dString, " Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fen ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegionFlagsToCross ();this SetCroppingRegionFlags VTK_CROP_CROSS " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetCroppingRegionFlagsToCross */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegionFlagsToInvertedCross */
    if ( strcmp ( argv[2], "SetCroppingRegionFlagsToInvertedCross" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlagsToInvertedCross" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionFlagsToInvertedCross */
    Tcl_DStringAppendElement ( &dString, " Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fen ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCroppingRegionFlagsToInvertedCross ();this SetCroppingRegionFlags VTK_CROP_INVERTED_CROSS " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    /* Closing for SetCroppingRegionFlagsToInvertedCross */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractVolumeMapperCppCommand(static_cast<vtkAbstractVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
