// python wrapper for vtkVolumeProMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVolumeProMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeProMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeProMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkVolumeMapperNew(char *); }

static PyObject *PyvtkVolumeProMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  const char    *temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  vtkVolumeProMapper  *temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolumeProMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolumeProMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkVolume  *temp1;
  PyObject *tempH1;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolume");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetBlendMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetBlendMode(temp0);
      }
    else
      {
      op->SetBlendMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetBlendModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetBlendModeMinValue();
      }
    else
      {
      temp20 = op->GetBlendModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetBlendModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetBlendModeMaxValue();
      }
    else
      {
      temp20 = op->GetBlendModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetBlendMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetBlendMode();
      }
    else
      {
      temp20 = op->GetBlendMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetBlendModeToComposite(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetBlendModeToComposite();
      }
    else
      {
      op->SetBlendModeToComposite();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetBlendModeToMaximumIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetBlendModeToMaximumIntensity();
      }
    else
      {
      op->SetBlendModeToMaximumIntensity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetBlendModeToMinimumIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetBlendModeToMinimumIntensity();
      }
    else
      {
      op->SetBlendModeToMinimumIntensity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetBlendModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  const char    *temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetBlendModeAsString();
      }
    else
      {
      temp20 = op->GetBlendModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetSubVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetSubVolume(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetSubVolume(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetSubVolume(temp0);
      }
    else
      {
      op->SetSubVolume(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetSubVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int     *temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetSubVolume();
      }
    else
      {
      temp20 = op->GetSubVolume();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursor(temp0);
      }
    else
      {
      op->SetCursor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCursorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCursorMinValue();
      }
    else
      {
      temp20 = op->GetCursorMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCursorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCursorMaxValue();
      }
    else
      {
      temp20 = op->GetCursorMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCursor();
      }
    else
      {
      temp20 = op->GetCursor();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_CursorOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::CursorOn();
      }
    else
      {
      op->CursorOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_CursorOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::CursorOff();
      }
    else
      {
      op->CursorOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCursorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursorType(temp0);
      }
    else
      {
      op->SetCursorType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCursorTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCursorTypeMinValue();
      }
    else
      {
      temp20 = op->GetCursorTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCursorTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCursorTypeMaxValue();
      }
    else
      {
      temp20 = op->GetCursorTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCursorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCursorType();
      }
    else
      {
      temp20 = op->GetCursorType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCursorTypeToCrossHair(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursorTypeToCrossHair();
      }
    else
      {
      op->SetCursorTypeToCrossHair();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCursorTypeToPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursorTypeToPlane();
      }
    else
      {
      op->SetCursorTypeToPlane();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCursorTypeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  const char    *temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCursorTypeAsString();
      }
    else
      {
      temp20 = op->GetCursorTypeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCursorPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursorPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetCursorPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursorPosition(temp0);
      }
    else
      {
      op->SetCursorPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCursorPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double  *temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCursorPosition();
      }
    else
      {
      temp20 = op->GetCursorPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCursorXAxisColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursorXAxisColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetCursorXAxisColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursorXAxisColor(temp0);
      }
    else
      {
      op->SetCursorXAxisColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCursorXAxisColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double  *temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCursorXAxisColor();
      }
    else
      {
      temp20 = op->GetCursorXAxisColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCursorYAxisColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursorYAxisColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetCursorYAxisColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursorYAxisColor(temp0);
      }
    else
      {
      op->SetCursorYAxisColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCursorYAxisColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double  *temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCursorYAxisColor();
      }
    else
      {
      temp20 = op->GetCursorYAxisColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCursorZAxisColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursorZAxisColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetCursorZAxisColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCursorZAxisColor(temp0);
      }
    else
      {
      op->SetCursorZAxisColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCursorZAxisColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double  *temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCursorZAxisColor();
      }
    else
      {
      temp20 = op->GetCursorZAxisColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetSuperSampling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetSuperSampling(temp0);
      }
    else
      {
      op->SetSuperSampling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetSuperSamplingMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetSuperSamplingMinValue();
      }
    else
      {
      temp20 = op->GetSuperSamplingMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetSuperSamplingMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetSuperSamplingMaxValue();
      }
    else
      {
      temp20 = op->GetSuperSamplingMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetSuperSampling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetSuperSampling();
      }
    else
      {
      temp20 = op->GetSuperSampling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SuperSamplingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SuperSamplingOn();
      }
    else
      {
      op->SuperSamplingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SuperSamplingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SuperSamplingOff();
      }
    else
      {
      op->SuperSamplingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetSuperSamplingFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetSuperSamplingFactor(temp0,temp1,temp2);
      }
    else
      {
      op->SetSuperSamplingFactor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetSuperSamplingFactor(temp0);
      }
    else
      {
      op->SetSuperSamplingFactor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetSuperSamplingFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double  *temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetSuperSamplingFactor();
      }
    else
      {
      temp20 = op->GetSuperSamplingFactor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCutPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCutPlane(temp0);
      }
    else
      {
      op->SetCutPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCutPlaneMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCutPlaneMinValue();
      }
    else
      {
      temp20 = op->GetCutPlaneMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCutPlaneMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCutPlaneMaxValue();
      }
    else
      {
      temp20 = op->GetCutPlaneMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCutPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCutPlane();
      }
    else
      {
      temp20 = op->GetCutPlane();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_CutPlaneOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::CutPlaneOn();
      }
    else
      {
      op->CutPlaneOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_CutPlaneOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::CutPlaneOff();
      }
    else
      {
      op->CutPlaneOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCutPlaneEquation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCutPlaneEquation(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetCutPlaneEquation(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCutPlaneEquation(temp0);
      }
    else
      {
      op->SetCutPlaneEquation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCutPlaneEquation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double  *temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCutPlaneEquation();
      }
    else
      {
      temp20 = op->GetCutPlaneEquation();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCutPlaneThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double   temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCutPlaneThickness(temp0);
      }
    else
      {
      op->SetCutPlaneThickness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCutPlaneThicknessMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double   temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCutPlaneThicknessMinValue();
      }
    else
      {
      temp20 = op->GetCutPlaneThicknessMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCutPlaneThicknessMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double   temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCutPlaneThicknessMaxValue();
      }
    else
      {
      temp20 = op->GetCutPlaneThicknessMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCutPlaneThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  double   temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCutPlaneThickness();
      }
    else
      {
      temp20 = op->GetCutPlaneThickness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetCutPlaneFallOffDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetCutPlaneFallOffDistance(temp0);
      }
    else
      {
      op->SetCutPlaneFallOffDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCutPlaneFallOffDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCutPlaneFallOffDistanceMinValue();
      }
    else
      {
      temp20 = op->GetCutPlaneFallOffDistanceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCutPlaneFallOffDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCutPlaneFallOffDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetCutPlaneFallOffDistanceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetCutPlaneFallOffDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetCutPlaneFallOffDistance();
      }
    else
      {
      temp20 = op->GetCutPlaneFallOffDistance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetGradientOpacityModulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetGradientOpacityModulation(temp0);
      }
    else
      {
      op->SetGradientOpacityModulation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetGradientOpacityModulationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetGradientOpacityModulationMinValue();
      }
    else
      {
      temp20 = op->GetGradientOpacityModulationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetGradientOpacityModulationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetGradientOpacityModulationMaxValue();
      }
    else
      {
      temp20 = op->GetGradientOpacityModulationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetGradientOpacityModulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetGradientOpacityModulation();
      }
    else
      {
      temp20 = op->GetGradientOpacityModulation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GradientOpacityModulationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::GradientOpacityModulationOn();
      }
    else
      {
      op->GradientOpacityModulationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GradientOpacityModulationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::GradientOpacityModulationOff();
      }
    else
      {
      op->GradientOpacityModulationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetGradientDiffuseModulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetGradientDiffuseModulation(temp0);
      }
    else
      {
      op->SetGradientDiffuseModulation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetGradientDiffuseModulationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetGradientDiffuseModulationMinValue();
      }
    else
      {
      temp20 = op->GetGradientDiffuseModulationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetGradientDiffuseModulationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetGradientDiffuseModulationMaxValue();
      }
    else
      {
      temp20 = op->GetGradientDiffuseModulationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetGradientDiffuseModulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetGradientDiffuseModulation();
      }
    else
      {
      temp20 = op->GetGradientDiffuseModulation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GradientDiffuseModulationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::GradientDiffuseModulationOn();
      }
    else
      {
      op->GradientDiffuseModulationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GradientDiffuseModulationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::GradientDiffuseModulationOff();
      }
    else
      {
      op->GradientDiffuseModulationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetGradientSpecularModulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetGradientSpecularModulation(temp0);
      }
    else
      {
      op->SetGradientSpecularModulation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetGradientSpecularModulationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetGradientSpecularModulationMinValue();
      }
    else
      {
      temp20 = op->GetGradientSpecularModulationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetGradientSpecularModulationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetGradientSpecularModulationMaxValue();
      }
    else
      {
      temp20 = op->GetGradientSpecularModulationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetGradientSpecularModulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetGradientSpecularModulation();
      }
    else
      {
      temp20 = op->GetGradientSpecularModulation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GradientSpecularModulationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::GradientSpecularModulationOn();
      }
    else
      {
      op->GradientSpecularModulationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GradientSpecularModulationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::GradientSpecularModulationOff();
      }
    else
      {
      op->GradientSpecularModulationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetNoHardware(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetNoHardware();
      }
    else
      {
      temp20 = op->GetNoHardware();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetWrongVLIVersion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetWrongVLIVersion();
      }
    else
      {
      temp20 = op->GetWrongVLIVersion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetNumberOfBoards(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetNumberOfBoards();
      }
    else
      {
      temp20 = op->GetNumberOfBoards();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetMajorBoardVersion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetMajorBoardVersion();
      }
    else
      {
      temp20 = op->GetMajorBoardVersion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetMinorBoardVersion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetMinorBoardVersion();
      }
    else
      {
      temp20 = op->GetMinorBoardVersion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetAvailableBoardMemory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetAvailableBoardMemory();
      }
    else
      {
      temp20 = op->GetAvailableBoardMemory();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetIntermixIntersectingGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetIntermixIntersectingGeometry(temp0);
      }
    else
      {
      op->SetIntermixIntersectingGeometry(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetIntermixIntersectingGeometryMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetIntermixIntersectingGeometryMinValue();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometryMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetIntermixIntersectingGeometryMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetIntermixIntersectingGeometryMaxValue();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometryMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetIntermixIntersectingGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetIntermixIntersectingGeometry();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_IntermixIntersectingGeometryOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::IntermixIntersectingGeometryOn();
      }
    else
      {
      op->IntermixIntersectingGeometryOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_IntermixIntersectingGeometryOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::IntermixIntersectingGeometryOff();
      }
    else
      {
      op->IntermixIntersectingGeometryOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetAutoAdjustMipmapLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetAutoAdjustMipmapLevels(temp0);
      }
    else
      {
      op->SetAutoAdjustMipmapLevels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetAutoAdjustMipmapLevelsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetAutoAdjustMipmapLevelsMinValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustMipmapLevelsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetAutoAdjustMipmapLevelsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetAutoAdjustMipmapLevelsMaxValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustMipmapLevelsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetAutoAdjustMipmapLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetAutoAdjustMipmapLevels();
      }
    else
      {
      temp20 = op->GetAutoAdjustMipmapLevels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_AutoAdjustMipmapLevelsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::AutoAdjustMipmapLevelsOn();
      }
    else
      {
      op->AutoAdjustMipmapLevelsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_AutoAdjustMipmapLevelsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::AutoAdjustMipmapLevelsOff();
      }
    else
      {
      op->AutoAdjustMipmapLevelsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetMinimumMipmapLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetMinimumMipmapLevel(temp0);
      }
    else
      {
      op->SetMinimumMipmapLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetMinimumMipmapLevelMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetMinimumMipmapLevelMinValue();
      }
    else
      {
      temp20 = op->GetMinimumMipmapLevelMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetMinimumMipmapLevelMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetMinimumMipmapLevelMaxValue();
      }
    else
      {
      temp20 = op->GetMinimumMipmapLevelMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetMinimumMipmapLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetMinimumMipmapLevel();
      }
    else
      {
      temp20 = op->GetMinimumMipmapLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetMaximumMipmapLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetMaximumMipmapLevel(temp0);
      }
    else
      {
      op->SetMaximumMipmapLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetMaximumMipmapLevelMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetMaximumMipmapLevelMinValue();
      }
    else
      {
      temp20 = op->GetMaximumMipmapLevelMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetMaximumMipmapLevelMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetMaximumMipmapLevelMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumMipmapLevelMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetMaximumMipmapLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetMaximumMipmapLevel();
      }
    else
      {
      temp20 = op->GetMaximumMipmapLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_SetMipmapLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp0;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeProMapper::SetMipmapLevel(temp0);
      }
    else
      {
      op->SetMipmapLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetMipmapLevelMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetMipmapLevelMinValue();
      }
    else
      {
      temp20 = op->GetMipmapLevelMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetMipmapLevelMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetMipmapLevelMaxValue();
      }
    else
      {
      temp20 = op->GetMipmapLevelMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeProMapper_GetMipmapLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeProMapper *op;

  int      temp20;
  op = (vtkVolumeProMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeProMapper::GetMipmapLevel();
      }
    else
      {
      temp20 = op->GetMipmapLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumeProMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeProMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeProMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeProMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeProMapper\nC++: vtkVolumeProMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolumeProMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolumeProMapper\nC++: vtkVolumeProMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkVolumeProMapper_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkVolume)\nC++: virtual void Render (vtkRenderer *, vtkVolume *);\n\n Set the blend mode\n"},
  {(char*)"SetBlendMode",                (PyCFunction)PyvtkVolumeProMapper_SetBlendMode, 1,
   (char*)"V.SetBlendMode(int)\nC++: void SetBlendMode (int );\n\n Set the blend mode\n"},
  {(char*)"GetBlendModeMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetBlendModeMinValue, 1,
   (char*)"V.GetBlendModeMinValue() -> int\nC++: int GetBlendModeMinValue ();\n\n Set the blend mode\n"},
  {(char*)"GetBlendModeMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetBlendModeMaxValue, 1,
   (char*)"V.GetBlendModeMaxValue() -> int\nC++: int GetBlendModeMaxValue ();\n\n Set the blend mode\n"},
  {(char*)"GetBlendMode",                (PyCFunction)PyvtkVolumeProMapper_GetBlendMode, 1,
   (char*)"V.GetBlendMode() -> int\nC++: int GetBlendMode ();\n\n Set the blend mode\n"},
  {(char*)"SetBlendModeToComposite",                (PyCFunction)PyvtkVolumeProMapper_SetBlendModeToComposite, 1,
   (char*)"V.SetBlendModeToComposite()\nC++: void SetBlendModeToComposite ();this SetBlendMode VTK_BLEND_MODE_COMPOSITE \n\n Set the blend mode\n"},
  {(char*)"SetBlendModeToMaximumIntensity",                (PyCFunction)PyvtkVolumeProMapper_SetBlendModeToMaximumIntensity, 1,
   (char*)"V.SetBlendModeToMaximumIntensity()\nC++: void SetBlendModeToMaximumIntensity ();this SetBlendMode VTK_BLEND_MODE_MAX_INTENSITY \n\n Set the blend mode\n"},
  {(char*)"SetBlendModeToMinimumIntensity",                (PyCFunction)PyvtkVolumeProMapper_SetBlendModeToMinimumIntensity, 1,
   (char*)"V.SetBlendModeToMinimumIntensity()\nC++: void SetBlendModeToMinimumIntensity ();this SetBlendMode VTK_BLEND_MODE_MIN_INTENSITY \n\n Set the blend mode\n"},
  {(char*)"GetBlendModeAsString",                (PyCFunction)PyvtkVolumeProMapper_GetBlendModeAsString, 1,
   (char*)"V.GetBlendModeAsString() -> string\nC++: const char *GetBlendModeAsString (void );\n\n Set the blend mode\n"},
  {(char*)"SetSubVolume",                (PyCFunction)PyvtkVolumeProMapper_SetSubVolume, 1,
   (char*)"V.SetSubVolume(int, int, int, int, int, int)\nC++: void SetSubVolume (int , int , int , int , int , int );\nV.SetSubVolume((int, int, int, int, int, int))\nC++: void SetSubVolume (int  a[6]);\n\n Set the subvolume\n"},
  {(char*)"GetSubVolume",                (PyCFunction)PyvtkVolumeProMapper_GetSubVolume, 1,
   (char*)"V.GetSubVolume() -> (int, int, int, int, int, int)\nC++: int  *GetSubVolume ();\n\n Set the subvolume\n"},
  {(char*)"SetCursor",                (PyCFunction)PyvtkVolumeProMapper_SetCursor, 1,
   (char*)"V.SetCursor(int)\nC++: void SetCursor (int );\n\n Turn the cursor on / off\n"},
  {(char*)"GetCursorMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetCursorMinValue, 1,
   (char*)"V.GetCursorMinValue() -> int\nC++: int GetCursorMinValue ();\n\n Turn the cursor on / off\n"},
  {(char*)"GetCursorMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetCursorMaxValue, 1,
   (char*)"V.GetCursorMaxValue() -> int\nC++: int GetCursorMaxValue ();\n\n Turn the cursor on / off\n"},
  {(char*)"GetCursor",                (PyCFunction)PyvtkVolumeProMapper_GetCursor, 1,
   (char*)"V.GetCursor() -> int\nC++: int GetCursor ();\n\n Turn the cursor on / off\n"},
  {(char*)"CursorOn",                (PyCFunction)PyvtkVolumeProMapper_CursorOn, 1,
   (char*)"V.CursorOn()\nC++: void CursorOn ();\n\n Turn the cursor on / off\n"},
  {(char*)"CursorOff",                (PyCFunction)PyvtkVolumeProMapper_CursorOff, 1,
   (char*)"V.CursorOff()\nC++: void CursorOff ();\n\n Turn the cursor on / off\n"},
  {(char*)"SetCursorType",                (PyCFunction)PyvtkVolumeProMapper_SetCursorType, 1,
   (char*)"V.SetCursorType(int)\nC++: void SetCursorType (int );\n\n Set the type of the cursor\n"},
  {(char*)"GetCursorTypeMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetCursorTypeMinValue, 1,
   (char*)"V.GetCursorTypeMinValue() -> int\nC++: int GetCursorTypeMinValue ();\n\n Set the type of the cursor\n"},
  {(char*)"GetCursorTypeMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetCursorTypeMaxValue, 1,
   (char*)"V.GetCursorTypeMaxValue() -> int\nC++: int GetCursorTypeMaxValue ();\n\n Set the type of the cursor\n"},
  {(char*)"GetCursorType",                (PyCFunction)PyvtkVolumeProMapper_GetCursorType, 1,
   (char*)"V.GetCursorType() -> int\nC++: int GetCursorType ();\n\n Set the type of the cursor\n"},
  {(char*)"SetCursorTypeToCrossHair",                (PyCFunction)PyvtkVolumeProMapper_SetCursorTypeToCrossHair, 1,
   (char*)"V.SetCursorTypeToCrossHair()\nC++: void SetCursorTypeToCrossHair ();this SetCursorType VTK_CURSOR_TYPE_CROSSHAIR \n\n Set the type of the cursor\n"},
  {(char*)"SetCursorTypeToPlane",                (PyCFunction)PyvtkVolumeProMapper_SetCursorTypeToPlane, 1,
   (char*)"V.SetCursorTypeToPlane()\nC++: void SetCursorTypeToPlane ();this SetCursorType VTK_CURSOR_TYPE_PLANE \n\n Set the type of the cursor\n"},
  {(char*)"GetCursorTypeAsString",                (PyCFunction)PyvtkVolumeProMapper_GetCursorTypeAsString, 1,
   (char*)"V.GetCursorTypeAsString() -> string\nC++: const char *GetCursorTypeAsString (void );\n\n Set the type of the cursor\n"},
  {(char*)"SetCursorPosition",                (PyCFunction)PyvtkVolumeProMapper_SetCursorPosition, 1,
   (char*)"V.SetCursorPosition(float, float, float)\nC++: void SetCursorPosition (double , double , double );\nV.SetCursorPosition((float, float, float))\nC++: void SetCursorPosition (double  a[3]);\n\n Set/Get the cursor position\n"},
  {(char*)"GetCursorPosition",                (PyCFunction)PyvtkVolumeProMapper_GetCursorPosition, 1,
   (char*)"V.GetCursorPosition() -> (float, float, float)\nC++: double  *GetCursorPosition ();\n\n Set/Get the cursor position\n"},
  {(char*)"SetCursorXAxisColor",                (PyCFunction)PyvtkVolumeProMapper_SetCursorXAxisColor, 1,
   (char*)"V.SetCursorXAxisColor(float, float, float)\nC++: void SetCursorXAxisColor (double , double , double );\nV.SetCursorXAxisColor((float, float, float))\nC++: void SetCursorXAxisColor (double  a[3]);\n\n Set/Get the cursor color\n"},
  {(char*)"GetCursorXAxisColor",                (PyCFunction)PyvtkVolumeProMapper_GetCursorXAxisColor, 1,
   (char*)"V.GetCursorXAxisColor() -> (float, float, float)\nC++: double  *GetCursorXAxisColor ();\n\n Set/Get the cursor color\n"},
  {(char*)"SetCursorYAxisColor",                (PyCFunction)PyvtkVolumeProMapper_SetCursorYAxisColor, 1,
   (char*)"V.SetCursorYAxisColor(float, float, float)\nC++: void SetCursorYAxisColor (double , double , double );\nV.SetCursorYAxisColor((float, float, float))\nC++: void SetCursorYAxisColor (double  a[3]);\n\n Set/Get the cursor color\n"},
  {(char*)"GetCursorYAxisColor",                (PyCFunction)PyvtkVolumeProMapper_GetCursorYAxisColor, 1,
   (char*)"V.GetCursorYAxisColor() -> (float, float, float)\nC++: double  *GetCursorYAxisColor ();\n\n Set/Get the cursor color\n"},
  {(char*)"SetCursorZAxisColor",                (PyCFunction)PyvtkVolumeProMapper_SetCursorZAxisColor, 1,
   (char*)"V.SetCursorZAxisColor(float, float, float)\nC++: void SetCursorZAxisColor (double , double , double );\nV.SetCursorZAxisColor((float, float, float))\nC++: void SetCursorZAxisColor (double  a[3]);\n\n Set/Get the cursor color\n"},
  {(char*)"GetCursorZAxisColor",                (PyCFunction)PyvtkVolumeProMapper_GetCursorZAxisColor, 1,
   (char*)"V.GetCursorZAxisColor() -> (float, float, float)\nC++: double  *GetCursorZAxisColor ();\n\n Set/Get the cursor color\n"},
  {(char*)"SetSuperSampling",                (PyCFunction)PyvtkVolumeProMapper_SetSuperSampling, 1,
   (char*)"V.SetSuperSampling(int)\nC++: void SetSuperSampling (int );\n\n Turn supersampling on/off\n"},
  {(char*)"GetSuperSamplingMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetSuperSamplingMinValue, 1,
   (char*)"V.GetSuperSamplingMinValue() -> int\nC++: int GetSuperSamplingMinValue ();\n\n Turn supersampling on/off\n"},
  {(char*)"GetSuperSamplingMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetSuperSamplingMaxValue, 1,
   (char*)"V.GetSuperSamplingMaxValue() -> int\nC++: int GetSuperSamplingMaxValue ();\n\n Turn supersampling on/off\n"},
  {(char*)"GetSuperSampling",                (PyCFunction)PyvtkVolumeProMapper_GetSuperSampling, 1,
   (char*)"V.GetSuperSampling() -> int\nC++: int GetSuperSampling ();\n\n Turn supersampling on/off\n"},
  {(char*)"SuperSamplingOn",                (PyCFunction)PyvtkVolumeProMapper_SuperSamplingOn, 1,
   (char*)"V.SuperSamplingOn()\nC++: void SuperSamplingOn ();\n\n Turn supersampling on/off\n"},
  {(char*)"SuperSamplingOff",                (PyCFunction)PyvtkVolumeProMapper_SuperSamplingOff, 1,
   (char*)"V.SuperSamplingOff()\nC++: void SuperSamplingOff ();\n\n Turn supersampling on/off\n"},
  {(char*)"SetSuperSamplingFactor",                (PyCFunction)PyvtkVolumeProMapper_SetSuperSamplingFactor, 1,
   (char*)"V.SetSuperSamplingFactor(float, float, float)\nC++: virtual void SetSuperSamplingFactor (double x, double y, double z);\nV.SetSuperSamplingFactor((float, float, float))\nC++: void SetSuperSamplingFactor (double f[3]);this SetSuperSamplingFactor f f f \n\n Set the supersampling factors\n"},
  {(char*)"GetSuperSamplingFactor",                (PyCFunction)PyvtkVolumeProMapper_GetSuperSamplingFactor, 1,
   (char*)"V.GetSuperSamplingFactor() -> (float, float, float)\nC++: double  *GetSuperSamplingFactor ();\n\n Set the supersampling factors\n"},
  {(char*)"SetCutPlane",                (PyCFunction)PyvtkVolumeProMapper_SetCutPlane, 1,
   (char*)"V.SetCutPlane(int)\nC++: void SetCutPlane (int );\n\n Turn on / off the cut plane\n"},
  {(char*)"GetCutPlaneMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetCutPlaneMinValue, 1,
   (char*)"V.GetCutPlaneMinValue() -> int\nC++: int GetCutPlaneMinValue ();\n\n Turn on / off the cut plane\n"},
  {(char*)"GetCutPlaneMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetCutPlaneMaxValue, 1,
   (char*)"V.GetCutPlaneMaxValue() -> int\nC++: int GetCutPlaneMaxValue ();\n\n Turn on / off the cut plane\n"},
  {(char*)"GetCutPlane",                (PyCFunction)PyvtkVolumeProMapper_GetCutPlane, 1,
   (char*)"V.GetCutPlane() -> int\nC++: int GetCutPlane ();\n\n Turn on / off the cut plane\n"},
  {(char*)"CutPlaneOn",                (PyCFunction)PyvtkVolumeProMapper_CutPlaneOn, 1,
   (char*)"V.CutPlaneOn()\nC++: void CutPlaneOn ();\n\n Turn on / off the cut plane\n"},
  {(char*)"CutPlaneOff",                (PyCFunction)PyvtkVolumeProMapper_CutPlaneOff, 1,
   (char*)"V.CutPlaneOff()\nC++: void CutPlaneOff ();\n\n Turn on / off the cut plane\n"},
  {(char*)"SetCutPlaneEquation",                (PyCFunction)PyvtkVolumeProMapper_SetCutPlaneEquation, 1,
   (char*)"V.SetCutPlaneEquation(float, float, float, float)\nC++: void SetCutPlaneEquation (double , double , double , double );\nV.SetCutPlaneEquation((float, float, float, float))\nC++: void SetCutPlaneEquation (double  a[4]);\n\n Set/Get the cut plane equation\n"},
  {(char*)"GetCutPlaneEquation",                (PyCFunction)PyvtkVolumeProMapper_GetCutPlaneEquation, 1,
   (char*)"V.GetCutPlaneEquation() -> (float, float, float, float)\nC++: double  *GetCutPlaneEquation ();\n\n Set/Get the cut plane equation\n"},
  {(char*)"SetCutPlaneThickness",                (PyCFunction)PyvtkVolumeProMapper_SetCutPlaneThickness, 1,
   (char*)"V.SetCutPlaneThickness(float)\nC++: void SetCutPlaneThickness (double );\n\n Set / Get the cut plane thickness\n"},
  {(char*)"GetCutPlaneThicknessMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetCutPlaneThicknessMinValue, 1,
   (char*)"V.GetCutPlaneThicknessMinValue() -> float\nC++: double GetCutPlaneThicknessMinValue ();\n\n Set / Get the cut plane thickness\n"},
  {(char*)"GetCutPlaneThicknessMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetCutPlaneThicknessMaxValue, 1,
   (char*)"V.GetCutPlaneThicknessMaxValue() -> float\nC++: double GetCutPlaneThicknessMaxValue ();\n\n Set / Get the cut plane thickness\n"},
  {(char*)"GetCutPlaneThickness",                (PyCFunction)PyvtkVolumeProMapper_GetCutPlaneThickness, 1,
   (char*)"V.GetCutPlaneThickness() -> float\nC++: double GetCutPlaneThickness ();\n\n Set / Get the cut plane thickness\n"},
  {(char*)"SetCutPlaneFallOffDistance",                (PyCFunction)PyvtkVolumeProMapper_SetCutPlaneFallOffDistance, 1,
   (char*)"V.SetCutPlaneFallOffDistance(int)\nC++: void SetCutPlaneFallOffDistance (int );\n\n Set / Get the cut plane falloff value for intensities\n"},
  {(char*)"GetCutPlaneFallOffDistanceMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetCutPlaneFallOffDistanceMinValue, 1,
   (char*)"V.GetCutPlaneFallOffDistanceMinValue() -> int\nC++: int GetCutPlaneFallOffDistanceMinValue ();\n\n Set / Get the cut plane falloff value for intensities\n"},
  {(char*)"GetCutPlaneFallOffDistanceMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetCutPlaneFallOffDistanceMaxValue, 1,
   (char*)"V.GetCutPlaneFallOffDistanceMaxValue() -> int\nC++: int GetCutPlaneFallOffDistanceMaxValue ();\n\n Set / Get the cut plane falloff value for intensities\n"},
  {(char*)"GetCutPlaneFallOffDistance",                (PyCFunction)PyvtkVolumeProMapper_GetCutPlaneFallOffDistance, 1,
   (char*)"V.GetCutPlaneFallOffDistance() -> int\nC++: int GetCutPlaneFallOffDistance ();\n\n Set / Get the cut plane falloff value for intensities\n"},
  {(char*)"SetGradientOpacityModulation",                (PyCFunction)PyvtkVolumeProMapper_SetGradientOpacityModulation, 1,
   (char*)"V.SetGradientOpacityModulation(int)\nC++: void SetGradientOpacityModulation (int );\n\n Set/Get the gradient magnitude opacity modulation \n"},
  {(char*)"GetGradientOpacityModulationMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetGradientOpacityModulationMinValue, 1,
   (char*)"V.GetGradientOpacityModulationMinValue() -> int\nC++: int GetGradientOpacityModulationMinValue ();\n\n Set/Get the gradient magnitude opacity modulation \n"},
  {(char*)"GetGradientOpacityModulationMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetGradientOpacityModulationMaxValue, 1,
   (char*)"V.GetGradientOpacityModulationMaxValue() -> int\nC++: int GetGradientOpacityModulationMaxValue ();\n\n Set/Get the gradient magnitude opacity modulation \n"},
  {(char*)"GetGradientOpacityModulation",                (PyCFunction)PyvtkVolumeProMapper_GetGradientOpacityModulation, 1,
   (char*)"V.GetGradientOpacityModulation() -> int\nC++: int GetGradientOpacityModulation ();\n\n Set/Get the gradient magnitude opacity modulation \n"},
  {(char*)"GradientOpacityModulationOn",                (PyCFunction)PyvtkVolumeProMapper_GradientOpacityModulationOn, 1,
   (char*)"V.GradientOpacityModulationOn()\nC++: void GradientOpacityModulationOn ();\n\n Set/Get the gradient magnitude opacity modulation \n"},
  {(char*)"GradientOpacityModulationOff",                (PyCFunction)PyvtkVolumeProMapper_GradientOpacityModulationOff, 1,
   (char*)"V.GradientOpacityModulationOff()\nC++: void GradientOpacityModulationOff ();\n\n Set/Get the gradient magnitude opacity modulation \n"},
  {(char*)"SetGradientDiffuseModulation",                (PyCFunction)PyvtkVolumeProMapper_SetGradientDiffuseModulation, 1,
   (char*)"V.SetGradientDiffuseModulation(int)\nC++: void SetGradientDiffuseModulation (int );\n\n Set/Get the gradient magnitude diffuse modulation \n"},
  {(char*)"GetGradientDiffuseModulationMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetGradientDiffuseModulationMinValue, 1,
   (char*)"V.GetGradientDiffuseModulationMinValue() -> int\nC++: int GetGradientDiffuseModulationMinValue ();\n\n Set/Get the gradient magnitude diffuse modulation \n"},
  {(char*)"GetGradientDiffuseModulationMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetGradientDiffuseModulationMaxValue, 1,
   (char*)"V.GetGradientDiffuseModulationMaxValue() -> int\nC++: int GetGradientDiffuseModulationMaxValue ();\n\n Set/Get the gradient magnitude diffuse modulation \n"},
  {(char*)"GetGradientDiffuseModulation",                (PyCFunction)PyvtkVolumeProMapper_GetGradientDiffuseModulation, 1,
   (char*)"V.GetGradientDiffuseModulation() -> int\nC++: int GetGradientDiffuseModulation ();\n\n Set/Get the gradient magnitude diffuse modulation \n"},
  {(char*)"GradientDiffuseModulationOn",                (PyCFunction)PyvtkVolumeProMapper_GradientDiffuseModulationOn, 1,
   (char*)"V.GradientDiffuseModulationOn()\nC++: void GradientDiffuseModulationOn ();\n\n Set/Get the gradient magnitude diffuse modulation \n"},
  {(char*)"GradientDiffuseModulationOff",                (PyCFunction)PyvtkVolumeProMapper_GradientDiffuseModulationOff, 1,
   (char*)"V.GradientDiffuseModulationOff()\nC++: void GradientDiffuseModulationOff ();\n\n Set/Get the gradient magnitude diffuse modulation \n"},
  {(char*)"SetGradientSpecularModulation",                (PyCFunction)PyvtkVolumeProMapper_SetGradientSpecularModulation, 1,
   (char*)"V.SetGradientSpecularModulation(int)\nC++: void SetGradientSpecularModulation (int );\n\n Set/Get the gradient magnitude specular modulation \n"},
  {(char*)"GetGradientSpecularModulationMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetGradientSpecularModulationMinValue, 1,
   (char*)"V.GetGradientSpecularModulationMinValue() -> int\nC++: int GetGradientSpecularModulationMinValue ();\n\n Set/Get the gradient magnitude specular modulation \n"},
  {(char*)"GetGradientSpecularModulationMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetGradientSpecularModulationMaxValue, 1,
   (char*)"V.GetGradientSpecularModulationMaxValue() -> int\nC++: int GetGradientSpecularModulationMaxValue ();\n\n Set/Get the gradient magnitude specular modulation \n"},
  {(char*)"GetGradientSpecularModulation",                (PyCFunction)PyvtkVolumeProMapper_GetGradientSpecularModulation, 1,
   (char*)"V.GetGradientSpecularModulation() -> int\nC++: int GetGradientSpecularModulation ();\n\n Set/Get the gradient magnitude specular modulation \n"},
  {(char*)"GradientSpecularModulationOn",                (PyCFunction)PyvtkVolumeProMapper_GradientSpecularModulationOn, 1,
   (char*)"V.GradientSpecularModulationOn()\nC++: void GradientSpecularModulationOn ();\n\n Set/Get the gradient magnitude specular modulation \n"},
  {(char*)"GradientSpecularModulationOff",                (PyCFunction)PyvtkVolumeProMapper_GradientSpecularModulationOff, 1,
   (char*)"V.GradientSpecularModulationOff()\nC++: void GradientSpecularModulationOff ();\n\n Set/Get the gradient magnitude specular modulation \n"},
  {(char*)"GetNoHardware",                (PyCFunction)PyvtkVolumeProMapper_GetNoHardware, 1,
   (char*)"V.GetNoHardware() -> int\nC++: int GetNoHardware ();\n\n Conveniece methods for debugging\n"},
  {(char*)"GetWrongVLIVersion",                (PyCFunction)PyvtkVolumeProMapper_GetWrongVLIVersion, 1,
   (char*)"V.GetWrongVLIVersion() -> int\nC++: int GetWrongVLIVersion ();\n\n Conveniece methods for debugging\n"},
  {(char*)"GetNumberOfBoards",                (PyCFunction)PyvtkVolumeProMapper_GetNumberOfBoards, 1,
   (char*)"V.GetNumberOfBoards() -> int\nC++: int GetNumberOfBoards ();\n\n Access methods for some board info\n"},
  {(char*)"GetMajorBoardVersion",                (PyCFunction)PyvtkVolumeProMapper_GetMajorBoardVersion, 1,
   (char*)"V.GetMajorBoardVersion() -> int\nC++: int GetMajorBoardVersion ();\n\n Access methods for some board info\n"},
  {(char*)"GetMinorBoardVersion",                (PyCFunction)PyvtkVolumeProMapper_GetMinorBoardVersion, 1,
   (char*)"V.GetMinorBoardVersion() -> int\nC++: int GetMinorBoardVersion ();\n\n Access methods for some board info\n"},
  {(char*)"GetAvailableBoardMemory",                (PyCFunction)PyvtkVolumeProMapper_GetAvailableBoardMemory, 1,
   (char*)"V.GetAvailableBoardMemory() -> int\nC++: virtual int GetAvailableBoardMemory ();return \n\n Access methods for some board info\n"},
  {(char*)"SetIntermixIntersectingGeometry",                (PyCFunction)PyvtkVolumeProMapper_SetIntermixIntersectingGeometry, 1,
   (char*)"V.SetIntermixIntersectingGeometry(int)\nC++: void SetIntermixIntersectingGeometry (int );\n\n Specify whether any geometry intersects the volume.\n"},
  {(char*)"GetIntermixIntersectingGeometryMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetIntermixIntersectingGeometryMinValue, 1,
   (char*)"V.GetIntermixIntersectingGeometryMinValue() -> int\nC++: int GetIntermixIntersectingGeometryMinValue ();\n\n Specify whether any geometry intersects the volume.\n"},
  {(char*)"GetIntermixIntersectingGeometryMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetIntermixIntersectingGeometryMaxValue, 1,
   (char*)"V.GetIntermixIntersectingGeometryMaxValue() -> int\nC++: int GetIntermixIntersectingGeometryMaxValue ();\n\n Specify whether any geometry intersects the volume.\n"},
  {(char*)"GetIntermixIntersectingGeometry",                (PyCFunction)PyvtkVolumeProMapper_GetIntermixIntersectingGeometry, 1,
   (char*)"V.GetIntermixIntersectingGeometry() -> int\nC++: int GetIntermixIntersectingGeometry ();\n\n Specify whether any geometry intersects the volume.\n"},
  {(char*)"IntermixIntersectingGeometryOn",                (PyCFunction)PyvtkVolumeProMapper_IntermixIntersectingGeometryOn, 1,
   (char*)"V.IntermixIntersectingGeometryOn()\nC++: void IntermixIntersectingGeometryOn ();\n\n Specify whether any geometry intersects the volume.\n"},
  {(char*)"IntermixIntersectingGeometryOff",                (PyCFunction)PyvtkVolumeProMapper_IntermixIntersectingGeometryOff, 1,
   (char*)"V.IntermixIntersectingGeometryOff()\nC++: void IntermixIntersectingGeometryOff ();\n\n Specify whether any geometry intersects the volume.\n"},
  {(char*)"SetAutoAdjustMipmapLevels",                (PyCFunction)PyvtkVolumeProMapper_SetAutoAdjustMipmapLevels, 1,
   (char*)"V.SetAutoAdjustMipmapLevels(int)\nC++: void SetAutoAdjustMipmapLevels (int );\n\n If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n"},
  {(char*)"GetAutoAdjustMipmapLevelsMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetAutoAdjustMipmapLevelsMinValue, 1,
   (char*)"V.GetAutoAdjustMipmapLevelsMinValue() -> int\nC++: int GetAutoAdjustMipmapLevelsMinValue ();\n\n If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n"},
  {(char*)"GetAutoAdjustMipmapLevelsMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetAutoAdjustMipmapLevelsMaxValue, 1,
   (char*)"V.GetAutoAdjustMipmapLevelsMaxValue() -> int\nC++: int GetAutoAdjustMipmapLevelsMaxValue ();\n\n If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n"},
  {(char*)"GetAutoAdjustMipmapLevels",                (PyCFunction)PyvtkVolumeProMapper_GetAutoAdjustMipmapLevels, 1,
   (char*)"V.GetAutoAdjustMipmapLevels() -> int\nC++: int GetAutoAdjustMipmapLevels ();\n\n If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n"},
  {(char*)"AutoAdjustMipmapLevelsOn",                (PyCFunction)PyvtkVolumeProMapper_AutoAdjustMipmapLevelsOn, 1,
   (char*)"V.AutoAdjustMipmapLevelsOn()\nC++: void AutoAdjustMipmapLevelsOn ();\n\n If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n"},
  {(char*)"AutoAdjustMipmapLevelsOff",                (PyCFunction)PyvtkVolumeProMapper_AutoAdjustMipmapLevelsOff, 1,
   (char*)"V.AutoAdjustMipmapLevelsOff()\nC++: void AutoAdjustMipmapLevelsOff ();\n\n If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n"},
  {(char*)"SetMinimumMipmapLevel",                (PyCFunction)PyvtkVolumeProMapper_SetMinimumMipmapLevel, 1,
   (char*)"V.SetMinimumMipmapLevel(int)\nC++: void SetMinimumMipmapLevel (int );\n\n Specify the minimum mipmap level to use -- the highest resolution.\n Defaults to 0. This is the mipmap level that is used when interaction\n stops.\n"},
  {(char*)"GetMinimumMipmapLevelMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetMinimumMipmapLevelMinValue, 1,
   (char*)"V.GetMinimumMipmapLevelMinValue() -> int\nC++: int GetMinimumMipmapLevelMinValue ();\n\n Specify the minimum mipmap level to use -- the highest resolution.\n Defaults to 0. This is the mipmap level that is used when interaction\n stops.\n"},
  {(char*)"GetMinimumMipmapLevelMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetMinimumMipmapLevelMaxValue, 1,
   (char*)"V.GetMinimumMipmapLevelMaxValue() -> int\nC++: int GetMinimumMipmapLevelMaxValue ();\n\n Specify the minimum mipmap level to use -- the highest resolution.\n Defaults to 0. This is the mipmap level that is used when interaction\n stops.\n"},
  {(char*)"GetMinimumMipmapLevel",                (PyCFunction)PyvtkVolumeProMapper_GetMinimumMipmapLevel, 1,
   (char*)"V.GetMinimumMipmapLevel() -> int\nC++: int GetMinimumMipmapLevel ();\n\n Specify the minimum mipmap level to use -- the highest resolution.\n Defaults to 0. This is the mipmap level that is used when interaction\n stops.\n"},
  {(char*)"SetMaximumMipmapLevel",                (PyCFunction)PyvtkVolumeProMapper_SetMaximumMipmapLevel, 1,
   (char*)"V.SetMaximumMipmapLevel(int)\nC++: void SetMaximumMipmapLevel (int );\n\n Specify the maximum mipmap level to use -- the lowest resolution.\n Defaults to 4. It will not help to set the level larger than\n this unless your volume is very large because for each successive mipmap\n level, the number of voxels along each axis is cut in half.\n"},
  {(char*)"GetMaximumMipmapLevelMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetMaximumMipmapLevelMinValue, 1,
   (char*)"V.GetMaximumMipmapLevelMinValue() -> int\nC++: int GetMaximumMipmapLevelMinValue ();\n\n Specify the maximum mipmap level to use -- the lowest resolution.\n Defaults to 4. It will not help to set the level larger than\n this unless your volume is very large because for each successive mipmap\n level, the number of voxels along each axis is cut in half.\n"},
  {(char*)"GetMaximumMipmapLevelMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetMaximumMipmapLevelMaxValue, 1,
   (char*)"V.GetMaximumMipmapLevelMaxValue() -> int\nC++: int GetMaximumMipmapLevelMaxValue ();\n\n Specify the maximum mipmap level to use -- the lowest resolution.\n Defaults to 4. It will not help to set the level larger than\n this unless your volume is very large because for each successive mipmap\n level, the number of voxels along each axis is cut in half.\n"},
  {(char*)"GetMaximumMipmapLevel",                (PyCFunction)PyvtkVolumeProMapper_GetMaximumMipmapLevel, 1,
   (char*)"V.GetMaximumMipmapLevel() -> int\nC++: int GetMaximumMipmapLevel ();\n\n Specify the maximum mipmap level to use -- the lowest resolution.\n Defaults to 4. It will not help to set the level larger than\n this unless your volume is very large because for each successive mipmap\n level, the number of voxels along each axis is cut in half.\n"},
  {(char*)"SetMipmapLevel",                (PyCFunction)PyvtkVolumeProMapper_SetMipmapLevel, 1,
   (char*)"V.SetMipmapLevel(int)\nC++: void SetMipmapLevel (int );\n\n Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this\n specifies the mipmap level to use during interaction. If\n AutoAdjustMipmapLevels is on, then this specifies the initial mipmap\n level to use.\n"},
  {(char*)"GetMipmapLevelMinValue",                (PyCFunction)PyvtkVolumeProMapper_GetMipmapLevelMinValue, 1,
   (char*)"V.GetMipmapLevelMinValue() -> int\nC++: int GetMipmapLevelMinValue ();\n\n Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this\n specifies the mipmap level to use during interaction. If\n AutoAdjustMipmapLevels is on, then this specifies the initial mipmap\n level to use.\n"},
  {(char*)"GetMipmapLevelMaxValue",                (PyCFunction)PyvtkVolumeProMapper_GetMipmapLevelMaxValue, 1,
   (char*)"V.GetMipmapLevelMaxValue() -> int\nC++: int GetMipmapLevelMaxValue ();\n\n Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this\n specifies the mipmap level to use during interaction. If\n AutoAdjustMipmapLevels is on, then this specifies the initial mipmap\n level to use.\n"},
  {(char*)"GetMipmapLevel",                (PyCFunction)PyvtkVolumeProMapper_GetMipmapLevel, 1,
   (char*)"V.GetMipmapLevel() -> int\nC++: int GetMipmapLevel ();\n\n Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this\n specifies the mipmap level to use during interaction. If\n AutoAdjustMipmapLevels is on, then this specifies the initial mipmap\n level to use.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeProMapperDoc[] = {
  (char*)"vtkVolumeProMapper - Superclass for VolumePRO volume rendering mappers\n\n",
  "Super Class:\n\n vtkVolumeMapper\n\n",
  (char*)" vtkVolumeProMapper is the superclass for VolumePRO volume rendering mappers.\n Any functionality that is general across all VolumePRO implementations is\n placed here in this class. Subclasses of this class are for the specific\n board implementations. Subclasses of that are for underlying graphics \n languages. Users should not create subclasses directly - \n a vtkVolumeProMapper will automatically c",
  (char*)"reate the object of the right \n type.\n\n If you do not have the VolumePRO libraries when building this object, then\n the New method will create a default renderer that will not render.\n You can check the NumberOfBoards ivar to see if it is a real rendering class.\n To build with the VolumePRO board see vtkVolumeProVP1000Mapper.h \n for instructions.\n\n For more information on the VolumePRO hardware, p",
  (char*)"lease see:\n\n   http://www.terarecon.com/products/volumepro_prod.html\n\n If you encounter any problems with this class, please inform Kitware, Inc.\n at kitware@kitware.com.\n\n\n\n",
  "See Also:\n\n vtkVolumeMapper vtkVolumeProVP1000Mapper vtkOpenGLVolumeProVP1000Mapper\n\n\n",
  NULL
};

static vtkObjectBase *vtkVolumeProMapperStaticNew()
{
  return vtkVolumeProMapper::New();
}

PyObject *PyVTKClass_vtkVolumeProMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumeProMapperStaticNew,
                        PyvtkVolumeProMapperMethods,
                        (char*)"vtkVolumeProMapper",modulename,
                        (char**)vtkVolumeProMapperDoc,
                        PyVTKClass_vtkVolumeMapperNew(modulename));
}

