// tcl wrapper for vtkVolumeProMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeProMapper.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVolumeProMapperNewCommand()
{
  vtkVolumeProMapper *temp = vtkVolumeProMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkVolumeMapperCppCommand(vtkVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVolumeProMapperCppCommand(vtkVolumeProMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVolumeProMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVolumeProMapperCppCommand(static_cast<vtkVolumeProMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVolumeProMapperCppCommand(vtkVolumeProMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVolumeProMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkVolumeMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVolumeProMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeProMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVolumeProMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeProMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVolumeProMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeProMapper");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBlendMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBlendMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlendModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBlendModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBlendModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBlendModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBlendMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBlendMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBlendModeToComposite",argv[1]))&&(argc == 2))
    {
    op->SetBlendModeToComposite();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBlendModeToMaximumIntensity",argv[1]))&&(argc == 2))
    {
    op->SetBlendModeToMaximumIntensity();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBlendModeToMinimumIntensity",argv[1]))&&(argc == 2))
    {
    op->SetBlendModeToMinimumIntensity();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBlendModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetBlendModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSubVolume",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetSubVolume(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSubVolume",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetSubVolume(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubVolume",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSubVolume();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCursor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCursor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCursorMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCursorMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCursorMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCursorMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCursor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCursor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CursorOn",argv[1]))&&(argc == 2))
    {
    op->CursorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CursorOff",argv[1]))&&(argc == 2))
    {
    op->CursorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCursorType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCursorType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCursorTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCursorTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCursorTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCursorTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCursorType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCursorType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCursorTypeToCrossHair",argv[1]))&&(argc == 2))
    {
    op->SetCursorTypeToCrossHair();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCursorTypeToPlane",argv[1]))&&(argc == 2))
    {
    op->SetCursorTypeToPlane();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCursorTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetCursorTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCursorPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCursorPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCursorPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCursorPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCursorPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCursorPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCursorXAxisColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCursorXAxisColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCursorXAxisColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCursorXAxisColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCursorXAxisColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCursorXAxisColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCursorYAxisColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCursorYAxisColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCursorYAxisColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCursorYAxisColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCursorYAxisColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCursorYAxisColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCursorZAxisColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCursorZAxisColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCursorZAxisColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCursorZAxisColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCursorZAxisColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCursorZAxisColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSuperSampling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSuperSampling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSuperSamplingMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSuperSamplingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSuperSamplingMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSuperSamplingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSuperSampling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSuperSampling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SuperSamplingOn",argv[1]))&&(argc == 2))
    {
    op->SuperSamplingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SuperSamplingOff",argv[1]))&&(argc == 2))
    {
    op->SuperSamplingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSuperSamplingFactor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSuperSamplingFactor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSuperSamplingFactor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSuperSamplingFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSuperSamplingFactor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSuperSamplingFactor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCutPlane",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCutPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCutPlaneMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCutPlaneMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCutPlaneMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCutPlaneMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCutPlane",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCutPlane();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CutPlaneOn",argv[1]))&&(argc == 2))
    {
    op->CutPlaneOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CutPlaneOff",argv[1]))&&(argc == 2))
    {
    op->CutPlaneOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCutPlaneEquation",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetCutPlaneEquation(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCutPlaneEquation",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetCutPlaneEquation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCutPlaneEquation",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCutPlaneEquation();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCutPlaneThickness",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCutPlaneThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCutPlaneThicknessMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCutPlaneThicknessMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCutPlaneThicknessMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCutPlaneThicknessMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCutPlaneThickness",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCutPlaneThickness();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCutPlaneFallOffDistance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCutPlaneFallOffDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCutPlaneFallOffDistanceMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCutPlaneFallOffDistanceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCutPlaneFallOffDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCutPlaneFallOffDistanceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCutPlaneFallOffDistance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCutPlaneFallOffDistance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGradientOpacityModulation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGradientOpacityModulation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientOpacityModulationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientOpacityModulationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGradientOpacityModulationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientOpacityModulationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGradientOpacityModulation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientOpacityModulation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GradientOpacityModulationOn",argv[1]))&&(argc == 2))
    {
    op->GradientOpacityModulationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GradientOpacityModulationOff",argv[1]))&&(argc == 2))
    {
    op->GradientOpacityModulationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGradientDiffuseModulation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGradientDiffuseModulation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientDiffuseModulationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientDiffuseModulationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGradientDiffuseModulationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientDiffuseModulationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGradientDiffuseModulation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientDiffuseModulation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GradientDiffuseModulationOn",argv[1]))&&(argc == 2))
    {
    op->GradientDiffuseModulationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GradientDiffuseModulationOff",argv[1]))&&(argc == 2))
    {
    op->GradientDiffuseModulationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGradientSpecularModulation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGradientSpecularModulation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientSpecularModulationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientSpecularModulationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGradientSpecularModulationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientSpecularModulationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGradientSpecularModulation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientSpecularModulation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GradientSpecularModulationOn",argv[1]))&&(argc == 2))
    {
    op->GradientSpecularModulationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GradientSpecularModulationOff",argv[1]))&&(argc == 2))
    {
    op->GradientSpecularModulationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNoHardware",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNoHardware();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWrongVLIVersion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWrongVLIVersion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfBoards",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfBoards();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMajorBoardVersion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMajorBoardVersion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinorBoardVersion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinorBoardVersion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAvailableBoardMemory",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAvailableBoardMemory();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntermixIntersectingGeometry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntermixIntersectingGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntermixIntersectingGeometryMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometryMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntermixIntersectingGeometryMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometryMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntermixIntersectingGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IntermixIntersectingGeometryOn",argv[1]))&&(argc == 2))
    {
    op->IntermixIntersectingGeometryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IntermixIntersectingGeometryOff",argv[1]))&&(argc == 2))
    {
    op->IntermixIntersectingGeometryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoAdjustMipmapLevels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoAdjustMipmapLevels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoAdjustMipmapLevelsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustMipmapLevelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustMipmapLevelsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustMipmapLevelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustMipmapLevels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustMipmapLevels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustMipmapLevelsOn",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustMipmapLevelsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustMipmapLevelsOff",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustMipmapLevelsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumMipmapLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinimumMipmapLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumMipmapLevelMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinimumMipmapLevelMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumMipmapLevelMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinimumMipmapLevelMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumMipmapLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinimumMipmapLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumMipmapLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumMipmapLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumMipmapLevelMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumMipmapLevelMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumMipmapLevelMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumMipmapLevelMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumMipmapLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumMipmapLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMipmapLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMipmapLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMipmapLevelMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMipmapLevelMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMipmapLevelMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMipmapLevelMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMipmapLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMipmapLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVolumeProMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVolumeProMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlendModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBlendModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBlendMode\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendModeToComposite\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendModeToMaximumIntensity\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendModeToMinimumIntensity\n",NULL);
    Tcl_AppendResult(interp,"  GetBlendModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetSubVolume\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSubVolume\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSubVolume\n",NULL);
    Tcl_AppendResult(interp,"  SetCursor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCursor\n",NULL);
    Tcl_AppendResult(interp,"  CursorOn\n",NULL);
    Tcl_AppendResult(interp,"  CursorOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorType\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorTypeToCrossHair\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorTypeToPlane\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorXAxisColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorXAxisColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorXAxisColor\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorYAxisColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorYAxisColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorYAxisColor\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorZAxisColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorZAxisColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorZAxisColor\n",NULL);
    Tcl_AppendResult(interp,"  SetSuperSampling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperSamplingMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperSamplingMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperSampling\n",NULL);
    Tcl_AppendResult(interp,"  SuperSamplingOn\n",NULL);
    Tcl_AppendResult(interp,"  SuperSamplingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSuperSamplingFactor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSuperSamplingFactor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperSamplingFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetCutPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCutPlaneMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCutPlaneMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCutPlane\n",NULL);
    Tcl_AppendResult(interp,"  CutPlaneOn\n",NULL);
    Tcl_AppendResult(interp,"  CutPlaneOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCutPlaneEquation\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCutPlaneEquation\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCutPlaneEquation\n",NULL);
    Tcl_AppendResult(interp,"  SetCutPlaneThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCutPlaneThicknessMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCutPlaneThicknessMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCutPlaneThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetCutPlaneFallOffDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCutPlaneFallOffDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCutPlaneFallOffDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCutPlaneFallOffDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientOpacityModulation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientOpacityModulationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientOpacityModulationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientOpacityModulation\n",NULL);
    Tcl_AppendResult(interp,"  GradientOpacityModulationOn\n",NULL);
    Tcl_AppendResult(interp,"  GradientOpacityModulationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientDiffuseModulation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientDiffuseModulationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientDiffuseModulationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientDiffuseModulation\n",NULL);
    Tcl_AppendResult(interp,"  GradientDiffuseModulationOn\n",NULL);
    Tcl_AppendResult(interp,"  GradientDiffuseModulationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientSpecularModulation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientSpecularModulationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientSpecularModulationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientSpecularModulation\n",NULL);
    Tcl_AppendResult(interp,"  GradientSpecularModulationOn\n",NULL);
    Tcl_AppendResult(interp,"  GradientSpecularModulationOff\n",NULL);
    Tcl_AppendResult(interp,"  GetNoHardware\n",NULL);
    Tcl_AppendResult(interp,"  GetWrongVLIVersion\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBoards\n",NULL);
    Tcl_AppendResult(interp,"  GetMajorBoardVersion\n",NULL);
    Tcl_AppendResult(interp,"  GetMinorBoardVersion\n",NULL);
    Tcl_AppendResult(interp,"  GetAvailableBoardMemory\n",NULL);
    Tcl_AppendResult(interp,"  SetIntermixIntersectingGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometryMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometryMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometry\n",NULL);
    Tcl_AppendResult(interp,"  IntermixIntersectingGeometryOn\n",NULL);
    Tcl_AppendResult(interp,"  IntermixIntersectingGeometryOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoAdjustMipmapLevels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustMipmapLevelsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustMipmapLevelsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustMipmapLevels\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustMipmapLevelsOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustMipmapLevelsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumMipmapLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumMipmapLevelMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumMipmapLevelMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumMipmapLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumMipmapLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumMipmapLevelMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumMipmapLevelMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumMipmapLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetMipmapLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMipmapLevelMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMipmapLevelMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMipmapLevel\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "SetBlendMode" );
    Tcl_DStringAppendElement ( &dString, "GetBlendModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBlendModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetBlendMode" );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToComposite" );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMaximumIntensity" );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMinimumIntensity" );
    Tcl_DStringAppendElement ( &dString, "GetBlendModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetSubVolume" );
    Tcl_DStringAppendElement ( &dString, "SetSubVolume" );
    Tcl_DStringAppendElement ( &dString, "GetSubVolume" );
    Tcl_DStringAppendElement ( &dString, "SetCursor" );
    Tcl_DStringAppendElement ( &dString, "GetCursorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCursorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCursor" );
    Tcl_DStringAppendElement ( &dString, "CursorOn" );
    Tcl_DStringAppendElement ( &dString, "CursorOff" );
    Tcl_DStringAppendElement ( &dString, "SetCursorType" );
    Tcl_DStringAppendElement ( &dString, "GetCursorTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCursorTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCursorType" );
    Tcl_DStringAppendElement ( &dString, "SetCursorTypeToCrossHair" );
    Tcl_DStringAppendElement ( &dString, "SetCursorTypeToPlane" );
    Tcl_DStringAppendElement ( &dString, "GetCursorTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetCursorPosition" );
    Tcl_DStringAppendElement ( &dString, "SetCursorPosition" );
    Tcl_DStringAppendElement ( &dString, "GetCursorPosition" );
    Tcl_DStringAppendElement ( &dString, "SetCursorXAxisColor" );
    Tcl_DStringAppendElement ( &dString, "SetCursorXAxisColor" );
    Tcl_DStringAppendElement ( &dString, "GetCursorXAxisColor" );
    Tcl_DStringAppendElement ( &dString, "SetCursorYAxisColor" );
    Tcl_DStringAppendElement ( &dString, "SetCursorYAxisColor" );
    Tcl_DStringAppendElement ( &dString, "GetCursorYAxisColor" );
    Tcl_DStringAppendElement ( &dString, "SetCursorZAxisColor" );
    Tcl_DStringAppendElement ( &dString, "SetCursorZAxisColor" );
    Tcl_DStringAppendElement ( &dString, "GetCursorZAxisColor" );
    Tcl_DStringAppendElement ( &dString, "SetSuperSampling" );
    Tcl_DStringAppendElement ( &dString, "GetSuperSamplingMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSuperSamplingMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSuperSampling" );
    Tcl_DStringAppendElement ( &dString, "SuperSamplingOn" );
    Tcl_DStringAppendElement ( &dString, "SuperSamplingOff" );
    Tcl_DStringAppendElement ( &dString, "SetSuperSamplingFactor" );
    Tcl_DStringAppendElement ( &dString, "SetSuperSamplingFactor" );
    Tcl_DStringAppendElement ( &dString, "GetSuperSamplingFactor" );
    Tcl_DStringAppendElement ( &dString, "SetCutPlane" );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCutPlane" );
    Tcl_DStringAppendElement ( &dString, "CutPlaneOn" );
    Tcl_DStringAppendElement ( &dString, "CutPlaneOff" );
    Tcl_DStringAppendElement ( &dString, "SetCutPlaneEquation" );
    Tcl_DStringAppendElement ( &dString, "SetCutPlaneEquation" );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneEquation" );
    Tcl_DStringAppendElement ( &dString, "SetCutPlaneThickness" );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneThicknessMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneThicknessMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneThickness" );
    Tcl_DStringAppendElement ( &dString, "SetCutPlaneFallOffDistance" );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneFallOffDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneFallOffDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneFallOffDistance" );
    Tcl_DStringAppendElement ( &dString, "SetGradientOpacityModulation" );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacityModulationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacityModulationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacityModulation" );
    Tcl_DStringAppendElement ( &dString, "GradientOpacityModulationOn" );
    Tcl_DStringAppendElement ( &dString, "GradientOpacityModulationOff" );
    Tcl_DStringAppendElement ( &dString, "SetGradientDiffuseModulation" );
    Tcl_DStringAppendElement ( &dString, "GetGradientDiffuseModulationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetGradientDiffuseModulationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetGradientDiffuseModulation" );
    Tcl_DStringAppendElement ( &dString, "GradientDiffuseModulationOn" );
    Tcl_DStringAppendElement ( &dString, "GradientDiffuseModulationOff" );
    Tcl_DStringAppendElement ( &dString, "SetGradientSpecularModulation" );
    Tcl_DStringAppendElement ( &dString, "GetGradientSpecularModulationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetGradientSpecularModulationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetGradientSpecularModulation" );
    Tcl_DStringAppendElement ( &dString, "GradientSpecularModulationOn" );
    Tcl_DStringAppendElement ( &dString, "GradientSpecularModulationOff" );
    Tcl_DStringAppendElement ( &dString, "GetNoHardware" );
    Tcl_DStringAppendElement ( &dString, "GetWrongVLIVersion" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBoards" );
    Tcl_DStringAppendElement ( &dString, "GetMajorBoardVersion" );
    Tcl_DStringAppendElement ( &dString, "GetMinorBoardVersion" );
    Tcl_DStringAppendElement ( &dString, "GetAvailableBoardMemory" );
    Tcl_DStringAppendElement ( &dString, "SetIntermixIntersectingGeometry" );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometry" );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOn" );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOff" );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustMipmapLevels" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustMipmapLevelsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustMipmapLevelsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustMipmapLevels" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustMipmapLevelsOn" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustMipmapLevelsOff" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumMipmapLevel" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumMipmapLevelMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumMipmapLevelMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumMipmapLevel" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumMipmapLevel" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumMipmapLevelMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumMipmapLevelMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumMipmapLevel" );
    Tcl_DStringAppendElement ( &dString, "SetMipmapLevel" );
    Tcl_DStringAppendElement ( &dString, "GetMipmapLevelMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMipmapLevelMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMipmapLevel" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkVolumeMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Automatically create the proper subclass\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkVolumeProMapper *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Set the blend mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render (vtkRenderer *, vtkVolume *);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendMode */
    if ( strcmp ( argv[2], "SetBlendMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendMode */
    Tcl_DStringAppendElement ( &dString, " Set the blend mode\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetBlendMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlendModeMinValue */
    if ( strcmp ( argv[2], "GetBlendModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlendModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlendModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the blend mode\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBlendModeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetBlendModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlendModeMaxValue */
    if ( strcmp ( argv[2], "GetBlendModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlendModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlendModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the blend mode\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBlendModeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetBlendModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlendMode */
    if ( strcmp ( argv[2], "GetBlendMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlendMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlendMode */
    Tcl_DStringAppendElement ( &dString, " Set the blend mode\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBlendMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetBlendMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendModeToComposite */
    if ( strcmp ( argv[2], "SetBlendModeToComposite" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToComposite" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendModeToComposite */
    Tcl_DStringAppendElement ( &dString, " Set the blend mode\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendModeToComposite ();this SetBlendMode VTK_BLEND_MODE_COMPOSITE " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetBlendModeToComposite */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendModeToMaximumIntensity */
    if ( strcmp ( argv[2], "SetBlendModeToMaximumIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMaximumIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendModeToMaximumIntensity */
    Tcl_DStringAppendElement ( &dString, " Set the blend mode\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendModeToMaximumIntensity ();this SetBlendMode VTK_BLEND_MODE_MAX_INTENSITY " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetBlendModeToMaximumIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendModeToMinimumIntensity */
    if ( strcmp ( argv[2], "SetBlendModeToMinimumIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendModeToMinimumIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendModeToMinimumIntensity */
    Tcl_DStringAppendElement ( &dString, " Set the blend mode\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlendModeToMinimumIntensity ();this SetBlendMode VTK_BLEND_MODE_MIN_INTENSITY " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetBlendModeToMinimumIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlendModeAsString */
    if ( strcmp ( argv[2], "GetBlendModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlendModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlendModeAsString */
    Tcl_DStringAppendElement ( &dString, " Set the blend mode\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetBlendModeAsString (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetBlendModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubVolume */
    if ( strcmp ( argv[2], "SetSubVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubVolume */
    Tcl_DStringAppendElement ( &dString, " Set the subvolume\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSubVolume (int , int , int , int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetSubVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubVolume */
    if ( strcmp ( argv[2], "SetSubVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubVolume */
    Tcl_DStringAppendElement ( &dString, " Set the subvolume\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSubVolume (int  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetSubVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubVolume */
    if ( strcmp ( argv[2], "GetSubVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubVolume */
    Tcl_DStringAppendElement ( &dString, " Set the subvolume\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetSubVolume ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetSubVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursor */
    if ( strcmp ( argv[2], "SetCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursor */
    Tcl_DStringAppendElement ( &dString, " Turn the cursor on / off\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursor (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorMinValue */
    if ( strcmp ( argv[2], "GetCursorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorMinValue */
    Tcl_DStringAppendElement ( &dString, " Turn the cursor on / off\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCursorMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCursorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorMaxValue */
    if ( strcmp ( argv[2], "GetCursorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Turn the cursor on / off\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCursorMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCursorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursor */
    if ( strcmp ( argv[2], "GetCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursor */
    Tcl_DStringAppendElement ( &dString, " Turn the cursor on / off\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCursor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CursorOn */
    if ( strcmp ( argv[2], "CursorOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CursorOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CursorOn */
    Tcl_DStringAppendElement ( &dString, " Turn the cursor on / off\n" );
    Tcl_DStringAppendElement ( &dString, "void CursorOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for CursorOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CursorOff */
    if ( strcmp ( argv[2], "CursorOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CursorOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CursorOff */
    Tcl_DStringAppendElement ( &dString, " Turn the cursor on / off\n" );
    Tcl_DStringAppendElement ( &dString, "void CursorOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for CursorOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorType */
    if ( strcmp ( argv[2], "SetCursorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorType */
    Tcl_DStringAppendElement ( &dString, " Set the type of the cursor\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorTypeMinValue */
    if ( strcmp ( argv[2], "GetCursorTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the type of the cursor\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCursorTypeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCursorTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorTypeMaxValue */
    if ( strcmp ( argv[2], "GetCursorTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the type of the cursor\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCursorTypeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCursorTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorType */
    if ( strcmp ( argv[2], "GetCursorType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorType */
    Tcl_DStringAppendElement ( &dString, " Set the type of the cursor\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCursorType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCursorType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorTypeToCrossHair */
    if ( strcmp ( argv[2], "SetCursorTypeToCrossHair" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorTypeToCrossHair" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorTypeToCrossHair */
    Tcl_DStringAppendElement ( &dString, " Set the type of the cursor\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorTypeToCrossHair ();this SetCursorType VTK_CURSOR_TYPE_CROSSHAIR " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursorTypeToCrossHair */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorTypeToPlane */
    if ( strcmp ( argv[2], "SetCursorTypeToPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorTypeToPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorTypeToPlane */
    Tcl_DStringAppendElement ( &dString, " Set the type of the cursor\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorTypeToPlane ();this SetCursorType VTK_CURSOR_TYPE_PLANE " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursorTypeToPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorTypeAsString */
    if ( strcmp ( argv[2], "GetCursorTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorTypeAsString */
    Tcl_DStringAppendElement ( &dString, " Set the type of the cursor\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetCursorTypeAsString (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCursorTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorPosition */
    if ( strcmp ( argv[2], "SetCursorPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor position\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorPosition (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursorPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorPosition */
    if ( strcmp ( argv[2], "SetCursorPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor position\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorPosition (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursorPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorPosition */
    if ( strcmp ( argv[2], "GetCursorPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor position\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetCursorPosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCursorPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorXAxisColor */
    if ( strcmp ( argv[2], "SetCursorXAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorXAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorXAxisColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor color\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorXAxisColor (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursorXAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorXAxisColor */
    if ( strcmp ( argv[2], "SetCursorXAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorXAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorXAxisColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor color\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorXAxisColor (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursorXAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorXAxisColor */
    if ( strcmp ( argv[2], "GetCursorXAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorXAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorXAxisColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor color\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetCursorXAxisColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCursorXAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorYAxisColor */
    if ( strcmp ( argv[2], "SetCursorYAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorYAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorYAxisColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor color\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorYAxisColor (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursorYAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorYAxisColor */
    if ( strcmp ( argv[2], "SetCursorYAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorYAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorYAxisColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor color\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorYAxisColor (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursorYAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorYAxisColor */
    if ( strcmp ( argv[2], "GetCursorYAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorYAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorYAxisColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor color\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetCursorYAxisColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCursorYAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorZAxisColor */
    if ( strcmp ( argv[2], "SetCursorZAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorZAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorZAxisColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor color\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorZAxisColor (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursorZAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorZAxisColor */
    if ( strcmp ( argv[2], "SetCursorZAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorZAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorZAxisColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor color\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorZAxisColor (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCursorZAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorZAxisColor */
    if ( strcmp ( argv[2], "GetCursorZAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorZAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorZAxisColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cursor color\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetCursorZAxisColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCursorZAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSuperSampling */
    if ( strcmp ( argv[2], "SetSuperSampling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSuperSampling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSuperSampling */
    Tcl_DStringAppendElement ( &dString, " Turn supersampling on/off\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSuperSampling (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetSuperSampling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSuperSamplingMinValue */
    if ( strcmp ( argv[2], "GetSuperSamplingMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSuperSamplingMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSuperSamplingMinValue */
    Tcl_DStringAppendElement ( &dString, " Turn supersampling on/off\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSuperSamplingMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetSuperSamplingMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSuperSamplingMaxValue */
    if ( strcmp ( argv[2], "GetSuperSamplingMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSuperSamplingMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSuperSamplingMaxValue */
    Tcl_DStringAppendElement ( &dString, " Turn supersampling on/off\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSuperSamplingMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetSuperSamplingMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSuperSampling */
    if ( strcmp ( argv[2], "GetSuperSampling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSuperSampling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSuperSampling */
    Tcl_DStringAppendElement ( &dString, " Turn supersampling on/off\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSuperSampling ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetSuperSampling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SuperSamplingOn */
    if ( strcmp ( argv[2], "SuperSamplingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SuperSamplingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SuperSamplingOn */
    Tcl_DStringAppendElement ( &dString, " Turn supersampling on/off\n" );
    Tcl_DStringAppendElement ( &dString, "void SuperSamplingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SuperSamplingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SuperSamplingOff */
    if ( strcmp ( argv[2], "SuperSamplingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SuperSamplingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SuperSamplingOff */
    Tcl_DStringAppendElement ( &dString, " Turn supersampling on/off\n" );
    Tcl_DStringAppendElement ( &dString, "void SuperSamplingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SuperSamplingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSuperSamplingFactor */
    if ( strcmp ( argv[2], "SetSuperSamplingFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSuperSamplingFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSuperSamplingFactor */
    Tcl_DStringAppendElement ( &dString, " Set the supersampling factors\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSuperSamplingFactor (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetSuperSamplingFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSuperSamplingFactor */
    if ( strcmp ( argv[2], "SetSuperSamplingFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSuperSamplingFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSuperSamplingFactor */
    Tcl_DStringAppendElement ( &dString, " Set the supersampling factors\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSuperSamplingFactor (double f\\[3\\]);this SetSuperSamplingFactor f f f " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetSuperSamplingFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSuperSamplingFactor */
    if ( strcmp ( argv[2], "GetSuperSamplingFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSuperSamplingFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSuperSamplingFactor */
    Tcl_DStringAppendElement ( &dString, " Set the supersampling factors\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetSuperSamplingFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetSuperSamplingFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCutPlane */
    if ( strcmp ( argv[2], "SetCutPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCutPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCutPlane */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the cut plane\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCutPlane (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCutPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCutPlaneMinValue */
    if ( strcmp ( argv[2], "GetCutPlaneMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCutPlaneMinValue */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the cut plane\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCutPlaneMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCutPlaneMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCutPlaneMaxValue */
    if ( strcmp ( argv[2], "GetCutPlaneMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCutPlaneMaxValue */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the cut plane\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCutPlaneMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCutPlaneMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCutPlane */
    if ( strcmp ( argv[2], "GetCutPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCutPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCutPlane */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the cut plane\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCutPlane ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCutPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CutPlaneOn */
    if ( strcmp ( argv[2], "CutPlaneOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CutPlaneOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CutPlaneOn */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the cut plane\n" );
    Tcl_DStringAppendElement ( &dString, "void CutPlaneOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for CutPlaneOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CutPlaneOff */
    if ( strcmp ( argv[2], "CutPlaneOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CutPlaneOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CutPlaneOff */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the cut plane\n" );
    Tcl_DStringAppendElement ( &dString, "void CutPlaneOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for CutPlaneOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCutPlaneEquation */
    if ( strcmp ( argv[2], "SetCutPlaneEquation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCutPlaneEquation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCutPlaneEquation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cut plane equation\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCutPlaneEquation (double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCutPlaneEquation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCutPlaneEquation */
    if ( strcmp ( argv[2], "SetCutPlaneEquation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCutPlaneEquation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCutPlaneEquation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cut plane equation\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCutPlaneEquation (double  a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCutPlaneEquation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCutPlaneEquation */
    if ( strcmp ( argv[2], "GetCutPlaneEquation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneEquation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCutPlaneEquation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cut plane equation\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetCutPlaneEquation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCutPlaneEquation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCutPlaneThickness */
    if ( strcmp ( argv[2], "SetCutPlaneThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCutPlaneThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCutPlaneThickness */
    Tcl_DStringAppendElement ( &dString, " Set / Get the cut plane thickness\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCutPlaneThickness (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCutPlaneThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCutPlaneThicknessMinValue */
    if ( strcmp ( argv[2], "GetCutPlaneThicknessMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneThicknessMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCutPlaneThicknessMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the cut plane thickness\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCutPlaneThicknessMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCutPlaneThicknessMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCutPlaneThicknessMaxValue */
    if ( strcmp ( argv[2], "GetCutPlaneThicknessMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneThicknessMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCutPlaneThicknessMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the cut plane thickness\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCutPlaneThicknessMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCutPlaneThicknessMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCutPlaneThickness */
    if ( strcmp ( argv[2], "GetCutPlaneThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCutPlaneThickness */
    Tcl_DStringAppendElement ( &dString, " Set / Get the cut plane thickness\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCutPlaneThickness ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCutPlaneThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCutPlaneFallOffDistance */
    if ( strcmp ( argv[2], "SetCutPlaneFallOffDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCutPlaneFallOffDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCutPlaneFallOffDistance */
    Tcl_DStringAppendElement ( &dString, " Set / Get the cut plane falloff value for intensities\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCutPlaneFallOffDistance (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetCutPlaneFallOffDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCutPlaneFallOffDistanceMinValue */
    if ( strcmp ( argv[2], "GetCutPlaneFallOffDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneFallOffDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCutPlaneFallOffDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the cut plane falloff value for intensities\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCutPlaneFallOffDistanceMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCutPlaneFallOffDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCutPlaneFallOffDistanceMaxValue */
    if ( strcmp ( argv[2], "GetCutPlaneFallOffDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneFallOffDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCutPlaneFallOffDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the cut plane falloff value for intensities\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCutPlaneFallOffDistanceMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCutPlaneFallOffDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCutPlaneFallOffDistance */
    if ( strcmp ( argv[2], "GetCutPlaneFallOffDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCutPlaneFallOffDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCutPlaneFallOffDistance */
    Tcl_DStringAppendElement ( &dString, " Set / Get the cut plane falloff value for intensities\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCutPlaneFallOffDistance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetCutPlaneFallOffDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGradientOpacityModulation */
    if ( strcmp ( argv[2], "SetGradientOpacityModulation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGradientOpacityModulation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGradientOpacityModulation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude opacity modulation \n" );
    Tcl_DStringAppendElement ( &dString, "void SetGradientOpacityModulation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetGradientOpacityModulation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientOpacityModulationMinValue */
    if ( strcmp ( argv[2], "GetGradientOpacityModulationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacityModulationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientOpacityModulationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude opacity modulation \n" );
    Tcl_DStringAppendElement ( &dString, "int GetGradientOpacityModulationMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetGradientOpacityModulationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientOpacityModulationMaxValue */
    if ( strcmp ( argv[2], "GetGradientOpacityModulationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacityModulationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientOpacityModulationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude opacity modulation \n" );
    Tcl_DStringAppendElement ( &dString, "int GetGradientOpacityModulationMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetGradientOpacityModulationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientOpacityModulation */
    if ( strcmp ( argv[2], "GetGradientOpacityModulation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacityModulation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientOpacityModulation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude opacity modulation \n" );
    Tcl_DStringAppendElement ( &dString, "int GetGradientOpacityModulation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetGradientOpacityModulation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GradientOpacityModulationOn */
    if ( strcmp ( argv[2], "GradientOpacityModulationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GradientOpacityModulationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GradientOpacityModulationOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude opacity modulation \n" );
    Tcl_DStringAppendElement ( &dString, "void GradientOpacityModulationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GradientOpacityModulationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GradientOpacityModulationOff */
    if ( strcmp ( argv[2], "GradientOpacityModulationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GradientOpacityModulationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GradientOpacityModulationOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude opacity modulation \n" );
    Tcl_DStringAppendElement ( &dString, "void GradientOpacityModulationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GradientOpacityModulationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGradientDiffuseModulation */
    if ( strcmp ( argv[2], "SetGradientDiffuseModulation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGradientDiffuseModulation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGradientDiffuseModulation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude diffuse modulation \n" );
    Tcl_DStringAppendElement ( &dString, "void SetGradientDiffuseModulation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetGradientDiffuseModulation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientDiffuseModulationMinValue */
    if ( strcmp ( argv[2], "GetGradientDiffuseModulationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientDiffuseModulationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientDiffuseModulationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude diffuse modulation \n" );
    Tcl_DStringAppendElement ( &dString, "int GetGradientDiffuseModulationMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetGradientDiffuseModulationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientDiffuseModulationMaxValue */
    if ( strcmp ( argv[2], "GetGradientDiffuseModulationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientDiffuseModulationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientDiffuseModulationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude diffuse modulation \n" );
    Tcl_DStringAppendElement ( &dString, "int GetGradientDiffuseModulationMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetGradientDiffuseModulationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientDiffuseModulation */
    if ( strcmp ( argv[2], "GetGradientDiffuseModulation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientDiffuseModulation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientDiffuseModulation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude diffuse modulation \n" );
    Tcl_DStringAppendElement ( &dString, "int GetGradientDiffuseModulation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetGradientDiffuseModulation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GradientDiffuseModulationOn */
    if ( strcmp ( argv[2], "GradientDiffuseModulationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GradientDiffuseModulationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GradientDiffuseModulationOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude diffuse modulation \n" );
    Tcl_DStringAppendElement ( &dString, "void GradientDiffuseModulationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GradientDiffuseModulationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GradientDiffuseModulationOff */
    if ( strcmp ( argv[2], "GradientDiffuseModulationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GradientDiffuseModulationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GradientDiffuseModulationOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude diffuse modulation \n" );
    Tcl_DStringAppendElement ( &dString, "void GradientDiffuseModulationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GradientDiffuseModulationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGradientSpecularModulation */
    if ( strcmp ( argv[2], "SetGradientSpecularModulation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGradientSpecularModulation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGradientSpecularModulation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude specular modulation \n" );
    Tcl_DStringAppendElement ( &dString, "void SetGradientSpecularModulation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetGradientSpecularModulation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientSpecularModulationMinValue */
    if ( strcmp ( argv[2], "GetGradientSpecularModulationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientSpecularModulationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientSpecularModulationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude specular modulation \n" );
    Tcl_DStringAppendElement ( &dString, "int GetGradientSpecularModulationMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetGradientSpecularModulationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientSpecularModulationMaxValue */
    if ( strcmp ( argv[2], "GetGradientSpecularModulationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientSpecularModulationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientSpecularModulationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude specular modulation \n" );
    Tcl_DStringAppendElement ( &dString, "int GetGradientSpecularModulationMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetGradientSpecularModulationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientSpecularModulation */
    if ( strcmp ( argv[2], "GetGradientSpecularModulation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientSpecularModulation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientSpecularModulation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude specular modulation \n" );
    Tcl_DStringAppendElement ( &dString, "int GetGradientSpecularModulation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetGradientSpecularModulation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GradientSpecularModulationOn */
    if ( strcmp ( argv[2], "GradientSpecularModulationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GradientSpecularModulationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GradientSpecularModulationOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude specular modulation \n" );
    Tcl_DStringAppendElement ( &dString, "void GradientSpecularModulationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GradientSpecularModulationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GradientSpecularModulationOff */
    if ( strcmp ( argv[2], "GradientSpecularModulationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GradientSpecularModulationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GradientSpecularModulationOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the gradient magnitude specular modulation \n" );
    Tcl_DStringAppendElement ( &dString, "void GradientSpecularModulationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GradientSpecularModulationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNoHardware */
    if ( strcmp ( argv[2], "GetNoHardware" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNoHardware" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNoHardware */
    Tcl_DStringAppendElement ( &dString, " Conveniece methods for debugging\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNoHardware ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetNoHardware */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWrongVLIVersion */
    if ( strcmp ( argv[2], "GetWrongVLIVersion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWrongVLIVersion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWrongVLIVersion */
    Tcl_DStringAppendElement ( &dString, " Conveniece methods for debugging\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWrongVLIVersion ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetWrongVLIVersion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfBoards */
    if ( strcmp ( argv[2], "GetNumberOfBoards" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBoards" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBoards */
    Tcl_DStringAppendElement ( &dString, " Access methods for some board info\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfBoards ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetNumberOfBoards */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMajorBoardVersion */
    if ( strcmp ( argv[2], "GetMajorBoardVersion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMajorBoardVersion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMajorBoardVersion */
    Tcl_DStringAppendElement ( &dString, " Access methods for some board info\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMajorBoardVersion ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetMajorBoardVersion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinorBoardVersion */
    if ( strcmp ( argv[2], "GetMinorBoardVersion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorBoardVersion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorBoardVersion */
    Tcl_DStringAppendElement ( &dString, " Access methods for some board info\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinorBoardVersion ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetMinorBoardVersion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAvailableBoardMemory */
    if ( strcmp ( argv[2], "GetAvailableBoardMemory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAvailableBoardMemory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAvailableBoardMemory */
    Tcl_DStringAppendElement ( &dString, " Access methods for some board info\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAvailableBoardMemory ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetAvailableBoardMemory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntermixIntersectingGeometry */
    if ( strcmp ( argv[2], "SetIntermixIntersectingGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntermixIntersectingGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntermixIntersectingGeometry */
    Tcl_DStringAppendElement ( &dString, " Specify whether any geometry intersects the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntermixIntersectingGeometry (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetIntermixIntersectingGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntermixIntersectingGeometryMinValue */
    if ( strcmp ( argv[2], "GetIntermixIntersectingGeometryMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntermixIntersectingGeometryMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether any geometry intersects the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntermixIntersectingGeometryMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetIntermixIntersectingGeometryMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntermixIntersectingGeometryMaxValue */
    if ( strcmp ( argv[2], "GetIntermixIntersectingGeometryMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntermixIntersectingGeometryMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify whether any geometry intersects the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntermixIntersectingGeometryMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetIntermixIntersectingGeometryMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntermixIntersectingGeometry */
    if ( strcmp ( argv[2], "GetIntermixIntersectingGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntermixIntersectingGeometry */
    Tcl_DStringAppendElement ( &dString, " Specify whether any geometry intersects the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntermixIntersectingGeometry ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetIntermixIntersectingGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntermixIntersectingGeometryOn */
    if ( strcmp ( argv[2], "IntermixIntersectingGeometryOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntermixIntersectingGeometryOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether any geometry intersects the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void IntermixIntersectingGeometryOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for IntermixIntersectingGeometryOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntermixIntersectingGeometryOff */
    if ( strcmp ( argv[2], "IntermixIntersectingGeometryOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntermixIntersectingGeometryOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether any geometry intersects the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void IntermixIntersectingGeometryOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for IntermixIntersectingGeometryOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoAdjustMipmapLevels */
    if ( strcmp ( argv[2], "SetAutoAdjustMipmapLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustMipmapLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoAdjustMipmapLevels */
    Tcl_DStringAppendElement ( &dString, " If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoAdjustMipmapLevels (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetAutoAdjustMipmapLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustMipmapLevelsMinValue */
    if ( strcmp ( argv[2], "GetAutoAdjustMipmapLevelsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustMipmapLevelsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustMipmapLevelsMinValue */
    Tcl_DStringAppendElement ( &dString, " If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustMipmapLevelsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetAutoAdjustMipmapLevelsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustMipmapLevelsMaxValue */
    if ( strcmp ( argv[2], "GetAutoAdjustMipmapLevelsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustMipmapLevelsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustMipmapLevelsMaxValue */
    Tcl_DStringAppendElement ( &dString, " If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustMipmapLevelsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetAutoAdjustMipmapLevelsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustMipmapLevels */
    if ( strcmp ( argv[2], "GetAutoAdjustMipmapLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustMipmapLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustMipmapLevels */
    Tcl_DStringAppendElement ( &dString, " If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustMipmapLevels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetAutoAdjustMipmapLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustMipmapLevelsOn */
    if ( strcmp ( argv[2], "AutoAdjustMipmapLevelsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustMipmapLevelsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustMipmapLevelsOn */
    Tcl_DStringAppendElement ( &dString, " If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustMipmapLevelsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for AutoAdjustMipmapLevelsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustMipmapLevelsOff */
    if ( strcmp ( argv[2], "AutoAdjustMipmapLevelsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustMipmapLevelsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustMipmapLevelsOff */
    Tcl_DStringAppendElement ( &dString, " If set to 1, this mapper will select a mipmap level to use based\n on the AllocatedRenderTime of the volume and the amount of time used\n by the previous render.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustMipmapLevelsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for AutoAdjustMipmapLevelsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumMipmapLevel */
    if ( strcmp ( argv[2], "SetMinimumMipmapLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumMipmapLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumMipmapLevel */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum mipmap level to use -- the highest resolution.\n Defaults to 0. This is the mipmap level that is used when interaction\n stops.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumMipmapLevel (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetMinimumMipmapLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumMipmapLevelMinValue */
    if ( strcmp ( argv[2], "GetMinimumMipmapLevelMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumMipmapLevelMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumMipmapLevelMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum mipmap level to use -- the highest resolution.\n Defaults to 0. This is the mipmap level that is used when interaction\n stops.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinimumMipmapLevelMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetMinimumMipmapLevelMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumMipmapLevelMaxValue */
    if ( strcmp ( argv[2], "GetMinimumMipmapLevelMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumMipmapLevelMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumMipmapLevelMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum mipmap level to use -- the highest resolution.\n Defaults to 0. This is the mipmap level that is used when interaction\n stops.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinimumMipmapLevelMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetMinimumMipmapLevelMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumMipmapLevel */
    if ( strcmp ( argv[2], "GetMinimumMipmapLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumMipmapLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumMipmapLevel */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum mipmap level to use -- the highest resolution.\n Defaults to 0. This is the mipmap level that is used when interaction\n stops.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinimumMipmapLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetMinimumMipmapLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumMipmapLevel */
    if ( strcmp ( argv[2], "SetMaximumMipmapLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumMipmapLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumMipmapLevel */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum mipmap level to use -- the lowest resolution.\n Defaults to 4. It will not help to set the level larger than\n this unless your volume is very large because for each successive mipmap\n level, the number of voxels along each axis is cut in half.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumMipmapLevel (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetMaximumMipmapLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumMipmapLevelMinValue */
    if ( strcmp ( argv[2], "GetMaximumMipmapLevelMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumMipmapLevelMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumMipmapLevelMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum mipmap level to use -- the lowest resolution.\n Defaults to 4. It will not help to set the level larger than\n this unless your volume is very large because for each successive mipmap\n level, the number of voxels along each axis is cut in half.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumMipmapLevelMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetMaximumMipmapLevelMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumMipmapLevelMaxValue */
    if ( strcmp ( argv[2], "GetMaximumMipmapLevelMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumMipmapLevelMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumMipmapLevelMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum mipmap level to use -- the lowest resolution.\n Defaults to 4. It will not help to set the level larger than\n this unless your volume is very large because for each successive mipmap\n level, the number of voxels along each axis is cut in half.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumMipmapLevelMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetMaximumMipmapLevelMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumMipmapLevel */
    if ( strcmp ( argv[2], "GetMaximumMipmapLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumMipmapLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumMipmapLevel */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum mipmap level to use -- the lowest resolution.\n Defaults to 4. It will not help to set the level larger than\n this unless your volume is very large because for each successive mipmap\n level, the number of voxels along each axis is cut in half.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumMipmapLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetMaximumMipmapLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMipmapLevel */
    if ( strcmp ( argv[2], "SetMipmapLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMipmapLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMipmapLevel */
    Tcl_DStringAppendElement ( &dString, " Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this\n specifies the mipmap level to use during interaction. If\n AutoAdjustMipmapLevels is on, then this specifies the initial mipmap\n level to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMipmapLevel (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for SetMipmapLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMipmapLevelMinValue */
    if ( strcmp ( argv[2], "GetMipmapLevelMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMipmapLevelMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMipmapLevelMinValue */
    Tcl_DStringAppendElement ( &dString, " Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this\n specifies the mipmap level to use during interaction. If\n AutoAdjustMipmapLevels is on, then this specifies the initial mipmap\n level to use.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMipmapLevelMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetMipmapLevelMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMipmapLevelMaxValue */
    if ( strcmp ( argv[2], "GetMipmapLevelMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMipmapLevelMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMipmapLevelMaxValue */
    Tcl_DStringAppendElement ( &dString, " Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this\n specifies the mipmap level to use during interaction. If\n AutoAdjustMipmapLevels is on, then this specifies the initial mipmap\n level to use.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMipmapLevelMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetMipmapLevelMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMipmapLevel */
    if ( strcmp ( argv[2], "GetMipmapLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMipmapLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMipmapLevel */
    Tcl_DStringAppendElement ( &dString, " Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this\n specifies the mipmap level to use during interaction. If\n AutoAdjustMipmapLevels is on, then this specifies the initial mipmap\n level to use.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMipmapLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeProMapper" );
    /* Closing for GetMipmapLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
