// tcl wrapper for vtkVolumeRayCastMIPFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeRayCastMIPFunction.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVolumeRayCastMIPFunctionNewCommand()
{
  vtkVolumeRayCastMIPFunction *temp = vtkVolumeRayCastMIPFunction::New();
  return static_cast<ClientData>(temp);
}

int vtkVolumeRayCastFunctionCppCommand(vtkVolumeRayCastFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVolumeRayCastMIPFunctionCppCommand(vtkVolumeRayCastMIPFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVolumeRayCastMIPFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVolumeRayCastMIPFunctionCppCommand(static_cast<vtkVolumeRayCastMIPFunction *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVolumeRayCastMIPFunctionCppCommand(vtkVolumeRayCastMIPFunction *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVolumeRayCastMIPFunction",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkVolumeRayCastFunctionCppCommand(static_cast<vtkVolumeRayCastFunction *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkVolumeRayCastFunction"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVolumeRayCastMIPFunction  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeRayCastMIPFunction");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVolumeRayCastMIPFunction  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeRayCastMIPFunction");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVolumeRayCastMIPFunction  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeRayCastMIPFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZeroOpacityThreshold",argv[1]))&&(argc == 3))
    {
    vtkVolume  *temp0;
    float    temp20;
    error = 0;

    temp0 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetZeroOpacityThreshold(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximizeMethod",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximizeMethod(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximizeMethodMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximizeMethodMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximizeMethodMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximizeMethodMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximizeMethod",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximizeMethod();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximizeMethodToScalarValue",argv[1]))&&(argc == 2))
    {
    op->SetMaximizeMethodToScalarValue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximizeMethodToOpacity",argv[1]))&&(argc == 2))
    {
    op->SetMaximizeMethodToOpacity();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximizeMethodAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetMaximizeMethodAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVolumeRayCastMIPFunctionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkVolumeRayCastFunctionCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVolumeRayCastMIPFunction:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroOpacityThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximizeMethod\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximizeMethodMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximizeMethodMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximizeMethod\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximizeMethodToScalarValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximizeMethodToOpacity\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximizeMethodAsString\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkVolumeRayCastFunctionCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetZeroOpacityThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetMaximizeMethod" );
    Tcl_DStringAppendElement ( &dString, "GetMaximizeMethodMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximizeMethodMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximizeMethod" );
    Tcl_DStringAppendElement ( &dString, "SetMaximizeMethodToScalarValue" );
    Tcl_DStringAppendElement ( &dString, "SetMaximizeMethodToOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetMaximizeMethodAsString" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkVolumeRayCastFunctionCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkVolumeRayCastMIPFunction *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZeroOpacityThreshold */
    if ( strcmp ( argv[2], "GetZeroOpacityThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZeroOpacityThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZeroOpacityThreshold */
    Tcl_DStringAppendElement ( &dString, " Get the scalar value below which all scalar values have zero opacity.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetZeroOpacityThreshold (vtkVolume *vol);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for GetZeroOpacityThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximizeMethod */
    if ( strcmp ( argv[2], "SetMaximizeMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximizeMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximizeMethod */
    Tcl_DStringAppendElement ( &dString, " Set the MaximizeMethod to either ScalarValue or Opacity.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximizeMethod (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for SetMaximizeMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximizeMethodMinValue */
    if ( strcmp ( argv[2], "GetMaximizeMethodMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximizeMethodMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximizeMethodMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the MaximizeMethod to either ScalarValue or Opacity.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximizeMethodMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for GetMaximizeMethodMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximizeMethodMaxValue */
    if ( strcmp ( argv[2], "GetMaximizeMethodMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximizeMethodMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximizeMethodMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the MaximizeMethod to either ScalarValue or Opacity.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximizeMethodMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for GetMaximizeMethodMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximizeMethod */
    if ( strcmp ( argv[2], "GetMaximizeMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximizeMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximizeMethod */
    Tcl_DStringAppendElement ( &dString, " Set the MaximizeMethod to either ScalarValue or Opacity.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximizeMethod ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for GetMaximizeMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximizeMethodToScalarValue */
    if ( strcmp ( argv[2], "SetMaximizeMethodToScalarValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximizeMethodToScalarValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximizeMethodToScalarValue */
    Tcl_DStringAppendElement ( &dString, " Set the MaximizeMethod to either ScalarValue or Opacity.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximizeMethodToScalarValue ();this SetMaximizeMethod VTK_MAXIMIZE_SCALAR_VALUE " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for SetMaximizeMethodToScalarValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximizeMethodToOpacity */
    if ( strcmp ( argv[2], "SetMaximizeMethodToOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximizeMethodToOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximizeMethodToOpacity */
    Tcl_DStringAppendElement ( &dString, " Set the MaximizeMethod to either ScalarValue or Opacity.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximizeMethodToOpacity ();this SetMaximizeMethod VTK_MAXIMIZE_OPACITY " );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for SetMaximizeMethodToOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximizeMethodAsString */
    if ( strcmp ( argv[2], "GetMaximizeMethodAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximizeMethodAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximizeMethodAsString */
    Tcl_DStringAppendElement ( &dString, " Set the MaximizeMethod to either ScalarValue or Opacity.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetMaximizeMethodAsString (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastMIPFunction" );
    /* Closing for GetMaximizeMethodAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkVolumeRayCastFunctionCppCommand(static_cast<vtkVolumeRayCastFunction *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
