// python wrapper for vtkVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVolumeRayCastMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeRayCastMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeRayCastMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkVolumeMapperNew(char *); }

static PyObject *PyvtkVolumeRayCastMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  const char    *temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  vtkVolumeRayCastMapper  *temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolumeRayCastMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolumeRayCastMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_SetSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp0;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::SetSampleDistance(temp0);
      }
    else
      {
      op->SetSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetSampleDistance();
      }
    else
      {
      temp20 = op->GetSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_SetVolumeRayCastFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  vtkVolumeRayCastFunction  *temp0;
  PyObject *tempH0;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVolumeRayCastFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolumeRayCastFunction");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::SetVolumeRayCastFunction(temp0);
      }
    else
      {
      op->SetVolumeRayCastFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetVolumeRayCastFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  vtkVolumeRayCastFunction  *temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetVolumeRayCastFunction();
      }
    else
      {
      temp20 = op->GetVolumeRayCastFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_SetGradientEstimator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  vtkEncodedGradientEstimator  *temp0;
  PyObject *tempH0;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkEncodedGradientEstimator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkEncodedGradientEstimator");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::SetGradientEstimator(temp0);
      }
    else
      {
      op->SetGradientEstimator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetGradientEstimator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  vtkEncodedGradientEstimator  *temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetGradientEstimator();
      }
    else
      {
      temp20 = op->GetGradientEstimator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetGradientShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  vtkEncodedGradientShader  *temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetGradientShader();
      }
    else
      {
      temp20 = op->GetGradientShader();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_SetImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp0;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::SetImageSampleDistance(temp0);
      }
    else
      {
      op->SetImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetImageSampleDistance();
      }
    else
      {
      temp20 = op->GetImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_SetMinimumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp0;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::SetMinimumImageSampleDistance(temp0);
      }
    else
      {
      op->SetMinimumImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetMinimumImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetMinimumImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetMinimumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetMinimumImageSampleDistance();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_SetMaximumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp0;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::SetMaximumImageSampleDistance(temp0);
      }
    else
      {
      op->SetMaximumImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetMaximumImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetMaximumImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetMaximumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  double   temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetMaximumImageSampleDistance();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_SetAutoAdjustSampleDistances(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  int      temp0;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::SetAutoAdjustSampleDistances(temp0);
      }
    else
      {
      op->SetAutoAdjustSampleDistances(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetAutoAdjustSampleDistancesMinValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistancesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetAutoAdjustSampleDistancesMaxValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistancesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetAutoAdjustSampleDistances(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetAutoAdjustSampleDistances();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistances();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_AutoAdjustSampleDistancesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::AutoAdjustSampleDistancesOn();
      }
    else
      {
      op->AutoAdjustSampleDistancesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_AutoAdjustSampleDistancesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::AutoAdjustSampleDistancesOff();
      }
    else
      {
      op->AutoAdjustSampleDistancesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_SetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  int      temp0;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::SetNumberOfThreads(temp0);
      }
    else
      {
      op->SetNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetNumberOfThreads();
      }
    else
      {
      temp20 = op->GetNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_SetIntermixIntersectingGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  int      temp0;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::SetIntermixIntersectingGeometry(temp0);
      }
    else
      {
      op->SetIntermixIntersectingGeometry(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetIntermixIntersectingGeometryMinValue();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometryMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetIntermixIntersectingGeometryMaxValue();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometryMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_GetIntermixIntersectingGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMapper::GetIntermixIntersectingGeometry();
      }
    else
      {
      temp20 = op->GetIntermixIntersectingGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_IntermixIntersectingGeometryOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::IntermixIntersectingGeometryOn();
      }
    else
      {
      op->IntermixIntersectingGeometryOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMapper_IntermixIntersectingGeometryOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMapper *op;

  op = (vtkVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMapper::IntermixIntersectingGeometryOff();
      }
    else
      {
      op->IntermixIntersectingGeometryOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumeRayCastMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeRayCastMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeRayCastMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeRayCastMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeRayCastMapper\nC++: vtkVolumeRayCastMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolumeRayCastMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolumeRayCastMapper\nC++: vtkVolumeRayCastMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSampleDistance",                (PyCFunction)PyvtkVolumeRayCastMapper_SetSampleDistance, 1,
   (char*)"V.SetSampleDistance(float)\nC++: void SetSampleDistance (double );\n\n Set/Get the distance between samples.  This variable is only\n used for sampling ray casting methods.  Methods that compute\n a ray value by stepping cell-by-cell are not affected by this\n value. \n"},
  {(char*)"GetSampleDistance",                (PyCFunction)PyvtkVolumeRayCastMapper_GetSampleDistance, 1,
   (char*)"V.GetSampleDistance() -> float\nC++: double GetSampleDistance ();\n\n Set/Get the distance between samples.  This variable is only\n used for sampling ray casting methods.  Methods that compute\n a ray value by stepping cell-by-cell are not affected by this\n value. \n"},
  {(char*)"SetVolumeRayCastFunction",                (PyCFunction)PyvtkVolumeRayCastMapper_SetVolumeRayCastFunction, 1,
   (char*)"V.SetVolumeRayCastFunction(vtkVolumeRayCastFunction)\nC++: virtual void SetVolumeRayCastFunction (vtkVolumeRayCastFunction *);\n\n Get / Set the volume ray cast function. This is used to process\n values found along the ray to compute a final pixel value.\n"},
  {(char*)"GetVolumeRayCastFunction",                (PyCFunction)PyvtkVolumeRayCastMapper_GetVolumeRayCastFunction, 1,
   (char*)"V.GetVolumeRayCastFunction() -> vtkVolumeRayCastFunction\nC++: vtkVolumeRayCastFunction *GetVolumeRayCastFunction ();\n\n Get / Set the volume ray cast function. This is used to process\n values found along the ray to compute a final pixel value.\n"},
  {(char*)"SetGradientEstimator",                (PyCFunction)PyvtkVolumeRayCastMapper_SetGradientEstimator, 1,
   (char*)"V.SetGradientEstimator(vtkEncodedGradientEstimator)\nC++: virtual void SetGradientEstimator (vtkEncodedGradientEstimator *gradest);\n\n Set / Get the gradient estimator used to estimate normals\n"},
  {(char*)"GetGradientEstimator",                (PyCFunction)PyvtkVolumeRayCastMapper_GetGradientEstimator, 1,
   (char*)"V.GetGradientEstimator() -> vtkEncodedGradientEstimator\nC++: vtkEncodedGradientEstimator *GetGradientEstimator ();\n\n Set / Get the gradient estimator used to estimate normals\n"},
  {(char*)"GetGradientShader",                (PyCFunction)PyvtkVolumeRayCastMapper_GetGradientShader, 1,
   (char*)"V.GetGradientShader() -> vtkEncodedGradientShader\nC++: vtkEncodedGradientShader *GetGradientShader ();\n\n Get the gradient shader.\n"},
  {(char*)"SetImageSampleDistance",                (PyCFunction)PyvtkVolumeRayCastMapper_SetImageSampleDistance, 1,
   (char*)"V.SetImageSampleDistance(float)\nC++: void SetImageSampleDistance (double );\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n"},
  {(char*)"GetImageSampleDistanceMinValue",                (PyCFunction)PyvtkVolumeRayCastMapper_GetImageSampleDistanceMinValue, 1,
   (char*)"V.GetImageSampleDistanceMinValue() -> float\nC++: double GetImageSampleDistanceMinValue ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n"},
  {(char*)"GetImageSampleDistanceMaxValue",                (PyCFunction)PyvtkVolumeRayCastMapper_GetImageSampleDistanceMaxValue, 1,
   (char*)"V.GetImageSampleDistanceMaxValue() -> float\nC++: double GetImageSampleDistanceMaxValue ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n"},
  {(char*)"GetImageSampleDistance",                (PyCFunction)PyvtkVolumeRayCastMapper_GetImageSampleDistance, 1,
   (char*)"V.GetImageSampleDistance() -> float\nC++: double GetImageSampleDistance ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n"},
  {(char*)"SetMinimumImageSampleDistance",                (PyCFunction)PyvtkVolumeRayCastMapper_SetMinimumImageSampleDistance, 1,
   (char*)"V.SetMinimumImageSampleDistance(float)\nC++: void SetMinimumImageSampleDistance (double );\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMinimumImageSampleDistanceMinValue",                (PyCFunction)PyvtkVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue, 1,
   (char*)"V.GetMinimumImageSampleDistanceMinValue() -> float\nC++: double GetMinimumImageSampleDistanceMinValue ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMinimumImageSampleDistanceMaxValue",                (PyCFunction)PyvtkVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue, 1,
   (char*)"V.GetMinimumImageSampleDistanceMaxValue() -> float\nC++: double GetMinimumImageSampleDistanceMaxValue ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMinimumImageSampleDistance",                (PyCFunction)PyvtkVolumeRayCastMapper_GetMinimumImageSampleDistance, 1,
   (char*)"V.GetMinimumImageSampleDistance() -> float\nC++: double GetMinimumImageSampleDistance ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"SetMaximumImageSampleDistance",                (PyCFunction)PyvtkVolumeRayCastMapper_SetMaximumImageSampleDistance, 1,
   (char*)"V.SetMaximumImageSampleDistance(float)\nC++: void SetMaximumImageSampleDistance (double );\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMaximumImageSampleDistanceMinValue",                (PyCFunction)PyvtkVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue, 1,
   (char*)"V.GetMaximumImageSampleDistanceMinValue() -> float\nC++: double GetMaximumImageSampleDistanceMinValue ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMaximumImageSampleDistanceMaxValue",                (PyCFunction)PyvtkVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue, 1,
   (char*)"V.GetMaximumImageSampleDistanceMaxValue() -> float\nC++: double GetMaximumImageSampleDistanceMaxValue ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"GetMaximumImageSampleDistance",                (PyCFunction)PyvtkVolumeRayCastMapper_GetMaximumImageSampleDistance, 1,
   (char*)"V.GetMaximumImageSampleDistance() -> float\nC++: double GetMaximumImageSampleDistance ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n"},
  {(char*)"SetAutoAdjustSampleDistances",                (PyCFunction)PyvtkVolumeRayCastMapper_SetAutoAdjustSampleDistances, 1,
   (char*)"V.SetAutoAdjustSampleDistances(int)\nC++: void SetAutoAdjustSampleDistances (int );\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"GetAutoAdjustSampleDistancesMinValue",                (PyCFunction)PyvtkVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue, 1,
   (char*)"V.GetAutoAdjustSampleDistancesMinValue() -> int\nC++: int GetAutoAdjustSampleDistancesMinValue ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"GetAutoAdjustSampleDistancesMaxValue",                (PyCFunction)PyvtkVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue, 1,
   (char*)"V.GetAutoAdjustSampleDistancesMaxValue() -> int\nC++: int GetAutoAdjustSampleDistancesMaxValue ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"GetAutoAdjustSampleDistances",                (PyCFunction)PyvtkVolumeRayCastMapper_GetAutoAdjustSampleDistances, 1,
   (char*)"V.GetAutoAdjustSampleDistances() -> int\nC++: int GetAutoAdjustSampleDistances ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"AutoAdjustSampleDistancesOn",                (PyCFunction)PyvtkVolumeRayCastMapper_AutoAdjustSampleDistancesOn, 1,
   (char*)"V.AutoAdjustSampleDistancesOn()\nC++: void AutoAdjustSampleDistancesOn ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"AutoAdjustSampleDistancesOff",                (PyCFunction)PyvtkVolumeRayCastMapper_AutoAdjustSampleDistancesOff, 1,
   (char*)"V.AutoAdjustSampleDistancesOff()\nC++: void AutoAdjustSampleDistancesOff ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n"},
  {(char*)"SetNumberOfThreads",                (PyCFunction)PyvtkVolumeRayCastMapper_SetNumberOfThreads, 1,
   (char*)"V.SetNumberOfThreads(int)\nC++: void SetNumberOfThreads (int num);\n\n Set/Get the number of threads to use. This by default is equal to\n the number of available processors detected.\n"},
  {(char*)"GetNumberOfThreads",                (PyCFunction)PyvtkVolumeRayCastMapper_GetNumberOfThreads, 1,
   (char*)"V.GetNumberOfThreads() -> int\nC++: int GetNumberOfThreads ();\n\n Set/Get the number of threads to use. This by default is equal to\n the number of available processors detected.\n"},
  {(char*)"SetIntermixIntersectingGeometry",                (PyCFunction)PyvtkVolumeRayCastMapper_SetIntermixIntersectingGeometry, 1,
   (char*)"V.SetIntermixIntersectingGeometry(int)\nC++: void SetIntermixIntersectingGeometry (int );\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"GetIntermixIntersectingGeometryMinValue",                (PyCFunction)PyvtkVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue, 1,
   (char*)"V.GetIntermixIntersectingGeometryMinValue() -> int\nC++: int GetIntermixIntersectingGeometryMinValue ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"GetIntermixIntersectingGeometryMaxValue",                (PyCFunction)PyvtkVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue, 1,
   (char*)"V.GetIntermixIntersectingGeometryMaxValue() -> int\nC++: int GetIntermixIntersectingGeometryMaxValue ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"GetIntermixIntersectingGeometry",                (PyCFunction)PyvtkVolumeRayCastMapper_GetIntermixIntersectingGeometry, 1,
   (char*)"V.GetIntermixIntersectingGeometry() -> int\nC++: int GetIntermixIntersectingGeometry ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"IntermixIntersectingGeometryOn",                (PyCFunction)PyvtkVolumeRayCastMapper_IntermixIntersectingGeometryOn, 1,
   (char*)"V.IntermixIntersectingGeometryOn()\nC++: void IntermixIntersectingGeometryOn ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {(char*)"IntermixIntersectingGeometryOff",                (PyCFunction)PyvtkVolumeRayCastMapper_IntermixIntersectingGeometryOff, 1,
   (char*)"V.IntermixIntersectingGeometryOff()\nC++: void IntermixIntersectingGeometryOff ();\n\n If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeRayCastMapperDoc[] = {
  (char*)"vtkVolumeRayCastMapper - A slow but accurate mapper for rendering volumes\n\n",
  "Super Class:\n\n vtkVolumeMapper\n\n",
  (char*)" This is a software ray caster for rendering volumes in vtkImageData. \n\n",
  "See Also:\n\n vtkVolumeMapper\n\n",
  NULL
};

static vtkObjectBase *vtkVolumeRayCastMapperStaticNew()
{
  return vtkVolumeRayCastMapper::New();
}

PyObject *PyVTKClass_vtkVolumeRayCastMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumeRayCastMapperStaticNew,
                        PyvtkVolumeRayCastMapperMethods,
                        (char*)"vtkVolumeRayCastMapper",modulename,
                        (char**)vtkVolumeRayCastMapperDoc,
                        PyVTKClass_vtkVolumeMapperNew(modulename));
}

