// python wrapper for vtkVolumeRenderingFactory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVolumeRenderingFactory.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeRenderingFactoryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeRenderingFactoryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkVolumeRenderingFactory_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRenderingFactory *op;

  const char    *temp20;
  op = (vtkVolumeRenderingFactory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRenderingFactory::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRenderingFactory_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRenderingFactory *op;

  char    *temp0;
  int      temp20;
  op = (vtkVolumeRenderingFactory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRenderingFactory::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRenderingFactory_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRenderingFactory *op;

  vtkVolumeRenderingFactory  *temp20;
  op = (vtkVolumeRenderingFactory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRenderingFactory::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRenderingFactory_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolumeRenderingFactory  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolumeRenderingFactory::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVolumeRenderingFactory_CreateInstance(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkVolumeRenderingFactory::CreateInstance(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumeRenderingFactoryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeRenderingFactory_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeRenderingFactory_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeRenderingFactory_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeRenderingFactory\nC++: vtkVolumeRenderingFactory *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolumeRenderingFactory_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolumeRenderingFactory\nC++: vtkVolumeRenderingFactory *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CreateInstance",                (PyCFunction)PyvtkVolumeRenderingFactory_CreateInstance, 1,
   (char*)"V.CreateInstance(string) -> vtkObject\nC++: static vtkObject *CreateInstance (const char *vtkclassname);\n\n Create and return an instance of the named vtk object.\n This method first checks the vtkObjectFactory to support\n dynamic loading. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeRenderingFactoryDoc[] = {
  (char*)"vtkVolumeRenderingFactory - \n\n",
  "Super Class:\n\n vtkObject\n\n",
  NULL
};

static vtkObjectBase *vtkVolumeRenderingFactoryStaticNew()
{
  return vtkVolumeRenderingFactory::New();
}

PyObject *PyVTKClass_vtkVolumeRenderingFactoryNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumeRenderingFactoryStaticNew,
                        PyvtkVolumeRenderingFactoryMethods,
                        (char*)"vtkVolumeRenderingFactory",modulename,
                        (char**)vtkVolumeRenderingFactoryDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

