// python wrapper for vtkAbstractWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAbstractWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorObserverNew(char *); }

static PyObject *PyvtkAbstractWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  const char    *temp20;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  vtkAbstractWidget  *temp20;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  int      temp0;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_SetProcessEvents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  int      temp0;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractWidget::SetProcessEvents(temp0);
      }
    else
      {
      op->SetProcessEvents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_GetProcessEventsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  int      temp20;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractWidget::GetProcessEventsMinValue();
      }
    else
      {
      temp20 = op->GetProcessEventsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_GetProcessEventsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  int      temp20;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractWidget::GetProcessEventsMaxValue();
      }
    else
      {
      temp20 = op->GetProcessEventsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_GetProcessEvents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  int      temp20;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractWidget::GetProcessEvents();
      }
    else
      {
      temp20 = op->GetProcessEvents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_ProcessEventsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractWidget::ProcessEventsOn();
      }
    else
      {
      op->ProcessEventsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_ProcessEventsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractWidget::ProcessEventsOff();
      }
    else
      {
      op->ProcessEventsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_GetEventTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  vtkWidgetEventTranslator  *temp20;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractWidget::GetEventTranslator();
      }
    else
      {
      temp20 = op->GetEventTranslator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractWidget::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_SetParent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  vtkAbstractWidget  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractWidget *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractWidget");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractWidget::SetParent(temp0);
      }
    else
      {
      op->SetParent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkAbstractWidget_GetParent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  vtkAbstractWidget  *temp20;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractWidget::GetParent();
      }
    else
      {
      temp20 = op->GetParent();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_GetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  vtkWidgetRepresentation  *temp20;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractWidget::GetRepresentation();
      }
    else
      {
      temp20 = op->GetRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_SetManagesCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  int      temp0;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractWidget::SetManagesCursor(temp0);
      }
    else
      {
      op->SetManagesCursor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_GetManagesCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  int      temp20;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractWidget::GetManagesCursor();
      }
    else
      {
      temp20 = op->GetManagesCursor();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_ManagesCursorOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractWidget::ManagesCursorOn();
      }
    else
      {
      op->ManagesCursorOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_ManagesCursorOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractWidget::ManagesCursorOff();
      }
    else
      {
      op->ManagesCursorOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractWidget_SetPriority(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractWidget *op;

  float    temp0;
  op = (vtkAbstractWidget *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractWidget::SetPriority(temp0);
      }
    else
      {
      op->SetPriority(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAbstractWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard macros implementing standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard macros implementing standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractWidget\nC++: vtkAbstractWidget *NewInstance ();\n\n Standard macros implementing standard VTK methods.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkAbstractWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods for activating this widget. Note that the widget representation\n must be specified or the widget will not appear.\n ProcessEvents (On by default) must be On for Enabled widget to respond \n to interaction. If ProcessEvents is Off, enabling/disabling a widget \n merely affects the visibility of the representation.\n"},
  {(char*)"SetProcessEvents",                (PyCFunction)PyvtkAbstractWidget_SetProcessEvents, 1,
   (char*)"V.SetProcessEvents(int)\nC++: void SetProcessEvents (int );\n\n Methods to change the whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must overide SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n"},
  {(char*)"GetProcessEventsMinValue",                (PyCFunction)PyvtkAbstractWidget_GetProcessEventsMinValue, 1,
   (char*)"V.GetProcessEventsMinValue() -> int\nC++: int GetProcessEventsMinValue ();\n\n Methods to change the whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must overide SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n"},
  {(char*)"GetProcessEventsMaxValue",                (PyCFunction)PyvtkAbstractWidget_GetProcessEventsMaxValue, 1,
   (char*)"V.GetProcessEventsMaxValue() -> int\nC++: int GetProcessEventsMaxValue ();\n\n Methods to change the whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must overide SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n"},
  {(char*)"GetProcessEvents",                (PyCFunction)PyvtkAbstractWidget_GetProcessEvents, 1,
   (char*)"V.GetProcessEvents() -> int\nC++: int GetProcessEvents ();\n\n Methods to change the whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must overide SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n"},
  {(char*)"ProcessEventsOn",                (PyCFunction)PyvtkAbstractWidget_ProcessEventsOn, 1,
   (char*)"V.ProcessEventsOn()\nC++: void ProcessEventsOn ();\n\n Methods to change the whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must overide SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n"},
  {(char*)"ProcessEventsOff",                (PyCFunction)PyvtkAbstractWidget_ProcessEventsOff, 1,
   (char*)"V.ProcessEventsOff()\nC++: void ProcessEventsOff ();\n\n Methods to change the whether the widget responds to interaction.\n Set this to Off to disable interaction. On by default.\n Subclasses must overide SetProcessEvents() to make sure\n that they pass on the flag to all component widgets.\n"},
  {(char*)"GetEventTranslator",                (PyCFunction)PyvtkAbstractWidget_GetEventTranslator, 1,
   (char*)"V.GetEventTranslator() -> vtkWidgetEventTranslator\nC++: vtkWidgetEventTranslator *GetEventTranslator ();return this EventTranslator \n\n Create the default widget representation if one is not set. The\n representation defines the geometry of the widget (i.e., how it appears)\n as well as providing special methods for manipulting the state and\n appearance of the widget.\n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkAbstractWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: virtual void CreateDefaultRepresentation () = 0;\n\n Create the default widget representation if one is not set. The\n representation defines the geometry of the widget (i.e., how it appears)\n as well as providing special methods for manipulting the state and\n appearance of the widget.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkAbstractWidget_Render, 1,
   (char*)"V.Render()\nC++: void Render ();\n\n This method is called by subclasses when a render method is to be\n invoked on the vtkRenderWindowInteractor. This method should be called\n (instead of vtkRenderWindow::Render() because it has built into it\n optimizations for minimizing renders and/or speeding renders.\n"},
  {(char*)"SetParent",                (PyCFunction)PyvtkAbstractWidget_SetParent, 1,
   (char*)"V.SetParent(vtkAbstractWidget)\nC++: void SetParent (vtkAbstractWidget *parent);this Parent parent \n\n Specifying a parent to this widget is used when creating composite\n widgets. It is an internal method not meant to be used by the public.\n When a widget has a parent, it defers the rendering to the parent. It\n may also defer managing the cursor (see ManagesCursor ivar).\n"},
  {(char*)"GetParent",                (PyCFunction)PyvtkAbstractWidget_GetParent, 1,
   (char*)"V.GetParent() -> vtkAbstractWidget\nC++: vtkAbstractWidget *GetParent ();\n\n Specifying a parent to this widget is used when creating composite\n widgets. It is an internal method not meant to be used by the public.\n When a widget has a parent, it defers the rendering to the parent. It\n may also defer managing the cursor (see ManagesCursor ivar).\n"},
  {(char*)"GetRepresentation",                (PyCFunction)PyvtkAbstractWidget_GetRepresentation, 1,
   (char*)"V.GetRepresentation() -> vtkWidgetRepresentation\nC++: vtkWidgetRepresentation *GetRepresentation ();this CreateDefaultRepresentation return this WidgetRep \n\n Turn on or off the management of the cursor. Cursor management is\n typically disabled for subclasses when composite widgets are\n created. For example, vtkHandleWidgets are often used to create\n composite widgets, and the parent widget takes over the cursor\n management.\n"},
  {(char*)"SetManagesCursor",                (PyCFunction)PyvtkAbstractWidget_SetManagesCursor, 1,
   (char*)"V.SetManagesCursor(int)\nC++: void SetManagesCursor (int );\n\n Turn on or off the management of the cursor. Cursor management is\n typically disabled for subclasses when composite widgets are\n created. For example, vtkHandleWidgets are often used to create\n composite widgets, and the parent widget takes over the cursor\n management.\n"},
  {(char*)"GetManagesCursor",                (PyCFunction)PyvtkAbstractWidget_GetManagesCursor, 1,
   (char*)"V.GetManagesCursor() -> int\nC++: int GetManagesCursor ();\n\n Turn on or off the management of the cursor. Cursor management is\n typically disabled for subclasses when composite widgets are\n created. For example, vtkHandleWidgets are often used to create\n composite widgets, and the parent widget takes over the cursor\n management.\n"},
  {(char*)"ManagesCursorOn",                (PyCFunction)PyvtkAbstractWidget_ManagesCursorOn, 1,
   (char*)"V.ManagesCursorOn()\nC++: void ManagesCursorOn ();\n\n Turn on or off the management of the cursor. Cursor management is\n typically disabled for subclasses when composite widgets are\n created. For example, vtkHandleWidgets are often used to create\n composite widgets, and the parent widget takes over the cursor\n management.\n"},
  {(char*)"ManagesCursorOff",                (PyCFunction)PyvtkAbstractWidget_ManagesCursorOff, 1,
   (char*)"V.ManagesCursorOff()\nC++: void ManagesCursorOff ();\n\n Turn on or off the management of the cursor. Cursor management is\n typically disabled for subclasses when composite widgets are\n created. For example, vtkHandleWidgets are often used to create\n composite widgets, and the parent widget takes over the cursor\n management.\n"},
  {(char*)"SetPriority",                (PyCFunction)PyvtkAbstractWidget_SetPriority, 1,
   (char*)"V.SetPriority(float)\nC++: virtual void SetPriority (float );\n\n Override the superclass method. This will automatically change the\n priority of the widget. Unlike the superclass documentation, no \n methods such as SetInteractor to null and reset it etc. are necessary\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractWidgetDoc[] = {
  (char*)"vtkAbstractWidget - define the API for widget / widget representation\n\n",
  "Super Class:\n\n vtkInteractorObserver\n\n",
  (char*)" The vtkAbstractWidget defines an API and implements methods common to all\n widgets using the interaction/representation design. In this design, the\n term interaction means that part of the widget that performs event\n handling, while the representation corresponds to a vtkProp (or the\n subclass vtkWidgetRepresentation) used to represent the\n widget. vtkAbstractWidget also implements some methods c",
  (char*)"ommon to all\n subclasses.\n\n Note that vtkAbstractWidget provides access to the\n vtkWidgetEventTranslator.  This class is responsible for translating VTK\n events (defined in vtkCommand.h) into widget events (defined in\n vtkWidgetEvent.h).  This class can be manipulated so that different VTK\n events can be mapped into widget events, thereby allowing the modification\n of event bindings. Each subclass",
  (char*)" of vtkAbstractWidget defines the events\n to which it responds.\n\n\n",
  "Caveats:\n\n Note that the pair (vtkAbstractWidget/vtkWidgetRepresentation) are an\n implementation of the second generation VTK Widgets design. In the first\n generation design, widgets were implemented in a single monotonic\n class. This design was problematic because in client-server applications\n it was difficult to manage widgets properly. Also, new \"representations\"\n or look-and-feel, for a widget required a whole new class, with a lot of\n redundant code. The separation of th ...\n [Truncated]\n\n",
  "See Also:\n\n vtkWidgetRepresentation vtkWidgetEventTranslator vtkWidgetCallbackMapper\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractWidgetNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractWidgetMethods,
                        (char*)"vtkAbstractWidget",modulename,
                        (char**)vtkAbstractWidgetDoc,
                        PyVTKClass_vtkInteractorObserverNew(modulename));
}

