// python wrapper for vtkAffineRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAffineRepresentation2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAffineRepresentation2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAffineRepresentation2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAffineRepresentationNew(char *); }

static PyObject *PyvtkAffineRepresentation2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  const char    *temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkAffineRepresentation2D  *temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAffineRepresentation2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAffineRepresentation2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_SetBoxWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp0;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::SetBoxWidth(temp0);
      }
    else
      {
      op->SetBoxWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetBoxWidthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetBoxWidthMinValue();
      }
    else
      {
      temp20 = op->GetBoxWidthMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetBoxWidthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetBoxWidthMaxValue();
      }
    else
      {
      temp20 = op->GetBoxWidthMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetBoxWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetBoxWidth();
      }
    else
      {
      temp20 = op->GetBoxWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_SetCircleWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp0;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::SetCircleWidth(temp0);
      }
    else
      {
      op->SetCircleWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetCircleWidthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetCircleWidthMinValue();
      }
    else
      {
      temp20 = op->GetCircleWidthMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetCircleWidthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetCircleWidthMaxValue();
      }
    else
      {
      temp20 = op->GetCircleWidthMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetCircleWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetCircleWidth();
      }
    else
      {
      temp20 = op->GetCircleWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_SetAxesWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp0;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::SetAxesWidth(temp0);
      }
    else
      {
      op->SetAxesWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetAxesWidthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetAxesWidthMinValue();
      }
    else
      {
      temp20 = op->GetAxesWidthMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetAxesWidthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetAxesWidthMaxValue();
      }
    else
      {
      temp20 = op->GetAxesWidthMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetAxesWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetAxesWidth();
      }
    else
      {
      temp20 = op->GetAxesWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  double temp0[3];
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  double  *temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkTransform  *temp0;
  PyObject *tempH0;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::GetTransform(temp0);
      }
    else
      {
      op->GetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_SetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkProperty2D  *temp0;
  PyObject *tempH0;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty2D");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::SetProperty(temp0);
      }
    else
      {
      op->SetProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_SetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkProperty2D  *temp0;
  PyObject *tempH0;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty2D");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::SetSelectedProperty(temp0);
      }
    else
      {
      op->SetSelectedProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_SetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::SetTextProperty(temp0);
      }
    else
      {
      op->SetTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkProperty2D  *temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkProperty2D  *temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetSelectedProperty();
      }
    else
      {
      temp20 = op->GetSelectedProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkTextProperty  *temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetTextProperty();
      }
    else
      {
      temp20 = op->GetTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_SetDisplayText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp0;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::SetDisplayText(temp0);
      }
    else
      {
      op->SetDisplayText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetDisplayText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::GetDisplayText();
      }
    else
      {
      temp20 = op->GetDisplayText();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_DisplayTextOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::DisplayTextOn();
      }
    else
      {
      op->DisplayTextOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_DisplayTextOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::DisplayTextOff();
      }
    else
      {
      op->DisplayTextOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  double temp0[6];
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  double temp0[2];
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  double temp0[2];
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_EndWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  double temp0[2];
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::EndWidgetInteraction(temp0);
      }
    else
      {
      op->EndWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break37;
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break37:
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation2D::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkAffineRepresentation2D_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAffineRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation2D::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break39:
  return NULL;
}

static PyMethodDef PyvtkAffineRepresentation2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAffineRepresentation2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAffineRepresentation2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAffineRepresentation2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAffineRepresentation2D\nC++: vtkAffineRepresentation2D *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAffineRepresentation2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAffineRepresentation2D\nC++: vtkAffineRepresentation2D *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetBoxWidth",                (PyCFunction)PyvtkAffineRepresentation2D_SetBoxWidth, 1,
   (char*)"V.SetBoxWidth(int)\nC++: void SetBoxWidth (int );\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"GetBoxWidthMinValue",                (PyCFunction)PyvtkAffineRepresentation2D_GetBoxWidthMinValue, 1,
   (char*)"V.GetBoxWidthMinValue() -> int\nC++: int GetBoxWidthMinValue ();\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"GetBoxWidthMaxValue",                (PyCFunction)PyvtkAffineRepresentation2D_GetBoxWidthMaxValue, 1,
   (char*)"V.GetBoxWidthMaxValue() -> int\nC++: int GetBoxWidthMaxValue ();\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"GetBoxWidth",                (PyCFunction)PyvtkAffineRepresentation2D_GetBoxWidth, 1,
   (char*)"V.GetBoxWidth() -> int\nC++: int GetBoxWidth ();\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"SetCircleWidth",                (PyCFunction)PyvtkAffineRepresentation2D_SetCircleWidth, 1,
   (char*)"V.SetCircleWidth(int)\nC++: void SetCircleWidth (int );\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"GetCircleWidthMinValue",                (PyCFunction)PyvtkAffineRepresentation2D_GetCircleWidthMinValue, 1,
   (char*)"V.GetCircleWidthMinValue() -> int\nC++: int GetCircleWidthMinValue ();\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"GetCircleWidthMaxValue",                (PyCFunction)PyvtkAffineRepresentation2D_GetCircleWidthMaxValue, 1,
   (char*)"V.GetCircleWidthMaxValue() -> int\nC++: int GetCircleWidthMaxValue ();\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"GetCircleWidth",                (PyCFunction)PyvtkAffineRepresentation2D_GetCircleWidth, 1,
   (char*)"V.GetCircleWidth() -> int\nC++: int GetCircleWidth ();\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"SetAxesWidth",                (PyCFunction)PyvtkAffineRepresentation2D_SetAxesWidth, 1,
   (char*)"V.SetAxesWidth(int)\nC++: void SetAxesWidth (int );\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"GetAxesWidthMinValue",                (PyCFunction)PyvtkAffineRepresentation2D_GetAxesWidthMinValue, 1,
   (char*)"V.GetAxesWidthMinValue() -> int\nC++: int GetAxesWidthMinValue ();\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"GetAxesWidthMaxValue",                (PyCFunction)PyvtkAffineRepresentation2D_GetAxesWidthMaxValue, 1,
   (char*)"V.GetAxesWidthMaxValue() -> int\nC++: int GetAxesWidthMaxValue ();\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"GetAxesWidth",                (PyCFunction)PyvtkAffineRepresentation2D_GetAxesWidth, 1,
   (char*)"V.GetAxesWidth() -> int\nC++: int GetAxesWidth ();\n\n Specify the width of the various parts of the representation (in\n pixels).  The three parts are of the representation are the translation\n axes, the rotation circle, and the scale/shear box. Note that since the\n widget resizes itself so that the width and height are always the\n same, only the width needs to be specified.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkAffineRepresentation2D_SetOrigin, 1,
   (char*)"V.SetOrigin((float, float, float))\nC++: void SetOrigin (double o[3]);this SetOrigin o o o \nV.SetOrigin(float, float, float)\nC++: void SetOrigin (double ox, double oy, double oz);\n\n Specify the origin of the widget (in world coordinates). The origin\n is the point where the widget places itself. Note that rotations and\n scaling occurs around the origin.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkAffineRepresentation2D_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Specify the origin of the widget (in world coordinates). The origin\n is the point where the widget places itself. Note that rotations and\n scaling occurs around the origin.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkAffineRepresentation2D_GetTransform, 1,
   (char*)"V.GetTransform(vtkTransform)\nC++: virtual void GetTransform (vtkTransform *t);\n\n Retrieve a linear transform characterizing the affine transformation\n generated by this widget. This method copies its internal transform into\n the transform provided. Note that the PlaceWidget() method initializes\n the internal matrix to identity. All subsequent widget operations (i.e.,\n scale, translate, rotate, shear) are concatenated with the internal\n transform.\n"},
  {(char*)"SetProperty",                (PyCFunction)PyvtkAffineRepresentation2D_SetProperty, 1,
   (char*)"V.SetProperty(vtkProperty2D)\nC++: void SetProperty (vtkProperty2D *);\n\n Set/Get the properties when unselected and selected.\n"},
  {(char*)"SetSelectedProperty",                (PyCFunction)PyvtkAffineRepresentation2D_SetSelectedProperty, 1,
   (char*)"V.SetSelectedProperty(vtkProperty2D)\nC++: void SetSelectedProperty (vtkProperty2D *);\n\n Set/Get the properties when unselected and selected.\n"},
  {(char*)"SetTextProperty",                (PyCFunction)PyvtkAffineRepresentation2D_SetTextProperty, 1,
   (char*)"V.SetTextProperty(vtkTextProperty)\nC++: void SetTextProperty (vtkTextProperty *);\n\n Set/Get the properties when unselected and selected.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkAffineRepresentation2D_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetProperty ();\n\n Set/Get the properties when unselected and selected.\n"},
  {(char*)"GetSelectedProperty",                (PyCFunction)PyvtkAffineRepresentation2D_GetSelectedProperty, 1,
   (char*)"V.GetSelectedProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetSelectedProperty ();\n\n Set/Get the properties when unselected and selected.\n"},
  {(char*)"GetTextProperty",                (PyCFunction)PyvtkAffineRepresentation2D_GetTextProperty, 1,
   (char*)"V.GetTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTextProperty ();\n\n Set/Get the properties when unselected and selected.\n"},
  {(char*)"SetDisplayText",                (PyCFunction)PyvtkAffineRepresentation2D_SetDisplayText, 1,
   (char*)"V.SetDisplayText(int)\nC++: void SetDisplayText (int );\n\n Enable the display of text with numeric values characterizing the \n transformation. Rotation and shear are expressed in degrees; translation\n the distance in world coordinates; and scale normalized (sx,sy) values.\n"},
  {(char*)"GetDisplayText",                (PyCFunction)PyvtkAffineRepresentation2D_GetDisplayText, 1,
   (char*)"V.GetDisplayText() -> int\nC++: int GetDisplayText ();\n\n Enable the display of text with numeric values characterizing the \n transformation. Rotation and shear are expressed in degrees; translation\n the distance in world coordinates; and scale normalized (sx,sy) values.\n"},
  {(char*)"DisplayTextOn",                (PyCFunction)PyvtkAffineRepresentation2D_DisplayTextOn, 1,
   (char*)"V.DisplayTextOn()\nC++: void DisplayTextOn ();\n\n Enable the display of text with numeric values characterizing the \n transformation. Rotation and shear are expressed in degrees; translation\n the distance in world coordinates; and scale normalized (sx,sy) values.\n"},
  {(char*)"DisplayTextOff",                (PyCFunction)PyvtkAffineRepresentation2D_DisplayTextOff, 1,
   (char*)"V.DisplayTextOff()\nC++: void DisplayTextOff ();\n\n Enable the display of text with numeric values characterizing the \n transformation. Rotation and shear are expressed in degrees; translation\n the distance in world coordinates; and scale normalized (sx,sy) values.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkAffineRepresentation2D_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\n\n Subclasses of vtkAffineRepresentation2D must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other. Note: PlaceWidget() reinitializes the \n transformation matrix (i.e., sets it to identity). It also sets the\n origin for scaling and rotation.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkAffineRepresentation2D_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);\n\n Subclasses of vtkAffineRepresentation2D must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other. Note: PlaceWidget() reinitializes the \n transformation matrix (i.e., sets it to identity). It also sets the\n origin for scaling and rotation.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkAffineRepresentation2D_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]);\n\n Subclasses of vtkAffineRepresentation2D must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other. Note: PlaceWidget() reinitializes the \n transformation matrix (i.e., sets it to identity). It also sets the\n origin for scaling and rotation.\n"},
  {(char*)"EndWidgetInteraction",                (PyCFunction)PyvtkAffineRepresentation2D_EndWidgetInteraction, 1,
   (char*)"V.EndWidgetInteraction((float, float))\nC++: virtual void EndWidgetInteraction (double eventPos[2]);\n\n Subclasses of vtkAffineRepresentation2D must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other. Note: PlaceWidget() reinitializes the \n transformation matrix (i.e., sets it to identity). It also sets the\n origin for scaling and rotation.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkAffineRepresentation2D_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n Subclasses of vtkAffineRepresentation2D must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other. Note: PlaceWidget() reinitializes the \n transformation matrix (i.e., sets it to identity). It also sets the\n origin for scaling and rotation.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkAffineRepresentation2D_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Subclasses of vtkAffineRepresentation2D must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other. Note: PlaceWidget() reinitializes the \n transformation matrix (i.e., sets it to identity). It also sets the\n origin for scaling and rotation.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAffineRepresentation2D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: virtual void ShallowCopy (vtkProp *prop);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkAffineRepresentation2D_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkAffineRepresentation2D_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkAffineRepresentation2D_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAffineRepresentation2DDoc[] = {
  (char*)"vtkAffineRepresentation2D - represent 2D affine transformations\n\n",
  "Super Class:\n\n vtkAffineRepresentation\n\n",
  (char*)" This class is used to represent a vtkAffineWidget. This representation\n consists of three parts: a box, a circle, and a cross. The box is used for\n scaling and shearing, the circle for rotation, and the cross for\n translation. These parts are drawn in the overlay plane and maintain a\n constant size (width and height) specified in terms of normalized viewport\n coordinates. \n\n The representation ma",
  (char*)"intains an internal transformation matrix (see\n superclass' GetTransform() method). The transformations generated by this\n widget assume that the representation lies in the x-y plane. If this is\n not the case, the user is responsible for transforming this\n representation's matrix into the correct coordinate space (by judicious\n matrix multiplication). Note that the transformation matrix returned b",
  (char*)"y\n GetTransform() is relative to the last PlaceWidget() invocation. (The\n PlaceWidget() sets the origin around which rotation and scaling occurs;\n the origin is the center point of the bounding box provided.)\n\n\n",
  "See Also:\n\n vtkAffineRepresentation vtkAffineWidget\n\n",
  NULL
};

static vtkObjectBase *vtkAffineRepresentation2DStaticNew()
{
  return vtkAffineRepresentation2D::New();
}

PyObject *PyVTKClass_vtkAffineRepresentation2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkAffineRepresentation2DStaticNew,
                        PyvtkAffineRepresentation2DMethods,
                        (char*)"vtkAffineRepresentation2D",modulename,
                        (char**)vtkAffineRepresentation2DDoc,
                        PyVTKClass_vtkAffineRepresentationNew(modulename));
}

