// python wrapper for vtkAffineRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAffineRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAffineRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAffineRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkAffineRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation *op;

  const char    *temp20;
  op = (vtkAffineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkAffineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation *op;

  vtkAffineRepresentation  *temp20;
  op = (vtkAffineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation *op;

  vtkTransform  *temp0;
  PyObject *tempH0;
  op = (vtkAffineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAffineRepresentation_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation *op;

  int      temp0;
  op = (vtkAffineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation *op;

  int      temp20;
  op = (vtkAffineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation *op;

  int      temp20;
  op = (vtkAffineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation *op;

  int      temp20;
  op = (vtkAffineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineRepresentation::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineRepresentation_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineRepresentation *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkAffineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineRepresentation::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkAffineRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAffineRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAffineRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAffineRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAffineRepresentation\nC++: vtkAffineRepresentation *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkAffineRepresentation_GetTransform, 1,
   (char*)"V.GetTransform(vtkTransform)\nC++: virtual void GetTransform (vtkTransform *t) = 0;\n\n Retrieve a linear transform characterizing the affine transformation\n generated by this widget. This method copies its internal transform into\n the transform provided. The transform is relative to the initial placement\n of the representation (i.e., when PlaceWidget() is invoked).\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkAffineRepresentation_SetTolerance, 1,
   (char*)"V.SetTolerance(int)\nC++: void SetTolerance (int );\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered near enough to the widget to\n be active.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkAffineRepresentation_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> int\nC++: int GetToleranceMinValue ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered near enough to the widget to\n be active.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkAffineRepresentation_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> int\nC++: int GetToleranceMaxValue ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered near enough to the widget to\n be active.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkAffineRepresentation_GetTolerance, 1,
   (char*)"V.GetTolerance() -> int\nC++: int GetTolerance ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered near enough to the widget to\n be active.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAffineRepresentation_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: virtual void ShallowCopy (vtkProp *prop);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAffineRepresentationDoc[] = {
  (char*)"vtkAffineRepresentation - abstract class for representing affine transformation widgets\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" This class defines an API for affine transformation widget\n representations. These representations interact with vtkAffineWidget. The\n basic functionality of the affine representation is to maintain a\n transformation matrix.\n\n This class may be subclassed so that alternative representations can\n be created.  The class defines an API and a default implementation that\n the vtkAffineWidget interacts",
  (char*)" with to render itself in the scene.\n\n",
  "Caveats:\n\n The separation of the widget event handling and representation enables\n users and developers to create new appearances for the widget. It also\n facilitates parallel processing, where the client application handles\n events, and remote representations of the widget are slaves to the \n client (and do not handle events).\n\n",
  "See Also:\n\n vtkAffineWidget vtkWidgetRepresentation vtkAbstractWidget\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAffineRepresentationNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAffineRepresentationMethods,
                        (char*)"vtkAffineRepresentation",modulename,
                        (char**)vtkAffineRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

