// python wrapper for vtkAffineWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAffineWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAffineWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAffineWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkAffineWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineWidget *op;

  const char    *temp20;
  op = (vtkAffineWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkAffineWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineWidget *op;

  vtkAffineWidget  *temp20;
  op = (vtkAffineWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAffineWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAffineWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAffineWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAffineWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineWidget *op;

  vtkAffineRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkAffineWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAffineRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAffineRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAffineWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineWidget *op;

  op = (vtkAffineWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAffineWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAffineWidget *op;

  int      temp0;
  op = (vtkAffineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAffineWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAffineWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAffineWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK class macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAffineWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK class macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAffineWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAffineWidget\nC++: vtkAffineWidget *NewInstance ();\n\n Standard VTK class macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAffineWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAffineWidget\nC++: vtkAffineWidget *SafeDownCast (vtkObject* o);\n\n Standard VTK class macros.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkAffineWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkAffineRepresentation)\nC++: void SetRepresentation (vtkAffineRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkAffineWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkAffineWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods for activiating this widget. This implementation extends the\n superclasses' in order to resize the widget handles due to a render\n start event.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAffineWidgetDoc[] = {
  (char*)"vtkAffineWidget - perform affine transformations\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkAffineWidget is used to perform affine transformations on objects.\n (Affine transformations are transformations that keep parallel lines parallel.\n Affine transformations include translation, scaling, rotation, and shearing.)\n \n To use this widget, set the widget representation. The representation \n maintains a transformation matrix and other instance variables consistent\n with the transfo",
  (char*)"rmations applied by this widget.\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n   LeftButtonPressEvent - select widget: depending on which part is selected\n                          translation, rotation, scaling, or shearing may follow.\n   LeftButtonReleaseEvent - end selection of w",
  (char*)"idget.\n   MouseMoveEvent - interactive movement across widget\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n into the vtkAffineWidget's widget events:\n <pre>\n   vtkWidgetEvent::Select -- focal point is being selected\n   vtkWidgetEvent::EndSelect -- the selection process has completed\n   vtkWidge",
  (char*)"tEvent::Move -- a request for widget motion\n </pre>\n\n In turn, when these widget events are processed, the vtkAffineWidget\n invokes the following VTK events on itself (which observers can listen for):\n <pre>\n   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)\n   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)\n   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)\n </",
  (char*)"pre>\n\n\n",
  NULL
};

static vtkObjectBase *vtkAffineWidgetStaticNew()
{
  return vtkAffineWidget::New();
}

PyObject *PyVTKClass_vtkAffineWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkAffineWidgetStaticNew,
                        PyvtkAffineWidgetMethods,
                        (char*)"vtkAffineWidget",modulename,
                        (char**)vtkAffineWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

