// python wrapper for vtkAngleRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAngleRepresentation2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAngleRepresentation2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAngleRepresentation2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAngleRepresentationNew(char *); }

static PyObject *PyvtkAngleRepresentation2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  const char    *temp20;
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  vtkAngleRepresentation2D  *temp20;
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAngleRepresentation2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAngleRepresentation2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_GetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  double   temp20;
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation2D::GetAngle();
      }
    else
      {
      temp20 = op->GetAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_GetPoint1WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  double temp0[3];
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation2D::GetPoint1WorldPosition(temp0);
      }
    else
      {
      op->GetPoint1WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_GetCenterWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  double temp0[3];
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation2D::GetCenterWorldPosition(temp0);
      }
    else
      {
      op->GetCenterWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_GetPoint2WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  double temp0[3];
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation2D::GetPoint2WorldPosition(temp0);
      }
    else
      {
      op->GetPoint2WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_SetPoint1DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  double temp0[3];
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation2D::SetPoint1DisplayPosition(temp0);
      }
    else
      {
      op->SetPoint1DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_SetCenterDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  double temp0[3];
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation2D::SetCenterDisplayPosition(temp0);
      }
    else
      {
      op->SetCenterDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_SetPoint2DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  double temp0[3];
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation2D::SetPoint2DisplayPosition(temp0);
      }
    else
      {
      op->SetPoint2DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_GetPoint1DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  double temp0[3];
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation2D::GetPoint1DisplayPosition(temp0);
      }
    else
      {
      op->GetPoint1DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_GetCenterDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  double temp0[3];
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation2D::GetCenterDisplayPosition(temp0);
      }
    else
      {
      op->GetCenterDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_GetPoint2DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  double temp0[3];
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation2D::GetPoint2DisplayPosition(temp0);
      }
    else
      {
      op->GetPoint2DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_GetRay1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  vtkLeaderActor2D  *temp20;
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation2D::GetRay1();
      }
    else
      {
      temp20 = op->GetRay1();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_GetRay2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  vtkLeaderActor2D  *temp20;
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation2D::GetRay2();
      }
    else
      {
      temp20 = op->GetRay2();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_GetArc(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  vtkLeaderActor2D  *temp20;
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation2D::GetArc();
      }
    else
      {
      temp20 = op->GetArc();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation2D::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation2D::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkAngleRepresentation2D_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAngleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation2D::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break19:
  return NULL;
}

static PyMethodDef PyvtkAngleRepresentation2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAngleRepresentation2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAngleRepresentation2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAngleRepresentation2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAngleRepresentation2D\nC++: vtkAngleRepresentation2D *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAngleRepresentation2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAngleRepresentation2D\nC++: vtkAngleRepresentation2D *SafeDownCast (vtkObject* o);\n\n Standard VTK methods.\n"},
  {(char*)"GetAngle",                (PyCFunction)PyvtkAngleRepresentation2D_GetAngle, 1,
   (char*)"V.GetAngle() -> float\nC++: virtual double GetAngle ();\n\n Satisfy the superclasses API.\n"},
  {(char*)"GetPoint1WorldPosition",                (PyCFunction)PyvtkAngleRepresentation2D_GetPoint1WorldPosition, 1,
   (char*)"V.GetPoint1WorldPosition((float, float, float))\nC++: virtual void GetPoint1WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetCenterWorldPosition",                (PyCFunction)PyvtkAngleRepresentation2D_GetCenterWorldPosition, 1,
   (char*)"V.GetCenterWorldPosition((float, float, float))\nC++: virtual void GetCenterWorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint2WorldPosition",                (PyCFunction)PyvtkAngleRepresentation2D_GetPoint2WorldPosition, 1,
   (char*)"V.GetPoint2WorldPosition((float, float, float))\nC++: virtual void GetPoint2WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint1DisplayPosition",                (PyCFunction)PyvtkAngleRepresentation2D_SetPoint1DisplayPosition, 1,
   (char*)"V.SetPoint1DisplayPosition((float, float, float))\nC++: virtual void SetPoint1DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetCenterDisplayPosition",                (PyCFunction)PyvtkAngleRepresentation2D_SetCenterDisplayPosition, 1,
   (char*)"V.SetCenterDisplayPosition((float, float, float))\nC++: virtual void SetCenterDisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint2DisplayPosition",                (PyCFunction)PyvtkAngleRepresentation2D_SetPoint2DisplayPosition, 1,
   (char*)"V.SetPoint2DisplayPosition((float, float, float))\nC++: virtual void SetPoint2DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint1DisplayPosition",                (PyCFunction)PyvtkAngleRepresentation2D_GetPoint1DisplayPosition, 1,
   (char*)"V.GetPoint1DisplayPosition((float, float, float))\nC++: virtual void GetPoint1DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetCenterDisplayPosition",                (PyCFunction)PyvtkAngleRepresentation2D_GetCenterDisplayPosition, 1,
   (char*)"V.GetCenterDisplayPosition((float, float, float))\nC++: virtual void GetCenterDisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint2DisplayPosition",                (PyCFunction)PyvtkAngleRepresentation2D_GetPoint2DisplayPosition, 1,
   (char*)"V.GetPoint2DisplayPosition((float, float, float))\nC++: virtual void GetPoint2DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetRay1",                (PyCFunction)PyvtkAngleRepresentation2D_GetRay1, 1,
   (char*)"V.GetRay1() -> vtkLeaderActor2D\nC++: vtkLeaderActor2D *GetRay1 ();\n\n Set/Get the three leaders used to create this representation.\n By obtaining these leaders the user can set the appropriate\n properties, etc.\n"},
  {(char*)"GetRay2",                (PyCFunction)PyvtkAngleRepresentation2D_GetRay2, 1,
   (char*)"V.GetRay2() -> vtkLeaderActor2D\nC++: vtkLeaderActor2D *GetRay2 ();\n\n Set/Get the three leaders used to create this representation.\n By obtaining these leaders the user can set the appropriate\n properties, etc.\n"},
  {(char*)"GetArc",                (PyCFunction)PyvtkAngleRepresentation2D_GetArc, 1,
   (char*)"V.GetArc() -> vtkLeaderActor2D\nC++: vtkLeaderActor2D *GetArc ();\n\n Set/Get the three leaders used to create this representation.\n By obtaining these leaders the user can set the appropriate\n properties, etc.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkAngleRepresentation2D_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: void BuildRepresentation ();\n\n Method defined by vtkWidgetRepresentation superclass and\n needed here.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkAngleRepresentation2D_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *w);\n\n Methods required by vtkProp superclass.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkAngleRepresentation2D_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n Methods required by vtkProp superclass.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAngleRepresentation2DDoc[] = {
  (char*)"vtkAngleRepresentation2D - represent the vtkAngleWidget\n\n",
  "Super Class:\n\n vtkAngleRepresentation\n\n",
  (char*)" The vtkAngleRepresentation2D is a representation for the\n vtkAngleWidget. This representation consists of two rays and three\n vtkHandleRepresentations to place and manipulate the three points defining\n the angle representation. (Note: the three points are referred to as Point1,\n Center, and Point2, at the two end points (Point1 and Point2) and Center\n (around which the angle is measured). This pa",
  (char*)"rticular implementation is a \n 2D representation, meaning that it draws in the overlay plane.\n\n",
  "See Also:\n\n vtkAngleWidget vtkHandleRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkAngleRepresentation2DStaticNew()
{
  return vtkAngleRepresentation2D::New();
}

PyObject *PyVTKClass_vtkAngleRepresentation2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkAngleRepresentation2DStaticNew,
                        PyvtkAngleRepresentation2DMethods,
                        (char*)"vtkAngleRepresentation2D",modulename,
                        (char**)vtkAngleRepresentation2DDoc,
                        PyVTKClass_vtkAngleRepresentationNew(modulename));
}

