// python wrapper for vtkAngleRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAngleRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAngleRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAngleRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkAngleRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  const char    *temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  vtkAngleRepresentation  *temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double   temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetPoint1WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[3];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetPoint1WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetCenterWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[3];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetCenterWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetPoint2WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[3];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetPoint2WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_SetPoint1DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[3];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetPoint1DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_SetCenterDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[3];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetCenterDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_SetPoint2DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[3];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetPoint2DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetPoint1DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[3];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetPoint1DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetCenterDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[3];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetCenterDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetPoint2DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[3];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetPoint2DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_SetHandleRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  vtkHandleRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHandleRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHandleRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::SetHandleRepresentation(temp0);
      }
    else
      {
      op->SetHandleRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_InstantiateHandleRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::InstantiateHandleRepresentation();
      }
    else
      {
      op->InstantiateHandleRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetPoint1Representation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  vtkHandleRepresentation  *temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::GetPoint1Representation();
      }
    else
      {
      temp20 = op->GetPoint1Representation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetCenterRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  vtkHandleRepresentation  *temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::GetCenterRepresentation();
      }
    else
      {
      temp20 = op->GetCenterRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetPoint2Representation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  vtkHandleRepresentation  *temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::GetPoint2Representation();
      }
    else
      {
      temp20 = op->GetPoint2Representation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  int      temp0;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  int      temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  int      temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  int      temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_SetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  char    *temp0;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::SetLabelFormat(temp0);
      }
    else
      {
      op->SetLabelFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  char    *temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::GetLabelFormat();
      }
    else
      {
      temp20 = op->GetLabelFormat();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_SetRay1Visibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  int      temp0;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::SetRay1Visibility(temp0);
      }
    else
      {
      op->SetRay1Visibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetRay1Visibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  int      temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::GetRay1Visibility();
      }
    else
      {
      temp20 = op->GetRay1Visibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_Ray1VisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::Ray1VisibilityOn();
      }
    else
      {
      op->Ray1VisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_Ray1VisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::Ray1VisibilityOff();
      }
    else
      {
      op->Ray1VisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_SetRay2Visibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  int      temp0;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::SetRay2Visibility(temp0);
      }
    else
      {
      op->SetRay2Visibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetRay2Visibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  int      temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::GetRay2Visibility();
      }
    else
      {
      temp20 = op->GetRay2Visibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_Ray2VisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::Ray2VisibilityOn();
      }
    else
      {
      op->Ray2VisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_Ray2VisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::Ray2VisibilityOff();
      }
    else
      {
      op->Ray2VisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_SetArcVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  int      temp0;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::SetArcVisibility(temp0);
      }
    else
      {
      op->SetArcVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_GetArcVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  int      temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::GetArcVisibility();
      }
    else
      {
      temp20 = op->GetArcVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_ArcVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::ArcVisibilityOn();
      }
    else
      {
      op->ArcVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_ArcVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::ArcVisibilityOff();
      }
    else
      {
      op->ArcVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[2];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_CenterWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[2];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::CenterWidgetInteraction(temp0);
      }
    else
      {
      op->CenterWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleRepresentation *op;

  double temp0[2];
  op = (vtkAngleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAngleRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAngleRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAngleRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAngleRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAngleRepresentation\nC++: vtkAngleRepresentation *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"GetAngle",                (PyCFunction)PyvtkAngleRepresentation_GetAngle, 1,
   (char*)"V.GetAngle() -> float\nC++: virtual double GetAngle () = 0;\n\n This representation and all subclasses must keep an angle (in degrees)\n consistent with the state of the widget.\n"},
  {(char*)"GetPoint1WorldPosition",                (PyCFunction)PyvtkAngleRepresentation_GetPoint1WorldPosition, 1,
   (char*)"V.GetPoint1WorldPosition((float, float, float))\nC++: virtual void GetPoint1WorldPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetCenterWorldPosition",                (PyCFunction)PyvtkAngleRepresentation_GetCenterWorldPosition, 1,
   (char*)"V.GetCenterWorldPosition((float, float, float))\nC++: virtual void GetCenterWorldPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint2WorldPosition",                (PyCFunction)PyvtkAngleRepresentation_GetPoint2WorldPosition, 1,
   (char*)"V.GetPoint2WorldPosition((float, float, float))\nC++: virtual void GetPoint2WorldPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint1DisplayPosition",                (PyCFunction)PyvtkAngleRepresentation_SetPoint1DisplayPosition, 1,
   (char*)"V.SetPoint1DisplayPosition((float, float, float))\nC++: virtual void SetPoint1DisplayPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetCenterDisplayPosition",                (PyCFunction)PyvtkAngleRepresentation_SetCenterDisplayPosition, 1,
   (char*)"V.SetCenterDisplayPosition((float, float, float))\nC++: virtual void SetCenterDisplayPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint2DisplayPosition",                (PyCFunction)PyvtkAngleRepresentation_SetPoint2DisplayPosition, 1,
   (char*)"V.SetPoint2DisplayPosition((float, float, float))\nC++: virtual void SetPoint2DisplayPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint1DisplayPosition",                (PyCFunction)PyvtkAngleRepresentation_GetPoint1DisplayPosition, 1,
   (char*)"V.GetPoint1DisplayPosition((float, float, float))\nC++: virtual void GetPoint1DisplayPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetCenterDisplayPosition",                (PyCFunction)PyvtkAngleRepresentation_GetCenterDisplayPosition, 1,
   (char*)"V.GetCenterDisplayPosition((float, float, float))\nC++: virtual void GetCenterDisplayPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint2DisplayPosition",                (PyCFunction)PyvtkAngleRepresentation_GetPoint2DisplayPosition, 1,
   (char*)"V.GetPoint2DisplayPosition((float, float, float))\nC++: virtual void GetPoint2DisplayPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetHandleRepresentation",                (PyCFunction)PyvtkAngleRepresentation_SetHandleRepresentation, 1,
   (char*)"V.SetHandleRepresentation(vtkHandleRepresentation)\nC++: void SetHandleRepresentation (vtkHandleRepresentation *handle);\n\n This method is used to specify the type of handle representation to use\n for the three internal vtkHandleWidgets within vtkAngleRepresentation.\n To use this method, create a dummy vtkHandleRepresentation (or\n subclass), and then invoke this method with this dummy. Then the\n vtkAngleRepresentation uses this dummy to clone three\n vtkHandleRepresentations of the same type. Make sure you set the handle\n representation before the widget is enabled. (The method\n InstantiateHandleRepresentation() is invoked by the vtkAngle widget.)\n"},
  {(char*)"InstantiateHandleRepresentation",                (PyCFunction)PyvtkAngleRepresentation_InstantiateHandleRepresentation, 1,
   (char*)"V.InstantiateHandleRepresentation()\nC++: void InstantiateHandleRepresentation ();\n\n This method is used to specify the type of handle representation to use\n for the three internal vtkHandleWidgets within vtkAngleRepresentation.\n To use this method, create a dummy vtkHandleRepresentation (or\n subclass), and then invoke this method with this dummy. Then the\n vtkAngleRepresentation uses this dummy to clone three\n vtkHandleRepresentations of the same type. Make sure you set the handle\n representation before the widget is enabled. (The method\n InstantiateHandleRepresentation() is invoked by the vtkAngle widget.)\n"},
  {(char*)"GetPoint1Representation",                (PyCFunction)PyvtkAngleRepresentation_GetPoint1Representation, 1,
   (char*)"V.GetPoint1Representation() -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *GetPoint1Representation ();\n\n Set/Get the handle representations used for the vtkAngleRepresentation.\n"},
  {(char*)"GetCenterRepresentation",                (PyCFunction)PyvtkAngleRepresentation_GetCenterRepresentation, 1,
   (char*)"V.GetCenterRepresentation() -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *GetCenterRepresentation ();\n\n Set/Get the handle representations used for the vtkAngleRepresentation.\n"},
  {(char*)"GetPoint2Representation",                (PyCFunction)PyvtkAngleRepresentation_GetPoint2Representation, 1,
   (char*)"V.GetPoint2Representation() -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *GetPoint2Representation ();\n\n Set/Get the handle representations used for the vtkAngleRepresentation.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkAngleRepresentation_SetTolerance, 1,
   (char*)"V.SetTolerance(int)\nC++: void SetTolerance (int );\n\n The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the end points\n of the representation to be active.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkAngleRepresentation_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> int\nC++: int GetToleranceMinValue ();\n\n The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the end points\n of the representation to be active.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkAngleRepresentation_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> int\nC++: int GetToleranceMaxValue ();\n\n The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the end points\n of the representation to be active.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkAngleRepresentation_GetTolerance, 1,
   (char*)"V.GetTolerance() -> int\nC++: int GetTolerance ();\n\n The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the end points\n of the representation to be active.\n"},
  {(char*)"SetLabelFormat",                (PyCFunction)PyvtkAngleRepresentation_SetLabelFormat, 1,
   (char*)"V.SetLabelFormat(string)\nC++: void SetLabelFormat (char *);\n\n Specify the format to use for labelling the angle. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the angle value.\n"},
  {(char*)"GetLabelFormat",                (PyCFunction)PyvtkAngleRepresentation_GetLabelFormat, 1,
   (char*)"V.GetLabelFormat() -> string\nC++: char *GetLabelFormat ();\n\n Specify the format to use for labelling the angle. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the angle value.\n"},
  {(char*)"SetRay1Visibility",                (PyCFunction)PyvtkAngleRepresentation_SetRay1Visibility, 1,
   (char*)"V.SetRay1Visibility(int)\nC++: void SetRay1Visibility (int );\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"GetRay1Visibility",                (PyCFunction)PyvtkAngleRepresentation_GetRay1Visibility, 1,
   (char*)"V.GetRay1Visibility() -> int\nC++: int GetRay1Visibility ();\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"Ray1VisibilityOn",                (PyCFunction)PyvtkAngleRepresentation_Ray1VisibilityOn, 1,
   (char*)"V.Ray1VisibilityOn()\nC++: void Ray1VisibilityOn ();\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"Ray1VisibilityOff",                (PyCFunction)PyvtkAngleRepresentation_Ray1VisibilityOff, 1,
   (char*)"V.Ray1VisibilityOff()\nC++: void Ray1VisibilityOff ();\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"SetRay2Visibility",                (PyCFunction)PyvtkAngleRepresentation_SetRay2Visibility, 1,
   (char*)"V.SetRay2Visibility(int)\nC++: void SetRay2Visibility (int );\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"GetRay2Visibility",                (PyCFunction)PyvtkAngleRepresentation_GetRay2Visibility, 1,
   (char*)"V.GetRay2Visibility() -> int\nC++: int GetRay2Visibility ();\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"Ray2VisibilityOn",                (PyCFunction)PyvtkAngleRepresentation_Ray2VisibilityOn, 1,
   (char*)"V.Ray2VisibilityOn()\nC++: void Ray2VisibilityOn ();\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"Ray2VisibilityOff",                (PyCFunction)PyvtkAngleRepresentation_Ray2VisibilityOff, 1,
   (char*)"V.Ray2VisibilityOff()\nC++: void Ray2VisibilityOff ();\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"SetArcVisibility",                (PyCFunction)PyvtkAngleRepresentation_SetArcVisibility, 1,
   (char*)"V.SetArcVisibility(int)\nC++: void SetArcVisibility (int );\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"GetArcVisibility",                (PyCFunction)PyvtkAngleRepresentation_GetArcVisibility, 1,
   (char*)"V.GetArcVisibility() -> int\nC++: int GetArcVisibility ();\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"ArcVisibilityOn",                (PyCFunction)PyvtkAngleRepresentation_ArcVisibilityOn, 1,
   (char*)"V.ArcVisibilityOn()\nC++: void ArcVisibilityOn ();\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"ArcVisibilityOff",                (PyCFunction)PyvtkAngleRepresentation_ArcVisibilityOff, 1,
   (char*)"V.ArcVisibilityOff()\nC++: void ArcVisibilityOff ();\n\n Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkAngleRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkAngleRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkAngleRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"CenterWidgetInteraction",                (PyCFunction)PyvtkAngleRepresentation_CenterWidgetInteraction, 1,
   (char*)"V.CenterWidgetInteraction((float, float))\nC++: virtual void CenterWidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkAngleRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAngleRepresentationDoc[] = {
  (char*)"vtkAngleRepresentation - represent the vtkAngleWidget\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" The vtkAngleRepresentation is a superclass for classes representing the\n vtkAngleWidget. This representation consists of two rays and three\n vtkHandleRepresentations to place and manipulate the three points defining\n the angle representation. (Note: the three points are referred to as Point1,\n Center, and Point2, at the two end points (Point1 and Point2) and Center\n (around which the angle is mea",
  (char*)"sured).\n\n",
  "See Also:\n\n vtkAngleWidget vtkHandleRepresentation vtkAngleRepresentation2D\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAngleRepresentationNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAngleRepresentationMethods,
                        (char*)"vtkAngleRepresentation",modulename,
                        (char**)vtkAngleRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

