// python wrapper for vtkAngleWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAngleWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAngleWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAngleWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkAngleWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleWidget *op;

  const char    *temp20;
  op = (vtkAngleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkAngleWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleWidget *op;

  vtkAngleWidget  *temp20;
  op = (vtkAngleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAngleWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAngleWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAngleWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleWidget *op;

  int      temp0;
  op = (vtkAngleWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleWidget *op;

  vtkAngleRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkAngleWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAngleRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAngleRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkAngleWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleWidget *op;

  op = (vtkAngleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleWidget_IsAngleValid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleWidget *op;

  int      temp20;
  op = (vtkAngleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAngleWidget::IsAngleValid();
      }
    else
      {
      temp20 = op->IsAngleValid();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAngleWidget_SetProcessEvents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAngleWidget *op;

  int      temp0;
  op = (vtkAngleWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAngleWidget::SetProcessEvents(temp0);
      }
    else
      {
      op->SetProcessEvents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAngleWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAngleWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAngleWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for a VTK class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAngleWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAngleWidget\nC++: vtkAngleWidget *NewInstance ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAngleWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAngleWidget\nC++: vtkAngleWidget *SafeDownCast (vtkObject* o);\n\n Standard methods for a VTK class.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkAngleWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n The method for activiating and deactiviating this widget. This method\n must be overridden because it is a composite widget and does more than\n its superclasses' vtkAbstractWidget::SetEnabled() method.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkAngleWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkAngleRepresentation)\nC++: void SetRepresentation (vtkAngleRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkAngleWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {(char*)"IsAngleValid",                (PyCFunction)PyvtkAngleWidget_IsAngleValid, 1,
   (char*)"V.IsAngleValid() -> int\nC++: int IsAngleValid ();\n\n A flag indicates whether the angle is valid. The angle value only becomes\n valid after two of the three points are placed.\n"},
  {(char*)"SetProcessEvents",                (PyCFunction)PyvtkAngleWidget_SetProcessEvents, 1,
   (char*)"V.SetProcessEvents(int)\nC++: virtual void SetProcessEvents (int );\n\n Methods to change the whether the widget responds to interaction.\n Overridden to pass the state to component widgets.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAngleWidgetDoc[] = {
  (char*)"vtkAngleWidget - measure the angle between two rays (defined by three points)\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkAngleWidget is used to measure the angle between two rays (defined\n by three points). The three points (two end points and a center)\n can be positioned independently, and when they are released, a special\n PlacePointEvent is invoked so that special operations may be take to\n reposition the point (snap to grid, etc.) The widget has two different\n modes of interaction: when initially defined",
  (char*)" (i.e., placing the three\n points) and then a manipulate mode (adjusting the position of the \n three points).\n \n To use this widget, specify an instance of vtkAngleWidget and a\n representation (a subclass of vtkAngleRepresentation). The widget is\n implemented using three instances of vtkHandleWidget which are used to\n position the three points. The representations for these handle widgets\n are pro",
  (char*)"vided by the vtkAngleRepresentation.\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n   LeftButtonPressEvent - add a point or select a handle \n   MouseMoveEvent - position the second or third point, or move a handle\n   LeftButtonReleaseEvent - release the selected handle\n </pre>\n\n Note",
  (char*)" that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n into the vtkAngleWidget's widget events:\n <pre>\n   vtkWidgetEvent::AddPoint -- add one point; depending on the state\n                               it may the first, second or third point \n                               added. Or, if near a handle, select the han",
  (char*)"dle.\n   vtkWidgetEvent::Move -- position the second or third point, or move the\n                           handle depending on the state.\n   vtkWidgetEvent::EndSelect -- the handle manipulation process has completed.\n </pre>\n\n This widget invokes the following VTK events on itself (which observers\n can listen for):\n <pre>\n   vtkCommand::StartInteractionEvent (beginning to interact)\n   vtkCommand::",
  (char*)"EndInteractionEvent (completing interaction)\n   vtkCommand::InteractionEvent (moving a handle)\n   vtkCommand::PlacePointEvent (after a point is positioned; \n                                call data includes handle id (0,1,2))\n </pre>\n\n",
  "See Also:\n\n vtkHandleWidget vtkDistanceWidget\n\n",
  NULL
};

static vtkObjectBase *vtkAngleWidgetStaticNew()
{
  return vtkAngleWidget::New();
}

PyObject *PyVTKClass_vtkAngleWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkAngleWidgetStaticNew,
                        PyvtkAngleWidgetMethods,
                        (char*)"vtkAngleWidget",modulename,
                        (char**)vtkAngleWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

