// python wrapper for vtkBalloonRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBalloonRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBalloonRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBalloonRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkBalloonRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  const char    *temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  vtkBalloonRepresentation  *temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBalloonRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBalloonRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetBalloonImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetBalloonImage(temp0);
      }
    else
      {
      op->SetBalloonImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_GetBalloonImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  vtkImageData  *temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetBalloonImage();
      }
    else
      {
      temp20 = op->GetBalloonImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_GetBalloonText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  char    *temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetBalloonText();
      }
    else
      {
      temp20 = op->GetBalloonText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetBalloonText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  char    *temp0;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetBalloonText(temp0);
      }
    else
      {
      op->SetBalloonText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetImageSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int      temp0;
  int      temp1;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetImageSize(temp0,temp1);
      }
    else
      {
      op->SetImageSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetImageSize(temp0);
      }
    else
      {
      op->SetImageSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_GetImageSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int     *temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetImageSize();
      }
    else
      {
      temp20 = op->GetImageSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetTextProperty(temp0);
      }
    else
      {
      op->SetTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_GetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  vtkTextProperty  *temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetTextProperty();
      }
    else
      {
      temp20 = op->GetTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetFrameProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  vtkProperty2D  *temp0;
  PyObject *tempH0;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty2D");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetFrameProperty(temp0);
      }
    else
      {
      op->SetFrameProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_GetFrameProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  vtkProperty2D  *temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetFrameProperty();
      }
    else
      {
      temp20 = op->GetFrameProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetImageProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  vtkProperty2D  *temp0;
  PyObject *tempH0;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty2D");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetImageProperty(temp0);
      }
    else
      {
      op->SetImageProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_GetImageProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  vtkProperty2D  *temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetImageProperty();
      }
    else
      {
      temp20 = op->GetImageProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetBalloonLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int      temp0;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetBalloonLayout(temp0);
      }
    else
      {
      op->SetBalloonLayout(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_GetBalloonLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int      temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetBalloonLayout();
      }
    else
      {
      temp20 = op->GetBalloonLayout();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetBalloonLayoutToImageLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetBalloonLayoutToImageLeft();
      }
    else
      {
      op->SetBalloonLayoutToImageLeft();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetBalloonLayoutToImageRight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetBalloonLayoutToImageRight();
      }
    else
      {
      op->SetBalloonLayoutToImageRight();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetBalloonLayoutToImageBottom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetBalloonLayoutToImageBottom();
      }
    else
      {
      op->SetBalloonLayoutToImageBottom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetBalloonLayoutToImageTop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetBalloonLayoutToImageTop();
      }
    else
      {
      op->SetBalloonLayoutToImageTop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetBalloonLayoutToTextLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetBalloonLayoutToTextLeft();
      }
    else
      {
      op->SetBalloonLayoutToTextLeft();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetBalloonLayoutToTextRight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetBalloonLayoutToTextRight();
      }
    else
      {
      op->SetBalloonLayoutToTextRight();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetBalloonLayoutToTextTop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetBalloonLayoutToTextTop();
      }
    else
      {
      op->SetBalloonLayoutToTextTop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetBalloonLayoutToTextBottom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetBalloonLayoutToTextBottom();
      }
    else
      {
      op->SetBalloonLayoutToTextBottom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int      temp0;
  int      temp1;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetOffset(temp0,temp1);
      }
    else
      {
      op->SetOffset(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetOffset(temp0);
      }
    else
      {
      op->SetOffset(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_GetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int     *temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetOffset();
      }
    else
      {
      temp20 = op->GetOffset();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_SetPadding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int      temp0;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::SetPadding(temp0);
      }
    else
      {
      op->SetPadding(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_GetPaddingMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int      temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetPaddingMinValue();
      }
    else
      {
      temp20 = op->GetPaddingMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_GetPaddingMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int      temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetPaddingMaxValue();
      }
    else
      {
      temp20 = op->GetPaddingMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_GetPadding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  int      temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::GetPadding();
      }
    else
      {
      temp20 = op->GetPadding();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  double temp0[2];
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_EndWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  double temp0[2];
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::EndWidgetInteraction(temp0);
      }
    else
      {
      op->EndWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break37;
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break37:
  return NULL;
}


static PyObject *PyvtkBalloonRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkBalloonRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break38:
  return NULL;
}

static PyMethodDef PyvtkBalloonRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBalloonRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBalloonRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBalloonRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBalloonRepresentation\nC++: vtkBalloonRepresentation *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBalloonRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBalloonRepresentation\nC++: vtkBalloonRepresentation *SafeDownCast (vtkObject* o);\n\n Standard VTK methods.\n"},
  {(char*)"SetBalloonImage",                (PyCFunction)PyvtkBalloonRepresentation_SetBalloonImage, 1,
   (char*)"V.SetBalloonImage(vtkImageData)\nC++: virtual void SetBalloonImage (vtkImageData *img);\n\n Specify/retrieve the image to display in the balloon.\n"},
  {(char*)"GetBalloonImage",                (PyCFunction)PyvtkBalloonRepresentation_GetBalloonImage, 1,
   (char*)"V.GetBalloonImage() -> vtkImageData\nC++: vtkImageData *GetBalloonImage ();\n\n Specify/retrieve the image to display in the balloon.\n"},
  {(char*)"GetBalloonText",                (PyCFunction)PyvtkBalloonRepresentation_GetBalloonText, 1,
   (char*)"V.GetBalloonText() -> string\nC++: char *GetBalloonText ();\n\n Specify/retrieve the text to display in the balloon.\n"},
  {(char*)"SetBalloonText",                (PyCFunction)PyvtkBalloonRepresentation_SetBalloonText, 1,
   (char*)"V.SetBalloonText(string)\nC++: void SetBalloonText (char *);\n\n Specify/retrieve the text to display in the balloon.\n"},
  {(char*)"SetImageSize",                (PyCFunction)PyvtkBalloonRepresentation_SetImageSize, 1,
   (char*)"V.SetImageSize(int, int)\nC++: void SetImageSize (int , int );\nV.SetImageSize((int, int))\nC++: void SetImageSize (int  a[2]);\n\n Specify the minimum size for the image. Note that this is a bounding\n rectangle, the image will fit inside of it. However, if the balloon\n consists of text plus an image, then the image may be bigger than\n ImageSize[2] to fit into the balloon frame.\n"},
  {(char*)"GetImageSize",                (PyCFunction)PyvtkBalloonRepresentation_GetImageSize, 1,
   (char*)"V.GetImageSize() -> (int, int)\nC++: int  *GetImageSize ();\n\n Specify the minimum size for the image. Note that this is a bounding\n rectangle, the image will fit inside of it. However, if the balloon\n consists of text plus an image, then the image may be bigger than\n ImageSize[2] to fit into the balloon frame.\n"},
  {(char*)"SetTextProperty",                (PyCFunction)PyvtkBalloonRepresentation_SetTextProperty, 1,
   (char*)"V.SetTextProperty(vtkTextProperty)\nC++: virtual void SetTextProperty (vtkTextProperty *p);\n\n Set/get the text property (relevant only if text is shown).\n"},
  {(char*)"GetTextProperty",                (PyCFunction)PyvtkBalloonRepresentation_GetTextProperty, 1,
   (char*)"V.GetTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTextProperty ();\n\n Set/get the text property (relevant only if text is shown).\n"},
  {(char*)"SetFrameProperty",                (PyCFunction)PyvtkBalloonRepresentation_SetFrameProperty, 1,
   (char*)"V.SetFrameProperty(vtkProperty2D)\nC++: virtual void SetFrameProperty (vtkProperty2D *p);\n\n Set/get the frame property (relevant only if text is shown).\n The frame lies behind the text.\n"},
  {(char*)"GetFrameProperty",                (PyCFunction)PyvtkBalloonRepresentation_GetFrameProperty, 1,
   (char*)"V.GetFrameProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetFrameProperty ();\n\n Set/get the frame property (relevant only if text is shown).\n The frame lies behind the text.\n"},
  {(char*)"SetImageProperty",                (PyCFunction)PyvtkBalloonRepresentation_SetImageProperty, 1,
   (char*)"V.SetImageProperty(vtkProperty2D)\nC++: virtual void SetImageProperty (vtkProperty2D *p);\n\n Set/get the image property (relevant only if an image is shown).\n"},
  {(char*)"GetImageProperty",                (PyCFunction)PyvtkBalloonRepresentation_GetImageProperty, 1,
   (char*)"V.GetImageProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetImageProperty ();\n\n Set/get the image property (relevant only if an image is shown).\n"},
  {(char*)"SetBalloonLayout",                (PyCFunction)PyvtkBalloonRepresentation_SetBalloonLayout, 1,
   (char*)"V.SetBalloonLayout(int)\nC++: void SetBalloonLayout (int );\n\n Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n"},
  {(char*)"GetBalloonLayout",                (PyCFunction)PyvtkBalloonRepresentation_GetBalloonLayout, 1,
   (char*)"V.GetBalloonLayout() -> int\nC++: int GetBalloonLayout ();\n\n Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n"},
  {(char*)"SetBalloonLayoutToImageLeft",                (PyCFunction)PyvtkBalloonRepresentation_SetBalloonLayoutToImageLeft, 1,
   (char*)"V.SetBalloonLayoutToImageLeft()\nC++: void SetBalloonLayoutToImageLeft ();this SetBalloonLayout ImageLeft \n\n Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n"},
  {(char*)"SetBalloonLayoutToImageRight",                (PyCFunction)PyvtkBalloonRepresentation_SetBalloonLayoutToImageRight, 1,
   (char*)"V.SetBalloonLayoutToImageRight()\nC++: void SetBalloonLayoutToImageRight ();this SetBalloonLayout ImageRight \n\n Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n"},
  {(char*)"SetBalloonLayoutToImageBottom",                (PyCFunction)PyvtkBalloonRepresentation_SetBalloonLayoutToImageBottom, 1,
   (char*)"V.SetBalloonLayoutToImageBottom()\nC++: void SetBalloonLayoutToImageBottom ();this SetBalloonLayout ImageBottom \n\n Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n"},
  {(char*)"SetBalloonLayoutToImageTop",                (PyCFunction)PyvtkBalloonRepresentation_SetBalloonLayoutToImageTop, 1,
   (char*)"V.SetBalloonLayoutToImageTop()\nC++: void SetBalloonLayoutToImageTop ();this SetBalloonLayout ImageTop \n\n Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n"},
  {(char*)"SetBalloonLayoutToTextLeft",                (PyCFunction)PyvtkBalloonRepresentation_SetBalloonLayoutToTextLeft, 1,
   (char*)"V.SetBalloonLayoutToTextLeft()\nC++: void SetBalloonLayoutToTextLeft ();this SetBalloonLayout ImageRight \n\n Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n"},
  {(char*)"SetBalloonLayoutToTextRight",                (PyCFunction)PyvtkBalloonRepresentation_SetBalloonLayoutToTextRight, 1,
   (char*)"V.SetBalloonLayoutToTextRight()\nC++: void SetBalloonLayoutToTextRight ();this SetBalloonLayout ImageLeft \n\n Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n"},
  {(char*)"SetBalloonLayoutToTextTop",                (PyCFunction)PyvtkBalloonRepresentation_SetBalloonLayoutToTextTop, 1,
   (char*)"V.SetBalloonLayoutToTextTop()\nC++: void SetBalloonLayoutToTextTop ();this SetBalloonLayout ImageBottom \n\n Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n"},
  {(char*)"SetBalloonLayoutToTextBottom",                (PyCFunction)PyvtkBalloonRepresentation_SetBalloonLayoutToTextBottom, 1,
   (char*)"V.SetBalloonLayoutToTextBottom()\nC++: void SetBalloonLayoutToTextBottom ();this SetBalloonLayout ImageTop \n\n Set/Get the offset from the mouse pointer from which to place the\n balloon. The representation will try and honor this offset unless there\n is a collision with the side of the renderer, in which case the balloon \n will be repositioned to lie within the rendering window.\n"},
  {(char*)"SetOffset",                (PyCFunction)PyvtkBalloonRepresentation_SetOffset, 1,
   (char*)"V.SetOffset(int, int)\nC++: void SetOffset (int , int );\nV.SetOffset((int, int))\nC++: void SetOffset (int  a[2]);\n\n Set/Get the offset from the mouse pointer from which to place the\n balloon. The representation will try and honor this offset unless there\n is a collision with the side of the renderer, in which case the balloon \n will be repositioned to lie within the rendering window.\n"},
  {(char*)"GetOffset",                (PyCFunction)PyvtkBalloonRepresentation_GetOffset, 1,
   (char*)"V.GetOffset() -> (int, int)\nC++: int  *GetOffset ();\n\n Set/Get the offset from the mouse pointer from which to place the\n balloon. The representation will try and honor this offset unless there\n is a collision with the side of the renderer, in which case the balloon \n will be repositioned to lie within the rendering window.\n"},
  {(char*)"SetPadding",                (PyCFunction)PyvtkBalloonRepresentation_SetPadding, 1,
   (char*)"V.SetPadding(int)\nC++: void SetPadding (int );\n\n Set/Get the padding (in pixels) that is used between the text and the\n frame.\n"},
  {(char*)"GetPaddingMinValue",                (PyCFunction)PyvtkBalloonRepresentation_GetPaddingMinValue, 1,
   (char*)"V.GetPaddingMinValue() -> int\nC++: int GetPaddingMinValue ();\n\n Set/Get the padding (in pixels) that is used between the text and the\n frame.\n"},
  {(char*)"GetPaddingMaxValue",                (PyCFunction)PyvtkBalloonRepresentation_GetPaddingMaxValue, 1,
   (char*)"V.GetPaddingMaxValue() -> int\nC++: int GetPaddingMaxValue ();\n\n Set/Get the padding (in pixels) that is used between the text and the\n frame.\n"},
  {(char*)"GetPadding",                (PyCFunction)PyvtkBalloonRepresentation_GetPadding, 1,
   (char*)"V.GetPadding() -> int\nC++: int GetPadding ();\n\n Set/Get the padding (in pixels) that is used between the text and the\n frame.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkBalloonRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"EndWidgetInteraction",                (PyCFunction)PyvtkBalloonRepresentation_EndWidgetInteraction, 1,
   (char*)"V.EndWidgetInteraction((float, float))\nC++: virtual void EndWidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkBalloonRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkBalloonRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *w);\n\n Methods required by vtkProp superclass.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkBalloonRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n Methods required by vtkProp superclass.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBalloonRepresentationDoc[] = {
  (char*)"vtkBalloonRepresentation - represent the vtkBalloonWidget\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" The vtkBalloonRepresentation is used to represent the vtkBalloonWidget.\n This representation is defined by two items: a text string and an image.\n At least one of these two items must be defined, but it is allowable to\n specify both, or just an image or just text. If both the text and image\n are specified, then methods are available for positioning the text and\n image with respect to each other.\n",
  (char*)"\n The balloon representation consists of three parts: text, a rectangular\n frame behind the text, and an image placed next to the frame and sized\n to match the frame.\n\n The size of the balloon is ultimately controlled by the text properties\n (i.e., font size). This representation uses a layout policy as follows.\n \n If there is just text and no image, then the text properties and padding\n are used ",
  (char*)"to control the size of the balloon.\n\n If there is just an image and no text, then the ImageSize[2] member is\n used to control the image size. (The image will fit into this rectangle,\n but will not necessarily fill the whole rectangle, i.e., the image is not\n stretched).\n\n If there is text and an image, the following approach ia used. First,\n based on the font size and other related properties (e.g",
  (char*)"., padding),\n determine the size of the frame. Second, depending on the layout of the\n image and text frame, control the size of the neighboring image (since the\n frame and image share a common edge). However, if this results in an image\n that is smaller than ImageSize[2], then the image size will be set to\n ImageSize[2] and the frame will be adjusted accordingly. The text is\n always placed in the",
  (char*)" center of the frame if the frame is resized.\n\n",
  "See Also:\n\n vtkBalloonWidget\n\n",
  NULL
};

static vtkObjectBase *vtkBalloonRepresentationStaticNew()
{
  return vtkBalloonRepresentation::New();
}

PyObject *PyVTKClass_vtkBalloonRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkBalloonRepresentationStaticNew,
                        PyvtkBalloonRepresentationMethods,
                        (char*)"vtkBalloonRepresentation",modulename,
                        (char**)vtkBalloonRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

