// tcl wrapper for vtkBalloonRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBalloonRepresentation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBalloonRepresentationNewCommand()
{
  vtkBalloonRepresentation *temp = vtkBalloonRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkWidgetRepresentationCppCommand(vtkWidgetRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBalloonRepresentationCppCommand(vtkBalloonRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBalloonRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBalloonRepresentationCppCommand(static_cast<vtkBalloonRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBalloonRepresentationCppCommand(vtkBalloonRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBalloonRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWidgetRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBalloonRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBalloonRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBalloonRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBalloonRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBalloonRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBalloonRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBalloonImage",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetBalloonImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBalloonImage",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetBalloonImage();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("GetBalloonText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetBalloonText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetBalloonText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetImageSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetImageSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetImageSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetFrameProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty2D  *temp0;
    error = 0;

    temp0 = (vtkProperty2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty2D"),interp,error));
    if (!error)
    {
    op->SetFrameProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrameProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty2D  *temp20;
    temp20 = (op)->GetFrameProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
    }
  if ((!strcmp("SetImageProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty2D  *temp0;
    error = 0;

    temp0 = (vtkProperty2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty2D"),interp,error));
    if (!error)
    {
    op->SetImageProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty2D  *temp20;
    temp20 = (op)->GetImageProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonLayout",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBalloonLayout(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBalloonLayout",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBalloonLayout();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonLayoutToImageLeft",argv[1]))&&(argc == 2))
    {
    op->SetBalloonLayoutToImageLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonLayoutToImageRight",argv[1]))&&(argc == 2))
    {
    op->SetBalloonLayoutToImageRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonLayoutToImageBottom",argv[1]))&&(argc == 2))
    {
    op->SetBalloonLayoutToImageBottom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonLayoutToImageTop",argv[1]))&&(argc == 2))
    {
    op->SetBalloonLayoutToImageTop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonLayoutToTextLeft",argv[1]))&&(argc == 2))
    {
    op->SetBalloonLayoutToTextLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonLayoutToTextRight",argv[1]))&&(argc == 2))
    {
    op->SetBalloonLayoutToTextRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonLayoutToTextTop",argv[1]))&&(argc == 2))
    {
    op->SetBalloonLayoutToTextTop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonLayoutToTextBottom",argv[1]))&&(argc == 2))
    {
    op->SetBalloonLayoutToTextBottom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOffset",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetOffset(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOffset",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOffset",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetOffset();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPadding",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPadding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPaddingMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPaddingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPaddingMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPaddingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPadding",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPadding();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StartWidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->StartWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EndWidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->EndWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
    {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBalloonRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBalloonRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBalloonImage\n",NULL);
    Tcl_AppendResult(interp,"  GetBalloonText\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetImageSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetImageSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSize\n",NULL);
    Tcl_AppendResult(interp,"  SetTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetFrameProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetImageProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonLayout\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBalloonLayout\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonLayoutToImageLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonLayoutToImageRight\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonLayoutToImageBottom\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonLayoutToImageTop\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonLayoutToTextLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonLayoutToTextRight\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonLayoutToTextTop\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonLayoutToTextBottom\n",NULL);
    Tcl_AppendResult(interp,"  SetOffset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOffset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetPadding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPaddingMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPaddingMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPadding\n",NULL);
    Tcl_AppendResult(interp,"  StartWidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  EndWidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetBalloonImage" );
    Tcl_DStringAppendElement ( &dString, "GetBalloonImage" );
    Tcl_DStringAppendElement ( &dString, "GetBalloonText" );
    Tcl_DStringAppendElement ( &dString, "SetBalloonText" );
    Tcl_DStringAppendElement ( &dString, "SetImageSize" );
    Tcl_DStringAppendElement ( &dString, "SetImageSize" );
    Tcl_DStringAppendElement ( &dString, "GetImageSize" );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetFrameProperty" );
    Tcl_DStringAppendElement ( &dString, "GetFrameProperty" );
    Tcl_DStringAppendElement ( &dString, "SetImageProperty" );
    Tcl_DStringAppendElement ( &dString, "GetImageProperty" );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayout" );
    Tcl_DStringAppendElement ( &dString, "GetBalloonLayout" );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToImageLeft" );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToImageRight" );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToImageBottom" );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToImageTop" );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToTextLeft" );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToTextRight" );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToTextTop" );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToTextBottom" );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    Tcl_DStringAppendElement ( &dString, "SetPadding" );
    Tcl_DStringAppendElement ( &dString, "GetPaddingMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPaddingMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPadding" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "EndWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkBalloonRepresentation *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBalloonImage */
    if ( strcmp ( argv[2], "SetBalloonImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalloonImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalloonImage */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve the image to display in the balloon.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBalloonImage (vtkImageData *img);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetBalloonImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBalloonImage */
    if ( strcmp ( argv[2], "GetBalloonImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBalloonImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBalloonImage */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve the image to display in the balloon.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetBalloonImage ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetBalloonImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBalloonText */
    if ( strcmp ( argv[2], "GetBalloonText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBalloonText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBalloonText */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve the text to display in the balloon.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetBalloonText ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetBalloonText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBalloonText */
    if ( strcmp ( argv[2], "SetBalloonText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalloonText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalloonText */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve the text to display in the balloon.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBalloonText (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetBalloonText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageSize */
    if ( strcmp ( argv[2], "SetImageSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageSize */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum size for the image. Note that this is a bounding\n rectangle, the image will fit inside of it. However, if the balloon\n consists of text plus an image, then the image may be bigger than\n ImageSize\\[2\\] to fit into the balloon frame.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageSize (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetImageSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageSize */
    if ( strcmp ( argv[2], "SetImageSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageSize */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum size for the image. Note that this is a bounding\n rectangle, the image will fit inside of it. However, if the balloon\n consists of text plus an image, then the image may be bigger than\n ImageSize\\[2\\] to fit into the balloon frame.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageSize (int  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetImageSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSize */
    if ( strcmp ( argv[2], "GetImageSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSize */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum size for the image. Note that this is a bounding\n rectangle, the image will fit inside of it. However, if the balloon\n consists of text plus an image, then the image may be bigger than\n ImageSize\\[2\\] to fit into the balloon frame.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetImageSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetImageSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextProperty */
    if ( strcmp ( argv[2], "SetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/get the text property (relevant only if text is shown).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextProperty (vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextProperty */
    if ( strcmp ( argv[2], "GetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/get the text property (relevant only if text is shown).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrameProperty */
    if ( strcmp ( argv[2], "SetFrameProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrameProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrameProperty */
    Tcl_DStringAppendElement ( &dString, " Set/get the frame property (relevant only if text is shown).\n The frame lies behind the text.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFrameProperty (vtkProperty2D *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetFrameProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrameProperty */
    if ( strcmp ( argv[2], "GetFrameProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameProperty */
    Tcl_DStringAppendElement ( &dString, " Set/get the frame property (relevant only if text is shown).\n The frame lies behind the text.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D *GetFrameProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetFrameProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageProperty */
    if ( strcmp ( argv[2], "SetImageProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageProperty */
    Tcl_DStringAppendElement ( &dString, " Set/get the image property (relevant only if an image is shown).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetImageProperty (vtkProperty2D *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetImageProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageProperty */
    if ( strcmp ( argv[2], "GetImageProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageProperty */
    Tcl_DStringAppendElement ( &dString, " Set/get the image property (relevant only if an image is shown).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D *GetImageProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetImageProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBalloonLayout */
    if ( strcmp ( argv[2], "SetBalloonLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalloonLayout */
    Tcl_DStringAppendElement ( &dString, " Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBalloonLayout (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetBalloonLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBalloonLayout */
    if ( strcmp ( argv[2], "GetBalloonLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBalloonLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBalloonLayout */
    Tcl_DStringAppendElement ( &dString, " Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBalloonLayout ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetBalloonLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBalloonLayoutToImageLeft */
    if ( strcmp ( argv[2], "SetBalloonLayoutToImageLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToImageLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalloonLayoutToImageLeft */
    Tcl_DStringAppendElement ( &dString, " Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBalloonLayoutToImageLeft ();this SetBalloonLayout ImageLeft " );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetBalloonLayoutToImageLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBalloonLayoutToImageRight */
    if ( strcmp ( argv[2], "SetBalloonLayoutToImageRight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToImageRight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalloonLayoutToImageRight */
    Tcl_DStringAppendElement ( &dString, " Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBalloonLayoutToImageRight ();this SetBalloonLayout ImageRight " );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetBalloonLayoutToImageRight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBalloonLayoutToImageBottom */
    if ( strcmp ( argv[2], "SetBalloonLayoutToImageBottom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToImageBottom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalloonLayoutToImageBottom */
    Tcl_DStringAppendElement ( &dString, " Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBalloonLayoutToImageBottom ();this SetBalloonLayout ImageBottom " );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetBalloonLayoutToImageBottom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBalloonLayoutToImageTop */
    if ( strcmp ( argv[2], "SetBalloonLayoutToImageTop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToImageTop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalloonLayoutToImageTop */
    Tcl_DStringAppendElement ( &dString, " Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBalloonLayoutToImageTop ();this SetBalloonLayout ImageTop " );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetBalloonLayoutToImageTop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBalloonLayoutToTextLeft */
    if ( strcmp ( argv[2], "SetBalloonLayoutToTextLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToTextLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalloonLayoutToTextLeft */
    Tcl_DStringAppendElement ( &dString, " Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBalloonLayoutToTextLeft ();this SetBalloonLayout ImageRight " );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetBalloonLayoutToTextLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBalloonLayoutToTextRight */
    if ( strcmp ( argv[2], "SetBalloonLayoutToTextRight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToTextRight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalloonLayoutToTextRight */
    Tcl_DStringAppendElement ( &dString, " Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBalloonLayoutToTextRight ();this SetBalloonLayout ImageLeft " );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetBalloonLayoutToTextRight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBalloonLayoutToTextTop */
    if ( strcmp ( argv[2], "SetBalloonLayoutToTextTop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToTextTop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalloonLayoutToTextTop */
    Tcl_DStringAppendElement ( &dString, " Specify the layout of the image and text within the balloon. Note that\n there are reduncies in these methods, for example\n SetBalloonLayoutToImageLeft() results in the same effect as\n SetBalloonLayoutToTextRight(). If only text is specified, or only an\n image is specified, then it doesn't matter how the layout is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBalloonLayoutToTextTop ();this SetBalloonLayout ImageBottom " );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetBalloonLayoutToTextTop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBalloonLayoutToTextBottom */
    if ( strcmp ( argv[2], "SetBalloonLayoutToTextBottom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBalloonLayoutToTextBottom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBalloonLayoutToTextBottom */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset from the mouse pointer from which to place the\n balloon. The representation will try and honor this offset unless there\n is a collision with the side of the renderer, in which case the balloon \n will be repositioned to lie within the rendering window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBalloonLayoutToTextBottom ();this SetBalloonLayout ImageTop " );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetBalloonLayoutToTextBottom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffset */
    if ( strcmp ( argv[2], "SetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset from the mouse pointer from which to place the\n balloon. The representation will try and honor this offset unless there\n is a collision with the side of the renderer, in which case the balloon \n will be repositioned to lie within the rendering window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOffset (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffset */
    if ( strcmp ( argv[2], "SetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset from the mouse pointer from which to place the\n balloon. The representation will try and honor this offset unless there\n is a collision with the side of the renderer, in which case the balloon \n will be repositioned to lie within the rendering window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOffset (int  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffset */
    if ( strcmp ( argv[2], "GetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset from the mouse pointer from which to place the\n balloon. The representation will try and honor this offset unless there\n is a collision with the side of the renderer, in which case the balloon \n will be repositioned to lie within the rendering window.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPadding */
    if ( strcmp ( argv[2], "SetPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPadding */
    Tcl_DStringAppendElement ( &dString, " Set/Get the padding (in pixels) that is used between the text and the\n frame.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPadding (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for SetPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPaddingMinValue */
    if ( strcmp ( argv[2], "GetPaddingMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPaddingMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPaddingMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the padding (in pixels) that is used between the text and the\n frame.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPaddingMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetPaddingMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPaddingMaxValue */
    if ( strcmp ( argv[2], "GetPaddingMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPaddingMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPaddingMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the padding (in pixels) that is used between the text and the\n frame.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPaddingMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetPaddingMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPadding */
    if ( strcmp ( argv[2], "GetPadding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPadding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPadding */
    Tcl_DStringAppendElement ( &dString, " Set/Get the padding (in pixels) that is used between the text and the\n frame.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPadding ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for GetPadding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWidgetInteraction */
    if ( strcmp ( argv[2], "StartWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartWidgetInteraction (double e\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for StartWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndWidgetInteraction */
    if ( strcmp ( argv[2], "EndWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndWidgetInteraction (double e\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for EndWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Methods required by vtkProp superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources (vtkWindow *w);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Methods required by vtkProp superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkBalloonRepresentation" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
