// python wrapper for vtkBalloonWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBalloonWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBalloonWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBalloonWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHoverWidgetNew(char *); }

static PyObject *PyvtkBalloonWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  const char    *temp20;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  vtkBalloonWidget  *temp20;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBalloonWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBalloonWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBalloonWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  int      temp0;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  vtkBalloonRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkBalloonRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkBalloonRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkBalloonWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonWidget_AddBalloon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  char    *temp1;
  vtkImageData  *temp2;
  PyObject *tempH2;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"OzO", &tempH0, &temp1, &tempH2);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp2 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkImageData");
    if (!temp2 && tempH2 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonWidget::AddBalloon(temp0,temp1,temp2);
      }
    else
      {
      op->AddBalloon(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  char    *temp1;
  PyErr_Clear();
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"Oz", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonWidget::AddBalloon(temp0,temp1);
      }
    else
      {
      op->AddBalloon(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkBalloonWidget_RemoveBalloon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonWidget::RemoveBalloon(temp0);
      }
    else
      {
      op->RemoveBalloon(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkBalloonWidget_GetBalloonString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  const char    *temp20;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonWidget::GetBalloonString(temp0);
      }
    else
      {
      temp20 = op->GetBalloonString(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkBalloonWidget_GetBalloonImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  vtkImageData  *temp20;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonWidget::GetBalloonImage(temp0);
      }
    else
      {
      temp20 = op->GetBalloonImage(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkBalloonWidget_GetCurrentProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  vtkProp  *temp20;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonWidget::GetCurrentProp();
      }
    else
      {
      temp20 = op->GetCurrentProp();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBalloonWidget_SetPicker(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  vtkAbstractPropPicker  *temp0;
  PyObject *tempH0;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractPropPicker *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractPropPicker");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkBalloonWidget::SetPicker(temp0);
      }
    else
      {
      op->SetPicker(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkBalloonWidget_GetPicker(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBalloonWidget *op;

  vtkAbstractPropPicker  *temp20;
  op = (vtkBalloonWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBalloonWidget::GetPicker();
      }
    else
      {
      temp20 = op->GetPicker();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBalloonWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBalloonWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBalloonWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for a VTK class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBalloonWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBalloonWidget\nC++: vtkBalloonWidget *NewInstance ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBalloonWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBalloonWidget\nC++: vtkBalloonWidget *SafeDownCast (vtkObject* o);\n\n Standard methods for a VTK class.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkBalloonWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n The method for activiating and deactiviating this widget. This method\n must be overridden because it performs special timer-related operations.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkBalloonWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkBalloonRepresentation)\nC++: void SetRepresentation (vtkBalloonRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkBalloonWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {(char*)"AddBalloon",                (PyCFunction)PyvtkBalloonWidget_AddBalloon, 1,
   (char*)"V.AddBalloon(vtkProp, string, vtkImageData)\nC++: void AddBalloon (vtkProp *prop, const char *str, vtkImageData *img);\nV.AddBalloon(vtkProp, string)\nC++: void AddBalloon (vtkProp *prop, const char *str);this AddBalloon prop str NULL \n\n Add and remove text and/or an image to be associated with a vtkProp. You\n may add one or both of them. \n"},
  {(char*)"RemoveBalloon",                (PyCFunction)PyvtkBalloonWidget_RemoveBalloon, 1,
   (char*)"V.RemoveBalloon(vtkProp)\nC++: void RemoveBalloon (vtkProp *prop);\n\n Add and remove text and/or an image to be associated with a vtkProp. You\n may add one or both of them. \n"},
  {(char*)"GetBalloonString",                (PyCFunction)PyvtkBalloonWidget_GetBalloonString, 1,
   (char*)"V.GetBalloonString(vtkProp) -> string\nC++: const char *GetBalloonString (vtkProp *prop);\n\n Methods to retrieve the information associated with each vtkProp (i.e.,\n the information that makes up each balloon). A NULL will be returned if\n the vtkProp does not exist, or if a string or image have not been\n associated with the specified vtkProp.\n"},
  {(char*)"GetBalloonImage",                (PyCFunction)PyvtkBalloonWidget_GetBalloonImage, 1,
   (char*)"V.GetBalloonImage(vtkProp) -> vtkImageData\nC++: vtkImageData *GetBalloonImage (vtkProp *prop);\n\n Methods to retrieve the information associated with each vtkProp (i.e.,\n the information that makes up each balloon). A NULL will be returned if\n the vtkProp does not exist, or if a string or image have not been\n associated with the specified vtkProp.\n"},
  {(char*)"GetCurrentProp",                (PyCFunction)PyvtkBalloonWidget_GetCurrentProp, 1,
   (char*)"V.GetCurrentProp() -> vtkProp\nC++: virtual vtkProp *GetCurrentProp ();return this CurrentProp \n\n Set/Get the object used to perform pick operations. Since the\n vtkBalloonWidget operates on vtkProps, the picker must be a subclass of\n vtkAbstractPropPicker. (Note: if not specified, an instance of\n vtkPropPicker is used.)\n"},
  {(char*)"SetPicker",                (PyCFunction)PyvtkBalloonWidget_SetPicker, 1,
   (char*)"V.SetPicker(vtkAbstractPropPicker)\nC++: void SetPicker (vtkAbstractPropPicker *);\n\n Set/Get the object used to perform pick operations. Since the\n vtkBalloonWidget operates on vtkProps, the picker must be a subclass of\n vtkAbstractPropPicker. (Note: if not specified, an instance of\n vtkPropPicker is used.)\n"},
  {(char*)"GetPicker",                (PyCFunction)PyvtkBalloonWidget_GetPicker, 1,
   (char*)"V.GetPicker() -> vtkAbstractPropPicker\nC++: vtkAbstractPropPicker *GetPicker ();\n\n Set/Get the object used to perform pick operations. Since the\n vtkBalloonWidget operates on vtkProps, the picker must be a subclass of\n vtkAbstractPropPicker. (Note: if not specified, an instance of\n vtkPropPicker is used.)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBalloonWidgetDoc[] = {
  (char*)"vtkBalloonWidget - popup text balloons above instance of vtkProp when hovering occurs\n\n",
  "Super Class:\n\n vtkHoverWidget\n\n",
  (char*)" The vtkBalloonWidget is used to popup text and/or an image when the mouse\n hovers over an instance of vtkProp. The widget keeps track of\n (vtkProp,vtkBalloon) pairs (where the internal vtkBalloon class is defined\n by a pair of vtkStdString and vtkImageData), and when the mouse stops\n moving for a user-specified period of time over the vtkProp, then the\n vtkBalloon is drawn nearby the vtkProp. Not",
  (char*)"e that an instance of\n vtkBalloonRepresentation is used to draw the balloon.\n \n To use this widget, specify an instance of vtkBalloonWidget and a\n representation (e.g., vtkBalloonRepresentation). Then list all instances\n of vtkProp, a text string, and/or an instance of vtkImageData to be\n associated with each vtkProp. (Note that you can specify both text and an\n image, or just one or the other.) Y",
  (char*)"ou may also wish to specify the hover\n delay (i.e., set in the superclass vtkHoverWidget).\n\n .SECTION Event Bindings\n By default, the widget observes the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n   MouseMoveEvent - occurs when mouse is moved in render window.\n   TimerEvent - occurs when the time between events (e.g., mouse move)\n              ",
  (char*)"  is greater than TimerDuration.\n   KeyPressEvent - when the \"Enter\" key is pressed after the balloon appears,\n                   a callback is activited (e.g., WidgetActivateEvent).\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n into the vtkBalloonWidget's widget events:\n <pre>\n   vtkWidgetEven",
  (char*)"t::Move -- start the timer\n   vtkWidgetEvent::TimedOut -- when hovering occurs,\n   vtkWidgetEvent::SelectAction -- activate any callbacks associated \n                                   with the balloon.\n </pre>\n\n This widget invokes the following VTK events on itself (which observers\n can listen for):\n <pre>\n   vtkCommand::TimerEvent (when hovering is determined to occur)\n   vtkCommand::EndInterac",
  (char*)"tionEvent (after a hover has occured and the\n                                    mouse begins moving again).\n   vtkCommand::WidgetActivateEvent (when the balloon is selected with a\n                                    keypress).\n </pre>\n\n",
  "See Also:\n\n vtkAbstractWidget\n\n",
  NULL
};

static vtkObjectBase *vtkBalloonWidgetStaticNew()
{
  return vtkBalloonWidget::New();
}

PyObject *PyVTKClass_vtkBalloonWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkBalloonWidgetStaticNew,
                        PyvtkBalloonWidgetMethods,
                        (char*)"vtkBalloonWidget",modulename,
                        (char**)vtkBalloonWidgetDoc,
                        PyVTKClass_vtkHoverWidgetNew(modulename));
}

