// python wrapper for vtkBezierContourLineInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBezierContourLineInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBezierContourLineInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBezierContourLineInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContourLineInterpolatorNew(char *); }

static PyObject *PyvtkBezierContourLineInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  const char    *temp20;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBezierContourLineInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  char    *temp0;
  int      temp20;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBezierContourLineInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  vtkBezierContourLineInterpolator  *temp20;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBezierContourLineInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBezierContourLineInterpolator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBezierContourLineInterpolator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_InterpolateLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkContourRepresentation  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"OOii", &tempH0, &tempH1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkContourRepresentation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkContourRepresentation");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBezierContourLineInterpolator::InterpolateLine(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->InterpolateLine(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_SetMaximumCurveError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  double   temp0;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBezierContourLineInterpolator::SetMaximumCurveError(temp0);
      }
    else
      {
      op->SetMaximumCurveError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_GetMaximumCurveErrorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  double   temp20;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBezierContourLineInterpolator::GetMaximumCurveErrorMinValue();
      }
    else
      {
      temp20 = op->GetMaximumCurveErrorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_GetMaximumCurveErrorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  double   temp20;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBezierContourLineInterpolator::GetMaximumCurveErrorMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumCurveErrorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_GetMaximumCurveError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  double   temp20;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBezierContourLineInterpolator::GetMaximumCurveError();
      }
    else
      {
      temp20 = op->GetMaximumCurveError();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_SetMaximumCurveLineSegments(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  int      temp0;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBezierContourLineInterpolator::SetMaximumCurveLineSegments(temp0);
      }
    else
      {
      op->SetMaximumCurveLineSegments(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_GetMaximumCurveLineSegmentsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  int      temp20;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBezierContourLineInterpolator::GetMaximumCurveLineSegmentsMinValue();
      }
    else
      {
      temp20 = op->GetMaximumCurveLineSegmentsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_GetMaximumCurveLineSegmentsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  int      temp20;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBezierContourLineInterpolator::GetMaximumCurveLineSegmentsMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumCurveLineSegmentsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_GetMaximumCurveLineSegments(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  int      temp20;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBezierContourLineInterpolator::GetMaximumCurveLineSegments();
      }
    else
      {
      temp20 = op->GetMaximumCurveLineSegments();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBezierContourLineInterpolator_GetSpan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBezierContourLineInterpolator *op;

  int      temp0;
  vtkIntArray  *temp1;
  PyObject *tempH1;
  vtkContourRepresentation  *temp2;
  PyObject *tempH2;
  op = (vtkBezierContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIntArray");
    if (!temp1 && tempH1 != Py_None) goto break13;
    temp2 = (vtkContourRepresentation *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkContourRepresentation");
    if (!temp2 && tempH2 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkBezierContourLineInterpolator::GetSpan(temp0,temp1,temp2);
      }
    else
      {
      op->GetSpan(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkBezierContourLineInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBezierContourLineInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBezierContourLineInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBezierContourLineInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBezierContourLineInterpolator\nC++: vtkBezierContourLineInterpolator *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBezierContourLineInterpolator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBezierContourLineInterpolator\nC++: vtkBezierContourLineInterpolator *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"InterpolateLine",                (PyCFunction)PyvtkBezierContourLineInterpolator_InterpolateLine, 1,
   (char*)"V.InterpolateLine(vtkRenderer, vtkContourRepresentation, int, int) -> int\nC++: virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2);\n\n"},
  {(char*)"SetMaximumCurveError",                (PyCFunction)PyvtkBezierContourLineInterpolator_SetMaximumCurveError, 1,
   (char*)"V.SetMaximumCurveError(float)\nC++: void SetMaximumCurveError (double );\n\n The difference between a line segment connecting two points and the curve\n connecting the same points. In the limit of the length of the curve \n dx -> 0, the two values will be the same. The smaller this number, the \n finer the bezier curve will be interpolated. Default is 0.005\n"},
  {(char*)"GetMaximumCurveErrorMinValue",                (PyCFunction)PyvtkBezierContourLineInterpolator_GetMaximumCurveErrorMinValue, 1,
   (char*)"V.GetMaximumCurveErrorMinValue() -> float\nC++: double GetMaximumCurveErrorMinValue ();\n\n The difference between a line segment connecting two points and the curve\n connecting the same points. In the limit of the length of the curve \n dx -> 0, the two values will be the same. The smaller this number, the \n finer the bezier curve will be interpolated. Default is 0.005\n"},
  {(char*)"GetMaximumCurveErrorMaxValue",                (PyCFunction)PyvtkBezierContourLineInterpolator_GetMaximumCurveErrorMaxValue, 1,
   (char*)"V.GetMaximumCurveErrorMaxValue() -> float\nC++: double GetMaximumCurveErrorMaxValue ();\n\n The difference between a line segment connecting two points and the curve\n connecting the same points. In the limit of the length of the curve \n dx -> 0, the two values will be the same. The smaller this number, the \n finer the bezier curve will be interpolated. Default is 0.005\n"},
  {(char*)"GetMaximumCurveError",                (PyCFunction)PyvtkBezierContourLineInterpolator_GetMaximumCurveError, 1,
   (char*)"V.GetMaximumCurveError() -> float\nC++: double GetMaximumCurveError ();\n\n The difference between a line segment connecting two points and the curve\n connecting the same points. In the limit of the length of the curve \n dx -> 0, the two values will be the same. The smaller this number, the \n finer the bezier curve will be interpolated. Default is 0.005\n"},
  {(char*)"SetMaximumCurveLineSegments",                (PyCFunction)PyvtkBezierContourLineInterpolator_SetMaximumCurveLineSegments, 1,
   (char*)"V.SetMaximumCurveLineSegments(int)\nC++: void SetMaximumCurveLineSegments (int );\n\n Maximum number of bezier line segments between two nodes. Larger values\n create a finer interpolation. Default is 100.\n"},
  {(char*)"GetMaximumCurveLineSegmentsMinValue",                (PyCFunction)PyvtkBezierContourLineInterpolator_GetMaximumCurveLineSegmentsMinValue, 1,
   (char*)"V.GetMaximumCurveLineSegmentsMinValue() -> int\nC++: int GetMaximumCurveLineSegmentsMinValue ();\n\n Maximum number of bezier line segments between two nodes. Larger values\n create a finer interpolation. Default is 100.\n"},
  {(char*)"GetMaximumCurveLineSegmentsMaxValue",                (PyCFunction)PyvtkBezierContourLineInterpolator_GetMaximumCurveLineSegmentsMaxValue, 1,
   (char*)"V.GetMaximumCurveLineSegmentsMaxValue() -> int\nC++: int GetMaximumCurveLineSegmentsMaxValue ();\n\n Maximum number of bezier line segments between two nodes. Larger values\n create a finer interpolation. Default is 100.\n"},
  {(char*)"GetMaximumCurveLineSegments",                (PyCFunction)PyvtkBezierContourLineInterpolator_GetMaximumCurveLineSegments, 1,
   (char*)"V.GetMaximumCurveLineSegments() -> int\nC++: int GetMaximumCurveLineSegments ();\n\n Maximum number of bezier line segments between two nodes. Larger values\n create a finer interpolation. Default is 100.\n"},
  {(char*)"GetSpan",                (PyCFunction)PyvtkBezierContourLineInterpolator_GetSpan, 1,
   (char*)"V.GetSpan(int, vtkIntArray, vtkContourRepresentation)\nC++: virtual void GetSpan (int nodeIndex, vtkIntArray *nodeIndices, vtkContourRepresentation *rep);\n\n Span of the interpolator. ie. the number of control points its supposed\n to interpolate given a node. \n\n The first argument is the current nodeIndex.\n ie, you'd be trying to interpolate between nodes \"nodeIndex\" and \n \"nodeIndex-1\", unless you're closing the contour in which case, you're\n trying to interpolate \"nodeIndex\" and \"Node=0\". The node span is \n returned in a vtkIntArray. \n\n The node span is returned in a vtkIntArray. The node span returned by \n this interpolator will be a 2-tuple with a span of 4.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBezierContourLineInterpolatorDoc[] = {
  (char*)"vtkBezierContourLineInterpolator - Interpolates supplied nodes with bezier line segments\n\n",
  "Super Class:\n\n vtkContourLineInterpolator\n\n",
  (char*)" The line interpolator interpolates supplied nodes (see InterpolateLine)\n with bezier line segments. The finess of the curve may be controlled using\n SetMaximumCurveError and SetMaximumNumberOfLineSegments.\n\n\n",
  "See Also:\n\n vtkContourLineInterpolator\n\n",
  NULL
};

static vtkObjectBase *vtkBezierContourLineInterpolatorStaticNew()
{
  return vtkBezierContourLineInterpolator::New();
}

PyObject *PyVTKClass_vtkBezierContourLineInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkBezierContourLineInterpolatorStaticNew,
                        PyvtkBezierContourLineInterpolatorMethods,
                        (char*)"vtkBezierContourLineInterpolator",modulename,
                        (char**)vtkBezierContourLineInterpolatorDoc,
                        PyVTKClass_vtkContourLineInterpolatorNew(modulename));
}

