// python wrapper for vtkBiDimensionalRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBiDimensionalRepresentation2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBiDimensionalRepresentation2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBiDimensionalRepresentation2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkBiDimensionalRepresentation2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  const char    *temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  vtkBiDimensionalRepresentation2D  *temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBiDimensionalRepresentation2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBiDimensionalRepresentation2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetPoint1WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetPoint1WorldPosition(temp0);
      }
    else
      {
      op->SetPoint1WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetPoint2WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetPoint2WorldPosition(temp0);
      }
    else
      {
      op->SetPoint2WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetPoint3WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetPoint3WorldPosition(temp0);
      }
    else
      {
      op->SetPoint3WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetPoint4WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetPoint4WorldPosition(temp0);
      }
    else
      {
      op->SetPoint4WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint1WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::GetPoint1WorldPosition(temp0);
      }
    else
      {
      op->GetPoint1WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint2WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::GetPoint2WorldPosition(temp0);
      }
    else
      {
      op->GetPoint2WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint3WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::GetPoint3WorldPosition(temp0);
      }
    else
      {
      op->GetPoint3WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint4WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::GetPoint4WorldPosition(temp0);
      }
    else
      {
      op->GetPoint4WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetPoint1DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetPoint1DisplayPosition(temp0);
      }
    else
      {
      op->SetPoint1DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetPoint2DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetPoint2DisplayPosition(temp0);
      }
    else
      {
      op->SetPoint2DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetPoint3DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetPoint3DisplayPosition(temp0);
      }
    else
      {
      op->SetPoint3DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetPoint4DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetPoint4DisplayPosition(temp0);
      }
    else
      {
      op->SetPoint4DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint1DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::GetPoint1DisplayPosition(temp0);
      }
    else
      {
      op->GetPoint1DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint2DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::GetPoint2DisplayPosition(temp0);
      }
    else
      {
      op->GetPoint2DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint3DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::GetPoint3DisplayPosition(temp0);
      }
    else
      {
      op->GetPoint3DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint4DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::GetPoint4DisplayPosition(temp0);
      }
    else
      {
      op->GetPoint4DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetLine1Visibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp0;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetLine1Visibility(temp0);
      }
    else
      {
      op->SetLine1Visibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetLine1Visibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetLine1Visibility();
      }
    else
      {
      temp20 = op->GetLine1Visibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_Line1VisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::Line1VisibilityOn();
      }
    else
      {
      op->Line1VisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_Line1VisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::Line1VisibilityOff();
      }
    else
      {
      op->Line1VisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetLine2Visibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp0;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetLine2Visibility(temp0);
      }
    else
      {
      op->SetLine2Visibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetLine2Visibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetLine2Visibility();
      }
    else
      {
      temp20 = op->GetLine2Visibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_Line2VisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::Line2VisibilityOn();
      }
    else
      {
      op->Line2VisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_Line2VisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::Line2VisibilityOff();
      }
    else
      {
      op->Line2VisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetHandleRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  vtkHandleRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHandleRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHandleRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetHandleRepresentation(temp0);
      }
    else
      {
      op->SetHandleRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_InstantiateHandleRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::InstantiateHandleRepresentation();
      }
    else
      {
      op->InstantiateHandleRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint1Representation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  vtkHandleRepresentation  *temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetPoint1Representation();
      }
    else
      {
      temp20 = op->GetPoint1Representation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint2Representation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  vtkHandleRepresentation  *temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetPoint2Representation();
      }
    else
      {
      temp20 = op->GetPoint2Representation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint3Representation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  vtkHandleRepresentation  *temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetPoint3Representation();
      }
    else
      {
      temp20 = op->GetPoint3Representation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetPoint4Representation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  vtkHandleRepresentation  *temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetPoint4Representation();
      }
    else
      {
      temp20 = op->GetPoint4Representation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  vtkProperty2D  *temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetLineProperty();
      }
    else
      {
      temp20 = op->GetLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetSelectedLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  vtkProperty2D  *temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetSelectedLineProperty();
      }
    else
      {
      temp20 = op->GetSelectedLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  vtkTextProperty  *temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetTextProperty();
      }
    else
      {
      temp20 = op->GetTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp0;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetLength1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double   temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetLength1();
      }
    else
      {
      temp20 = op->GetLength1();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetLength2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double   temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetLength2();
      }
    else
      {
      temp20 = op->GetLength2();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  char    *temp0;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetLabelFormat(temp0);
      }
    else
      {
      op->SetLabelFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  char    *temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetLabelFormat();
      }
    else
      {
      temp20 = op->GetLabelFormat();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_StartWidgetDefinition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[2];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::StartWidgetDefinition(temp0);
      }
    else
      {
      op->StartWidgetDefinition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_Point2WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[2];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::Point2WidgetInteraction(temp0);
      }
    else
      {
      op->Point2WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_Point3WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[2];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::Point3WidgetInteraction(temp0);
      }
    else
      {
      op->Point3WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_StartWidgetManipulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[2];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::StartWidgetManipulation(temp0);
      }
    else
      {
      op->StartWidgetManipulation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[2];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_Highlight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp0;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::Highlight(temp0);
      }
    else
      {
      op->Highlight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break53;
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break53:
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break54;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break54:
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetShowLabelAboveWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp0;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetShowLabelAboveWidget(temp0);
      }
    else
      {
      op->SetShowLabelAboveWidget(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetShowLabelAboveWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  int      temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetShowLabelAboveWidget();
      }
    else
      {
      temp20 = op->GetShowLabelAboveWidget();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_ShowLabelAboveWidgetOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::ShowLabelAboveWidgetOn();
      }
    else
      {
      op->ShowLabelAboveWidgetOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_ShowLabelAboveWidgetOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::ShowLabelAboveWidgetOff();
      }
    else
      {
      op->ShowLabelAboveWidgetOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_SetID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  unsigned long     temp0;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::SetID(temp0);
      }
    else
      {
      op->SetID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  unsigned long     temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetID();
      }
    else
      {
      temp20 = op->GetID();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetLabelText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  char    *temp20;
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalRepresentation2D::GetLabelText();
      }
    else
      {
      temp20 = op->GetLabelText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetLabelPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::GetLabelPosition(temp0);
      }
    else
      {
      op->GetLabelPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalRepresentation2D_GetWorldLabelPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalRepresentation2D *op;

  double temp0[3];
  op = (vtkBiDimensionalRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalRepresentation2D::GetWorldLabelPosition(temp0);
      }
    else
      {
      op->GetWorldLabelPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBiDimensionalRepresentation2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBiDimensionalRepresentation2D\nC++: vtkBiDimensionalRepresentation2D *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBiDimensionalRepresentation2D\nC++: vtkBiDimensionalRepresentation2D *SafeDownCast (vtkObject* o);\n\n Standard VTK methods.\n"},
  {(char*)"SetPoint1WorldPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetPoint1WorldPosition, 1,
   (char*)"V.SetPoint1WorldPosition((float, float, float))\nC++: virtual void SetPoint1WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint2WorldPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetPoint2WorldPosition, 1,
   (char*)"V.SetPoint2WorldPosition((float, float, float))\nC++: virtual void SetPoint2WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint3WorldPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetPoint3WorldPosition, 1,
   (char*)"V.SetPoint3WorldPosition((float, float, float))\nC++: virtual void SetPoint3WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint4WorldPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetPoint4WorldPosition, 1,
   (char*)"V.SetPoint4WorldPosition((float, float, float))\nC++: virtual void SetPoint4WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint1WorldPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint1WorldPosition, 1,
   (char*)"V.GetPoint1WorldPosition((float, float, float))\nC++: virtual void GetPoint1WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint2WorldPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint2WorldPosition, 1,
   (char*)"V.GetPoint2WorldPosition((float, float, float))\nC++: virtual void GetPoint2WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint3WorldPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint3WorldPosition, 1,
   (char*)"V.GetPoint3WorldPosition((float, float, float))\nC++: virtual void GetPoint3WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint4WorldPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint4WorldPosition, 1,
   (char*)"V.GetPoint4WorldPosition((float, float, float))\nC++: virtual void GetPoint4WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint1DisplayPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetPoint1DisplayPosition, 1,
   (char*)"V.SetPoint1DisplayPosition((float, float, float))\nC++: virtual void SetPoint1DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint2DisplayPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetPoint2DisplayPosition, 1,
   (char*)"V.SetPoint2DisplayPosition((float, float, float))\nC++: virtual void SetPoint2DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint3DisplayPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetPoint3DisplayPosition, 1,
   (char*)"V.SetPoint3DisplayPosition((float, float, float))\nC++: virtual void SetPoint3DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint4DisplayPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetPoint4DisplayPosition, 1,
   (char*)"V.SetPoint4DisplayPosition((float, float, float))\nC++: virtual void SetPoint4DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint1DisplayPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint1DisplayPosition, 1,
   (char*)"V.GetPoint1DisplayPosition((float, float, float))\nC++: virtual void GetPoint1DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint2DisplayPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint2DisplayPosition, 1,
   (char*)"V.GetPoint2DisplayPosition((float, float, float))\nC++: virtual void GetPoint2DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint3DisplayPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint3DisplayPosition, 1,
   (char*)"V.GetPoint3DisplayPosition((float, float, float))\nC++: virtual void GetPoint3DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint4DisplayPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint4DisplayPosition, 1,
   (char*)"V.GetPoint4DisplayPosition((float, float, float))\nC++: virtual void GetPoint4DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetLine1Visibility",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetLine1Visibility, 1,
   (char*)"V.SetLine1Visibility(int)\nC++: void SetLine1Visibility (int );\n\n Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n"},
  {(char*)"GetLine1Visibility",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetLine1Visibility, 1,
   (char*)"V.GetLine1Visibility() -> int\nC++: int GetLine1Visibility ();\n\n Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n"},
  {(char*)"Line1VisibilityOn",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_Line1VisibilityOn, 1,
   (char*)"V.Line1VisibilityOn()\nC++: void Line1VisibilityOn ();\n\n Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n"},
  {(char*)"Line1VisibilityOff",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_Line1VisibilityOff, 1,
   (char*)"V.Line1VisibilityOff()\nC++: void Line1VisibilityOff ();\n\n Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n"},
  {(char*)"SetLine2Visibility",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetLine2Visibility, 1,
   (char*)"V.SetLine2Visibility(int)\nC++: void SetLine2Visibility (int );\n\n Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n"},
  {(char*)"GetLine2Visibility",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetLine2Visibility, 1,
   (char*)"V.GetLine2Visibility() -> int\nC++: int GetLine2Visibility ();\n\n Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n"},
  {(char*)"Line2VisibilityOn",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_Line2VisibilityOn, 1,
   (char*)"V.Line2VisibilityOn()\nC++: void Line2VisibilityOn ();\n\n Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n"},
  {(char*)"Line2VisibilityOff",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_Line2VisibilityOff, 1,
   (char*)"V.Line2VisibilityOff()\nC++: void Line2VisibilityOff ();\n\n Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n"},
  {(char*)"SetHandleRepresentation",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetHandleRepresentation, 1,
   (char*)"V.SetHandleRepresentation(vtkHandleRepresentation)\nC++: void SetHandleRepresentation (vtkHandleRepresentation *handle);\n\n This method is used to specify the type of handle representation to use\n for the four internal vtkHandleRepresentations within\n vtkBiDimensionalRepresentation2D.  To use this method, create a dummy\n vtkHandleRepresentation (or subclass), and then invoke this method with\n this dummy. Then the vtkBiDimensionalRepresentation2D uses this dummy to\n clone four vtkHandleRepresentations of the same type. Make sure you set the\n handle representation before the widget is enabled. (The method\n InstantiateHandleRepresentation() is invoked by the vtkBiDimensionalWidget\n for the purposes of cloning.)\n"},
  {(char*)"InstantiateHandleRepresentation",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_InstantiateHandleRepresentation, 1,
   (char*)"V.InstantiateHandleRepresentation()\nC++: void InstantiateHandleRepresentation ();\n\n This method is used to specify the type of handle representation to use\n for the four internal vtkHandleRepresentations within\n vtkBiDimensionalRepresentation2D.  To use this method, create a dummy\n vtkHandleRepresentation (or subclass), and then invoke this method with\n this dummy. Then the vtkBiDimensionalRepresentation2D uses this dummy to\n clone four vtkHandleRepresentations of the same type. Make sure you set the\n handle representation before the widget is enabled. (The method\n InstantiateHandleRepresentation() is invoked by the vtkBiDimensionalWidget\n for the purposes of cloning.)\n"},
  {(char*)"GetPoint1Representation",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint1Representation, 1,
   (char*)"V.GetPoint1Representation() -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *GetPoint1Representation ();\n\n Set/Get the handle representations used within the\n vtkBiDimensionalRepresentation2D. (Note: properties can be set by\n grabbing these representations and setting the properties\n appropriately.)\n"},
  {(char*)"GetPoint2Representation",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint2Representation, 1,
   (char*)"V.GetPoint2Representation() -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *GetPoint2Representation ();\n\n Set/Get the handle representations used within the\n vtkBiDimensionalRepresentation2D. (Note: properties can be set by\n grabbing these representations and setting the properties\n appropriately.)\n"},
  {(char*)"GetPoint3Representation",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint3Representation, 1,
   (char*)"V.GetPoint3Representation() -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *GetPoint3Representation ();\n\n Set/Get the handle representations used within the\n vtkBiDimensionalRepresentation2D. (Note: properties can be set by\n grabbing these representations and setting the properties\n appropriately.)\n"},
  {(char*)"GetPoint4Representation",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetPoint4Representation, 1,
   (char*)"V.GetPoint4Representation() -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *GetPoint4Representation ();\n\n Set/Get the handle representations used within the\n vtkBiDimensionalRepresentation2D. (Note: properties can be set by\n grabbing these representations and setting the properties\n appropriately.)\n"},
  {(char*)"GetLineProperty",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetLineProperty, 1,
   (char*)"V.GetLineProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetLineProperty ();\n\n Retrieve the property used to control the appearance of the two\n orthogonal lines.\n"},
  {(char*)"GetSelectedLineProperty",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetSelectedLineProperty, 1,
   (char*)"V.GetSelectedLineProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetSelectedLineProperty ();\n\n Retrieve the property used to control the appearance of the two\n orthogonal lines.\n"},
  {(char*)"GetTextProperty",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetTextProperty, 1,
   (char*)"V.GetTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTextProperty ();\n\n Retrieve the property used to control the appearance of the text\n labels.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetTolerance, 1,
   (char*)"V.SetTolerance(int)\nC++: void SetTolerance (int );\n\n The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> int\nC++: int GetToleranceMinValue ();\n\n The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> int\nC++: int GetToleranceMaxValue ();\n\n The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetTolerance, 1,
   (char*)"V.GetTolerance() -> int\nC++: int GetTolerance ();\n\n The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n"},
  {(char*)"GetLength1",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetLength1, 1,
   (char*)"V.GetLength1() -> float\nC++: virtual double GetLength1 ();\n\n Return the length of the line defined by (Point1,Point2). This is the\n distance in the world coordinate system.\n"},
  {(char*)"GetLength2",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetLength2, 1,
   (char*)"V.GetLength2() -> float\nC++: virtual double GetLength2 ();\n\n Return the length of the line defined by (Point3,Point4). This is the\n distance in the world coordinate system.\n"},
  {(char*)"SetLabelFormat",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetLabelFormat, 1,
   (char*)"V.SetLabelFormat(string)\nC++: void SetLabelFormat (char *);\n\n Specify the format to use for labelling the distance. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the distance value.\n"},
  {(char*)"GetLabelFormat",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetLabelFormat, 1,
   (char*)"V.GetLabelFormat() -> string\nC++: char *GetLabelFormat ();\n\n Specify the format to use for labelling the distance. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the distance value.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"StartWidgetDefinition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_StartWidgetDefinition, 1,
   (char*)"V.StartWidgetDefinition((float, float))\nC++: virtual void StartWidgetDefinition (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"Point2WidgetInteraction",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_Point2WidgetInteraction, 1,
   (char*)"V.Point2WidgetInteraction((float, float))\nC++: virtual void Point2WidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"Point3WidgetInteraction",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_Point3WidgetInteraction, 1,
   (char*)"V.Point3WidgetInteraction((float, float))\nC++: virtual void Point3WidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"StartWidgetManipulation",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_StartWidgetManipulation, 1,
   (char*)"V.StartWidgetManipulation((float, float))\nC++: virtual void StartWidgetManipulation (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"Highlight",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_Highlight, 1,
   (char*)"V.Highlight(int)\nC++: virtual void Highlight (int highlightOn);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *w);\n\n Methods required by vtkProp superclass.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n Methods required by vtkProp superclass.\n"},
  {(char*)"SetShowLabelAboveWidget",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetShowLabelAboveWidget, 1,
   (char*)"V.SetShowLabelAboveWidget(int)\nC++: void SetShowLabelAboveWidget (int );\n\n Toggle whether to display the label above or below the widget.\n Defaults to 1.\n"},
  {(char*)"GetShowLabelAboveWidget",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetShowLabelAboveWidget, 1,
   (char*)"V.GetShowLabelAboveWidget() -> int\nC++: int GetShowLabelAboveWidget ();\n\n Toggle whether to display the label above or below the widget.\n Defaults to 1.\n"},
  {(char*)"ShowLabelAboveWidgetOn",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_ShowLabelAboveWidgetOn, 1,
   (char*)"V.ShowLabelAboveWidgetOn()\nC++: void ShowLabelAboveWidgetOn ();\n\n Toggle whether to display the label above or below the widget.\n Defaults to 1.\n"},
  {(char*)"ShowLabelAboveWidgetOff",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_ShowLabelAboveWidgetOff, 1,
   (char*)"V.ShowLabelAboveWidgetOff()\nC++: void ShowLabelAboveWidgetOff ();\n\n Toggle whether to display the label above or below the widget.\n Defaults to 1.\n"},
  {(char*)"SetID",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_SetID, 1,
   (char*)"V.SetID(int)\nC++: void SetID (unsigned long id);\n\n Set/get the id to display in the label.\n"},
  {(char*)"GetID",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetID, 1,
   (char*)"V.GetID() -> int\nC++: long unsigned GetID ();\n\n Set/get the id to display in the label.\n"},
  {(char*)"GetLabelText",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetLabelText, 1,
   (char*)"V.GetLabelText() -> string\nC++: char *GetLabelText ();\n\n Get the text shown in the widget's label.\n"},
  {(char*)"GetLabelPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetLabelPosition, 1,
   (char*)"V.GetLabelPosition((float, float, float))\nC++: void GetLabelPosition (double pos[3]);\n\n Get the position of the widget's label in display coordinates.\n"},
  {(char*)"GetWorldLabelPosition",                (PyCFunction)PyvtkBiDimensionalRepresentation2D_GetWorldLabelPosition, 1,
   (char*)"V.GetWorldLabelPosition((float, float, float))\nC++: void GetWorldLabelPosition (double pos[3]);\n\n Get the position of the widget's label in display coordinates.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBiDimensionalRepresentation2DDoc[] = {
  (char*)"vtkBiDimensionalRepresentation2D - represent the vtkBiDimensionalWidget\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" The vtkBiDimensionalRepresentation2D is used to represent the\n bi-dimensional measure in a 2D (overlay) context. This representation\n consists of two perpendicular lines defined by four\n vtkHandleRepresentations. The four handles can be independently\n manipulated consistent with the orthogonal constraint on the lines. (Note:\n the four points are referred to as Point1, Point2, Point3 and\n Point4. ",
  (char*)"Point1 and Point2 define the first line; and Point3 and Point4\n define the second orthogonal line.)\n\n To create this widget, you click to place the first two points. The third\n point is mirrored with the fourth point; when you place the third point\n (which is orthogonal to the lined defined by the first two points), the\n fourth point is dropped as well. After definition, the four points can be\n mo",
  (char*)"ved (in constrained fashion, preserving orthogonality). Further, the\n entire widget can be translated by grabbing the center point of the widget;\n each line can be moved along the other line; and the entire widget can be\n rotated around its center point.\n\n",
  "See Also:\n\n vtkAngleWidget vtkHandleRepresentation vtkBiDimensionalRepresentation2D\n\n",
  NULL
};

static vtkObjectBase *vtkBiDimensionalRepresentation2DStaticNew()
{
  return vtkBiDimensionalRepresentation2D::New();
}

PyObject *PyVTKClass_vtkBiDimensionalRepresentation2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkBiDimensionalRepresentation2DStaticNew,
                        PyvtkBiDimensionalRepresentation2DMethods,
                        (char*)"vtkBiDimensionalRepresentation2D",modulename,
                        (char**)vtkBiDimensionalRepresentation2DDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

