// python wrapper for vtkBiDimensionalWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBiDimensionalWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBiDimensionalWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBiDimensionalWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkBiDimensionalWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalWidget *op;

  const char    *temp20;
  op = (vtkBiDimensionalWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkBiDimensionalWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalWidget *op;

  vtkBiDimensionalWidget  *temp20;
  op = (vtkBiDimensionalWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBiDimensionalWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBiDimensionalWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBiDimensionalWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalWidget *op;

  int      temp0;
  op = (vtkBiDimensionalWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalWidget *op;

  vtkBiDimensionalRepresentation2D  *temp0;
  PyObject *tempH0;
  op = (vtkBiDimensionalWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkBiDimensionalRepresentation2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkBiDimensionalRepresentation2D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkBiDimensionalWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalWidget *op;

  op = (vtkBiDimensionalWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalWidget_IsMeasureValid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalWidget *op;

  int      temp20;
  op = (vtkBiDimensionalWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiDimensionalWidget::IsMeasureValid();
      }
    else
      {
      temp20 = op->IsMeasureValid();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiDimensionalWidget_SetProcessEvents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiDimensionalWidget *op;

  int      temp0;
  op = (vtkBiDimensionalWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiDimensionalWidget::SetProcessEvents(temp0);
      }
    else
      {
      op->SetProcessEvents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBiDimensionalWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBiDimensionalWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBiDimensionalWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for a VTK class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBiDimensionalWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBiDimensionalWidget\nC++: vtkBiDimensionalWidget *NewInstance ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBiDimensionalWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBiDimensionalWidget\nC++: vtkBiDimensionalWidget *SafeDownCast (vtkObject* o);\n\n Standard methods for a VTK class.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkBiDimensionalWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n The method for activiating and deactiviating this widget. This method\n must be overridden because it is a composite widget and does more than\n its superclasses' vtkAbstractWidget::SetEnabled() method.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkBiDimensionalWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkBiDimensionalRepresentation2D)\nC++: void SetRepresentation (vtkBiDimensionalRepresentation2D *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkBiDimensionalWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {(char*)"IsMeasureValid",                (PyCFunction)PyvtkBiDimensionalWidget_IsMeasureValid, 1,
   (char*)"V.IsMeasureValid() -> int\nC++: int IsMeasureValid ();\n\n A flag indicates whether the bi-dimensional measure is valid. The widget\n becomes valid after two of the four points are placed.\n"},
  {(char*)"SetProcessEvents",                (PyCFunction)PyvtkBiDimensionalWidget_SetProcessEvents, 1,
   (char*)"V.SetProcessEvents(int)\nC++: virtual void SetProcessEvents (int );\n\n Methods to change the whether the widget responds to interaction.\n Overridden to pass the state to component widgets.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBiDimensionalWidgetDoc[] = {
  (char*)"vtkBiDimensionalWidget - measure the bi-dimensional lengths of an object \n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkBiDimensionalWidget is used to measure the bi-dimensional length of\n an object. The bi-dimensional measure is defined by two finite,\n orthogonal lines that intersect within the finite extent of both lines.\n The lengths of these two lines gives the bi-dimensional measure. Each line\n is defined by two handle widgets at the end points of each line.\n\n The orthognal constraint on the two lines ",
  (char*)"limits how the four end points\n can be positioned. The first two points can be placed arbitrarily to\n define the first line (similar to vtkDistanceWidget). The placement of the\n third point is limited by the finite extent of the first line. As the\n third point is placed, the fourth point is placed on the opposite side of\n the first line. Once the third point is placed, the second line is defined\n ",
  (char*)"since the fourth point is defined at the same time, but the fourth point\n can be moved along the second line (i.e., maintaining the orthogonal\n relationship between the two lines). Onced defined, any of the four points\n can be moved along their constraint lines. Also, each line can be translated\n along the other line (in an orthogonal direction), and the whole\n bi-dimensional widget can be rotated",
  (char*)" about its center point (see the description\n of the event bindings). Finally, selecting the point where the two orthogonal\n axes intersect, the entire widget can be translated in any direction.\n\n Placement of any point results in a special PlacePointEvent invocation so\n that special operations may be performed to reposition the point. Motion\n of any point, moving the lines, or rotating the widget",
  (char*)" cause\n InteractionEvents to be invoked. Note that the widget has two fundamental\n modes: a define mode (when initially placing the points) and a manipulate\n mode (after the points are placed). Line translation and rotation are only\n possible in manipulate mode.\n \n To use this widget, specify an instance of vtkBiDimensionalWidget and a\n representation (e.g., vtkBiDimensionalRepresentation2D). The ",
  (char*)"widget is\n implemented using four instances of vtkHandleWidget which are used to\n position the end points of the two intersecting lines. The representations\n for these handle widgets are provided by the\n vtkBiDimensionalRepresentation2D class.\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n ",
  (char*)"<pre>\n   LeftButtonPressEvent - define a point or manipulate a handle, line,\n                          perform rotation or translate the widget.\n   MouseMoveEvent - position the points, move a line, rotate or translate the widget\n   LeftButtonReleaseEvent - release the selected handle and end interaction\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkW",
  (char*)"idgetEventTranslator. This class translates VTK events \n into the vtkBiDimensionalWidget's widget events:\n <pre>\n   vtkWidgetEvent::AddPoint -- (In Define mode:) Add one point; depending on the \n                               state it may the first, second, third or fourth \n                               point added. (In Manipulate mode:) If near a handle, \n                               select th",
  (char*)"e handle. Or if near a line, select the line.\n   vtkWidgetEvent::Move -- (In Define mode:) Position the second, third or fourth \n                           point. (In Manipulate mode:) Move the handle, line or widget.\n   vtkWidgetEvent::EndSelect -- the manipulation process has completed.\n </pre>\n\n This widget invokes the following VTK events on itself (which observers\n can listen for):\n <pre>\n   ",
  (char*)"vtkCommand::StartInteractionEvent (beginning to interact)\n   vtkCommand::EndInteractionEvent (completing interaction)\n   vtkCommand::InteractionEvent (moving a handle, line or performing rotation)\n   vtkCommand::PlacePointEvent (after a point is positioned; \n                                call data includes handle id (0,1,2,4))\n </pre>\n\n",
  "See Also:\n\n vtkHandleWidget vtkDistanceWidget\n\n",
  NULL
};

static vtkObjectBase *vtkBiDimensionalWidgetStaticNew()
{
  return vtkBiDimensionalWidget::New();
}

PyObject *PyVTKClass_vtkBiDimensionalWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkBiDimensionalWidgetStaticNew,
                        PyvtkBiDimensionalWidgetMethods,
                        (char*)"vtkBiDimensionalWidget",modulename,
                        (char**)vtkBiDimensionalWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

