// python wrapper for vtkBorderRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBorderRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBorderRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBorderRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkBorderRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  const char    *temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  vtkBorderRepresentation  *temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBorderRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBorderRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetPositionCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  vtkCoordinate  *temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetPositionCoordinate();
      }
    else
      {
      temp20 = op->GetPositionCoordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  double   temp0;
  double   temp1;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetPosition(temp0,temp1);
      }
    else
      {
      op->SetPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  double  *temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetPosition2Coordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  vtkCoordinate  *temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetPosition2Coordinate();
      }
    else
      {
      temp20 = op->GetPosition2Coordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SetPosition2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  double   temp0;
  double   temp1;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetPosition2(temp0,temp1);
      }
    else
      {
      op->SetPosition2(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetPosition2(temp0);
      }
    else
      {
      op->SetPosition2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetPosition2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  double  *temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetPosition2();
      }
    else
      {
      temp20 = op->GetPosition2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SetShowBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp0;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetShowBorder(temp0);
      }
    else
      {
      op->SetShowBorder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetShowBorderMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetShowBorderMinValue();
      }
    else
      {
      temp20 = op->GetShowBorderMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetShowBorderMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetShowBorderMaxValue();
      }
    else
      {
      temp20 = op->GetShowBorderMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetShowBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetShowBorder();
      }
    else
      {
      temp20 = op->GetShowBorder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SetShowBorderToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetShowBorderToOff();
      }
    else
      {
      op->SetShowBorderToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SetShowBorderToOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetShowBorderToOn();
      }
    else
      {
      op->SetShowBorderToOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SetShowBorderToActive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetShowBorderToActive();
      }
    else
      {
      op->SetShowBorderToActive();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetBorderProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  vtkProperty2D  *temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetBorderProperty();
      }
    else
      {
      temp20 = op->GetBorderProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SetProportionalResize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp0;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetProportionalResize(temp0);
      }
    else
      {
      op->SetProportionalResize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetProportionalResize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetProportionalResize();
      }
    else
      {
      temp20 = op->GetProportionalResize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_ProportionalResizeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::ProportionalResizeOn();
      }
    else
      {
      op->ProportionalResizeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_ProportionalResizeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::ProportionalResizeOff();
      }
    else
      {
      op->ProportionalResizeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SetMinimumSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp0;
  int      temp1;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetMinimumSize(temp0,temp1);
      }
    else
      {
      op->SetMinimumSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetMinimumSize(temp0);
      }
    else
      {
      op->SetMinimumSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetMinimumSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int     *temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetMinimumSize();
      }
    else
      {
      temp20 = op->GetMinimumSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SetMaximumSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp0;
  int      temp1;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetMaximumSize(temp0,temp1);
      }
    else
      {
      op->SetMaximumSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetMaximumSize(temp0);
      }
    else
      {
      op->SetMaximumSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetMaximumSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int     *temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetMaximumSize();
      }
    else
      {
      temp20 = op->GetMaximumSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp0;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetSelectionPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  double  *temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetSelectionPoint();
      }
    else
      {
      temp20 = op->GetSelectionPoint();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_SetMoving(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp0;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::SetMoving(temp0);
      }
    else
      {
      op->SetMoving(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetMoving(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::GetMoving();
      }
    else
      {
      temp20 = op->GetMoving();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_MovingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::MovingOn();
      }
    else
      {
      op->MovingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_MovingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::MovingOff();
      }
    else
      {
      op->MovingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  double temp0[2];
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  double temp0[2];
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  double temp0[2];
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::GetSize(temp0);
      }
    else
      {
      op->GetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break44;
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break44:
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break46;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break46:
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break47;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break47:
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break48;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break48:
  return NULL;
}


static PyObject *PyvtkBorderRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderRepresentation *op;

  int      temp20;
  op = (vtkBorderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBorderRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBorderRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Define standard methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBorderRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Define standard methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBorderRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBorderRepresentation\nC++: vtkBorderRepresentation *NewInstance ();\n\n Define standard methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBorderRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBorderRepresentation\nC++: vtkBorderRepresentation *SafeDownCast (vtkObject* o);\n\n Define standard methods.\n"},
  {(char*)"GetPositionCoordinate",                (PyCFunction)PyvtkBorderRepresentation_GetPositionCoordinate, 1,
   (char*)"V.GetPositionCoordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetPositionCoordinate ();\n\n Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding rectangle. Also,\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkBorderRepresentation_SetPosition, 1,
   (char*)"V.SetPosition(float, float)\nC++: void SetPosition (double, double);\nV.SetPosition((float, float))\nC++: void SetPosition (double a[2]);\n\n Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding rectangle. Also,\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkBorderRepresentation_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float)\nC++: double *GetPosition ();\n\n Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding rectangle. Also,\n"},
  {(char*)"GetPosition2Coordinate",                (PyCFunction)PyvtkBorderRepresentation_GetPosition2Coordinate, 1,
   (char*)"V.GetPosition2Coordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetPosition2Coordinate ();\n\n Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding rectangle. Also,\n"},
  {(char*)"SetPosition2",                (PyCFunction)PyvtkBorderRepresentation_SetPosition2, 1,
   (char*)"V.SetPosition2(float, float)\nC++: void SetPosition2 (double, double);\nV.SetPosition2((float, float))\nC++: void SetPosition2 (double a[2]);\n\n Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding rectangle. Also,\n"},
  {(char*)"GetPosition2",                (PyCFunction)PyvtkBorderRepresentation_GetPosition2, 1,
   (char*)"V.GetPosition2() -> (float, float)\nC++: double *GetPosition2 ();\n\n Specify opposite corners of the box defining the boundary of the\n widget. By default, these coordinates are in the normalized viewport\n coordinate system, with Position the lower left of the outline, and\n Position2 relative to Position. Note that using these methods are\n affected by the ProportionalResize flag. That is, if the aspect ratio of\n the representation is to be preserved (e.g., ProportionalResize is on),\n then the rectangle (Position,Position2) is a bounding rectangle. Also,\n"},
  {(char*)"SetShowBorder",                (PyCFunction)PyvtkBorderRepresentation_SetShowBorder, 1,
   (char*)"V.SetShowBorder(int)\nC++: void SetShowBorder (int );\n\n Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n"},
  {(char*)"GetShowBorderMinValue",                (PyCFunction)PyvtkBorderRepresentation_GetShowBorderMinValue, 1,
   (char*)"V.GetShowBorderMinValue() -> int\nC++: int GetShowBorderMinValue ();\n\n Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n"},
  {(char*)"GetShowBorderMaxValue",                (PyCFunction)PyvtkBorderRepresentation_GetShowBorderMaxValue, 1,
   (char*)"V.GetShowBorderMaxValue() -> int\nC++: int GetShowBorderMaxValue ();\n\n Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n"},
  {(char*)"GetShowBorder",                (PyCFunction)PyvtkBorderRepresentation_GetShowBorder, 1,
   (char*)"V.GetShowBorder() -> int\nC++: int GetShowBorder ();\n\n Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n"},
  {(char*)"SetShowBorderToOff",                (PyCFunction)PyvtkBorderRepresentation_SetShowBorderToOff, 1,
   (char*)"V.SetShowBorderToOff()\nC++: void SetShowBorderToOff ();this SetShowBorder BORDER_OFF \n\n Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n"},
  {(char*)"SetShowBorderToOn",                (PyCFunction)PyvtkBorderRepresentation_SetShowBorderToOn, 1,
   (char*)"V.SetShowBorderToOn()\nC++: void SetShowBorderToOn ();this SetShowBorder BORDER_ON \n\n Specify when and if the border should appear. If ShowBorder is \"on\",\n then the border will always appear. If ShowBorder is \"off\" then the\n border will never appear.  If ShowBorder is \"active\" then the border\n will appear when the mouse pointer enters the region bounded by the\n border widget.\n"},
  {(char*)"SetShowBorderToActive",                (PyCFunction)PyvtkBorderRepresentation_SetShowBorderToActive, 1,
   (char*)"V.SetShowBorderToActive()\nC++: void SetShowBorderToActive ();this SetShowBorder BORDER_ACTIVE \n\n Specify the properties of the border.\n"},
  {(char*)"GetBorderProperty",                (PyCFunction)PyvtkBorderRepresentation_GetBorderProperty, 1,
   (char*)"V.GetBorderProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetBorderProperty ();\n\n Specify the properties of the border.\n"},
  {(char*)"SetProportionalResize",                (PyCFunction)PyvtkBorderRepresentation_SetProportionalResize, 1,
   (char*)"V.SetProportionalResize(int)\nC++: void SetProportionalResize (int );\n\n Indicate whether resizing operations should keep the x-y directions\n proportional to one another. Also, if ProportionalResize is on, then\n the rectangle (Position,Position2) is a bounding rectangle, and the\n representation will be placed in the rectangle in such a way as to \n preserve the aspect ratio of the representation.\n"},
  {(char*)"GetProportionalResize",                (PyCFunction)PyvtkBorderRepresentation_GetProportionalResize, 1,
   (char*)"V.GetProportionalResize() -> int\nC++: int GetProportionalResize ();\n\n Indicate whether resizing operations should keep the x-y directions\n proportional to one another. Also, if ProportionalResize is on, then\n the rectangle (Position,Position2) is a bounding rectangle, and the\n representation will be placed in the rectangle in such a way as to \n preserve the aspect ratio of the representation.\n"},
  {(char*)"ProportionalResizeOn",                (PyCFunction)PyvtkBorderRepresentation_ProportionalResizeOn, 1,
   (char*)"V.ProportionalResizeOn()\nC++: void ProportionalResizeOn ();\n\n Indicate whether resizing operations should keep the x-y directions\n proportional to one another. Also, if ProportionalResize is on, then\n the rectangle (Position,Position2) is a bounding rectangle, and the\n representation will be placed in the rectangle in such a way as to \n preserve the aspect ratio of the representation.\n"},
  {(char*)"ProportionalResizeOff",                (PyCFunction)PyvtkBorderRepresentation_ProportionalResizeOff, 1,
   (char*)"V.ProportionalResizeOff()\nC++: void ProportionalResizeOff ();\n\n Indicate whether resizing operations should keep the x-y directions\n proportional to one another. Also, if ProportionalResize is on, then\n the rectangle (Position,Position2) is a bounding rectangle, and the\n representation will be placed in the rectangle in such a way as to \n preserve the aspect ratio of the representation.\n"},
  {(char*)"SetMinimumSize",                (PyCFunction)PyvtkBorderRepresentation_SetMinimumSize, 1,
   (char*)"V.SetMinimumSize(int, int)\nC++: void SetMinimumSize (int , int );\nV.SetMinimumSize((int, int))\nC++: void SetMinimumSize (int  a[2]);\n\n Specify a minimum and/or maximum size (in pixels) that this representation\n can take. These methods require two values: size values in the x and y\n directions, respectively.\n"},
  {(char*)"GetMinimumSize",                (PyCFunction)PyvtkBorderRepresentation_GetMinimumSize, 1,
   (char*)"V.GetMinimumSize() -> (int, int)\nC++: int  *GetMinimumSize ();\n\n Specify a minimum and/or maximum size (in pixels) that this representation\n can take. These methods require two values: size values in the x and y\n directions, respectively.\n"},
  {(char*)"SetMaximumSize",                (PyCFunction)PyvtkBorderRepresentation_SetMaximumSize, 1,
   (char*)"V.SetMaximumSize(int, int)\nC++: void SetMaximumSize (int , int );\nV.SetMaximumSize((int, int))\nC++: void SetMaximumSize (int  a[2]);\n\n Specify a minimum and/or maximum size (in pixels) that this representation\n can take. These methods require two values: size values in the x and y\n directions, respectively.\n"},
  {(char*)"GetMaximumSize",                (PyCFunction)PyvtkBorderRepresentation_GetMaximumSize, 1,
   (char*)"V.GetMaximumSize() -> (int, int)\nC++: int  *GetMaximumSize ();\n\n Specify a minimum and/or maximum size (in pixels) that this representation\n can take. These methods require two values: size values in the x and y\n directions, respectively.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkBorderRepresentation_SetTolerance, 1,
   (char*)"V.SetTolerance(int)\nC++: void SetTolerance (int );\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkBorderRepresentation_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> int\nC++: int GetToleranceMinValue ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkBorderRepresentation_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> int\nC++: int GetToleranceMaxValue ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkBorderRepresentation_GetTolerance, 1,
   (char*)"V.GetTolerance() -> int\nC++: int GetTolerance ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n"},
  {(char*)"GetSelectionPoint",                (PyCFunction)PyvtkBorderRepresentation_GetSelectionPoint, 1,
   (char*)"V.GetSelectionPoint() -> (float, float)\nC++: double  *GetSelectionPoint ();\n\n After a selection event within the region interior to the border; the\n normalized selection coordinates may be obtained.\n"},
  {(char*)"SetMoving",                (PyCFunction)PyvtkBorderRepresentation_SetMoving, 1,
   (char*)"V.SetMoving(int)\nC++: void SetMoving (int );\n\n This is a modifier of the interaction state. When set, widget interaction\n allows the border (and stuff inside of it) to be translated with mouse\n motion.\n"},
  {(char*)"GetMoving",                (PyCFunction)PyvtkBorderRepresentation_GetMoving, 1,
   (char*)"V.GetMoving() -> int\nC++: int GetMoving ();\n\n This is a modifier of the interaction state. When set, widget interaction\n allows the border (and stuff inside of it) to be translated with mouse\n motion.\n"},
  {(char*)"MovingOn",                (PyCFunction)PyvtkBorderRepresentation_MovingOn, 1,
   (char*)"V.MovingOn()\nC++: void MovingOn ();\n\n This is a modifier of the interaction state. When set, widget interaction\n allows the border (and stuff inside of it) to be translated with mouse\n motion.\n"},
  {(char*)"MovingOff",                (PyCFunction)PyvtkBorderRepresentation_MovingOff, 1,
   (char*)"V.MovingOff()\nC++: void MovingOff ();\n\n This is a modifier of the interaction state. When set, widget interaction\n allows the border (and stuff inside of it) to be translated with mouse\n motion.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkBorderRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Subclasses should implement these methods. See the superclasses'\n documentation for more information.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkBorderRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);\n\n Subclasses should implement these methods. See the superclasses'\n documentation for more information.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkBorderRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]);\n\n Subclasses should implement these methods. See the superclasses'\n documentation for more information.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkBorderRepresentation_GetSize, 1,
   (char*)"V.GetSize((float, float))\nC++: virtual void GetSize (double size[2]);size size \n\n Subclasses should implement these methods. See the superclasses'\n documentation for more information.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkBorderRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n Subclasses should implement these methods. See the superclasses'\n documentation for more information.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkBorderRepresentation_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkBorderRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkBorderRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkBorderRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkBorderRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkBorderRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBorderRepresentationDoc[] = {
  (char*)"vtkBorderRepresentation - represent a vtkBorderWidget\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" This class is used to represent and render a vtBorderWidget. To\n use this class, you need to specify the two corners of a rectangular\n region.\n\n The class is typically subclassed so that specialized representations can\n be created.  The class defines an API and a default implementation that\n the vtkBorderRepresentation interacts with to render itself in the scene.\n\n",
  "Caveats:\n\n The separation of the widget event handling (e.g., vtkBorderWidget) from\n the representation (vtkBorderRepresentation) enables users and developers\n to create new appearances for the widget. It also facilitates parallel\n processing, where the client application handles events, and remote\n representations of the widget are slaves to the client (and do not handle\n events).\n\n",
  "See Also:\n\n vtkBorderWidget vtkTextWidget\n\n",
  NULL
};

static vtkObjectBase *vtkBorderRepresentationStaticNew()
{
  return vtkBorderRepresentation::New();
}

PyObject *PyVTKClass_vtkBorderRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkBorderRepresentationStaticNew,
                        PyvtkBorderRepresentationMethods,
                        (char*)"vtkBorderRepresentation",modulename,
                        (char**)vtkBorderRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

