// python wrapper for vtkBorderWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBorderWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBorderWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBorderWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkBorderWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  const char    *temp20;
  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  vtkBorderWidget  *temp20;
  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBorderWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBorderWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBorderWidget_SetSelectable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  int      temp0;
  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderWidget::SetSelectable(temp0);
      }
    else
      {
      op->SetSelectable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderWidget_GetSelectable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  int      temp20;
  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderWidget::GetSelectable();
      }
    else
      {
      temp20 = op->GetSelectable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderWidget_SelectableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderWidget::SelectableOn();
      }
    else
      {
      op->SelectableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderWidget_SelectableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderWidget::SelectableOff();
      }
    else
      {
      op->SelectableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderWidget_SetResizable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  int      temp0;
  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderWidget::SetResizable(temp0);
      }
    else
      {
      op->SetResizable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderWidget_GetResizable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  int      temp20;
  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBorderWidget::GetResizable();
      }
    else
      {
      temp20 = op->GetResizable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderWidget_ResizableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderWidget::ResizableOn();
      }
    else
      {
      op->ResizableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderWidget_ResizableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderWidget::ResizableOff();
      }
    else
      {
      op->ResizableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBorderWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  vtkBorderRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkBorderRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkBorderRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkBorderWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBorderWidget *op;

  op = (vtkBorderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBorderWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBorderWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBorderWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBorderWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBorderWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBorderWidget\nC++: vtkBorderWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBorderWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBorderWidget\nC++: vtkBorderWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSelectable",                (PyCFunction)PyvtkBorderWidget_SetSelectable, 1,
   (char*)"V.SetSelectable(int)\nC++: void SetSelectable (int );\n\n Indicate whether the interior region of the widget can be selected or\n not. If not, then events (such as left mouse down) allow the user to\n \"move\" the widget, and no selection is possible. Otherwise the\n SelectRegion() method is invoked.\n"},
  {(char*)"GetSelectable",                (PyCFunction)PyvtkBorderWidget_GetSelectable, 1,
   (char*)"V.GetSelectable() -> int\nC++: int GetSelectable ();\n\n Indicate whether the interior region of the widget can be selected or\n not. If not, then events (such as left mouse down) allow the user to\n \"move\" the widget, and no selection is possible. Otherwise the\n SelectRegion() method is invoked.\n"},
  {(char*)"SelectableOn",                (PyCFunction)PyvtkBorderWidget_SelectableOn, 1,
   (char*)"V.SelectableOn()\nC++: void SelectableOn ();\n\n Indicate whether the interior region of the widget can be selected or\n not. If not, then events (such as left mouse down) allow the user to\n \"move\" the widget, and no selection is possible. Otherwise the\n SelectRegion() method is invoked.\n"},
  {(char*)"SelectableOff",                (PyCFunction)PyvtkBorderWidget_SelectableOff, 1,
   (char*)"V.SelectableOff()\nC++: void SelectableOff ();\n\n Indicate whether the interior region of the widget can be selected or\n not. If not, then events (such as left mouse down) allow the user to\n \"move\" the widget, and no selection is possible. Otherwise the\n SelectRegion() method is invoked.\n"},
  {(char*)"SetResizable",                (PyCFunction)PyvtkBorderWidget_SetResizable, 1,
   (char*)"V.SetResizable(int)\nC++: void SetResizable (int );\n\n Indicate whether the boundary of the widget can be resized.\n If not, the cursor will not change to \"resize\" type when mouse\n over the boundary.\n"},
  {(char*)"GetResizable",                (PyCFunction)PyvtkBorderWidget_GetResizable, 1,
   (char*)"V.GetResizable() -> int\nC++: int GetResizable ();\n\n Indicate whether the boundary of the widget can be resized.\n If not, the cursor will not change to \"resize\" type when mouse\n over the boundary.\n"},
  {(char*)"ResizableOn",                (PyCFunction)PyvtkBorderWidget_ResizableOn, 1,
   (char*)"V.ResizableOn()\nC++: void ResizableOn ();\n\n Indicate whether the boundary of the widget can be resized.\n If not, the cursor will not change to \"resize\" type when mouse\n over the boundary.\n"},
  {(char*)"ResizableOff",                (PyCFunction)PyvtkBorderWidget_ResizableOff, 1,
   (char*)"V.ResizableOff()\nC++: void ResizableOff ();\n\n Indicate whether the boundary of the widget can be resized.\n If not, the cursor will not change to \"resize\" type when mouse\n over the boundary.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkBorderWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkBorderRepresentation)\nC++: void SetRepresentation (vtkBorderRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkBorderWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: virtual void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBorderWidgetDoc[] = {
  (char*)"vtkBorderWidget - place a border around a 2D rectangular region\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" This class is a superclass for 2D widgets that may require a rectangular\n border. Besides drawing a border, the widget provides methods for resizing\n and moving the rectangular region (and associated border). The widget\n provides methods and internal data members so that subclasses can take\n advantage of this widgets capabilities, requiring only that the subclass\n defines a \"representation\", i.e.",
  (char*)", some combination of props or actors\n that can be managed in the 2D rectangular region. \n\n The class defines basic positioning functionality, including the ability\n to size the widget with locked x/y proportions. The area within the border\n may be made \"selectable\" as well, meaning that a selection event interior\n to the widget invokes a virtual SelectRegion() method, which can be used\n to pick o",
  (char*)"bjects or otherwise manipulate data interior to the widget.\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n On the boundary of the widget:\n   LeftButtonPressEvent - select boundary\n   LeftButtonReleaseEvent - deselect boundary\n   MouseMoveEvent - move/resize widget depending on which ",
  (char*)"portion of the\n                    boundary was selected.\n On the interior of the widget:\n   LeftButtonPressEvent - invoke SelectButton() callback (if the ivar\n                          Selectable is on)\n Anywhere on the widget:\n   MiddleButtonPressEvent - move the widget\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class ",
  (char*)"translates VTK events \n into the vtkBorderWidget's widget events:\n <pre>\n   vtkWidgetEvent::Select -- some part of the widget has been selected\n   vtkWidgetEvent::EndSelect -- the selection process has completed\n   vtkWidgetEvent::Translate -- the widget is to be translated\n   vtkWidgetEvent::Move -- a request for slider motion has been invoked\n </pre>\n\n In turn, when these widget events are proce",
  (char*)"ssed, this widget invokes the\n following VTK events on itself (which observers can listen for):\n <pre>\n   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)\n   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)\n   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)\n </pre>\n\n",
  "See Also:\n\n vtkInteractorObserver vtkCameraInterpolator\n\n",
  NULL
};

static vtkObjectBase *vtkBorderWidgetStaticNew()
{
  return vtkBorderWidget::New();
}

PyObject *PyVTKClass_vtkBorderWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkBorderWidgetStaticNew,
                        PyvtkBorderWidgetMethods,
                        (char*)"vtkBorderWidget",modulename,
                        (char**)vtkBorderWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

