// python wrapper for vtkBoundedPlanePointPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoundedPlanePointPlacer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoundedPlanePointPlacerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoundedPlanePointPlacerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointPlacerNew(char *); }

static PyObject *PyvtkBoundedPlanePointPlacer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  const char    *temp20;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  vtkBoundedPlanePointPlacer  *temp20;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoundedPlanePointPlacer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoundedPlanePointPlacer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_SetProjectionNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  int      temp0;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::SetProjectionNormal(temp0);
      }
    else
      {
      op->SetProjectionNormal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_GetProjectionNormalMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  int      temp20;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::GetProjectionNormalMinValue();
      }
    else
      {
      temp20 = op->GetProjectionNormalMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_GetProjectionNormalMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  int      temp20;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::GetProjectionNormalMaxValue();
      }
    else
      {
      temp20 = op->GetProjectionNormalMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_GetProjectionNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  int      temp20;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::GetProjectionNormal();
      }
    else
      {
      temp20 = op->GetProjectionNormal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_SetProjectionNormalToXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::SetProjectionNormalToXAxis();
      }
    else
      {
      op->SetProjectionNormalToXAxis();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_SetProjectionNormalToYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::SetProjectionNormalToYAxis();
      }
    else
      {
      op->SetProjectionNormalToYAxis();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_SetProjectionNormalToZAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::SetProjectionNormalToZAxis();
      }
    else
      {
      op->SetProjectionNormalToZAxis();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_SetProjectionNormalToOblique(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::SetProjectionNormalToOblique();
      }
    else
      {
      op->SetProjectionNormalToOblique();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_SetObliquePlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::SetObliquePlane(temp0);
      }
    else
      {
      op->SetObliquePlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_SetProjectionPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  double   temp0;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::SetProjectionPosition(temp0);
      }
    else
      {
      op->SetProjectionPosition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_GetProjectionPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  double   temp20;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::GetProjectionPosition();
      }
    else
      {
      temp20 = op->GetProjectionPosition();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_AddBoundingPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::AddBoundingPlane(temp0);
      }
    else
      {
      op->AddBoundingPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_RemoveBoundingPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::RemoveBoundingPlane(temp0);
      }
    else
      {
      op->RemoveBoundingPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_RemoveAllBoundingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::RemoveAllBoundingPlanes();
      }
    else
      {
      op->RemoveAllBoundingPlanes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_SetBoundingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  vtkPlaneCollection  *temp0;
  PyObject *tempH0;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlaneCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlaneCollection");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::SetBoundingPlanes(temp0);
      }
    else
      {
      op->SetBoundingPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  vtkPlanes  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlanes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlanes");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoundedPlanePointPlacer::SetBoundingPlanes(temp0);
      }
    else
      {
      op->SetBoundingPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_GetBoundingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  vtkPlaneCollection  *temp20;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::GetBoundingPlanes();
      }
    else
      {
      temp20 = op->GetBoundingPlanes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_ComputeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3, temp3 + 4, temp3 + 5, temp3 + 6, temp3 + 7, temp3 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break21:
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, temp4 + 3, temp4 + 4, temp4 + 5, temp4 + 6, temp4 + 7, temp4 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_ValidateWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  double temp0[3];
  int      temp20;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::ValidateWorldPosition(temp0);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  double temp0[3];
  double temp1[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::ValidateWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoundedPlanePointPlacer_UpdateWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoundedPlanePointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[3];
  double temp2[9];
  int      temp20;
  op = (vtkBoundedPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoundedPlanePointPlacer::UpdateWorldPosition(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->UpdateWorldPosition(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break25:
  return NULL;
}

static PyMethodDef PyvtkBoundedPlanePointPlacerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoundedPlanePointPlacer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoundedPlanePointPlacer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoundedPlanePointPlacer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoundedPlanePointPlacer\nC++: vtkBoundedPlanePointPlacer *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoundedPlanePointPlacer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoundedPlanePointPlacer\nC++: vtkBoundedPlanePointPlacer *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetProjectionNormal",                (PyCFunction)PyvtkBoundedPlanePointPlacer_SetProjectionNormal, 1,
   (char*)"V.SetProjectionNormal(int)\nC++: void SetProjectionNormal (int );\n\n Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n"},
  {(char*)"GetProjectionNormalMinValue",                (PyCFunction)PyvtkBoundedPlanePointPlacer_GetProjectionNormalMinValue, 1,
   (char*)"V.GetProjectionNormalMinValue() -> int\nC++: int GetProjectionNormalMinValue ();\n\n Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n"},
  {(char*)"GetProjectionNormalMaxValue",                (PyCFunction)PyvtkBoundedPlanePointPlacer_GetProjectionNormalMaxValue, 1,
   (char*)"V.GetProjectionNormalMaxValue() -> int\nC++: int GetProjectionNormalMaxValue ();\n\n Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n"},
  {(char*)"GetProjectionNormal",                (PyCFunction)PyvtkBoundedPlanePointPlacer_GetProjectionNormal, 1,
   (char*)"V.GetProjectionNormal() -> int\nC++: int GetProjectionNormal ();\n\n Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n"},
  {(char*)"SetProjectionNormalToXAxis",                (PyCFunction)PyvtkBoundedPlanePointPlacer_SetProjectionNormalToXAxis, 1,
   (char*)"V.SetProjectionNormalToXAxis()\nC++: void SetProjectionNormalToXAxis ();this SetProjectionNormal vtkBoundedPlanePointPlacer XAxis \n\n Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n"},
  {(char*)"SetProjectionNormalToYAxis",                (PyCFunction)PyvtkBoundedPlanePointPlacer_SetProjectionNormalToYAxis, 1,
   (char*)"V.SetProjectionNormalToYAxis()\nC++: void SetProjectionNormalToYAxis ();this SetProjectionNormal vtkBoundedPlanePointPlacer YAxis \n\n Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n"},
  {(char*)"SetProjectionNormalToZAxis",                (PyCFunction)PyvtkBoundedPlanePointPlacer_SetProjectionNormalToZAxis, 1,
   (char*)"V.SetProjectionNormalToZAxis()\nC++: void SetProjectionNormalToZAxis ();this SetProjectionNormal vtkBoundedPlanePointPlacer ZAxis \n\n Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n"},
  {(char*)"SetProjectionNormalToOblique",                (PyCFunction)PyvtkBoundedPlanePointPlacer_SetProjectionNormalToOblique, 1,
   (char*)"V.SetProjectionNormalToOblique()\nC++: void SetProjectionNormalToOblique ();this SetProjectionNormal vtkBoundedPlanePointPlacer Oblique \n\n If the ProjectionNormal is set to Oblique, then this is the \n oblique plane used to constrain the handle position.\n"},
  {(char*)"SetObliquePlane",                (PyCFunction)PyvtkBoundedPlanePointPlacer_SetObliquePlane, 1,
   (char*)"V.SetObliquePlane(vtkPlane)\nC++: void SetObliquePlane (vtkPlane *);\n\n If the ProjectionNormal is set to Oblique, then this is the \n oblique plane used to constrain the handle position.\n"},
  {(char*)"SetProjectionPosition",                (PyCFunction)PyvtkBoundedPlanePointPlacer_SetProjectionPosition, 1,
   (char*)"V.SetProjectionPosition(float)\nC++: void SetProjectionPosition (double position);\n\n The position of the bounding plane from the origin along the\n normal. The origin and normal are defined in the oblique plane\n when the ProjectionNormal is oblique. For the X, Y, and Z\n axes projection normals, the normal is the axis direction, and\n the origin is (0,0,0).\n"},
  {(char*)"GetProjectionPosition",                (PyCFunction)PyvtkBoundedPlanePointPlacer_GetProjectionPosition, 1,
   (char*)"V.GetProjectionPosition() -> float\nC++: double GetProjectionPosition ();\n\n The position of the bounding plane from the origin along the\n normal. The origin and normal are defined in the oblique plane\n when the ProjectionNormal is oblique. For the X, Y, and Z\n axes projection normals, the normal is the axis direction, and\n the origin is (0,0,0).\n"},
  {(char*)"AddBoundingPlane",                (PyCFunction)PyvtkBoundedPlanePointPlacer_AddBoundingPlane, 1,
   (char*)"V.AddBoundingPlane(vtkPlane)\nC++: void AddBoundingPlane (vtkPlane *plane);\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"RemoveBoundingPlane",                (PyCFunction)PyvtkBoundedPlanePointPlacer_RemoveBoundingPlane, 1,
   (char*)"V.RemoveBoundingPlane(vtkPlane)\nC++: void RemoveBoundingPlane (vtkPlane *plane);\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"RemoveAllBoundingPlanes",                (PyCFunction)PyvtkBoundedPlanePointPlacer_RemoveAllBoundingPlanes, 1,
   (char*)"V.RemoveAllBoundingPlanes()\nC++: void RemoveAllBoundingPlanes ();\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"SetBoundingPlanes",                (PyCFunction)PyvtkBoundedPlanePointPlacer_SetBoundingPlanes, 1,
   (char*)"V.SetBoundingPlanes(vtkPlaneCollection)\nC++: virtual void SetBoundingPlanes (vtkPlaneCollection *);\nV.SetBoundingPlanes(vtkPlanes)\nC++: void SetBoundingPlanes (vtkPlanes *planes);\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"GetBoundingPlanes",                (PyCFunction)PyvtkBoundedPlanePointPlacer_GetBoundingPlanes, 1,
   (char*)"V.GetBoundingPlanes() -> vtkPlaneCollection\nC++: vtkPlaneCollection *GetBoundingPlanes ();\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"ComputeWorldPosition",                (PyCFunction)PyvtkBoundedPlanePointPlacer_ComputeWorldPosition, 1,
   (char*)"V.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]);\nV.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]);\n\n Given a renderer and a display position, compute the \n world position and world orientation for this point. \n A plane is defined by a combination of the\n ProjectionNormal, ProjectionOrigin, and ObliquePlane\n ivars. The display position is projected onto this\n plane to determine a world position, and the \n orientation is set to the normal of the plane. If\n the point cannot project onto the plane or if it\n falls outside the bounds imposed by the\n BoundingPlanes, then 0 is returned, otherwise 1 is\n returned to indicate a valid return position and\n orientation.\n"},
  {(char*)"ValidateWorldPosition",                (PyCFunction)PyvtkBoundedPlanePointPlacer_ValidateWorldPosition, 1,
   (char*)"V.ValidateWorldPosition((float, float, float)) -> int\nC++: int ValidateWorldPosition (double worldPos[3]);\nV.ValidateWorldPosition((float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int ValidateWorldPosition (double worldPos[3], double worldOrient[9]);\n\n Give a world position check if it is valid - does\n it lie on the plane and within the bounds? Returns\n 1 if it is valid, 0 otherwise.\n"},
  {(char*)"UpdateWorldPosition",                (PyCFunction)PyvtkBoundedPlanePointPlacer_UpdateWorldPosition, 1,
   (char*)"V.UpdateWorldPosition(vtkRenderer, (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int UpdateWorldPosition (vtkRenderer *ren, double worldPos[3], double worldOrient[9]);\n\n If the constraints on this placer are changed, then\n this method will be called by the representation on\n each of its points. For this placer, the world\n position will be converted to a display position, then\n ComputeWorldPosition will be used to update the \n point.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoundedPlanePointPlacerDoc[] = {
  (char*)"vtkBoundedPlanePointPlacer - a placer that constrains a handle to a finite plane\n\n",
  "Super Class:\n\n vtkPointPlacer\n\n",
  (char*)" vtkBoundedPlanePointPlacer is a type of point placer that constrains its\n points to a finite (i.e., bounded) plance.\n\n\n",
  "See Also:\n\n vtkPointPlacer vtkHandleWidget vtkHandleRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkBoundedPlanePointPlacerStaticNew()
{
  return vtkBoundedPlanePointPlacer::New();
}

PyObject *PyVTKClass_vtkBoundedPlanePointPlacerNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoundedPlanePointPlacerStaticNew,
                        PyvtkBoundedPlanePointPlacerMethods,
                        (char*)"vtkBoundedPlanePointPlacer",modulename,
                        (char**)vtkBoundedPlanePointPlacerDoc,
                        PyVTKClass_vtkPointPlacerNew(modulename));
}

