// tcl wrapper for vtkBoundedPlanePointPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoundedPlanePointPlacer.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBoundedPlanePointPlacerNewCommand()
{
  vtkBoundedPlanePointPlacer *temp = vtkBoundedPlanePointPlacer::New();
  return static_cast<ClientData>(temp);
}

int vtkPointPlacerCppCommand(vtkPointPlacer *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBoundedPlanePointPlacerCppCommand(vtkBoundedPlanePointPlacer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBoundedPlanePointPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBoundedPlanePointPlacerCppCommand(static_cast<vtkBoundedPlanePointPlacer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBoundedPlanePointPlacerCppCommand(vtkBoundedPlanePointPlacer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBoundedPlanePointPlacer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPointPlacerCppCommand(static_cast<vtkPointPlacer *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPointPlacer"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBoundedPlanePointPlacer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoundedPlanePointPlacer");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBoundedPlanePointPlacer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoundedPlanePointPlacer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBoundedPlanePointPlacer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoundedPlanePointPlacer");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProjectionNormal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProjectionNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionNormalMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormalMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionNormalMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormalMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionNormal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToXAxis",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToXAxis();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToYAxis",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToYAxis();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToZAxis",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToZAxis();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToOblique",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToOblique();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetObliquePlane",argv[1]))&&(argc == 3))
    {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
    {
    op->SetObliquePlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProjectionPosition",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetProjectionPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionPosition",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProjectionPosition();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddBoundingPlane",argv[1]))&&(argc == 3))
    {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
    {
    op->AddBoundingPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveBoundingPlane",argv[1]))&&(argc == 3))
    {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
    {
    op->RemoveBoundingPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllBoundingPlanes",argv[1]))&&(argc == 2))
    {
    op->RemoveAllBoundingPlanes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundingPlanes",argv[1]))&&(argc == 3))
    {
    vtkPlaneCollection  *temp0;
    error = 0;

    temp0 = (vtkPlaneCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlaneCollection"),interp,error));
    if (!error)
    {
    op->SetBoundingPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundingPlanes",argv[1]))&&(argc == 2))
    {
    vtkPlaneCollection  *temp20;
    temp20 = (op)->GetBoundingPlanes();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlaneCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetBoundingPlanes",argv[1]))&&(argc == 3))
    {
    vtkPlanes  *temp0;
    error = 0;

    temp0 = (vtkPlanes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlanes"),interp,error));
    if (!error)
    {
    op->SetBoundingPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ValidateWorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->ValidateWorldPosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBoundedPlanePointPlacerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPointPlacerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBoundedPlanePointPlacer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormalMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormalMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToXAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToYAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToZAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToOblique\n",NULL);
    Tcl_AppendResult(interp,"  SetObliquePlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionPosition\n",NULL);
    Tcl_AppendResult(interp,"  AddBoundingPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveBoundingPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllBoundingPlanes\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundingPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundingPlanes\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundingPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ValidateWorldPosition\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPointPlacerCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormal" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormal" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToXAxis" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToYAxis" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToZAxis" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToOblique" );
    Tcl_DStringAppendElement ( &dString, "SetObliquePlane" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionPosition" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionPosition" );
    Tcl_DStringAppendElement ( &dString, "AddBoundingPlane" );
    Tcl_DStringAppendElement ( &dString, "RemoveBoundingPlane" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllBoundingPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetBoundingPlanes" );
    Tcl_DStringAppendElement ( &dString, "GetBoundingPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetBoundingPlanes" );
    Tcl_DStringAppendElement ( &dString, "ValidateWorldPosition" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPointPlacerCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkBoundedPlanePointPlacer *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormal */
    if ( strcmp ( argv[2], "SetProjectionNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormal */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormal (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for SetProjectionNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormalMinValue */
    if ( strcmp ( argv[2], "GetProjectionNormalMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormalMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormalMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for GetProjectionNormalMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormalMaxValue */
    if ( strcmp ( argv[2], "GetProjectionNormalMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormalMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormalMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for GetProjectionNormalMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormal */
    if ( strcmp ( argv[2], "GetProjectionNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormal */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for GetProjectionNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToXAxis */
    if ( strcmp ( argv[2], "SetProjectionNormalToXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToXAxis */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToXAxis ();this SetProjectionNormal vtkBoundedPlanePointPlacer XAxis " );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for SetProjectionNormalToXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToYAxis */
    if ( strcmp ( argv[2], "SetProjectionNormalToYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToYAxis */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToYAxis ();this SetProjectionNormal vtkBoundedPlanePointPlacer YAxis " );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for SetProjectionNormalToYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToZAxis */
    if ( strcmp ( argv[2], "SetProjectionNormalToZAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToZAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToZAxis */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToZAxis ();this SetProjectionNormal vtkBoundedPlanePointPlacer ZAxis " );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for SetProjectionNormalToZAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToOblique */
    if ( strcmp ( argv[2], "SetProjectionNormalToOblique" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToOblique" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToOblique */
    Tcl_DStringAppendElement ( &dString, " If the ProjectionNormal is set to Oblique, then this is the \n oblique plane used to constrain the handle position.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToOblique ();this SetProjectionNormal vtkBoundedPlanePointPlacer Oblique " );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for SetProjectionNormalToOblique */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetObliquePlane */
    if ( strcmp ( argv[2], "SetObliquePlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetObliquePlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetObliquePlane */
    Tcl_DStringAppendElement ( &dString, " If the ProjectionNormal is set to Oblique, then this is the \n oblique plane used to constrain the handle position.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetObliquePlane (vtkPlane *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for SetObliquePlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionPosition */
    if ( strcmp ( argv[2], "SetProjectionPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionPosition */
    Tcl_DStringAppendElement ( &dString, " The position of the bounding plane from the origin along the\n normal. The origin and normal are defined in the oblique plane\n when the ProjectionNormal is oblique. For the X, Y, and Z\n axes projection normals, the normal is the axis direction, and\n the origin is (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionPosition (double position);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for SetProjectionPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionPosition */
    if ( strcmp ( argv[2], "GetProjectionPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionPosition */
    Tcl_DStringAppendElement ( &dString, " The position of the bounding plane from the origin along the\n normal. The origin and normal are defined in the oblique plane\n when the ProjectionNormal is oblique. For the X, Y, and Z\n axes projection normals, the normal is the axis direction, and\n the origin is (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetProjectionPosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for GetProjectionPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddBoundingPlane */
    if ( strcmp ( argv[2], "AddBoundingPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddBoundingPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddBoundingPlane */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddBoundingPlane (vtkPlane *plane);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for AddBoundingPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveBoundingPlane */
    if ( strcmp ( argv[2], "RemoveBoundingPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveBoundingPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveBoundingPlane */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveBoundingPlane (vtkPlane *plane);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for RemoveBoundingPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllBoundingPlanes */
    if ( strcmp ( argv[2], "RemoveAllBoundingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllBoundingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllBoundingPlanes */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllBoundingPlanes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for RemoveAllBoundingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundingPlanes */
    if ( strcmp ( argv[2], "SetBoundingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundingPlanes */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBoundingPlanes (vtkPlaneCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for SetBoundingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundingPlanes */
    if ( strcmp ( argv[2], "GetBoundingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundingPlanes */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCollection *GetBoundingPlanes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for GetBoundingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundingPlanes */
    if ( strcmp ( argv[2], "SetBoundingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlanes" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundingPlanes */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundingPlanes (vtkPlanes *planes);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for SetBoundingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ValidateWorldPosition */
    if ( strcmp ( argv[2], "ValidateWorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ValidateWorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ValidateWorldPosition */
    Tcl_DStringAppendElement ( &dString, " Give a world position check if it is valid - does\n it lie on the plane and within the bounds? Returns\n 1 if it is valid, 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "int ValidateWorldPosition (double worldPos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer" );
    /* Closing for ValidateWorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPointPlacerCppCommand(static_cast<vtkPointPlacer *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
