// python wrapper for vtkBoxRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoxRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoxRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoxRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkBoxRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  const char    *temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkBoxRepresentation  *temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoxRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoxRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkPlanes  *temp0;
  PyObject *tempH0;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlanes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlanes");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::GetPlanes(temp0);
      }
    else
      {
      op->GetPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_SetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  int      temp0;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::SetInsideOut(temp0);
      }
    else
      {
      op->SetInsideOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  int      temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::GetInsideOut();
      }
    else
      {
      temp20 = op->GetInsideOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_InsideOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::InsideOutOn();
      }
    else
      {
      op->InsideOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_InsideOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::InsideOutOff();
      }
    else
      {
      op->InsideOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkTransform  *temp0;
  PyObject *tempH0;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::GetTransform(temp0);
      }
    else
      {
      op->GetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkTransform  *temp0;
  PyObject *tempH0;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::GetHandleProperty();
      }
    else
      {
      temp20 = op->GetHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetSelectedHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::GetSelectedHandleProperty();
      }
    else
      {
      temp20 = op->GetSelectedHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetFaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::GetFaceProperty();
      }
    else
      {
      temp20 = op->GetFaceProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetSelectedFaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::GetSelectedFaceProperty();
      }
    else
      {
      temp20 = op->GetSelectedFaceProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetOutlineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::GetOutlineProperty();
      }
    else
      {
      temp20 = op->GetOutlineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetSelectedOutlineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::GetSelectedOutlineProperty();
      }
    else
      {
      temp20 = op->GetSelectedOutlineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_SetOutlineFaceWires(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  int      temp0;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::SetOutlineFaceWires(temp0);
      }
    else
      {
      op->SetOutlineFaceWires(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetOutlineFaceWires(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  int      temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::GetOutlineFaceWires();
      }
    else
      {
      temp20 = op->GetOutlineFaceWires();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_OutlineFaceWiresOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::OutlineFaceWiresOn();
      }
    else
      {
      op->OutlineFaceWiresOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_OutlineFaceWiresOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::OutlineFaceWiresOff();
      }
    else
      {
      op->OutlineFaceWiresOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_SetOutlineCursorWires(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  int      temp0;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::SetOutlineCursorWires(temp0);
      }
    else
      {
      op->SetOutlineCursorWires(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetOutlineCursorWires(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  int      temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::GetOutlineCursorWires();
      }
    else
      {
      temp20 = op->GetOutlineCursorWires();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_OutlineCursorWiresOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::OutlineCursorWiresOn();
      }
    else
      {
      op->OutlineCursorWiresOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_OutlineCursorWiresOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::OutlineCursorWiresOff();
      }
    else
      {
      op->OutlineCursorWiresOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_HandlesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::HandlesOn();
      }
    else
      {
      op->HandlesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_HandlesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::HandlesOff();
      }
    else
      {
      op->HandlesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  double temp0[6];
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  double temp0[2];
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  double temp0[2];
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  double  *temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break35;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break35:
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  int      temp20;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxRepresentation_SetInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxRepresentation *op;

  int      temp0;
  op = (vtkBoxRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxRepresentation::SetInteractionState(temp0);
      }
    else
      {
      op->SetInteractionState(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBoxRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoxRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for the class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoxRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for the class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoxRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoxRepresentation\nC++: vtkBoxRepresentation *NewInstance ();\n\n Standard methods for the class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoxRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoxRepresentation\nC++: vtkBoxRepresentation *SafeDownCast (vtkObject* o);\n\n Standard methods for the class.\n"},
  {(char*)"GetPlanes",                (PyCFunction)PyvtkBoxRepresentation_GetPlanes, 1,
   (char*)"V.GetPlanes(vtkPlanes)\nC++: void GetPlanes (vtkPlanes *planes);\n\n Get the planes describing the implicit function defined by the box\n widget. The user must provide the instance of the class vtkPlanes. Note\n that vtkPlanes is a subclass of vtkImplicitFunction, meaning that it can\n be used by a variety of filters to perform clipping, cutting, and\n selection of data.  (The direction of the normals of the planes can be\n reversed enabling the InsideOut flag.)\n"},
  {(char*)"SetInsideOut",                (PyCFunction)PyvtkBoxRepresentation_SetInsideOut, 1,
   (char*)"V.SetInsideOut(int)\nC++: void SetInsideOut (int );\n\n Set/Get the InsideOut flag. This data memeber is used in conjunction\n with the GetPlanes() method. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut is off\n by default.\n"},
  {(char*)"GetInsideOut",                (PyCFunction)PyvtkBoxRepresentation_GetInsideOut, 1,
   (char*)"V.GetInsideOut() -> int\nC++: int GetInsideOut ();\n\n Set/Get the InsideOut flag. This data memeber is used in conjunction\n with the GetPlanes() method. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut is off\n by default.\n"},
  {(char*)"InsideOutOn",                (PyCFunction)PyvtkBoxRepresentation_InsideOutOn, 1,
   (char*)"V.InsideOutOn()\nC++: void InsideOutOn ();\n\n Set/Get the InsideOut flag. This data memeber is used in conjunction\n with the GetPlanes() method. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut is off\n by default.\n"},
  {(char*)"InsideOutOff",                (PyCFunction)PyvtkBoxRepresentation_InsideOutOff, 1,
   (char*)"V.InsideOutOff()\nC++: void InsideOutOff ();\n\n Set/Get the InsideOut flag. This data memeber is used in conjunction\n with the GetPlanes() method. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut is off\n by default.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkBoxRepresentation_GetTransform, 1,
   (char*)"V.GetTransform(vtkTransform)\nC++: virtual void GetTransform (vtkTransform *t);\n\n Retrieve a linear transform characterizing the transformation of the\n box. Note that the transformation is relative to where PlaceWidget()\n was initially called. This method modifies the transform provided. The\n transform can be used to control the position of vtkProp3D's, as well as\n other transformation operations (e.g., vtkTranformPolyData).\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkBoxRepresentation_SetTransform, 1,
   (char*)"V.SetTransform(vtkTransform)\nC++: virtual void SetTransform (vtkTransform *t);\n\n Set the position, scale and orientation of the box widget using the\n transform specified. Note that the transformation is relative to \n where PlaceWidget() was initially called (i.e., the original bounding\n box). \n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkBoxRepresentation_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Grab the polydata (including points) that define the box widget. The\n polydata consists of 6 quadrilateral faces and 15 points. The first\n eight points define the eight corner vertices; the next six define the\n -x,+x, -y,+y, -z,+z face points; and the final point (the 15th out of 15\n points) defines the center of the box. These point values are guaranteed\n to be up-to-date when either the widget's corresponding InteractionEvent\n or EndInteractionEvent events are invoked. The user provides the\n vtkPolyData and the points and cells are added to it.\n"},
  {(char*)"GetHandleProperty",                (PyCFunction)PyvtkBoxRepresentation_GetHandleProperty, 1,
   (char*)"V.GetHandleProperty() -> vtkProperty\nC++: vtkProperty *GetHandleProperty ();\n\n Get the handle properties (the little balls are the handles). The \n properties of the handles, when selected or normal, can be \n specified.\n"},
  {(char*)"GetSelectedHandleProperty",                (PyCFunction)PyvtkBoxRepresentation_GetSelectedHandleProperty, 1,
   (char*)"V.GetSelectedHandleProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedHandleProperty ();\n\n Get the handle properties (the little balls are the handles). The \n properties of the handles, when selected or normal, can be \n specified.\n"},
  {(char*)"GetFaceProperty",                (PyCFunction)PyvtkBoxRepresentation_GetFaceProperty, 1,
   (char*)"V.GetFaceProperty() -> vtkProperty\nC++: vtkProperty *GetFaceProperty ();\n\n Get the face properties (the faces of the box). The \n properties of the face when selected and normal can be \n set.\n"},
  {(char*)"GetSelectedFaceProperty",                (PyCFunction)PyvtkBoxRepresentation_GetSelectedFaceProperty, 1,
   (char*)"V.GetSelectedFaceProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedFaceProperty ();\n\n Get the face properties (the faces of the box). The \n properties of the face when selected and normal can be \n set.\n"},
  {(char*)"GetOutlineProperty",                (PyCFunction)PyvtkBoxRepresentation_GetOutlineProperty, 1,
   (char*)"V.GetOutlineProperty() -> vtkProperty\nC++: vtkProperty *GetOutlineProperty ();\n\n Get the outline properties (the outline of the box). The \n properties of the outline when selected and normal can be \n set.\n"},
  {(char*)"GetSelectedOutlineProperty",                (PyCFunction)PyvtkBoxRepresentation_GetSelectedOutlineProperty, 1,
   (char*)"V.GetSelectedOutlineProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedOutlineProperty ();\n\n Get the outline properties (the outline of the box). The \n properties of the outline when selected and normal can be \n set.\n"},
  {(char*)"SetOutlineFaceWires",                (PyCFunction)PyvtkBoxRepresentation_SetOutlineFaceWires, 1,
   (char*)"V.SetOutlineFaceWires(int)\nC++: void SetOutlineFaceWires (int );\n\n Control the representation of the outline. This flag enables\n face wires. By default face wires are off.\n"},
  {(char*)"GetOutlineFaceWires",                (PyCFunction)PyvtkBoxRepresentation_GetOutlineFaceWires, 1,
   (char*)"V.GetOutlineFaceWires() -> int\nC++: int GetOutlineFaceWires ();\n\n Control the representation of the outline. This flag enables\n face wires. By default face wires are off.\n"},
  {(char*)"OutlineFaceWiresOn",                (PyCFunction)PyvtkBoxRepresentation_OutlineFaceWiresOn, 1,
   (char*)"V.OutlineFaceWiresOn()\nC++: void OutlineFaceWiresOn ();this SetOutlineFaceWires \n\n Control the representation of the outline. This flag enables\n face wires. By default face wires are off.\n"},
  {(char*)"OutlineFaceWiresOff",                (PyCFunction)PyvtkBoxRepresentation_OutlineFaceWiresOff, 1,
   (char*)"V.OutlineFaceWiresOff()\nC++: void OutlineFaceWiresOff ();this SetOutlineFaceWires \n\n Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n"},
  {(char*)"SetOutlineCursorWires",                (PyCFunction)PyvtkBoxRepresentation_SetOutlineCursorWires, 1,
   (char*)"V.SetOutlineCursorWires(int)\nC++: void SetOutlineCursorWires (int );\n\n Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n"},
  {(char*)"GetOutlineCursorWires",                (PyCFunction)PyvtkBoxRepresentation_GetOutlineCursorWires, 1,
   (char*)"V.GetOutlineCursorWires() -> int\nC++: int GetOutlineCursorWires ();\n\n Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n"},
  {(char*)"OutlineCursorWiresOn",                (PyCFunction)PyvtkBoxRepresentation_OutlineCursorWiresOn, 1,
   (char*)"V.OutlineCursorWiresOn()\nC++: void OutlineCursorWiresOn ();this SetOutlineCursorWires \n\n Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n"},
  {(char*)"OutlineCursorWiresOff",                (PyCFunction)PyvtkBoxRepresentation_OutlineCursorWiresOff, 1,
   (char*)"V.OutlineCursorWiresOff()\nC++: void OutlineCursorWiresOff ();this SetOutlineCursorWires \n\n Switches handles (the spheres) on or off by manipulating the underlying\n actor visibility.\n"},
  {(char*)"HandlesOn",                (PyCFunction)PyvtkBoxRepresentation_HandlesOn, 1,
   (char*)"V.HandlesOn()\nC++: void HandlesOn ();\n\n Switches handles (the spheres) on or off by manipulating the underlying\n actor visibility.\n"},
  {(char*)"HandlesOff",                (PyCFunction)PyvtkBoxRepresentation_HandlesOff, 1,
   (char*)"V.HandlesOff()\nC++: void HandlesOff ();\n\n Switches handles (the spheres) on or off by manipulating the underlying\n actor visibility.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkBoxRepresentation_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkBoxRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkBoxRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkBoxRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkBoxRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkBoxRepresentation_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkBoxRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkBoxRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkBoxRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkBoxRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"SetInteractionState",                (PyCFunction)PyvtkBoxRepresentation_SetInteractionState, 1,
   (char*)"V.SetInteractionState(int)\nC++: void SetInteractionState (int state);\n\n The interaction state may be set from a widget (e.g., vtkBoxWidget2) or\n other object. This controls how the interaction with the widget\n proceeds. Normally this method is used as part of a handshaking\n process with the widget: First ComputeInteractionState() is invoked that\n returns a state based on geometric considerations (i.e., cursor near a\n widget feature), then based on events, the widget may modify this\n further.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoxRepresentationDoc[] = {
  (char*)"vtkBoxRepresentation - a class defining the representation for the vtkBoxWidget2\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" This class is a concrete representation for the vtkBoxWidget2. It\n represents a box with seven handles: one on each of the six faces, plus a\n center handle. Through interaction with the widget, the box\n representation can be arbitrarily positioned in the 3D space.\n\n To use this representation, you normally use the PlaceWidget() method\n to position the widget at a specified region in space.\n\n\n",
  "Caveats:\n\n This class, and vtkBoxWidget2, are second generation VTK\n widgets. An earlier version of this functionality was defined in the\n class vtkBoxWidget.\n\n",
  "See Also:\n\n vtkBoxWidget2 vtkBoxWidget\n\n",
  NULL
};

static vtkObjectBase *vtkBoxRepresentationStaticNew()
{
  return vtkBoxRepresentation::New();
}

PyObject *PyVTKClass_vtkBoxRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoxRepresentationStaticNew,
                        PyvtkBoxRepresentationMethods,
                        (char*)"vtkBoxRepresentation",modulename,
                        (char**)vtkBoxRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

