// tcl wrapper for vtkBoxWidget2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoxWidget2.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBoxWidget2NewCommand()
{
  vtkBoxWidget2 *temp = vtkBoxWidget2::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractWidgetCppCommand(vtkAbstractWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBoxWidget2CppCommand(vtkBoxWidget2 *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBoxWidget2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBoxWidget2CppCommand(static_cast<vtkBoxWidget2 *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBoxWidget2CppCommand(vtkBoxWidget2 *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBoxWidget2",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractWidgetCppCommand(static_cast<vtkAbstractWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBoxWidget2  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoxWidget2");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBoxWidget2  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoxWidget2");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBoxWidget2  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoxWidget2");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 3))
    {
    vtkBoxRepresentation  *temp0;
    error = 0;

    temp0 = (vtkBoxRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkBoxRepresentation"),interp,error));
    if (!error)
    {
    op->SetRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTranslationEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTranslationEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslationEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTranslationEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TranslationEnabledOn",argv[1]))&&(argc == 2))
    {
    op->TranslationEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TranslationEnabledOff",argv[1]))&&(argc == 2))
    {
    op->TranslationEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalingEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalingEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalingEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalingEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalingEnabledOn",argv[1]))&&(argc == 2))
    {
    op->ScalingEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalingEnabledOff",argv[1]))&&(argc == 2))
    {
    op->ScalingEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRotationEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRotationEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRotationEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRotationEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RotationEnabledOn",argv[1]))&&(argc == 2))
    {
    op->RotationEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RotationEnabledOff",argv[1]))&&(argc == 2))
    {
    op->RotationEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultRepresentation",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBoxWidget2Command));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBoxWidget2:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslationEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslationEnabled\n",NULL);
    Tcl_AppendResult(interp,"  TranslationEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  TranslationEnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalingEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalingEnabled\n",NULL);
    Tcl_AppendResult(interp,"  ScalingEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalingEnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRotationEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRotationEnabled\n",NULL);
    Tcl_AppendResult(interp,"  RotationEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  RotationEnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultRepresentation\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetTranslationEnabled" );
    Tcl_DStringAppendElement ( &dString, "GetTranslationEnabled" );
    Tcl_DStringAppendElement ( &dString, "TranslationEnabledOn" );
    Tcl_DStringAppendElement ( &dString, "TranslationEnabledOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalingEnabled" );
    Tcl_DStringAppendElement ( &dString, "GetScalingEnabled" );
    Tcl_DStringAppendElement ( &dString, "ScalingEnabledOn" );
    Tcl_DStringAppendElement ( &dString, "ScalingEnabledOff" );
    Tcl_DStringAppendElement ( &dString, "SetRotationEnabled" );
    Tcl_DStringAppendElement ( &dString, "GetRotationEnabled" );
    Tcl_DStringAppendElement ( &dString, "RotationEnabledOn" );
    Tcl_DStringAppendElement ( &dString, "RotationEnabledOff" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkBoxWidget2 *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard class methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard class methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard class methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2 *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard class methods for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2 *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkBoxRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation (vtkBoxRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r " );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslationEnabled */
    if ( strcmp ( argv[2], "SetTranslationEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslationEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslationEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslationEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for SetTranslationEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslationEnabled */
    if ( strcmp ( argv[2], "GetTranslationEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslationEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslationEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTranslationEnabled ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for GetTranslationEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationEnabledOn */
    if ( strcmp ( argv[2], "TranslationEnabledOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationEnabledOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationEnabledOn */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationEnabledOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for TranslationEnabledOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationEnabledOff */
    if ( strcmp ( argv[2], "TranslationEnabledOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationEnabledOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationEnabledOff */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationEnabledOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for TranslationEnabledOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalingEnabled */
    if ( strcmp ( argv[2], "SetScalingEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalingEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalingEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalingEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for SetScalingEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalingEnabled */
    if ( strcmp ( argv[2], "GetScalingEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalingEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalingEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalingEnabled ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for GetScalingEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingEnabledOn */
    if ( strcmp ( argv[2], "ScalingEnabledOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingEnabledOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingEnabledOn */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingEnabledOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for ScalingEnabledOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingEnabledOff */
    if ( strcmp ( argv[2], "ScalingEnabledOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingEnabledOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingEnabledOff */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingEnabledOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for ScalingEnabledOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRotationEnabled */
    if ( strcmp ( argv[2], "SetRotationEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRotationEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for SetRotationEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRotationEnabled */
    if ( strcmp ( argv[2], "GetRotationEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRotationEnabled ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for GetRotationEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RotationEnabledOn */
    if ( strcmp ( argv[2], "RotationEnabledOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RotationEnabledOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RotationEnabledOn */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void RotationEnabledOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for RotationEnabledOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RotationEnabledOff */
    if ( strcmp ( argv[2], "RotationEnabledOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RotationEnabledOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RotationEnabledOff */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget (i.e., how it processes\n events). Translation, rotation, and scaling can all be enabled and\n disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void RotationEnabledOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for RotationEnabledOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultRepresentation */
    if ( strcmp ( argv[2], "CreateDefaultRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultRepresentation */
    Tcl_DStringAppendElement ( &dString, " Create the default widget representation if one is not set. By default,\n this is an instance of the vtkBoxRepresentation class.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultRepresentation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget2" );
    /* Closing for CreateDefaultRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractWidgetCppCommand(static_cast<vtkAbstractWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
