// python wrapper for vtkBoxWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoxWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoxWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoxWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtk3DWidgetNew(char *); }

static PyObject *PyvtkBoxWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  const char    *temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  vtkBoxWidget  *temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoxWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoxWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoxWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp0;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  double temp0[6];
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  PyErr_Clear();
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::PlaceWidget();
      }
    else
      {
      op->PlaceWidget();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  vtkPlanes  *temp0;
  PyObject *tempH0;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlanes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlanes");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::GetPlanes(temp0);
      }
    else
      {
      op->GetPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkBoxWidget_SetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp0;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::SetInsideOut(temp0);
      }
    else
      {
      op->SetInsideOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetInsideOut();
      }
    else
      {
      temp20 = op->GetInsideOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_InsideOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::InsideOutOn();
      }
    else
      {
      op->InsideOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_InsideOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::InsideOutOff();
      }
    else
      {
      op->InsideOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  vtkTransform  *temp0;
  PyObject *tempH0;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::GetTransform(temp0);
      }
    else
      {
      op->GetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkBoxWidget_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  vtkTransform  *temp0;
  PyObject *tempH0;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  vtkProperty  *temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetHandleProperty();
      }
    else
      {
      temp20 = op->GetHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetSelectedHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  vtkProperty  *temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetSelectedHandleProperty();
      }
    else
      {
      temp20 = op->GetSelectedHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_HandlesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::HandlesOn();
      }
    else
      {
      op->HandlesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_HandlesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::HandlesOff();
      }
    else
      {
      op->HandlesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetFaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  vtkProperty  *temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetFaceProperty();
      }
    else
      {
      temp20 = op->GetFaceProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetSelectedFaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  vtkProperty  *temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetSelectedFaceProperty();
      }
    else
      {
      temp20 = op->GetSelectedFaceProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetOutlineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  vtkProperty  *temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetOutlineProperty();
      }
    else
      {
      temp20 = op->GetOutlineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetSelectedOutlineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  vtkProperty  *temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetSelectedOutlineProperty();
      }
    else
      {
      temp20 = op->GetSelectedOutlineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_SetOutlineFaceWires(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp0;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::SetOutlineFaceWires(temp0);
      }
    else
      {
      op->SetOutlineFaceWires(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetOutlineFaceWires(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetOutlineFaceWires();
      }
    else
      {
      temp20 = op->GetOutlineFaceWires();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_OutlineFaceWiresOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::OutlineFaceWiresOn();
      }
    else
      {
      op->OutlineFaceWiresOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_OutlineFaceWiresOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::OutlineFaceWiresOff();
      }
    else
      {
      op->OutlineFaceWiresOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_SetOutlineCursorWires(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp0;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::SetOutlineCursorWires(temp0);
      }
    else
      {
      op->SetOutlineCursorWires(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetOutlineCursorWires(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetOutlineCursorWires();
      }
    else
      {
      temp20 = op->GetOutlineCursorWires();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_OutlineCursorWiresOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::OutlineCursorWiresOn();
      }
    else
      {
      op->OutlineCursorWiresOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_OutlineCursorWiresOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::OutlineCursorWiresOff();
      }
    else
      {
      op->OutlineCursorWiresOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_SetTranslationEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp0;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::SetTranslationEnabled(temp0);
      }
    else
      {
      op->SetTranslationEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetTranslationEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetTranslationEnabled();
      }
    else
      {
      temp20 = op->GetTranslationEnabled();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_TranslationEnabledOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::TranslationEnabledOn();
      }
    else
      {
      op->TranslationEnabledOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_TranslationEnabledOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::TranslationEnabledOff();
      }
    else
      {
      op->TranslationEnabledOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_SetScalingEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp0;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::SetScalingEnabled(temp0);
      }
    else
      {
      op->SetScalingEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetScalingEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetScalingEnabled();
      }
    else
      {
      temp20 = op->GetScalingEnabled();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_ScalingEnabledOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::ScalingEnabledOn();
      }
    else
      {
      op->ScalingEnabledOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_ScalingEnabledOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::ScalingEnabledOff();
      }
    else
      {
      op->ScalingEnabledOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_SetRotationEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp0;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::SetRotationEnabled(temp0);
      }
    else
      {
      op->SetRotationEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_GetRotationEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  int      temp20;
  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxWidget::GetRotationEnabled();
      }
    else
      {
      temp20 = op->GetRotationEnabled();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_RotationEnabledOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::RotationEnabledOn();
      }
    else
      {
      op->RotationEnabledOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxWidget_RotationEnabledOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxWidget::RotationEnabledOff();
      }
    else
      {
      op->RotationEnabledOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBoxWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoxWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoxWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoxWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoxWidget\nC++: vtkBoxWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoxWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoxWidget\nC++: vtkBoxWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkBoxWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkBoxWidget_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\nV.PlaceWidget()\nC++: void PlaceWidget ();this Superclass PlaceWidget \nV.PlaceWidget(float, float, float, float, float, float)\nC++: void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax \n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"GetPlanes",                (PyCFunction)PyvtkBoxWidget_GetPlanes, 1,
   (char*)"V.GetPlanes(vtkPlanes)\nC++: void GetPlanes (vtkPlanes *planes);\n\n Get the planes describing the implicit function defined by the box\n widget. The user must provide the instance of the class vtkPlanes. Note\n that vtkPlanes is a subclass of vtkImplicitFunction, meaning that it can\n be used by a variety of filters to perform clipping, cutting, and\n selection of data.  (The direction of the normals of the planes can be\n reversed enabling the InsideOut flag.)\n"},
  {(char*)"SetInsideOut",                (PyCFunction)PyvtkBoxWidget_SetInsideOut, 1,
   (char*)"V.SetInsideOut(int)\nC++: void SetInsideOut (int );\n\n Set/Get the InsideOut flag. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut\n is off by default.\n"},
  {(char*)"GetInsideOut",                (PyCFunction)PyvtkBoxWidget_GetInsideOut, 1,
   (char*)"V.GetInsideOut() -> int\nC++: int GetInsideOut ();\n\n Set/Get the InsideOut flag. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut\n is off by default.\n"},
  {(char*)"InsideOutOn",                (PyCFunction)PyvtkBoxWidget_InsideOutOn, 1,
   (char*)"V.InsideOutOn()\nC++: void InsideOutOn ();\n\n Set/Get the InsideOut flag. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut\n is off by default.\n"},
  {(char*)"InsideOutOff",                (PyCFunction)PyvtkBoxWidget_InsideOutOff, 1,
   (char*)"V.InsideOutOff()\nC++: void InsideOutOff ();\n\n Set/Get the InsideOut flag. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut\n is off by default.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkBoxWidget_GetTransform, 1,
   (char*)"V.GetTransform(vtkTransform)\nC++: virtual void GetTransform (vtkTransform *t);\n\n Retrieve a linear transform characterizing the transformation of the\n box. Note that the transformation is relative to where PlaceWidget\n was initially called. This method modifies the transform provided. The\n transform can be used to control the position of vtkProp3D's, as well as\n other transformation operations (e.g., vtkTranformPolyData).\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkBoxWidget_SetTransform, 1,
   (char*)"V.SetTransform(vtkTransform)\nC++: virtual void SetTransform (vtkTransform *t);\n\n Set the position, scale and orientation of the box widget using the\n transform specified. Note that the transformation is relative to \n where PlaceWidget was initially called (i.e., the original bounding\n box). \n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkBoxWidget_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Grab the polydata (including points) that define the box widget. The\n polydata consists of 6 quadrilateral faces and 15 points. The first\n eight points define the eight corner vertices; the next six define the\n -x,+x, -y,+y, -z,+z face points; and the final point (the 15th out of 15\n points) defines the center of the hexahedron. These point values are\n guaranteed to be up-to-date when either the InteractionEvent or\n EndInteractionEvent events are invoked. The user provides the\n vtkPolyData and the points and cells are added to it.\n"},
  {(char*)"GetHandleProperty",                (PyCFunction)PyvtkBoxWidget_GetHandleProperty, 1,
   (char*)"V.GetHandleProperty() -> vtkProperty\nC++: vtkProperty *GetHandleProperty ();\n\n Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n set.\n"},
  {(char*)"GetSelectedHandleProperty",                (PyCFunction)PyvtkBoxWidget_GetSelectedHandleProperty, 1,
   (char*)"V.GetSelectedHandleProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedHandleProperty ();\n\n Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n set.\n"},
  {(char*)"HandlesOn",                (PyCFunction)PyvtkBoxWidget_HandlesOn, 1,
   (char*)"V.HandlesOn()\nC++: void HandlesOn ();\n\n Switches handles (the spheres) on or off by manipulating the actor\n visibility.\n"},
  {(char*)"HandlesOff",                (PyCFunction)PyvtkBoxWidget_HandlesOff, 1,
   (char*)"V.HandlesOff()\nC++: void HandlesOff ();\n\n Switches handles (the spheres) on or off by manipulating the actor\n visibility.\n"},
  {(char*)"GetFaceProperty",                (PyCFunction)PyvtkBoxWidget_GetFaceProperty, 1,
   (char*)"V.GetFaceProperty() -> vtkProperty\nC++: vtkProperty *GetFaceProperty ();\n\n Get the face properties (the faces of the box). The \n properties of the face when selected and normal can be \n set.\n"},
  {(char*)"GetSelectedFaceProperty",                (PyCFunction)PyvtkBoxWidget_GetSelectedFaceProperty, 1,
   (char*)"V.GetSelectedFaceProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedFaceProperty ();\n\n Get the face properties (the faces of the box). The \n properties of the face when selected and normal can be \n set.\n"},
  {(char*)"GetOutlineProperty",                (PyCFunction)PyvtkBoxWidget_GetOutlineProperty, 1,
   (char*)"V.GetOutlineProperty() -> vtkProperty\nC++: vtkProperty *GetOutlineProperty ();\n\n Get the outline properties (the outline of the box). The \n properties of the outline when selected and normal can be \n set.\n"},
  {(char*)"GetSelectedOutlineProperty",                (PyCFunction)PyvtkBoxWidget_GetSelectedOutlineProperty, 1,
   (char*)"V.GetSelectedOutlineProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedOutlineProperty ();\n\n Get the outline properties (the outline of the box). The \n properties of the outline when selected and normal can be \n set.\n"},
  {(char*)"SetOutlineFaceWires",                (PyCFunction)PyvtkBoxWidget_SetOutlineFaceWires, 1,
   (char*)"V.SetOutlineFaceWires(int)\nC++: void SetOutlineFaceWires (int );\n\n Control the representation of the outline. This flag enables\n face wires. By default face wires are off.\n"},
  {(char*)"GetOutlineFaceWires",                (PyCFunction)PyvtkBoxWidget_GetOutlineFaceWires, 1,
   (char*)"V.GetOutlineFaceWires() -> int\nC++: int GetOutlineFaceWires ();\n\n Control the representation of the outline. This flag enables\n face wires. By default face wires are off.\n"},
  {(char*)"OutlineFaceWiresOn",                (PyCFunction)PyvtkBoxWidget_OutlineFaceWiresOn, 1,
   (char*)"V.OutlineFaceWiresOn()\nC++: void OutlineFaceWiresOn ();this SetOutlineFaceWires \n\n Control the representation of the outline. This flag enables\n face wires. By default face wires are off.\n"},
  {(char*)"OutlineFaceWiresOff",                (PyCFunction)PyvtkBoxWidget_OutlineFaceWiresOff, 1,
   (char*)"V.OutlineFaceWiresOff()\nC++: void OutlineFaceWiresOff ();this SetOutlineFaceWires \n\n Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n"},
  {(char*)"SetOutlineCursorWires",                (PyCFunction)PyvtkBoxWidget_SetOutlineCursorWires, 1,
   (char*)"V.SetOutlineCursorWires(int)\nC++: void SetOutlineCursorWires (int );\n\n Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n"},
  {(char*)"GetOutlineCursorWires",                (PyCFunction)PyvtkBoxWidget_GetOutlineCursorWires, 1,
   (char*)"V.GetOutlineCursorWires() -> int\nC++: int GetOutlineCursorWires ();\n\n Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n"},
  {(char*)"OutlineCursorWiresOn",                (PyCFunction)PyvtkBoxWidget_OutlineCursorWiresOn, 1,
   (char*)"V.OutlineCursorWiresOn()\nC++: void OutlineCursorWiresOn ();this SetOutlineCursorWires \n\n Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n"},
  {(char*)"OutlineCursorWiresOff",                (PyCFunction)PyvtkBoxWidget_OutlineCursorWiresOff, 1,
   (char*)"V.OutlineCursorWiresOff()\nC++: void OutlineCursorWiresOff ();this SetOutlineCursorWires \n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"SetTranslationEnabled",                (PyCFunction)PyvtkBoxWidget_SetTranslationEnabled, 1,
   (char*)"V.SetTranslationEnabled(int)\nC++: void SetTranslationEnabled (int );\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"GetTranslationEnabled",                (PyCFunction)PyvtkBoxWidget_GetTranslationEnabled, 1,
   (char*)"V.GetTranslationEnabled() -> int\nC++: int GetTranslationEnabled ();\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"TranslationEnabledOn",                (PyCFunction)PyvtkBoxWidget_TranslationEnabledOn, 1,
   (char*)"V.TranslationEnabledOn()\nC++: void TranslationEnabledOn ();\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"TranslationEnabledOff",                (PyCFunction)PyvtkBoxWidget_TranslationEnabledOff, 1,
   (char*)"V.TranslationEnabledOff()\nC++: void TranslationEnabledOff ();\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"SetScalingEnabled",                (PyCFunction)PyvtkBoxWidget_SetScalingEnabled, 1,
   (char*)"V.SetScalingEnabled(int)\nC++: void SetScalingEnabled (int );\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"GetScalingEnabled",                (PyCFunction)PyvtkBoxWidget_GetScalingEnabled, 1,
   (char*)"V.GetScalingEnabled() -> int\nC++: int GetScalingEnabled ();\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"ScalingEnabledOn",                (PyCFunction)PyvtkBoxWidget_ScalingEnabledOn, 1,
   (char*)"V.ScalingEnabledOn()\nC++: void ScalingEnabledOn ();\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"ScalingEnabledOff",                (PyCFunction)PyvtkBoxWidget_ScalingEnabledOff, 1,
   (char*)"V.ScalingEnabledOff()\nC++: void ScalingEnabledOff ();\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"SetRotationEnabled",                (PyCFunction)PyvtkBoxWidget_SetRotationEnabled, 1,
   (char*)"V.SetRotationEnabled(int)\nC++: void SetRotationEnabled (int );\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"GetRotationEnabled",                (PyCFunction)PyvtkBoxWidget_GetRotationEnabled, 1,
   (char*)"V.GetRotationEnabled() -> int\nC++: int GetRotationEnabled ();\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"RotationEnabledOn",                (PyCFunction)PyvtkBoxWidget_RotationEnabledOn, 1,
   (char*)"V.RotationEnabledOn()\nC++: void RotationEnabledOn ();\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {(char*)"RotationEnabledOff",                (PyCFunction)PyvtkBoxWidget_RotationEnabledOff, 1,
   (char*)"V.RotationEnabledOff()\nC++: void RotationEnabledOff ();\n\n Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoxWidgetDoc[] = {
  (char*)"vtkBoxWidget - orthogonal hexahedron 3D widget\n\n",
  "Super Class:\n\n vtk3DWidget\n\n",
  (char*)" This 3D widget defines a region of interest that is represented by an\n arbitrarily oriented hexahedron with interior face angles of 90 degrees\n (orthogonal faces). The object creates 7 handles that can be moused on and\n manipulated. The first six correspond to the six faces, the seventh is in\n the center of the hexahedron. In addition, a bounding box outline is shown,\n the \"faces\" of which can be",
  (char*)" selected for object rotation or scaling. A\n nice feature of the object is that the vtkBoxWidget, like any 3D widget,\n will work with the current interactor style. That is, if vtkBoxWidget does\n not handle an event, then all other registered observers (including the\n interactor style) have an opportunity to process the event. Otherwise, the\n vtkBoxWidget will terminate the processing of the event ",
  (char*)"that it handles.\n\n To use this object, just invoke SetInteractor() with the argument of the\n method a vtkRenderWindowInteractor.  You may also wish to invoke\n \"PlaceWidget()\" to initially position the widget. The interactor will act\n normally until the \"i\" key (for \"interactor\") is pressed, at which point the\n vtkBoxWidget will appear. (See superclass documentation for information\n about changing ",
  (char*)"this behavior.) By grabbing the six face handles (use the\n left mouse button), faces can be moved. By grabbing the center handle\n (with the left mouse button), the entire hexahedron can be\n translated. (Translation can also be employed by using the\n \"shift-left-mouse-button\" combination inside of the widget.) Scaling is\n achieved by using the right mouse button \"up\" the render window (makes the\n w",
  (char*)"idget bigger) or \"down\" the render window (makes the widget smaller). To\n rotate vtkBoxWidget, pick a face (but not a face handle) and move the left\n mouse. (Note: the mouse button must be held down during manipulation.)\n Events that occur outside of the widget (i.e., no part of the widget is\n picked) are propagated to any other registered obsevers (such as the\n interaction style).  Turn off the w",
  (char*)"idget by pressing the \"i\" key again.\n (See the superclass documentation on key press activiation.)\n\n The vtkBoxWidget is very flexible. It can be used to select, cut, clip, or\n perform any other operation that depends on an implicit function (use the\n GetPlanes() method); or it can be used to transform objects using a linear\n transformation (use the GetTransform() method). Typical usage of the\n wi",
  (char*)"dget is to make use of the StartInteractionEvent, InteractionEvent, and\n EndInteractionEvent events. The InteractionEvent is called on mouse\n motion; the other two events are called on button down and button up \n (either left or right button).\n\n Some additional features of this class include the ability to control the\n rendered properties of the widget. You can set the properties of the\n selected ",
  (char*)"and unselected representations of the parts of the widget. For\n example, you can set the property for the handles, faces, and outline in\n their normal and selected states.\n\n",
  "Caveats:\n\n Note that handles can be picked even when they are \"behind\" other actors.\n This is an intended feature and not a bug.\n\n The box widget can be oriented by specifying a transformation matrix.\n This transformation is applied to the initial bounding box as defined by\n the PlaceWidget() method. DO NOT ASSUME that the transformation is applied\n to a unit box centered at the origin; this is wrong!\n\n",
  "See Also:\n\n vtk3DWidget vtkPointWidget vtkLineWidget vtkPlaneWidget \n vtkImplicitPlaneWidget vtkImagePlaneWidget\n\n",
  NULL
};

static vtkObjectBase *vtkBoxWidgetStaticNew()
{
  return vtkBoxWidget::New();
}

PyObject *PyVTKClass_vtkBoxWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoxWidgetStaticNew,
                        PyvtkBoxWidgetMethods,
                        (char*)"vtkBoxWidget",modulename,
                        (char**)vtkBoxWidgetDoc,
                        PyVTKClass_vtk3DWidgetNew(modulename));
}

