// tcl wrapper for vtkBoxWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoxWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBoxWidgetNewCommand()
{
  vtkBoxWidget *temp = vtkBoxWidget::New();
  return static_cast<ClientData>(temp);
}

int vtk3DWidgetCppCommand(vtk3DWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBoxWidgetCppCommand(vtkBoxWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBoxWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBoxWidgetCppCommand(static_cast<vtkBoxWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBoxWidgetCppCommand(vtkBoxWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBoxWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtk3DWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBoxWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoxWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBoxWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoxWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBoxWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoxWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 2))
    {
    op->PlaceWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlanes",argv[1]))&&(argc == 3))
    {
    vtkPlanes  *temp0;
    error = 0;

    temp0 = (vtkPlanes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlanes"),interp,error));
    if (!error)
    {
    op->GetPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInsideOut",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInsideOut(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInsideOut",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInsideOut();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InsideOutOn",argv[1]))&&(argc == 2))
    {
    op->InsideOutOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InsideOutOff",argv[1]))&&(argc == 2))
    {
    op->InsideOutOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 3))
    {
    vtkTransform  *temp0;
    error = 0;

    temp0 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTransform"),interp,error));
    if (!error)
    {
    op->GetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTransform",argv[1]))&&(argc == 3))
    {
    vtkTransform  *temp0;
    error = 0;

    temp0 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTransform"),interp,error));
    if (!error)
    {
    op->SetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolyData",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GetPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("HandlesOn",argv[1]))&&(argc == 2))
    {
    op->HandlesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HandlesOff",argv[1]))&&(argc == 2))
    {
    op->HandlesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFaceProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetFaceProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedFaceProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedFaceProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetOutlineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetOutlineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedOutlineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedOutlineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetOutlineFaceWires",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutlineFaceWires(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutlineFaceWires",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutlineFaceWires();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutlineFaceWiresOn",argv[1]))&&(argc == 2))
    {
    op->OutlineFaceWiresOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutlineFaceWiresOff",argv[1]))&&(argc == 2))
    {
    op->OutlineFaceWiresOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutlineCursorWires",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutlineCursorWires(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutlineCursorWires",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutlineCursorWires();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutlineCursorWiresOn",argv[1]))&&(argc == 2))
    {
    op->OutlineCursorWiresOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutlineCursorWiresOff",argv[1]))&&(argc == 2))
    {
    op->OutlineCursorWiresOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTranslationEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTranslationEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslationEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTranslationEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TranslationEnabledOn",argv[1]))&&(argc == 2))
    {
    op->TranslationEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TranslationEnabledOff",argv[1]))&&(argc == 2))
    {
    op->TranslationEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalingEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalingEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalingEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalingEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalingEnabledOn",argv[1]))&&(argc == 2))
    {
    op->ScalingEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalingEnabledOff",argv[1]))&&(argc == 2))
    {
    op->ScalingEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRotationEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRotationEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRotationEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRotationEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RotationEnabledOn",argv[1]))&&(argc == 2))
    {
    op->RotationEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RotationEnabledOff",argv[1]))&&(argc == 2))
    {
    op->RotationEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBoxWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBoxWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInsideOut\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInsideOut\n",NULL);
    Tcl_AppendResult(interp,"  InsideOutOn\n",NULL);
    Tcl_AppendResult(interp,"  InsideOutOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  HandlesOn\n",NULL);
    Tcl_AppendResult(interp,"  HandlesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedFaceProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetOutlineProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedOutlineProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetOutlineFaceWires\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutlineFaceWires\n",NULL);
    Tcl_AppendResult(interp,"  OutlineFaceWiresOn\n",NULL);
    Tcl_AppendResult(interp,"  OutlineFaceWiresOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutlineCursorWires\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutlineCursorWires\n",NULL);
    Tcl_AppendResult(interp,"  OutlineCursorWiresOn\n",NULL);
    Tcl_AppendResult(interp,"  OutlineCursorWiresOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslationEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslationEnabled\n",NULL);
    Tcl_AppendResult(interp,"  TranslationEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  TranslationEnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalingEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalingEnabled\n",NULL);
    Tcl_AppendResult(interp,"  ScalingEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalingEnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRotationEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRotationEnabled\n",NULL);
    Tcl_AppendResult(interp,"  RotationEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  RotationEnabledOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "GetPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetInsideOut" );
    Tcl_DStringAppendElement ( &dString, "GetInsideOut" );
    Tcl_DStringAppendElement ( &dString, "InsideOutOn" );
    Tcl_DStringAppendElement ( &dString, "InsideOutOff" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    Tcl_DStringAppendElement ( &dString, "GetHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "HandlesOn" );
    Tcl_DStringAppendElement ( &dString, "HandlesOff" );
    Tcl_DStringAppendElement ( &dString, "GetFaceProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedFaceProperty" );
    Tcl_DStringAppendElement ( &dString, "GetOutlineProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedOutlineProperty" );
    Tcl_DStringAppendElement ( &dString, "SetOutlineFaceWires" );
    Tcl_DStringAppendElement ( &dString, "GetOutlineFaceWires" );
    Tcl_DStringAppendElement ( &dString, "OutlineFaceWiresOn" );
    Tcl_DStringAppendElement ( &dString, "OutlineFaceWiresOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutlineCursorWires" );
    Tcl_DStringAppendElement ( &dString, "GetOutlineCursorWires" );
    Tcl_DStringAppendElement ( &dString, "OutlineCursorWiresOn" );
    Tcl_DStringAppendElement ( &dString, "OutlineCursorWiresOff" );
    Tcl_DStringAppendElement ( &dString, "SetTranslationEnabled" );
    Tcl_DStringAppendElement ( &dString, "GetTranslationEnabled" );
    Tcl_DStringAppendElement ( &dString, "TranslationEnabledOn" );
    Tcl_DStringAppendElement ( &dString, "TranslationEnabledOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalingEnabled" );
    Tcl_DStringAppendElement ( &dString, "GetScalingEnabled" );
    Tcl_DStringAppendElement ( &dString, "ScalingEnabledOn" );
    Tcl_DStringAppendElement ( &dString, "ScalingEnabledOff" );
    Tcl_DStringAppendElement ( &dString, "SetRotationEnabled" );
    Tcl_DStringAppendElement ( &dString, "GetRotationEnabled" );
    Tcl_DStringAppendElement ( &dString, "RotationEnabledOn" );
    Tcl_DStringAppendElement ( &dString, "RotationEnabledOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtk3DWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkBoxWidget *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget (double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget ();this Superclass PlaceWidget " );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Get the planes describing the implicit function defined by the box\n widget. The user must provide the instance of the class vtkPlanes. Note\n that vtkPlanes is a subclass of vtkImplicitFunction, meaning that it can\n be used by a variety of filters to perform clipping, cutting, and\n selection of data.  (The direction of the normals of the planes can be\n reversed enabling the InsideOut flag.)\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax " );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlanes */
    if ( strcmp ( argv[2], "GetPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlanes" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlanes */
    Tcl_DStringAppendElement ( &dString, " Get the planes describing the implicit function defined by the box\n widget. The user must provide the instance of the class vtkPlanes. Note\n that vtkPlanes is a subclass of vtkImplicitFunction, meaning that it can\n be used by a variety of filters to perform clipping, cutting, and\n selection of data.  (The direction of the normals of the planes can be\n reversed enabling the InsideOut flag.)\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPlanes (vtkPlanes *planes);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInsideOut */
    if ( strcmp ( argv[2], "SetInsideOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInsideOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInsideOut */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut\n is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInsideOut (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for SetInsideOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInsideOut */
    if ( strcmp ( argv[2], "GetInsideOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInsideOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInsideOut */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut\n is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInsideOut ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetInsideOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsideOutOn */
    if ( strcmp ( argv[2], "InsideOutOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsideOutOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsideOutOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut\n is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsideOutOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for InsideOutOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsideOutOff */
    if ( strcmp ( argv[2], "InsideOutOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsideOutOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsideOutOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, the normals point out of the\n box. When on, the normals point into the hexahedron.  InsideOut\n is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsideOutOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for InsideOutOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " Retrieve a linear transform characterizing the transformation of the\n box. Note that the transformation is relative to where PlaceWidget\n was initially called. This method modifies the transform provided. The\n transform can be used to control the position of vtkProp3D's, as well as\n other transformation operations (e.g., vtkTranformPolyData).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetTransform (vtkTransform *t);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransform */
    if ( strcmp ( argv[2], "SetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransform */
    Tcl_DStringAppendElement ( &dString, " Set the position, scale and orientation of the box widget using the\n transform specified. Note that the transformation is relative to \n where PlaceWidget was initially called (i.e., the original bounding\n box). \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTransform (vtkTransform *t);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for SetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyData */
    if ( strcmp ( argv[2], "GetPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyData */
    Tcl_DStringAppendElement ( &dString, " Grab the polydata (including points) that define the box widget. The\n polydata consists of 6 quadrilateral faces and 15 points. The first\n eight points define the eight corner vertices; the next six define the\n -x,+x, -y,+y, -z,+z face points; and the final point (the 15th out of 15\n points) defines the center of the hexahedron. These point values are\n guaranteed to be up-to-date when either the InteractionEvent or\n EndInteractionEvent events are invoked. The user pro ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPolyData (vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleProperty */
    if ( strcmp ( argv[2], "GetHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n set.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetHandleProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedHandleProperty */
    if ( strcmp ( argv[2], "GetSelectedHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n set.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedHandleProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetSelectedHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandlesOn */
    if ( strcmp ( argv[2], "HandlesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandlesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandlesOn */
    Tcl_DStringAppendElement ( &dString, " Switches handles (the spheres) on or off by manipulating the actor\n visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "void HandlesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for HandlesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandlesOff */
    if ( strcmp ( argv[2], "HandlesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandlesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandlesOff */
    Tcl_DStringAppendElement ( &dString, " Switches handles (the spheres) on or off by manipulating the actor\n visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "void HandlesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for HandlesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceProperty */
    if ( strcmp ( argv[2], "GetFaceProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceProperty */
    Tcl_DStringAppendElement ( &dString, " Get the face properties (the faces of the box). The \n properties of the face when selected and normal can be \n set.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetFaceProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetFaceProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedFaceProperty */
    if ( strcmp ( argv[2], "GetSelectedFaceProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedFaceProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedFaceProperty */
    Tcl_DStringAppendElement ( &dString, " Get the face properties (the faces of the box). The \n properties of the face when selected and normal can be \n set.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedFaceProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetSelectedFaceProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutlineProperty */
    if ( strcmp ( argv[2], "GetOutlineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutlineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutlineProperty */
    Tcl_DStringAppendElement ( &dString, " Get the outline properties (the outline of the box). The \n properties of the outline when selected and normal can be \n set.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetOutlineProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetOutlineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedOutlineProperty */
    if ( strcmp ( argv[2], "GetSelectedOutlineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedOutlineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedOutlineProperty */
    Tcl_DStringAppendElement ( &dString, " Get the outline properties (the outline of the box). The \n properties of the outline when selected and normal can be \n set.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedOutlineProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetSelectedOutlineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutlineFaceWires */
    if ( strcmp ( argv[2], "SetOutlineFaceWires" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutlineFaceWires" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutlineFaceWires */
    Tcl_DStringAppendElement ( &dString, " Control the representation of the outline. This flag enables\n face wires. By default face wires are off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutlineFaceWires (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for SetOutlineFaceWires */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutlineFaceWires */
    if ( strcmp ( argv[2], "GetOutlineFaceWires" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutlineFaceWires" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutlineFaceWires */
    Tcl_DStringAppendElement ( &dString, " Control the representation of the outline. This flag enables\n face wires. By default face wires are off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutlineFaceWires ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetOutlineFaceWires */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineFaceWiresOn */
    if ( strcmp ( argv[2], "OutlineFaceWiresOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineFaceWiresOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineFaceWiresOn */
    Tcl_DStringAppendElement ( &dString, " Control the representation of the outline. This flag enables\n face wires. By default face wires are off.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineFaceWiresOn ();this SetOutlineFaceWires " );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for OutlineFaceWiresOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineFaceWiresOff */
    if ( strcmp ( argv[2], "OutlineFaceWiresOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineFaceWiresOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineFaceWiresOff */
    Tcl_DStringAppendElement ( &dString, " Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineFaceWiresOff ();this SetOutlineFaceWires " );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for OutlineFaceWiresOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutlineCursorWires */
    if ( strcmp ( argv[2], "SetOutlineCursorWires" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutlineCursorWires" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutlineCursorWires */
    Tcl_DStringAppendElement ( &dString, " Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutlineCursorWires (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for SetOutlineCursorWires */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutlineCursorWires */
    if ( strcmp ( argv[2], "GetOutlineCursorWires" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutlineCursorWires" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutlineCursorWires */
    Tcl_DStringAppendElement ( &dString, " Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutlineCursorWires ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetOutlineCursorWires */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineCursorWiresOn */
    if ( strcmp ( argv[2], "OutlineCursorWiresOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineCursorWiresOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineCursorWiresOn */
    Tcl_DStringAppendElement ( &dString, " Control the representation of the outline. This flag enables\n the cursor lines running between the handles. By default cursor\n wires are on.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineCursorWiresOn ();this SetOutlineCursorWires " );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for OutlineCursorWiresOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineCursorWiresOff */
    if ( strcmp ( argv[2], "OutlineCursorWiresOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineCursorWiresOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineCursorWiresOff */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineCursorWiresOff ();this SetOutlineCursorWires " );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for OutlineCursorWiresOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslationEnabled */
    if ( strcmp ( argv[2], "SetTranslationEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslationEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslationEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslationEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for SetTranslationEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslationEnabled */
    if ( strcmp ( argv[2], "GetTranslationEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslationEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslationEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTranslationEnabled ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetTranslationEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationEnabledOn */
    if ( strcmp ( argv[2], "TranslationEnabledOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationEnabledOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationEnabledOn */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationEnabledOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for TranslationEnabledOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationEnabledOff */
    if ( strcmp ( argv[2], "TranslationEnabledOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationEnabledOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationEnabledOff */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationEnabledOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for TranslationEnabledOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalingEnabled */
    if ( strcmp ( argv[2], "SetScalingEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalingEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalingEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalingEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for SetScalingEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalingEnabled */
    if ( strcmp ( argv[2], "GetScalingEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalingEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalingEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalingEnabled ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetScalingEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingEnabledOn */
    if ( strcmp ( argv[2], "ScalingEnabledOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingEnabledOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingEnabledOn */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingEnabledOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for ScalingEnabledOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingEnabledOff */
    if ( strcmp ( argv[2], "ScalingEnabledOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingEnabledOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingEnabledOff */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingEnabledOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for ScalingEnabledOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRotationEnabled */
    if ( strcmp ( argv[2], "SetRotationEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRotationEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for SetRotationEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRotationEnabled */
    if ( strcmp ( argv[2], "GetRotationEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationEnabled */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRotationEnabled ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for GetRotationEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RotationEnabledOn */
    if ( strcmp ( argv[2], "RotationEnabledOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RotationEnabledOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RotationEnabledOn */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void RotationEnabledOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for RotationEnabledOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RotationEnabledOff */
    if ( strcmp ( argv[2], "RotationEnabledOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RotationEnabledOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RotationEnabledOff */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the widget. Translation, rotation, and\n scaling can all be enabled and disabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void RotationEnabledOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkBoxWidget" );
    /* Closing for RotationEnabledOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
