// python wrapper for vtkCameraRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCameraRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCameraRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCameraRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderRepresentationNew(char *); }

static PyObject *PyvtkCameraRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  const char    *temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkCameraRepresentation  *temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCameraRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCameraRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_SetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkCamera  *temp0;
  PyObject *tempH0;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCamera");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraRepresentation::SetCamera(temp0);
      }
    else
      {
      op->SetCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_GetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkCamera  *temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::GetCamera();
      }
    else
      {
      temp20 = op->GetCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_SetInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkCameraInterpolator  *temp0;
  PyObject *tempH0;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCameraInterpolator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCameraInterpolator");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraRepresentation::SetInterpolator(temp0);
      }
    else
      {
      op->SetInterpolator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_GetInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkCameraInterpolator  *temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::GetInterpolator();
      }
    else
      {
      temp20 = op->GetInterpolator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_SetNumberOfFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  int      temp0;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraRepresentation::SetNumberOfFrames(temp0);
      }
    else
      {
      op->SetNumberOfFrames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_GetNumberOfFramesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  int      temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::GetNumberOfFramesMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfFramesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_GetNumberOfFramesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  int      temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::GetNumberOfFramesMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfFramesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_GetNumberOfFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  int      temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::GetNumberOfFrames();
      }
    else
      {
      temp20 = op->GetNumberOfFrames();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkProperty2D  *temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_AddCameraToPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraRepresentation::AddCameraToPath();
      }
    else
      {
      op->AddCameraToPath();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_AnimatePath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraRepresentation::AnimatePath(temp0);
      }
    else
      {
      op->AnimatePath(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_InitializePath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraRepresentation::InitializePath();
      }
    else
      {
      op->InitializePath();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  double temp0[2];
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraRepresentation::GetSize(temp0);
      }
    else
      {
      op->GetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraRepresentation::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkCameraRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraRepresentation *op;

  int      temp20;
  op = (vtkCameraRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCameraRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCameraRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK class methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCameraRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK class methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCameraRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCameraRepresentation\nC++: vtkCameraRepresentation *NewInstance ();\n\n Standard VTK class methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCameraRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCameraRepresentation\nC++: vtkCameraRepresentation *SafeDownCast (vtkObject* o);\n\n Standard VTK class methods.\n"},
  {(char*)"SetCamera",                (PyCFunction)PyvtkCameraRepresentation_SetCamera, 1,
   (char*)"V.SetCamera(vtkCamera)\nC++: void SetCamera (vtkCamera *camera);\n\n Specify the camera to interpolate. This must be specified by\n the user.\n"},
  {(char*)"GetCamera",                (PyCFunction)PyvtkCameraRepresentation_GetCamera, 1,
   (char*)"V.GetCamera() -> vtkCamera\nC++: vtkCamera *GetCamera ();\n\n Specify the camera to interpolate. This must be specified by\n the user.\n"},
  {(char*)"SetInterpolator",                (PyCFunction)PyvtkCameraRepresentation_SetInterpolator, 1,
   (char*)"V.SetInterpolator(vtkCameraInterpolator)\nC++: void SetInterpolator (vtkCameraInterpolator *camInt);\n\n Get the vtkCameraInterpolator used to interpolate and save the\n sequence of camera views. If not defined, one is created\n automatically. Note that you can access this object to set\n the interpolation type (linear, spline) and other instance\n variables.\n"},
  {(char*)"GetInterpolator",                (PyCFunction)PyvtkCameraRepresentation_GetInterpolator, 1,
   (char*)"V.GetInterpolator() -> vtkCameraInterpolator\nC++: vtkCameraInterpolator *GetInterpolator ();\n\n Get the vtkCameraInterpolator used to interpolate and save the\n sequence of camera views. If not defined, one is created\n automatically. Note that you can access this object to set\n the interpolation type (linear, spline) and other instance\n variables.\n"},
  {(char*)"SetNumberOfFrames",                (PyCFunction)PyvtkCameraRepresentation_SetNumberOfFrames, 1,
   (char*)"V.SetNumberOfFrames(int)\nC++: void SetNumberOfFrames (int );\n\n Set the number of frames to generate when playback is initiated.\n"},
  {(char*)"GetNumberOfFramesMinValue",                (PyCFunction)PyvtkCameraRepresentation_GetNumberOfFramesMinValue, 1,
   (char*)"V.GetNumberOfFramesMinValue() -> int\nC++: int GetNumberOfFramesMinValue ();\n\n Set the number of frames to generate when playback is initiated.\n"},
  {(char*)"GetNumberOfFramesMaxValue",                (PyCFunction)PyvtkCameraRepresentation_GetNumberOfFramesMaxValue, 1,
   (char*)"V.GetNumberOfFramesMaxValue() -> int\nC++: int GetNumberOfFramesMaxValue ();\n\n Set the number of frames to generate when playback is initiated.\n"},
  {(char*)"GetNumberOfFrames",                (PyCFunction)PyvtkCameraRepresentation_GetNumberOfFrames, 1,
   (char*)"V.GetNumberOfFrames() -> int\nC++: int GetNumberOfFrames ();\n\n Set the number of frames to generate when playback is initiated.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkCameraRepresentation_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetProperty ();\n\n By obtaining this property you can specify the properties of the \n representation.\n"},
  {(char*)"AddCameraToPath",                (PyCFunction)PyvtkCameraRepresentation_AddCameraToPath, 1,
   (char*)"V.AddCameraToPath()\nC++: void AddCameraToPath ();\n\n These methods are used to create interpolated camera paths.  The\n AddCameraToPath() method adds the view defined by the current camera\n (via SetCamera()) to the interpolated camera path. AnimatePath()\n interpolates NumberOfFrames along the current path. InitializePath()\n resets the interpolated path to its initial, empty configuration.\n"},
  {(char*)"AnimatePath",                (PyCFunction)PyvtkCameraRepresentation_AnimatePath, 1,
   (char*)"V.AnimatePath(vtkRenderWindowInteractor)\nC++: void AnimatePath (vtkRenderWindowInteractor *rwi);\n\n These methods are used to create interpolated camera paths.  The\n AddCameraToPath() method adds the view defined by the current camera\n (via SetCamera()) to the interpolated camera path. AnimatePath()\n interpolates NumberOfFrames along the current path. InitializePath()\n resets the interpolated path to its initial, empty configuration.\n"},
  {(char*)"InitializePath",                (PyCFunction)PyvtkCameraRepresentation_InitializePath, 1,
   (char*)"V.InitializePath()\nC++: void InitializePath ();\n\n These methods are used to create interpolated camera paths.  The\n AddCameraToPath() method adds the view defined by the current camera\n (via SetCamera()) to the interpolated camera path. AnimatePath()\n interpolates NumberOfFrames along the current path. InitializePath()\n resets the interpolated path to its initial, empty configuration.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkCameraRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Satisfy the superclasses' API.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkCameraRepresentation_GetSize, 1,
   (char*)"V.GetSize((float, float))\nC++: virtual void GetSize (double size[2]);size size \n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkCameraRepresentation_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkCameraRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkCameraRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkCameraRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkCameraRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkCameraRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCameraRepresentationDoc[] = {
  (char*)"vtkCameraRepresentation - represent the vtkCameraWidget\n\n",
  "Super Class:\n\n vtkBorderRepresentation\n\n",
  (char*)" This class provides support for interactively saving a series of camera\n views into an interpolated path (using vtkCameraInterpolator). The class\n typically works in conjunction with vtkCameraWidget. To use this class\n simply specify the camera to interpolate and use the methods\n AddCameraToPath(), AnimatePath(), and InitializePath() to add a new camera\n view, animate the current views, and initi",
  (char*)"alize the interpolation.\n\n",
  "See Also:\n\n vtkCameraWidget vtkCameraInterpolator\n\n",
  NULL
};

static vtkObjectBase *vtkCameraRepresentationStaticNew()
{
  return vtkCameraRepresentation::New();
}

PyObject *PyVTKClass_vtkCameraRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkCameraRepresentationStaticNew,
                        PyvtkCameraRepresentationMethods,
                        (char*)"vtkCameraRepresentation",modulename,
                        (char**)vtkCameraRepresentationDoc,
                        PyVTKClass_vtkBorderRepresentationNew(modulename));
}

