// python wrapper for vtkCameraWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCameraWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCameraWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCameraWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderWidgetNew(char *); }

static PyObject *PyvtkCameraWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraWidget *op;

  const char    *temp20;
  op = (vtkCameraWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkCameraWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraWidget *op;

  vtkCameraWidget  *temp20;
  op = (vtkCameraWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCameraWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCameraWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCameraWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraWidget *op;

  vtkCameraRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkCameraWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCameraRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCameraRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCameraWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraWidget *op;

  op = (vtkCameraWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCameraWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCameraWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standar VTK class methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCameraWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standar VTK class methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCameraWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCameraWidget\nC++: vtkCameraWidget *NewInstance ();\n\n Standar VTK class methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCameraWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCameraWidget\nC++: vtkCameraWidget *SafeDownCast (vtkObject* o);\n\n Standar VTK class methods.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkCameraWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkCameraRepresentation)\nC++: void SetRepresentation (vtkCameraRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkCameraWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCameraWidgetDoc[] = {
  (char*)"vtkCameraWidget - 2D widget for saving a series of camera views\n\n",
  "Super Class:\n\n vtkBorderWidget\n\n",
  (char*)" This class provides support for interactively saving a series of camera\n views into an interpolated path (using vtkCameraInterpolator). To use the\n class start by specifying a camera to interpolate, and then simply start\n recording by hitting the \"record\" button, manipulate the camera (by using\n an interactor, direct scripting, or any other means), and then save the\n camera view. Repeat this proc",
  (char*)"ess to record a series of views.  The user\n can then play back interpolated camera views using the \n vtkCameraInterpolator.\n\n",
  "See Also:\n\n vtkBorderWidget vtkCameraInterpolator\n\n",
  NULL
};

static vtkObjectBase *vtkCameraWidgetStaticNew()
{
  return vtkCameraWidget::New();
}

PyObject *PyVTKClass_vtkCameraWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkCameraWidgetStaticNew,
                        PyvtkCameraWidgetMethods,
                        (char*)"vtkCameraWidget",modulename,
                        (char**)vtkCameraWidgetDoc,
                        PyVTKClass_vtkBorderWidgetNew(modulename));
}

