// python wrapper for vtkCaptionRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCaptionRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCaptionRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCaptionRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderRepresentationNew(char *); }

static PyObject *PyvtkCaptionRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  const char    *temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  vtkCaptionRepresentation  *temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCaptionRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCaptionRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_SetAnchorPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  double temp0[3];
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionRepresentation::SetAnchorPosition(temp0);
      }
    else
      {
      op->SetAnchorPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_GetAnchorPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  double temp0[3];
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionRepresentation::GetAnchorPosition(temp0);
      }
    else
      {
      op->GetAnchorPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_SetCaptionActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  vtkCaptionActor2D  *temp0;
  PyObject *tempH0;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCaptionActor2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCaptionActor2D");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionRepresentation::SetCaptionActor2D(temp0);
      }
    else
      {
      op->SetCaptionActor2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_GetCaptionActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  vtkCaptionActor2D  *temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::GetCaptionActor2D();
      }
    else
      {
      temp20 = op->GetCaptionActor2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_SetAnchorRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  vtkPointHandleRepresentation3D  *temp0;
  PyObject *tempH0;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointHandleRepresentation3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointHandleRepresentation3D");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionRepresentation::SetAnchorRepresentation(temp0);
      }
    else
      {
      op->SetAnchorRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_GetAnchorRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  vtkPointHandleRepresentation3D  *temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::GetAnchorRepresentation();
      }
    else
      {
      temp20 = op->GetAnchorRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  double temp0[2];
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionRepresentation::GetSize(temp0);
      }
    else
      {
      op->GetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionRepresentation::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  int      temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_SetFontFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  double   temp0;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionRepresentation::SetFontFactor(temp0);
      }
    else
      {
      op->SetFontFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_GetFontFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  double   temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::GetFontFactorMinValue();
      }
    else
      {
      temp20 = op->GetFontFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_GetFontFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  double   temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::GetFontFactorMaxValue();
      }
    else
      {
      temp20 = op->GetFontFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionRepresentation_GetFontFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionRepresentation *op;

  double   temp20;
  op = (vtkCaptionRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionRepresentation::GetFontFactor();
      }
    else
      {
      temp20 = op->GetFontFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCaptionRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCaptionRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK class methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCaptionRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK class methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCaptionRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCaptionRepresentation\nC++: vtkCaptionRepresentation *NewInstance ();\n\n Standard VTK class methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCaptionRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCaptionRepresentation\nC++: vtkCaptionRepresentation *SafeDownCast (vtkObject* o);\n\n Standard VTK class methods.\n"},
  {(char*)"SetAnchorPosition",                (PyCFunction)PyvtkCaptionRepresentation_SetAnchorPosition, 1,
   (char*)"V.SetAnchorPosition((float, float, float))\nC++: void SetAnchorPosition (double pos[3]);\n\n Specify the position of the anchor (i.e., the point that the caption is anchored to).\n Note that the position should be specified in world coordinates.\n"},
  {(char*)"GetAnchorPosition",                (PyCFunction)PyvtkCaptionRepresentation_GetAnchorPosition, 1,
   (char*)"V.GetAnchorPosition((float, float, float))\nC++: void GetAnchorPosition (double pos[3]);\n\n Specify the position of the anchor (i.e., the point that the caption is anchored to).\n Note that the position should be specified in world coordinates.\n"},
  {(char*)"SetCaptionActor2D",                (PyCFunction)PyvtkCaptionRepresentation_SetCaptionActor2D, 1,
   (char*)"V.SetCaptionActor2D(vtkCaptionActor2D)\nC++: void SetCaptionActor2D (vtkCaptionActor2D *captionActor);\n\n Specify the vtkCaptionActor2D to manage. If not specified, then one\n is automatically created.\n"},
  {(char*)"GetCaptionActor2D",                (PyCFunction)PyvtkCaptionRepresentation_GetCaptionActor2D, 1,
   (char*)"V.GetCaptionActor2D() -> vtkCaptionActor2D\nC++: vtkCaptionActor2D *GetCaptionActor2D ();\n\n Specify the vtkCaptionActor2D to manage. If not specified, then one\n is automatically created.\n"},
  {(char*)"SetAnchorRepresentation",                (PyCFunction)PyvtkCaptionRepresentation_SetAnchorRepresentation, 1,
   (char*)"V.SetAnchorRepresentation(vtkPointHandleRepresentation3D)\nC++: void SetAnchorRepresentation (vtkPointHandleRepresentation3D *);\n\n Set and get the instances of vtkPointHandleRepresention3D used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n"},
  {(char*)"GetAnchorRepresentation",                (PyCFunction)PyvtkCaptionRepresentation_GetAnchorRepresentation, 1,
   (char*)"V.GetAnchorRepresentation() -> vtkPointHandleRepresentation3D\nC++: vtkPointHandleRepresentation3D *GetAnchorRepresentation ();\n\n Set and get the instances of vtkPointHandleRepresention3D used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkCaptionRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Satisfy the superclasses API.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkCaptionRepresentation_GetSize, 1,
   (char*)"V.GetSize((float, float))\nC++: virtual void GetSize (double size[2]);size size \n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkCaptionRepresentation_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkCaptionRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkCaptionRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkCaptionRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkCaptionRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkCaptionRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"SetFontFactor",                (PyCFunction)PyvtkCaptionRepresentation_SetFontFactor, 1,
   (char*)"V.SetFontFactor(float)\nC++: void SetFontFactor (double );\n\n Set/Get the factor that controls the overall size of the fonts \n of the caption when the text actor's ScaledText is OFF \n"},
  {(char*)"GetFontFactorMinValue",                (PyCFunction)PyvtkCaptionRepresentation_GetFontFactorMinValue, 1,
   (char*)"V.GetFontFactorMinValue() -> float\nC++: double GetFontFactorMinValue ();\n\n Set/Get the factor that controls the overall size of the fonts \n of the caption when the text actor's ScaledText is OFF \n"},
  {(char*)"GetFontFactorMaxValue",                (PyCFunction)PyvtkCaptionRepresentation_GetFontFactorMaxValue, 1,
   (char*)"V.GetFontFactorMaxValue() -> float\nC++: double GetFontFactorMaxValue ();\n\n Set/Get the factor that controls the overall size of the fonts \n of the caption when the text actor's ScaledText is OFF \n"},
  {(char*)"GetFontFactor",                (PyCFunction)PyvtkCaptionRepresentation_GetFontFactor, 1,
   (char*)"V.GetFontFactor() -> float\nC++: double GetFontFactor ();\n\n Set/Get the factor that controls the overall size of the fonts \n of the caption when the text actor's ScaledText is OFF \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCaptionRepresentationDoc[] = {
  (char*)"vtkCaptionRepresentation - represents vtkCaptionWidget in the scene\n\n",
  "Super Class:\n\n vtkBorderRepresentation\n\n",
  (char*)" This class represents vtkCaptionWidget. A caption is defined by some text\n with a leader (e.g., arrow) that points from the text to a point in the\n scene. The caption is defined by an instance of vtkCaptionActor2D. It uses\n the event bindings of its superclass (vtkBorderWidget) to control the\n placement of the text, and adds the ability to move the attachment point\n around. In addition, when the ",
  (char*)"caption text is selected, the widget emits a\n ActivateEvent that observers can watch for. This is useful for opening GUI\n dialogoues to adjust font characteristics, etc. (Please see the superclass\n for a description of event bindings.)\n\n Note that this widget extends the behavior of its superclass \n vtkBorderRepresentation. \n\n",
  "See Also:\n\n vtkCaptionWidget vtkBorderWidget vtkBorderRepresentation vtkCaptionActor\n\n",
  NULL
};

static vtkObjectBase *vtkCaptionRepresentationStaticNew()
{
  return vtkCaptionRepresentation::New();
}

PyObject *PyVTKClass_vtkCaptionRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkCaptionRepresentationStaticNew,
                        PyvtkCaptionRepresentationMethods,
                        (char*)"vtkCaptionRepresentation",modulename,
                        (char**)vtkCaptionRepresentationDoc,
                        PyVTKClass_vtkBorderRepresentationNew(modulename));
}

