// python wrapper for vtkCaptionWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCaptionWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCaptionWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCaptionWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderWidgetNew(char *); }

static PyObject *PyvtkCaptionWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionWidget *op;

  const char    *temp20;
  op = (vtkCaptionWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkCaptionWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionWidget *op;

  vtkCaptionWidget  *temp20;
  op = (vtkCaptionWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCaptionWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCaptionWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCaptionWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionWidget *op;

  int      temp0;
  op = (vtkCaptionWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionWidget *op;

  vtkCaptionRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkCaptionWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCaptionRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCaptionRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkCaptionWidget_SetCaptionActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionWidget *op;

  vtkCaptionActor2D  *temp0;
  PyObject *tempH0;
  op = (vtkCaptionWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCaptionActor2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCaptionActor2D");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionWidget::SetCaptionActor2D(temp0);
      }
    else
      {
      op->SetCaptionActor2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCaptionWidget_GetCaptionActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionWidget *op;

  vtkCaptionActor2D  *temp20;
  op = (vtkCaptionWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionWidget::GetCaptionActor2D();
      }
    else
      {
      temp20 = op->GetCaptionActor2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionWidget *op;

  op = (vtkCaptionWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCaptionWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCaptionWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK class methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCaptionWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK class methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCaptionWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCaptionWidget\nC++: vtkCaptionWidget *NewInstance ();\n\n Standard VTK class methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCaptionWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCaptionWidget\nC++: vtkCaptionWidget *SafeDownCast (vtkObject* o);\n\n Standard VTK class methods.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkCaptionWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int enabling);\n\n Override superclasses' SetEnabled() method because the caption leader\n has its own dedicated widget.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkCaptionWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkCaptionRepresentation)\nC++: void SetRepresentation (vtkCaptionRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Specify a vtkCaptionActor2D to manage. This is convenient, alternative\n method to SetRepresentation(). It internally create a vtkCaptionRepresentation\n and then invokes vtkCaptionRepresentation::SetCaptionActor2D().\n"},
  {(char*)"SetCaptionActor2D",                (PyCFunction)PyvtkCaptionWidget_SetCaptionActor2D, 1,
   (char*)"V.SetCaptionActor2D(vtkCaptionActor2D)\nC++: void SetCaptionActor2D (vtkCaptionActor2D *capActor);\n\n Specify a vtkCaptionActor2D to manage. This is convenient, alternative\n method to SetRepresentation(). It internally create a vtkCaptionRepresentation\n and then invokes vtkCaptionRepresentation::SetCaptionActor2D().\n"},
  {(char*)"GetCaptionActor2D",                (PyCFunction)PyvtkCaptionWidget_GetCaptionActor2D, 1,
   (char*)"V.GetCaptionActor2D() -> vtkCaptionActor2D\nC++: vtkCaptionActor2D *GetCaptionActor2D ();\n\n Specify a vtkCaptionActor2D to manage. This is convenient, alternative\n method to SetRepresentation(). It internally create a vtkCaptionRepresentation\n and then invokes vtkCaptionRepresentation::SetCaptionActor2D().\n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkCaptionWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCaptionWidgetDoc[] = {
  (char*)"vtkCaptionWidget - widget for placing a caption (text plus leader)\n\n",
  "Super Class:\n\n vtkBorderWidget\n\n",
  (char*)" This class provides support for interactively placing a caption on the 2D\n overlay plane. A caption is defined by some text with a leader (e.g.,\n arrow) that points from the text to a point in the scene. The caption is\n represented by a vtkCaptionRepresentation. It uses the event bindings of\n its superclass (vtkBorderWidget) to control the placement of the text, and\n adds the ability to move the ",
  (char*)"attachment point around. In addition, when\n the caption text is selected, the widget emits a ActivateEvent that\n observers can watch for. This is useful for opening GUI dialogoues to\n adjust font characteristics, etc. (Please see the superclass for a\n description of event bindings.)\n\n Note that this widget extends the behavior of its superclass \n vtkBorderWidget. The end point of the leader can be",
  (char*)" selected and\n moved around with an internal vtkHandleWidget.\n\n",
  "See Also:\n\n vtkBorderWidget vtkTextWidget\n\n",
  NULL
};

static vtkObjectBase *vtkCaptionWidgetStaticNew()
{
  return vtkCaptionWidget::New();
}

PyObject *PyVTKClass_vtkCaptionWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkCaptionWidgetStaticNew,
                        PyvtkCaptionWidgetMethods,
                        (char*)"vtkCaptionWidget",modulename,
                        (char**)vtkCaptionWidgetDoc,
                        PyVTKClass_vtkBorderWidgetNew(modulename));
}

