// tcl wrapper for vtkCenteredSliderRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCenteredSliderRepresentation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCenteredSliderRepresentationNewCommand()
{
  vtkCenteredSliderRepresentation *temp = vtkCenteredSliderRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkSliderRepresentationCppCommand(vtkSliderRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCenteredSliderRepresentationCppCommand(vtkCenteredSliderRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCenteredSliderRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCenteredSliderRepresentationCppCommand(static_cast<vtkCenteredSliderRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCenteredSliderRepresentationCppCommand(vtkCenteredSliderRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCenteredSliderRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkSliderRepresentationCppCommand(static_cast<vtkSliderRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkSliderRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCenteredSliderRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCenteredSliderRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCenteredSliderRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCenteredSliderRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCenteredSliderRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCenteredSliderRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint1Coordinate",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetPoint1Coordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("GetPoint2Coordinate",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetPoint2Coordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("SetTitleText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitleText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleText",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetTitleText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetTubeProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty2D  *temp20;
    temp20 = (op)->GetTubeProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
    }
  if ((!strcmp("GetSliderProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty2D  *temp20;
    temp20 = (op)->GetSliderProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty2D  *temp20;
    temp20 = (op)->GetSelectedProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
    }
  if ((!strcmp("GetLabelProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
    {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartWidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->StartWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeInteractionState",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("WidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Highlight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Highlight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCenteredSliderRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSliderRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCenteredSliderRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1Coordinate\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2Coordinate\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleText\n",NULL);
    Tcl_AppendResult(interp,"  GetTubeProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSliderProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelProperty\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  StartWidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeInteractionState\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  WidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Highlight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkSliderRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Coordinate" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Coordinate" );
    Tcl_DStringAppendElement ( &dString, "SetTitleText" );
    Tcl_DStringAppendElement ( &dString, "GetTitleText" );
    Tcl_DStringAppendElement ( &dString, "GetTubeProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSliderProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLabelProperty" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "Highlight" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkSliderRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCenteredSliderRepresentation *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1Coordinate */
    if ( strcmp ( argv[2], "GetPoint1Coordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Coordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1Coordinate */
    Tcl_DStringAppendElement ( &dString, " Position the first end point of the slider. Note that this point is an\n instance of vtkCoordinate, meaning that Point 1 can be specified in a\n variety of coordinate systems, and can even be relative to another\n point. To set the point, you'll want to get the Point1Coordinate and\n then invoke the necessary methods to put it into the correct coordinate\n system and set the correct initial value.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate *GetPoint1Coordinate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for GetPoint1Coordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2Coordinate */
    if ( strcmp ( argv[2], "GetPoint2Coordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Coordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2Coordinate */
    Tcl_DStringAppendElement ( &dString, " Position the second end point of the slider. Note that this point is an\n instance of vtkCoordinate, meaning that Point 1 can be specified in a\n variety of coordinate systems, and can even be relative to another\n point. To set the point, you'll want to get the Point2Coordinate and\n then invoke the necessary methods to put it into the correct coordinate\n system and set the correct initial value.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCoordinate *GetPoint2Coordinate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for GetPoint2Coordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleText */
    if ( strcmp ( argv[2], "SetTitleText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleText */
    Tcl_DStringAppendElement ( &dString, " Specify the label text for this widget. If the value is not set, or set\n to the empty string \"\", then the label text is not displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleText (const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for SetTitleText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleText */
    if ( strcmp ( argv[2], "GetTitleText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleText */
    Tcl_DStringAppendElement ( &dString, " Specify the label text for this widget. If the value is not set, or set\n to the empty string \"\", then the label text is not displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetTitleText ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for GetTitleText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTubeProperty */
    if ( strcmp ( argv[2], "GetTubeProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTubeProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTubeProperty */
    Tcl_DStringAppendElement ( &dString, " Get the properties for the tube and slider\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D *GetTubeProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for GetTubeProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliderProperty */
    if ( strcmp ( argv[2], "GetSliderProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliderProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliderProperty */
    Tcl_DStringAppendElement ( &dString, " Get the properties for the tube and slider\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D *GetSliderProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for GetSliderProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedProperty */
    if ( strcmp ( argv[2], "GetSelectedProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedProperty */
    Tcl_DStringAppendElement ( &dString, " Get the selection property. This property is used to modify the\n appearance of selected objects (e.g., the slider).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D *GetSelectedProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for GetSelectedProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelProperty */
    if ( strcmp ( argv[2], "GetLabelProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the properties for the label and title text.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetLabelProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for GetLabelProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds\\[6\\] specifies the location in display\n space where the widget should be placed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget (double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds\\[6\\] specifies the location in display\n space where the widget should be placed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWidgetInteraction */
    if ( strcmp ( argv[2], "StartWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds\\[6\\] specifies the location in display\n space where the widget should be placed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartWidgetInteraction (double eventPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for StartWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeInteractionState */
    if ( strcmp ( argv[2], "ComputeInteractionState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeInteractionState */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds\\[6\\] specifies the location in display\n space where the widget should be placed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ComputeInteractionState (int X, int Y, int modify);" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for ComputeInteractionState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WidgetInteraction */
    if ( strcmp ( argv[2], "WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds\\[6\\] specifies the location in display\n space where the widget should be placed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WidgetInteraction (double eventPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Highlight */
    if ( strcmp ( argv[2], "Highlight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Highlight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Highlight */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds\\[6\\] specifies the location in display\n space where the widget should be placed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Highlight (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for Highlight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors (vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources (vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay (vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry (vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCenteredSliderRepresentation" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkSliderRepresentationCppCommand(static_cast<vtkSliderRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
