// python wrapper for vtkCenteredSliderWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCenteredSliderWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCenteredSliderWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCenteredSliderWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkCenteredSliderWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCenteredSliderWidget *op;

  const char    *temp20;
  op = (vtkCenteredSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCenteredSliderWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCenteredSliderWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCenteredSliderWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkCenteredSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCenteredSliderWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCenteredSliderWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCenteredSliderWidget *op;

  vtkCenteredSliderWidget  *temp20;
  op = (vtkCenteredSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCenteredSliderWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCenteredSliderWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCenteredSliderWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCenteredSliderWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCenteredSliderWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCenteredSliderWidget *op;

  vtkSliderRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkCenteredSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSliderRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSliderRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCenteredSliderWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCenteredSliderWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCenteredSliderWidget *op;

  op = (vtkCenteredSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCenteredSliderWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCenteredSliderWidget_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCenteredSliderWidget *op;

  double   temp20;
  op = (vtkCenteredSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCenteredSliderWidget::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCenteredSliderWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCenteredSliderWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCenteredSliderWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCenteredSliderWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCenteredSliderWidget\nC++: vtkCenteredSliderWidget *NewInstance ();\n\n Standard macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCenteredSliderWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCenteredSliderWidget\nC++: vtkCenteredSliderWidget *SafeDownCast (vtkObject* o);\n\n Standard macros.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkCenteredSliderWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkSliderRepresentation)\nC++: void SetRepresentation (vtkSliderRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkCenteredSliderWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkCenteredSliderWidget_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: double GetValue ();return this Value \n\n Get the value fo this widget. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCenteredSliderWidgetDoc[] = {
  (char*)"vtkCenteredSliderWidget - set a value by manipulating a slider\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkCenteredSliderWidget is used to adjust a scalar value in an application.\n This class measures deviaitons form the center point on the slider.\n Moving the slider\n modifies the value of the widget, which can be used to set parameters on\n other objects. Note that the actual appearance of the widget depends on\n the specific representation for the widget.\n \n To use this widget, set the widget r",
  (char*)"epresentation. The representation is\n assumed to consist of a tube, two end caps, and a slider (the details may\n vary depending on the particulars of the representation). Then in the\n representation you will typically set minimum and maximum value, as well\n as the current value. The position of the slider must also be set, as well\n as various properties.\n\n Note that the value should be obtain from",
  (char*)" the widget, not from the\n represenaiton. Also note that Minimum and Maximum values are in terms of\n value per second. The value you get from this widget's GetValue method is\n multiplied by time.\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n If the slider bead is selected:\n   LeftBu",
  (char*)"ttonPressEvent - select slider (if on slider)\n   LeftButtonReleaseEvent - release slider (if selected)\n   MouseMoveEvent - move slider\n If the end caps or slider tube are selected:\n   LeftButtonPressEvent - move (or animate) to cap or point on tube;\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n",
  (char*)" into the vtkCenteredSliderWidget's widget events:\n <pre>\n   vtkWidgetEvent::Select -- some part of the widget has been selected\n   vtkWidgetEvent::EndSelect -- the selection process has completed\n   vtkWidgetEvent::Move -- a request for slider motion has been invoked\n </pre>\n\n In turn, when these widget events are processed, the vtkCenteredSliderWidget\n invokes the following VTK events on itself ",
  (char*)"(which observers can listen for):\n <pre>\n   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)\n   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)\n   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)\n </pre>\n\n\n",
  NULL
};

static vtkObjectBase *vtkCenteredSliderWidgetStaticNew()
{
  return vtkCenteredSliderWidget::New();
}

PyObject *PyVTKClass_vtkCenteredSliderWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkCenteredSliderWidgetStaticNew,
                        PyvtkCenteredSliderWidgetMethods,
                        (char*)"vtkCenteredSliderWidget",modulename,
                        (char**)vtkCenteredSliderWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

