// python wrapper for vtkCheckerboardRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCheckerboardRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCheckerboardRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCheckerboardRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkCheckerboardRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  const char    *temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkCheckerboardRepresentation  *temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCheckerboardRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCheckerboardRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_SetCheckerboard(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkImageCheckerboard  *temp0;
  PyObject *tempH0;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageCheckerboard *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageCheckerboard");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardRepresentation::SetCheckerboard(temp0);
      }
    else
      {
      op->SetCheckerboard(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_GetCheckerboard(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkImageCheckerboard  *temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::GetCheckerboard();
      }
    else
      {
      temp20 = op->GetCheckerboard();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_SetImageActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkImageActor  *temp0;
  PyObject *tempH0;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageActor");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardRepresentation::SetImageActor(temp0);
      }
    else
      {
      op->SetImageActor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_GetImageActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkImageActor  *temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::GetImageActor();
      }
    else
      {
      temp20 = op->GetImageActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_SetCornerOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  double   temp0;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardRepresentation::SetCornerOffset(temp0);
      }
    else
      {
      op->SetCornerOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_GetCornerOffsetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  double   temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::GetCornerOffsetMinValue();
      }
    else
      {
      temp20 = op->GetCornerOffsetMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_GetCornerOffsetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  double   temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::GetCornerOffsetMaxValue();
      }
    else
      {
      temp20 = op->GetCornerOffsetMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_GetCornerOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  double   temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::GetCornerOffset();
      }
    else
      {
      temp20 = op->GetCornerOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_SliderValueChanged(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  int      temp0;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardRepresentation::SliderValueChanged(temp0);
      }
    else
      {
      op->SliderValueChanged(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_SetTopRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkSliderRepresentation3D  *temp0;
  PyObject *tempH0;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSliderRepresentation3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSliderRepresentation3D");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardRepresentation::SetTopRepresentation(temp0);
      }
    else
      {
      op->SetTopRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_SetRightRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkSliderRepresentation3D  *temp0;
  PyObject *tempH0;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSliderRepresentation3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSliderRepresentation3D");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardRepresentation::SetRightRepresentation(temp0);
      }
    else
      {
      op->SetRightRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_SetBottomRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkSliderRepresentation3D  *temp0;
  PyObject *tempH0;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSliderRepresentation3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSliderRepresentation3D");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardRepresentation::SetBottomRepresentation(temp0);
      }
    else
      {
      op->SetBottomRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_SetLeftRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkSliderRepresentation3D  *temp0;
  PyObject *tempH0;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSliderRepresentation3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSliderRepresentation3D");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardRepresentation::SetLeftRepresentation(temp0);
      }
    else
      {
      op->SetLeftRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_GetTopRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkSliderRepresentation3D  *temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::GetTopRepresentation();
      }
    else
      {
      temp20 = op->GetTopRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_GetRightRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkSliderRepresentation3D  *temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::GetRightRepresentation();
      }
    else
      {
      temp20 = op->GetRightRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_GetBottomRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkSliderRepresentation3D  *temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::GetBottomRepresentation();
      }
    else
      {
      temp20 = op->GetBottomRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_GetLeftRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkSliderRepresentation3D  *temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::GetLeftRepresentation();
      }
    else
      {
      temp20 = op->GetLeftRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardRepresentation::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkCheckerboardRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardRepresentation *op;

  int      temp20;
  op = (vtkCheckerboardRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCheckerboardRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCheckerboardRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCheckerboardRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCheckerboardRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCheckerboardRepresentation\nC++: vtkCheckerboardRepresentation *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCheckerboardRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCheckerboardRepresentation\nC++: vtkCheckerboardRepresentation *SafeDownCast (vtkObject* o);\n\n Standard VTK methods.\n"},
  {(char*)"SetCheckerboard",                (PyCFunction)PyvtkCheckerboardRepresentation_SetCheckerboard, 1,
   (char*)"V.SetCheckerboard(vtkImageCheckerboard)\nC++: void SetCheckerboard (vtkImageCheckerboard *chkrbrd);\n\n Specify an instance of vtkImageCheckerboard to manipulate.\n"},
  {(char*)"GetCheckerboard",                (PyCFunction)PyvtkCheckerboardRepresentation_GetCheckerboard, 1,
   (char*)"V.GetCheckerboard() -> vtkImageCheckerboard\nC++: vtkImageCheckerboard *GetCheckerboard ();\n\n Specify an instance of vtkImageCheckerboard to manipulate.\n"},
  {(char*)"SetImageActor",                (PyCFunction)PyvtkCheckerboardRepresentation_SetImageActor, 1,
   (char*)"V.SetImageActor(vtkImageActor)\nC++: void SetImageActor (vtkImageActor *imageActor);\n\n Specify an instance of vtkImageActor to decorate.\n"},
  {(char*)"GetImageActor",                (PyCFunction)PyvtkCheckerboardRepresentation_GetImageActor, 1,
   (char*)"V.GetImageActor() -> vtkImageActor\nC++: vtkImageActor *GetImageActor ();\n\n Specify an instance of vtkImageActor to decorate.\n"},
  {(char*)"SetCornerOffset",                (PyCFunction)PyvtkCheckerboardRepresentation_SetCornerOffset, 1,
   (char*)"V.SetCornerOffset(float)\nC++: void SetCornerOffset (double );\n\n Specify the offset of the ends of the sliders (on the boundary edges of\n the image) from the corner of the image. The offset is expressed as a\n normalized fraction of the border edges.\n"},
  {(char*)"GetCornerOffsetMinValue",                (PyCFunction)PyvtkCheckerboardRepresentation_GetCornerOffsetMinValue, 1,
   (char*)"V.GetCornerOffsetMinValue() -> float\nC++: double GetCornerOffsetMinValue ();\n\n Specify the offset of the ends of the sliders (on the boundary edges of\n the image) from the corner of the image. The offset is expressed as a\n normalized fraction of the border edges.\n"},
  {(char*)"GetCornerOffsetMaxValue",                (PyCFunction)PyvtkCheckerboardRepresentation_GetCornerOffsetMaxValue, 1,
   (char*)"V.GetCornerOffsetMaxValue() -> float\nC++: double GetCornerOffsetMaxValue ();\n\n Specify the offset of the ends of the sliders (on the boundary edges of\n the image) from the corner of the image. The offset is expressed as a\n normalized fraction of the border edges.\n"},
  {(char*)"GetCornerOffset",                (PyCFunction)PyvtkCheckerboardRepresentation_GetCornerOffset, 1,
   (char*)"V.GetCornerOffset() -> float\nC++: double GetCornerOffset ();\n\n Specify the offset of the ends of the sliders (on the boundary edges of\n the image) from the corner of the image. The offset is expressed as a\n normalized fraction of the border edges.\n"},
  {(char*)"SliderValueChanged",                (PyCFunction)PyvtkCheckerboardRepresentation_SliderValueChanged, 1,
   (char*)"V.SliderValueChanged(int)\nC++: void SliderValueChanged (int sliderNum);\n\n This method is invoked by the vtkCheckerboardWidget() when a value of some\n slider has changed.\n"},
  {(char*)"SetTopRepresentation",                (PyCFunction)PyvtkCheckerboardRepresentation_SetTopRepresentation, 1,
   (char*)"V.SetTopRepresentation(vtkSliderRepresentation3D)\nC++: void SetTopRepresentation (vtkSliderRepresentation3D *);\n\n Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n"},
  {(char*)"SetRightRepresentation",                (PyCFunction)PyvtkCheckerboardRepresentation_SetRightRepresentation, 1,
   (char*)"V.SetRightRepresentation(vtkSliderRepresentation3D)\nC++: void SetRightRepresentation (vtkSliderRepresentation3D *);\n\n Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n"},
  {(char*)"SetBottomRepresentation",                (PyCFunction)PyvtkCheckerboardRepresentation_SetBottomRepresentation, 1,
   (char*)"V.SetBottomRepresentation(vtkSliderRepresentation3D)\nC++: void SetBottomRepresentation (vtkSliderRepresentation3D *);\n\n Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n"},
  {(char*)"SetLeftRepresentation",                (PyCFunction)PyvtkCheckerboardRepresentation_SetLeftRepresentation, 1,
   (char*)"V.SetLeftRepresentation(vtkSliderRepresentation3D)\nC++: void SetLeftRepresentation (vtkSliderRepresentation3D *);\n\n Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n"},
  {(char*)"GetTopRepresentation",                (PyCFunction)PyvtkCheckerboardRepresentation_GetTopRepresentation, 1,
   (char*)"V.GetTopRepresentation() -> vtkSliderRepresentation3D\nC++: vtkSliderRepresentation3D *GetTopRepresentation ();\n\n Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n"},
  {(char*)"GetRightRepresentation",                (PyCFunction)PyvtkCheckerboardRepresentation_GetRightRepresentation, 1,
   (char*)"V.GetRightRepresentation() -> vtkSliderRepresentation3D\nC++: vtkSliderRepresentation3D *GetRightRepresentation ();\n\n Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n"},
  {(char*)"GetBottomRepresentation",                (PyCFunction)PyvtkCheckerboardRepresentation_GetBottomRepresentation, 1,
   (char*)"V.GetBottomRepresentation() -> vtkSliderRepresentation3D\nC++: vtkSliderRepresentation3D *GetBottomRepresentation ();\n\n Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n"},
  {(char*)"GetLeftRepresentation",                (PyCFunction)PyvtkCheckerboardRepresentation_GetLeftRepresentation, 1,
   (char*)"V.GetLeftRepresentation() -> vtkSliderRepresentation3D\nC++: vtkSliderRepresentation3D *GetLeftRepresentation ();\n\n Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkCheckerboardRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Methods required by superclass.\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkCheckerboardRepresentation_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n Methods required by superclass.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkCheckerboardRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *w);\n\n Methods required by superclass.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkCheckerboardRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n Methods required by superclass.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkCheckerboardRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Methods required by superclass.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkCheckerboardRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport);\n\n Methods required by superclass.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkCheckerboardRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Methods required by superclass.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCheckerboardRepresentationDoc[] = {
  (char*)"vtkCheckerboardRepresentation - represent the vtkCheckerboardWidget\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" The vtkCheckerboardRepresentation is used to implement the representation of\n the vtkCheckerboardWidget. The user can adjust the number of divisions in\n each of the i-j directions in a 2D image. A frame appears around the\n vtkImageActor with sliders along each side of the frame. The user can\n interactively adjust the sliders to the desired number of checkerboard\n subdivisions. The representation ",
  (char*)"uses four instances of \n vtkSliderRepresentation3D to implement itself.\n\n",
  "See Also:\n\n vtkCheckerboardWidget vtkImageCheckerboard vtkImageActor vtkSliderWidget \n vtkRectilinearWipeWidget\n\n",
  NULL
};

static vtkObjectBase *vtkCheckerboardRepresentationStaticNew()
{
  return vtkCheckerboardRepresentation::New();
}

PyObject *PyVTKClass_vtkCheckerboardRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkCheckerboardRepresentationStaticNew,
                        PyvtkCheckerboardRepresentationMethods,
                        (char*)"vtkCheckerboardRepresentation",modulename,
                        (char**)vtkCheckerboardRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

