// python wrapper for vtkCheckerboardWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCheckerboardWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCheckerboardWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCheckerboardWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkCheckerboardWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardWidget *op;

  const char    *temp20;
  op = (vtkCheckerboardWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkCheckerboardWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardWidget *op;

  vtkCheckerboardWidget  *temp20;
  op = (vtkCheckerboardWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCheckerboardWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCheckerboardWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCheckerboardWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCheckerboardWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardWidget *op;

  int      temp0;
  op = (vtkCheckerboardWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCheckerboardWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardWidget *op;

  vtkCheckerboardRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkCheckerboardWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCheckerboardRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCheckerboardRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkCheckerboardWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCheckerboardWidget *op;

  op = (vtkCheckerboardWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCheckerboardWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCheckerboardWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCheckerboardWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCheckerboardWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for a VTK class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCheckerboardWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCheckerboardWidget\nC++: vtkCheckerboardWidget *NewInstance ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCheckerboardWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCheckerboardWidget\nC++: vtkCheckerboardWidget *SafeDownCast (vtkObject* o);\n\n Standard methods for a VTK class.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkCheckerboardWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n The method for activiating and deactiviating this widget. This method\n must be overridden because it is a composite widget and does more than\n its superclasses' vtkAbstractWidget::SetEnabled() method.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkCheckerboardWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkCheckerboardRepresentation)\nC++: void SetRepresentation (vtkCheckerboardRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkCheckerboardWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCheckerboardWidgetDoc[] = {
  (char*)"vtkCheckerboardWidget - interactively set the number of divisions in 2D image checkerboard\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkCheckerboardWidget is used to interactively control an instance of\n vtkImageCheckerboard (and an associated vtkImageActor used to display the\n checkerboard). The user can adjust the number of divisions in each of the\n i-j directions in a 2D image. A frame appears around the vtkImageActor\n with sliders along each side of the frame. The user can interactively\n adjust the sliders to the desir",
  (char*)"ed number of checkerboard subdivisions.\n \n To use this widget, specify an instance of vtkImageCheckerboard and an\n instance of vtkImageActor. By default, the widget responds to the\n following events:\n <pre>\n If the slider bead is selected:\n   LeftButtonPressEvent - select slider (if on slider)\n   LeftButtonReleaseEvent - release slider \n   MouseMoveEvent - move slider\n If the end caps or slider tu",
  (char*)"be of a slider are selected:\n   LeftButtonPressEvent - jump (or animate) to cap or point on tube;\n </pre>\n It is possible to change these event bindings. Please refer to the\n documentation for vtkSliderWidget for more information. Advanced users may\n directly access and manipulate the sliders by obtaining the instances of\n vtkSliderWidget composing the vtkCheckerboard widget. \n\n",
  "See Also:\n\n vtkImageCheckerboard vtkImageActor vtkSliderWidget vtkRectilinearWipeWidget\n\n",
  NULL
};

static vtkObjectBase *vtkCheckerboardWidgetStaticNew()
{
  return vtkCheckerboardWidget::New();
}

PyObject *PyVTKClass_vtkCheckerboardWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkCheckerboardWidgetStaticNew,
                        PyvtkCheckerboardWidgetMethods,
                        (char*)"vtkCheckerboardWidget",modulename,
                        (char**)vtkCheckerboardWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

