// python wrapper for vtkClosedSurfacePointPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkClosedSurfacePointPlacer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkClosedSurfacePointPlacerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkClosedSurfacePointPlacerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointPlacerNew(char *); }

static PyObject *PyvtkClosedSurfacePointPlacer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  const char    *temp20;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClosedSurfacePointPlacer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  char    *temp0;
  int      temp20;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClosedSurfacePointPlacer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  vtkClosedSurfacePointPlacer  *temp20;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClosedSurfacePointPlacer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkClosedSurfacePointPlacer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkClosedSurfacePointPlacer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_AddBoundingPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkClosedSurfacePointPlacer::AddBoundingPlane(temp0);
      }
    else
      {
      op->AddBoundingPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_RemoveBoundingPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkClosedSurfacePointPlacer::RemoveBoundingPlane(temp0);
      }
    else
      {
      op->RemoveBoundingPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_RemoveAllBoundingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClosedSurfacePointPlacer::RemoveAllBoundingPlanes();
      }
    else
      {
      op->RemoveAllBoundingPlanes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_SetBoundingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  vtkPlaneCollection  *temp0;
  PyObject *tempH0;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlaneCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlaneCollection");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkClosedSurfacePointPlacer::SetBoundingPlanes(temp0);
      }
    else
      {
      op->SetBoundingPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  vtkPlanes  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlanes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlanes");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkClosedSurfacePointPlacer::SetBoundingPlanes(temp0);
      }
    else
      {
      op->SetBoundingPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_GetBoundingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  vtkPlaneCollection  *temp20;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClosedSurfacePointPlacer::GetBoundingPlanes();
      }
    else
      {
      temp20 = op->GetBoundingPlanes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_ComputeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3, temp3 + 4, temp3 + 5, temp3 + 6, temp3 + 7, temp3 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClosedSurfacePointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[2];
  double temp3[3];
  double temp4[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(dd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, temp4 + 3, temp4 + 4, temp4 + 5, temp4 + 6, temp4 + 7, temp4 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClosedSurfacePointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_ValidateWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  double temp0[3];
  int      temp20;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClosedSurfacePointPlacer::ValidateWorldPosition(temp0);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  double temp0[3];
  double temp1[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClosedSurfacePointPlacer::ValidateWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_SetMinimumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  double   temp0;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClosedSurfacePointPlacer::SetMinimumDistance(temp0);
      }
    else
      {
      op->SetMinimumDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_GetMinimumDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  double   temp20;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClosedSurfacePointPlacer::GetMinimumDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMinimumDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_GetMinimumDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  double   temp20;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClosedSurfacePointPlacer::GetMinimumDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMinimumDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClosedSurfacePointPlacer_GetMinimumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClosedSurfacePointPlacer *op;

  double   temp20;
  op = (vtkClosedSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClosedSurfacePointPlacer::GetMinimumDistance();
      }
    else
      {
      temp20 = op->GetMinimumDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkClosedSurfacePointPlacerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkClosedSurfacePointPlacer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkClosedSurfacePointPlacer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkClosedSurfacePointPlacer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkClosedSurfacePointPlacer\nC++: vtkClosedSurfacePointPlacer *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkClosedSurfacePointPlacer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkClosedSurfacePointPlacer\nC++: vtkClosedSurfacePointPlacer *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"AddBoundingPlane",                (PyCFunction)PyvtkClosedSurfacePointPlacer_AddBoundingPlane, 1,
   (char*)"V.AddBoundingPlane(vtkPlane)\nC++: void AddBoundingPlane (vtkPlane *plane);\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"RemoveBoundingPlane",                (PyCFunction)PyvtkClosedSurfacePointPlacer_RemoveBoundingPlane, 1,
   (char*)"V.RemoveBoundingPlane(vtkPlane)\nC++: void RemoveBoundingPlane (vtkPlane *plane);\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"RemoveAllBoundingPlanes",                (PyCFunction)PyvtkClosedSurfacePointPlacer_RemoveAllBoundingPlanes, 1,
   (char*)"V.RemoveAllBoundingPlanes()\nC++: void RemoveAllBoundingPlanes ();\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"SetBoundingPlanes",                (PyCFunction)PyvtkClosedSurfacePointPlacer_SetBoundingPlanes, 1,
   (char*)"V.SetBoundingPlanes(vtkPlaneCollection)\nC++: virtual void SetBoundingPlanes (vtkPlaneCollection *);\nV.SetBoundingPlanes(vtkPlanes)\nC++: void SetBoundingPlanes (vtkPlanes *planes);\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"GetBoundingPlanes",                (PyCFunction)PyvtkClosedSurfacePointPlacer_GetBoundingPlanes, 1,
   (char*)"V.GetBoundingPlanes() -> vtkPlaneCollection\nC++: vtkPlaneCollection *GetBoundingPlanes ();\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"ComputeWorldPosition",                (PyCFunction)PyvtkClosedSurfacePointPlacer_ComputeWorldPosition, 1,
   (char*)"V.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]);\nV.ComputeWorldPosition(vtkRenderer, (float, float), (float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[2], double worldPos[3], double worldOrient[9]);\n\n Given a renderer and a display position, compute the \n world position and world orientation for this point. \n A plane is defined by a combination of the\n ProjectionNormal, ProjectionOrigin, and ObliquePlane\n ivars. The display position is projected onto this\n plane to determine a world position, and the \n orientation is set to the normal of the plane. If\n the point cannot project onto the plane or if it\n falls outside the bounds imposed by the\n BoundingPlanes, then 0 is returned, otherwise 1 is\n returned to indicate a valid return position and\n orientation.\n"},
  {(char*)"ValidateWorldPosition",                (PyCFunction)PyvtkClosedSurfacePointPlacer_ValidateWorldPosition, 1,
   (char*)"V.ValidateWorldPosition((float, float, float)) -> int\nC++: int ValidateWorldPosition (double worldPos[3]);\nV.ValidateWorldPosition((float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int ValidateWorldPosition (double worldPos[3], double worldOrient[9]);\n\n Give a world position check if it is valid - does\n it lie on the plane and within the bounds? Returns\n 1 if it is valid, 0 otherwise.\n"},
  {(char*)"SetMinimumDistance",                (PyCFunction)PyvtkClosedSurfacePointPlacer_SetMinimumDistance, 1,
   (char*)"V.SetMinimumDistance(float)\nC++: void SetMinimumDistance (double );\n\n"},
  {(char*)"GetMinimumDistanceMinValue",                (PyCFunction)PyvtkClosedSurfacePointPlacer_GetMinimumDistanceMinValue, 1,
   (char*)"V.GetMinimumDistanceMinValue() -> float\nC++: double GetMinimumDistanceMinValue ();\n\n"},
  {(char*)"GetMinimumDistanceMaxValue",                (PyCFunction)PyvtkClosedSurfacePointPlacer_GetMinimumDistanceMaxValue, 1,
   (char*)"V.GetMinimumDistanceMaxValue() -> float\nC++: double GetMinimumDistanceMaxValue ();\n\n"},
  {(char*)"GetMinimumDistance",                (PyCFunction)PyvtkClosedSurfacePointPlacer_GetMinimumDistance, 1,
   (char*)"V.GetMinimumDistance() -> float\nC++: double GetMinimumDistance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkClosedSurfacePointPlacerDoc[] = {
  (char*)"vtkClosedSurfacePointPlacer - PointPlacer to constrain validity within a set of convex planes\n\n",
  "Super Class:\n\n vtkPointPlacer\n\n",
  (char*)" This placer takes a set of boudning planes and constraints the validity\n within the supplied convex planes. It is used by the \n ParallelopPipedRepresentation to place constraints on the motion the \n handles within the parallelopiped.\n \n\n",
  "See Also:\n\n vtkParallelopipedRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkClosedSurfacePointPlacerStaticNew()
{
  return vtkClosedSurfacePointPlacer::New();
}

PyObject *PyVTKClass_vtkClosedSurfacePointPlacerNew(char *modulename)
{
  return PyVTKClass_New(&vtkClosedSurfacePointPlacerStaticNew,
                        PyvtkClosedSurfacePointPlacerMethods,
                        (char*)"vtkClosedSurfacePointPlacer",modulename,
                        (char**)vtkClosedSurfacePointPlacerDoc,
                        PyVTKClass_vtkPointPlacerNew(modulename));
}

