// python wrapper for vtkConstrainedPointHandleRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkConstrainedPointHandleRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConstrainedPointHandleRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConstrainedPointHandleRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHandleRepresentationNew(char *); }

static PyObject *PyvtkConstrainedPointHandleRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  const char    *temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkConstrainedPointHandleRepresentation  *temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkConstrainedPointHandleRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkConstrainedPointHandleRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetCursorShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetCursorShape(temp0);
      }
    else
      {
      op->SetCursorShape(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetCursorShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPolyData  *temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetCursorShape();
      }
    else
      {
      temp20 = op->GetCursorShape();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetActiveCursorShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetActiveCursorShape(temp0);
      }
    else
      {
      op->SetActiveCursorShape(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetActiveCursorShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPolyData  *temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetActiveCursorShape();
      }
    else
      {
      temp20 = op->GetActiveCursorShape();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetProjectionNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  int      temp0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetProjectionNormal(temp0);
      }
    else
      {
      op->SetProjectionNormal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetProjectionNormalMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  int      temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetProjectionNormalMinValue();
      }
    else
      {
      temp20 = op->GetProjectionNormalMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetProjectionNormalMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  int      temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetProjectionNormalMaxValue();
      }
    else
      {
      temp20 = op->GetProjectionNormalMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetProjectionNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  int      temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetProjectionNormal();
      }
    else
      {
      temp20 = op->GetProjectionNormal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetProjectionNormalToXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetProjectionNormalToXAxis();
      }
    else
      {
      op->SetProjectionNormalToXAxis();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetProjectionNormalToYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetProjectionNormalToYAxis();
      }
    else
      {
      op->SetProjectionNormalToYAxis();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetProjectionNormalToZAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetProjectionNormalToZAxis();
      }
    else
      {
      op->SetProjectionNormalToZAxis();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetProjectionNormalToOblique(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetProjectionNormalToOblique();
      }
    else
      {
      op->SetProjectionNormalToOblique();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetObliquePlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetObliquePlane(temp0);
      }
    else
      {
      op->SetObliquePlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetObliquePlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPlane  *temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetObliquePlane();
      }
    else
      {
      temp20 = op->GetObliquePlane();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetProjectionPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  double   temp0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetProjectionPosition(temp0);
      }
    else
      {
      op->SetProjectionPosition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetProjectionPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  double   temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetProjectionPosition();
      }
    else
      {
      temp20 = op->GetProjectionPosition();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_AddBoundingPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::AddBoundingPlane(temp0);
      }
    else
      {
      op->AddBoundingPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_RemoveBoundingPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::RemoveBoundingPlane(temp0);
      }
    else
      {
      op->RemoveBoundingPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_RemoveAllBoundingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::RemoveAllBoundingPlanes();
      }
    else
      {
      op->RemoveAllBoundingPlanes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetBoundingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPlaneCollection  *temp0;
  PyObject *tempH0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlaneCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlaneCollection");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetBoundingPlanes(temp0);
      }
    else
      {
      op->SetBoundingPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPlanes  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlanes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlanes");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetBoundingPlanes(temp0);
      }
    else
      {
      op->SetBoundingPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetBoundingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPlaneCollection  *temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetBoundingPlanes();
      }
    else
      {
      temp20 = op->GetBoundingPlanes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_CheckConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  int      temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)", &tempH0, temp1 + 0, temp1 + 1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::CheckConstraint(temp0,temp1);
      }
    else
      {
      temp20 = op->CheckConstraint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  double temp0[3];
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::GetPosition(temp0);
      }
    else
      {
      op->GetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetSelectedProperty();
      }
    else
      {
      temp20 = op->GetSelectedProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetActiveProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::GetActiveProperty();
      }
    else
      {
      temp20 = op->GetActiveProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break33:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  double temp0[2];
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  double temp0[2];
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_SetDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  double temp0[3];
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::SetDisplayPosition(temp0);
      }
    else
      {
      op->SetDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break43;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break43:
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  int      temp20;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConstrainedPointHandleRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConstrainedPointHandleRepresentation_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConstrainedPointHandleRepresentation *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkConstrainedPointHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkConstrainedPointHandleRepresentation::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  return NULL;
}

static PyMethodDef PyvtkConstrainedPointHandleRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkConstrainedPointHandleRepresentation\nC++: vtkConstrainedPointHandleRepresentation *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkConstrainedPointHandleRepresentation\nC++: vtkConstrainedPointHandleRepresentation *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetCursorShape",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetCursorShape, 1,
   (char*)"V.SetCursorShape(vtkPolyData)\nC++: void SetCursorShape (vtkPolyData *cursorShape);\n\n Specify the cursor shape. Keep in mind that the shape will be\n aligned with the  constraining plane by orienting it such that\n the x axis of the geometry lies along the normal of the plane.\n"},
  {(char*)"GetCursorShape",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetCursorShape, 1,
   (char*)"V.GetCursorShape() -> vtkPolyData\nC++: vtkPolyData *GetCursorShape ();\n\n Specify the cursor shape. Keep in mind that the shape will be\n aligned with the  constraining plane by orienting it such that\n the x axis of the geometry lies along the normal of the plane.\n"},
  {(char*)"SetActiveCursorShape",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetActiveCursorShape, 1,
   (char*)"V.SetActiveCursorShape(vtkPolyData)\nC++: void SetActiveCursorShape (vtkPolyData *activeShape);\n\n Specify the shape of the cursor (handle) when it is active.\n This is the geometry that will be used when the mouse is\n close to the handle or if the user is manipulating the handle.\n"},
  {(char*)"GetActiveCursorShape",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetActiveCursorShape, 1,
   (char*)"V.GetActiveCursorShape() -> vtkPolyData\nC++: vtkPolyData *GetActiveCursorShape ();\n\n Specify the shape of the cursor (handle) when it is active.\n This is the geometry that will be used when the mouse is\n close to the handle or if the user is manipulating the handle.\n"},
  {(char*)"SetProjectionNormal",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetProjectionNormal, 1,
   (char*)"V.SetProjectionNormal(int)\nC++: void SetProjectionNormal (int );\n\n Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n"},
  {(char*)"GetProjectionNormalMinValue",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetProjectionNormalMinValue, 1,
   (char*)"V.GetProjectionNormalMinValue() -> int\nC++: int GetProjectionNormalMinValue ();\n\n Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n"},
  {(char*)"GetProjectionNormalMaxValue",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetProjectionNormalMaxValue, 1,
   (char*)"V.GetProjectionNormalMaxValue() -> int\nC++: int GetProjectionNormalMaxValue ();\n\n Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n"},
  {(char*)"GetProjectionNormal",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetProjectionNormal, 1,
   (char*)"V.GetProjectionNormal() -> int\nC++: int GetProjectionNormal ();\n\n Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is \n defined in the ObliquePlane ivar.\n"},
  {(char*)"SetProjectionNormalToXAxis",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetProjectionNormalToXAxis, 1,
   (char*)"V.SetProjectionNormalToXAxis()\nC++: void SetProjectionNormalToXAxis ();this SetProjectionNormal vtkConstrainedPointHandleRepresentation XAxis \n\n"},
  {(char*)"SetProjectionNormalToYAxis",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetProjectionNormalToYAxis, 1,
   (char*)"V.SetProjectionNormalToYAxis()\nC++: void SetProjectionNormalToYAxis ();this SetProjectionNormal vtkConstrainedPointHandleRepresentation YAxis \n\n"},
  {(char*)"SetProjectionNormalToZAxis",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetProjectionNormalToZAxis, 1,
   (char*)"V.SetProjectionNormalToZAxis()\nC++: void SetProjectionNormalToZAxis ();this SetProjectionNormal vtkConstrainedPointHandleRepresentation ZAxis \n\n"},
  {(char*)"SetProjectionNormalToOblique",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetProjectionNormalToOblique, 1,
   (char*)"V.SetProjectionNormalToOblique()\nC++: void SetProjectionNormalToOblique ();this SetProjectionNormal vtkConstrainedPointHandleRepresentation Oblique \n\n If the ProjectionNormal is set to Oblique, then this is the \n oblique plane used to constrain the handle position\n"},
  {(char*)"SetObliquePlane",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetObliquePlane, 1,
   (char*)"V.SetObliquePlane(vtkPlane)\nC++: void SetObliquePlane (vtkPlane *);\n\n If the ProjectionNormal is set to Oblique, then this is the \n oblique plane used to constrain the handle position\n"},
  {(char*)"GetObliquePlane",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetObliquePlane, 1,
   (char*)"V.GetObliquePlane() -> vtkPlane\nC++: vtkPlane *GetObliquePlane ();\n\n If the ProjectionNormal is set to Oblique, then this is the \n oblique plane used to constrain the handle position\n"},
  {(char*)"SetProjectionPosition",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetProjectionPosition, 1,
   (char*)"V.SetProjectionPosition(float)\nC++: void SetProjectionPosition (double position);\n\n The position of the bounding plane from the origin along the\n normal. The origin and normal are defined in the oblique plane\n when the ProjectionNormal is Oblique. For the X, Y, and Z\n axes projection normals, the normal is the axis direction, and\n the origin is (0,0,0).\n"},
  {(char*)"GetProjectionPosition",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetProjectionPosition, 1,
   (char*)"V.GetProjectionPosition() -> float\nC++: double GetProjectionPosition ();\n\n The position of the bounding plane from the origin along the\n normal. The origin and normal are defined in the oblique plane\n when the ProjectionNormal is Oblique. For the X, Y, and Z\n axes projection normals, the normal is the axis direction, and\n the origin is (0,0,0).\n"},
  {(char*)"AddBoundingPlane",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_AddBoundingPlane, 1,
   (char*)"V.AddBoundingPlane(vtkPlane)\nC++: void AddBoundingPlane (vtkPlane *plane);\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"RemoveBoundingPlane",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_RemoveBoundingPlane, 1,
   (char*)"V.RemoveBoundingPlane(vtkPlane)\nC++: void RemoveBoundingPlane (vtkPlane *plane);\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"RemoveAllBoundingPlanes",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_RemoveAllBoundingPlanes, 1,
   (char*)"V.RemoveAllBoundingPlanes()\nC++: void RemoveAllBoundingPlanes ();\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"SetBoundingPlanes",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetBoundingPlanes, 1,
   (char*)"V.SetBoundingPlanes(vtkPlaneCollection)\nC++: virtual void SetBoundingPlanes (vtkPlaneCollection *);\nV.SetBoundingPlanes(vtkPlanes)\nC++: void SetBoundingPlanes (vtkPlanes *planes);\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"GetBoundingPlanes",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetBoundingPlanes, 1,
   (char*)"V.GetBoundingPlanes() -> vtkPlaneCollection\nC++: vtkPlaneCollection *GetBoundingPlanes ();\n\n A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these contraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n"},
  {(char*)"CheckConstraint",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_CheckConstraint, 1,
   (char*)"V.CheckConstraint(vtkRenderer, (float, float)) -> int\nC++: virtual int CheckConstraint (vtkRenderer *renderer, double pos[2]);\n\n Overridden from the base class. It converts the display\n co-ordinates to world co-ordinates. It returns 1 if the point lies\n within the constrained region, otherwise return 0\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double x, double y, double z);\nV.SetPosition((float, float, float))\nC++: void SetPosition (double xyz[3]);\n\n Set/Get the position of the point in display coordinates.  These are\n convenience methods that extend the superclasses' GetHandlePosition()\n method. Note that only the x-y coordinate values are used\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetPosition, 1,
   (char*)"V.GetPosition((float, float, float))\nC++: void GetPosition (double xyz[3]);\n\n Set/Get the position of the point in display coordinates.  These are\n convenience methods that extend the superclasses' GetHandlePosition()\n method. Note that only the x-y coordinate values are used\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty\nC++: vtkProperty *GetProperty ();\n\n This is the property used when the handle is not active \n (the mouse is not near the handle)\n"},
  {(char*)"GetSelectedProperty",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetSelectedProperty, 1,
   (char*)"V.GetSelectedProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedProperty ();\n\n This is the property used when the mouse is near the\n handle (but the user is not yet interacting with it)\n"},
  {(char*)"GetActiveProperty",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetActiveProperty, 1,
   (char*)"V.GetActiveProperty() -> vtkProperty\nC++: vtkProperty *GetActiveProperty ();\n\n This is the property used when the user is interacting\n with the handle.\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *ren);\n\n Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);\n\n Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]);\n\n Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"SetDisplayPosition",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_SetDisplayPosition, 1,
   (char*)"V.SetDisplayPosition((float, float, float))\nC++: virtual void SetDisplayPosition (double pos[3]);\n\n Method overridden from Superclass. computes the world\n co-ordinates using GetIntersectionPosition()\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkConstrainedPointHandleRepresentation_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: virtual void ShallowCopy (vtkProp *prop);\n\n Methods to make this class behave as a vtkProp.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkConstrainedPointHandleRepresentationDoc[] = {
  (char*)"vtkConstrainedPointHandleRepresentation - point representation constrained to a 2D plane\n\n",
  "Super Class:\n\n vtkHandleRepresentation\n\n",
  (char*)" This class is used to represent a vtkHandleWidget. It represents a\n position in 3D world coordinates that is constrained to a specified plane.\n The default look is to draw a white point when this widget is not selected\n or active, a thin green circle when it is highlighted, and a thicker cyan\n circle when it is active (being positioned). Defaults can be adjusted - but\n take care to define cursor ",
  (char*)"geometry that makes sense for this widget.\n The geometry will be aligned on the constraining plane, with the plane\n normal aligned with the X axis of the geometry (similar behavior to\n vtkGlyph3D). \n\n TODO: still need to work on \n 1) translation when mouse is outside bounding planes\n 2) size of the widget\n\n\n",
  "See Also:\n\n vtkHandleRepresentation vtkHandleWidget\n\n",
  NULL
};

static vtkObjectBase *vtkConstrainedPointHandleRepresentationStaticNew()
{
  return vtkConstrainedPointHandleRepresentation::New();
}

PyObject *PyVTKClass_vtkConstrainedPointHandleRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkConstrainedPointHandleRepresentationStaticNew,
                        PyvtkConstrainedPointHandleRepresentationMethods,
                        (char*)"vtkConstrainedPointHandleRepresentation",modulename,
                        (char**)vtkConstrainedPointHandleRepresentationDoc,
                        PyVTKClass_vtkHandleRepresentationNew(modulename));
}

