// python wrapper for vtkContinuousValueWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContinuousValueWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContinuousValueWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContinuousValueWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkContinuousValueWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidget *op;

  const char    *temp20;
  op = (vtkContinuousValueWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContinuousValueWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkContinuousValueWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContinuousValueWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidget *op;

  vtkContinuousValueWidget  *temp20;
  op = (vtkContinuousValueWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContinuousValueWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidget *op;

  vtkContinuousValueWidgetRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkContinuousValueWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContinuousValueWidgetRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContinuousValueWidgetRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkContinuousValueWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContinuousValueWidget_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidget *op;

  double   temp20;
  op = (vtkContinuousValueWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContinuousValueWidget::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidget_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidget *op;

  double   temp0;
  op = (vtkContinuousValueWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContinuousValueWidget::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContinuousValueWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContinuousValueWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContinuousValueWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContinuousValueWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContinuousValueWidget\nC++: vtkContinuousValueWidget *NewInstance ();\n\n Standard macros.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkContinuousValueWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkContinuousValueWidgetRepresentation)\nC++: void SetRepresentation (vtkContinuousValueWidgetRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Get the value for this widget. \n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkContinuousValueWidget_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: double GetValue ();\n\n Get the value for this widget. \n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkContinuousValueWidget_SetValue, 1,
   (char*)"V.SetValue(float)\nC++: void SetValue (double v);\n\n Get the value for this widget. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContinuousValueWidgetDoc[] = {
  (char*)"vtkContinuousValueWidget - set a value by manipulating something\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkContinuousValueWidget is used to adjust a scalar value in an \n application. Note that the actual appearance of the widget depends on\n the specific representation for the widget.\n \n To use this widget, set the widget representation. (the details may\n vary depending on the particulars of the representation). \n\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK ev",
  (char*)"ents (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n If the slider bead is selected:\n   LeftButtonPressEvent - select slider \n   LeftButtonReleaseEvent - release slider \n   MouseMoveEvent - move slider\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n into the vtkContinu",
  (char*)"ousValueWidget's widget events:\n <pre>\n   vtkWidgetEvent::Select -- some part of the widget has been selected\n   vtkWidgetEvent::EndSelect -- the selection process has completed\n   vtkWidgetEvent::Move -- a request for slider motion has been invoked\n </pre>\n\n In turn, when these widget events are processed, the vtkContinuousValueWidget\n invokes the following VTK events on itself (which observers c",
  (char*)"an listen for):\n <pre>\n   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)\n   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)\n   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)\n </pre>\n\n\n",
  NULL
};

PyObject *PyVTKClass_vtkContinuousValueWidgetNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkContinuousValueWidgetMethods,
                        (char*)"vtkContinuousValueWidget",modulename,
                        (char**)vtkContinuousValueWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

