// python wrapper for vtkContinuousValueWidgetRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContinuousValueWidgetRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContinuousValueWidgetRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContinuousValueWidgetRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkContinuousValueWidgetRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidgetRepresentation *op;

  const char    *temp20;
  op = (vtkContinuousValueWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContinuousValueWidgetRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidgetRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidgetRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkContinuousValueWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContinuousValueWidgetRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidgetRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidgetRepresentation *op;

  vtkContinuousValueWidgetRepresentation  *temp20;
  op = (vtkContinuousValueWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContinuousValueWidgetRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidgetRepresentation_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidgetRepresentation *op;

  double temp0[6];
  op = (vtkContinuousValueWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContinuousValueWidgetRepresentation::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidgetRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidgetRepresentation *op;

  op = (vtkContinuousValueWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContinuousValueWidgetRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidgetRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidgetRepresentation *op;

  double temp0[2];
  op = (vtkContinuousValueWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidgetRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidgetRepresentation *op;

  double temp0[2];
  op = (vtkContinuousValueWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidgetRepresentation_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidgetRepresentation *op;

  double   temp0;
  op = (vtkContinuousValueWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContinuousValueWidgetRepresentation::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContinuousValueWidgetRepresentation_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContinuousValueWidgetRepresentation *op;

  double   temp20;
  op = (vtkContinuousValueWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContinuousValueWidgetRepresentation::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContinuousValueWidgetRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContinuousValueWidgetRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for the class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContinuousValueWidgetRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for the class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContinuousValueWidgetRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContinuousValueWidgetRepresentation\nC++: vtkContinuousValueWidgetRepresentation *NewInstance ();\n\n Standard methods for the class.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkContinuousValueWidgetRepresentation_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkContinuousValueWidgetRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkContinuousValueWidgetRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]) = 0;\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkContinuousValueWidgetRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]) = 0;\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkContinuousValueWidgetRepresentation_SetValue, 1,
   (char*)"V.SetValue(float)\nC++: virtual void SetValue (double value);\n\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkContinuousValueWidgetRepresentation_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: virtual double GetValue ();return this Value \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContinuousValueWidgetRepresentationDoc[] = {
  (char*)"vtkContinuousValueWidgetRepresentation - provide the representation for a continuous value\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" This class is used mainly as a superclass for continuous value widgets\n\n\n",
  NULL
};

PyObject *PyVTKClass_vtkContinuousValueWidgetRepresentationNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkContinuousValueWidgetRepresentationMethods,
                        (char*)"vtkContinuousValueWidgetRepresentation",modulename,
                        (char**)vtkContinuousValueWidgetRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

