// python wrapper for vtkContourLineInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContourLineInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContourLineInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContourLineInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkContourLineInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourLineInterpolator *op;

  const char    *temp20;
  op = (vtkContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourLineInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContourLineInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourLineInterpolator *op;

  char    *temp0;
  int      temp20;
  op = (vtkContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourLineInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourLineInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourLineInterpolator *op;

  vtkContourLineInterpolator  *temp20;
  op = (vtkContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourLineInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourLineInterpolator_InterpolateLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourLineInterpolator *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkContourRepresentation  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"OOii", &tempH0, &tempH1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkContourRepresentation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkContourRepresentation");
    if (!temp1 && tempH1 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->InterpolateLine(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContourLineInterpolator_GetSpan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourLineInterpolator *op;

  int      temp0;
  vtkIntArray  *temp1;
  PyObject *tempH1;
  vtkContourRepresentation  *temp2;
  PyObject *tempH2;
  op = (vtkContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIntArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkContourRepresentation *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkContourRepresentation");
    if (!temp2 && tempH2 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkContourLineInterpolator::GetSpan(temp0,temp1,temp2);
      }
    else
      {
      op->GetSpan(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkContourLineInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContourLineInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContourLineInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContourLineInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContourLineInterpolator\nC++: vtkContourLineInterpolator *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"InterpolateLine",                (PyCFunction)PyvtkContourLineInterpolator_InterpolateLine, 1,
   (char*)"V.InterpolateLine(vtkRenderer, vtkContourRepresentation, int, int) -> int\nC++: virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2) = 0;\n\n Subclasses that wish to interpolate a line segment must implement this.\n For instance vtkBezierContourLineInterpolator adds nodes between idx1\n and idx2, that allow the contour to adhere to a bezier curve.\n"},
  {(char*)"GetSpan",                (PyCFunction)PyvtkContourLineInterpolator_GetSpan, 1,
   (char*)"V.GetSpan(int, vtkIntArray, vtkContourRepresentation)\nC++: virtual void GetSpan (int nodeIndex, vtkIntArray *nodeIndices, vtkContourRepresentation *rep);\n\n Span of the interpolator. ie. the number of control points its supposed\n to interpolate given a node.\n\n The first argument is the current nodeIndex.\n ie, you'd be trying to interpolate between nodes \"nodeIndex\" and \n \"nodeIndex-1\", unless you're closing the contour in which case, you're\n trying to interpolate \"nodeIndex\" and \"Node=0\". \n\n The node span is returned in a vtkIntArray. The default node span is 1 \n (ie. nodeIndices is a 2 tuple (nodeIndex, nodeIndex-1)). However, it \n need not always be 1. For instance, cubic spline interpolators, which \n have a span of 3 control points, it can be larger. See\n vtkBezierContourLineInterpolator for instance.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContourLineInterpolatorDoc[] = {
  (char*)"vtkContourLineInterpolator - Defines API for interpolating/modifying nodes from a vtkContourRepresentation\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkContourLineInterpolator is an abstract base class for interpolators\n that work are used by the contour representation class to interpolate \n and/or modify nodes in a contour. Subclasses must override the virtual\n method: \\c InterpolateLine. This is used by the contour representation \n to give the interpolator a chance to define an interpolation scheme\n between nodes. See vtkBezierContourLineIn",
  (char*)"terpolator for a concrete \n implementation. Subclasses may also override, \\c UpdateNode. This provides\n a way for the representation to give the interpolator a chance to modify\n the nodes, as the user constructs the contours. For instance a sticky\n contour widget may be implemented that moves nodes to nearby regions of\n high gradient, to be used in contour guided segmentation.\n\n\n",
  "See Also:\n\n\n",
  NULL
};

PyObject *PyVTKClass_vtkContourLineInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkContourLineInterpolatorMethods,
                        (char*)"vtkContourLineInterpolator",modulename,
                        (char**)vtkContourLineInterpolatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

