// python wrapper for vtkContourRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContourRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContourRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContourRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkContourRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  const char    *temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  vtkContourRepresentation  *temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_AddNodeAtWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[3];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::AddNodeAtWorldPosition(temp0);
      }
    else
      {
      temp20 = op->AddNodeAtWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[3];
  double temp1[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::AddNodeAtWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->AddNodeAtWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_AddNodeAtDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[2];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::AddNodeAtDisplayPosition(temp0);
      }
    else
      {
      temp20 = op->AddNodeAtDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int    temp0[2];
  int      temp20;
  PyErr_Clear();
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::AddNodeAtDisplayPosition(temp0);
      }
    else
      {
      temp20 = op->AddNodeAtDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::AddNodeAtDisplayPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->AddNodeAtDisplayPosition(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_ActivateNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[2];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::ActivateNode(temp0);
      }
    else
      {
      temp20 = op->ActivateNode(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int    temp0[2];
  int      temp20;
  PyErr_Clear();
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::ActivateNode(temp0);
      }
    else
      {
      temp20 = op->ActivateNode(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::ActivateNode(temp0,temp1);
      }
    else
      {
      temp20 = op->ActivateNode(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetActiveNodeToWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[3];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::SetActiveNodeToWorldPosition(temp0);
      }
    else
      {
      temp20 = op->SetActiveNodeToWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[3];
  double temp1[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::SetActiveNodeToWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->SetActiveNodeToWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetActiveNodeToDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[2];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::SetActiveNodeToDisplayPosition(temp0);
      }
    else
      {
      temp20 = op->SetActiveNodeToDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int    temp0[2];
  int      temp20;
  PyErr_Clear();
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::SetActiveNodeToDisplayPosition(temp0);
      }
    else
      {
      temp20 = op->SetActiveNodeToDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::SetActiveNodeToDisplayPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->SetActiveNodeToDisplayPosition(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetActiveNodeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[3];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetActiveNodeWorldPosition(temp0);
      }
    else
      {
      temp20 = op->GetActiveNodeWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetActiveNodeWorldOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[9];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetActiveNodeWorldOrientation(temp0);
      }
    else
      {
      temp20 = op->GetActiveNodeWorldOrientation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetActiveNodeDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[2];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetActiveNodeDisplayPosition(temp0);
      }
    else
      {
      temp20 = op->GetActiveNodeDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetNumberOfNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetNumberOfNodes();
      }
    else
      {
      temp20 = op->GetNumberOfNodes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetNthNodeDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  double temp1[2];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetNthNodeDisplayPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNthNodeDisplayPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetNthNodeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  double temp1[3];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetNthNodeWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNthNodeWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetNthNodeWorldOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  double temp1[9];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddddddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetNthNodeWorldOrientation(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNthNodeWorldOrientation(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetNthNodeDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::SetNthNodeDisplayPosition(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->SetNthNodeDisplayPosition(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  int    temp1[2];
  int      temp20;
  PyErr_Clear();
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ii)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::SetNthNodeDisplayPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->SetNthNodeDisplayPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  double temp1[2];
  int      temp20;
  PyErr_Clear();
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::SetNthNodeDisplayPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->SetNthNodeDisplayPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetNthNodeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  double temp1[3];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::SetNthNodeWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->SetNthNodeWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  double temp1[3];
  double temp2[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)(ddddddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::SetNthNodeWorldPosition(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->SetNthNodeWorldPosition(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetNthNodeSlope(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  double temp1[3];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetNthNodeSlope(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNthNodeSlope(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetNumberOfIntermediatePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetNumberOfIntermediatePoints(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfIntermediatePoints(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetIntermediatePointWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  int      temp1;
  double temp2[3];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii(ddd)", &temp0, &temp1, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetIntermediatePointWorldPosition(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetIntermediatePointWorldPosition(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_AddIntermediatePointWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  double temp1[3];
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::AddIntermediatePointWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->AddIntermediatePointWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_DeleteLastNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::DeleteLastNode();
      }
    else
      {
      temp20 = op->DeleteLastNode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_DeleteActiveNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::DeleteActiveNode();
      }
    else
      {
      temp20 = op->DeleteActiveNode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_DeleteNthNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::DeleteNthNode(temp0);
      }
    else
      {
      temp20 = op->DeleteNthNode(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_AddNodeOnContour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::AddNodeOnContour(temp0,temp1);
      }
    else
      {
      temp20 = op->AddNodeOnContour(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetPixelTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourRepresentation::SetPixelTolerance(temp0);
      }
    else
      {
      op->SetPixelTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetPixelToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetPixelToleranceMinValue();
      }
    else
      {
      temp20 = op->GetPixelToleranceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetPixelToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetPixelToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetPixelToleranceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetPixelTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetPixelTolerance();
      }
    else
      {
      temp20 = op->GetPixelTolerance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetWorldTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double   temp0;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourRepresentation::SetWorldTolerance(temp0);
      }
    else
      {
      op->SetWorldTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetWorldToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double   temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetWorldToleranceMinValue();
      }
    else
      {
      temp20 = op->GetWorldToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetWorldToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double   temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetWorldToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetWorldToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetWorldTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double   temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetWorldTolerance();
      }
    else
      {
      temp20 = op->GetWorldTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetCurrentOperation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetCurrentOperation();
      }
    else
      {
      temp20 = op->GetCurrentOperation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetCurrentOperation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourRepresentation::SetCurrentOperation(temp0);
      }
    else
      {
      op->SetCurrentOperation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetCurrentOperationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetCurrentOperationMinValue();
      }
    else
      {
      temp20 = op->GetCurrentOperationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetCurrentOperationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetCurrentOperationMaxValue();
      }
    else
      {
      temp20 = op->GetCurrentOperationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetCurrentOperationToInactive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourRepresentation::SetCurrentOperationToInactive();
      }
    else
      {
      op->SetCurrentOperationToInactive();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetCurrentOperationToTranslate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourRepresentation::SetCurrentOperationToTranslate();
      }
    else
      {
      op->SetCurrentOperationToTranslate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetPointPlacer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  vtkPointPlacer  *temp0;
  PyObject *tempH0;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointPlacer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointPlacer");
    if (!temp0 && tempH0 != Py_None) goto break50;
    if (PyVTKClass_Check(self))
      {
      op->vtkContourRepresentation::SetPointPlacer(temp0);
      }
    else
      {
      op->SetPointPlacer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break50:
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetPointPlacer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  vtkPointPlacer  *temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetPointPlacer();
      }
    else
      {
      temp20 = op->GetPointPlacer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetLineInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  vtkContourLineInterpolator  *temp0;
  PyObject *tempH0;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContourLineInterpolator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContourLineInterpolator");
    if (!temp0 && tempH0 != Py_None) goto break52;
    if (PyVTKClass_Check(self))
      {
      op->vtkContourRepresentation::SetLineInterpolator(temp0);
      }
    else
      {
      op->SetLineInterpolator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break52:
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetLineInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  vtkContourLineInterpolator  *temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetLineInterpolator();
      }
    else
      {
      temp20 = op->GetLineInterpolator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[2];
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  double temp0[2];
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break58;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break58:
  return NULL;
}


static PyObject *PyvtkContourRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break59;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break59:
  return NULL;
}


static PyObject *PyvtkContourRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break60;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break60:
  return NULL;
}


static PyObject *PyvtkContourRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break61:
  return NULL;
}


static PyObject *PyvtkContourRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_SetClosedLoop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp0;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourRepresentation::SetClosedLoop(temp0);
      }
    else
      {
      op->SetClosedLoop(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_GetClosedLoop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  int      temp20;
  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourRepresentation::GetClosedLoop();
      }
    else
      {
      temp20 = op->GetClosedLoop();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_ClosedLoopOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourRepresentation::ClosedLoopOn();
      }
    else
      {
      op->ClosedLoopOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourRepresentation_ClosedLoopOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourRepresentation::ClosedLoopOff();
      }
    else
      {
      op->ClosedLoopOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContourRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContourRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContourRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContourRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContourRepresentation\nC++: vtkContourRepresentation *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"AddNodeAtWorldPosition",                (PyCFunction)PyvtkContourRepresentation_AddNodeAtWorldPosition, 1,
   (char*)"V.AddNodeAtWorldPosition((float, float, float)) -> int\nC++: virtual int AddNodeAtWorldPosition (double worldPos[3]);\nV.AddNodeAtWorldPosition((float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int AddNodeAtWorldPosition (double worldPos[3], double worldOrient[9]);\n\n Add a node at a specific world position. Returns 0 if the\n node could not be added, 1 otherwise.\n"},
  {(char*)"AddNodeAtDisplayPosition",                (PyCFunction)PyvtkContourRepresentation_AddNodeAtDisplayPosition, 1,
   (char*)"V.AddNodeAtDisplayPosition((float, float)) -> int\nC++: virtual int AddNodeAtDisplayPosition (double displayPos[2]);\nV.AddNodeAtDisplayPosition((int, int)) -> int\nC++: virtual int AddNodeAtDisplayPosition (int displayPos[2]);\nV.AddNodeAtDisplayPosition(int, int) -> int\nC++: virtual int AddNodeAtDisplayPosition (int X, int Y);\n\n Add a node at a specific display position. This will be\n converted into a world position according to the current\n constraints of the point placer. Return 0 if a point could\n not be added, 1 otherwise.\n"},
  {(char*)"ActivateNode",                (PyCFunction)PyvtkContourRepresentation_ActivateNode, 1,
   (char*)"V.ActivateNode((float, float)) -> int\nC++: virtual int ActivateNode (double displayPos[2]);\nV.ActivateNode((int, int)) -> int\nC++: virtual int ActivateNode (int displayPos[2]);\nV.ActivateNode(int, int) -> int\nC++: virtual int ActivateNode (int X, int Y);\n\n Given a display position, activate a node. The closest\n node within tolerance will be activated. If a node is\n activated, 1 will be returned, otherwise 0 will be\n returned.\n"},
  {(char*)"SetActiveNodeToWorldPosition",                (PyCFunction)PyvtkContourRepresentation_SetActiveNodeToWorldPosition, 1,
   (char*)"V.SetActiveNodeToWorldPosition((float, float, float)) -> int\nC++: virtual int SetActiveNodeToWorldPosition (double pos[3]);\nV.SetActiveNodeToWorldPosition((float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int SetActiveNodeToWorldPosition (double pos[3], double orient[9]);\n\n"},
  {(char*)"SetActiveNodeToDisplayPosition",                (PyCFunction)PyvtkContourRepresentation_SetActiveNodeToDisplayPosition, 1,
   (char*)"V.SetActiveNodeToDisplayPosition((float, float)) -> int\nC++: virtual int SetActiveNodeToDisplayPosition (double pos[2]);\nV.SetActiveNodeToDisplayPosition((int, int)) -> int\nC++: virtual int SetActiveNodeToDisplayPosition (int pos[2]);\nV.SetActiveNodeToDisplayPosition(int, int) -> int\nC++: virtual int SetActiveNodeToDisplayPosition (int X, int Y);\n\n Move the active node based on a specified display position.\n The display position will be converted into a world\n position. If the new position is not valid or there is\n no active node, a 0 will be returned. Otherwise, on\n success a 1 will be returned.\n"},
  {(char*)"GetActiveNodeWorldPosition",                (PyCFunction)PyvtkContourRepresentation_GetActiveNodeWorldPosition, 1,
   (char*)"V.GetActiveNodeWorldPosition((float, float, float)) -> int\nC++: virtual int GetActiveNodeWorldPosition (double pos[3]);\n\n Get the world position of the active node. Will return\n 0 if there is no active node, or 1 otherwise.\n"},
  {(char*)"GetActiveNodeWorldOrientation",                (PyCFunction)PyvtkContourRepresentation_GetActiveNodeWorldOrientation, 1,
   (char*)"V.GetActiveNodeWorldOrientation((float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int GetActiveNodeWorldOrientation (double orient[9]);\n\n Get the world orientation of the active node. Will return\n 0 if there is no active node, or 1 otherwise.  \n"},
  {(char*)"GetActiveNodeDisplayPosition",                (PyCFunction)PyvtkContourRepresentation_GetActiveNodeDisplayPosition, 1,
   (char*)"V.GetActiveNodeDisplayPosition((float, float)) -> int\nC++: virtual int GetActiveNodeDisplayPosition (double pos[2]);\n\n Get the display position of the active node. Will return\n 0 if there is no active node, or 1 otherwise.\n"},
  {(char*)"GetNumberOfNodes",                (PyCFunction)PyvtkContourRepresentation_GetNumberOfNodes, 1,
   (char*)"V.GetNumberOfNodes() -> int\nC++: virtual int GetNumberOfNodes ();\n\n Get the number of nodes.\n"},
  {(char*)"GetNthNodeDisplayPosition",                (PyCFunction)PyvtkContourRepresentation_GetNthNodeDisplayPosition, 1,
   (char*)"V.GetNthNodeDisplayPosition(int, (float, float)) -> int\nC++: virtual int GetNthNodeDisplayPosition (int n, double pos[2]);\n\n Get the nth node's display position. Will return\n 1 on success, or 0 if there are not at least \n (n+1) nodes (0 based counting).\n"},
  {(char*)"GetNthNodeWorldPosition",                (PyCFunction)PyvtkContourRepresentation_GetNthNodeWorldPosition, 1,
   (char*)"V.GetNthNodeWorldPosition(int, (float, float, float)) -> int\nC++: virtual int GetNthNodeWorldPosition (int n, double pos[3]);\n\n Get the nth node's world position. Will return\n 1 on success, or 0 if there are not at least \n (n+1) nodes (0 based counting).\n"},
  {(char*)"GetNthNodeWorldOrientation",                (PyCFunction)PyvtkContourRepresentation_GetNthNodeWorldOrientation, 1,
   (char*)"V.GetNthNodeWorldOrientation(int, (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int GetNthNodeWorldOrientation (int n, double orient[9]);\n\n Get the nth node's world orientation. Will return\n 1 on success, or 0 if there are not at least \n (n+1) nodes (0 based counting).\n"},
  {(char*)"SetNthNodeDisplayPosition",                (PyCFunction)PyvtkContourRepresentation_SetNthNodeDisplayPosition, 1,
   (char*)"V.SetNthNodeDisplayPosition(int, int, int) -> int\nC++: virtual int SetNthNodeDisplayPosition (int n, int X, int Y);\nV.SetNthNodeDisplayPosition(int, (int, int)) -> int\nC++: virtual int SetNthNodeDisplayPosition (int n, int pos[2]);\nV.SetNthNodeDisplayPosition(int, (float, float)) -> int\nC++: virtual int SetNthNodeDisplayPosition (int n, double pos[2]);\n\n Set the nth node's display position. Display position\n will be converted into world position according to the\n constraints of the point placer. Will return\n 1 on success, or 0 if there are not at least \n (n+1) nodes (0 based counting) or the world position\n is not valid.\n"},
  {(char*)"SetNthNodeWorldPosition",                (PyCFunction)PyvtkContourRepresentation_SetNthNodeWorldPosition, 1,
   (char*)"V.SetNthNodeWorldPosition(int, (float, float, float)) -> int\nC++: virtual int SetNthNodeWorldPosition (int n, double pos[3]);\nV.SetNthNodeWorldPosition(int, (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int SetNthNodeWorldPosition (int n, double pos[3], double orient[9]);\n\n Set the nth node's world position. Will return\n 1 on success, or 0 if there are not at least \n (n+1) nodes (0 based counting) or the world\n position is not valid according to the point\n placer.\n"},
  {(char*)"GetNthNodeSlope",                (PyCFunction)PyvtkContourRepresentation_GetNthNodeSlope, 1,
   (char*)"V.GetNthNodeSlope(int, (float, float, float)) -> int\nC++: virtual int GetNthNodeSlope (int idx, double slope[3]);\n\n Get the nth node's slope. Will return\n 1 on success, or 0 if there are not at least \n (n+1) nodes (0 based counting).\n"},
  {(char*)"GetNumberOfIntermediatePoints",                (PyCFunction)PyvtkContourRepresentation_GetNumberOfIntermediatePoints, 1,
   (char*)"V.GetNumberOfIntermediatePoints(int) -> int\nC++: virtual int GetNumberOfIntermediatePoints (int n);\n\n"},
  {(char*)"GetIntermediatePointWorldPosition",                (PyCFunction)PyvtkContourRepresentation_GetIntermediatePointWorldPosition, 1,
   (char*)"V.GetIntermediatePointWorldPosition(int, int, (float, float, float)) -> int\nC++: virtual int GetIntermediatePointWorldPosition (int n, int idx, double point[3]);\n\n Get the world position of the intermediate point at\n index idx between nodes n and (n+1) (or n and 0 if\n n is the last node and the loop is closed). Returns\n 1 on success or 0 if n or idx are out of range.\n"},
  {(char*)"AddIntermediatePointWorldPosition",                (PyCFunction)PyvtkContourRepresentation_AddIntermediatePointWorldPosition, 1,
   (char*)"V.AddIntermediatePointWorldPosition(int, (float, float, float)) -> int\nC++: virtual int AddIntermediatePointWorldPosition (int n, double point[3]);\n\n Add an intermediate point between node n and n+1\n (or n and 0 if n is the last node and the loop is closed).\n Returns 1 on success or 0 if n is out of range.\n"},
  {(char*)"DeleteLastNode",                (PyCFunction)PyvtkContourRepresentation_DeleteLastNode, 1,
   (char*)"V.DeleteLastNode() -> int\nC++: virtual int DeleteLastNode ();\n\n Delete the last node. Returns 1 on success or 0 if \n there were not any nodes.\n"},
  {(char*)"DeleteActiveNode",                (PyCFunction)PyvtkContourRepresentation_DeleteActiveNode, 1,
   (char*)"V.DeleteActiveNode() -> int\nC++: virtual int DeleteActiveNode ();\n\n Delete the active node. Returns 1 on success or 0 if\n the active node did not indicate a valid node.\n"},
  {(char*)"DeleteNthNode",                (PyCFunction)PyvtkContourRepresentation_DeleteNthNode, 1,
   (char*)"V.DeleteNthNode(int) -> int\nC++: virtual int DeleteNthNode (int n);\n\n Delete the nth node. Return 1 on success or 0 if n\n is out of range.\n"},
  {(char*)"AddNodeOnContour",                (PyCFunction)PyvtkContourRepresentation_AddNodeOnContour, 1,
   (char*)"V.AddNodeOnContour(int, int) -> int\nC++: virtual int AddNodeOnContour (int X, int Y);\n\n Given a specific X, Y pixel location, add a new node \n on the contour at this location. \n"},
  {(char*)"SetPixelTolerance",                (PyCFunction)PyvtkContourRepresentation_SetPixelTolerance, 1,
   (char*)"V.SetPixelTolerance(int)\nC++: void SetPixelTolerance (int );\n\n The tolerance to use when calculations are performed in \n display coordinates\n"},
  {(char*)"GetPixelToleranceMinValue",                (PyCFunction)PyvtkContourRepresentation_GetPixelToleranceMinValue, 1,
   (char*)"V.GetPixelToleranceMinValue() -> int\nC++: int GetPixelToleranceMinValue ();\n\n The tolerance to use when calculations are performed in \n display coordinates\n"},
  {(char*)"GetPixelToleranceMaxValue",                (PyCFunction)PyvtkContourRepresentation_GetPixelToleranceMaxValue, 1,
   (char*)"V.GetPixelToleranceMaxValue() -> int\nC++: int GetPixelToleranceMaxValue ();\n\n The tolerance to use when calculations are performed in \n display coordinates\n"},
  {(char*)"GetPixelTolerance",                (PyCFunction)PyvtkContourRepresentation_GetPixelTolerance, 1,
   (char*)"V.GetPixelTolerance() -> int\nC++: int GetPixelTolerance ();\n\n The tolerance to use when calculations are performed in \n display coordinates\n"},
  {(char*)"SetWorldTolerance",                (PyCFunction)PyvtkContourRepresentation_SetWorldTolerance, 1,
   (char*)"V.SetWorldTolerance(float)\nC++: void SetWorldTolerance (double );\n\n The tolerance to use when calculations are performed in\n world coordinates\n"},
  {(char*)"GetWorldToleranceMinValue",                (PyCFunction)PyvtkContourRepresentation_GetWorldToleranceMinValue, 1,
   (char*)"V.GetWorldToleranceMinValue() -> float\nC++: double GetWorldToleranceMinValue ();\n\n The tolerance to use when calculations are performed in\n world coordinates\n"},
  {(char*)"GetWorldToleranceMaxValue",                (PyCFunction)PyvtkContourRepresentation_GetWorldToleranceMaxValue, 1,
   (char*)"V.GetWorldToleranceMaxValue() -> float\nC++: double GetWorldToleranceMaxValue ();\n\n The tolerance to use when calculations are performed in\n world coordinates\n"},
  {(char*)"GetWorldTolerance",                (PyCFunction)PyvtkContourRepresentation_GetWorldTolerance, 1,
   (char*)"V.GetWorldTolerance() -> float\nC++: double GetWorldTolerance ();\n\n The tolerance to use when calculations are performed in\n world coordinates\n"},
  {(char*)"GetCurrentOperation",                (PyCFunction)PyvtkContourRepresentation_GetCurrentOperation, 1,
   (char*)"V.GetCurrentOperation() -> int\nC++: int GetCurrentOperation ();\n\n Set / get the current operation. The widget is either\n inactive, or it is being translated.\n"},
  {(char*)"SetCurrentOperation",                (PyCFunction)PyvtkContourRepresentation_SetCurrentOperation, 1,
   (char*)"V.SetCurrentOperation(int)\nC++: void SetCurrentOperation (int );\n\n Set / get the current operation. The widget is either\n inactive, or it is being translated.\n"},
  {(char*)"GetCurrentOperationMinValue",                (PyCFunction)PyvtkContourRepresentation_GetCurrentOperationMinValue, 1,
   (char*)"V.GetCurrentOperationMinValue() -> int\nC++: int GetCurrentOperationMinValue ();\n\n Set / get the current operation. The widget is either\n inactive, or it is being translated.\n"},
  {(char*)"GetCurrentOperationMaxValue",                (PyCFunction)PyvtkContourRepresentation_GetCurrentOperationMaxValue, 1,
   (char*)"V.GetCurrentOperationMaxValue() -> int\nC++: int GetCurrentOperationMaxValue ();\n\n Set / get the current operation. The widget is either\n inactive, or it is being translated.\n"},
  {(char*)"SetCurrentOperationToInactive",                (PyCFunction)PyvtkContourRepresentation_SetCurrentOperationToInactive, 1,
   (char*)"V.SetCurrentOperationToInactive()\nC++: void SetCurrentOperationToInactive ();this SetCurrentOperation vtkContourRepresentation Inactive \n\n Set / get the current operation. The widget is either\n inactive, or it is being translated.\n"},
  {(char*)"SetCurrentOperationToTranslate",                (PyCFunction)PyvtkContourRepresentation_SetCurrentOperationToTranslate, 1,
   (char*)"V.SetCurrentOperationToTranslate()\nC++: void SetCurrentOperationToTranslate ();this SetCurrentOperation vtkContourRepresentation Translate \n\n"},
  {(char*)"SetPointPlacer",                (PyCFunction)PyvtkContourRepresentation_SetPointPlacer, 1,
   (char*)"V.SetPointPlacer(vtkPointPlacer)\nC++: void SetPointPlacer (vtkPointPlacer *);\n\n"},
  {(char*)"GetPointPlacer",                (PyCFunction)PyvtkContourRepresentation_GetPointPlacer, 1,
   (char*)"V.GetPointPlacer() -> vtkPointPlacer\nC++: vtkPointPlacer *GetPointPlacer ();\n\n"},
  {(char*)"SetLineInterpolator",                (PyCFunction)PyvtkContourRepresentation_SetLineInterpolator, 1,
   (char*)"V.SetLineInterpolator(vtkContourLineInterpolator)\nC++: void SetLineInterpolator (vtkContourLineInterpolator *);\n\n Set / Get the Line Interpolator. The line interpolator\n is responsible for generating the line segments connecting\n nodes.\n"},
  {(char*)"GetLineInterpolator",                (PyCFunction)PyvtkContourRepresentation_GetLineInterpolator, 1,
   (char*)"V.GetLineInterpolator() -> vtkContourLineInterpolator\nC++: vtkContourLineInterpolator *GetLineInterpolator ();\n\n Set / Get the Line Interpolator. The line interpolator\n is responsible for generating the line segments connecting\n nodes.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkContourRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation () = 0;\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkContourRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modified) = 0;\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkContourRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double e[2]) = 0;\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkContourRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double e[2]) = 0;\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkContourRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *w) = 0;\n\n Methods required by vtkProp superclass.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkContourRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport) = 0;\n\n Methods required by vtkProp superclass.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkContourRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport) = 0;\n\n Methods required by vtkProp superclass.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkContourRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport) = 0;\n\n Methods required by vtkProp superclass.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkContourRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry () = 0;\n\n Methods required by vtkProp superclass.\n"},
  {(char*)"SetClosedLoop",                (PyCFunction)PyvtkContourRepresentation_SetClosedLoop, 1,
   (char*)"V.SetClosedLoop(int)\nC++: void SetClosedLoop (int val);\n\n Set / Get the ClosedLoop value. This ivar indicates whether the contour\n forms a closed loop. \n"},
  {(char*)"GetClosedLoop",                (PyCFunction)PyvtkContourRepresentation_GetClosedLoop, 1,
   (char*)"V.GetClosedLoop() -> int\nC++: int GetClosedLoop ();\n\n Set / Get the ClosedLoop value. This ivar indicates whether the contour\n forms a closed loop. \n"},
  {(char*)"ClosedLoopOn",                (PyCFunction)PyvtkContourRepresentation_ClosedLoopOn, 1,
   (char*)"V.ClosedLoopOn()\nC++: void ClosedLoopOn ();\n\n Set / Get the ClosedLoop value. This ivar indicates whether the contour\n forms a closed loop. \n"},
  {(char*)"ClosedLoopOff",                (PyCFunction)PyvtkContourRepresentation_ClosedLoopOff, 1,
   (char*)"V.ClosedLoopOff()\nC++: void ClosedLoopOff ();\n\n Set / Get the ClosedLoop value. This ivar indicates whether the contour\n forms a closed loop. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContourRepresentationDoc[] = {
  (char*)"vtkContourRepresentation - represent the vtkContourWidget\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" The vtkContourRepresentation is a superclass for various types of\n representations for the vtkContourWidget.\n\n .SECTION Managing contour points\n The classes vtkContourRepresentationNode, vtkContourRepresentationInternals, \n vtkContourRepresentationPoint manage the data structure used to represent \n nodes and points on a contour. A contour may contain several nodes and \n several more points. Nodes",
  (char*)" are usually the result of user clicked points on\n the contour. Additional points are created between nodes to generate a \n smooth curve using some Interpolator. See the method \\c SetLineInterpolator.\n \\par\n The data structure stores both the world and display positions for every \n point. (This may seem like a duplication.) The default behaviour of this \n class is to use the WorldPosition to do al",
  (char*)"l the math. Typically a point is\n added at a given display position. Its corresponding world position is \n computed using the point placer and stored. Any query of the display \n position of a stored point is done via the Renderer, which computes the \n display position given a world position. \n \n \\par \n So why maintain the display position ? Consider drawing a contour on a \n volume widget. You migh",
  (char*)"t want the contour to be located at a certain world\n position in the volume or you might want to be overlayed over the window \n like an Actor2D. The default behaviour of this class is to provide the \n former behaviour. \n\n \\par\n To achieve the latter behaviour override the methods that return the display \n position (to return the set display position instead of computing it from\n the world position",
  (char*)"s) and the method \\c BuildLines() to interpolate lines \n using their display positions intead of world positions.\n\n\n",
  "See Also:\n\n vtkContourWidget\n\n",
  NULL
};

PyObject *PyVTKClass_vtkContourRepresentationNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkContourRepresentationMethods,
                        (char*)"vtkContourRepresentation",modulename,
                        (char**)vtkContourRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

