// tcl wrapper for vtkContourRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContourRepresentation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkWidgetRepresentationCppCommand(vtkWidgetRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkContourRepresentationCppCommand(vtkContourRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkContourRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkContourRepresentationCppCommand(static_cast<vtkContourRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkContourRepresentationCppCommand(vtkContourRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkContourRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWidgetRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkContourRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("AddNodeAtWorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->AddNodeAtWorldPosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddNodeAtDisplayPosition",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    temp20 = (op)->AddNodeAtDisplayPosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddNodeAtDisplayPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    temp20 = (op)->AddNodeAtDisplayPosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddNodeAtDisplayPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->AddNodeAtDisplayPosition(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ActivateNode",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    temp20 = (op)->ActivateNode(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ActivateNode",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    temp20 = (op)->ActivateNode(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ActivateNode",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ActivateNode(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveNodeToWorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->SetActiveNodeToWorldPosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveNodeToDisplayPosition",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    temp20 = (op)->SetActiveNodeToDisplayPosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveNodeToDisplayPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    temp20 = (op)->SetActiveNodeToDisplayPosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveNodeToDisplayPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetActiveNodeToDisplayPosition(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveNodeWorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetActiveNodeWorldPosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveNodeWorldOrientation",argv[1]))&&(argc == 11))
    {
    double temp0[9];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (!error)
    {
    temp20 = (op)->GetActiveNodeWorldOrientation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveNodeDisplayPosition",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    temp20 = (op)->GetActiveNodeDisplayPosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfNodes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNodes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNthNodeDisplayPosition",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->SetNthNodeDisplayPosition(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfIntermediatePoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfIntermediatePoints(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteLastNode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->DeleteLastNode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DeleteActiveNode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->DeleteActiveNode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DeleteNthNode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->DeleteNthNode(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddNodeOnContour",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->AddNodeOnContour(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPixelTolerance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPixelTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPixelToleranceMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPixelToleranceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPixelToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPixelToleranceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPixelTolerance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPixelTolerance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWorldTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetWorldTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWorldToleranceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWorldToleranceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWorldToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWorldToleranceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWorldTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWorldTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentOperation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentOperation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentOperation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCurrentOperation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentOperationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentOperationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentOperationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentOperationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentOperationToInactive",argv[1]))&&(argc == 2))
    {
    op->SetCurrentOperationToInactive();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentOperationToTranslate",argv[1]))&&(argc == 2))
    {
    op->SetCurrentOperationToTranslate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointPlacer",argv[1]))&&(argc == 3))
    {
    vtkPointPlacer  *temp0;
    error = 0;

    temp0 = (vtkPointPlacer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPointPlacer"),interp,error));
    if (!error)
    {
    op->SetPointPlacer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointPlacer",argv[1]))&&(argc == 2))
    {
    vtkPointPlacer  *temp20;
    temp20 = (op)->GetPointPlacer();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointPlacer");
    return TCL_OK;
    }
  if ((!strcmp("SetLineInterpolator",argv[1]))&&(argc == 3))
    {
    vtkContourLineInterpolator  *temp0;
    error = 0;

    temp0 = (vtkContourLineInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContourLineInterpolator"),interp,error));
    if (!error)
    {
    op->SetLineInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineInterpolator",argv[1]))&&(argc == 2))
    {
    vtkContourLineInterpolator  *temp20;
    temp20 = (op)->GetLineInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourLineInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
    {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeInteractionState",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("StartWidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->StartWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetClosedLoop",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClosedLoop(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClosedLoop",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClosedLoop();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClosedLoopOn",argv[1]))&&(argc == 2))
    {
    op->ClosedLoopOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClosedLoopOff",argv[1]))&&(argc == 2))
    {
    op->ClosedLoopOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkContourRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkContourRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  AddNodeAtWorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddNodeAtDisplayPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddNodeAtDisplayPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddNodeAtDisplayPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ActivateNode\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ActivateNode\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ActivateNode\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveNodeToWorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveNodeToDisplayPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveNodeToDisplayPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveNodeToDisplayPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveNodeWorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveNodeWorldOrientation\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveNodeDisplayPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNodes\n",NULL);
    Tcl_AppendResult(interp,"  SetNthNodeDisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIntermediatePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeleteLastNode\n",NULL);
    Tcl_AppendResult(interp,"  DeleteActiveNode\n",NULL);
    Tcl_AppendResult(interp,"  DeleteNthNode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddNodeOnContour\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPixelTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetWorldTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWorldToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetWorldToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetWorldTolerance\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentOperation\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentOperation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentOperationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentOperationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentOperationToInactive\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentOperationToTranslate\n",NULL);
    Tcl_AppendResult(interp,"  SetPointPlacer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointPlacer\n",NULL);
    Tcl_AppendResult(interp,"  SetLineInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  ComputeInteractionState\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  StartWidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  WidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  SetClosedLoop\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClosedLoop\n",NULL);
    Tcl_AppendResult(interp,"  ClosedLoopOn\n",NULL);
    Tcl_AppendResult(interp,"  ClosedLoopOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "AddNodeAtWorldPosition" );
    Tcl_DStringAppendElement ( &dString, "AddNodeAtDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "AddNodeAtDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "AddNodeAtDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "ActivateNode" );
    Tcl_DStringAppendElement ( &dString, "ActivateNode" );
    Tcl_DStringAppendElement ( &dString, "ActivateNode" );
    Tcl_DStringAppendElement ( &dString, "SetActiveNodeToWorldPosition" );
    Tcl_DStringAppendElement ( &dString, "SetActiveNodeToDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "SetActiveNodeToDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "SetActiveNodeToDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetActiveNodeWorldPosition" );
    Tcl_DStringAppendElement ( &dString, "GetActiveNodeWorldOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetActiveNodeDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodes" );
    Tcl_DStringAppendElement ( &dString, "SetNthNodeDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntermediatePoints" );
    Tcl_DStringAppendElement ( &dString, "DeleteLastNode" );
    Tcl_DStringAppendElement ( &dString, "DeleteActiveNode" );
    Tcl_DStringAppendElement ( &dString, "DeleteNthNode" );
    Tcl_DStringAppendElement ( &dString, "AddNodeOnContour" );
    Tcl_DStringAppendElement ( &dString, "SetPixelTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetPixelToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPixelToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPixelTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetWorldTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetWorldToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetWorldToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetWorldTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentOperation" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentOperation" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentOperationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentOperationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentOperationToInactive" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentOperationToTranslate" );
    Tcl_DStringAppendElement ( &dString, "SetPointPlacer" );
    Tcl_DStringAppendElement ( &dString, "GetPointPlacer" );
    Tcl_DStringAppendElement ( &dString, "SetLineInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetLineInterpolator" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetClosedLoop" );
    Tcl_DStringAppendElement ( &dString, "GetClosedLoop" );
    Tcl_DStringAppendElement ( &dString, "ClosedLoopOn" );
    Tcl_DStringAppendElement ( &dString, "ClosedLoopOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddNodeAtWorldPosition */
    if ( strcmp ( argv[2], "AddNodeAtWorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddNodeAtWorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddNodeAtWorldPosition */
    Tcl_DStringAppendElement ( &dString, " Add a node at a specific world position. Returns 0 if the\n node could not be added, 1 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddNodeAtWorldPosition (double worldPos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for AddNodeAtWorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddNodeAtDisplayPosition */
    if ( strcmp ( argv[2], "AddNodeAtDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddNodeAtDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddNodeAtDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Add a node at a specific display position. This will be\n converted into a world position according to the current\n constraints of the point placer. Return 0 if a point could\n not be added, 1 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddNodeAtDisplayPosition (double displayPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for AddNodeAtDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddNodeAtDisplayPosition */
    if ( strcmp ( argv[2], "AddNodeAtDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddNodeAtDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddNodeAtDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Add a node at a specific display position. This will be\n converted into a world position according to the current\n constraints of the point placer. Return 0 if a point could\n not be added, 1 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddNodeAtDisplayPosition (int displayPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for AddNodeAtDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddNodeAtDisplayPosition */
    if ( strcmp ( argv[2], "AddNodeAtDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddNodeAtDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddNodeAtDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Add a node at a specific display position. This will be\n converted into a world position according to the current\n constraints of the point placer. Return 0 if a point could\n not be added, 1 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddNodeAtDisplayPosition (int X, int Y);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for AddNodeAtDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ActivateNode */
    if ( strcmp ( argv[2], "ActivateNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ActivateNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ActivateNode */
    Tcl_DStringAppendElement ( &dString, " Given a display position, activate a node. The closest\n node within tolerance will be activated. If a node is\n activated, 1 will be returned, otherwise 0 will be\n returned.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ActivateNode (double displayPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for ActivateNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ActivateNode */
    if ( strcmp ( argv[2], "ActivateNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ActivateNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ActivateNode */
    Tcl_DStringAppendElement ( &dString, " Given a display position, activate a node. The closest\n node within tolerance will be activated. If a node is\n activated, 1 will be returned, otherwise 0 will be\n returned.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ActivateNode (int displayPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for ActivateNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ActivateNode */
    if ( strcmp ( argv[2], "ActivateNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ActivateNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ActivateNode */
    Tcl_DStringAppendElement ( &dString, " Given a display position, activate a node. The closest\n node within tolerance will be activated. If a node is\n activated, 1 will be returned, otherwise 0 will be\n returned.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ActivateNode (int X, int Y);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for ActivateNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveNodeToWorldPosition */
    if ( strcmp ( argv[2], "SetActiveNodeToWorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveNodeToWorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveNodeToWorldPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetActiveNodeToWorldPosition (double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetActiveNodeToWorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveNodeToDisplayPosition */
    if ( strcmp ( argv[2], "SetActiveNodeToDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveNodeToDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveNodeToDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Move the active node based on a specified display position.\n The display position will be converted into a world\n position. If the new position is not valid or there is\n no active node, a 0 will be returned. Otherwise, on\n success a 1 will be returned.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetActiveNodeToDisplayPosition (double pos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetActiveNodeToDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveNodeToDisplayPosition */
    if ( strcmp ( argv[2], "SetActiveNodeToDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveNodeToDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveNodeToDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Move the active node based on a specified display position.\n The display position will be converted into a world\n position. If the new position is not valid or there is\n no active node, a 0 will be returned. Otherwise, on\n success a 1 will be returned.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetActiveNodeToDisplayPosition (int pos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetActiveNodeToDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveNodeToDisplayPosition */
    if ( strcmp ( argv[2], "SetActiveNodeToDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveNodeToDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveNodeToDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Move the active node based on a specified display position.\n The display position will be converted into a world\n position. If the new position is not valid or there is\n no active node, a 0 will be returned. Otherwise, on\n success a 1 will be returned.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetActiveNodeToDisplayPosition (int X, int Y);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetActiveNodeToDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveNodeWorldPosition */
    if ( strcmp ( argv[2], "GetActiveNodeWorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveNodeWorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveNodeWorldPosition */
    Tcl_DStringAppendElement ( &dString, " Get the world position of the active node. Will return\n 0 if there is no active node, or 1 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetActiveNodeWorldPosition (double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetActiveNodeWorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveNodeWorldOrientation */
    if ( strcmp ( argv[2], "GetActiveNodeWorldOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveNodeWorldOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveNodeWorldOrientation */
    Tcl_DStringAppendElement ( &dString, " Get the world orientation of the active node. Will return\n 0 if there is no active node, or 1 otherwise.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetActiveNodeWorldOrientation (double orient\\[9\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetActiveNodeWorldOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveNodeDisplayPosition */
    if ( strcmp ( argv[2], "GetActiveNodeDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveNodeDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveNodeDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Get the display position of the active node. Will return\n 0 if there is no active node, or 1 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetActiveNodeDisplayPosition (double pos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetActiveNodeDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNodes */
    if ( strcmp ( argv[2], "GetNumberOfNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNodes */
    Tcl_DStringAppendElement ( &dString, " Get the number of nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfNodes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetNumberOfNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNthNodeDisplayPosition */
    if ( strcmp ( argv[2], "SetNthNodeDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNthNodeDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNthNodeDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Set the nth node's display position. Display position\n will be converted into world position according to the\n constraints of the point placer. Will return\n 1 on success, or 0 if there are not at least \n (n+1) nodes (0 based counting) or the world position\n is not valid.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetNthNodeDisplayPosition (int n, int X, int Y);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetNthNodeDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIntermediatePoints */
    if ( strcmp ( argv[2], "GetNumberOfIntermediatePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntermediatePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIntermediatePoints */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfIntermediatePoints (int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetNumberOfIntermediatePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteLastNode */
    if ( strcmp ( argv[2], "DeleteLastNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteLastNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteLastNode */
    Tcl_DStringAppendElement ( &dString, " Delete the last node. Returns 1 on success or 0 if \n there were not any nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int DeleteLastNode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for DeleteLastNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteActiveNode */
    if ( strcmp ( argv[2], "DeleteActiveNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteActiveNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteActiveNode */
    Tcl_DStringAppendElement ( &dString, " Delete the active node. Returns 1 on success or 0 if\n the active node did not indicate a valid node.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int DeleteActiveNode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for DeleteActiveNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteNthNode */
    if ( strcmp ( argv[2], "DeleteNthNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteNthNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteNthNode */
    Tcl_DStringAppendElement ( &dString, " Delete the nth node. Return 1 on success or 0 if n\n is out of range.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int DeleteNthNode (int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for DeleteNthNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddNodeOnContour */
    if ( strcmp ( argv[2], "AddNodeOnContour" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddNodeOnContour" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddNodeOnContour */
    Tcl_DStringAppendElement ( &dString, " Given a specific X, Y pixel location, add a new node \n on the contour at this location. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual int AddNodeOnContour (int X, int Y);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for AddNodeOnContour */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPixelTolerance */
    if ( strcmp ( argv[2], "SetPixelTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPixelTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPixelTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance to use when calculations are performed in \n display coordinates\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPixelTolerance (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetPixelTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPixelToleranceMinValue */
    if ( strcmp ( argv[2], "GetPixelToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixelToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixelToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance to use when calculations are performed in \n display coordinates\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPixelToleranceMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetPixelToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPixelToleranceMaxValue */
    if ( strcmp ( argv[2], "GetPixelToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixelToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixelToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance to use when calculations are performed in \n display coordinates\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPixelToleranceMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetPixelToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPixelTolerance */
    if ( strcmp ( argv[2], "GetPixelTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixelTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixelTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance to use when calculations are performed in \n display coordinates\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPixelTolerance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetPixelTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWorldTolerance */
    if ( strcmp ( argv[2], "SetWorldTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWorldTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWorldTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance to use when calculations are performed in\n world coordinates\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWorldTolerance (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetWorldTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWorldToleranceMinValue */
    if ( strcmp ( argv[2], "GetWorldToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWorldToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWorldToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance to use when calculations are performed in\n world coordinates\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWorldToleranceMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetWorldToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWorldToleranceMaxValue */
    if ( strcmp ( argv[2], "GetWorldToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWorldToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWorldToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance to use when calculations are performed in\n world coordinates\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWorldToleranceMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetWorldToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWorldTolerance */
    if ( strcmp ( argv[2], "GetWorldTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWorldTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWorldTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance to use when calculations are performed in\n world coordinates\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWorldTolerance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetWorldTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentOperation */
    if ( strcmp ( argv[2], "GetCurrentOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentOperation */
    Tcl_DStringAppendElement ( &dString, " Set / get the current operation. The widget is either\n inactive, or it is being translated.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCurrentOperation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetCurrentOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurrentOperation */
    if ( strcmp ( argv[2], "SetCurrentOperation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentOperation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentOperation */
    Tcl_DStringAppendElement ( &dString, " Set / get the current operation. The widget is either\n inactive, or it is being translated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentOperation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetCurrentOperation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentOperationMinValue */
    if ( strcmp ( argv[2], "GetCurrentOperationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentOperationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentOperationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the current operation. The widget is either\n inactive, or it is being translated.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCurrentOperationMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetCurrentOperationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentOperationMaxValue */
    if ( strcmp ( argv[2], "GetCurrentOperationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentOperationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentOperationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / get the current operation. The widget is either\n inactive, or it is being translated.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCurrentOperationMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetCurrentOperationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurrentOperationToInactive */
    if ( strcmp ( argv[2], "SetCurrentOperationToInactive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentOperationToInactive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentOperationToInactive */
    Tcl_DStringAppendElement ( &dString, " Set / get the current operation. The widget is either\n inactive, or it is being translated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentOperationToInactive ();this SetCurrentOperation vtkContourRepresentation Inactive " );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetCurrentOperationToInactive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurrentOperationToTranslate */
    if ( strcmp ( argv[2], "SetCurrentOperationToTranslate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentOperationToTranslate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentOperationToTranslate */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentOperationToTranslate ();this SetCurrentOperation vtkContourRepresentation Translate " );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetCurrentOperationToTranslate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointPlacer */
    if ( strcmp ( argv[2], "SetPointPlacer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointPlacer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPointPlacer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointPlacer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPointPlacer (vtkPointPlacer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetPointPlacer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointPlacer */
    if ( strcmp ( argv[2], "GetPointPlacer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointPlacer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointPlacer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPointPlacer *GetPointPlacer ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetPointPlacer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineInterpolator */
    if ( strcmp ( argv[2], "SetLineInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContourLineInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set / Get the Line Interpolator. The line interpolator\n is responsible for generating the line segments connecting\n nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineInterpolator (vtkContourLineInterpolator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetLineInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineInterpolator */
    if ( strcmp ( argv[2], "GetLineInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set / Get the Line Interpolator. The line interpolator\n is responsible for generating the line segments connecting\n nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkContourLineInterpolator *GetLineInterpolator ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetLineInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeInteractionState */
    if ( strcmp ( argv[2], "ComputeInteractionState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeInteractionState */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ComputeInteractionState (int X, int Y, int modified) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for ComputeInteractionState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWidgetInteraction */
    if ( strcmp ( argv[2], "StartWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartWidgetInteraction (double e\\[2\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for StartWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WidgetInteraction */
    if ( strcmp ( argv[2], "WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WidgetInteraction (double e\\[2\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Methods required by vtkProp superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources (vtkWindow *w) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Methods required by vtkProp superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay (vtkViewport *viewport) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods required by vtkProp superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry (vtkViewport *viewport) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods required by vtkProp superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods required by vtkProp superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClosedLoop */
    if ( strcmp ( argv[2], "SetClosedLoop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClosedLoop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClosedLoop */
    Tcl_DStringAppendElement ( &dString, " Set / Get the ClosedLoop value. This ivar indicates whether the contour\n forms a closed loop. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetClosedLoop (int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for SetClosedLoop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClosedLoop */
    if ( strcmp ( argv[2], "GetClosedLoop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClosedLoop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClosedLoop */
    Tcl_DStringAppendElement ( &dString, " Set / Get the ClosedLoop value. This ivar indicates whether the contour\n forms a closed loop. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetClosedLoop ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for GetClosedLoop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClosedLoopOn */
    if ( strcmp ( argv[2], "ClosedLoopOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClosedLoopOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClosedLoopOn */
    Tcl_DStringAppendElement ( &dString, " Set / Get the ClosedLoop value. This ivar indicates whether the contour\n forms a closed loop. \n" );
    Tcl_DStringAppendElement ( &dString, "void ClosedLoopOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for ClosedLoopOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClosedLoopOff */
    if ( strcmp ( argv[2], "ClosedLoopOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClosedLoopOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClosedLoopOff */
    Tcl_DStringAppendElement ( &dString, " Set / Get the ClosedLoop value. This ivar indicates whether the contour\n forms a closed loop. \n" );
    Tcl_DStringAppendElement ( &dString, "void ClosedLoopOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    /* Closing for ClosedLoopOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
