// python wrapper for vtkContourWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContourWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContourWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContourWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkContourWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  const char    *temp20;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  vtkContourWidget  *temp20;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkContourWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkContourWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContourWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  int      temp0;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  vtkContourRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContourRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContourRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkContourWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::Initialize(temp0,temp1);
      }
    else
      {
      op->Initialize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkContourWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContourWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContourWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for a VTK class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContourWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContourWidget\nC++: vtkContourWidget *NewInstance ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkContourWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContourWidget\nC++: vtkContourWidget *SafeDownCast (vtkObject* o);\n\n Standard methods for a VTK class.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkContourWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n The method for activiating and deactiviating this widget. This method\n must be overridden because it is a composite widget and does more than\n its superclasses' vtkAbstractWidget::SetEnabled() method.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkContourWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkContourRepresentation)\nC++: void SetRepresentation (vtkContourRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkContourWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkContourWidget_Initialize, 1,
   (char*)"V.Initialize(vtkPolyData, int)\nC++: virtual void Initialize (vtkPolyData *, int state);\n\n Initialize the contour widget from a user supplied set of points. The\n state of the widget decides if you are still defining the widget, or\n if you've finished defining (added the last point) are manipulating\n it. Note that if the polydata supplied is closed, the state will be\n set to manipulate.\n  State: Define = 0, Manipulate = 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContourWidgetDoc[] = {
  (char*)"vtkContourWidget - create a contour with a set of points\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkContourWidget is used to select a set of points, and draw lines\n between these points. The contour may be opened or closed, depending on\n how the last point is added. The widget handles all processing of widget\n events (that are triggered by VTK events). The vtkContourRepresentation is\n responsible for all placement of the points, calculation of the lines, and\n contour manipulation. This i",
  (char*)"s done through two main helper classes:\n vtkPointPlacer and vtkContourLineInterpolator. The representation is also\n responsible for drawing the points and lines.\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n   LeftButtonPressEvent - triggers a Select event\n   RightButtonPressEvent -",
  (char*)" triggers a AddFinalPoint event\n   MouseMoveEvent - triggers a Move event\n   LeftButtonReleaseEvent - triggers an EndSelect event\n   Delete key event - triggers a Delete event\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n into the vtkContourWidget's widget events:\n <pre>\n   vtkWidgetEvent::Sele",
  (char*)"ct \n        widget state is: \n            Start or\n            Define: If we already have at least 2 nodes, test\n                 whether the current (X,Y) location is near an existing\n                 node. If so, close the contour and change to Manipulate\n                 state. Otherwise, attempt to add a node at this (X,Y)\n                 location.\n            Manipulate: If this (X,Y) locati",
  (char*)"on activates a node, then\n                 set the current operation to Translate. Otherwise, if\n                 this location is near the contour, attempt to add a \n                 new node on the contour at this (X,Y) location.\n\n   vtkWidgetEvent::AddFinalPoint\n        widget state is: \n            Start: Do nothing.\n            Define: If we already have at least 2 nodes, test\n               ",
  (char*)"  whether the current (X,Y) location is near an existing\n                 node. If so, close the contour and change to Manipulate\n                 state. Otherwise, attempt to add a node at this (X,Y)\n                 location. If we do, then leave the contour open and\n                 change to Manipulate state.\n            Manipulate: Do nothing.\n\n   vtkWidgetEvent::Move\n        widget state is:",
  (char*)" \n            Start or\n            Define: Do nothing.\n            Manipulate: If our operation is Translate, then invoke\n                  WidgetInteraction() on the representation. If our \n                  operation is Inactive, then just attempt to activate\n                  a node at this (X,Y) location.\n\n   vtkWidgetEvent::EndSelect\n        widget state is: \n            Start or\n            ",
  (char*)"Define: Do nothing.\n            Manipulate: If our operation is not Inactive, set it to\n                  Inactive.\n\n   vtkWidgetEvent::Delete\n        widget state is: \n            Start: Do nothing.\n            Define: Remove the last point on the contour.\n            Manipulate: Attempt to activate a node at (X,Y). If\n                   we do activate a node, delete it. If we now\n               ",
  (char*)"    have less than 3 nodes, go back to Define state.\n </pre>\n\n This widget invokes the following VTK events on itself (which observers\n can listen for):\n <pre>\n   vtkCommand::StartInteractionEvent (beginning to interact)\n   vtkCommand::EndInteractionEvent (completing interaction)\n   vtkCommand::InteractionEvent (moving after selecting something)\n   vtkCommand::PlacePointEvent (after point is posit",
  (char*)"ioned; \n                                call data includes handle id (0,1))\n   vtkCommand::WidgetValueChangedEvent (Invoked when the contour is closed\n                                        for the first time. )\n </pre>\n\n",
  "See Also:\n\n vtkHandleWidget \n\n",
  NULL
};

static vtkObjectBase *vtkContourWidgetStaticNew()
{
  return vtkContourWidget::New();
}

PyObject *PyVTKClass_vtkContourWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkContourWidgetStaticNew,
                        PyvtkContourWidgetMethods,
                        (char*)"vtkContourWidget",modulename,
                        (char**)vtkContourWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

