// python wrapper for vtkDistanceRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDistanceRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDistanceRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDistanceRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkDistanceRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  const char    *temp20;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  vtkDistanceRepresentation  *temp20;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_GetDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  double   temp20;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_GetPoint1WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  double temp0[3];
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetPoint1WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_GetPoint2WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  double temp0[3];
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetPoint2WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_SetPoint1DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  double temp0[3];
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetPoint1DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_SetPoint2DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  double temp0[3];
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetPoint2DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_GetPoint1DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  double temp0[3];
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetPoint1DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_GetPoint2DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  double temp0[3];
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetPoint2DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_SetHandleRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  vtkHandleRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHandleRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHandleRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceRepresentation::SetHandleRepresentation(temp0);
      }
    else
      {
      op->SetHandleRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_InstantiateHandleRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceRepresentation::InstantiateHandleRepresentation();
      }
    else
      {
      op->InstantiateHandleRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_GetPoint1Representation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  vtkHandleRepresentation  *temp20;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceRepresentation::GetPoint1Representation();
      }
    else
      {
      temp20 = op->GetPoint1Representation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_GetPoint2Representation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  vtkHandleRepresentation  *temp20;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceRepresentation::GetPoint2Representation();
      }
    else
      {
      temp20 = op->GetPoint2Representation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  int      temp0;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceRepresentation::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  int      temp20;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceRepresentation::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  int      temp20;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceRepresentation::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  int      temp20;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceRepresentation::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_SetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  char    *temp0;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceRepresentation::SetLabelFormat(temp0);
      }
    else
      {
      op->SetLabelFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_GetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  char    *temp20;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceRepresentation::GetLabelFormat();
      }
    else
      {
      temp20 = op->GetLabelFormat();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  double temp0[2];
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceRepresentation *op;

  double temp0[2];
  op = (vtkDistanceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDistanceRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDistanceRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDistanceRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDistanceRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDistanceRepresentation\nC++: vtkDistanceRepresentation *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"GetDistance",                (PyCFunction)PyvtkDistanceRepresentation_GetDistance, 1,
   (char*)"V.GetDistance() -> float\nC++: virtual double GetDistance () = 0;\n\n This representation and all subclasses must keep a distance\n consistent with the state of the widget.\n"},
  {(char*)"GetPoint1WorldPosition",                (PyCFunction)PyvtkDistanceRepresentation_GetPoint1WorldPosition, 1,
   (char*)"V.GetPoint1WorldPosition((float, float, float))\nC++: virtual void GetPoint1WorldPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint2WorldPosition",                (PyCFunction)PyvtkDistanceRepresentation_GetPoint2WorldPosition, 1,
   (char*)"V.GetPoint2WorldPosition((float, float, float))\nC++: virtual void GetPoint2WorldPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint1DisplayPosition",                (PyCFunction)PyvtkDistanceRepresentation_SetPoint1DisplayPosition, 1,
   (char*)"V.SetPoint1DisplayPosition((float, float, float))\nC++: virtual void SetPoint1DisplayPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint2DisplayPosition",                (PyCFunction)PyvtkDistanceRepresentation_SetPoint2DisplayPosition, 1,
   (char*)"V.SetPoint2DisplayPosition((float, float, float))\nC++: virtual void SetPoint2DisplayPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint1DisplayPosition",                (PyCFunction)PyvtkDistanceRepresentation_GetPoint1DisplayPosition, 1,
   (char*)"V.GetPoint1DisplayPosition((float, float, float))\nC++: virtual void GetPoint1DisplayPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint2DisplayPosition",                (PyCFunction)PyvtkDistanceRepresentation_GetPoint2DisplayPosition, 1,
   (char*)"V.GetPoint2DisplayPosition((float, float, float))\nC++: virtual void GetPoint2DisplayPosition (double pos[3]) = 0;\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetHandleRepresentation",                (PyCFunction)PyvtkDistanceRepresentation_SetHandleRepresentation, 1,
   (char*)"V.SetHandleRepresentation(vtkHandleRepresentation)\nC++: void SetHandleRepresentation (vtkHandleRepresentation *handle);\n\n This method is used to specify the type of handle representation to\n use for the two internal vtkHandleWidgets within vtkDistanceWidget.\n To use this method, create a dummy vtkHandleWidget (or subclass),\n and then invoke this method with this dummy. Then the \n vtkDistanceRepresentation uses this dummy to clone two vtkHandleWidgets\n of the same type. Make sure you set the handle representation before\n the widget is enabled. (The method InstantiateHandleRepresentation()\n is invoked by the vtkDistance widget.)\n"},
  {(char*)"InstantiateHandleRepresentation",                (PyCFunction)PyvtkDistanceRepresentation_InstantiateHandleRepresentation, 1,
   (char*)"V.InstantiateHandleRepresentation()\nC++: void InstantiateHandleRepresentation ();\n\n This method is used to specify the type of handle representation to\n use for the two internal vtkHandleWidgets within vtkDistanceWidget.\n To use this method, create a dummy vtkHandleWidget (or subclass),\n and then invoke this method with this dummy. Then the \n vtkDistanceRepresentation uses this dummy to clone two vtkHandleWidgets\n of the same type. Make sure you set the handle representation before\n the widget is enabled. (The method InstantiateHandleRepresentation()\n is invoked by the vtkDistance widget.)\n"},
  {(char*)"GetPoint1Representation",                (PyCFunction)PyvtkDistanceRepresentation_GetPoint1Representation, 1,
   (char*)"V.GetPoint1Representation() -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *GetPoint1Representation ();\n\n Set/Get the two handle representations used for the vtkDistanceWidget. (Note:\n properties can be set by grabbing these representations and setting the\n properties appropriately.)\n"},
  {(char*)"GetPoint2Representation",                (PyCFunction)PyvtkDistanceRepresentation_GetPoint2Representation, 1,
   (char*)"V.GetPoint2Representation() -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *GetPoint2Representation ();\n\n Set/Get the two handle representations used for the vtkDistanceWidget. (Note:\n properties can be set by grabbing these representations and setting the\n properties appropriately.)\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkDistanceRepresentation_SetTolerance, 1,
   (char*)"V.SetTolerance(int)\nC++: void SetTolerance (int );\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the end points of\n the widget to be active.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkDistanceRepresentation_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> int\nC++: int GetToleranceMinValue ();\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the end points of\n the widget to be active.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkDistanceRepresentation_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> int\nC++: int GetToleranceMaxValue ();\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the end points of\n the widget to be active.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkDistanceRepresentation_GetTolerance, 1,
   (char*)"V.GetTolerance() -> int\nC++: int GetTolerance ();\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the end points of\n the widget to be active.\n"},
  {(char*)"SetLabelFormat",                (PyCFunction)PyvtkDistanceRepresentation_SetLabelFormat, 1,
   (char*)"V.SetLabelFormat(string)\nC++: void SetLabelFormat (char *);\n\n Specify the format to use for labelling the distance. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the distance value.\n"},
  {(char*)"GetLabelFormat",                (PyCFunction)PyvtkDistanceRepresentation_GetLabelFormat, 1,
   (char*)"V.GetLabelFormat() -> string\nC++: char *GetLabelFormat ();\n\n Specify the format to use for labelling the distance. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the distance value.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkDistanceRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkDistanceRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkDistanceRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkDistanceRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDistanceRepresentationDoc[] = {
  (char*)"vtkDistanceRepresentation - represent the vtkDistanceWidget\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" The vtkDistanceRepresentation is a superclass for various types of\n representations for the vtkDistanceWidget. Logically subclasses consist of\n an axis and two handles for placing/manipulating the end points.\n\n",
  "See Also:\n\n vtkDistanceWidget vtkHandleRepresentation vtkDistanceRepresentation2D vtkDistanceRepresentation\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDistanceRepresentationNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDistanceRepresentationMethods,
                        (char*)"vtkDistanceRepresentation",modulename,
                        (char**)vtkDistanceRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

