// python wrapper for vtkDistanceWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDistanceWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDistanceWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDistanceWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkDistanceWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceWidget *op;

  const char    *temp20;
  op = (vtkDistanceWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkDistanceWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceWidget *op;

  vtkDistanceWidget  *temp20;
  op = (vtkDistanceWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDistanceWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDistanceWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDistanceWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceWidget *op;

  int      temp0;
  op = (vtkDistanceWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceWidget *op;

  vtkDistanceRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkDistanceWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDistanceRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDistanceRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkDistanceWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceWidget *op;

  op = (vtkDistanceWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceWidget_SetProcessEvents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceWidget *op;

  int      temp0;
  op = (vtkDistanceWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceWidget::SetProcessEvents(temp0);
      }
    else
      {
      op->SetProcessEvents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDistanceWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDistanceWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDistanceWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for a VTK class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDistanceWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDistanceWidget\nC++: vtkDistanceWidget *NewInstance ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDistanceWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDistanceWidget\nC++: vtkDistanceWidget *SafeDownCast (vtkObject* o);\n\n Standard methods for a VTK class.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkDistanceWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n The method for activiating and deactiviating this widget. This method\n must be overridden because it is a composite widget and does more than\n its superclasses' vtkAbstractWidget::SetEnabled() method.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkDistanceWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkDistanceRepresentation)\nC++: void SetRepresentation (vtkDistanceRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set.\n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkDistanceWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set.\n"},
  {(char*)"SetProcessEvents",                (PyCFunction)PyvtkDistanceWidget_SetProcessEvents, 1,
   (char*)"V.SetProcessEvents(int)\nC++: virtual void SetProcessEvents (int );\n\n Methods to change the whether the widget responds to interaction.\n Overridden to pass the state to component widgets.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDistanceWidgetDoc[] = {
  (char*)"vtkDistanceWidget - measure the distance between two points\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkDistanceWidget is used to measure the distance between two points.\n The two end points can be positioned independently, and when they are\n released, a special PlacePointEvent is invoked so that special operations\n may be take to reposition the point (snap to grid, etc.) The widget has\n two different modes of interaction: when initially defined (i.e., placing\n the two points) and then a man",
  (char*)"ipulate mode (adjusting the position of\n the two points).\n\n To use this widget, specify an instance of vtkDistanceWidget and a\n representation (a subclass of vtkDistanceRepresentation). The widget is\n implemented using two instances of vtkHandleWidget which are used to\n position the end points of the line. The representations for these two\n handle widgets are provided by the vtkDistanceRepresentat",
  (char*)"ion.\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n   LeftButtonPressEvent - add a point or select a handle\n   MouseMoveEvent - position the second point or move a handle\n   LeftButtonReleaseEvent - release the handle\n </pre>\n\n Note that the event bindings described above can be chan",
  (char*)"ged using this\n class's vtkWidgetEventTranslator. This class translates VTK events\n into the vtkDistanceWidget's widget events:\n <pre>\n   vtkWidgetEvent::AddPoint -- add one point; depending on the state\n                               it may the first or second point added. Or,\n                               if near a handle, select the handle.\n   vtkWidgetEvent::Move -- move the second point or h",
  (char*)"andle depending on the state.\n   vtkWidgetEvent::EndSelect -- the handle manipulation process has completed.\n </pre>\n\n This widget invokes the following VTK events on itself (which observers\n can listen for):\n <pre>\n   vtkCommand::StartInteractionEvent (beginning to interact)\n   vtkCommand::EndInteractionEvent (completing interaction)\n   vtkCommand::InteractionEvent (moving after selecting somethi",
  (char*)"ng)\n   vtkCommand::PlacePointEvent (after point is positioned;\n                                call data includes handle id (0,1))\n </pre>\n\n",
  "See Also:\n\n vtkHandleWidget\n\n",
  NULL
};

static vtkObjectBase *vtkDistanceWidgetStaticNew()
{
  return vtkDistanceWidget::New();
}

PyObject *PyVTKClass_vtkDistanceWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkDistanceWidgetStaticNew,
                        PyvtkDistanceWidgetMethods,
                        (char*)"vtkDistanceWidget",modulename,
                        (char**)vtkDistanceWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

