// python wrapper for vtkEllipsoidTensorProbeRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEllipsoidTensorProbeRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEllipsoidTensorProbeRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEllipsoidTensorProbeRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTensorProbeRepresentationNew(char *); }

static PyObject *PyvtkEllipsoidTensorProbeRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEllipsoidTensorProbeRepresentation *op;

  const char    *temp20;
  op = (vtkEllipsoidTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEllipsoidTensorProbeRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEllipsoidTensorProbeRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEllipsoidTensorProbeRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkEllipsoidTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEllipsoidTensorProbeRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEllipsoidTensorProbeRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEllipsoidTensorProbeRepresentation *op;

  vtkEllipsoidTensorProbeRepresentation  *temp20;
  op = (vtkEllipsoidTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEllipsoidTensorProbeRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEllipsoidTensorProbeRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEllipsoidTensorProbeRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEllipsoidTensorProbeRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEllipsoidTensorProbeRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEllipsoidTensorProbeRepresentation *op;

  op = (vtkEllipsoidTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEllipsoidTensorProbeRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEllipsoidTensorProbeRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEllipsoidTensorProbeRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkEllipsoidTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEllipsoidTensorProbeRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkEllipsoidTensorProbeRepresentation_SelectProbe(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEllipsoidTensorProbeRepresentation *op;

  int    temp0[2];
  int      temp20;
  op = (vtkEllipsoidTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEllipsoidTensorProbeRepresentation::SelectProbe(temp0);
      }
    else
      {
      temp20 = op->SelectProbe(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEllipsoidTensorProbeRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEllipsoidTensorProbeRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEllipsoidTensorProbeRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEllipsoidTensorProbeRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEllipsoidTensorProbeRepresentation\nC++: vtkEllipsoidTensorProbeRepresentation *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEllipsoidTensorProbeRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEllipsoidTensorProbeRepresentation\nC++: vtkEllipsoidTensorProbeRepresentation *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkEllipsoidTensorProbeRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkEllipsoidTensorProbeRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n"},
  {(char*)"SelectProbe",                (PyCFunction)PyvtkEllipsoidTensorProbeRepresentation_SelectProbe, 1,
   (char*)"V.SelectProbe((int, int)) -> int\nC++: virtual int SelectProbe (int pos[2]);\n\n Can we pick the tensor glyph at the current cursor pos\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEllipsoidTensorProbeRepresentationDoc[] = {
  (char*)"vtkEllipsoidTensorProbeRepresentation - A concrete implementation of vtkTensorProbeRepresentation that renders tensors as ellipoids.\n\n",
  "Super Class:\n\n vtkTensorProbeRepresentation\n\n",
  (char*)" vtkEllipsoidTensorProbeRepresentation is a concrete implementation of \n vtkTensorProbeRepresentation. It renders tensors as ellipsoids. Locations\n between two points when probed have the tensors linearly interpolated \n from the neighboring locations on the polyline.\n\n\n",
  "See Also:\n\n vtkTensorProbeWidget\n\n",
  NULL
};

static vtkObjectBase *vtkEllipsoidTensorProbeRepresentationStaticNew()
{
  return vtkEllipsoidTensorProbeRepresentation::New();
}

PyObject *PyVTKClass_vtkEllipsoidTensorProbeRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkEllipsoidTensorProbeRepresentationStaticNew,
                        PyvtkEllipsoidTensorProbeRepresentationMethods,
                        (char*)"vtkEllipsoidTensorProbeRepresentation",modulename,
                        (char**)vtkEllipsoidTensorProbeRepresentationDoc,
                        PyVTKClass_vtkTensorProbeRepresentationNew(modulename));
}

