// python wrapper for vtkEvent object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEvent.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEventNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEventNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkEvent_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  const char    *temp20;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEvent::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEvent_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  char    *temp0;
  int      temp20;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEvent::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEvent_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  vtkEvent  *temp20;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEvent::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEvent_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEvent  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEvent::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEvent_SetEventId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  unsigned long     temp0;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEvent::SetEventId(temp0);
      }
    else
      {
      op->SetEventId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEvent_GetEventId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  unsigned long     temp20;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEvent::GetEventId();
      }
    else
      {
      temp20 = op->GetEventId();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEvent_SetModifier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  int      temp0;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEvent::SetModifier(temp0);
      }
    else
      {
      op->SetModifier(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEvent_GetModifier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  int      temp20;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEvent::GetModifier();
      }
    else
      {
      temp20 = op->GetModifier();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break14;
      {
      temp20 = vtkEvent::GetModifier(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkEvent_SetKeyCode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  char     temp0;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"c", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEvent::SetKeyCode(temp0);
      }
    else
      {
      op->SetKeyCode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEvent_GetKeyCode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  char     temp20;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEvent::GetKeyCode();
      }
    else
      {
      temp20 = op->GetKeyCode();
      }
    return PyString_FromStringAndSize((char *)&temp20,1);
    }
  }
  return NULL;
}


static PyObject *PyvtkEvent_SetRepeatCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  int      temp0;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEvent::SetRepeatCount(temp0);
      }
    else
      {
      op->SetRepeatCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEvent_GetRepeatCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  int      temp20;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEvent::GetRepeatCount();
      }
    else
      {
      temp20 = op->GetRepeatCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEvent_SetKeySym(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  char    *temp0;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEvent::SetKeySym(temp0);
      }
    else
      {
      op->SetKeySym(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEvent_GetKeySym(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEvent *op;

  char    *temp20;
  op = (vtkEvent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEvent::GetKeySym();
      }
    else
      {
      temp20 = op->GetKeySym();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEventMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEvent_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEvent_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEvent_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEvent\nC++: vtkEvent *NewInstance ();\n\n Standard macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEvent_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEvent\nC++: vtkEvent *SafeDownCast (vtkObject* o);\n\n Standard macros.\n"},
  {(char*)"SetEventId",                (PyCFunction)PyvtkEvent_SetEventId, 1,
   (char*)"V.SetEventId(int)\nC++: void SetEventId (unsigned long );\n\n Set the modifier for the event.\n"},
  {(char*)"GetEventId",                (PyCFunction)PyvtkEvent_GetEventId, 1,
   (char*)"V.GetEventId() -> int\nC++: long unsigned GetEventId ();\n\n Set the modifier for the event.\n"},
  {(char*)"SetModifier",                (PyCFunction)PyvtkEvent_SetModifier, 1,
   (char*)"V.SetModifier(int)\nC++: void SetModifier (int );\n\n Set the modifier for the event.\n"},
  {(char*)"GetModifier",                (PyCFunction)PyvtkEvent_GetModifier, 1,
   (char*)"V.GetModifier() -> int\nC++: int GetModifier ();\nV.GetModifier(vtkRenderWindowInteractor) -> int\nC++: static int GetModifier (vtkRenderWindowInteractor *);\n\n Set the modifier for the event.\n"},
  {(char*)"SetKeyCode",                (PyCFunction)PyvtkEvent_SetKeyCode, 1,
   (char*)"V.SetKeyCode(char)\nC++: void SetKeyCode (char );\n\n Set the KeyCode for the event.\n"},
  {(char*)"GetKeyCode",                (PyCFunction)PyvtkEvent_GetKeyCode, 1,
   (char*)"V.GetKeyCode() -> char\nC++: char GetKeyCode ();\n\n Set the KeyCode for the event.\n"},
  {(char*)"SetRepeatCount",                (PyCFunction)PyvtkEvent_SetRepeatCount, 1,
   (char*)"V.SetRepeatCount(int)\nC++: void SetRepeatCount (int );\n\n Set the repease count for the event.\n"},
  {(char*)"GetRepeatCount",                (PyCFunction)PyvtkEvent_GetRepeatCount, 1,
   (char*)"V.GetRepeatCount() -> int\nC++: int GetRepeatCount ();\n\n Set the repease count for the event.\n"},
  {(char*)"SetKeySym",                (PyCFunction)PyvtkEvent_SetKeySym, 1,
   (char*)"V.SetKeySym(string)\nC++: void SetKeySym (char *);\n\n Set the complex key symbol (compound key strokes) for the event.\n"},
  {(char*)"GetKeySym",                (PyCFunction)PyvtkEvent_GetKeySym, 1,
   (char*)"V.GetKeySym() -> string\nC++: char *GetKeySym ();\n\n Set the complex key symbol (compound key strokes) for the event.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEventDoc[] = {
  (char*)"vtkEvent - a complete specification of a VTK event including all modifiers\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkEvent is a class that fully describes a VTK event. It is used by the \n widgets to help specify the mapping between VTK events and widget events.\n\n",
  NULL
};

static vtkObjectBase *vtkEventStaticNew()
{
  return vtkEvent::New();
}

PyObject *PyVTKClass_vtkEventNew(char *modulename)
{
  return PyVTKClass_New(&vtkEventStaticNew,
                        PyvtkEventMethods,
                        (char*)"vtkEvent",modulename,
                        (char**)vtkEventDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

