// python wrapper for vtkFocalPlaneContourRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFocalPlaneContourRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFocalPlaneContourRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFocalPlaneContourRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContourRepresentationNew(char *); }

static PyObject *PyvtkFocalPlaneContourRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlaneContourRepresentation *op;

  const char    *temp20;
  op = (vtkFocalPlaneContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlaneContourRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlaneContourRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlaneContourRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkFocalPlaneContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlaneContourRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlaneContourRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlaneContourRepresentation *op;

  vtkFocalPlaneContourRepresentation  *temp20;
  op = (vtkFocalPlaneContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlaneContourRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlaneContourRepresentation_GetIntermediatePointWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlaneContourRepresentation *op;

  int      temp0;
  int      temp1;
  double temp2[3];
  int      temp20;
  op = (vtkFocalPlaneContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii(ddd)", &temp0, &temp1, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlaneContourRepresentation::GetIntermediatePointWorldPosition(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetIntermediatePointWorldPosition(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlaneContourRepresentation_GetIntermediatePointDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlaneContourRepresentation *op;

  int      temp0;
  int      temp1;
  double temp2[3];
  int      temp20;
  op = (vtkFocalPlaneContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii(ddd)", &temp0, &temp1, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlaneContourRepresentation::GetIntermediatePointDisplayPosition(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetIntermediatePointDisplayPosition(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlaneContourRepresentation_GetNthNodeDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlaneContourRepresentation *op;

  int      temp0;
  double temp1[2];
  int      temp20;
  op = (vtkFocalPlaneContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlaneContourRepresentation::GetNthNodeDisplayPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNthNodeDisplayPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlaneContourRepresentation_GetNthNodeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlaneContourRepresentation *op;

  int      temp0;
  double temp1[3];
  int      temp20;
  op = (vtkFocalPlaneContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlaneContourRepresentation::GetNthNodeWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNthNodeWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlaneContourRepresentation_UpdateContourWorldPositionsBasedOnDisplayPositions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlaneContourRepresentation *op;

  op = (vtkFocalPlaneContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFocalPlaneContourRepresentation::UpdateContourWorldPositionsBasedOnDisplayPositions();
      }
    else
      {
      op->UpdateContourWorldPositionsBasedOnDisplayPositions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlaneContourRepresentation_UpdateContour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlaneContourRepresentation *op;

  int      temp20;
  op = (vtkFocalPlaneContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlaneContourRepresentation::UpdateContour();
      }
    else
      {
      temp20 = op->UpdateContour();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlaneContourRepresentation_UpdateLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlaneContourRepresentation *op;

  int      temp0;
  op = (vtkFocalPlaneContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFocalPlaneContourRepresentation::UpdateLines(temp0);
      }
    else
      {
      op->UpdateLines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFocalPlaneContourRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFocalPlaneContourRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFocalPlaneContourRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFocalPlaneContourRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFocalPlaneContourRepresentation\nC++: vtkFocalPlaneContourRepresentation *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"GetIntermediatePointWorldPosition",                (PyCFunction)PyvtkFocalPlaneContourRepresentation_GetIntermediatePointWorldPosition, 1,
   (char*)"V.GetIntermediatePointWorldPosition(int, int, (float, float, float)) -> int\nC++: virtual int GetIntermediatePointWorldPosition (int n, int idx, double point[3]);\n\n Get the world position of the intermediate point at\n index idx between nodes n and (n+1) (or n and 0 if\n n is the last node and the loop is closed). Returns\n 1 on success or 0 if n or idx are out of range.\n"},
  {(char*)"GetIntermediatePointDisplayPosition",                (PyCFunction)PyvtkFocalPlaneContourRepresentation_GetIntermediatePointDisplayPosition, 1,
   (char*)"V.GetIntermediatePointDisplayPosition(int, int, (float, float, float)) -> int\nC++: virtual int GetIntermediatePointDisplayPosition (int n, int idx, double point[3]);\n\n Get the world position of the intermediate point at\n index idx between nodes n and (n+1) (or n and 0 if\n n is the last node and the loop is closed). Returns\n 1 on success or 0 if n or idx are out of range.\n"},
  {(char*)"GetNthNodeDisplayPosition",                (PyCFunction)PyvtkFocalPlaneContourRepresentation_GetNthNodeDisplayPosition, 1,
   (char*)"V.GetNthNodeDisplayPosition(int, (float, float)) -> int\nC++: virtual int GetNthNodeDisplayPosition (int n, double pos[2]);\n\n Get the nth node's display position. Will return\n 1 on success, or 0 if there are not at least \n (n+1) nodes (0 based counting).\n"},
  {(char*)"GetNthNodeWorldPosition",                (PyCFunction)PyvtkFocalPlaneContourRepresentation_GetNthNodeWorldPosition, 1,
   (char*)"V.GetNthNodeWorldPosition(int, (float, float, float)) -> int\nC++: virtual int GetNthNodeWorldPosition (int n, double pos[3]);\n\n Get the nth node's world position. Will return\n 1 on success, or 0 if there are not at least \n (n+1) nodes (0 based counting).\n"},
  {(char*)"UpdateContourWorldPositionsBasedOnDisplayPositions",                (PyCFunction)PyvtkFocalPlaneContourRepresentation_UpdateContourWorldPositionsBasedOnDisplayPositions, 1,
   (char*)"V.UpdateContourWorldPositionsBasedOnDisplayPositions()\nC++: virtual void UpdateContourWorldPositionsBasedOnDisplayPositions ();\n\n The class maintains its true contour locations based on display co-ords\n This method syncs the world co-ords data structure with the display co-ords.\n"},
  {(char*)"UpdateContour",                (PyCFunction)PyvtkFocalPlaneContourRepresentation_UpdateContour, 1,
   (char*)"V.UpdateContour() -> int\nC++: virtual int UpdateContour ();\n\n The method must be called whenever the contour needs to be updated, usually\n from RenderOpaqueGeometry()\n"},
  {(char*)"UpdateLines",                (PyCFunction)PyvtkFocalPlaneContourRepresentation_UpdateLines, 1,
   (char*)"V.UpdateLines(int)\nC++: virtual void UpdateLines (int index);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFocalPlaneContourRepresentationDoc[] = {
  (char*)"vtkFocalPlaneContourRepresentation - represent a contour drawn on the\n\n",
  "Super Class:\n\n vtkContourRepresentation\n\n",
  (char*)" The contour will stay on the focal plane irrespective of camera \n position/orientation changes. The class was written in order to be able to \n draw contours on a volume widget and have the contours overlayed on the \n focal plane in order to do contour segmentation. The superclass, \n vtkContourRepresentation handles contours that are drawn in actual world \n position co-ordinates, so they would rot",
  (char*)"ate with the camera position/\n orientation changes\n\n\n",
  "See Also:\n\n vtkContourWidget vtkHandleRepresentation vtkContourRepresentation\n\n",
  NULL
};

PyObject *PyVTKClass_vtkFocalPlaneContourRepresentationNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkFocalPlaneContourRepresentationMethods,
                        (char*)"vtkFocalPlaneContourRepresentation",modulename,
                        (char**)vtkFocalPlaneContourRepresentationDoc,
                        PyVTKClass_vtkContourRepresentationNew(modulename));
}

