// python wrapper for vtkFocalPlanePointPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFocalPlanePointPlacer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFocalPlanePointPlacerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFocalPlanePointPlacerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointPlacerNew(char *); }

static PyObject *PyvtkFocalPlanePointPlacer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  const char    *temp20;
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlanePointPlacer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlanePointPlacer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  char    *temp0;
  int      temp20;
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlanePointPlacer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlanePointPlacer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  vtkFocalPlanePointPlacer  *temp20;
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlanePointPlacer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlanePointPlacer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFocalPlanePointPlacer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFocalPlanePointPlacer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFocalPlanePointPlacer_ComputeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3, temp3 + 4, temp3 + 5, temp3 + 6, temp3 + 7, temp3 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlanePointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, temp4 + 3, temp4 + 4, temp4 + 5, temp4 + 6, temp4 + 7, temp4 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlanePointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkFocalPlanePointPlacer_ValidateWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  double temp0[3];
  int      temp20;
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlanePointPlacer::ValidateWorldPosition(temp0);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  double temp0[3];
  double temp1[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlanePointPlacer::ValidateWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlanePointPlacer_SetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  double   temp0;
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFocalPlanePointPlacer::SetOffset(temp0);
      }
    else
      {
      op->SetOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlanePointPlacer_GetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  double   temp20;
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlanePointPlacer::GetOffset();
      }
    else
      {
      temp20 = op->GetOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlanePointPlacer_SetPointBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFocalPlanePointPlacer::SetPointBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetPointBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFocalPlanePointPlacer::SetPointBounds(temp0);
      }
    else
      {
      op->SetPointBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFocalPlanePointPlacer_GetPointBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFocalPlanePointPlacer *op;

  double  *temp20;
  op = (vtkFocalPlanePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFocalPlanePointPlacer::GetPointBounds();
      }
    else
      {
      temp20 = op->GetPointBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFocalPlanePointPlacerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFocalPlanePointPlacer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFocalPlanePointPlacer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFocalPlanePointPlacer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFocalPlanePointPlacer\nC++: vtkFocalPlanePointPlacer *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFocalPlanePointPlacer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFocalPlanePointPlacer\nC++: vtkFocalPlanePointPlacer *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"ComputeWorldPosition",                (PyCFunction)PyvtkFocalPlanePointPlacer_ComputeWorldPosition, 1,
   (char*)"V.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]);\nV.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]);\n\n"},
  {(char*)"ValidateWorldPosition",                (PyCFunction)PyvtkFocalPlanePointPlacer_ValidateWorldPosition, 1,
   (char*)"V.ValidateWorldPosition((float, float, float)) -> int\nC++: int ValidateWorldPosition (double worldPos[3]);\nV.ValidateWorldPosition((float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int ValidateWorldPosition (double worldPos[3], double worldOrient[9]);\n\n Validate a world position. All world positions\n are valid so these methods always return 1.\n"},
  {(char*)"SetOffset",                (PyCFunction)PyvtkFocalPlanePointPlacer_SetOffset, 1,
   (char*)"V.SetOffset(float)\nC++: void SetOffset (double );\n\n Optionally specify a signed offset from the focal plane for the points to\n be placed at.  If negative, the constraint plane is offset closer to the \n camera. If positive, its further away from the camera.\n"},
  {(char*)"GetOffset",                (PyCFunction)PyvtkFocalPlanePointPlacer_GetOffset, 1,
   (char*)"V.GetOffset() -> float\nC++: double GetOffset ();\n\n Optionally specify a signed offset from the focal plane for the points to\n be placed at.  If negative, the constraint plane is offset closer to the \n camera. If positive, its further away from the camera.\n"},
  {(char*)"SetPointBounds",                (PyCFunction)PyvtkFocalPlanePointPlacer_SetPointBounds, 1,
   (char*)"V.SetPointBounds(float, float, float, float, float, float)\nC++: void SetPointBounds (double , double , double , double , double , double );\nV.SetPointBounds((float, float, float, float, float, float))\nC++: void SetPointBounds (double  a[6]);\n\n Optionally Restrict the points to a set of bounds. The placer will\n invalidate points outside these bounds.\n"},
  {(char*)"GetPointBounds",                (PyCFunction)PyvtkFocalPlanePointPlacer_GetPointBounds, 1,
   (char*)"V.GetPointBounds() -> (float, float, float, float, float, float)\nC++: double  *GetPointBounds ();\n\n Optionally Restrict the points to a set of bounds. The placer will\n invalidate points outside these bounds.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFocalPlanePointPlacerDoc[] = {
  (char*)"\n\n",
  "Super Class:\n\n vtkPointPlacer\n\n",
  (char*)" \n\n\n",
  "See Also:\n\n\n",
  NULL
};

static vtkObjectBase *vtkFocalPlanePointPlacerStaticNew()
{
  return vtkFocalPlanePointPlacer::New();
}

PyObject *PyVTKClass_vtkFocalPlanePointPlacerNew(char *modulename)
{
  return PyVTKClass_New(&vtkFocalPlanePointPlacerStaticNew,
                        PyvtkFocalPlanePointPlacerMethods,
                        (char*)"vtkFocalPlanePointPlacer",modulename,
                        (char**)vtkFocalPlanePointPlacerDoc,
                        PyVTKClass_vtkPointPlacerNew(modulename));
}

