// python wrapper for vtkHandleRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHandleRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHandleRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHandleRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkHandleRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  const char    *temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  vtkHandleRepresentation  *temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_SetDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  double temp0[3];
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::SetDisplayPosition(temp0);
      }
    else
      {
      op->SetDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_GetDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  double temp0[3];
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::GetDisplayPosition(temp0);
      }
    else
      {
      op->GetDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetDisplayPosition();
      }
    else
      {
      temp20 = op->GetDisplayPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_SetWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  double temp0[3];
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::SetWorldPosition(temp0);
      }
    else
      {
      op->SetWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_GetWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  double temp0[3];
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::GetWorldPosition(temp0);
      }
    else
      {
      op->GetWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetWorldPosition();
      }
    else
      {
      temp20 = op->GetWorldPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  int      temp0;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  int      temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  int      temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  int      temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_SetActiveRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  int      temp0;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::SetActiveRepresentation(temp0);
      }
    else
      {
      op->SetActiveRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_GetActiveRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  int      temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetActiveRepresentation();
      }
    else
      {
      temp20 = op->GetActiveRepresentation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_ActiveRepresentationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::ActiveRepresentationOn();
      }
    else
      {
      op->ActiveRepresentationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_ActiveRepresentationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::ActiveRepresentationOff();
      }
    else
      {
      op->ActiveRepresentationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_SetInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  int      temp0;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::SetInteractionState(temp0);
      }
    else
      {
      op->SetInteractionState(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_GetInteractionStateMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  int      temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetInteractionStateMinValue();
      }
    else
      {
      temp20 = op->GetInteractionStateMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_GetInteractionStateMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  int      temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetInteractionStateMaxValue();
      }
    else
      {
      temp20 = op->GetInteractionStateMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_SetConstrained(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  int      temp0;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::SetConstrained(temp0);
      }
    else
      {
      op->SetConstrained(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_GetConstrained(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  int      temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetConstrained();
      }
    else
      {
      temp20 = op->GetConstrained();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_ConstrainedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::ConstrainedOn();
      }
    else
      {
      op->ConstrainedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_ConstrainedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::ConstrainedOff();
      }
    else
      {
      op->ConstrainedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_CheckConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  int      temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)", &tempH0, temp1 + 0, temp1 + 1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::CheckConstraint(temp0,temp1);
      }
    else
      {
      temp20 = op->CheckConstraint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  unsigned long     temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_SetPointPlacer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  vtkPointPlacer  *temp0;
  PyObject *tempH0;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointPlacer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointPlacer");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleRepresentation::SetPointPlacer(temp0);
      }
    else
      {
      op->SetPointPlacer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkHandleRepresentation_GetPointPlacer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleRepresentation *op;

  vtkPointPlacer  *temp20;
  op = (vtkHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleRepresentation::GetPointPlacer();
      }
    else
      {
      temp20 = op->GetPointPlacer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHandleRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHandleRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHandleRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHandleRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetDisplayPosition",                (PyCFunction)PyvtkHandleRepresentation_SetDisplayPosition, 1,
   (char*)"V.SetDisplayPosition((float, float, float))\nC++: virtual void SetDisplayPosition (double pos[3]);\n\n Handles usually have their coordinates set in display coordinates\n (generally by an associated widget) and internally maintain the position\n in world coordinates. (Using world coordinates insures that handles are\n rendered in the right position when the camera view changes.) These\n methods are often subclassed because special constraint operations can\n be used to control the actual positioning.\n"},
  {(char*)"GetDisplayPosition",                (PyCFunction)PyvtkHandleRepresentation_GetDisplayPosition, 1,
   (char*)"V.GetDisplayPosition((float, float, float))\nC++: virtual void GetDisplayPosition (double pos[3]);\nV.GetDisplayPosition() -> (float, float, float)\nC++: virtual double *GetDisplayPosition ();\n\n Handles usually have their coordinates set in display coordinates\n (generally by an associated widget) and internally maintain the position\n in world coordinates. (Using world coordinates insures that handles are\n rendered in the right position when the camera view changes.) These\n methods are often subclassed because special constraint operations can\n be used to control the actual positioning.\n"},
  {(char*)"SetWorldPosition",                (PyCFunction)PyvtkHandleRepresentation_SetWorldPosition, 1,
   (char*)"V.SetWorldPosition((float, float, float))\nC++: virtual void SetWorldPosition (double pos[3]);\n\n Handles usually have their coordinates set in display coordinates\n (generally by an associated widget) and internally maintain the position\n in world coordinates. (Using world coordinates insures that handles are\n rendered in the right position when the camera view changes.) These\n methods are often subclassed because special constraint operations can\n be used to control the actual positioning.\n"},
  {(char*)"GetWorldPosition",                (PyCFunction)PyvtkHandleRepresentation_GetWorldPosition, 1,
   (char*)"V.GetWorldPosition((float, float, float))\nC++: virtual void GetWorldPosition (double pos[3]);\nV.GetWorldPosition() -> (float, float, float)\nC++: virtual double *GetWorldPosition ();\n\n Handles usually have their coordinates set in display coordinates\n (generally by an associated widget) and internally maintain the position\n in world coordinates. (Using world coordinates insures that handles are\n rendered in the right position when the camera view changes.) These\n methods are often subclassed because special constraint operations can\n be used to control the actual positioning.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkHandleRepresentation_SetTolerance, 1,
   (char*)"V.SetTolerance(int)\nC++: void SetTolerance (int );\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered near enough to the widget to\n be active.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkHandleRepresentation_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> int\nC++: int GetToleranceMinValue ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered near enough to the widget to\n be active.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkHandleRepresentation_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> int\nC++: int GetToleranceMaxValue ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered near enough to the widget to\n be active.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkHandleRepresentation_GetTolerance, 1,
   (char*)"V.GetTolerance() -> int\nC++: int GetTolerance ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered near enough to the widget to\n be active.\n"},
  {(char*)"SetActiveRepresentation",                (PyCFunction)PyvtkHandleRepresentation_SetActiveRepresentation, 1,
   (char*)"V.SetActiveRepresentation(int)\nC++: void SetActiveRepresentation (int );\n\n Flag controls whether the widget becomes visible when the mouse pointer\n moves close to it (i.e., the widget becomes active). By default,\n ActiveRepresentation is off and the representation is always visible.\n"},
  {(char*)"GetActiveRepresentation",                (PyCFunction)PyvtkHandleRepresentation_GetActiveRepresentation, 1,
   (char*)"V.GetActiveRepresentation() -> int\nC++: int GetActiveRepresentation ();\n\n Flag controls whether the widget becomes visible when the mouse pointer\n moves close to it (i.e., the widget becomes active). By default,\n ActiveRepresentation is off and the representation is always visible.\n"},
  {(char*)"ActiveRepresentationOn",                (PyCFunction)PyvtkHandleRepresentation_ActiveRepresentationOn, 1,
   (char*)"V.ActiveRepresentationOn()\nC++: void ActiveRepresentationOn ();\n\n Flag controls whether the widget becomes visible when the mouse pointer\n moves close to it (i.e., the widget becomes active). By default,\n ActiveRepresentation is off and the representation is always visible.\n"},
  {(char*)"ActiveRepresentationOff",                (PyCFunction)PyvtkHandleRepresentation_ActiveRepresentationOff, 1,
   (char*)"V.ActiveRepresentationOff()\nC++: void ActiveRepresentationOff ();\n\n Flag controls whether the widget becomes visible when the mouse pointer\n moves close to it (i.e., the widget becomes active). By default,\n ActiveRepresentation is off and the representation is always visible.\n"},
  {(char*)"SetInteractionState",                (PyCFunction)PyvtkHandleRepresentation_SetInteractionState, 1,
   (char*)"V.SetInteractionState(int)\nC++: void SetInteractionState (int );\n\n The interaction state may be set from a widget (e.g., HandleWidget) or\n other object. This controls how the interaction with the widget\n proceeds. Normally this method is used as part of a handshaking\n processwith the widget: First ComputeInteractionState() is invoked that\n returns a state based on geometric considerations (i.e., cursor near a\n widget feature), then based on events, the widget may modify this\n further.\n"},
  {(char*)"GetInteractionStateMinValue",                (PyCFunction)PyvtkHandleRepresentation_GetInteractionStateMinValue, 1,
   (char*)"V.GetInteractionStateMinValue() -> int\nC++: int GetInteractionStateMinValue ();\n\n The interaction state may be set from a widget (e.g., HandleWidget) or\n other object. This controls how the interaction with the widget\n proceeds. Normally this method is used as part of a handshaking\n processwith the widget: First ComputeInteractionState() is invoked that\n returns a state based on geometric considerations (i.e., cursor near a\n widget feature), then based on events, the widget may modify this\n further.\n"},
  {(char*)"GetInteractionStateMaxValue",                (PyCFunction)PyvtkHandleRepresentation_GetInteractionStateMaxValue, 1,
   (char*)"V.GetInteractionStateMaxValue() -> int\nC++: int GetInteractionStateMaxValue ();\n\n The interaction state may be set from a widget (e.g., HandleWidget) or\n other object. This controls how the interaction with the widget\n proceeds. Normally this method is used as part of a handshaking\n processwith the widget: First ComputeInteractionState() is invoked that\n returns a state based on geometric considerations (i.e., cursor near a\n widget feature), then based on events, the widget may modify this\n further.\n"},
  {(char*)"SetConstrained",                (PyCFunction)PyvtkHandleRepresentation_SetConstrained, 1,
   (char*)"V.SetConstrained(int)\nC++: void SetConstrained (int );\n\n Specify whether any motions (such as scale, translate, etc.) are\n constrained in some way (along an axis, etc.) Widgets can use this\n to control the resulting motion.\n"},
  {(char*)"GetConstrained",                (PyCFunction)PyvtkHandleRepresentation_GetConstrained, 1,
   (char*)"V.GetConstrained() -> int\nC++: int GetConstrained ();\n\n Specify whether any motions (such as scale, translate, etc.) are\n constrained in some way (along an axis, etc.) Widgets can use this\n to control the resulting motion.\n"},
  {(char*)"ConstrainedOn",                (PyCFunction)PyvtkHandleRepresentation_ConstrainedOn, 1,
   (char*)"V.ConstrainedOn()\nC++: void ConstrainedOn ();\n\n Specify whether any motions (such as scale, translate, etc.) are\n constrained in some way (along an axis, etc.) Widgets can use this\n to control the resulting motion.\n"},
  {(char*)"ConstrainedOff",                (PyCFunction)PyvtkHandleRepresentation_ConstrainedOff, 1,
   (char*)"V.ConstrainedOff()\nC++: void ConstrainedOff ();\n\n Specify whether any motions (such as scale, translate, etc.) are\n constrained in some way (along an axis, etc.) Widgets can use this\n to control the resulting motion.\n"},
  {(char*)"CheckConstraint",                (PyCFunction)PyvtkHandleRepresentation_CheckConstraint, 1,
   (char*)"V.CheckConstraint(vtkRenderer, (float, float)) -> int\nC++: virtual int CheckConstraint (vtkRenderer *renderer, double pos[2]);\n\n Method has to be overridden in the subclasses which has\n constraints on placing the handle\n (Ex. vtkConstrainedPointHandleRepresentation). It should return 1\n if the position is within the constraint, else it should return\n 0. By default it returns 1.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkHandleRepresentation_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: virtual void ShallowCopy (vtkProp *prop);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkHandleRepresentation_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *ren);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkHandleRepresentation_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Overload the superclasses' GetMTime() because the internal vtkCoordinates\n are used to keep the state of the representation.\n"},
  {(char*)"SetPointPlacer",                (PyCFunction)PyvtkHandleRepresentation_SetPointPlacer, 1,
   (char*)"V.SetPointPlacer(vtkPointPlacer)\nC++: virtual void SetPointPlacer (vtkPointPlacer *);\n\n Set/Get the point placer. Point placers can be used to dictate constraints \n on the placement of handles. As an example, see vtkBoundedPlanePointPlacer\n (constrains the placement of handles to a set of bounded planes)\n vtkFocalPlanePointPlacer (constrains placement on the focal plane) etc.\n The default point placer is vtkPointPlacer (which does not apply any \n constraints, so the handles are free to move anywhere).\n"},
  {(char*)"GetPointPlacer",                (PyCFunction)PyvtkHandleRepresentation_GetPointPlacer, 1,
   (char*)"V.GetPointPlacer() -> vtkPointPlacer\nC++: vtkPointPlacer *GetPointPlacer ();\n\n Set/Get the point placer. Point placers can be used to dictate constraints \n on the placement of handles. As an example, see vtkBoundedPlanePointPlacer\n (constrains the placement of handles to a set of bounded planes)\n vtkFocalPlanePointPlacer (constrains placement on the focal plane) etc.\n The default point placer is vtkPointPlacer (which does not apply any \n constraints, so the handles are free to move anywhere).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHandleRepresentationDoc[] = {
  (char*)"vtkHandleRepresentation - abstract class for representing widget handles\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" This class defines an API for widget handle representations. These\n representations interact with vtkHandleWidget. Various representations\n can be used depending on the nature of the handle. The basic functionality \n of the handle representation is to maintain a position. The position is\n represented via a vtkCoordinate, meaning that the position can be easily\n obtained in a variety of coordinate",
  (char*)" systems.\n\n Optional features for this representation include an active mode (the widget\n appears only when the mouse pointer is close to it). The active distance is\n expressed in pixels and represents a circle in display space.\n\n The class may be subclassed so that alternative representations can\n be created.  The class defines an API and a default implementation that\n the vtkHandleWidget interac",
  (char*)"ts with to render itself in the scene.\n\n",
  "Caveats:\n\n The separation of the widget event handling and representation enables\n users and developers to create new appearances for the widget. It also\n facilitates parallel processing, where the client application handles\n events, and remote representations of the widget are slaves to the \n client (and do not handle events).\n\n",
  "See Also:\n\n vtkRectilinearWipeWidget vtkWidgetRepresentation vtkAbstractWidget\n\n",
  NULL
};

PyObject *PyVTKClass_vtkHandleRepresentationNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkHandleRepresentationMethods,
                        (char*)"vtkHandleRepresentation",modulename,
                        (char**)vtkHandleRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

