// python wrapper for vtkHandleWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHandleWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHandleWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHandleWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkHandleWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  const char    *temp20;
  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  vtkHandleWidget  *temp20;
  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHandleWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHandleWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHandleWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  vtkHandleRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHandleRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHandleRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkHandleWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleWidget_SetEnableAxisConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  int      temp0;
  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleWidget::SetEnableAxisConstraint(temp0);
      }
    else
      {
      op->SetEnableAxisConstraint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleWidget_GetEnableAxisConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  int      temp20;
  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleWidget::GetEnableAxisConstraint();
      }
    else
      {
      temp20 = op->GetEnableAxisConstraint();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleWidget_EnableAxisConstraintOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleWidget::EnableAxisConstraintOn();
      }
    else
      {
      op->EnableAxisConstraintOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleWidget_EnableAxisConstraintOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleWidget::EnableAxisConstraintOff();
      }
    else
      {
      op->EnableAxisConstraintOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleWidget_SetAllowHandleResize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  int      temp0;
  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleWidget::SetAllowHandleResize(temp0);
      }
    else
      {
      op->SetAllowHandleResize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleWidget_GetAllowHandleResize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  int      temp20;
  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHandleWidget::GetAllowHandleResize();
      }
    else
      {
      temp20 = op->GetAllowHandleResize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleWidget_AllowHandleResizeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleWidget::AllowHandleResizeOn();
      }
    else
      {
      op->AllowHandleResizeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHandleWidget_AllowHandleResizeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHandleWidget *op;

  op = (vtkHandleWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHandleWidget::AllowHandleResizeOff();
      }
    else
      {
      op->AllowHandleResizeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHandleWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHandleWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK class macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHandleWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK class macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHandleWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHandleWidget\nC++: vtkHandleWidget *NewInstance ();\n\n Standard VTK class macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHandleWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHandleWidget\nC++: vtkHandleWidget *SafeDownCast (vtkObject* o);\n\n Standard VTK class macros.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkHandleWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkHandleRepresentation)\nC++: void SetRepresentation (vtkHandleRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. By default\n an instance of vtkPointHandleRepresenation3D is created.\n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkHandleWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. By default\n an instance of vtkPointHandleRepresenation3D is created.\n"},
  {(char*)"SetEnableAxisConstraint",                (PyCFunction)PyvtkHandleWidget_SetEnableAxisConstraint, 1,
   (char*)"V.SetEnableAxisConstraint(int)\nC++: void SetEnableAxisConstraint (int );\n\n Enable / disable axis constrained motion of the handles. By default the\n widget responds to the shift modifier to constrain the handle along the\n axis closest aligned with the motion vector.\n"},
  {(char*)"GetEnableAxisConstraint",                (PyCFunction)PyvtkHandleWidget_GetEnableAxisConstraint, 1,
   (char*)"V.GetEnableAxisConstraint() -> int\nC++: int GetEnableAxisConstraint ();\n\n Enable / disable axis constrained motion of the handles. By default the\n widget responds to the shift modifier to constrain the handle along the\n axis closest aligned with the motion vector.\n"},
  {(char*)"EnableAxisConstraintOn",                (PyCFunction)PyvtkHandleWidget_EnableAxisConstraintOn, 1,
   (char*)"V.EnableAxisConstraintOn()\nC++: void EnableAxisConstraintOn ();\n\n Enable / disable axis constrained motion of the handles. By default the\n widget responds to the shift modifier to constrain the handle along the\n axis closest aligned with the motion vector.\n"},
  {(char*)"EnableAxisConstraintOff",                (PyCFunction)PyvtkHandleWidget_EnableAxisConstraintOff, 1,
   (char*)"V.EnableAxisConstraintOff()\nC++: void EnableAxisConstraintOff ();\n\n Enable / disable axis constrained motion of the handles. By default the\n widget responds to the shift modifier to constrain the handle along the\n axis closest aligned with the motion vector.\n"},
  {(char*)"SetAllowHandleResize",                (PyCFunction)PyvtkHandleWidget_SetAllowHandleResize, 1,
   (char*)"V.SetAllowHandleResize(int)\nC++: void SetAllowHandleResize (int );\n\n Allow resizing of handles ? By default the right mouse button scales\n the handle size.\n"},
  {(char*)"GetAllowHandleResize",                (PyCFunction)PyvtkHandleWidget_GetAllowHandleResize, 1,
   (char*)"V.GetAllowHandleResize() -> int\nC++: int GetAllowHandleResize ();\n\n Allow resizing of handles ? By default the right mouse button scales\n the handle size.\n"},
  {(char*)"AllowHandleResizeOn",                (PyCFunction)PyvtkHandleWidget_AllowHandleResizeOn, 1,
   (char*)"V.AllowHandleResizeOn()\nC++: void AllowHandleResizeOn ();\n\n Allow resizing of handles ? By default the right mouse button scales\n the handle size.\n"},
  {(char*)"AllowHandleResizeOff",                (PyCFunction)PyvtkHandleWidget_AllowHandleResizeOff, 1,
   (char*)"V.AllowHandleResizeOff()\nC++: void AllowHandleResizeOff ();\n\n Allow resizing of handles ? By default the right mouse button scales\n the handle size.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHandleWidgetDoc[] = {
  (char*)"vtkHandleWidget - a general widget for moving handles\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkHandleWidget is used to position a handle.  A handle is a widget\n with a position (in display and world space). Various appearances are\n available depending on its associated representation. The widget provides\n methods for translation, including constrained translation along\n coordinate axes. To use this widget, create and associate a representation\n with the widget.\n\n .SECTION Event Bind",
  (char*)"ings\n By default, the widget responds to the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n   LeftButtonPressEvent - select focal point of widget\n   LeftButtonReleaseEvent - end selection\n   MiddleButtonPressEvent - translate widget\n   MiddleButtonReleaseEvent - end translation\n   RightButtonPressEvent - scale widget\n   RightButtonReleaseEvent - en",
  (char*)"d scaling\n   MouseMoveEvent - interactive movement across widget\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n into the vtkHandleWidget's widget events:\n <pre>\n   vtkWidgetEvent::Select -- focal point is being selected\n   vtkWidgetEvent::EndSelect -- the selection process has completed\n   vtkWi",
  (char*)"dgetEvent::Translate -- translate the widget\n   vtkWidgetEvent::EndTranslate -- end widget translation\n   vtkWidgetEvent::Scale -- scale the widget\n   vtkWidgetEvent::EndScale -- end scaling the widget\n   vtkWidgetEvent::Move -- a request for widget motion\n </pre>\n\n In turn, when these widget events are processed, the vtkHandleWidget\n invokes the following VTK events on itself (which observers can",
  (char*)" listen for):\n <pre>\n   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)\n   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)\n   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)\n </pre>\n\n\n",
  NULL
};

static vtkObjectBase *vtkHandleWidgetStaticNew()
{
  return vtkHandleWidget::New();
}

PyObject *PyVTKClass_vtkHandleWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkHandleWidgetStaticNew,
                        PyvtkHandleWidgetMethods,
                        (char*)"vtkHandleWidget",modulename,
                        (char**)vtkHandleWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

