// python wrapper for vtkHoverWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHoverWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHoverWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHoverWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkHoverWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHoverWidget *op;

  const char    *temp20;
  op = (vtkHoverWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHoverWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHoverWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHoverWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkHoverWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHoverWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHoverWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHoverWidget *op;

  vtkHoverWidget  *temp20;
  op = (vtkHoverWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHoverWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHoverWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHoverWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHoverWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHoverWidget_SetTimerDuration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHoverWidget *op;

  int      temp0;
  op = (vtkHoverWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHoverWidget::SetTimerDuration(temp0);
      }
    else
      {
      op->SetTimerDuration(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHoverWidget_GetTimerDurationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHoverWidget *op;

  int      temp20;
  op = (vtkHoverWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHoverWidget::GetTimerDurationMinValue();
      }
    else
      {
      temp20 = op->GetTimerDurationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHoverWidget_GetTimerDurationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHoverWidget *op;

  int      temp20;
  op = (vtkHoverWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHoverWidget::GetTimerDurationMaxValue();
      }
    else
      {
      temp20 = op->GetTimerDurationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHoverWidget_GetTimerDuration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHoverWidget *op;

  int      temp20;
  op = (vtkHoverWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHoverWidget::GetTimerDuration();
      }
    else
      {
      temp20 = op->GetTimerDuration();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHoverWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHoverWidget *op;

  int      temp0;
  op = (vtkHoverWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHoverWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHoverWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHoverWidget *op;

  op = (vtkHoverWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHoverWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHoverWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHoverWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHoverWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for a VTK class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHoverWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHoverWidget\nC++: vtkHoverWidget *NewInstance ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHoverWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHoverWidget\nC++: vtkHoverWidget *SafeDownCast (vtkObject* o);\n\n Standard methods for a VTK class.\n"},
  {(char*)"SetTimerDuration",                (PyCFunction)PyvtkHoverWidget_SetTimerDuration, 1,
   (char*)"V.SetTimerDuration(int)\nC++: void SetTimerDuration (int );\n\n Specify the hovering interval (in milliseconds). If after moving the\n mouse the pointer stays over a vtkProp for this duration, then a\n vtkTimerEvent::TimerEvent is invoked.\n"},
  {(char*)"GetTimerDurationMinValue",                (PyCFunction)PyvtkHoverWidget_GetTimerDurationMinValue, 1,
   (char*)"V.GetTimerDurationMinValue() -> int\nC++: int GetTimerDurationMinValue ();\n\n Specify the hovering interval (in milliseconds). If after moving the\n mouse the pointer stays over a vtkProp for this duration, then a\n vtkTimerEvent::TimerEvent is invoked.\n"},
  {(char*)"GetTimerDurationMaxValue",                (PyCFunction)PyvtkHoverWidget_GetTimerDurationMaxValue, 1,
   (char*)"V.GetTimerDurationMaxValue() -> int\nC++: int GetTimerDurationMaxValue ();\n\n Specify the hovering interval (in milliseconds). If after moving the\n mouse the pointer stays over a vtkProp for this duration, then a\n vtkTimerEvent::TimerEvent is invoked.\n"},
  {(char*)"GetTimerDuration",                (PyCFunction)PyvtkHoverWidget_GetTimerDuration, 1,
   (char*)"V.GetTimerDuration() -> int\nC++: int GetTimerDuration ();\n\n Specify the hovering interval (in milliseconds). If after moving the\n mouse the pointer stays over a vtkProp for this duration, then a\n vtkTimerEvent::TimerEvent is invoked.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkHoverWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n The method for activiating and deactiviating this widget. This method\n must be overridden because it performs special timer-related operations.\n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkHoverWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();this WidgetRep NULL \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHoverWidgetDoc[] = {
  (char*)"vtkHoverWidget - invoke a vtkTimerEvent when hovering \n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkHoverWidget is used to invoke an event when hovering in a render window.\n Hovering occurs when mouse motion (in the render window) does not occur\n for a specified amount of time (i.e., TimerDuration). This class can be used\n as is (by observing TimerEvents) or for class derivation for those classes\n wishing to do more with the hover event.\n \n To use this widget, specify an instance of vtkH",
  (char*)"overWidget and specify the\n time (in milliseconds) defining the hover period. Unlike most widgets,\n this widget does not require a representation (although subclasses like\n vtkBalloonWidget do require a representation).\n\n .SECTION Event Bindings\n By default, the widget observes the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n   MouseMoveEvent - m",
  (char*)"anages a timer used to determine whether the mouse\n                    is hovering.\n   TimerEvent - when the time between events (e.g., mouse move), then a\n                timer event is invoked.\n   KeyPressEvent - when the \"Enter\" key is pressed after the balloon appears,\n                   a callback is activited (e.g., WidgetActivateEvent).\n </pre>\n\n Note that the event bindings described above",
  (char*)" can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n into the vtkHoverWidget's widget events:\n <pre>\n   vtkWidgetEvent::Move -- start (or reset) the timer\n   vtkWidgetEvent::TimedOut -- when enough time is elapsed between defined\n                               VTK events the hover event is invoked.\n   vtkWidgetEvent::SelectAction -- activate any callback",
  (char*)"s associated \n                                   with the balloon.\n </pre>\n\n This widget invokes the following VTK events on itself when the widget \n determines that it is hovering. Note that observers of this widget can\n listen for these events and take appropriate action.\n <pre>\n   vtkCommand::TimerEvent (when hovering is determined to occur)\n   vtkCommand::EndInteractionEvent (after a hover has",
  (char*)" occured and the\n                                    mouse begins moving again).\n   vtkCommand::WidgetActivateEvent (when the balloon is selected with a\n                                    keypress).\n </pre>\n\n",
  "See Also:\n\n vtkAbstractWidget\n\n",
  NULL
};

static vtkObjectBase *vtkHoverWidgetStaticNew()
{
  return vtkHoverWidget::New();
}

PyObject *PyVTKClass_vtkHoverWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkHoverWidgetStaticNew,
                        PyvtkHoverWidgetMethods,
                        (char*)"vtkHoverWidget",modulename,
                        (char**)vtkHoverWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

