// python wrapper for vtkImageActorPointPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageActorPointPlacer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageActorPointPlacerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageActorPointPlacerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointPlacerNew(char *); }

static PyObject *PyvtkImageActorPointPlacer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  const char    *temp20;
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActorPointPlacer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActorPointPlacer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActorPointPlacer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActorPointPlacer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  vtkImageActorPointPlacer  *temp20;
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActorPointPlacer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActorPointPlacer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageActorPointPlacer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageActorPointPlacer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageActorPointPlacer_ComputeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3, temp3 + 4, temp3 + 5, temp3 + 6, temp3 + 7, temp3 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActorPointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[2];
  double temp3[3];
  double temp4[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(dd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, temp4 + 3, temp4 + 4, temp4 + 5, temp4 + 6, temp4 + 7, temp4 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActorPointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkImageActorPointPlacer_ValidateWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  double temp0[3];
  int      temp20;
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActorPointPlacer::ValidateWorldPosition(temp0);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  double temp0[3];
  double temp1[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActorPointPlacer::ValidateWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActorPointPlacer_UpdateWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[3];
  double temp2[9];
  int      temp20;
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActorPointPlacer::UpdateWorldPosition(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->UpdateWorldPosition(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkImageActorPointPlacer_UpdateInternalState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  int      temp20;
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActorPointPlacer::UpdateInternalState();
      }
    else
      {
      temp20 = op->UpdateInternalState();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActorPointPlacer_SetImageActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  vtkImageActor  *temp0;
  PyObject *tempH0;
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageActor");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActorPointPlacer::SetImageActor(temp0);
      }
    else
      {
      op->SetImageActor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkImageActorPointPlacer_GetImageActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  vtkImageActor  *temp20;
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActorPointPlacer::GetImageActor();
      }
    else
      {
      temp20 = op->GetImageActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActorPointPlacer_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActorPointPlacer::SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageActorPointPlacer::SetBounds(temp0);
      }
    else
      {
      op->SetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageActorPointPlacer_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageActorPointPlacer *op;

  double  *temp20;
  op = (vtkImageActorPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageActorPointPlacer::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageActorPointPlacerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageActorPointPlacer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageActorPointPlacer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageActorPointPlacer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageActorPointPlacer\nC++: vtkImageActorPointPlacer *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageActorPointPlacer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageActorPointPlacer\nC++: vtkImageActorPointPlacer *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"ComputeWorldPosition",                (PyCFunction)PyvtkImageActorPointPlacer_ComputeWorldPosition, 1,
   (char*)"V.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]);\nV.ComputeWorldPosition(vtkRenderer, (float, float), (float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[2], double worldPos[3], double worldOrient[9]);\n\n Given and renderer and a display position in pixels,\n find a world position and orientation. In this class\n an internal vtkBoundedPlanePointPlacer is used to compute\n the world position and orientation. The internal placer\n is set to use the plane of the image actor and the bounds\n of the image actor as the constraints for placing points.\n"},
  {(char*)"ValidateWorldPosition",                (PyCFunction)PyvtkImageActorPointPlacer_ValidateWorldPosition, 1,
   (char*)"V.ValidateWorldPosition((float, float, float)) -> int\nC++: int ValidateWorldPosition (double worldPos[3]);\nV.ValidateWorldPosition((float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int ValidateWorldPosition (double worldPos[3], double worldOrient[9]);\n\n This method validates a world position by checking to see\n if the world position is valid according to the constraints\n of the internal placer (essentially - is this world position\n on the image?)\n"},
  {(char*)"UpdateWorldPosition",                (PyCFunction)PyvtkImageActorPointPlacer_UpdateWorldPosition, 1,
   (char*)"V.UpdateWorldPosition(vtkRenderer, (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: int UpdateWorldPosition (vtkRenderer *ren, double worldPos[3], double worldOrient[9]);\n\n Update the world position and orientation according the\n the current constraints of the placer. Will be called\n by the representation when it notices that this placer\n has been modified.\n"},
  {(char*)"UpdateInternalState",                (PyCFunction)PyvtkImageActorPointPlacer_UpdateInternalState, 1,
   (char*)"V.UpdateInternalState() -> int\nC++: int UpdateInternalState ();\n\n A method for configuring the internal placer according\n to the constraints of the image actor.\n Called by the representation to give the placer a chance\n to update itself, which may cause the MTime to change,\n which would then cause the representation to update\n all of its points\n"},
  {(char*)"SetImageActor",                (PyCFunction)PyvtkImageActorPointPlacer_SetImageActor, 1,
   (char*)"V.SetImageActor(vtkImageActor)\nC++: void SetImageActor (vtkImageActor *);\n\n Set / get the reference vtkImageActor used to place the points.\n An image actor must be set for this placer to work. An internal\n bounded plane point placer is created and set to match the bounds\n of the displayed image.\n"},
  {(char*)"GetImageActor",                (PyCFunction)PyvtkImageActorPointPlacer_GetImageActor, 1,
   (char*)"V.GetImageActor() -> vtkImageActor\nC++: vtkImageActor *GetImageActor ();\n\n Set / get the reference vtkImageActor used to place the points.\n An image actor must be set for this placer to work. An internal\n bounded plane point placer is created and set to match the bounds\n of the displayed image.\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkImageActorPointPlacer_SetBounds, 1,
   (char*)"V.SetBounds(float, float, float, float, float, float)\nC++: void SetBounds (double , double , double , double , double , double );\nV.SetBounds((float, float, float, float, float, float))\nC++: void SetBounds (double  a[6]);\n\n Optionally, you may set bounds to restrict the placement of the points.\n The placement of points will then be constrained to lie not only on\n the ImageActor but also within the bounds specified. If no bounds are\n specified, they may lie anywhere on the supplied ImageActor.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkImageActorPointPlacer_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double  *GetBounds ();\n\n Optionally, you may set bounds to restrict the placement of the points.\n The placement of points will then be constrained to lie not only on\n the ImageActor but also within the bounds specified. If no bounds are\n specified, they may lie anywhere on the supplied ImageActor.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageActorPointPlacerDoc[] = {
  (char*)"vtkImageActorPointPlacer - Converts 2D display positions to world positions such that they lie on an ImageActor\n\n",
  "Super Class:\n\n vtkPointPlacer\n\n",
  (char*)" This PointPlacer is used to constrain the placement of points on the\n supplied image actor. Additionally, you may set bounds to restrict the \n placement of the points. The placement of points will then be constrained \n to lie not only on the ImageActor but also within the bounds specified. \n If no bounds are specified, they may lie anywhere on the supplied ImageActor.\n\n",
  "See Also:\n\n\n",
  NULL
};

static vtkObjectBase *vtkImageActorPointPlacerStaticNew()
{
  return vtkImageActorPointPlacer::New();
}

PyObject *PyVTKClass_vtkImageActorPointPlacerNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageActorPointPlacerStaticNew,
                        PyvtkImageActorPointPlacerMethods,
                        (char*)"vtkImageActorPointPlacer",modulename,
                        (char**)vtkImageActorPointPlacerDoc,
                        PyVTKClass_vtkPointPlacerNew(modulename));
}

