// python wrapper for vtkImageOrthoPlanes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageOrthoPlanes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageOrthoPlanesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageOrthoPlanesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkImageOrthoPlanes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageOrthoPlanes *op;

  const char    *temp20;
  op = (vtkImageOrthoPlanes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageOrthoPlanes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageOrthoPlanes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageOrthoPlanes *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageOrthoPlanes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageOrthoPlanes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageOrthoPlanes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageOrthoPlanes *op;

  vtkImageOrthoPlanes  *temp20;
  op = (vtkImageOrthoPlanes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageOrthoPlanes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageOrthoPlanes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageOrthoPlanes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageOrthoPlanes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageOrthoPlanes_SetPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageOrthoPlanes *op;

  int      temp0;
  vtkImagePlaneWidget  *temp1;
  PyObject *tempH1;
  op = (vtkImageOrthoPlanes *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkImagePlaneWidget *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkImagePlaneWidget");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageOrthoPlanes::SetPlane(temp0,temp1);
      }
    else
      {
      op->SetPlane(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageOrthoPlanes_GetPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageOrthoPlanes *op;

  int      temp0;
  vtkImagePlaneWidget  *temp20;
  op = (vtkImageOrthoPlanes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageOrthoPlanes::GetPlane(temp0);
      }
    else
      {
      temp20 = op->GetPlane(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageOrthoPlanes_ResetPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageOrthoPlanes *op;

  op = (vtkImageOrthoPlanes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageOrthoPlanes::ResetPlanes();
      }
    else
      {
      op->ResetPlanes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageOrthoPlanes_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageOrthoPlanes *op;

  vtkTransform  *temp20;
  op = (vtkImageOrthoPlanes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageOrthoPlanes::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageOrthoPlanes_HandlePlaneEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageOrthoPlanes *op;

  vtkImagePlaneWidget  *temp0;
  PyObject *tempH0;
  op = (vtkImageOrthoPlanes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImagePlaneWidget *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImagePlaneWidget");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageOrthoPlanes::HandlePlaneEvent(temp0);
      }
    else
      {
      op->HandlePlaneEvent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkImageOrthoPlanesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageOrthoPlanes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageOrthoPlanes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageOrthoPlanes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageOrthoPlanes\nC++: vtkImageOrthoPlanes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageOrthoPlanes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageOrthoPlanes\nC++: vtkImageOrthoPlanes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPlane",                (PyCFunction)PyvtkImageOrthoPlanes_SetPlane, 1,
   (char*)"V.SetPlane(int, vtkImagePlaneWidget)\nC++: void SetPlane (int i, vtkImagePlaneWidget *imagePlaneWidget);\n\n You must set three planes for the widget.\n"},
  {(char*)"GetPlane",                (PyCFunction)PyvtkImageOrthoPlanes_GetPlane, 1,
   (char*)"V.GetPlane(int) -> vtkImagePlaneWidget\nC++: vtkImagePlaneWidget *GetPlane (int i);\n\n You must set three planes for the widget.\n"},
  {(char*)"ResetPlanes",                (PyCFunction)PyvtkImageOrthoPlanes_ResetPlanes, 1,
   (char*)"V.ResetPlanes()\nC++: void ResetPlanes ();\n\n Reset the planes to original scale, rotation, and location.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkImageOrthoPlanes_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkTransform\nC++: vtkTransform *GetTransform ();return this Transform \n\n Get the transform for the planes.\n"},
  {(char*)"HandlePlaneEvent",                (PyCFunction)PyvtkImageOrthoPlanes_HandlePlaneEvent, 1,
   (char*)"V.HandlePlaneEvent(vtkImagePlaneWidget)\nC++: void HandlePlaneEvent (vtkImagePlaneWidget *imagePlaneWidget);\n\n A public method to be used only by the event callback.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageOrthoPlanesDoc[] = {
  (char*)"vtkImageOrthoPlanes - Connect three vtkImagePlaneWidgets together\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkImageOrthoPlanes is an event observer class that listens to the\n events from three vtkImagePlaneWidgets and keeps their orientations\n and scales synchronized.\n\n",
  "See Also:\n\n vtkImagePlaneWidget\n .SECTION Thanks\n Thanks to Atamai Inc. for developing and contributing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkImageOrthoPlanesStaticNew()
{
  return vtkImageOrthoPlanes::New();
}

PyObject *PyVTKClass_vtkImageOrthoPlanesNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageOrthoPlanesStaticNew,
                        PyvtkImageOrthoPlanesMethods,
                        (char*)"vtkImageOrthoPlanes",modulename,
                        (char**)vtkImageOrthoPlanesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

